(*
% File     : ALG024+1 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Groups 4: VERIFY-GEN-SYSES-PROBLEM-2
% Version  : Especial.
% English  : 
% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 
% Status   : Unsatisfiable
% Rating   : 0.33 v3.1.0, 0.83 v2.7.0
% Status (intuit.) : Open (Problem negated)
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :   35 (   1 unit)
%            Number of atoms       :  349 ( 349 equality)
%            Maximal formula depth :   64 (   9 average)
%            Number of connectives :  399 (  85 ~  ;  66  |; 232  &)
%                                         (   0 <=>;  16 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   5 constant; 0-2 arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    4 (   2 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.


Variable unit_ : Universe.
Variable op_ : Universe -> Universe -> Universe.
Variable inv_ : Universe -> Universe.
Variable e3_ : Universe.
Variable e2_ : Universe.
Variable e1_ : Universe.
Variable e0_ : Universe.

Variable ax1_1 : (((op_ e0_ e0_) = e0_ \/ ((op_ e0_ e0_) = e1_ \/ ((op_ e0_ e0_) = e2_ \/ (op_ e0_ e0_) = e3_))) /\ (((op_ e0_ e1_) = e0_ \/ ((op_ e0_ e1_) = e1_ \/ ((op_ e0_ e1_) = e2_ \/ (op_ e0_ e1_) = e3_))) /\ (((op_ e0_ e2_) = e0_ \/ ((op_ e0_ e2_) = e1_ \/ ((op_ e0_ e2_) = e2_ \/ (op_ e0_ e2_) = e3_))) /\ (((op_ e0_ e3_) = e0_ \/ ((op_ e0_ e3_) = e1_ \/ ((op_ e0_ e3_) = e2_ \/ (op_ e0_ e3_) = e3_))) /\ (((op_ e1_ e0_) = e0_ \/ ((op_ e1_ e0_) = e1_ \/ ((op_ e1_ e0_) = e2_ \/ (op_ e1_ e0_) = e3_))) /\ (((op_ e1_ e1_) = e0_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e1_ e1_) = e2_ \/ (op_ e1_ e1_) = e3_))) /\ (((op_ e1_ e2_) = e0_ \/ ((op_ e1_ e2_) = e1_ \/ ((op_ e1_ e2_) = e2_ \/ (op_ e1_ e2_) = e3_))) /\ (((op_ e1_ e3_) = e0_ \/ ((op_ e1_ e3_) = e1_ \/ ((op_ e1_ e3_) = e2_ \/ (op_ e1_ e3_) = e3_))) /\ (((op_ e2_ e0_) = e0_ \/ ((op_ e2_ e0_) = e1_ \/ ((op_ e2_ e0_) = e2_ \/ (op_ e2_ e0_) = e3_))) /\ (((op_ e2_ e1_) = e0_ \/ ((op_ e2_ e1_) = e1_ \/ ((op_ e2_ e1_) = e2_ \/ (op_ e2_ e1_) = e3_))) /\ (((op_ e2_ e2_) = e0_ \/ ((op_ e2_ e2_) = e1_ \/ ((op_ e2_ e2_) = e2_ \/ (op_ e2_ e2_) = e3_))) /\ (((op_ e2_ e3_) = e0_ \/ ((op_ e2_ e3_) = e1_ \/ ((op_ e2_ e3_) = e2_ \/ (op_ e2_ e3_) = e3_))) /\ (((op_ e3_ e0_) = e0_ \/ ((op_ e3_ e0_) = e1_ \/ ((op_ e3_ e0_) = e2_ \/ (op_ e3_ e0_) = e3_))) /\ (((op_ e3_ e1_) = e0_ \/ ((op_ e3_ e1_) = e1_ \/ ((op_ e3_ e1_) = e2_ \/ (op_ e3_ e1_) = e3_))) /\ (((op_ e3_ e2_) = e0_ \/ ((op_ e3_ e2_) = e1_ \/ ((op_ e3_ e2_) = e2_ \/ (op_ e3_ e2_) = e3_))) /\ ((op_ e3_ e3_) = e0_ \/ ((op_ e3_ e3_) = e1_ \/ ((op_ e3_ e3_) = e2_ \/ (op_ e3_ e3_) = e3_)))))))))))))))))).
Variable ax2_2 : ((op_ (op_ e0_ e0_) e0_) = (op_ e0_ (op_ e0_ e0_)) /\ ((op_ (op_ e0_ e0_) e1_) = (op_ e0_ (op_ e0_ e1_)) /\ ((op_ (op_ e0_ e0_) e2_) = (op_ e0_ (op_ e0_ e2_)) /\ ((op_ (op_ e0_ e0_) e3_) = (op_ e0_ (op_ e0_ e3_)) /\ ((op_ (op_ e0_ e1_) e0_) = (op_ e0_ (op_ e1_ e0_)) /\ ((op_ (op_ e0_ e1_) e1_) = (op_ e0_ (op_ e1_ e1_)) /\ ((op_ (op_ e0_ e1_) e2_) = (op_ e0_ (op_ e1_ e2_)) /\ ((op_ (op_ e0_ e1_) e3_) = (op_ e0_ (op_ e1_ e3_)) /\ ((op_ (op_ e0_ e2_) e0_) = (op_ e0_ (op_ e2_ e0_)) /\ ((op_ (op_ e0_ e2_) e1_) = (op_ e0_ (op_ e2_ e1_)) /\ ((op_ (op_ e0_ e2_) e2_) = (op_ e0_ (op_ e2_ e2_)) /\ ((op_ (op_ e0_ e2_) e3_) = (op_ e0_ (op_ e2_ e3_)) /\ ((op_ (op_ e0_ e3_) e0_) = (op_ e0_ (op_ e3_ e0_)) /\ ((op_ (op_ e0_ e3_) e1_) = (op_ e0_ (op_ e3_ e1_)) /\ ((op_ (op_ e0_ e3_) e2_) = (op_ e0_ (op_ e3_ e2_)) /\ ((op_ (op_ e0_ e3_) e3_) = (op_ e0_ (op_ e3_ e3_)) /\ ((op_ (op_ e1_ e0_) e0_) = (op_ e1_ (op_ e0_ e0_)) /\ ((op_ (op_ e1_ e0_) e1_) = (op_ e1_ (op_ e0_ e1_)) /\ ((op_ (op_ e1_ e0_) e2_) = (op_ e1_ (op_ e0_ e2_)) /\ ((op_ (op_ e1_ e0_) e3_) = (op_ e1_ (op_ e0_ e3_)) /\ ((op_ (op_ e1_ e1_) e0_) = (op_ e1_ (op_ e1_ e0_)) /\ ((op_ (op_ e1_ e1_) e1_) = (op_ e1_ (op_ e1_ e1_)) /\ ((op_ (op_ e1_ e1_) e2_) = (op_ e1_ (op_ e1_ e2_)) /\ ((op_ (op_ e1_ e1_) e3_) = (op_ e1_ (op_ e1_ e3_)) /\ ((op_ (op_ e1_ e2_) e0_) = (op_ e1_ (op_ e2_ e0_)) /\ ((op_ (op_ e1_ e2_) e1_) = (op_ e1_ (op_ e2_ e1_)) /\ ((op_ (op_ e1_ e2_) e2_) = (op_ e1_ (op_ e2_ e2_)) /\ ((op_ (op_ e1_ e2_) e3_) = (op_ e1_ (op_ e2_ e3_)) /\ ((op_ (op_ e1_ e3_) e0_) = (op_ e1_ (op_ e3_ e0_)) /\ ((op_ (op_ e1_ e3_) e1_) = (op_ e1_ (op_ e3_ e1_)) /\ ((op_ (op_ e1_ e3_) e2_) = (op_ e1_ (op_ e3_ e2_)) /\ ((op_ (op_ e1_ e3_) e3_) = (op_ e1_ (op_ e3_ e3_)) /\ ((op_ (op_ e2_ e0_) e0_) = (op_ e2_ (op_ e0_ e0_)) /\ ((op_ (op_ e2_ e0_) e1_) = (op_ e2_ (op_ e0_ e1_)) /\ ((op_ (op_ e2_ e0_) e2_) = (op_ e2_ (op_ e0_ e2_)) /\ ((op_ (op_ e2_ e0_) e3_) = (op_ e2_ (op_ e0_ e3_)) /\ ((op_ (op_ e2_ e1_) e0_) = (op_ e2_ (op_ e1_ e0_)) /\ ((op_ (op_ e2_ e1_) e1_) = (op_ e2_ (op_ e1_ e1_)) /\ ((op_ (op_ e2_ e1_) e2_) = (op_ e2_ (op_ e1_ e2_)) /\ ((op_ (op_ e2_ e1_) e3_) = (op_ e2_ (op_ e1_ e3_)) /\ ((op_ (op_ e2_ e2_) e0_) = (op_ e2_ (op_ e2_ e0_)) /\ ((op_ (op_ e2_ e2_) e1_) = (op_ e2_ (op_ e2_ e1_)) /\ ((op_ (op_ e2_ e2_) e2_) = (op_ e2_ (op_ e2_ e2_)) /\ ((op_ (op_ e2_ e2_) e3_) = (op_ e2_ (op_ e2_ e3_)) /\ ((op_ (op_ e2_ e3_) e0_) = (op_ e2_ (op_ e3_ e0_)) /\ ((op_ (op_ e2_ e3_) e1_) = (op_ e2_ (op_ e3_ e1_)) /\ ((op_ (op_ e2_ e3_) e2_) = (op_ e2_ (op_ e3_ e2_)) /\ ((op_ (op_ e2_ e3_) e3_) = (op_ e2_ (op_ e3_ e3_)) /\ ((op_ (op_ e3_ e0_) e0_) = (op_ e3_ (op_ e0_ e0_)) /\ ((op_ (op_ e3_ e0_) e1_) = (op_ e3_ (op_ e0_ e1_)) /\ ((op_ (op_ e3_ e0_) e2_) = (op_ e3_ (op_ e0_ e2_)) /\ ((op_ (op_ e3_ e0_) e3_) = (op_ e3_ (op_ e0_ e3_)) /\ ((op_ (op_ e3_ e1_) e0_) = (op_ e3_ (op_ e1_ e0_)) /\ ((op_ (op_ e3_ e1_) e1_) = (op_ e3_ (op_ e1_ e1_)) /\ ((op_ (op_ e3_ e1_) e2_) = (op_ e3_ (op_ e1_ e2_)) /\ ((op_ (op_ e3_ e1_) e3_) = (op_ e3_ (op_ e1_ e3_)) /\ ((op_ (op_ e3_ e2_) e0_) = (op_ e3_ (op_ e2_ e0_)) /\ ((op_ (op_ e3_ e2_) e1_) = (op_ e3_ (op_ e2_ e1_)) /\ ((op_ (op_ e3_ e2_) e2_) = (op_ e3_ (op_ e2_ e2_)) /\ ((op_ (op_ e3_ e2_) e3_) = (op_ e3_ (op_ e2_ e3_)) /\ ((op_ (op_ e3_ e3_) e0_) = (op_ e3_ (op_ e3_ e0_)) /\ ((op_ (op_ e3_ e3_) e1_) = (op_ e3_ (op_ e3_ e1_)) /\ ((op_ (op_ e3_ e3_) e2_) = (op_ e3_ (op_ e3_ e2_)) /\ (op_ (op_ e3_ e3_) e3_) = (op_ e3_ (op_ e3_ e3_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax3_3 : ((op_ unit_ e0_) = e0_ /\ ((op_ e0_ unit_) = e0_ /\ ((op_ unit_ e1_) = e1_ /\ ((op_ e1_ unit_) = e1_ /\ ((op_ unit_ e2_) = e2_ /\ ((op_ e2_ unit_) = e2_ /\ ((op_ unit_ e3_) = e3_ /\ ((op_ e3_ unit_) = e3_ /\ (unit_ = e0_ \/ (unit_ = e1_ \/ (unit_ = e2_ \/ unit_ = e3_))))))))))).
Variable ax4_4 : ((op_ e0_ (inv_ e0_)) = unit_ /\ ((op_ (inv_ e0_) e0_) = unit_ /\ ((op_ e1_ (inv_ e1_)) = unit_ /\ ((op_ (inv_ e1_) e1_) = unit_ /\ ((op_ e2_ (inv_ e2_)) = unit_ /\ ((op_ (inv_ e2_) e2_) = unit_ /\ ((op_ e3_ (inv_ e3_)) = unit_ /\ ((op_ (inv_ e3_) e3_) = unit_ /\ (((inv_ e0_) = e0_ \/ ((inv_ e0_) = e1_ \/ ((inv_ e0_) = e2_ \/ (inv_ e0_) = e3_))) /\ (((inv_ e1_) = e0_ \/ ((inv_ e1_) = e1_ \/ ((inv_ e1_) = e2_ \/ (inv_ e1_) = e3_))) /\ (((inv_ e2_) = e0_ \/ ((inv_ e2_) = e1_ \/ ((inv_ e2_) = e2_ \/ (inv_ e2_) = e3_))) /\ ((inv_ e3_) = e0_ \/ ((inv_ e3_) = e1_ \/ ((inv_ e3_) = e2_ \/ (inv_ e3_) = e3_)))))))))))))).
Variable ax5_5 : (inv_ unit_) = unit_.
Variable ax6_6 : ((inv_ (inv_ e0_)) = e0_ /\ ((inv_ (inv_ e1_)) = e1_ /\ ((inv_ (inv_ e2_)) = e2_ /\ (inv_ (inv_ e3_)) = e3_))).
Variable ax7_7 : (((inv_ e0_) = e0_ -> (inv_ e0_) = e0_) /\ (((inv_ e0_) = e1_ -> (inv_ e1_) = e0_) /\ (((inv_ e0_) = e2_ -> (inv_ e2_) = e0_) /\ (((inv_ e0_) = e3_ -> (inv_ e3_) = e0_) /\ (((inv_ e1_) = e0_ -> (inv_ e0_) = e1_) /\ (((inv_ e1_) = e1_ -> (inv_ e1_) = e1_) /\ (((inv_ e1_) = e2_ -> (inv_ e2_) = e1_) /\ (((inv_ e1_) = e3_ -> (inv_ e3_) = e1_) /\ (((inv_ e2_) = e0_ -> (inv_ e0_) = e2_) /\ (((inv_ e2_) = e1_ -> (inv_ e1_) = e2_) /\ (((inv_ e2_) = e2_ -> (inv_ e2_) = e2_) /\ (((inv_ e2_) = e3_ -> (inv_ e3_) = e2_) /\ (((inv_ e3_) = e0_ -> (inv_ e0_) = e3_) /\ (((inv_ e3_) = e1_ -> (inv_ e1_) = e3_) /\ (((inv_ e3_) = e2_ -> (inv_ e2_) = e3_) /\ ((inv_ e3_) = e3_ -> (inv_ e3_) = e3_)))))))))))))))).
Variable ax8_8 : ((inv_ e0_) <> (inv_ e1_) /\ ((inv_ e0_) <> (inv_ e2_) /\ ((inv_ e0_) <> (inv_ e3_) /\ ((inv_ e1_) <> (inv_ e2_) /\ ((inv_ e1_) <> (inv_ e3_) /\ (inv_ e2_) <> (inv_ e3_)))))).
Variable ax9_9 : ((op_ e0_ e0_) <> (op_ e1_ e0_) /\ ((op_ e0_ e0_) <> (op_ e2_ e0_) /\ ((op_ e0_ e0_) <> (op_ e3_ e0_) /\ ((op_ e1_ e0_) <> (op_ e2_ e0_) /\ ((op_ e1_ e0_) <> (op_ e3_ e0_) /\ ((op_ e2_ e0_) <> (op_ e3_ e0_) /\ ((op_ e0_ e1_) <> (op_ e1_ e1_) /\ ((op_ e0_ e1_) <> (op_ e2_ e1_) /\ ((op_ e0_ e1_) <> (op_ e3_ e1_) /\ ((op_ e1_ e1_) <> (op_ e2_ e1_) /\ ((op_ e1_ e1_) <> (op_ e3_ e1_) /\ ((op_ e2_ e1_) <> (op_ e3_ e1_) /\ ((op_ e0_ e2_) <> (op_ e1_ e2_) /\ ((op_ e0_ e2_) <> (op_ e2_ e2_) /\ ((op_ e0_ e2_) <> (op_ e3_ e2_) /\ ((op_ e1_ e2_) <> (op_ e2_ e2_) /\ ((op_ e1_ e2_) <> (op_ e3_ e2_) /\ ((op_ e2_ e2_) <> (op_ e3_ e2_) /\ ((op_ e0_ e3_) <> (op_ e1_ e3_) /\ ((op_ e0_ e3_) <> (op_ e2_ e3_) /\ ((op_ e0_ e3_) <> (op_ e3_ e3_) /\ ((op_ e1_ e3_) <> (op_ e2_ e3_) /\ ((op_ e1_ e3_) <> (op_ e3_ e3_) /\ ((op_ e2_ e3_) <> (op_ e3_ e3_) /\ ((op_ e0_ e0_) <> (op_ e0_ e1_) /\ ((op_ e0_ e0_) <> (op_ e0_ e2_) /\ ((op_ e0_ e0_) <> (op_ e0_ e3_) /\ ((op_ e0_ e1_) <> (op_ e0_ e2_) /\ ((op_ e0_ e1_) <> (op_ e0_ e3_) /\ ((op_ e0_ e2_) <> (op_ e0_ e3_) /\ ((op_ e1_ e0_) <> (op_ e1_ e1_) /\ ((op_ e1_ e0_) <> (op_ e1_ e2_) /\ ((op_ e1_ e0_) <> (op_ e1_ e3_) /\ ((op_ e1_ e1_) <> (op_ e1_ e2_) /\ ((op_ e1_ e1_) <> (op_ e1_ e3_) /\ ((op_ e1_ e2_) <> (op_ e1_ e3_) /\ ((op_ e2_ e0_) <> (op_ e2_ e1_) /\ ((op_ e2_ e0_) <> (op_ e2_ e2_) /\ ((op_ e2_ e0_) <> (op_ e2_ e3_) /\ ((op_ e2_ e1_) <> (op_ e2_ e2_) /\ ((op_ e2_ e1_) <> (op_ e2_ e3_) /\ ((op_ e2_ e2_) <> (op_ e2_ e3_) /\ ((op_ e3_ e0_) <> (op_ e3_ e1_) /\ ((op_ e3_ e0_) <> (op_ e3_ e2_) /\ ((op_ e3_ e0_) <> (op_ e3_ e3_) /\ ((op_ e3_ e1_) <> (op_ e3_ e2_) /\ ((op_ e3_ e1_) <> (op_ e3_ e3_) /\ (op_ e3_ e2_) <> (op_ e3_ e3_)))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax10_10 : (e0_ <> e1_ /\ (e0_ <> e2_ /\ (e0_ <> e3_ /\ (e1_ <> e2_ /\ (e1_ <> e3_ /\ e2_ <> e3_))))).
Variable ax11_11 : ~((((op_ e0_ e0_) = e0_ /\ ((op_ e1_ e1_) = e0_ /\ ((op_ e2_ e2_) = e0_ /\ (op_ e3_ e3_) = e0_))) \/ (((op_ e0_ e0_) = e1_ /\ ((op_ e1_ e1_) = e1_ /\ ((op_ e2_ e2_) = e1_ /\ (op_ e3_ e3_) = e1_))) \/ (((op_ e0_ e0_) = e2_ /\ ((op_ e1_ e1_) = e2_ /\ ((op_ e2_ e2_) = e2_ /\ (op_ e3_ e3_) = e2_))) \/ ((op_ e0_ e0_) = e3_ /\ ((op_ e1_ e1_) = e3_ /\ ((op_ e2_ e2_) = e3_ /\ (op_ e3_ e3_) = e3_))))))).
Variable ax12_12 : ~((e0_ = (op_ (op_ e2_ (op_ e2_ e2_)) e2_) /\ (e1_ = (op_ e2_ (op_ e2_ e2_)) /\ e3_ = (op_ e2_ e2_)))).
Variable ax13_13 : ~((e0_ = (op_ (op_ e3_ (op_ e3_ e3_)) e3_) /\ (e1_ = (op_ e3_ (op_ e3_ e3_)) /\ e2_ = (op_ e3_ e3_)))).
Variable ax14_14 : ~((e0_ = (op_ (op_ e1_ (op_ e1_ e1_)) e1_) /\ (e2_ = (op_ e1_ (op_ e1_ e1_)) /\ e3_ = (op_ e1_ e1_)))).
Variable ax15_15 : ~((e0_ = (op_ (op_ e3_ (op_ e3_ e3_)) e3_) /\ (e2_ = (op_ e3_ (op_ e3_ e3_)) /\ e1_ = (op_ e3_ e3_)))).
Variable ax16_16 : ~((e0_ = (op_ (op_ e1_ (op_ e1_ e1_)) e1_) /\ (e3_ = (op_ e1_ (op_ e1_ e1_)) /\ e2_ = (op_ e1_ e1_)))).
Variable ax17_17 : ~((e0_ = (op_ (op_ e2_ (op_ e2_ e2_)) e2_) /\ (e3_ = (op_ e2_ (op_ e2_ e2_)) /\ e1_ = (op_ e2_ e2_)))).
Variable ax18_18 : ~((e1_ = (op_ (op_ e2_ (op_ e2_ e2_)) e2_) /\ (e0_ = (op_ e2_ (op_ e2_ e2_)) /\ e3_ = (op_ e2_ e2_)))).
Variable ax19_19 : ~((e1_ = (op_ (op_ e3_ (op_ e3_ e3_)) e3_) /\ (e0_ = (op_ e3_ (op_ e3_ e3_)) /\ e2_ = (op_ e3_ e3_)))).
Variable ax20_20 : ~((e1_ = (op_ (op_ e0_ (op_ e0_ e0_)) e0_) /\ (e2_ = (op_ e0_ (op_ e0_ e0_)) /\ e3_ = (op_ e0_ e0_)))).
Variable ax21_21 : ~((e1_ = (op_ (op_ e3_ (op_ e3_ e3_)) e3_) /\ (e2_ = (op_ e3_ (op_ e3_ e3_)) /\ e0_ = (op_ e3_ e3_)))).
Variable ax22_22 : ~((e1_ = (op_ (op_ e0_ (op_ e0_ e0_)) e0_) /\ (e3_ = (op_ e0_ (op_ e0_ e0_)) /\ e2_ = (op_ e0_ e0_)))).
Variable ax23_23 : ~((e1_ = (op_ (op_ e2_ (op_ e2_ e2_)) e2_) /\ (e3_ = (op_ e2_ (op_ e2_ e2_)) /\ e0_ = (op_ e2_ e2_)))).
Variable ax24_24 : ~((e2_ = (op_ (op_ e1_ (op_ e1_ e1_)) e1_) /\ (e0_ = (op_ e1_ (op_ e1_ e1_)) /\ e3_ = (op_ e1_ e1_)))).
Variable ax25_25 : ~((e2_ = (op_ (op_ e3_ (op_ e3_ e3_)) e3_) /\ (e0_ = (op_ e3_ (op_ e3_ e3_)) /\ e1_ = (op_ e3_ e3_)))).
Variable ax26_26 : ~((e2_ = (op_ (op_ e0_ (op_ e0_ e0_)) e0_) /\ (e1_ = (op_ e0_ (op_ e0_ e0_)) /\ e3_ = (op_ e0_ e0_)))).
Variable ax27_27 : ~((e2_ = (op_ (op_ e3_ (op_ e3_ e3_)) e3_) /\ (e1_ = (op_ e3_ (op_ e3_ e3_)) /\ e0_ = (op_ e3_ e3_)))).
Variable ax28_28 : ~((e2_ = (op_ (op_ e0_ (op_ e0_ e0_)) e0_) /\ (e3_ = (op_ e0_ (op_ e0_ e0_)) /\ e1_ = (op_ e0_ e0_)))).
Variable ax29_29 : ~((e2_ = (op_ (op_ e1_ (op_ e1_ e1_)) e1_) /\ (e3_ = (op_ e1_ (op_ e1_ e1_)) /\ e0_ = (op_ e1_ e1_)))).
Variable ax30_30 : ~((e3_ = (op_ (op_ e1_ (op_ e1_ e1_)) e1_) /\ (e0_ = (op_ e1_ (op_ e1_ e1_)) /\ e2_ = (op_ e1_ e1_)))).
Variable ax31_31 : ~((e3_ = (op_ (op_ e2_ (op_ e2_ e2_)) e2_) /\ (e0_ = (op_ e2_ (op_ e2_ e2_)) /\ e1_ = (op_ e2_ e2_)))).
Variable ax32_32 : ~((e3_ = (op_ (op_ e0_ (op_ e0_ e0_)) e0_) /\ (e1_ = (op_ e0_ (op_ e0_ e0_)) /\ e2_ = (op_ e0_ e0_)))).
Variable ax33_33 : ~((e3_ = (op_ (op_ e2_ (op_ e2_ e2_)) e2_) /\ (e1_ = (op_ e2_ (op_ e2_ e2_)) /\ e0_ = (op_ e2_ e2_)))).
Variable ax34_34 : ~((e3_ = (op_ (op_ e0_ (op_ e0_ e0_)) e0_) /\ (e2_ = (op_ e0_ (op_ e0_ e0_)) /\ e1_ = (op_ e0_ e0_)))).
Variable ax35_35 : ~((e3_ = (op_ (op_ e1_ (op_ e1_ e1_)) e1_) /\ (e2_ = (op_ e1_ (op_ e1_ e1_)) /\ e0_ = (op_ e1_ e1_)))).

Theorem conjecture_36 : False.
Proof.
  time hprover.
Qed.

End FOFProblem.
