(*
% File     : ALG210+2 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Star-algebras are closed under multiplication
% Version  : Especial.
%            Theorem formulation : Expanded.
% English  : 
% Refs     : [Col04] Colton (2004), Email to G.Sutcliffe
% Source   : [Col04]
% Names    : 
% Status   : Theorem
% Rating   : 0.18 v3.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    3 (   1 unit)
%            Number of atoms       :    8 (   4 equality)
%            Maximal formula depth :    7 (   5 average)
%            Number of connectives :    5 (   0 ~  ;   0  |;   3  &)
%                                         (   1 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 1-2 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :    8 (   0 singleton;   7 !;   1 ?)
%            Maximal term depth    :    3 (   2 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable element_ : Universe -> Prop.

Variable times_ : Universe -> Universe -> Universe.

Variable axiom_1_1 : (forall A B C : Universe, (times_ (times_ A B) C) = (times_ B (times_ C A))).
Variable axiom_2_2 : (forall B : Universe, (element_ B <-> (exists C : Universe, ((times_ B C) = B /\ (times_ B B) = C)))).

Theorem conjecture_1_3 : (forall A B C : Universe, ((element_ A /\ (element_ B /\ C = (times_ A B))) -> element_ C)).
Proof.
  time hprover.
Qed.

End FOFProblem.
