(*
% File     : CSR011+1 : ILTP v1.1.2
% Domain   : Commonsense Reasoning
% Problem  : Not stopped filling between times 0 and 3
% Version  : [Mue04] axioms : Especial.
% English  :
% Refs     : [MS05]  Mueller & Sutcliffe (2005), Reasoning in the Event Cal
%          : [Mue04] Mueller (2004), A Tool for Satisfiability-based Common
%          : [MS02]  Miller & Shanahan (2002), Some Alternative Formulation
% Source   : [MS05]
% Names    :
% Status   : Theorem
% Rating   : 0.73 v3.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :   55 (  25 unit)
%            Number of atoms       :  136 (  40 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  110 (  29 ~  ;   8  |;  43  &)
%                                         (  18 <=>;  12 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   13 (   0 propositional; 2-4 arity)
%            Number of functors    :   17 (  15 constant; 0-2 arity)
%            Number of variables   :   86 (   0 singleton;  74 !;  12 ?)
%            Maximal term depth    :    2 (   1 average)
% Comments :
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable trajectory_ : Universe -> Universe -> Universe -> Universe -> Prop.
Variable terminates_ : Universe -> Universe -> Universe -> Prop.
Variable stoppedIn_ : Universe -> Universe -> Universe -> Prop.
Variable startedIn_ : Universe -> Universe -> Universe -> Prop.
Variable releases_ : Universe -> Universe -> Universe -> Prop.
Variable releasedAt_ : Universe -> Universe -> Prop.
Variable less_or_equal_ : Universe -> Universe -> Prop.
Variable less_ : Universe -> Universe -> Prop.
Variable initiates_ : Universe -> Universe -> Universe -> Prop.
Variable holdsAt_ : Universe -> Universe -> Prop.
Variable happens_ : Universe -> Universe -> Prop.
Variable antitrajectory_ : Universe -> Universe -> Universe -> Universe -> Prop.

Variable waterLevel_ : Universe -> Universe.
Variable tapOn_ : Universe.
Variable tapOff_ : Universe.
Variable spilling_ : Universe.
Variable plus_ : Universe -> Universe -> Universe.
Variable overflow_ : Universe.
Variable n9_ : Universe.
Variable n8_ : Universe.
Variable n7_ : Universe.
Variable n6_ : Universe.
Variable n5_ : Universe.
Variable n4_ : Universe.
Variable n3_ : Universe.
Variable n2_ : Universe.
Variable n1_ : Universe.
Variable n0_ : Universe.
Variable filling_ : Universe.

Variable stoppedin_defn_1 : (forall Time1 Fluent Time2 : Universe, (stoppedIn_ Time1 Fluent Time2 <-> (exists Event Time : Universe, (happens_ Event Time /\ (less_ Time1 Time /\ (less_ Time Time2 /\ terminates_ Event Fluent Time)))))).
Variable startedin_defn_2 : (forall Time1 Time2 Fluent : Universe, (startedIn_ Time1 Fluent Time2 <-> (exists Event Time : Universe, (happens_ Event Time /\ (less_ Time1 Time /\ (less_ Time Time2 /\ initiates_ Event Fluent Time)))))).
Variable change_holding_3 : (forall Event Time Fluent Fluent2 Offset : Universe, ((happens_ Event Time /\ (initiates_ Event Fluent Time /\ (less_ n0_ Offset /\ (trajectory_ Fluent Time Fluent2 Offset /\ ~(stoppedIn_ Time Fluent (plus_ Time Offset)))))) -> holdsAt_ Fluent2 (plus_ Time Offset))).
Variable antitrajectory_4 : (forall Event Time1 Fluent1 Time2 Fluent2 : Universe, ((happens_ Event Time1 /\ (terminates_ Event Fluent1 Time1 /\ (less_ n0_ Time2 /\ (antitrajectory_ Fluent1 Time1 Fluent2 Time2 /\ ~(startedIn_ Time1 Fluent1 (plus_ Time1 Time2)))))) -> holdsAt_ Fluent2 (plus_ Time1 Time2))).
Variable keep_holding_5 : (forall Fluent Time : Universe, ((holdsAt_ Fluent Time /\ (~(releasedAt_ Fluent (plus_ Time n1_)) /\ ~((exists Event : Universe, (happens_ Event Time /\ terminates_ Event Fluent Time))))) -> holdsAt_ Fluent (plus_ Time n1_))).
Variable keep_not_holding_6 : (forall Fluent Time : Universe, ((~(holdsAt_ Fluent Time) /\ (~(releasedAt_ Fluent (plus_ Time n1_)) /\ ~((exists Event : Universe, (happens_ Event Time /\ initiates_ Event Fluent Time))))) -> ~(holdsAt_ Fluent (plus_ Time n1_)))).
Variable keep_released_7 : (forall Fluent Time : Universe, ((releasedAt_ Fluent Time /\ ~((exists Event : Universe, (happens_ Event Time /\ (initiates_ Event Fluent Time \/ terminates_ Event Fluent Time))))) -> releasedAt_ Fluent (plus_ Time n1_))).
Variable keep_not_released_8 : (forall Fluent Time : Universe, ((~(releasedAt_ Fluent Time) /\ ~((exists Event : Universe, (happens_ Event Time /\ releases_ Event Fluent Time)))) -> ~(releasedAt_ Fluent (plus_ Time n1_)))).
Variable happens_holds_9 : (forall Event Time Fluent : Universe, ((happens_ Event Time /\ initiates_ Event Fluent Time) -> holdsAt_ Fluent (plus_ Time n1_))).
Variable happens_terminates_not_holds_10 : (forall Event Time Fluent : Universe, ((happens_ Event Time /\ terminates_ Event Fluent Time) -> ~(holdsAt_ Fluent (plus_ Time n1_)))).
Variable happens_releases_11 : (forall Event Time Fluent : Universe, ((happens_ Event Time /\ releases_ Event Fluent Time) -> releasedAt_ Fluent (plus_ Time n1_))).
Variable happens_not_released_12 : (forall Event Time Fluent : Universe, ((happens_ Event Time /\ (initiates_ Event Fluent Time \/ terminates_ Event Fluent Time)) -> ~(releasedAt_ Fluent (plus_ Time n1_)))).
Variable initiates_all_defn_13 : (forall Event Fluent Time : Universe, (initiates_ Event Fluent Time <-> ((Event = tapOn_ /\ Fluent = filling_) \/ ((Event = overflow_ /\ Fluent = spilling_) \/ ((exists Height : Universe, (holdsAt_ (waterLevel_ Height) Time /\ (Event = tapOff_ /\ Fluent = (waterLevel_ Height)))) \/ (exists Height : Universe, (holdsAt_ (waterLevel_ Height) Time /\ (Event = overflow_ /\ Fluent = (waterLevel_ Height))))))))).
Variable terminates_all_defn_14 : (forall Event Fluent Time : Universe, (terminates_ Event Fluent Time <-> ((Event = tapOff_ /\ Fluent = filling_) \/ (Event = overflow_ /\ Fluent = filling_)))).
Variable releases_all_defn_15 : (forall Event Fluent Time : Universe, (releases_ Event Fluent Time <-> (exists Height : Universe, (Event = tapOn_ /\ Fluent = (waterLevel_ Height))))).
Variable happens_all_defn_16 : (forall Event Time : Universe, (happens_ Event Time <-> ((Event = tapOn_ /\ Time = n0_) \/ (holdsAt_ (waterLevel_ n3_) Time /\ (holdsAt_ filling_ Time /\ Event = overflow_))))).
Variable change_of_waterLevel_17 : (forall Height1 Time Height2 Offset : Universe, ((holdsAt_ (waterLevel_ Height1) Time /\ Height2 = (plus_ Height1 Offset)) -> trajectory_ filling_ Time (waterLevel_ Height2) Offset)).
Variable same_waterLevel_18 : (forall Time Height1 Height2 : Universe, ((holdsAt_ (waterLevel_ Height1) Time /\ holdsAt_ (waterLevel_ Height2) Time) -> Height1 = Height2)).
Variable tapOff_not_tapOn_19 : tapOff_ <> tapOn_.
Variable tapOff_not_overflow_20 : tapOff_ <> overflow_.
Variable overflow_not_tapOn_21 : overflow_ <> tapOn_.
Variable filling_not_waterLevel_22 : (forall X : Universe, filling_ <> (waterLevel_ X)).
Variable spilling_not_waterLevel_23 : (forall X : Universe, spilling_ <> (waterLevel_ X)).
Variable filling_not_spilling_24 : filling_ <> spilling_.
Variable distinct_waterLevels_25 : (forall X Y : Universe, ((waterLevel_ X) = (waterLevel_ Y) <-> X = Y)).
Variable plus0_0_26 : (plus_ n0_ n0_) = n0_.
Variable plus0_1_27 : (plus_ n0_ n1_) = n1_.
Variable plus0_2_28 : (plus_ n0_ n2_) = n2_.
Variable plus0_3_29 : (plus_ n0_ n3_) = n3_.
Variable plus1_1_30 : (plus_ n1_ n1_) = n2_.
Variable plus1_2_31 : (plus_ n1_ n2_) = n3_.
Variable plus1_3_32 : (plus_ n1_ n3_) = n4_.
Variable plus2_2_33 : (plus_ n2_ n2_) = n4_.
Variable plus2_3_34 : (plus_ n2_ n3_) = n5_.
Variable plus3_3_35 : (plus_ n3_ n3_) = n6_.
Variable symmetry_of_plus_36 : (forall X Y : Universe, (plus_ X Y) = (plus_ Y X)).
Variable less_or_equal_37 : (forall X Y : Universe, (less_or_equal_ X Y <-> (less_ X Y \/ X = Y))).
Variable less0_38 : ~((exists X : Universe, less_ X n0_)).
Variable less1_39 : (forall X : Universe, (less_ X n1_ <-> less_or_equal_ X n0_)).
Variable less2_40 : (forall X : Universe, (less_ X n2_ <-> less_or_equal_ X n1_)).
Variable less3_41 : (forall X : Universe, (less_ X n3_ <-> less_or_equal_ X n2_)).
Variable less4_42 : (forall X : Universe, (less_ X n4_ <-> less_or_equal_ X n3_)).
Variable less5_43 : (forall X : Universe, (less_ X n5_ <-> less_or_equal_ X n4_)).
Variable less6_44 : (forall X : Universe, (less_ X n6_ <-> less_or_equal_ X n5_)).
Variable less7_45 : (forall X : Universe, (less_ X n7_ <-> less_or_equal_ X n6_)).
Variable less8_46 : (forall X : Universe, (less_ X n8_ <-> less_or_equal_ X n7_)).
Variable less9_47 : (forall X : Universe, (less_ X n9_ <-> less_or_equal_ X n8_)).
Variable less_property_48 : (forall X Y : Universe, (less_ X Y <-> (~(less_ Y X) /\ Y <> X))).
Variable waterLevel_0_49 : holdsAt_ (waterLevel_ n0_) n0_.
Variable not_filling_0_50 : ~(holdsAt_ filling_ n0_).
Variable not_spilling_0_51 : ~(holdsAt_ spilling_ n0_).
Variable not_released_waterLevel_0_52 : (forall Height : Universe, ~(releasedAt_ (waterLevel_ Height) n0_)).
Variable not_released_filling_0_53 : ~(releasedAt_ filling_ n0_).
Variable not_released_spilling_0_54 : ~(releasedAt_ spilling_ n0_).

Theorem not_stopped_filling_0_3_55 : ~(stoppedIn_ n0_ filling_ n3_).
Proof.
  time hprover.
Qed.

End FOFProblem.
