(*
% File     : HAL005+1 : ILTP v1.1.2
% Domain   : Homological Algebra
% Problem  : Lemma for the short Five Lemma, Part 2
% Version  : [TPTP] axioms.
% English  :
% Refs     : [Wei94] Weibel (1994), An Introduction to Homological Algebra
% Source   : [TPTP]
% Names    :
% Status   : CounterSatisfiable
% Rating   : 0.67 v3.1.0, 1.00 v2.6.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :   32 (  17 unit)
%            Number of atoms       :   96 (  22 equality)
%            Maximal formula depth :   16 (   5 average)
%            Number of connectives :   64 (   0 ~  ;   0  |;  39  &)
%                                         (   2 <=>;  23 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    7 (   0 propositional; 1-4 arity)
%            Number of functors    :   17 (  14 constant; 0-3 arity)
%            Number of variables   :   76 (   0 singleton;  67 !;   9 ?)
%            Maximal term depth    :    3 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable surjection_ : Universe -> Prop.
Variable morphism_ : Universe -> Universe -> Universe -> Prop.
Variable injection_ : Universe -> Prop.
Variable exact_ : Universe -> Universe -> Prop.
Variable element_ : Universe -> Universe -> Prop.
Variable commute_ : Universe -> Universe -> Universe -> Universe -> Prop.

Variable zero_ : Universe -> Universe.
Variable subtract_ : Universe -> Universe -> Universe -> Universe.
Variable r_ : Universe.
Variable h_ : Universe.
Variable gammma_ : Universe.
Variable gamma_ : Universe.
Variable g_ : Universe.
Variable f_ : Universe.
Variable e_ : Universe.
Variable delta_ : Universe.
Variable d_ : Universe.
Variable c_ : Universe.
Variable beta_ : Universe.
Variable b_ : Universe.
Variable apply_ : Universe -> Universe -> Universe.
Variable alpha_ : Universe.
Variable a_ : Universe.

Variable morphism_1 : (forall Morphism Dom Cod : Universe, (morphism_ Morphism Dom Cod -> ((forall El : Universe, (element_ El Dom -> element_ (apply_ Morphism El) Cod)) /\ (apply_ Morphism (zero_ Dom)) = (zero_ Cod)))).
Variable injection_properties_2 : (forall Morphism Dom Cod : Universe, ((injection_ Morphism /\ morphism_ Morphism Dom Cod) -> (forall El1 El2 : Universe, ((element_ El1 Dom /\ (element_ El2 Dom /\ (apply_ Morphism El1) = (apply_ Morphism El2))) -> El1 = El2)))).
Variable properties_for_injection_3 : (forall Morphism Dom Cod : Universe, ((morphism_ Morphism Dom Cod /\ (forall El1 El2 : Universe, ((element_ El1 Dom /\ (element_ El2 Dom /\ (apply_ Morphism El1) = (apply_ Morphism El2))) -> El1 = El2))) -> injection_ Morphism)).
Variable surjection_properties_4 : (forall Morphism Dom Cod : Universe, ((surjection_ Morphism /\ morphism_ Morphism Dom Cod) -> (forall ElCod : Universe, (element_ ElCod Cod -> (exists ElDom : Universe, (element_ ElDom Dom /\ (apply_ Morphism ElDom) = ElCod)))))).
Variable properties_for_surjection_5 : (forall Morphism Dom Cod : Universe, ((morphism_ Morphism Dom Cod /\ (forall ElCod : Universe, (element_ ElCod Cod -> (exists ElDom : Universe, (element_ ElDom Dom /\ (apply_ Morphism ElDom) = ElCod))))) -> surjection_ Morphism)).
Variable exact_properties_6 : (forall Morphism1 Morphism2 Dom CodDom Cod : Universe, ((exact_ Morphism1 Morphism2 /\ (morphism_ Morphism1 Dom CodDom /\ morphism_ Morphism2 CodDom Cod)) -> (forall ElCodDom : Universe, ((element_ ElCodDom CodDom /\ (apply_ Morphism2 ElCodDom) = (zero_ Cod)) <-> (exists ElDom : Universe, (element_ ElDom Dom /\ (apply_ Morphism1 ElDom) = ElCodDom)))))).
Variable properties_for_exact_7 : (forall Morphism1 Morphism2 Dom CodDom Cod : Universe, ((morphism_ Morphism1 Dom CodDom /\ (morphism_ Morphism2 CodDom Cod /\ (forall ElCodDom : Universe, ((element_ ElCodDom CodDom /\ (apply_ Morphism2 ElCodDom) = (zero_ Cod)) <-> (exists ElDom : Universe, (element_ ElDom Dom /\ (apply_ Morphism1 ElDom) = ElCodDom)))))) -> exact_ Morphism1 Morphism2)).
Variable commute_properties_8 : (forall M1 M2 M3 M4 Dom DomCod1 DomCod2 Cod : Universe, ((commute_ M1 M2 M3 M4 /\ (morphism_ M1 Dom DomCod1 /\ (morphism_ M2 DomCod1 Cod /\ (morphism_ M3 Dom DomCod2 /\ morphism_ M4 DomCod2 Cod)))) -> (forall ElDom : Universe, (element_ ElDom Dom -> (apply_ M2 (apply_ M1 ElDom)) = (apply_ M4 (apply_ M3 ElDom)))))).
Variable properties_for_commute_9 : (forall M1 M2 M3 M4 Dom DomCod1 DomCod2 Cod : Universe, ((morphism_ M1 Dom DomCod1 /\ (morphism_ M2 DomCod1 Cod /\ (morphism_ M3 Dom DomCod2 /\ (morphism_ M4 DomCod2 Cod /\ (forall ElDom : Universe, (element_ ElDom Dom -> (apply_ M2 (apply_ M1 ElDom)) = (apply_ M4 (apply_ M3 ElDom)))))))) -> commute_ M1 M2 M3 M4)).
Variable subtract_in_domain_10 : (forall Dom El1 El2 : Universe, ((element_ El1 Dom /\ element_ El2 Dom) -> element_ (subtract_ Dom El1 El2) Dom)).
Variable subtract_to_0_11 : (forall Dom El : Universe, (element_ El Dom -> (subtract_ Dom El El) = (zero_ Dom))).
Variable subtract_cancellation_12 : (forall Dom El1 El2 : Universe, ((element_ El1 Dom /\ element_ El2 Dom) -> (subtract_ Dom El1 (subtract_ Dom El1 El2)) = El2)).
Variable subtract_distribution_13 : (forall Morphism Dom Cod : Universe, (morphism_ Morphism Dom Cod -> (forall El1 El2 : Universe, ((element_ El1 Dom /\ element_ El2 Dom) -> (apply_ Morphism (subtract_ Dom El1 El2)) = (subtract_ Cod (apply_ Morphism El1) (apply_ Morphism El2)))))).
Variable alpha_morphism_14 : morphism_ alpha_ a_ b_.
Variable beta_morphism_15 : morphism_ beta_ b_ c_.
Variable gamma_morphism_16 : morphism_ gamma_ d_ e_.
Variable delta_morphism_17 : morphism_ delta_ e_ r_.
Variable f_morphism_18 : morphism_ f_ a_ d_.
Variable g_morphism_19 : morphism_ g_ b_ e_.
Variable h_morphism_20 : morphism_ h_ c_ r_.
Variable alpha_injection_21 : injection_ alpha_.
Variable gamma_injection_22 : injection_ gamma_.
Variable beta_surjection_23 : surjection_ beta_.
Variable delta_surjection_24 : surjection_ delta_.
Variable alpha_beta_exact_25 : exact_ alpha_ beta_.
Variable gamma_delta_exact_26 : exact_ gammma_ delta_.
Variable alpha_g_f_gamma_commute_27 : commute_ alpha_ g_ f_ gamma_.
Variable beta_h_g_delta_commute_28 : commute_ beta_ h_ g_ delta_.
Variable f_surjection_29 : surjection_ f_.
Variable h_surjection_30 : surjection_ h_.
Variable lemma3_31 : (forall E : Universe, (element_ E e_ -> (exists R B1 : Universe, (element_ R r_ /\ ((apply_ delta_ E) = R /\ (element_ B1 b_ /\ ((apply_ h_ (apply_ beta_ B1)) = R /\ (apply_ delta_ (apply_ g_ B1)) = R))))))).

Theorem lemma8_32 : (forall E : Universe, (element_ E e_ -> (exists B1 E1 A : Universe, (element_ B1 b_ /\ (element_ E1 e_ /\ ((subtract_ e_ (apply_ g_ B1) E) = E1 /\ (element_ A a_ /\ ((apply_ gamma_ (apply_ f_ A)) = E1 /\ (apply_ g_ (apply_ alpha_ A)) = E1)))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
