(*
% File     : KRS106+1 : ILTP v1.1.2
% Domain   : Knowledge Representation (Semantic Web)
% Problem  : DL Test: fact3.1
% Version  : Especial.
% English  : 
% Refs     : [Bec03] Bechhofer (2003), Email to G. Sutcliffe
%          : [TR+04] Tsarkov et al. (2004), Using Vampire to Reason with OW
% Source   : [Bec03]
% Names    : inconsistent_description-logic-Manifest603 [Bec03]
% Status   : Unsatisfiable
% Rating   : 0.00 v3.1.0
% Status (intuit.) : Theorem (Problem negated)
% Rating (intuit.) : 0.75 v1.1.0
% Syntax   : Number of formulae    :   27 (   1 unit)
%            Number of atoms       :   77 (  19 equality)
%            Maximal formula depth :    7 (   5 average)
%            Number of connectives :   53 (   3 ~  ;   0  |;  25  &)
%                                         (   4 <=>;  21 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   13 (   0 propositional; 1-2 arity)
%            Number of functors    :    1 (   1 constant; 0-0 arity)
%            Number of variables   :   63 (   0 singleton;  58 !;   5 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : Sean Bechhofer says there are some errors in the encoding of
%            datatypes, so this problem may not be perfect. At least it's
%            still representative of the type of reasoning required for OWL.
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable xsd_string_ : Universe -> Prop.
Variable xsd_integer_ : Universe -> Prop.
Variable rf3_ : Universe -> Universe -> Prop.
Variable rf2_ : Universe -> Universe -> Prop.
Variable rf1_ : Universe -> Universe -> Prop.
Variable ra_Px1_ : Universe -> Universe -> Prop.
Variable cp2_ : Universe -> Prop.
Variable cp1xcomp_ : Universe -> Prop.
Variable cp1_ : Universe -> Prop.
Variable cowlThing_ : Universe -> Prop.
Variable cowlNothing_ : Universe -> Prop.
Variable cUnsatisfiable_ : Universe -> Prop.

Variable i2003_11_14_17_20_57644_ : Universe.

Variable cUnsatisfiable_substitution_1_1 : (forall A B : Universe, ((A = B /\ cUnsatisfiable_ A) -> cUnsatisfiable_ B)).
Variable cowlNothing_substitution_1_2 : (forall A B : Universe, ((A = B /\ cowlNothing_ A) -> cowlNothing_ B)).
Variable cowlThing_substitution_1_3 : (forall A B : Universe, ((A = B /\ cowlThing_ A) -> cowlThing_ B)).
Variable cp1_substitution_1_4 : (forall A B : Universe, ((A = B /\ cp1_ A) -> cp1_ B)).
Variable cp1xcomp_substitution_1_5 : (forall A B : Universe, ((A = B /\ cp1xcomp_ A) -> cp1xcomp_ B)).
Variable cp2_substitution_1_6 : (forall A B : Universe, ((A = B /\ cp2_ A) -> cp2_ B)).
Variable ra_Px1_substitution_1_7 : (forall A B C : Universe, ((A = B /\ ra_Px1_ A C) -> ra_Px1_ B C)).
Variable ra_Px1_substitution_2_8 : (forall A B C : Universe, ((A = B /\ ra_Px1_ C A) -> ra_Px1_ C B)).
Variable rf1_substitution_1_9 : (forall A B C : Universe, ((A = B /\ rf1_ A C) -> rf1_ B C)).
Variable rf1_substitution_2_10 : (forall A B C : Universe, ((A = B /\ rf1_ C A) -> rf1_ C B)).
Variable rf2_substitution_1_11 : (forall A B C : Universe, ((A = B /\ rf2_ A C) -> rf2_ B C)).
Variable rf2_substitution_2_12 : (forall A B C : Universe, ((A = B /\ rf2_ C A) -> rf2_ C B)).
Variable rf3_substitution_1_13 : (forall A B C : Universe, ((A = B /\ rf3_ A C) -> rf3_ B C)).
Variable rf3_substitution_2_14 : (forall A B C : Universe, ((A = B /\ rf3_ C A) -> rf3_ C B)).
Variable xsd_integer_substitution_1_15 : (forall A B : Universe, ((A = B /\ xsd_integer_ A) -> xsd_integer_ B)).
Variable xsd_string_substitution_1_16 : (forall A B : Universe, ((A = B /\ xsd_string_ A) -> xsd_string_ B)).
Variable axiom_0_17 : (forall X : Universe, (cowlThing_ X /\ ~(cowlNothing_ X))).
Variable axiom_1_18 : (forall X : Universe, (xsd_string_ X <-> ~(xsd_integer_ X))).
Variable axiom_2_19 : (forall X : Universe, (cUnsatisfiable_ X <-> ((exists Y : Universe, (rf3_ X Y /\ cp2_ Y)) /\ ((exists Y : Universe, (rf1_ X Y /\ cp1_ Y)) /\ (exists Y : Universe, (rf2_ X Y /\ cp1xcomp_ Y)))))).
Variable axiom_3_20 : (forall X : Universe, (cp1_ X <-> ~((exists Y : Universe, ra_Px1_ X Y)))).
Variable axiom_4_21 : (forall X : Universe, (cp1xcomp_ X <-> (exists Y0 : Universe, ra_Px1_ X Y0))).
Variable axiom_5_22 : (forall X Y Z : Universe, ((rf1_ X Y /\ rf1_ X Z) -> Y = Z)).
Variable axiom_6_23 : (forall X Y Z : Universe, ((rf2_ X Y /\ rf2_ X Z) -> Y = Z)).
Variable axiom_7_24 : (forall X Y Z : Universe, ((rf3_ X Y /\ rf3_ X Z) -> Y = Z)).
Variable axiom_8_25 : cUnsatisfiable_ i2003_11_14_17_20_57644_.
Variable axiom_9_26 : (forall X Y : Universe, (rf3_ X Y -> rf1_ X Y)).
Variable axiom_10_27 : (forall X Y : Universe, (rf3_ X Y -> rf2_ X Y)).

Theorem conjecture_28 : False.
Proof.
  time hprover.
Qed.

End FOFProblem.
