(*
% File     : KRS154+1 : ILTP v1.1.2
% Domain   : Knowledge Representation (Semantic Web)
% Problem  : DL Test: k_branch ABox test from DL98 systems comparison
% Version  : Especial.
% English  : 
% Refs     : [Bec03] Bechhofer (2003), Email to G. Sutcliffe
%          : [TR+04] Tsarkov et al. (2004), Using Vampire to Reason with OW
% Source   : [Bec03]
% Names    : positive_description-logic-Manifest661 [Bec03]
% Status   : Theorem
% Rating   : 0.22 v3.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :  170 (  20 unit)
%            Number of atoms       :  397 (   0 equality)
%            Maximal formula depth :   11 (   4 average)
%            Number of connectives :  270 (  43 ~  ;   0  |;  78  &)
%                                         ( 146 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  154 (   0 propositional; 1-2 arity)
%            Number of functors    :    1 (   1 constant; 0-0 arity)
%            Number of variables   :  242 (   0 singleton; 151 !;  91 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : Sean Bechhofer says there are some errors in the encoding of
%            datatypes, so this problem may not be perfect. At least it's
%            still representative of the type of reasoning required for OWL.
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable xsd_string_ : Universe -> Prop.
Variable xsd_integer_ : Universe -> Prop.
Variable ra_Px9_ : Universe -> Universe -> Prop.
Variable ra_Px8_ : Universe -> Universe -> Prop.
Variable ra_Px7_ : Universe -> Universe -> Prop.
Variable ra_Px65_ : Universe -> Universe -> Prop.
Variable ra_Px64_ : Universe -> Universe -> Prop.
Variable ra_Px63_ : Universe -> Universe -> Prop.
Variable ra_Px6_ : Universe -> Universe -> Prop.
Variable ra_Px56_ : Universe -> Universe -> Prop.
Variable ra_Px53_ : Universe -> Universe -> Prop.
Variable ra_Px52_ : Universe -> Universe -> Prop.
Variable ra_Px49_ : Universe -> Universe -> Prop.
Variable ra_Px48_ : Universe -> Universe -> Prop.
Variable ra_Px47_ : Universe -> Universe -> Prop.
Variable ra_Px46_ : Universe -> Universe -> Prop.
Variable ra_Px45_ : Universe -> Universe -> Prop.
Variable ra_Px44_ : Universe -> Universe -> Prop.
Variable ra_Px4_ : Universe -> Universe -> Prop.
Variable ra_Px39_ : Universe -> Universe -> Prop.
Variable ra_Px38_ : Universe -> Universe -> Prop.
Variable ra_Px37_ : Universe -> Universe -> Prop.
Variable ra_Px36_ : Universe -> Universe -> Prop.
Variable ra_Px35_ : Universe -> Universe -> Prop.
Variable ra_Px30_ : Universe -> Universe -> Prop.
Variable ra_Px3_ : Universe -> Universe -> Prop.
Variable ra_Px29_ : Universe -> Universe -> Prop.
Variable ra_Px28_ : Universe -> Universe -> Prop.
Variable ra_Px25_ : Universe -> Universe -> Prop.
Variable ra_Px24_ : Universe -> Universe -> Prop.
Variable ra_Px22_ : Universe -> Universe -> Prop.
Variable ra_Px21_ : Universe -> Universe -> Prop.
Variable ra_Px20_ : Universe -> Universe -> Prop.
Variable ra_Px2_ : Universe -> Universe -> Prop.
Variable ra_Px16_ : Universe -> Universe -> Prop.
Variable ra_Px15_ : Universe -> Universe -> Prop.
Variable ra_Px14_ : Universe -> Universe -> Prop.
Variable ra_Px13_ : Universe -> Universe -> Prop.
Variable ra_Px12_ : Universe -> Universe -> Prop.
Variable ra_Px11_ : Universe -> Universe -> Prop.
Variable ra_Px1_ : Universe -> Universe -> Prop.
Variable rR1_ : Universe -> Universe -> Prop.
Variable cowlThing_ : Universe -> Prop.
Variable cowlNothing_ : Universe -> Prop.
Variable cTEST_ : Universe -> Prop.
Variable cC98xcomp_ : Universe -> Prop.
Variable cC98_ : Universe -> Prop.
Variable cC96xcomp_ : Universe -> Prop.
Variable cC96_ : Universe -> Prop.
Variable cC94xcomp_ : Universe -> Prop.
Variable cC94_ : Universe -> Prop.
Variable cC92xcomp_ : Universe -> Prop.
Variable cC92_ : Universe -> Prop.
Variable cC90xcomp_ : Universe -> Prop.
Variable cC90_ : Universe -> Prop.
Variable cC8xcomp_ : Universe -> Prop.
Variable cC88xcomp_ : Universe -> Prop.
Variable cC88_ : Universe -> Prop.
Variable cC86xcomp_ : Universe -> Prop.
Variable cC86_ : Universe -> Prop.
Variable cC84xcomp_ : Universe -> Prop.
Variable cC84_ : Universe -> Prop.
Variable cC82xcomp_ : Universe -> Prop.
Variable cC82_ : Universe -> Prop.
Variable cC80_ : Universe -> Prop.
Variable cC8_ : Universe -> Prop.
Variable cC78xcomp_ : Universe -> Prop.
Variable cC78_ : Universe -> Prop.
Variable cC76xcomp_ : Universe -> Prop.
Variable cC76_ : Universe -> Prop.
Variable cC74_ : Universe -> Prop.
Variable cC72xcomp_ : Universe -> Prop.
Variable cC72_ : Universe -> Prop.
Variable cC70_ : Universe -> Prop.
Variable cC68xcomp_ : Universe -> Prop.
Variable cC68_ : Universe -> Prop.
Variable cC66_ : Universe -> Prop.
Variable cC64_ : Universe -> Prop.
Variable cC62_ : Universe -> Prop.
Variable cC60_ : Universe -> Prop.
Variable cC6_ : Universe -> Prop.
Variable cC58_ : Universe -> Prop.
Variable cC56_ : Universe -> Prop.
Variable cC54_ : Universe -> Prop.
Variable cC52_ : Universe -> Prop.
Variable cC50xcomp_ : Universe -> Prop.
Variable cC50_ : Universe -> Prop.
Variable cC4xcomp_ : Universe -> Prop.
Variable cC48xcomp_ : Universe -> Prop.
Variable cC48_ : Universe -> Prop.
Variable cC46xcomp_ : Universe -> Prop.
Variable cC46_ : Universe -> Prop.
Variable cC44_ : Universe -> Prop.
Variable cC42_ : Universe -> Prop.
Variable cC40xcomp_ : Universe -> Prop.
Variable cC40_ : Universe -> Prop.
Variable cC4_ : Universe -> Prop.
Variable cC38_ : Universe -> Prop.
Variable cC36_ : Universe -> Prop.
Variable cC34xcomp_ : Universe -> Prop.
Variable cC34_ : Universe -> Prop.
Variable cC32xcomp_ : Universe -> Prop.
Variable cC32_ : Universe -> Prop.
Variable cC30xcomp_ : Universe -> Prop.
Variable cC30_ : Universe -> Prop.
Variable cC2xcomp_ : Universe -> Prop.
Variable cC28xcomp_ : Universe -> Prop.
Variable cC28_ : Universe -> Prop.
Variable cC26_ : Universe -> Prop.
Variable cC24_ : Universe -> Prop.
Variable cC22xcomp_ : Universe -> Prop.
Variable cC22_ : Universe -> Prop.
Variable cC20_ : Universe -> Prop.
Variable cC2_ : Universe -> Prop.
Variable cC18xcomp_ : Universe -> Prop.
Variable cC18_ : Universe -> Prop.
Variable cC16xcomp_ : Universe -> Prop.
Variable cC16_ : Universe -> Prop.
Variable cC140_ : Universe -> Prop.
Variable cC14_ : Universe -> Prop.
Variable cC138xcomp_ : Universe -> Prop.
Variable cC138_ : Universe -> Prop.
Variable cC136xcomp_ : Universe -> Prop.
Variable cC136_ : Universe -> Prop.
Variable cC134xcomp_ : Universe -> Prop.
Variable cC134_ : Universe -> Prop.
Variable cC132xcomp_ : Universe -> Prop.
Variable cC132_ : Universe -> Prop.
Variable cC130xcomp_ : Universe -> Prop.
Variable cC130_ : Universe -> Prop.
Variable cC12xcomp_ : Universe -> Prop.
Variable cC128_ : Universe -> Prop.
Variable cC126_ : Universe -> Prop.
Variable cC124_ : Universe -> Prop.
Variable cC122_ : Universe -> Prop.
Variable cC120_ : Universe -> Prop.
Variable cC12_ : Universe -> Prop.
Variable cC118_ : Universe -> Prop.
Variable cC116_ : Universe -> Prop.
Variable cC114_ : Universe -> Prop.
Variable cC112xcomp_ : Universe -> Prop.
Variable cC112_ : Universe -> Prop.
Variable cC110xcomp_ : Universe -> Prop.
Variable cC110_ : Universe -> Prop.
Variable cC10xcomp_ : Universe -> Prop.
Variable cC108xcomp_ : Universe -> Prop.
Variable cC108_ : Universe -> Prop.
Variable cC106_ : Universe -> Prop.
Variable cC104_ : Universe -> Prop.
Variable cC102xcomp_ : Universe -> Prop.
Variable cC102_ : Universe -> Prop.
Variable cC100xcomp_ : Universe -> Prop.
Variable cC100_ : Universe -> Prop.
Variable cC10_ : Universe -> Prop.

Variable iV822576_ : Universe.

Variable axiom_0_1 : (forall X : Universe, (cowlThing_ X /\ ~(cowlNothing_ X))).
Variable axiom_1_2 : (forall X : Universe, (xsd_string_ X <-> ~(xsd_integer_ X))).
Variable axiom_2_3 : (forall X : Universe, (cC10_ X <-> ~((exists Y : Universe, ra_Px16_ X Y)))).
Variable axiom_3_4 : (forall X : Universe, (cC10xcomp_ X <-> (exists Y0 : Universe, ra_Px16_ X Y0))).
Variable axiom_4_5 : (forall X : Universe, (cC100_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC98_ Y)))).
Variable axiom_5_6 : (forall X : Universe, (cC100_ X <-> ~((exists Y : Universe, ra_Px49_ X Y)))).
Variable axiom_6_7 : (forall X : Universe, (cC100xcomp_ X <-> (exists Y0 : Universe, ra_Px49_ X Y0))).
Variable axiom_7_8 : (forall X : Universe, (cC102_ X <-> (exists Y0 : Universe, ra_Px35_ X Y0))).
Variable axiom_8_9 : (forall X : Universe, (cC102_ X <-> (cC34_ X /\ cC100_ X))).
Variable axiom_9_10 : (forall X : Universe, (cC102xcomp_ X <-> ~((exists Y : Universe, ra_Px35_ X Y)))).
Variable axiom_10_11 : (forall X : Universe, (cC104_ X <-> (cC4_ X /\ cC34_ X))).
Variable axiom_11_12 : (forall X : Universe, (cC106_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC104_ Y)))).
Variable axiom_12_13 : (forall X : Universe, (cC108_ X <-> (cC34xcomp_ X /\ cC106_ X))).
Variable axiom_13_14 : (forall X : Universe, (cC108_ X <-> (exists Y0 : Universe, ra_Px36_ X Y0))).
Variable axiom_14_15 : (forall X : Universe, (cC108xcomp_ X <-> ~((exists Y : Universe, ra_Px36_ X Y)))).
Variable axiom_15_16 : (forall X : Universe, (cC110_ X <-> (cC102xcomp_ X /\ cC108xcomp_ X))).
Variable axiom_16_17 : (forall X : Universe, (cC110_ X <-> ~((exists Y : Universe, ra_Px37_ X Y)))).
Variable axiom_17_18 : (forall X : Universe, (cC110xcomp_ X <-> (exists Y0 : Universe, ra_Px37_ X Y0))).
Variable axiom_18_19 : (forall X : Universe, (cC112_ X <-> (cC4_ X /\ cC110xcomp_ X))).
Variable axiom_19_20 : (forall X : Universe, (cC112_ X <-> (exists Y0 : Universe, ra_Px39_ X Y0))).
Variable axiom_20_21 : (forall X : Universe, (cC112xcomp_ X <-> ~((exists Y : Universe, ra_Px39_ X Y)))).
Variable axiom_21_22 : (forall X : Universe, (cC114_ X <-> (cC112xcomp_ X /\ cC96xcomp_ X))).
Variable axiom_22_23 : (forall X : Universe, (cC116_ X <-> (cC114_ X /\ cC80_ X))).
Variable axiom_23_24 : (forall X : Universe, (cC118_ X <-> (cC4_ X /\ cC10xcomp_ X))).
Variable axiom_24_25 : (forall X : Universe, (cC12_ X <-> (cC10_ X /\ cC4xcomp_ X))).
Variable axiom_25_26 : (forall X : Universe, (cC12_ X <-> (exists Y0 : Universe, ra_Px3_ X Y0))).
Variable axiom_26_27 : (forall X : Universe, (cC12xcomp_ X <-> ~((exists Y : Universe, ra_Px3_ X Y)))).
Variable axiom_27_28 : (forall X : Universe, (cC120_ X <-> (cC118_ X /\ cC34_ X))).
Variable axiom_28_29 : (forall X : Universe, (cC122_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC120_ Y)))).
Variable axiom_29_30 : (forall X : Universe, (cC124_ X <-> (cC4_ X /\ cC10xcomp_ X))).
Variable axiom_30_31 : (forall X : Universe, (cC126_ X <-> (cC34xcomp_ X /\ cC124_ X))).
Variable axiom_31_32 : (forall X : Universe, (cC128_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC126_ Y)))).
Variable axiom_32_33 : (forall X : Universe, (cC130_ X <-> (cC128_ X /\ cC122_ X))).
Variable axiom_33_34 : (forall X : Universe, (cC130_ X <-> (exists Y0 : Universe, ra_Px44_ X Y0))).
Variable axiom_34_35 : (forall X : Universe, (cC130xcomp_ X <-> ~((exists Y : Universe, ra_Px44_ X Y)))).
Variable axiom_35_36 : (forall X : Universe, (cC132_ X <-> (cC2_ X /\ cC4xcomp_ X))).
Variable axiom_36_37 : (forall X : Universe, (cC132_ X <-> (exists Y0 : Universe, ra_Px48_ X Y0))).
Variable axiom_37_38 : (forall X : Universe, (cC132xcomp_ X <-> ~((exists Y : Universe, ra_Px48_ X Y)))).
Variable axiom_38_39 : (forall X : Universe, (cC134_ X <-> (cC130xcomp_ X /\ cC132_ X))).
Variable axiom_39_40 : (forall X : Universe, (cC134_ X <-> (exists Y0 : Universe, ra_Px45_ X Y0))).
Variable axiom_40_41 : (forall X : Universe, (cC134xcomp_ X <-> ~((exists Y : Universe, ra_Px45_ X Y)))).
Variable axiom_41_42 : (forall X : Universe, (cC136_ X <-> ~((exists Y : Universe, ra_Px46_ X Y)))).
Variable axiom_42_43 : (forall X : Universe, (cC136_ X <-> (cC134xcomp_ X /\ cC116_ X))).
Variable axiom_43_44 : (forall X : Universe, (cC136xcomp_ X <-> (exists Y0 : Universe, ra_Px46_ X Y0))).
Variable axiom_44_45 : (forall X : Universe, (cC138_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC136xcomp_ Y)))).
Variable axiom_45_46 : (forall X : Universe, (cC138_ X <-> (exists Y0 : Universe, ra_Px47_ X Y0))).
Variable axiom_46_47 : (forall X : Universe, (cC138xcomp_ X <-> ~((exists Y : Universe, ra_Px47_ X Y)))).
Variable axiom_47_48 : (forall X : Universe, (cC14_ X <-> (cC12xcomp_ X /\ cC8xcomp_ X))).
Variable axiom_48_49 : (forall X : Universe, (cC140_ X <-> (cC74_ X /\ cC138xcomp_ X))).
Variable axiom_49_50 : (forall X : Universe, (cC16_ X <-> ~((exists Y : Universe, ra_Px4_ X Y)))).
Variable axiom_50_51 : (forall X : Universe, (cC16xcomp_ X <-> (exists Y0 : Universe, ra_Px4_ X Y0))).
Variable axiom_51_52 : (forall X : Universe, (cC18_ X <-> (cC2_ X /\ cC16xcomp_ X))).
Variable axiom_52_53 : (forall X : Universe, (cC18_ X <-> (exists Y0 : Universe, ra_Px56_ X Y0))).
Variable axiom_53_54 : (forall X : Universe, (cC18xcomp_ X <-> ~((exists Y : Universe, ra_Px56_ X Y)))).
Variable axiom_54_55 : (forall X : Universe, (cC2_ X <-> ~((exists Y : Universe, ra_Px22_ X Y)))).
Variable axiom_55_56 : (forall X : Universe, (cC2xcomp_ X <-> (exists Y0 : Universe, ra_Px22_ X Y0))).
Variable axiom_56_57 : (forall X : Universe, (cC20_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC18_ Y)))).
Variable axiom_57_58 : (forall X : Universe, (cC22_ X <-> (cC16_ X /\ cC20_ X))).
Variable axiom_58_59 : (forall X : Universe, (cC22_ X <-> (exists Y0 : Universe, ra_Px6_ X Y0))).
Variable axiom_59_60 : (forall X : Universe, (cC22xcomp_ X <-> ~((exists Y : Universe, ra_Px6_ X Y)))).
Variable axiom_60_61 : (forall X : Universe, (cC24_ X <-> (cC16_ X /\ cC2_ X))).
Variable axiom_61_62 : (forall X : Universe, (cC26_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC24_ Y)))).
Variable axiom_62_63 : (forall X : Universe, (cC28_ X <-> ~((exists Y : Universe, ra_Px7_ X Y)))).
Variable axiom_63_64 : (forall X : Universe, (cC28_ X <-> (cC26_ X /\ cC16xcomp_ X))).
Variable axiom_64_65 : (forall X : Universe, (cC28xcomp_ X <-> (exists Y0 : Universe, ra_Px7_ X Y0))).
Variable axiom_65_66 : (forall X : Universe, (cC30_ X <-> (exists Y0 : Universe, ra_Px8_ X Y0))).
Variable axiom_66_67 : (forall X : Universe, (cC30_ X <-> (cC22xcomp_ X /\ cC28xcomp_ X))).
Variable axiom_67_68 : (forall X : Universe, (cC30xcomp_ X <-> ~((exists Y : Universe, ra_Px8_ X Y)))).
Variable axiom_68_69 : (forall X : Universe, (cC32_ X <-> (cC2_ X /\ cC30xcomp_ X))).
Variable axiom_69_70 : (forall X : Universe, (cC32_ X <-> (exists Y0 : Universe, ra_Px14_ X Y0))).
Variable axiom_70_71 : (forall X : Universe, (cC32xcomp_ X <-> ~((exists Y : Universe, ra_Px14_ X Y)))).
Variable axiom_71_72 : (forall X : Universe, (cC34_ X <-> (exists Y0 : Universe, ra_Px9_ X Y0))).
Variable axiom_72_73 : (forall X : Universe, (cC34xcomp_ X <-> ~((exists Y : Universe, ra_Px9_ X Y)))).
Variable axiom_73_74 : (forall X : Universe, (cC36_ X <-> (cC34xcomp_ X /\ cC4_ X))).
Variable axiom_74_75 : (forall X : Universe, (cC38_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC36_ Y)))).
Variable axiom_75_76 : (forall X : Universe, (cC4_ X <-> ~((exists Y : Universe, ra_Px1_ X Y)))).
Variable axiom_76_77 : (forall X : Universe, (cC4xcomp_ X <-> (exists Y0 : Universe, ra_Px1_ X Y0))).
Variable axiom_77_78 : (forall X : Universe, (cC40_ X <-> (exists Y0 : Universe, ra_Px11_ X Y0))).
Variable axiom_78_79 : (forall X : Universe, (cC40_ X <-> (cC34_ X /\ cC38_ X))).
Variable axiom_79_80 : (forall X : Universe, (cC40xcomp_ X <-> ~((exists Y : Universe, ra_Px11_ X Y)))).
Variable axiom_80_81 : (forall X : Universe, (cC42_ X <-> (cC4_ X /\ cC34_ X))).
Variable axiom_81_82 : (forall X : Universe, (cC44_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC42_ Y)))).
Variable axiom_82_83 : (forall X : Universe, (cC46_ X <-> (exists Y0 : Universe, ra_Px12_ X Y0))).
Variable axiom_83_84 : (forall X : Universe, (cC46_ X <-> (cC34xcomp_ X /\ cC44_ X))).
Variable axiom_84_85 : (forall X : Universe, (cC46xcomp_ X <-> ~((exists Y : Universe, ra_Px12_ X Y)))).
Variable axiom_85_86 : (forall X : Universe, (cC48_ X <-> ~((exists Y : Universe, ra_Px13_ X Y)))).
Variable axiom_86_87 : (forall X : Universe, (cC48_ X <-> (cC40xcomp_ X /\ cC46xcomp_ X))).
Variable axiom_87_88 : (forall X : Universe, (cC48xcomp_ X <-> (exists Y0 : Universe, ra_Px13_ X Y0))).
Variable axiom_88_89 : (forall X : Universe, (cC50_ X <-> (exists Y0 : Universe, ra_Px15_ X Y0))).
Variable axiom_89_90 : (forall X : Universe, (cC50_ X <-> (cC4_ X /\ cC48xcomp_ X))).
Variable axiom_90_91 : (forall X : Universe, (cC50xcomp_ X <-> ~((exists Y : Universe, ra_Px15_ X Y)))).
Variable axiom_91_92 : (forall X : Universe, (cC52_ X <-> (cC32xcomp_ X /\ cC50xcomp_ X))).
Variable axiom_92_93 : (forall X : Universe, (cC54_ X <-> (cC14_ X /\ cC52_ X))).
Variable axiom_93_94 : (forall X : Universe, (cC56_ X <-> (cC4_ X /\ cC10xcomp_ X))).
Variable axiom_94_95 : (forall X : Universe, (cC58_ X <-> (cC34_ X /\ cC56_ X))).
Variable axiom_95_96 : (forall X : Universe, (cC6_ X <-> (cC2_ X /\ cC4xcomp_ X))).
Variable axiom_96_97 : (forall X : Universe, (cC60_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC58_ Y)))).
Variable axiom_97_98 : (forall X : Universe, (cC62_ X <-> (cC4_ X /\ cC10xcomp_ X))).
Variable axiom_98_99 : (forall X : Universe, (cC64_ X <-> (cC34xcomp_ X /\ cC62_ X))).
Variable axiom_99_100 : (forall X : Universe, (cC66_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC64_ Y)))).
Variable axiom_100_101 : (forall X : Universe, (cC68_ X <-> (cC66_ X /\ cC60_ X))).
Variable axiom_101_102 : (forall X : Universe, (cC68_ X <-> (exists Y0 : Universe, ra_Px20_ X Y0))).
Variable axiom_102_103 : (forall X : Universe, (cC68xcomp_ X <-> ~((exists Y : Universe, ra_Px20_ X Y)))).
Variable axiom_103_104 : (forall X : Universe, (cC70_ X <-> (cC2_ X /\ cC4xcomp_ X))).
Variable axiom_104_105 : (forall X : Universe, (cC72_ X <-> (exists Y0 : Universe, ra_Px21_ X Y0))).
Variable axiom_105_106 : (forall X : Universe, (cC72_ X <-> (cC70_ X /\ cC68xcomp_ X))).
Variable axiom_106_107 : (forall X : Universe, (cC72xcomp_ X <-> ~((exists Y : Universe, ra_Px21_ X Y)))).
Variable axiom_107_108 : (forall X : Universe, (cC74_ X <-> (cC54_ X /\ cC72xcomp_ X))).
Variable axiom_108_109 : (forall X : Universe, (cC76_ X <-> (exists Y0 : Universe, ra_Px24_ X Y0))).
Variable axiom_109_110 : (forall X : Universe, (cC76_ X <-> (cC4_ X /\ cC2xcomp_ X))).
Variable axiom_110_111 : (forall X : Universe, (cC76xcomp_ X <-> ~((exists Y : Universe, ra_Px24_ X Y)))).
Variable axiom_111_112 : (forall X : Universe, (cC78_ X <-> (cC10_ X /\ cC4xcomp_ X))).
Variable axiom_112_113 : (forall X : Universe, (cC78_ X <-> ~((exists Y : Universe, ra_Px25_ X Y)))).
Variable axiom_113_114 : (forall X : Universe, (cC78xcomp_ X <-> (exists Y0 : Universe, ra_Px25_ X Y0))).
Variable axiom_114_115 : (forall X : Universe, (cC8_ X <-> (exists Y0 : Universe, ra_Px2_ X Y0))).
Variable axiom_115_116 : (forall X : Universe, (cC8_ X <-> (cC4_ X /\ cC2xcomp_ X))).
Variable axiom_116_117 : (forall X : Universe, (cC8xcomp_ X <-> ~((exists Y : Universe, ra_Px2_ X Y)))).
Variable axiom_117_118 : (forall X : Universe, (cC80_ X <-> (cC78xcomp_ X /\ cC76xcomp_ X))).
Variable axiom_118_119 : (forall X : Universe, (cC82_ X <-> (exists Y0 : Universe, ra_Px65_ X Y0))).
Variable axiom_119_120 : (forall X : Universe, (cC82_ X <-> (cC2_ X /\ cC16xcomp_ X))).
Variable axiom_120_121 : (forall X : Universe, (cC82xcomp_ X <-> ~((exists Y : Universe, ra_Px65_ X Y)))).
Variable axiom_121_122 : (forall X : Universe, (cC84_ X <-> (exists Y0 : Universe, ra_Px53_ X Y0))).
Variable axiom_122_123 : (forall X : Universe, (cC84_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC82_ Y)))).
Variable axiom_123_124 : (forall X : Universe, (cC84xcomp_ X <-> ~((exists Y : Universe, ra_Px53_ X Y)))).
Variable axiom_124_125 : (forall X : Universe, (cC86_ X <-> (cC16_ X /\ cC84_ X))).
Variable axiom_125_126 : (forall X : Universe, (cC86_ X <-> ~((exists Y : Universe, ra_Px28_ X Y)))).
Variable axiom_126_127 : (forall X : Universe, (cC86xcomp_ X <-> (exists Y0 : Universe, ra_Px28_ X Y0))).
Variable axiom_127_128 : (forall X : Universe, (cC88_ X <-> (cC16_ X /\ cC2_ X))).
Variable axiom_128_129 : (forall X : Universe, (cC88_ X <-> ~((exists Y : Universe, ra_Px64_ X Y)))).
Variable axiom_129_130 : (forall X : Universe, (cC88xcomp_ X <-> (exists Y0 : Universe, ra_Px64_ X Y0))).
Variable axiom_130_131 : (forall X : Universe, (cC90_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC88_ Y)))).
Variable axiom_131_132 : (forall X : Universe, (cC90_ X <-> ~((exists Y : Universe, ra_Px52_ X Y)))).
Variable axiom_132_133 : (forall X : Universe, (cC90xcomp_ X <-> (exists Y0 : Universe, ra_Px52_ X Y0))).
Variable axiom_133_134 : (forall X : Universe, (cC92_ X <-> (exists Y0 : Universe, ra_Px29_ X Y0))).
Variable axiom_134_135 : (forall X : Universe, (cC92_ X <-> (cC90_ X /\ cC16xcomp_ X))).
Variable axiom_135_136 : (forall X : Universe, (cC92xcomp_ X <-> ~((exists Y : Universe, ra_Px29_ X Y)))).
Variable axiom_136_137 : (forall X : Universe, (cC94_ X <-> (cC86xcomp_ X /\ cC92xcomp_ X))).
Variable axiom_137_138 : (forall X : Universe, (cC94_ X <-> (exists Y0 : Universe, ra_Px30_ X Y0))).
Variable axiom_138_139 : (forall X : Universe, (cC94xcomp_ X <-> ~((exists Y : Universe, ra_Px30_ X Y)))).
Variable axiom_139_140 : (forall X : Universe, (cC96_ X <-> (exists Y0 : Universe, ra_Px38_ X Y0))).
Variable axiom_140_141 : (forall X : Universe, (cC96_ X <-> (cC2_ X /\ cC94xcomp_ X))).
Variable axiom_141_142 : (forall X : Universe, (cC96xcomp_ X <-> ~((exists Y : Universe, ra_Px38_ X Y)))).
Variable axiom_142_143 : (forall X : Universe, (cC98_ X <-> (exists Y0 : Universe, ra_Px63_ X Y0))).
Variable axiom_143_144 : (forall X : Universe, (cC98_ X <-> (cC34xcomp_ X /\ cC4_ X))).
Variable axiom_144_145 : (forall X : Universe, (cC98xcomp_ X <-> ~((exists Y : Universe, ra_Px63_ X Y)))).
Variable axiom_145_146 : (forall X : Universe, (cTEST_ X <-> (cC6_ X /\ cC140_ X))).
Variable axiom_146_147 : cC16_ iV822576_.
Variable axiom_147_148 : cC102xcomp_ iV822576_.
Variable axiom_148_149 : cC108xcomp_ iV822576_.
Variable axiom_149_150 : cC4_ iV822576_.
Variable axiom_150_151 : cC18xcomp_ iV822576_.
Variable axiom_151_152 : cC112xcomp_ iV822576_.
Variable axiom_152_153 : cC76xcomp_ iV822576_.
Variable axiom_153_154 : cC96xcomp_ iV822576_.
Variable axiom_154_155 : cC132xcomp_ iV822576_.
Variable axiom_155_156 : cC100xcomp_ iV822576_.
Variable axiom_156_157 : (forall X : Universe, (rR1_ iV822576_ X -> cC98xcomp_ X)).
Variable axiom_157_158 : cC90xcomp_ iV822576_.
Variable axiom_158_159 : cC78xcomp_ iV822576_.
Variable axiom_159_160 : (forall X : Universe, (rR1_ iV822576_ X -> cC82xcomp_ X)).
Variable axiom_160_161 : cC134xcomp_ iV822576_.
Variable axiom_161_162 : cC86xcomp_ iV822576_.
Variable axiom_162_163 : cC34_ iV822576_.
Variable axiom_163_164 : cC84xcomp_ iV822576_.
Variable axiom_164_165 : (forall X : Universe, (rR1_ iV822576_ X -> cC88xcomp_ X)).
Variable axiom_165_166 : cC2_ iV822576_.
Variable axiom_166_167 : cowlThing_ iV822576_.
Variable axiom_167_168 : cC10xcomp_ iV822576_.
Variable axiom_168_169 : cC92xcomp_ iV822576_.

Theorem the_axiom_170 : ((forall X : Universe, (cowlThing_ X /\ ~(cowlNothing_ X))) /\ ((forall X : Universe, (xsd_string_ X <-> ~(xsd_integer_ X))) /\ (cC58_ iV822576_ /\ (cC116_ iV822576_ /\ (cC114_ iV822576_ /\ (cowlThing_ iV822576_ /\ (cC94_ iV822576_ /\ (cC80_ iV822576_ /\ (cC110_ iV822576_ /\ (cC136_ iV822576_ /\ cC56_ iV822576_)))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
