(*
% File     : KRS155+1 : ILTP v1.1.2
% Domain   : Knowledge Representation (Semantic Web)
% Problem  : DL Test: k_d4 ABox test from DL98 systems comparison
% Version  : Especial.
% English  : 
% Refs     : [Bec03] Bechhofer (2003), Email to G. Sutcliffe
%          : [TR+04] Tsarkov et al. (2004), Using Vampire to Reason with OW
% Source   : [Bec03]
% Names    : positive_description-logic-Manifest662 [Bec03]
% Status   : Theorem
% Rating   : 0.11 v3.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :  135 (  34 unit)
%            Number of atoms       :  300 (   0 equality)
%            Maximal formula depth :   17 (   4 average)
%            Number of connectives :  193 (  28 ~  ;   0  |;  65  &)
%                                         (  97 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  102 (   0 propositional; 1-2 arity)
%            Number of functors    :   10 (  10 constant; 0-0 arity)
%            Number of variables   :  181 (   0 singleton; 102 !;  79 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : Sean Bechhofer says there are some errors in the encoding of
%            datatypes, so this problem may not be perfect. At least it's
%            still representative of the type of reasoning required for OWL.
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable xsd_string_ : Universe -> Prop.
Variable xsd_integer_ : Universe -> Prop.
Variable ra_Px9_ : Universe -> Universe -> Prop.
Variable ra_Px8_ : Universe -> Universe -> Prop.
Variable ra_Px7_ : Universe -> Universe -> Prop.
Variable ra_Px6_ : Universe -> Universe -> Prop.
Variable ra_Px5_ : Universe -> Universe -> Prop.
Variable ra_Px34_ : Universe -> Universe -> Prop.
Variable ra_Px33_ : Universe -> Universe -> Prop.
Variable ra_Px32_ : Universe -> Universe -> Prop.
Variable ra_Px31_ : Universe -> Universe -> Prop.
Variable ra_Px30_ : Universe -> Universe -> Prop.
Variable ra_Px3_ : Universe -> Universe -> Prop.
Variable ra_Px29_ : Universe -> Universe -> Prop.
Variable ra_Px28_ : Universe -> Universe -> Prop.
Variable ra_Px25_ : Universe -> Universe -> Prop.
Variable ra_Px23_ : Universe -> Universe -> Prop.
Variable ra_Px20_ : Universe -> Universe -> Prop.
Variable ra_Px2_ : Universe -> Universe -> Prop.
Variable ra_Px18_ : Universe -> Universe -> Prop.
Variable ra_Px17_ : Universe -> Universe -> Prop.
Variable ra_Px14_ : Universe -> Universe -> Prop.
Variable ra_Px13_ : Universe -> Universe -> Prop.
Variable ra_Px12_ : Universe -> Universe -> Prop.
Variable ra_Px10_ : Universe -> Universe -> Prop.
Variable ra_Px1_ : Universe -> Universe -> Prop.
Variable rR1_ : Universe -> Universe -> Prop.
Variable cowlThing_ : Universe -> Prop.
Variable cowlNothing_ : Universe -> Prop.
Variable cTOP_ : Universe -> Prop.
Variable cTEST_ : Universe -> Prop.
Variable cC94xcomp_ : Universe -> Prop.
Variable cC94_ : Universe -> Prop.
Variable cC92xcomp_ : Universe -> Prop.
Variable cC92_ : Universe -> Prop.
Variable cC90_ : Universe -> Prop.
Variable cC88_ : Universe -> Prop.
Variable cC86_ : Universe -> Prop.
Variable cC84xcomp_ : Universe -> Prop.
Variable cC84_ : Universe -> Prop.
Variable cC82xcomp_ : Universe -> Prop.
Variable cC82_ : Universe -> Prop.
Variable cC80_ : Universe -> Prop.
Variable cC8_ : Universe -> Prop.
Variable cC78xcomp_ : Universe -> Prop.
Variable cC78_ : Universe -> Prop.
Variable cC76_ : Universe -> Prop.
Variable cC74xcomp_ : Universe -> Prop.
Variable cC74_ : Universe -> Prop.
Variable cC72xcomp_ : Universe -> Prop.
Variable cC72_ : Universe -> Prop.
Variable cC70_ : Universe -> Prop.
Variable cC6xcomp_ : Universe -> Prop.
Variable cC68_ : Universe -> Prop.
Variable cC66_ : Universe -> Prop.
Variable cC64_ : Universe -> Prop.
Variable cC62xcomp_ : Universe -> Prop.
Variable cC62_ : Universe -> Prop.
Variable cC60_ : Universe -> Prop.
Variable cC6_ : Universe -> Prop.
Variable cC58_ : Universe -> Prop.
Variable cC56_ : Universe -> Prop.
Variable cC54xcomp_ : Universe -> Prop.
Variable cC54_ : Universe -> Prop.
Variable cC52xcomp_ : Universe -> Prop.
Variable cC52_ : Universe -> Prop.
Variable cC50xcomp_ : Universe -> Prop.
Variable cC50_ : Universe -> Prop.
Variable cC48xcomp_ : Universe -> Prop.
Variable cC48_ : Universe -> Prop.
Variable cC46_ : Universe -> Prop.
Variable cC44xcomp_ : Universe -> Prop.
Variable cC44_ : Universe -> Prop.
Variable cC42xcomp_ : Universe -> Prop.
Variable cC42_ : Universe -> Prop.
Variable cC40_ : Universe -> Prop.
Variable cC4_ : Universe -> Prop.
Variable cC38_ : Universe -> Prop.
Variable cC36xcomp_ : Universe -> Prop.
Variable cC36_ : Universe -> Prop.
Variable cC34xcomp_ : Universe -> Prop.
Variable cC34_ : Universe -> Prop.
Variable cC32xcomp_ : Universe -> Prop.
Variable cC32_ : Universe -> Prop.
Variable cC30_ : Universe -> Prop.
Variable cC2xcomp_ : Universe -> Prop.
Variable cC28xcomp_ : Universe -> Prop.
Variable cC28_ : Universe -> Prop.
Variable cC26xcomp_ : Universe -> Prop.
Variable cC26_ : Universe -> Prop.
Variable cC24_ : Universe -> Prop.
Variable cC22_ : Universe -> Prop.
Variable cC20xcomp_ : Universe -> Prop.
Variable cC20_ : Universe -> Prop.
Variable cC2_ : Universe -> Prop.
Variable cC18_ : Universe -> Prop.
Variable cC16xcomp_ : Universe -> Prop.
Variable cC16_ : Universe -> Prop.
Variable cC14xcomp_ : Universe -> Prop.
Variable cC14_ : Universe -> Prop.
Variable cC12_ : Universe -> Prop.
Variable cC10_ : Universe -> Prop.

Variable iV8476_ : Universe.
Variable iV8475_ : Universe.
Variable iV8474_ : Universe.
Variable iV8473_ : Universe.
Variable iV8472_ : Universe.
Variable iV8471_ : Universe.
Variable iV8470_ : Universe.
Variable iV8469_ : Universe.
Variable iV8468_ : Universe.
Variable iV8467_ : Universe.

Variable axiom_0_1 : (forall X : Universe, (cowlThing_ X /\ ~(cowlNothing_ X))).
Variable axiom_1_2 : (forall X : Universe, (xsd_string_ X <-> ~(xsd_integer_ X))).
Variable axiom_2_3 : (forall X : Universe, (cC10_ X <-> (cC4_ X /\ cC8_ X))).
Variable axiom_3_4 : (forall X : Universe, (cC12_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC10_ Y)))).
Variable axiom_4_5 : (forall X : Universe, (cC14_ X <-> ~((exists Y : Universe, ra_Px1_ X Y)))).
Variable axiom_5_6 : (forall X : Universe, (cC14_ X <-> (exists Y : Universe, (rR1_ X Y /\ cTOP_ Y)))).
Variable axiom_6_7 : (forall X : Universe, (cC14xcomp_ X <-> (exists Y0 : Universe, ra_Px1_ X Y0))).
Variable axiom_7_8 : (forall X : Universe, (cC16_ X <-> (exists Y0 : Universe, ra_Px2_ X Y0))).
Variable axiom_8_9 : (forall X : Universe, (cC16_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC14xcomp_ Y)))).
Variable axiom_9_10 : (forall X : Universe, (cC16xcomp_ X <-> ~((exists Y : Universe, ra_Px2_ X Y)))).
Variable axiom_10_11 : (forall X : Universe, (cC18_ X <-> (cC16xcomp_ X /\ cC12_ X))).
Variable axiom_11_12 : (forall X : Universe, (cC2_ X <-> (exists Y0 : Universe, ra_Px3_ X Y0))).
Variable axiom_12_13 : (forall X : Universe, (cC2xcomp_ X <-> ~((exists Y : Universe, ra_Px3_ X Y)))).
Variable axiom_13_14 : (forall X : Universe, (cC20_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC2xcomp_ Y)))).
Variable axiom_14_15 : (forall X : Universe, (cC20_ X <-> (exists Y0 : Universe, ra_Px5_ X Y0))).
Variable axiom_15_16 : (forall X : Universe, (cC20xcomp_ X <-> ~((exists Y : Universe, ra_Px5_ X Y)))).
Variable axiom_16_17 : (forall X : Universe, (cC22_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC2xcomp_ Y)))).
Variable axiom_17_18 : (forall X : Universe, (cC24_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC22_ Y)))).
Variable axiom_18_19 : (forall X : Universe, (cC26_ X <-> (cC24_ X /\ cC20xcomp_ X))).
Variable axiom_19_20 : (forall X : Universe, (cC26_ X <-> (exists Y0 : Universe, ra_Px30_ X Y0))).
Variable axiom_20_21 : (forall X : Universe, (cC26xcomp_ X <-> ~((exists Y : Universe, ra_Px30_ X Y)))).
Variable axiom_21_22 : (forall X : Universe, (cC28_ X <-> (exists Y0 : Universe, ra_Px6_ X Y0))).
Variable axiom_22_23 : (forall X : Universe, (cC28_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC26_ Y)))).
Variable axiom_23_24 : (forall X : Universe, (cC28xcomp_ X <-> ~((exists Y : Universe, ra_Px6_ X Y)))).
Variable axiom_24_25 : (forall X : Universe, (cC30_ X <-> (cC18_ X /\ cC28xcomp_ X))).
Variable axiom_25_26 : (forall X : Universe, (cC32_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC2_ Y)))).
Variable axiom_26_27 : (forall X : Universe, (cC32_ X <-> ~((exists Y : Universe, ra_Px7_ X Y)))).
Variable axiom_27_28 : (forall X : Universe, (cC32xcomp_ X <-> (exists Y0 : Universe, ra_Px7_ X Y0))).
Variable axiom_28_29 : (forall X : Universe, (cC34_ X <-> (exists Y0 : Universe, ra_Px9_ X Y0))).
Variable axiom_29_30 : (forall X : Universe, (cC34_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC32xcomp_ Y)))).
Variable axiom_30_31 : (forall X : Universe, (cC34xcomp_ X <-> ~((exists Y : Universe, ra_Px9_ X Y)))).
Variable axiom_31_32 : (forall X : Universe, (cC36_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC2_ Y)))).
Variable axiom_32_33 : (forall X : Universe, (cC36_ X <-> (exists Y0 : Universe, ra_Px8_ X Y0))).
Variable axiom_33_34 : (forall X : Universe, (cC36xcomp_ X <-> ~((exists Y : Universe, ra_Px8_ X Y)))).
Variable axiom_34_35 : (forall X : Universe, (cC38_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC36xcomp_ Y)))).
Variable axiom_35_36 : (forall X : Universe, (cC4_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC2xcomp_ Y)))).
Variable axiom_36_37 : (forall X : Universe, (cC40_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC38_ Y)))).
Variable axiom_37_38 : (forall X : Universe, (cC42_ X <-> ~((exists Y : Universe, ra_Px31_ X Y)))).
Variable axiom_38_39 : (forall X : Universe, (cC42_ X <-> (cC40_ X /\ cC34xcomp_ X))).
Variable axiom_39_40 : (forall X : Universe, (cC42xcomp_ X <-> (exists Y0 : Universe, ra_Px31_ X Y0))).
Variable axiom_40_41 : (forall X : Universe, (cC44_ X <-> ~((exists Y : Universe, ra_Px10_ X Y)))).
Variable axiom_41_42 : (forall X : Universe, (cC44_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC42_ Y)))).
Variable axiom_42_43 : (forall X : Universe, (cC44xcomp_ X <-> (exists Y0 : Universe, ra_Px10_ X Y0))).
Variable axiom_43_44 : (forall X : Universe, (cC46_ X <-> (cC44xcomp_ X /\ cC30_ X))).
Variable axiom_44_45 : (forall X : Universe, (cC48_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC2xcomp_ Y)))).
Variable axiom_45_46 : (forall X : Universe, (cC48_ X <-> (exists Y0 : Universe, ra_Px12_ X Y0))).
Variable axiom_46_47 : (forall X : Universe, (cC48xcomp_ X <-> ~((exists Y : Universe, ra_Px12_ X Y)))).
Variable axiom_47_48 : (forall X : Universe, (cC50_ X <-> ~((exists Y : Universe, ra_Px13_ X Y)))).
Variable axiom_48_49 : (forall X : Universe, (cC50_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC2_ Y)))).
Variable axiom_49_50 : (forall X : Universe, (cC50xcomp_ X <-> (exists Y0 : Universe, ra_Px13_ X Y0))).
Variable axiom_50_51 : (forall X : Universe, (cC52_ X <-> (exists Y0 : Universe, ra_Px32_ X Y0))).
Variable axiom_51_52 : (forall X : Universe, (cC52_ X <-> (cC50xcomp_ X /\ cC48xcomp_ X))).
Variable axiom_52_53 : (forall X : Universe, (cC52xcomp_ X <-> ~((exists Y : Universe, ra_Px32_ X Y)))).
Variable axiom_53_54 : (forall X : Universe, (cC54_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC52_ Y)))).
Variable axiom_54_55 : (forall X : Universe, (cC54_ X <-> (exists Y0 : Universe, ra_Px14_ X Y0))).
Variable axiom_55_56 : (forall X : Universe, (cC54xcomp_ X <-> ~((exists Y : Universe, ra_Px14_ X Y)))).
Variable axiom_56_57 : (forall X : Universe, (cC56_ X <-> (cC54xcomp_ X /\ cC46_ X))).
Variable axiom_57_58 : (forall X : Universe, (cC58_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC2_ Y)))).
Variable axiom_58_59 : (forall X : Universe, (cC6_ X <-> ~((exists Y : Universe, ra_Px28_ X Y)))).
Variable axiom_59_60 : (forall X : Universe, (cC6_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC2xcomp_ Y)))).
Variable axiom_60_61 : (forall X : Universe, (cC6xcomp_ X <-> (exists Y0 : Universe, ra_Px28_ X Y0))).
Variable axiom_61_62 : (forall X : Universe, (cC60_ X <-> (cC2xcomp_ X /\ cC58_ X))).
Variable axiom_62_63 : (forall X : Universe, (cC62_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC60_ Y)))).
Variable axiom_63_64 : (forall X : Universe, (cC62_ X <-> (exists Y0 : Universe, ra_Px17_ X Y0))).
Variable axiom_64_65 : (forall X : Universe, (cC62xcomp_ X <-> ~((exists Y : Universe, ra_Px17_ X Y)))).
Variable axiom_65_66 : (forall X : Universe, (cC64_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC2_ Y)))).
Variable axiom_66_67 : (forall X : Universe, (cC66_ X <-> (cC2xcomp_ X /\ cC64_ X))).
Variable axiom_67_68 : (forall X : Universe, (cC68_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC66_ Y)))).
Variable axiom_68_69 : (forall X : Universe, (cC70_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC68_ Y)))).
Variable axiom_69_70 : (forall X : Universe, (cC72_ X <-> (cC62xcomp_ X /\ cC70_ X))).
Variable axiom_70_71 : (forall X : Universe, (cC72_ X <-> (exists Y0 : Universe, ra_Px33_ X Y0))).
Variable axiom_71_72 : (forall X : Universe, (cC72xcomp_ X <-> ~((exists Y : Universe, ra_Px33_ X Y)))).
Variable axiom_72_73 : (forall X : Universe, (cC74_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC72_ Y)))).
Variable axiom_73_74 : (forall X : Universe, (cC74_ X <-> (exists Y0 : Universe, ra_Px18_ X Y0))).
Variable axiom_74_75 : (forall X : Universe, (cC74xcomp_ X <-> ~((exists Y : Universe, ra_Px18_ X Y)))).
Variable axiom_75_76 : (forall X : Universe, (cC76_ X <-> (cC74xcomp_ X /\ cC56_ X))).
Variable axiom_76_77 : (forall X : Universe, (cC78_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC2xcomp_ Y)))).
Variable axiom_77_78 : (forall X : Universe, (cC78_ X <-> (exists Y0 : Universe, ra_Px20_ X Y0))).
Variable axiom_78_79 : (forall X : Universe, (cC78xcomp_ X <-> ~((exists Y : Universe, ra_Px20_ X Y)))).
Variable axiom_79_80 : (forall X : Universe, (cC8_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC6xcomp_ Y)))).
Variable axiom_80_81 : (forall X : Universe, (cC80_ X <-> (cC78xcomp_ X /\ cC2xcomp_ X))).
Variable axiom_81_82 : (forall X : Universe, (cC82_ X <-> ~((exists Y : Universe, ra_Px25_ X Y)))).
Variable axiom_82_83 : (forall X : Universe, (cC82_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC80_ Y)))).
Variable axiom_83_84 : (forall X : Universe, (cC82xcomp_ X <-> (exists Y0 : Universe, ra_Px25_ X Y0))).
Variable axiom_84_85 : (forall X : Universe, (cC84_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC2xcomp_ Y)))).
Variable axiom_85_86 : (forall X : Universe, (cC84_ X <-> (exists Y0 : Universe, ra_Px23_ X Y0))).
Variable axiom_86_87 : (forall X : Universe, (cC84xcomp_ X <-> ~((exists Y : Universe, ra_Px23_ X Y)))).
Variable axiom_87_88 : (forall X : Universe, (cC86_ X <-> (cC84xcomp_ X /\ cC2xcomp_ X))).
Variable axiom_88_89 : (forall X : Universe, (cC88_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC86_ Y)))).
Variable axiom_89_90 : (forall X : Universe, (cC90_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC88_ Y)))).
Variable axiom_90_91 : (forall X : Universe, (cC92_ X <-> (cC82xcomp_ X /\ cC90_ X))).
Variable axiom_91_92 : (forall X : Universe, (cC92_ X <-> ~((exists Y : Universe, ra_Px34_ X Y)))).
Variable axiom_92_93 : (forall X : Universe, (cC92xcomp_ X <-> (exists Y0 : Universe, ra_Px34_ X Y0))).
Variable axiom_93_94 : (forall X : Universe, (cC94_ X <-> (exists Y0 : Universe, ra_Px29_ X Y0))).
Variable axiom_94_95 : (forall X : Universe, (cC94_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC92_ Y)))).
Variable axiom_95_96 : (forall X : Universe, (cC94xcomp_ X <-> ~((exists Y : Universe, ra_Px29_ X Y)))).
Variable axiom_96_97 : (forall X : Universe, (cTEST_ X <-> (cC76_ X /\ cC94xcomp_ X))).
Variable axiom_97_98 : cC52xcomp_ iV8467_.
Variable axiom_98_99 : cC72xcomp_ iV8467_.
Variable axiom_99_100 : cC92xcomp_ iV8467_.
Variable axiom_100_101 : cC42xcomp_ iV8467_.
Variable axiom_101_102 : cC26xcomp_ iV8467_.
Variable axiom_102_103 : cowlThing_ iV8467_.
Variable axiom_103_104 : rR1_ iV8467_ iV8471_.
Variable axiom_104_105 : rR1_ iV8467_ iV8470_.
Variable axiom_105_106 : rR1_ iV8467_ iV8469_.
Variable axiom_106_107 : rR1_ iV8467_ iV8474_.
Variable axiom_107_108 : rR1_ iV8467_ iV8468_.
Variable axiom_108_109 : rR1_ iV8467_ iV8473_.
Variable axiom_109_110 : rR1_ iV8467_ iV8475_.
Variable axiom_110_111 : rR1_ iV8467_ iV8472_.
Variable axiom_111_112 : cC2xcomp_ iV8468_.
Variable axiom_112_113 : cowlThing_ iV8468_.
Variable axiom_113_114 : cC6xcomp_ iV8469_.
Variable axiom_114_115 : cowlThing_ iV8469_.
Variable axiom_115_116 : (forall X : Universe, (rR1_ iV8469_ X -> cC2_ X)).
Variable axiom_116_117 : cTOP_ iV8470_.
Variable axiom_117_118 : cowlThing_ iV8470_.
Variable axiom_118_119 : cC78xcomp_ iV8471_.
Variable axiom_119_120 : cC2xcomp_ iV8471_.
Variable axiom_120_121 : cowlThing_ iV8471_.
Variable axiom_121_122 : (forall X : Universe, (rR1_ iV8471_ X -> cC2_ X)).
Variable axiom_122_123 : cC2xcomp_ iV8472_.
Variable axiom_123_124 : cowlThing_ iV8472_.
Variable axiom_124_125 : rR1_ iV8472_ iV8476_.
Variable axiom_125_126 : cC2xcomp_ iV8473_.
Variable axiom_126_127 : cowlThing_ iV8473_.
Variable axiom_127_128 : cC32xcomp_ iV8474_.
Variable axiom_128_129 : cowlThing_ iV8474_.
Variable axiom_129_130 : (forall X : Universe, (rR1_ iV8474_ X -> cC2xcomp_ X)).
Variable axiom_130_131 : cC2xcomp_ iV8475_.
Variable axiom_131_132 : cowlThing_ iV8475_.
Variable axiom_132_133 : cC2_ iV8476_.
Variable axiom_133_134 : cowlThing_ iV8476_.

Theorem the_axiom_135 : ((forall X : Universe, (cowlThing_ X /\ ~(cowlNothing_ X))) /\ ((forall X : Universe, (xsd_string_ X <-> ~(xsd_integer_ X))) /\ (cC20_ iV8467_ /\ (cC4_ iV8467_ /\ (cC8_ iV8467_ /\ (cC82_ iV8467_ /\ (cC62_ iV8467_ /\ (cC14_ iV8467_ /\ (cC34_ iV8467_ /\ (cC10_ iV8467_ /\ (cowlThing_ iV8467_ /\ (cC48_ iV8467_ /\ (cowlThing_ iV8471_ /\ (cC80_ iV8471_ /\ (cC58_ iV8472_ /\ (cC60_ iV8472_ /\ cowlThing_ iV8472_)))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
