(*
% File     : MGT012+1 : ILTP v1.1.2
% Domain   : Management (Organisation Theory)
% Problem  : Complexity of an organization cannot get smaller by age
% Version  : [PB+94] axioms.
% English  : Complexity of an organization cannot get smaller by age in
%            lack of reorganization.
% Refs     : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [Kam94]
% Names    :
% Status   : Theorem
% Rating   : 0.22 v3.1.0, 0.17 v2.7.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    8 (   0 unit)
%            Number of atoms       :   38 (   2 equality)
%            Maximal formula depth :   19 (   9 average)
%            Number of connectives :   33 (   3 ~  ;   0  |;  24  &)
%                                         (   0 <=>;   6 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    7 (   0 propositional; 2-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   34 (   0 singleton;  32 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : Not published due to publication constraints. [Kam95].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable reorganization_free_ : Universe -> Universe -> Universe -> Prop.
Variable organization_ : Universe -> Universe -> Prop.
Variable inertia_ : Universe -> Universe -> Universe -> Prop.
Variable greater_ : Universe -> Universe -> Prop.
Variable complexity_ : Universe -> Universe -> Universe -> Prop.
Variable class_ : Universe -> Universe -> Universe -> Prop.


Variable mp5_1 : (forall X T : Universe, (organization_ X T -> (exists I : Universe, inertia_ X I T))).
Variable mp6_1_2 : (forall X Y : Universe, ~((greater_ X Y /\ X = Y))).
Variable mp6_2_3 : (forall X Y : Universe, ~((greater_ X Y /\ greater_ Y X))).
Variable mp9_4 : (forall X T : Universe, (organization_ X T -> (exists C : Universe, class_ X C T))).
Variable mp10_5 : (forall X T1 T2 C1 C2 : Universe, ((organization_ X T1 /\ (organization_ X T2 /\ (reorganization_free_ X T1 T2 /\ (class_ X C1 T1 /\ class_ X C2 T2)))) -> C1 = C2)).
Variable a12_FOL_6 : (forall X Y C C1 C2 I1 I2 T1 T2 : Universe, ((organization_ X T1 /\ (organization_ Y T2 /\ (class_ X C T1 /\ (class_ Y C T2 /\ (complexity_ X C1 T1 /\ (complexity_ Y C2 T2 /\ (inertia_ X I1 T1 /\ (inertia_ Y I2 T2 /\ greater_ C2 C1)))))))) -> greater_ I2 I1)).
Variable t2_FOL_7 : (forall X I1 I2 T1 T2 : Universe, ((organization_ X T1 /\ (organization_ X T2 /\ (reorganization_free_ X T1 T2 /\ (inertia_ X I1 T1 /\ (inertia_ X I2 T2 /\ greater_ T2 T1))))) -> greater_ I2 I1)).

Theorem t12_FOL_8 : (forall X C1 C2 T1 T2 : Universe, ((organization_ X T1 /\ (organization_ X T2 /\ (reorganization_free_ X T1 T2 /\ (complexity_ X C1 T1 /\ (complexity_ X C2 T2 /\ greater_ T2 T1))))) -> ~(greater_ C1 C2))).
Proof.
  time hprover.
Qed.

End FOFProblem.
