(*
% File     : MGT023+2 : ILTP v1.1.2
% Domain   : Management (Organisation Theory)
% Problem  : Stable environments have a critical point.
% Version  : [PM93] axioms.
% English  : 
% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
% Source   : [PM93]
% Names    : LEMMA 5 [PM93]
% Status   : Theorem
% Rating   : 0.18 v3.1.0, 0.22 v2.7.0, 0.33 v2.6.0, 0.43 v2.5.0, 0.38 v2.4.0, 0.25 v2.3.0, 0.33 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    4 (   0 unit)
%            Number of atoms       :   26 (   1 equality)
%            Maximal formula depth :   10 (   8 average)
%            Number of connectives :   24 (   2 ~  ;   0  |;  14  &)
%                                         (   0 <=>;   8 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    7 (   0 propositional; 1-4 arity)
%            Number of functors    :    4 (   2 constant; 0-2 arity)
%            Number of variables   :   12 (   0 singleton;   9 !;   3 ?)
%            Maximal term depth    :    2 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable subpopulations_ : Universe -> Universe -> Universe -> Universe -> Prop.
Variable stable_ : Universe -> Prop.
Variable in_environment_ : Universe -> Universe -> Prop.
Variable greater_or_equal_ : Universe -> Universe -> Prop.
Variable greater_ : Universe -> Universe -> Prop.
Variable environment_ : Universe -> Prop.

Variable growth_rate_ : Universe -> Universe -> Universe.
Variable first_movers_ : Universe.
Variable efficient_producers_ : Universe.
Variable critical_point_ : Universe -> Universe.

Variable mp_earliest_time_growth_rate_exceeds_1 : (forall E : Universe, ((environment_ E /\ (exists To : Universe, (in_environment_ E To /\ (forall T : Universe, ((subpopulations_ first_movers_ efficient_producers_ E T /\ greater_or_equal_ T To) -> greater_ (growth_rate_ efficient_producers_ T) (growth_rate_ first_movers_ T)))))) -> (exists To : Universe, (in_environment_ E To /\ (~(greater_ (growth_rate_ efficient_producers_ To) (growth_rate_ first_movers_ To)) /\ (forall T : Universe, ((subpopulations_ first_movers_ efficient_producers_ E T /\ greater_ T To) -> greater_ (growth_rate_ efficient_producers_ T) (growth_rate_ first_movers_ T)))))))).
Variable d1_2 : (forall E To : Universe, ((environment_ E /\ (~(greater_ (growth_rate_ efficient_producers_ To) (growth_rate_ first_movers_ To)) /\ (in_environment_ E To /\ (forall T : Universe, ((subpopulations_ first_movers_ efficient_producers_ E T /\ greater_ T To) -> greater_ (growth_rate_ efficient_producers_ T) (growth_rate_ first_movers_ T)))))) -> To = (critical_point_ E))).
Variable l1_3 : (forall E : Universe, ((environment_ E /\ stable_ E) -> (exists To : Universe, (in_environment_ E To /\ (forall T : Universe, ((subpopulations_ first_movers_ efficient_producers_ E T /\ greater_or_equal_ T To) -> greater_ (growth_rate_ efficient_producers_ T) (growth_rate_ first_movers_ T))))))).

Theorem prove_l5_4 : (forall E : Universe, ((environment_ E /\ stable_ E) -> in_environment_ E (critical_point_ E))).
Proof.
  time hprover.
Qed.

End FOFProblem.
