(*
% File     : MSC010+1 : ILTP v1.1.2
% Domain   : Miscellaneous
% Problem  : Simple, but hard, obligation from proof verification
% Version  : Especial.
% English  : Verification of the negation of a conjecture, which is simply to
%            prove the double negated version of a formula from the formula.
% Refs     : 
% Source   : [TPTP]
% Names    : 
% Status   : Theorem
% Rating   : 0.82 v3.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    2 (   0 unit)
%            Number of atoms       :  136 (  30 equality)
%            Maximal formula depth :   26 (  25 average)
%            Number of connectives :  140 (   6 ~  ;   0  |; 102  &)
%                                         (   0 <=>;  32 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 2-2 arity)
%            Number of functors    :   18 (  16 constant; 0-3 arity)
%            Number of variables   :   44 (   0 singleton;  44 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable leq_ : Universe -> Universe -> Prop.
Variable gt_ : Universe -> Universe -> Prop.

Variable xhatmin_ds1_filter_init_ : Universe.
Variable r_ds1_filter_init_ : Universe.
Variable q_ds1_filter_init_ : Universe.
Variable pv64_ : Universe.
Variable pv63_ : Universe.
Variable pv5_ : Universe.
Variable pred_ : Universe -> Universe.
Variable pminus_ds1_filter_init_ : Universe.
Variable phi_ds1_filter_init_ : Universe.
Variable n998_ : Universe.
Variable n5_ : Universe.
Variable n2_ : Universe.
Variable n0_ : Universe.
Variable init_ : Universe.
Variable id_ds1_filter_init_ : Universe.
Variable h_ds1_filter_init_ : Universe.
Variable dv_ds1_filter_init_ : Universe.
Variable a_select3_ : Universe -> Universe -> Universe -> Universe.

Variable n1_1 : ((pv63_ <> pv64_ /\ (leq_ n0_ pv5_ /\ (leq_ n0_ pv63_ /\ (leq_ n0_ pv64_ /\ (leq_ pv5_ n998_ /\ (leq_ pv63_ n5_ /\ (leq_ pv64_ n5_ /\ ((forall X1 X2 : Universe, ((leq_ n0_ X1 /\ (leq_ n0_ X2 /\ (leq_ X1 n2_ /\ leq_ X2 n5_))) -> (a_select3_ h_ds1_filter_init_ X1 X2) = init_)) /\ ((forall X3 X4 : Universe, ((leq_ n0_ X3 /\ (leq_ n0_ X4 /\ (leq_ X3 n5_ /\ leq_ X4 n5_))) -> (a_select3_ phi_ds1_filter_init_ X3 X4) = init_)) /\ ((forall X5 X6 : Universe, ((leq_ n0_ X5 /\ (leq_ n0_ X6 /\ (leq_ X5 n5_ /\ leq_ X6 n0_))) -> (a_select3_ dv_ds1_filter_init_ X5 X6) = init_)) /\ ((forall X7 X8 : Universe, ((leq_ n0_ X7 /\ (leq_ n0_ X8 /\ (leq_ X7 n5_ /\ leq_ X8 n5_))) -> (a_select3_ q_ds1_filter_init_ X7 X8) = init_)) /\ ((forall X9 X10 : Universe, ((leq_ n0_ X9 /\ (leq_ n0_ X10 /\ (leq_ X9 n2_ /\ leq_ X10 n2_))) -> (a_select3_ r_ds1_filter_init_ X9 X10) = init_)) /\ ((forall X11 X12 : Universe, ((leq_ n0_ X11 /\ (leq_ n0_ X12 /\ (leq_ X11 n5_ /\ leq_ X12 n0_))) -> (a_select3_ xhatmin_ds1_filter_init_ X11 X12) = init_)) /\ ((forall X13 X14 : Universe, ((leq_ n0_ X13 /\ (leq_ n0_ X14 /\ (leq_ X13 n5_ /\ leq_ X14 n5_))) -> (a_select3_ pminus_ds1_filter_init_ X13 X14) = init_)) /\ ((forall X15 X16 : Universe, ((leq_ n0_ X15 /\ (leq_ n0_ X16 /\ (leq_ X15 n5_ /\ leq_ X16 n5_))) -> ((X15 = pv63_ /\ gt_ pv64_ X16) -> (a_select3_ id_ds1_filter_init_ X15 X16) = init_))) /\ ((forall X17 X18 : Universe, ((leq_ n0_ X17 /\ (leq_ n0_ X18 /\ (leq_ X17 n5_ /\ leq_ X18 n5_))) -> (gt_ pv63_ X17 -> (a_select3_ id_ds1_filter_init_ X17 X18) = init_))) /\ (forall X19 : Universe, ((leq_ n0_ X19 /\ leq_ X19 (pred_ pv63_)) -> (forall X20 : Universe, ((leq_ n0_ X20 /\ leq_ X20 n5_) -> (a_select3_ id_ds1_filter_init_ X19 X20) = init_)))))))))))))))))))) -> (forall X21 X22 : Universe, ((leq_ n0_ X21 /\ (leq_ n0_ X22 /\ (leq_ X21 n5_ /\ leq_ X22 n5_))) -> ((pv64_ <> X22 /\ (X21 = pv63_ /\ leq_ X22 pv64_)) -> (a_select3_ id_ds1_filter_init_ X21 X22) = init_)))).

Theorem n91_2 : ~(~(((pv63_ <> pv64_ /\ (leq_ n0_ pv5_ /\ (leq_ n0_ pv63_ /\ (leq_ n0_ pv64_ /\ (leq_ pv5_ n998_ /\ (leq_ pv63_ n5_ /\ (leq_ pv64_ n5_ /\ ((forall X1 X2 : Universe, ((leq_ n0_ X1 /\ (leq_ n0_ X2 /\ (leq_ X1 n2_ /\ leq_ X2 n5_))) -> (a_select3_ h_ds1_filter_init_ X1 X2) = init_)) /\ ((forall X3 X4 : Universe, ((leq_ n0_ X3 /\ (leq_ n0_ X4 /\ (leq_ X3 n5_ /\ leq_ X4 n5_))) -> (a_select3_ phi_ds1_filter_init_ X3 X4) = init_)) /\ ((forall X5 X6 : Universe, ((leq_ n0_ X5 /\ (leq_ n0_ X6 /\ (leq_ X5 n5_ /\ leq_ X6 n0_))) -> (a_select3_ dv_ds1_filter_init_ X5 X6) = init_)) /\ ((forall X7 X8 : Universe, ((leq_ n0_ X7 /\ (leq_ n0_ X8 /\ (leq_ X7 n5_ /\ leq_ X8 n5_))) -> (a_select3_ q_ds1_filter_init_ X7 X8) = init_)) /\ ((forall X9 X10 : Universe, ((leq_ n0_ X9 /\ (leq_ n0_ X10 /\ (leq_ X9 n2_ /\ leq_ X10 n2_))) -> (a_select3_ r_ds1_filter_init_ X9 X10) = init_)) /\ ((forall X11 X12 : Universe, ((leq_ n0_ X11 /\ (leq_ n0_ X12 /\ (leq_ X11 n5_ /\ leq_ X12 n0_))) -> (a_select3_ xhatmin_ds1_filter_init_ X11 X12) = init_)) /\ ((forall X13 X14 : Universe, ((leq_ n0_ X13 /\ (leq_ n0_ X14 /\ (leq_ X13 n5_ /\ leq_ X14 n5_))) -> (a_select3_ pminus_ds1_filter_init_ X13 X14) = init_)) /\ ((forall X15 X16 : Universe, ((leq_ n0_ X15 /\ (leq_ n0_ X16 /\ (leq_ X15 n5_ /\ leq_ X16 n5_))) -> ((X15 = pv63_ /\ gt_ pv64_ X16) -> (a_select3_ id_ds1_filter_init_ X15 X16) = init_))) /\ ((forall X17 X18 : Universe, ((leq_ n0_ X17 /\ (leq_ n0_ X18 /\ (leq_ X17 n5_ /\ leq_ X18 n5_))) -> (gt_ pv63_ X17 -> (a_select3_ id_ds1_filter_init_ X17 X18) = init_))) /\ (forall X19 : Universe, ((leq_ n0_ X19 /\ leq_ X19 (pred_ pv63_)) -> (forall X20 : Universe, ((leq_ n0_ X20 /\ leq_ X20 n5_) -> (a_select3_ id_ds1_filter_init_ X19 X20) = init_)))))))))))))))))))) -> (forall X21 X22 : Universe, ((leq_ n0_ X21 /\ (leq_ n0_ X22 /\ (leq_ X21 n5_ /\ leq_ X22 n5_))) -> ((pv64_ <> X22 /\ (X21 = pv63_ /\ leq_ X22 pv64_)) -> (a_select3_ id_ds1_filter_init_ X21 X22) = init_)))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
