(*
% File     : NLP001+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : The old dirty white Chevy problem
% Version  : [Bos00] axioms.
% English  : A problem generated by the DORIS [Bos00] system when parsing
%            the statement The old dirty white Chevy barrels down a lonely
%            street in Hollywood.
% Refs     : [Bos00] Bos (2000), DORIS: Discourse Oriented Representation an
%            [Bau99] Baumgartner 999), FTP'2000 - Problem Sets
% Source   : [Bau99]
% Names    : 
% Status   : Theorem
% Rating   : 0.22 v3.1.0, 0.50 v2.7.0, 0.33 v2.6.0, 0.00 v2.4.0
% Status (intuit.) : Theorem
% Rating (intuit.) : 0.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :   56 (   0 equality)
%            Maximal formula depth :   20 (  20 average)
%            Number of connectives :   55 (   0 ~  ;   0  |;  53  &)
%                                         (   0 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   14 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   16 (   0 singleton;   0 !;  16 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable white_ : Universe -> Prop.
Variable way_ : Universe -> Prop.
Variable street_ : Universe -> Prop.
Variable old_ : Universe -> Prop.
Variable lonely_ : Universe -> Prop.
Variable in_ : Universe -> Universe -> Prop.
Variable hollywood_ : Universe -> Prop.
Variable event_ : Universe -> Prop.
Variable down_ : Universe -> Universe -> Prop.
Variable dirty_ : Universe -> Prop.
Variable city_ : Universe -> Prop.
Variable chevy_ : Universe -> Prop.
Variable car_ : Universe -> Prop.
Variable barrel_ : Universe -> Universe -> Prop.



Theorem co1_1 : (((exists U V W X : Universe, (hollywood_ U /\ (city_ U /\ (event_ V /\ (street_ W /\ (way_ W /\ (lonely_ W /\ (chevy_ X /\ (car_ X /\ (white_ X /\ (dirty_ X /\ (old_ X /\ (barrel_ V X /\ (down_ V W /\ in_ V U)))))))))))))) -> (exists Y Z X1 X2 : Universe, (hollywood_ Y /\ (city_ Y /\ (event_ Z /\ (chevy_ X1 /\ (car_ X1 /\ (white_ X1 /\ (dirty_ X1 /\ (old_ X1 /\ (street_ X2 /\ (way_ X2 /\ (lonely_ X2 /\ (barrel_ Z X1 /\ (down_ Z X2 /\ in_ Z Y))))))))))))))) /\ ((exists X3 X4 X5 X6 : Universe, (hollywood_ X3 /\ (city_ X3 /\ (event_ X4 /\ (chevy_ X5 /\ (car_ X5 /\ (white_ X5 /\ (dirty_ X5 /\ (old_ X5 /\ (street_ X6 /\ (way_ X6 /\ (lonely_ X6 /\ (barrel_ X4 X5 /\ (down_ X4 X6 /\ in_ X4 X3)))))))))))))) -> (exists X7 X8 X9 X10 : Universe, (hollywood_ X7 /\ (city_ X7 /\ (event_ X8 /\ (street_ X9 /\ (way_ X9 /\ (lonely_ X9 /\ (chevy_ X10 /\ (car_ X10 /\ (white_ X10 /\ (dirty_ X10 /\ (old_ X10 /\ (barrel_ X8 X10 /\ (down_ X8 X9 /\ in_ X8 X7)))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
