(*
% File     : NLP057+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : Mia ordered a shake, problem 15
% Version  : [Bos00b] axioms.
% English  : Eliminating non-informative interpretations in the statement
%            Mia ordered a shake. It cost five dollars.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris034 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.33 v2.7.0, 0.50 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :   57 (   1 unit)
%            Number of atoms       :  173 (  17 equality)
%            Maximal formula depth :   32 (   5 average)
%            Number of connectives :  140 (  24 ~  ;   4  |;  54  &)
%                                         (   1 <=>;  57 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   50 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  136 (   0 singleton; 117 !;  19 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable woman_ : Universe -> Universe -> Prop.
Variable unisex_ : Universe -> Universe -> Prop.
Variable thing_ : Universe -> Universe -> Prop.
Variable substance_matter_ : Universe -> Universe -> Prop.
Variable specific_ : Universe -> Universe -> Prop.
Variable singleton_ : Universe -> Universe -> Prop.
Variable shake_beverage_ : Universe -> Universe -> Prop.
Variable set_ : Universe -> Universe -> Prop.
Variable relname_ : Universe -> Universe -> Prop.
Variable relation_ : Universe -> Universe -> Prop.
Variable present_ : Universe -> Universe -> Prop.
Variable possession_ : Universe -> Universe -> Prop.
Variable patient_ : Universe -> Universe -> Universe -> Prop.
Variable past_ : Universe -> Universe -> Prop.
Variable organism_ : Universe -> Universe -> Prop.
Variable order_ : Universe -> Universe -> Prop.
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable object_ : Universe -> Universe -> Prop.
Variable nonreflexive_ : Universe -> Universe -> Prop.
Variable nonliving_ : Universe -> Universe -> Prop.
Variable nonhuman_ : Universe -> Universe -> Prop.
Variable nonexistent_ : Universe -> Universe -> Prop.
Variable multiple_ : Universe -> Universe -> Prop.
Variable mia_forename_ : Universe -> Universe -> Prop.
Variable member_ : Universe -> Universe -> Universe -> Prop.
Variable living_ : Universe -> Universe -> Prop.
Variable impartial_ : Universe -> Universe -> Prop.
Variable human_person_ : Universe -> Universe -> Prop.
Variable human_ : Universe -> Universe -> Prop.
Variable group_ : Universe -> Universe -> Prop.
Variable general_ : Universe -> Universe -> Prop.
Variable forename_ : Universe -> Universe -> Prop.
Variable food_ : Universe -> Universe -> Prop.
Variable five_ : Universe -> Universe -> Prop.
Variable female_ : Universe -> Universe -> Prop.
Variable existent_ : Universe -> Universe -> Prop.
Variable eventuality_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable entity_ : Universe -> Universe -> Prop.
Variable dollar_ : Universe -> Universe -> Prop.
Variable currency_ : Universe -> Universe -> Prop.
Variable cost_ : Universe -> Universe -> Prop.
Variable cash_ : Universe -> Universe -> Prop.
Variable beverage_ : Universe -> Universe -> Prop.
Variable animate_ : Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.
Variable act_ : Universe -> Universe -> Prop.
Variable abstraction_ : Universe -> Universe -> Prop.


Variable ax1_1 : (forall U V : Universe, (woman_ U V -> female_ U V)).
Variable ax2_2 : (forall U V : Universe, (human_person_ U V -> animate_ U V)).
Variable ax3_3 : (forall U V : Universe, (human_person_ U V -> human_ U V)).
Variable ax4_4 : (forall U V : Universe, (organism_ U V -> living_ U V)).
Variable ax5_5 : (forall U V : Universe, (organism_ U V -> impartial_ U V)).
Variable ax6_6 : (forall U V : Universe, (organism_ U V -> entity_ U V)).
Variable ax7_7 : (forall U V : Universe, (human_person_ U V -> organism_ U V)).
Variable ax8_8 : (forall U V : Universe, (woman_ U V -> human_person_ U V)).
Variable ax9_9 : (forall U V : Universe, (mia_forename_ U V -> forename_ U V)).
Variable ax10_10 : (forall U V : Universe, (relation_ U V -> abstraction_ U V)).
Variable ax11_11 : (forall U V : Universe, (relname_ U V -> relation_ U V)).
Variable ax12_12 : (forall U V : Universe, (forename_ U V -> relname_ U V)).
Variable ax13_13 : (forall U V : Universe, (object_ U V -> unisex_ U V)).
Variable ax14_14 : (forall U V : Universe, (object_ U V -> impartial_ U V)).
Variable ax15_15 : (forall U V : Universe, (object_ U V -> nonliving_ U V)).
Variable ax16_16 : (forall U V : Universe, (entity_ U V -> existent_ U V)).
Variable ax17_17 : (forall U V : Universe, (entity_ U V -> specific_ U V)).
Variable ax18_18 : (forall U V : Universe, (entity_ U V -> thing_ U V)).
Variable ax19_19 : (forall U V : Universe, (object_ U V -> entity_ U V)).
Variable ax20_20 : (forall U V : Universe, (substance_matter_ U V -> object_ U V)).
Variable ax21_21 : (forall U V : Universe, (food_ U V -> substance_matter_ U V)).
Variable ax22_22 : (forall U V : Universe, (beverage_ U V -> food_ U V)).
Variable ax23_23 : (forall U V : Universe, (shake_beverage_ U V -> beverage_ U V)).
Variable ax24_24 : (forall U V : Universe, (order_ U V -> event_ U V)).
Variable ax25_25 : (forall U V : Universe, (act_ U V -> event_ U V)).
Variable ax26_26 : (forall U V : Universe, (order_ U V -> act_ U V)).
Variable ax27_27 : (forall U V : Universe, (eventuality_ U V -> unisex_ U V)).
Variable ax28_28 : (forall U V : Universe, (eventuality_ U V -> nonexistent_ U V)).
Variable ax29_29 : (forall U V : Universe, (eventuality_ U V -> specific_ U V)).
Variable ax30_30 : (forall U V : Universe, (eventuality_ U V -> thing_ U V)).
Variable ax31_31 : (forall U V : Universe, (event_ U V -> eventuality_ U V)).
Variable ax32_32 : (forall U V : Universe, (cost_ U V -> event_ U V)).
Variable ax33_33 : (forall U V : Universe, (five_ U V -> group_ U V)).
Variable ax34_34 : (forall U V : Universe, (set_ U V -> multiple_ U V)).
Variable ax35_35 : (forall U V : Universe, (group_ U V -> set_ U V)).
Variable ax36_36 : (forall U V : Universe, (abstraction_ U V -> unisex_ U V)).
Variable ax37_37 : (forall U V : Universe, (abstraction_ U V -> general_ U V)).
Variable ax38_38 : (forall U V : Universe, (abstraction_ U V -> nonhuman_ U V)).
Variable ax39_39 : (forall U V : Universe, (thing_ U V -> singleton_ U V)).
Variable ax40_40 : (forall U V : Universe, (abstraction_ U V -> thing_ U V)).
Variable ax41_41 : (forall U V : Universe, (possession_ U V -> abstraction_ U V)).
Variable ax42_42 : (forall U V : Universe, (currency_ U V -> possession_ U V)).
Variable ax43_43 : (forall U V : Universe, (cash_ U V -> currency_ U V)).
Variable ax44_44 : (forall U V : Universe, (dollar_ U V -> cash_ U V)).
Variable ax45_45 : (forall U V : Universe, (animate_ U V -> ~(nonliving_ U V))).
Variable ax46_46 : (forall U V : Universe, (existent_ U V -> ~(nonexistent_ U V))).
Variable ax47_47 : (forall U V : Universe, (nonhuman_ U V -> ~(human_ U V))).
Variable ax48_48 : (forall U V : Universe, (nonliving_ U V -> ~(living_ U V))).
Variable ax49_49 : (forall U V : Universe, (present_ U V -> ~(past_ U V))).
Variable ax50_50 : (forall U V : Universe, (singleton_ U V -> ~(multiple_ U V))).
Variable ax51_51 : (forall U V : Universe, (specific_ U V -> ~(general_ U V))).
Variable ax52_52 : (forall U V : Universe, (unisex_ U V -> ~(female_ U V))).
Variable ax53_53 : (forall U V W : Universe, ((entity_ U V /\ (forename_ U W /\ of_ U W V)) -> ~((exists X : Universe, (forename_ U X /\ (X <> W /\ of_ U X V)))))).
Variable ax54_54 : (forall U V W X : Universe, ((nonreflexive_ U V /\ (agent_ U V W /\ patient_ U V X)) -> W <> X)).
Variable ax55_55 : (forall U V : Universe, (five_ U V <-> (exists W : Universe, (member_ U W V /\ (exists X : Universe, (member_ U X V /\ (X <> W /\ (exists Y : Universe, (member_ U Y V /\ (Y <> X /\ (Y <> W /\ (exists Z : Universe, (member_ U Z V /\ (Z <> Y /\ (Z <> X /\ (Z <> W /\ (exists X1 : Universe, (member_ U X1 V /\ (X1 <> Z /\ (X1 <> Y /\ (X1 <> X /\ (X1 <> W /\ (forall X2 : Universe, (member_ U X2 V -> (X2 = X1 \/ (X2 = Z \/ (X2 = Y \/ (X2 = X \/ X2 = W)))))))))))))))))))))))))))).
Variable ax56_56 : (forall U : Universe, ~((exists V : Universe, member_ U V V))).

Theorem co1_57 : ~(((exists U : Universe, (actual_world_ U /\ (exists V W X Y : Universe, (of_ U W V /\ (woman_ U V /\ (mia_forename_ U W /\ (forename_ U W /\ (shake_beverage_ U X /\ (event_ U Y /\ (agent_ U Y V /\ (patient_ U Y X /\ (past_ U Y /\ (nonreflexive_ U Y /\ order_ U Y))))))))))))) /\ ~((exists Z : Universe, (actual_world_ Z /\ (exists V W X Y X1 : Universe, (nonhuman_ Z W /\ (of_ Z W V /\ (woman_ Z V /\ (mia_forename_ Z W /\ (forename_ Z W /\ (shake_beverage_ Z X /\ (event_ Z Y /\ (agent_ Z Y V /\ (patient_ Z Y X /\ (past_ Z Y /\ (nonreflexive_ Z Y /\ (order_ Z Y /\ ((forall X2 : Universe, (member_ Z X2 X1 -> (exists X3 : Universe, (event_ Z X3 /\ (agent_ Z X3 W /\ (patient_ Z X3 X2 /\ (present_ Z X3 /\ (nonreflexive_ Z X3 /\ cost_ Z X3)))))))) /\ (five_ Z X1 /\ (group_ Z X1 /\ (forall X4 : Universe, (member_ Z X4 X1 -> dollar_ Z X4))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
