(*
% File     : NLP135+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 22
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            An old dirty white chevy barrels down a lonely street in 
%            hollywood. Two young fellas are in the front seat.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris112 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.50 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  108 (   0 equality)
%            Maximal formula depth :   36 (  36 average)
%            Number of connectives :  109 (   2 ~  ;   0  |;  97  &)
%                                         (   0 <=>;  10 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   25 (   0 propositional; 1-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   40 (   0 singleton;   8 !;  32 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable young_ : Universe -> Universe -> Prop.
Variable white_ : Universe -> Universe -> Prop.
Variable two_ : Universe -> Universe -> Prop.
Variable street_ : Universe -> Universe -> Prop.
Variable state_ : Universe -> Universe -> Prop.
Variable present_ : Universe -> Universe -> Prop.
Variable placename_ : Universe -> Universe -> Prop.
Variable old_ : Universe -> Universe -> Prop.
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable member_ : Universe -> Universe -> Universe -> Prop.
Variable lonely_ : Universe -> Universe -> Prop.
Variable in_ : Universe -> Universe -> Universe -> Prop.
Variable hollywood_placename_ : Universe -> Universe -> Prop.
Variable group_ : Universe -> Universe -> Prop.
Variable frontseat_ : Universe -> Universe -> Prop.
Variable fellow_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable down_ : Universe -> Universe -> Universe -> Prop.
Variable dirty_ : Universe -> Universe -> Prop.
Variable city_ : Universe -> Universe -> Prop.
Variable chevy_ : Universe -> Universe -> Prop.
Variable be_ : Universe -> Universe -> Universe -> Universe -> Prop.
Variable barrel_ : Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.



Theorem co1_1 : ~(~((((exists U : Universe, (actual_world_ U /\ (exists V W X Y Z : Universe, (of_ U V W /\ (city_ U W /\ (hollywood_placename_ U V /\ (placename_ U V /\ (chevy_ U W /\ (white_ U W /\ (dirty_ U W /\ (old_ U W /\ (street_ U X /\ (lonely_ U X /\ (event_ U Y /\ (agent_ U Y W /\ (present_ U Y /\ (barrel_ U Y /\ (down_ U Y X /\ (in_ U Y W /\ ((forall X1 : Universe, (member_ U X1 Z -> (exists X2 X3 : Universe, (frontseat_ U X3 /\ (state_ U X2 /\ (be_ U X2 X1 X3 /\ in_ U X3 X3)))))) /\ (two_ U Z /\ (group_ U Z /\ (forall X4 : Universe, (member_ U X4 Z -> (fellow_ U X4 /\ young_ U X4))))))))))))))))))))))))) -> (exists X5 : Universe, (actual_world_ X5 /\ (exists X6 X7 X8 X9 X10 : Universe, (of_ X5 X6 X7 /\ (city_ X5 X7 /\ (hollywood_placename_ X5 X6 /\ (placename_ X5 X6 /\ (chevy_ X5 X7 /\ (white_ X5 X7 /\ (dirty_ X5 X7 /\ (old_ X5 X7 /\ (street_ X5 X8 /\ (lonely_ X5 X8 /\ (event_ X5 X9 /\ (agent_ X5 X9 X7 /\ (present_ X5 X9 /\ (barrel_ X5 X9 /\ (down_ X5 X9 X8 /\ (in_ X5 X9 X7 /\ ((forall X11 : Universe, ((frontseat_ X5 X11 /\ member_ X5 X11 X10) -> (exists X12 X13 : Universe, (state_ X5 X12 /\ (be_ X5 X12 X11 X13 /\ in_ X5 X13 X11))))) /\ (two_ X5 X10 /\ (group_ X5 X10 /\ (forall X14 : Universe, (member_ X5 X14 X10 -> (fellow_ X5 X14 /\ young_ X5 X14)))))))))))))))))))))))))) /\ ((exists X5 : Universe, (actual_world_ X5 /\ (exists X6 X7 X8 X9 X10 : Universe, (of_ X5 X6 X7 /\ (city_ X5 X7 /\ (hollywood_placename_ X5 X6 /\ (placename_ X5 X6 /\ (chevy_ X5 X7 /\ (white_ X5 X7 /\ (dirty_ X5 X7 /\ (old_ X5 X7 /\ (street_ X5 X8 /\ (lonely_ X5 X8 /\ (event_ X5 X9 /\ (agent_ X5 X9 X7 /\ (present_ X5 X9 /\ (barrel_ X5 X9 /\ (down_ X5 X9 X8 /\ (in_ X5 X9 X7 /\ ((forall X11 : Universe, ((frontseat_ X5 X11 /\ member_ X5 X11 X10) -> (exists X12 X13 : Universe, (state_ X5 X12 /\ (be_ X5 X12 X11 X13 /\ in_ X5 X13 X11))))) /\ (two_ X5 X10 /\ (group_ X5 X10 /\ (forall X14 : Universe, (member_ X5 X14 X10 -> (fellow_ X5 X14 /\ young_ X5 X14))))))))))))))))))))))))) -> (exists U : Universe, (actual_world_ U /\ (exists V W X Y Z : Universe, (of_ U V W /\ (city_ U W /\ (hollywood_placename_ U V /\ (placename_ U V /\ (chevy_ U W /\ (white_ U W /\ (dirty_ U W /\ (old_ U W /\ (street_ U X /\ (lonely_ U X /\ (event_ U Y /\ (agent_ U Y W /\ (present_ U Y /\ (barrel_ U Y /\ (down_ U Y X /\ (in_ U Y W /\ ((forall X1 : Universe, (member_ U X1 Z -> (exists X2 X3 : Universe, (frontseat_ U X3 /\ (state_ U X2 /\ (be_ U X2 X1 X3 /\ in_ U X3 X3)))))) /\ (two_ U Z /\ (group_ U Z /\ (forall X4 : Universe, (member_ U X4 Z -> (fellow_ U X4 /\ young_ U X4))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
