(*
% File     : NLP160+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 47
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            An old dirty white chevy barrels down a lonely street in 
%            hollywood. Two young fellas are in the front seat. They are 
%            wearing cheap black coats.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris137 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 1.00 v2.6.0, 0.75 v2.5.0, 0.67 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  164 (   0 equality)
%            Maximal formula depth :   48 (  48 average)
%            Number of connectives :  165 (   2 ~  ;   0  |; 141  &)
%                                         (   0 <=>;  22 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   31 (   0 propositional; 1-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   68 (   0 singleton;  20 !;  48 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable young_ : Universe -> Universe -> Prop.
Variable white_ : Universe -> Universe -> Prop.
Variable wear_ : Universe -> Universe -> Prop.
Variable two_ : Universe -> Universe -> Prop.
Variable street_ : Universe -> Universe -> Prop.
Variable state_ : Universe -> Universe -> Prop.
Variable present_ : Universe -> Universe -> Prop.
Variable placename_ : Universe -> Universe -> Prop.
Variable patient_ : Universe -> Universe -> Universe -> Prop.
Variable old_ : Universe -> Universe -> Prop.
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable nonreflexive_ : Universe -> Universe -> Prop.
Variable member_ : Universe -> Universe -> Universe -> Prop.
Variable lonely_ : Universe -> Universe -> Prop.
Variable in_ : Universe -> Universe -> Universe -> Prop.
Variable hollywood_placename_ : Universe -> Universe -> Prop.
Variable group_ : Universe -> Universe -> Prop.
Variable frontseat_ : Universe -> Universe -> Prop.
Variable fellow_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable down_ : Universe -> Universe -> Universe -> Prop.
Variable dirty_ : Universe -> Universe -> Prop.
Variable coat_ : Universe -> Universe -> Prop.
Variable city_ : Universe -> Universe -> Prop.
Variable chevy_ : Universe -> Universe -> Prop.
Variable cheap_ : Universe -> Universe -> Prop.
Variable black_ : Universe -> Universe -> Prop.
Variable be_ : Universe -> Universe -> Universe -> Universe -> Prop.
Variable barrel_ : Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.



Theorem co1_1 : ~(~((((exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 X2 X3 : Universe, (group_ U V /\ (frontseat_ U Y /\ (of_ U X W /\ (city_ U W /\ (hollywood_placename_ U X /\ (placename_ U X /\ (chevy_ U Y /\ (white_ U Y /\ (dirty_ U Y /\ (old_ U Y /\ (street_ U Z /\ (lonely_ U Z /\ (event_ U X1 /\ (agent_ U X1 Y /\ (present_ U X1 /\ (barrel_ U X1 /\ (down_ U X1 Z /\ (in_ U X1 W /\ ((forall X4 : Universe, (member_ U X4 X2 -> (exists X5 X6 : Universe, (state_ U X5 /\ (be_ U X5 X4 X6 /\ in_ U X6 Y))))) /\ (two_ U X2 /\ (group_ U X2 /\ ((forall X7 : Universe, (member_ U X7 X2 -> (fellow_ U X7 /\ young_ U X7))) /\ ((forall X8 : Universe, (member_ U X8 X3 -> (forall X9 : Universe, (member_ U X9 V -> (exists X10 : Universe, (event_ U X10 /\ (agent_ U X10 X9 /\ (patient_ U X10 X8 /\ (present_ U X10 /\ (nonreflexive_ U X10 /\ wear_ U X10)))))))))) /\ (group_ U X3 /\ (forall X11 : Universe, (member_ U X11 X3 -> (coat_ U X11 /\ (black_ U X11 /\ cheap_ U X11))))))))))))))))))))))))))))))) -> (exists X12 : Universe, (actual_world_ X12 /\ (exists X13 X14 X15 X16 X17 X18 X19 X20 : Universe, (group_ X12 X13 /\ (frontseat_ X12 X14 /\ (of_ X12 X15 X14 /\ (city_ X12 X14 /\ (hollywood_placename_ X12 X15 /\ (placename_ X12 X15 /\ (chevy_ X12 X16 /\ (white_ X12 X16 /\ (dirty_ X12 X16 /\ (old_ X12 X16 /\ (street_ X12 X17 /\ (lonely_ X12 X17 /\ (event_ X12 X18 /\ (agent_ X12 X18 X16 /\ (present_ X12 X18 /\ (barrel_ X12 X18 /\ (down_ X12 X18 X17 /\ (in_ X12 X18 X14 /\ ((forall X21 : Universe, (member_ X12 X21 X19 -> (exists X22 X23 : Universe, (state_ X12 X22 /\ (be_ X12 X22 X21 X23 /\ in_ X12 X23 X14))))) /\ (two_ X12 X19 /\ (group_ X12 X19 /\ ((forall X24 : Universe, (member_ X12 X24 X19 -> (fellow_ X12 X24 /\ young_ X12 X24))) /\ ((forall X25 : Universe, (member_ X12 X25 X20 -> (forall X26 : Universe, (member_ X12 X26 X13 -> (exists X27 : Universe, (event_ X12 X27 /\ (agent_ X12 X27 X26 /\ (patient_ X12 X27 X25 /\ (present_ X12 X27 /\ (nonreflexive_ X12 X27 /\ wear_ X12 X27)))))))))) /\ (group_ X12 X20 /\ (forall X28 : Universe, (member_ X12 X28 X20 -> (coat_ X12 X28 /\ (black_ X12 X28 /\ cheap_ X12 X28)))))))))))))))))))))))))))))))) /\ ((exists X12 : Universe, (actual_world_ X12 /\ (exists X13 X14 X15 X16 X17 X18 X19 X20 : Universe, (group_ X12 X13 /\ (frontseat_ X12 X14 /\ (of_ X12 X15 X14 /\ (city_ X12 X14 /\ (hollywood_placename_ X12 X15 /\ (placename_ X12 X15 /\ (chevy_ X12 X16 /\ (white_ X12 X16 /\ (dirty_ X12 X16 /\ (old_ X12 X16 /\ (street_ X12 X17 /\ (lonely_ X12 X17 /\ (event_ X12 X18 /\ (agent_ X12 X18 X16 /\ (present_ X12 X18 /\ (barrel_ X12 X18 /\ (down_ X12 X18 X17 /\ (in_ X12 X18 X14 /\ ((forall X21 : Universe, (member_ X12 X21 X19 -> (exists X22 X23 : Universe, (state_ X12 X22 /\ (be_ X12 X22 X21 X23 /\ in_ X12 X23 X14))))) /\ (two_ X12 X19 /\ (group_ X12 X19 /\ ((forall X24 : Universe, (member_ X12 X24 X19 -> (fellow_ X12 X24 /\ young_ X12 X24))) /\ ((forall X25 : Universe, (member_ X12 X25 X20 -> (forall X26 : Universe, (member_ X12 X26 X13 -> (exists X27 : Universe, (event_ X12 X27 /\ (agent_ X12 X27 X26 /\ (patient_ X12 X27 X25 /\ (present_ X12 X27 /\ (nonreflexive_ X12 X27 /\ wear_ X12 X27)))))))))) /\ (group_ X12 X20 /\ (forall X28 : Universe, (member_ X12 X28 X20 -> (coat_ X12 X28 /\ (black_ X12 X28 /\ cheap_ X12 X28))))))))))))))))))))))))))))))) -> (exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 X2 X3 : Universe, (group_ U V /\ (frontseat_ U Y /\ (of_ U X W /\ (city_ U W /\ (hollywood_placename_ U X /\ (placename_ U X /\ (chevy_ U Y /\ (white_ U Y /\ (dirty_ U Y /\ (old_ U Y /\ (street_ U Z /\ (lonely_ U Z /\ (event_ U X1 /\ (agent_ U X1 Y /\ (present_ U X1 /\ (barrel_ U X1 /\ (down_ U X1 Z /\ (in_ U X1 W /\ ((forall X4 : Universe, (member_ U X4 X2 -> (exists X5 X6 : Universe, (state_ U X5 /\ (be_ U X5 X4 X6 /\ in_ U X6 Y))))) /\ (two_ U X2 /\ (group_ U X2 /\ ((forall X7 : Universe, (member_ U X7 X2 -> (fellow_ U X7 /\ young_ U X7))) /\ ((forall X8 : Universe, (member_ U X8 X3 -> (forall X9 : Universe, (member_ U X9 V -> (exists X10 : Universe, (event_ U X10 /\ (agent_ U X10 X9 /\ (patient_ U X10 X8 /\ (present_ U X10 /\ (nonreflexive_ U X10 /\ wear_ U X10)))))))))) /\ (group_ U X3 /\ (forall X11 : Universe, (member_ U X11 X3 -> (coat_ U X11 /\ (black_ U X11 /\ cheap_ U X11))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
