(*
% File     : NLP190+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 77
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            An old dirty white chevy barrels down a lonely street in 
%            hollywood. Two young fellas are in the front seat. They are 
%            wearing cheap black coats. Jules is behind the wheel.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris167 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 1.00 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  192 (   0 equality)
%            Maximal formula depth :   56 (  56 average)
%            Number of connectives :  193 (   2 ~  ;   0  |; 169  &)
%                                         (   0 <=>;  22 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (   0 propositional; 1-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   82 (   0 singleton;  20 !;  62 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable young_ : Universe -> Universe -> Prop.
Variable white_ : Universe -> Universe -> Prop.
Variable wheel_ : Universe -> Universe -> Prop.
Variable wear_ : Universe -> Universe -> Prop.
Variable two_ : Universe -> Universe -> Prop.
Variable street_ : Universe -> Universe -> Prop.
Variable state_ : Universe -> Universe -> Prop.
Variable present_ : Universe -> Universe -> Prop.
Variable placename_ : Universe -> Universe -> Prop.
Variable patient_ : Universe -> Universe -> Universe -> Prop.
Variable old_ : Universe -> Universe -> Prop.
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable nonreflexive_ : Universe -> Universe -> Prop.
Variable member_ : Universe -> Universe -> Universe -> Prop.
Variable man_ : Universe -> Universe -> Prop.
Variable lonely_ : Universe -> Universe -> Prop.
Variable jules_forename_ : Universe -> Universe -> Prop.
Variable in_ : Universe -> Universe -> Universe -> Prop.
Variable hollywood_placename_ : Universe -> Universe -> Prop.
Variable group_ : Universe -> Universe -> Prop.
Variable frontseat_ : Universe -> Universe -> Prop.
Variable forename_ : Universe -> Universe -> Prop.
Variable fellow_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable down_ : Universe -> Universe -> Universe -> Prop.
Variable dirty_ : Universe -> Universe -> Prop.
Variable coat_ : Universe -> Universe -> Prop.
Variable city_ : Universe -> Universe -> Prop.
Variable chevy_ : Universe -> Universe -> Prop.
Variable cheap_ : Universe -> Universe -> Prop.
Variable black_ : Universe -> Universe -> Prop.
Variable behind_ : Universe -> Universe -> Universe -> Prop.
Variable be_ : Universe -> Universe -> Universe -> Universe -> Prop.
Variable barrel_ : Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.



Theorem co1_1 : ~(~((((exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 X2 X3 X4 X5 X6 : Universe, (of_ U W V /\ (man_ U V /\ (jules_forename_ U W /\ (forename_ U W /\ (wheel_ U X1 /\ (frontseat_ U X /\ (chevy_ U Y /\ (white_ U Y /\ (dirty_ U Y /\ (old_ U Y /\ (of_ U Z X1 /\ (city_ U X1 /\ (hollywood_placename_ U Z /\ (placename_ U Z /\ (street_ U X1 /\ (lonely_ U X1 /\ (event_ U X2 /\ (agent_ U X2 Y /\ (present_ U X2 /\ (barrel_ U X2 /\ (down_ U X2 X1 /\ (in_ U X2 X1 /\ ((forall X7 : Universe, (member_ U X7 X3 -> (exists X8 X9 : Universe, (state_ U X8 /\ (be_ U X8 X7 X9 /\ in_ U X9 X))))) /\ (two_ U X3 /\ (group_ U X3 /\ ((forall X10 : Universe, (member_ U X10 X3 -> (fellow_ U X10 /\ young_ U X10))) /\ ((forall X11 : Universe, (member_ U X11 X4 -> (forall X12 : Universe, (member_ U X12 X3 -> (exists X13 : Universe, (event_ U X13 /\ (agent_ U X13 X12 /\ (patient_ U X13 X11 /\ (present_ U X13 /\ (nonreflexive_ U X13 /\ wear_ U X13)))))))))) /\ (group_ U X4 /\ ((forall X14 : Universe, (member_ U X14 X4 -> (coat_ U X14 /\ (black_ U X14 /\ cheap_ U X14)))) /\ (state_ U X5 /\ (be_ U X5 V X6 /\ behind_ U X6 X1)))))))))))))))))))))))))))))))))) -> (exists X15 : Universe, (actual_world_ X15 /\ (exists X16 X17 X18 X19 X20 X21 X22 X23 X24 X25 X26 X27 : Universe, (of_ X15 X17 X16 /\ (man_ X15 X16 /\ (jules_forename_ X15 X17 /\ (forename_ X15 X17 /\ (wheel_ X15 X18 /\ (frontseat_ X15 X19 /\ (chevy_ X15 X20 /\ (white_ X15 X20 /\ (dirty_ X15 X20 /\ (old_ X15 X20 /\ (of_ X15 X21 X22 /\ (city_ X15 X22 /\ (hollywood_placename_ X15 X21 /\ (placename_ X15 X21 /\ (street_ X15 X22 /\ (lonely_ X15 X22 /\ (event_ X15 X23 /\ (agent_ X15 X23 X20 /\ (present_ X15 X23 /\ (barrel_ X15 X23 /\ (down_ X15 X23 X22 /\ (in_ X15 X23 X22 /\ ((forall X28 : Universe, (member_ X15 X28 X24 -> (exists X29 X30 : Universe, (state_ X15 X29 /\ (be_ X15 X29 X28 X30 /\ in_ X15 X30 X19))))) /\ (two_ X15 X24 /\ (group_ X15 X24 /\ ((forall X31 : Universe, (member_ X15 X31 X24 -> (fellow_ X15 X31 /\ young_ X15 X31))) /\ ((forall X32 : Universe, (member_ X15 X32 X25 -> (forall X33 : Universe, (member_ X15 X33 X24 -> (exists X34 : Universe, (event_ X15 X34 /\ (agent_ X15 X34 X33 /\ (patient_ X15 X34 X32 /\ (present_ X15 X34 /\ (nonreflexive_ X15 X34 /\ wear_ X15 X34)))))))))) /\ (group_ X15 X25 /\ ((forall X35 : Universe, (member_ X15 X35 X25 -> (coat_ X15 X35 /\ (black_ X15 X35 /\ cheap_ X15 X35)))) /\ (state_ X15 X26 /\ (be_ X15 X26 X16 X27 /\ behind_ X15 X27 X18))))))))))))))))))))))))))))))))))) /\ ((exists X15 : Universe, (actual_world_ X15 /\ (exists X16 X17 X18 X19 X20 X21 X22 X23 X24 X25 X26 X27 : Universe, (of_ X15 X17 X16 /\ (man_ X15 X16 /\ (jules_forename_ X15 X17 /\ (forename_ X15 X17 /\ (wheel_ X15 X18 /\ (frontseat_ X15 X19 /\ (chevy_ X15 X20 /\ (white_ X15 X20 /\ (dirty_ X15 X20 /\ (old_ X15 X20 /\ (of_ X15 X21 X22 /\ (city_ X15 X22 /\ (hollywood_placename_ X15 X21 /\ (placename_ X15 X21 /\ (street_ X15 X22 /\ (lonely_ X15 X22 /\ (event_ X15 X23 /\ (agent_ X15 X23 X20 /\ (present_ X15 X23 /\ (barrel_ X15 X23 /\ (down_ X15 X23 X22 /\ (in_ X15 X23 X22 /\ ((forall X28 : Universe, (member_ X15 X28 X24 -> (exists X29 X30 : Universe, (state_ X15 X29 /\ (be_ X15 X29 X28 X30 /\ in_ X15 X30 X19))))) /\ (two_ X15 X24 /\ (group_ X15 X24 /\ ((forall X31 : Universe, (member_ X15 X31 X24 -> (fellow_ X15 X31 /\ young_ X15 X31))) /\ ((forall X32 : Universe, (member_ X15 X32 X25 -> (forall X33 : Universe, (member_ X15 X33 X24 -> (exists X34 : Universe, (event_ X15 X34 /\ (agent_ X15 X34 X33 /\ (patient_ X15 X34 X32 /\ (present_ X15 X34 /\ (nonreflexive_ X15 X34 /\ wear_ X15 X34)))))))))) /\ (group_ X15 X25 /\ ((forall X35 : Universe, (member_ X15 X35 X25 -> (coat_ X15 X35 /\ (black_ X15 X35 /\ cheap_ X15 X35)))) /\ (state_ X15 X26 /\ (be_ X15 X26 X16 X27 /\ behind_ X15 X27 X18)))))))))))))))))))))))))))))))))) -> (exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 X2 X3 X4 X5 X6 : Universe, (of_ U W V /\ (man_ U V /\ (jules_forename_ U W /\ (forename_ U W /\ (wheel_ U X1 /\ (frontseat_ U X /\ (chevy_ U Y /\ (white_ U Y /\ (dirty_ U Y /\ (old_ U Y /\ (of_ U Z X1 /\ (city_ U X1 /\ (hollywood_placename_ U Z /\ (placename_ U Z /\ (street_ U X1 /\ (lonely_ U X1 /\ (event_ U X2 /\ (agent_ U X2 Y /\ (present_ U X2 /\ (barrel_ U X2 /\ (down_ U X2 X1 /\ (in_ U X2 X1 /\ ((forall X7 : Universe, (member_ U X7 X3 -> (exists X8 X9 : Universe, (state_ U X8 /\ (be_ U X8 X7 X9 /\ in_ U X9 X))))) /\ (two_ U X3 /\ (group_ U X3 /\ ((forall X10 : Universe, (member_ U X10 X3 -> (fellow_ U X10 /\ young_ U X10))) /\ ((forall X11 : Universe, (member_ U X11 X4 -> (forall X12 : Universe, (member_ U X12 X3 -> (exists X13 : Universe, (event_ U X13 /\ (agent_ U X13 X12 /\ (patient_ U X13 X11 /\ (present_ U X13 /\ (nonreflexive_ U X13 /\ wear_ U X13)))))))))) /\ (group_ U X4 /\ ((forall X14 : Universe, (member_ U X14 X4 -> (coat_ U X14 /\ (black_ U X14 /\ cheap_ U X14)))) /\ (state_ U X5 /\ (be_ U X5 V X6 /\ behind_ U X6 X1)))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
