(*
% File     : NLP230+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : Vincent believes that every man smokes, problem 11
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            Vincent believes that every man smokes. Jules is a man. 
%            Vincent believes that jules smokes.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris207 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  170 (   0 equality)
%            Maximal formula depth :   58 (  58 average)
%            Number of connectives :  171 (   2 ~  ;   0  |; 163  &)
%                                         (   0 <=>;   6 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 1-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   66 (   0 singleton;   4 !;  62 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable vincent_forename_ : Universe -> Universe -> Prop.
Variable think_believe_consider_ : Universe -> Universe -> Prop.
Variable theme_ : Universe -> Universe -> Universe -> Prop.
Variable state_ : Universe -> Universe -> Prop.
Variable smoke_ : Universe -> Universe -> Prop.
Variable proposition_ : Universe -> Universe -> Prop.
Variable present_ : Universe -> Universe -> Prop.
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable man_ : Universe -> Universe -> Prop.
Variable jules_forename_ : Universe -> Universe -> Prop.
Variable forename_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable be_ : Universe -> Universe -> Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.
Variable accessible_world_ : Universe -> Universe -> Prop.



Theorem co1_1 : ~(~((((exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 X2 X3 X4 X5 X6 X7 X8 : Universe, (of_ U W V /\ (man_ U V /\ (vincent_forename_ U W /\ (forename_ U W /\ (of_ U Y X /\ (man_ U X /\ (jules_forename_ U Y /\ (forename_ U Y /\ (of_ U X1 Z /\ (man_ U Z /\ (vincent_forename_ U X1 /\ (forename_ U X1 /\ (proposition_ U X3 /\ (agent_ U X2 Z /\ (theme_ U X2 X3 /\ (event_ U X2 /\ (present_ U X2 /\ (think_believe_consider_ U X2 /\ (accessible_world_ U X3 /\ ((forall X9 : Universe, (man_ X3 X9 -> (exists X10 : Universe, (event_ X3 X10 /\ (agent_ X3 X10 X9 /\ (present_ X3 X10 /\ smoke_ X3 X10)))))) /\ (of_ U X4 X5 /\ (man_ U X5 /\ (jules_forename_ U X4 /\ (forename_ U X4 /\ (man_ U X5 /\ (state_ U X6 /\ (be_ U X6 X5 X5 /\ (proposition_ U X8 /\ (agent_ U X7 V /\ (theme_ U X7 X8 /\ (event_ U X7 /\ (present_ U X7 /\ (think_believe_consider_ U X7 /\ (accessible_world_ U X8 /\ (exists X11 : Universe, (event_ X8 X11 /\ (agent_ X8 X11 X /\ (present_ X8 X11 /\ smoke_ X8 X11))))))))))))))))))))))))))))))))))))))))) -> (exists X12 : Universe, (actual_world_ X12 /\ (exists X13 X14 X15 X16 X17 X18 X19 X20 X21 X22 X23 X24 : Universe, (of_ X12 X13 X14 /\ (jules_forename_ X12 X13 /\ (forename_ X12 X13 /\ (of_ X12 X15 X14 /\ (man_ X12 X14 /\ (vincent_forename_ X12 X15 /\ (forename_ X12 X15 /\ (of_ X12 X17 X16 /\ (man_ X12 X16 /\ (vincent_forename_ X12 X17 /\ (forename_ X12 X17 /\ (proposition_ X12 X19 /\ (agent_ X12 X18 X16 /\ (theme_ X12 X18 X19 /\ (event_ X12 X18 /\ (present_ X12 X18 /\ (think_believe_consider_ X12 X18 /\ (accessible_world_ X12 X19 /\ ((forall X25 : Universe, (man_ X19 X25 -> (exists X26 : Universe, (event_ X19 X26 /\ (agent_ X19 X26 X25 /\ (present_ X19 X26 /\ smoke_ X19 X26)))))) /\ (of_ X12 X20 X21 /\ (man_ X12 X21 /\ (jules_forename_ X12 X20 /\ (forename_ X12 X20 /\ (man_ X12 X21 /\ (state_ X12 X22 /\ (be_ X12 X22 X21 X21 /\ (proposition_ X12 X24 /\ (agent_ X12 X23 X14 /\ (theme_ X12 X23 X24 /\ (event_ X12 X23 /\ (present_ X12 X23 /\ (think_believe_consider_ X12 X23 /\ (accessible_world_ X12 X24 /\ (exists X27 : Universe, (event_ X24 X27 /\ (agent_ X24 X27 X14 /\ (present_ X24 X27 /\ smoke_ X24 X27))))))))))))))))))))))))))))))))))))))))) /\ ((exists X12 : Universe, (actual_world_ X12 /\ (exists X13 X14 X15 X16 X17 X18 X19 X20 X21 X22 X23 X24 : Universe, (of_ X12 X13 X14 /\ (jules_forename_ X12 X13 /\ (forename_ X12 X13 /\ (of_ X12 X15 X14 /\ (man_ X12 X14 /\ (vincent_forename_ X12 X15 /\ (forename_ X12 X15 /\ (of_ X12 X17 X16 /\ (man_ X12 X16 /\ (vincent_forename_ X12 X17 /\ (forename_ X12 X17 /\ (proposition_ X12 X19 /\ (agent_ X12 X18 X16 /\ (theme_ X12 X18 X19 /\ (event_ X12 X18 /\ (present_ X12 X18 /\ (think_believe_consider_ X12 X18 /\ (accessible_world_ X12 X19 /\ ((forall X25 : Universe, (man_ X19 X25 -> (exists X26 : Universe, (event_ X19 X26 /\ (agent_ X19 X26 X25 /\ (present_ X19 X26 /\ smoke_ X19 X26)))))) /\ (of_ X12 X20 X21 /\ (man_ X12 X21 /\ (jules_forename_ X12 X20 /\ (forename_ X12 X20 /\ (man_ X12 X21 /\ (state_ X12 X22 /\ (be_ X12 X22 X21 X21 /\ (proposition_ X12 X24 /\ (agent_ X12 X23 X14 /\ (theme_ X12 X23 X24 /\ (event_ X12 X23 /\ (present_ X12 X23 /\ (think_believe_consider_ X12 X23 /\ (accessible_world_ X12 X24 /\ (exists X27 : Universe, (event_ X24 X27 /\ (agent_ X24 X27 X14 /\ (present_ X24 X27 /\ smoke_ X24 X27)))))))))))))))))))))))))))))))))))))))) -> (exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 X2 X3 X4 X5 X6 X7 X8 : Universe, (of_ U W V /\ (man_ U V /\ (vincent_forename_ U W /\ (forename_ U W /\ (of_ U Y X /\ (man_ U X /\ (jules_forename_ U Y /\ (forename_ U Y /\ (of_ U X1 Z /\ (man_ U Z /\ (vincent_forename_ U X1 /\ (forename_ U X1 /\ (proposition_ U X3 /\ (agent_ U X2 Z /\ (theme_ U X2 X3 /\ (event_ U X2 /\ (present_ U X2 /\ (think_believe_consider_ U X2 /\ (accessible_world_ U X3 /\ ((forall X9 : Universe, (man_ X3 X9 -> (exists X10 : Universe, (event_ X3 X10 /\ (agent_ X3 X10 X9 /\ (present_ X3 X10 /\ smoke_ X3 X10)))))) /\ (of_ U X4 X5 /\ (man_ U X5 /\ (jules_forename_ U X4 /\ (forename_ U X4 /\ (man_ U X5 /\ (state_ U X6 /\ (be_ U X6 X5 X5 /\ (proposition_ U X8 /\ (agent_ U X7 V /\ (theme_ U X7 X8 /\ (event_ U X7 /\ (present_ U X7 /\ (think_believe_consider_ U X7 /\ (accessible_world_ U X8 /\ (exists X11 : Universe, (event_ X8 X11 /\ (agent_ X8 X11 X /\ (present_ X8 X11 /\ smoke_ X8 X11))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
