(*
% File     : NLP237+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : Vincent believes that every man smokes, problem 18
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            Vincent believes that every man smokes. Jules is a man. 
%            Vincent believes that jules smokes.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris214 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  170 (   0 equality)
%            Maximal formula depth :   58 (  58 average)
%            Number of connectives :  171 (   2 ~  ;   0  |; 163  &)
%                                         (   0 <=>;   6 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 1-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   66 (   0 singleton;   4 !;  62 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable vincent_forename_ : Universe -> Universe -> Prop.
Variable think_believe_consider_ : Universe -> Universe -> Prop.
Variable theme_ : Universe -> Universe -> Universe -> Prop.
Variable state_ : Universe -> Universe -> Prop.
Variable smoke_ : Universe -> Universe -> Prop.
Variable proposition_ : Universe -> Universe -> Prop.
Variable present_ : Universe -> Universe -> Prop.
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable man_ : Universe -> Universe -> Prop.
Variable jules_forename_ : Universe -> Universe -> Prop.
Variable forename_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable be_ : Universe -> Universe -> Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.
Variable accessible_world_ : Universe -> Universe -> Prop.



Theorem co1_1 : ~(~((((exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 X2 X3 X4 X5 X6 X7 : Universe, (of_ U W V /\ (man_ U V /\ (jules_forename_ U W /\ (forename_ U W /\ (of_ U X X4 /\ (vincent_forename_ U X /\ (forename_ U X /\ (of_ U Z Y /\ (man_ U Y /\ (vincent_forename_ U Z /\ (forename_ U Z /\ (proposition_ U X2 /\ (agent_ U X1 Y /\ (theme_ U X1 X2 /\ (event_ U X1 /\ (present_ U X1 /\ (think_believe_consider_ U X1 /\ (accessible_world_ U X2 /\ ((forall X8 : Universe, (man_ X2 X8 -> (exists X9 : Universe, (event_ X2 X9 /\ (agent_ X2 X9 X8 /\ (present_ X2 X9 /\ smoke_ X2 X9)))))) /\ (of_ U X3 X4 /\ (man_ U X4 /\ (jules_forename_ U X3 /\ (forename_ U X3 /\ (man_ U X4 /\ (state_ U X5 /\ (be_ U X5 X4 X4 /\ (proposition_ U X7 /\ (agent_ U X6 X4 /\ (theme_ U X6 X7 /\ (event_ U X6 /\ (present_ U X6 /\ (think_believe_consider_ U X6 /\ (accessible_world_ U X7 /\ (exists X10 : Universe, (event_ X7 X10 /\ (agent_ X7 X10 V /\ (present_ X7 X10 /\ smoke_ X7 X10)))))))))))))))))))))))))))))))))))))))) -> (exists X11 : Universe, (actual_world_ X11 /\ (exists X12 X13 X14 X15 X16 X17 X18 X19 X20 X21 X22 X23 X24 : Universe, (of_ X11 X13 X12 /\ (man_ X11 X12 /\ (vincent_forename_ X11 X13 /\ (forename_ X11 X13 /\ (of_ X11 X15 X14 /\ (man_ X11 X14 /\ (jules_forename_ X11 X15 /\ (forename_ X11 X15 /\ (of_ X11 X17 X16 /\ (man_ X11 X16 /\ (vincent_forename_ X11 X17 /\ (forename_ X11 X17 /\ (proposition_ X11 X19 /\ (agent_ X11 X18 X16 /\ (theme_ X11 X18 X19 /\ (event_ X11 X18 /\ (present_ X11 X18 /\ (think_believe_consider_ X11 X18 /\ (accessible_world_ X11 X19 /\ ((forall X25 : Universe, (man_ X19 X25 -> (exists X26 : Universe, (event_ X19 X26 /\ (agent_ X19 X26 X25 /\ (present_ X19 X26 /\ smoke_ X19 X26)))))) /\ (of_ X11 X20 X21 /\ (man_ X11 X21 /\ (jules_forename_ X11 X20 /\ (forename_ X11 X20 /\ (man_ X11 X21 /\ (state_ X11 X22 /\ (be_ X11 X22 X21 X21 /\ (proposition_ X11 X24 /\ (agent_ X11 X23 X12 /\ (theme_ X11 X23 X24 /\ (event_ X11 X23 /\ (present_ X11 X23 /\ (think_believe_consider_ X11 X23 /\ (accessible_world_ X11 X24 /\ (exists X27 : Universe, (event_ X24 X27 /\ (agent_ X24 X27 X14 /\ (present_ X24 X27 /\ smoke_ X24 X27)))))))))))))))))))))))))))))))))))))))))) /\ ((exists X11 : Universe, (actual_world_ X11 /\ (exists X12 X13 X14 X15 X16 X17 X18 X19 X20 X21 X22 X23 X24 : Universe, (of_ X11 X13 X12 /\ (man_ X11 X12 /\ (vincent_forename_ X11 X13 /\ (forename_ X11 X13 /\ (of_ X11 X15 X14 /\ (man_ X11 X14 /\ (jules_forename_ X11 X15 /\ (forename_ X11 X15 /\ (of_ X11 X17 X16 /\ (man_ X11 X16 /\ (vincent_forename_ X11 X17 /\ (forename_ X11 X17 /\ (proposition_ X11 X19 /\ (agent_ X11 X18 X16 /\ (theme_ X11 X18 X19 /\ (event_ X11 X18 /\ (present_ X11 X18 /\ (think_believe_consider_ X11 X18 /\ (accessible_world_ X11 X19 /\ ((forall X25 : Universe, (man_ X19 X25 -> (exists X26 : Universe, (event_ X19 X26 /\ (agent_ X19 X26 X25 /\ (present_ X19 X26 /\ smoke_ X19 X26)))))) /\ (of_ X11 X20 X21 /\ (man_ X11 X21 /\ (jules_forename_ X11 X20 /\ (forename_ X11 X20 /\ (man_ X11 X21 /\ (state_ X11 X22 /\ (be_ X11 X22 X21 X21 /\ (proposition_ X11 X24 /\ (agent_ X11 X23 X12 /\ (theme_ X11 X23 X24 /\ (event_ X11 X23 /\ (present_ X11 X23 /\ (think_believe_consider_ X11 X23 /\ (accessible_world_ X11 X24 /\ (exists X27 : Universe, (event_ X24 X27 /\ (agent_ X24 X27 X14 /\ (present_ X24 X27 /\ smoke_ X24 X27))))))))))))))))))))))))))))))))))))))))) -> (exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 X2 X3 X4 X5 X6 X7 : Universe, (of_ U W V /\ (man_ U V /\ (jules_forename_ U W /\ (forename_ U W /\ (of_ U X X4 /\ (vincent_forename_ U X /\ (forename_ U X /\ (of_ U Z Y /\ (man_ U Y /\ (vincent_forename_ U Z /\ (forename_ U Z /\ (proposition_ U X2 /\ (agent_ U X1 Y /\ (theme_ U X1 X2 /\ (event_ U X1 /\ (present_ U X1 /\ (think_believe_consider_ U X1 /\ (accessible_world_ U X2 /\ ((forall X8 : Universe, (man_ X2 X8 -> (exists X9 : Universe, (event_ X2 X9 /\ (agent_ X2 X9 X8 /\ (present_ X2 X9 /\ smoke_ X2 X9)))))) /\ (of_ U X3 X4 /\ (man_ U X4 /\ (jules_forename_ U X3 /\ (forename_ U X3 /\ (man_ U X4 /\ (state_ U X5 /\ (be_ U X5 X4 X4 /\ (proposition_ U X7 /\ (agent_ U X6 X4 /\ (theme_ U X6 X7 /\ (event_ U X6 /\ (present_ U X6 /\ (think_believe_consider_ U X6 /\ (accessible_world_ U X7 /\ (exists X10 : Universe, (event_ X7 X10 /\ (agent_ X7 X10 V /\ (present_ X7 X10 /\ smoke_ X7 X10)))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
