(*
% File     : NLP254+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : Vincent believes that every man smokes, problem 35
% Version  : [Bos00b] axioms.
% English  : Eliminating non-informative interpretations in the statement
%            Vincent believes that every man smokes. Jules is a man. 
%            Vincent believes that jules smokes.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris231 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.50 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :   72 (   0 unit)
%            Number of atoms       :  253 (   3 equality)
%            Maximal formula depth :   55 (   6 average)
%            Number of connectives :  189 (   8 ~  ;   0  |; 108  &)
%                                         (   0 <=>;  73 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (   0 propositional; 1-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  215 (   0 singleton; 190 !;  25 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable vincent_forename_ : Universe -> Universe -> Prop.
Variable unisex_ : Universe -> Universe -> Prop.
Variable think_believe_consider_ : Universe -> Universe -> Prop.
Variable thing_ : Universe -> Universe -> Prop.
Variable theme_ : Universe -> Universe -> Universe -> Prop.
Variable state_ : Universe -> Universe -> Prop.
Variable specific_ : Universe -> Universe -> Prop.
Variable smoke_ : Universe -> Universe -> Prop.
Variable singleton_ : Universe -> Universe -> Prop.
Variable relname_ : Universe -> Universe -> Prop.
Variable relation_ : Universe -> Universe -> Prop.
Variable proposition_ : Universe -> Universe -> Prop.
Variable present_ : Universe -> Universe -> Prop.
Variable organism_ : Universe -> Universe -> Prop.
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable nonhuman_ : Universe -> Universe -> Prop.
Variable nonexistent_ : Universe -> Universe -> Prop.
Variable man_ : Universe -> Universe -> Prop.
Variable male_ : Universe -> Universe -> Prop.
Variable living_ : Universe -> Universe -> Prop.
Variable jules_forename_ : Universe -> Universe -> Prop.
Variable impartial_ : Universe -> Universe -> Prop.
Variable human_person_ : Universe -> Universe -> Prop.
Variable human_ : Universe -> Universe -> Prop.
Variable general_ : Universe -> Universe -> Prop.
Variable forename_ : Universe -> Universe -> Prop.
Variable existent_ : Universe -> Universe -> Prop.
Variable eventuality_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable entity_ : Universe -> Universe -> Prop.
Variable be_ : Universe -> Universe -> Universe -> Universe -> Prop.
Variable animate_ : Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.
Variable accessible_world_ : Universe -> Universe -> Prop.
Variable abstraction_ : Universe -> Universe -> Prop.


Variable ax1_1 : (forall U V : Universe, (jules_forename_ U V -> forename_ U V)).
Variable ax2_2 : (forall U V : Universe, (vincent_forename_ U V -> forename_ U V)).
Variable ax3_3 : (forall U V : Universe, (relname_ U V -> relation_ U V)).
Variable ax4_4 : (forall U V : Universe, (forename_ U V -> relname_ U V)).
Variable ax5_5 : (forall U V : Universe, (man_ U V -> male_ U V)).
Variable ax6_6 : (forall U V : Universe, (human_person_ U V -> animate_ U V)).
Variable ax7_7 : (forall U V : Universe, (human_person_ U V -> human_ U V)).
Variable ax8_8 : (forall U V : Universe, (organism_ U V -> living_ U V)).
Variable ax9_9 : (forall U V : Universe, (organism_ U V -> impartial_ U V)).
Variable ax10_10 : (forall U V : Universe, (entity_ U V -> existent_ U V)).
Variable ax11_11 : (forall U V : Universe, (entity_ U V -> specific_ U V)).
Variable ax12_12 : (forall U V : Universe, (entity_ U V -> thing_ U V)).
Variable ax13_13 : (forall U V : Universe, (organism_ U V -> entity_ U V)).
Variable ax14_14 : (forall U V : Universe, (human_person_ U V -> organism_ U V)).
Variable ax15_15 : (forall U V : Universe, (man_ U V -> human_person_ U V)).
Variable ax16_16 : (forall U V : Universe, (state_ U V -> event_ U V)).
Variable ax17_17 : (forall U V : Universe, (state_ U V -> eventuality_ U V)).
Variable ax18_18 : (forall U V : Universe, (abstraction_ U V -> unisex_ U V)).
Variable ax19_19 : (forall U V : Universe, (abstraction_ U V -> general_ U V)).
Variable ax20_20 : (forall U V : Universe, (abstraction_ U V -> nonhuman_ U V)).
Variable ax21_21 : (forall U V : Universe, (abstraction_ U V -> thing_ U V)).
Variable ax22_22 : (forall U V : Universe, (relation_ U V -> abstraction_ U V)).
Variable ax23_23 : (forall U V : Universe, (proposition_ U V -> relation_ U V)).
Variable ax24_24 : (forall U V : Universe, (eventuality_ U V -> unisex_ U V)).
Variable ax25_25 : (forall U V : Universe, (eventuality_ U V -> nonexistent_ U V)).
Variable ax26_26 : (forall U V : Universe, (eventuality_ U V -> specific_ U V)).
Variable ax27_27 : (forall U V : Universe, (thing_ U V -> singleton_ U V)).
Variable ax28_28 : (forall U V : Universe, (eventuality_ U V -> thing_ U V)).
Variable ax29_29 : (forall U V : Universe, (event_ U V -> eventuality_ U V)).
Variable ax30_30 : (forall U V : Universe, (smoke_ U V -> event_ U V)).
Variable ax31_31 : (forall U V : Universe, (existent_ U V -> ~(nonexistent_ U V))).
Variable ax32_32 : (forall U V : Universe, (nonhuman_ U V -> ~(human_ U V))).
Variable ax33_33 : (forall U V : Universe, (specific_ U V -> ~(general_ U V))).
Variable ax34_34 : (forall U V : Universe, (unisex_ U V -> ~(male_ U V))).
Variable ax35_35 : (forall U V W : Universe, ((accessible_world_ V W /\ jules_forename_ V U) -> jules_forename_ W U)).
Variable ax36_36 : (forall U V W X : Universe, ((accessible_world_ W X /\ of_ W U V) -> of_ X U V)).
Variable ax37_37 : (forall U V W : Universe, ((accessible_world_ V W /\ vincent_forename_ V U) -> vincent_forename_ W U)).
Variable ax38_38 : (forall U V W : Universe, ((accessible_world_ V W /\ relname_ V U) -> relname_ W U)).
Variable ax39_39 : (forall U V W : Universe, ((accessible_world_ V W /\ forename_ V U) -> forename_ W U)).
Variable ax40_40 : (forall U V W : Universe, ((accessible_world_ V W /\ male_ V U) -> male_ W U)).
Variable ax41_41 : (forall U V W : Universe, ((accessible_world_ V W /\ animate_ V U) -> animate_ W U)).
Variable ax42_42 : (forall U V W : Universe, ((accessible_world_ V W /\ human_ V U) -> human_ W U)).
Variable ax43_43 : (forall U V W : Universe, ((accessible_world_ V W /\ living_ V U) -> living_ W U)).
Variable ax44_44 : (forall U V W : Universe, ((accessible_world_ V W /\ impartial_ V U) -> impartial_ W U)).
Variable ax45_45 : (forall U V W : Universe, ((accessible_world_ V W /\ existent_ V U) -> existent_ W U)).
Variable ax46_46 : (forall U V W : Universe, ((accessible_world_ V W /\ entity_ V U) -> entity_ W U)).
Variable ax47_47 : (forall U V W : Universe, ((accessible_world_ V W /\ organism_ V U) -> organism_ W U)).
Variable ax48_48 : (forall U V W : Universe, ((accessible_world_ V W /\ human_person_ V U) -> human_person_ W U)).
Variable ax49_49 : (forall U V W : Universe, ((accessible_world_ V W /\ man_ V U) -> man_ W U)).
Variable ax50_50 : (forall U V W : Universe, ((accessible_world_ V W /\ state_ V U) -> state_ W U)).
Variable ax51_51 : (forall U V W X Y : Universe, ((accessible_world_ X Y /\ be_ X U V W) -> be_ Y U V W)).
Variable ax52_52 : (forall U V W : Universe, ((accessible_world_ V W /\ general_ V U) -> general_ W U)).
Variable ax53_53 : (forall U V W : Universe, ((accessible_world_ V W /\ nonhuman_ V U) -> nonhuman_ W U)).
Variable ax54_54 : (forall U V W : Universe, ((accessible_world_ V W /\ abstraction_ V U) -> abstraction_ W U)).
Variable ax55_55 : (forall U V W : Universe, ((accessible_world_ V W /\ relation_ V U) -> relation_ W U)).
Variable ax56_56 : (forall U V W : Universe, ((accessible_world_ V W /\ proposition_ V U) -> proposition_ W U)).
Variable ax57_57 : (forall U V W X : Universe, ((accessible_world_ W X /\ theme_ W U V) -> theme_ X U V)).
Variable ax58_58 : (forall U V W : Universe, ((accessible_world_ V W /\ think_believe_consider_ V U) -> think_believe_consider_ W U)).
Variable ax59_59 : (forall U V W X : Universe, ((accessible_world_ W X /\ agent_ W U V) -> agent_ X U V)).
Variable ax60_60 : (forall U V W : Universe, ((accessible_world_ V W /\ present_ V U) -> present_ W U)).
Variable ax61_61 : (forall U V W : Universe, ((accessible_world_ V W /\ unisex_ V U) -> unisex_ W U)).
Variable ax62_62 : (forall U V W : Universe, ((accessible_world_ V W /\ nonexistent_ V U) -> nonexistent_ W U)).
Variable ax63_63 : (forall U V W : Universe, ((accessible_world_ V W /\ specific_ V U) -> specific_ W U)).
Variable ax64_64 : (forall U V W : Universe, ((accessible_world_ V W /\ singleton_ V U) -> singleton_ W U)).
Variable ax65_65 : (forall U V W : Universe, ((accessible_world_ V W /\ thing_ V U) -> thing_ W U)).
Variable ax66_66 : (forall U V W : Universe, ((accessible_world_ V W /\ eventuality_ V U) -> eventuality_ W U)).
Variable ax67_67 : (forall U V W : Universe, ((accessible_world_ V W /\ event_ V U) -> event_ W U)).
Variable ax68_68 : (forall U V W : Universe, ((accessible_world_ V W /\ smoke_ V U) -> smoke_ W U)).
Variable ax69_69 : (forall U V W : Universe, ((entity_ U V /\ (forename_ U W /\ of_ U W V)) -> ~((exists X : Universe, (forename_ U X /\ (X <> W /\ of_ U X V)))))).
Variable ax70_70 : (forall U V W X : Universe, (be_ U V W X -> W = X)).
Variable ax71_71 : (forall U V W X Y Z : Universe, ((think_believe_consider_ U V /\ (proposition_ U Y /\ (theme_ U V Y /\ (agent_ U V X /\ (think_believe_consider_ U W /\ (proposition_ U Z /\ (theme_ U W Z /\ agent_ U W X))))))) -> Y = Z)).

Theorem co1_72 : ~(((exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 X2 : Universe, (of_ U W V /\ (man_ U V /\ (vincent_forename_ U W /\ (forename_ U W /\ (proposition_ U Y /\ (agent_ U X V /\ (theme_ U X Y /\ (event_ U X /\ (present_ U X /\ (think_believe_consider_ U X /\ (accessible_world_ U Y /\ ((forall X3 : Universe, (man_ Y X3 -> (exists X4 : Universe, (event_ Y X4 /\ (agent_ Y X4 X3 /\ (present_ Y X4 /\ smoke_ Y X4)))))) /\ (of_ U Z X1 /\ (man_ U X1 /\ (jules_forename_ U Z /\ (forename_ U Z /\ (man_ U X1 /\ (state_ U X2 /\ be_ U X2 X1 X1))))))))))))))))))))) /\ ~((exists X5 : Universe, (actual_world_ X5 /\ (exists X6 X7 X8 V W X Y Z X1 X2 X9 X10 : Universe, (of_ X5 X7 X6 /\ (man_ X5 X6 /\ (jules_forename_ X5 X7 /\ (forename_ X5 X7 /\ (of_ X5 X8 X1 /\ (vincent_forename_ X5 X8 /\ (forename_ X5 X8 /\ (of_ X5 W V /\ (man_ X5 V /\ (vincent_forename_ X5 W /\ (forename_ X5 W /\ (proposition_ X5 Y /\ (agent_ X5 X V /\ (theme_ X5 X Y /\ (event_ X5 X /\ (present_ X5 X /\ (think_believe_consider_ X5 X /\ (accessible_world_ X5 Y /\ ((forall X3 : Universe, (man_ Y X3 -> (exists X4 : Universe, (event_ Y X4 /\ (agent_ Y X4 X3 /\ (present_ Y X4 /\ smoke_ Y X4)))))) /\ (of_ X5 Z X1 /\ (man_ X5 X1 /\ (jules_forename_ X5 Z /\ (forename_ X5 Z /\ (man_ X5 X1 /\ (state_ X5 X2 /\ (be_ X5 X2 X1 X1 /\ (proposition_ X5 X10 /\ (agent_ X5 X9 X1 /\ (theme_ X5 X9 X10 /\ (event_ X5 X9 /\ (present_ X5 X9 /\ (think_believe_consider_ X5 X9 /\ (accessible_world_ X5 X10 /\ (exists X11 : Universe, (event_ X10 X11 /\ (agent_ X10 X11 X6 /\ (present_ X10 X11 /\ smoke_ X10 X11))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
