(*
% File     : SET628+3 : ILTP v1.1.2
% Domain   : Set Theory (Boolean properties)
% Problem  : X intersects X iff X is not the empty set
% Version  : [Try89] axioms : Reduced > Incomplete.
% English  : 
% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Try89] Trybulec (1989), Tarski Grothendieck Set Theory
%          : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
% Source   : [ILF]
% Names    : BOOLE (110) [TS89] 
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.17 v2.7.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    7 (   1 unit)
%            Number of atoms       :   15 (   2 equality)
%            Maximal formula depth :    6 (   5 average)
%            Number of connectives :   11 (   3 ~  ;   0  |;   1  &)
%                                         (   6 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 1-2 arity)
%            Number of functors    :    1 (   1 constant; 0-0 arity)
%            Number of variables   :   14 (   0 singleton;  13 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable not_equal_ : Universe -> Universe -> Prop.
Variable member_ : Universe -> Universe -> Prop.
Variable intersect_ : Universe -> Universe -> Prop.
Variable empty_ : Universe -> Prop.

Variable empty_set_ : Universe.

Variable intersect_defn_1 : (forall B C : Universe, (intersect_ B C <-> (exists D : Universe, (member_ D B /\ member_ D C)))).
Variable empty_set_defn_2 : (forall B : Universe, ~(member_ B empty_set_)).
Variable equal_member_defn_3 : (forall B C : Universe, (B = C <-> (forall D : Universe, (member_ D B <-> member_ D C)))).
Variable not_equal_defn_4 : (forall B C : Universe, (not_equal_ B C <-> B <> C)).
Variable symmetry_of_intersect_5 : (forall B C : Universe, (intersect_ B C -> intersect_ C B)).
Variable empty_defn_6 : (forall B : Universe, (empty_ B <-> (forall C : Universe, ~(member_ C B)))).

Theorem prove_th110_7 : (forall B : Universe, (intersect_ B B <-> not_equal_ B empty_set_)).
Proof.
  time hprover.
Qed.

End FOFProblem.
