(*
% File     : SYN420+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=110, K=3, D=2, P=0, Index=036
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-110-3-2-036.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.4.0, 0.67 v2.3.0, 0.33 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1310 (   0 equality)
%            Maximal formula depth :  109 ( 109 average)
%            Number of connectives : 1797 ( 488 ~  ; 518  |; 609  &)
%                                         (   0 <=>; 182 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   32 (  11 propositional; 0-2 arity)
%            Number of functors    :  180 ( 180 constant; 0-0 arity)
%            Number of variables   :  182 (   0 singleton; 182 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c9_2_ : Universe -> Universe -> Prop.
Variable c9_1_ : Universe -> Prop.
Variable c9_0_ : Prop.
Variable c8_2_ : Universe -> Universe -> Prop.
Variable c8_1_ : Universe -> Prop.
Variable c8_0_ : Prop.
Variable c7_2_ : Universe -> Universe -> Prop.
Variable c7_1_ : Universe -> Prop.
Variable c7_0_ : Prop.
Variable c6_2_ : Universe -> Universe -> Prop.
Variable c6_1_ : Universe -> Prop.
Variable c6_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.
Variable c10_2_ : Universe -> Universe -> Prop.
Variable c10_1_ : Universe -> Prop.
Variable c10_0_ : Prop.

Variable a448_ : Universe.
Variable a447_ : Universe.
Variable a446_ : Universe.
Variable a445_ : Universe.
Variable a444_ : Universe.
Variable a443_ : Universe.
Variable a442_ : Universe.
Variable a441_ : Universe.
Variable a440_ : Universe.
Variable a439_ : Universe.
Variable a438_ : Universe.
Variable a437_ : Universe.
Variable a436_ : Universe.
Variable a435_ : Universe.
Variable a434_ : Universe.
Variable a433_ : Universe.
Variable a432_ : Universe.
Variable a431_ : Universe.
Variable a430_ : Universe.
Variable a429_ : Universe.
Variable a428_ : Universe.
Variable a427_ : Universe.
Variable a426_ : Universe.
Variable a425_ : Universe.
Variable a424_ : Universe.
Variable a423_ : Universe.
Variable a422_ : Universe.
Variable a421_ : Universe.
Variable a420_ : Universe.
Variable a419_ : Universe.
Variable a418_ : Universe.
Variable a417_ : Universe.
Variable a416_ : Universe.
Variable a415_ : Universe.
Variable a414_ : Universe.
Variable a413_ : Universe.
Variable a412_ : Universe.
Variable a411_ : Universe.
Variable a410_ : Universe.
Variable a409_ : Universe.
Variable a408_ : Universe.
Variable a407_ : Universe.
Variable a406_ : Universe.
Variable a405_ : Universe.
Variable a404_ : Universe.
Variable a403_ : Universe.
Variable a402_ : Universe.
Variable a401_ : Universe.
Variable a400_ : Universe.
Variable a399_ : Universe.
Variable a398_ : Universe.
Variable a397_ : Universe.
Variable a396_ : Universe.
Variable a395_ : Universe.
Variable a394_ : Universe.
Variable a393_ : Universe.
Variable a392_ : Universe.
Variable a391_ : Universe.
Variable a390_ : Universe.
Variable a389_ : Universe.
Variable a388_ : Universe.
Variable a387_ : Universe.
Variable a386_ : Universe.
Variable a385_ : Universe.
Variable a384_ : Universe.
Variable a383_ : Universe.
Variable a382_ : Universe.
Variable a381_ : Universe.
Variable a380_ : Universe.
Variable a379_ : Universe.
Variable a378_ : Universe.
Variable a377_ : Universe.
Variable a376_ : Universe.
Variable a375_ : Universe.
Variable a374_ : Universe.
Variable a373_ : Universe.
Variable a372_ : Universe.
Variable a371_ : Universe.
Variable a370_ : Universe.
Variable a369_ : Universe.
Variable a368_ : Universe.
Variable a367_ : Universe.
Variable a366_ : Universe.
Variable a365_ : Universe.
Variable a364_ : Universe.
Variable a363_ : Universe.
Variable a362_ : Universe.
Variable a361_ : Universe.
Variable a360_ : Universe.
Variable a359_ : Universe.
Variable a358_ : Universe.
Variable a357_ : Universe.
Variable a356_ : Universe.
Variable a355_ : Universe.
Variable a354_ : Universe.
Variable a353_ : Universe.
Variable a352_ : Universe.
Variable a351_ : Universe.
Variable a350_ : Universe.
Variable a349_ : Universe.
Variable a348_ : Universe.
Variable a347_ : Universe.
Variable a346_ : Universe.
Variable a345_ : Universe.
Variable a344_ : Universe.
Variable a343_ : Universe.
Variable a342_ : Universe.
Variable a341_ : Universe.
Variable a340_ : Universe.
Variable a339_ : Universe.
Variable a338_ : Universe.
Variable a337_ : Universe.
Variable a336_ : Universe.
Variable a335_ : Universe.
Variable a334_ : Universe.
Variable a333_ : Universe.
Variable a332_ : Universe.
Variable a331_ : Universe.
Variable a330_ : Universe.
Variable a329_ : Universe.
Variable a328_ : Universe.
Variable a327_ : Universe.
Variable a326_ : Universe.
Variable a325_ : Universe.
Variable a324_ : Universe.
Variable a323_ : Universe.
Variable a322_ : Universe.
Variable a321_ : Universe.
Variable a320_ : Universe.
Variable a319_ : Universe.
Variable a318_ : Universe.
Variable a317_ : Universe.
Variable a316_ : Universe.
Variable a315_ : Universe.
Variable a314_ : Universe.
Variable a313_ : Universe.
Variable a312_ : Universe.
Variable a311_ : Universe.
Variable a310_ : Universe.
Variable a309_ : Universe.
Variable a308_ : Universe.
Variable a307_ : Universe.
Variable a306_ : Universe.
Variable a305_ : Universe.
Variable a304_ : Universe.
Variable a303_ : Universe.
Variable a302_ : Universe.
Variable a301_ : Universe.
Variable a300_ : Universe.
Variable a299_ : Universe.
Variable a298_ : Universe.
Variable a297_ : Universe.
Variable a296_ : Universe.
Variable a295_ : Universe.
Variable a294_ : Universe.
Variable a293_ : Universe.
Variable a292_ : Universe.
Variable a291_ : Universe.
Variable a290_ : Universe.
Variable a289_ : Universe.
Variable a288_ : Universe.
Variable a287_ : Universe.
Variable a286_ : Universe.
Variable a285_ : Universe.
Variable a284_ : Universe.
Variable a283_ : Universe.
Variable a282_ : Universe.
Variable a281_ : Universe.
Variable a280_ : Universe.
Variable a279_ : Universe.
Variable a278_ : Universe.
Variable a277_ : Universe.
Variable a276_ : Universe.
Variable a275_ : Universe.
Variable a274_ : Universe.
Variable a273_ : Universe.
Variable a272_ : Universe.
Variable a271_ : Universe.
Variable a270_ : Universe.
Variable a269_ : Universe.


Theorem co1_1 : ~(((~(c1_0_) \/ ((forall U : Universe, (ndr1_0_ -> (~(c9_1_ U) \/ (~(c10_1_ U) \/ c7_1_ U)))) \/ c3_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a269_ /\ (c9_2_ a269_ a270_ /\ (~(c3_2_ a269_ a270_) /\ (~(c7_2_ a269_ a270_) /\ (c2_1_ a269_ /\ c4_1_ a269_)))))) \/ (c9_0_ \/ (forall V : Universe, (ndr1_0_ -> ((forall W : Universe, (ndr1_1_ V -> (~(c10_2_ V W) \/ (c3_2_ V W \/ ~(c7_2_ V W))))) \/ ((forall X : Universe, (ndr1_1_ V -> (~(c7_2_ V X) \/ (~(c2_2_ V X) \/ ~(c1_2_ V X))))) \/ c6_1_ V)))))) /\ ((~(c4_0_) \/ (~(c6_0_) \/ (ndr1_0_ /\ (c4_1_ a271_ /\ c3_1_ a271_)))) /\ (((ndr1_0_ /\ ((forall Y : Universe, (ndr1_1_ a272_ -> (c1_2_ a272_ Y \/ ~(c6_2_ a272_ Y)))) /\ (ndr1_1_ a272_ /\ (~(c2_2_ a272_ a273_) /\ (~(c4_2_ a272_ a273_) /\ (c1_2_ a272_ a273_ /\ c5_1_ a272_)))))) \/ c4_0_) /\ ((~(c1_0_) \/ ((forall Z : Universe, (ndr1_0_ -> (c1_1_ Z \/ ((ndr1_1_ Z /\ (~(c8_2_ Z a274_) /\ (~(c3_2_ Z a274_) /\ ~(c5_2_ Z a274_)))) \/ (ndr1_1_ Z /\ (~(c2_2_ Z a275_) /\ (~(c10_2_ Z a275_) /\ ~(c6_2_ Z a275_)))))))) \/ c7_0_)) /\ ((~(c5_0_) \/ ((forall X1 : Universe, (ndr1_0_ -> ((ndr1_1_ X1 /\ (c2_2_ X1 a276_ /\ (c8_2_ X1 a276_ /\ ~(c4_2_ X1 a276_)))) \/ ((forall X2 : Universe, (ndr1_1_ X1 -> (c3_2_ X1 X2 \/ c5_2_ X1 X2))) \/ c6_1_ X1)))) \/ ~(c4_0_))) /\ ((~(c6_0_) \/ ~(c1_0_)) /\ (((ndr1_0_ /\ (~(c5_1_ a277_) /\ ((forall X3 : Universe, (ndr1_1_ a277_ -> (c10_2_ a277_ X3 \/ (~(c3_2_ a277_ X3) \/ ~(c4_2_ a277_ X3))))) /\ (forall X4 : Universe, (ndr1_1_ a277_ -> (c4_2_ a277_ X4 \/ (~(c6_2_ a277_ X4) \/ c7_2_ a277_ X4))))))) \/ ~(c8_0_)) /\ ((c6_0_ \/ (~(c7_0_) \/ (ndr1_0_ /\ (ndr1_1_ a278_ /\ (c4_2_ a278_ a279_ /\ (c3_2_ a278_ a279_ /\ (c8_2_ a278_ a279_ /\ ((forall X5 : Universe, (ndr1_1_ a278_ -> (~(c7_2_ a278_ X5) \/ (c4_2_ a278_ X5 \/ ~(c2_2_ a278_ X5))))) /\ ~(c4_1_ a278_))))))))) /\ ((~(c10_0_) \/ (forall X6 : Universe, (ndr1_0_ -> (c7_1_ X6 \/ c4_1_ X6)))) /\ ((~(c3_0_) \/ (c8_0_ \/ (ndr1_0_ /\ ((forall X7 : Universe, (ndr1_1_ a280_ -> (~(c10_2_ a280_ X7) \/ (c9_2_ a280_ X7 \/ c6_2_ a280_ X7)))) /\ ((forall X8 : Universe, (ndr1_1_ a280_ -> (c7_2_ a280_ X8 \/ (c6_2_ a280_ X8 \/ c4_2_ a280_ X8)))) /\ (forall X9 : Universe, (ndr1_1_ a280_ -> (~(c2_2_ a280_ X9) \/ (c1_2_ a280_ X9 \/ c3_2_ a280_ X9))))))))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (~(c10_1_ a281_) /\ (forall X10 : Universe, (ndr1_1_ a281_ -> (~(c8_2_ a281_ X10) \/ (~(c2_2_ a281_ X10) \/ c1_2_ a281_ X10)))))) \/ (ndr1_0_ /\ ((forall X11 : Universe, (ndr1_1_ a282_ -> (c3_2_ a282_ X11 \/ ~(c7_2_ a282_ X11)))) /\ (c4_1_ a282_ /\ ~(c6_1_ a282_)))))) /\ (((ndr1_0_ /\ (~(c2_1_ a283_) /\ (c4_1_ a283_ /\ (ndr1_1_ a283_ /\ (~(c8_2_ a283_ a284_) /\ ~(c3_2_ a283_ a284_)))))) \/ ((forall X12 : Universe, (ndr1_0_ -> (~(c1_1_ X12) \/ (c7_1_ X12 \/ ~(c4_1_ X12))))) \/ (forall X13 : Universe, (ndr1_0_ -> ((ndr1_1_ X13 /\ (c7_2_ X13 a285_ /\ (c6_2_ X13 a285_ /\ c1_2_ X13 a285_))) \/ (c9_1_ X13 \/ (ndr1_1_ X13 /\ (~(c8_2_ X13 a286_) /\ (~(c7_2_ X13 a286_) /\ c6_2_ X13 a286_))))))))) /\ ((c2_0_ \/ ((forall X14 : Universe, (ndr1_0_ -> (c8_1_ X14 \/ ~(c2_1_ X14)))) \/ (ndr1_0_ /\ (ndr1_1_ a287_ /\ (~(c6_2_ a287_ a288_) /\ (c4_2_ a287_ a288_ /\ (ndr1_1_ a287_ /\ (~(c6_2_ a287_ a289_) /\ (c8_2_ a287_ a289_ /\ (ndr1_1_ a287_ /\ (~(c3_2_ a287_ a290_) /\ (c5_2_ a287_ a290_ /\ ~(c9_2_ a287_ a290_))))))))))))) /\ ((~(c7_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a291_ /\ (c10_2_ a291_ a292_ /\ (c8_2_ a291_ a292_ /\ (~(c5_2_ a291_ a292_) /\ (ndr1_1_ a291_ /\ (~(c5_2_ a291_ a293_) /\ (c3_2_ a291_ a293_ /\ ~(c1_2_ a291_ a293_))))))))) \/ c5_0_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c3_1_ X15 \/ (~(c2_1_ X15) \/ c8_1_ X15)))) \/ (c6_0_ \/ (ndr1_0_ /\ ((forall X16 : Universe, (ndr1_1_ a294_ -> c7_2_ a294_ X16)) /\ (ndr1_1_ a294_ /\ (c3_2_ a294_ a295_ /\ (~(c2_2_ a294_ a295_) /\ (~(c1_2_ a294_ a295_) /\ ~(c4_1_ a294_))))))))) /\ (((ndr1_0_ /\ (c6_1_ a296_ /\ (~(c7_1_ a296_) /\ c10_1_ a296_))) \/ ((ndr1_0_ /\ (ndr1_1_ a297_ /\ (~(c5_2_ a297_ a298_) /\ (c8_2_ a297_ a298_ /\ (~(c4_2_ a297_ a298_) /\ (~(c7_1_ a297_) /\ ~(c4_1_ a297_))))))) \/ (forall X17 : Universe, (ndr1_0_ -> (c9_1_ X17 \/ (c8_1_ X17 \/ (ndr1_1_ X17 /\ (c9_2_ X17 a299_ /\ (c8_2_ X17 a299_ /\ ~(c3_2_ X17 a299_)))))))))) /\ (((forall X18 : Universe, (ndr1_0_ -> (~(c1_1_ X18) \/ ((forall X19 : Universe, (ndr1_1_ X18 -> (c9_2_ X18 X19 \/ (~(c8_2_ X18 X19) \/ ~(c5_2_ X18 X19))))) \/ ~(c4_1_ X18))))) \/ ((ndr1_0_ /\ (~(c8_1_ a300_) /\ ((forall X20 : Universe, (ndr1_1_ a300_ -> (~(c2_2_ a300_ X20) \/ (~(c7_2_ a300_ X20) \/ c4_2_ a300_ X20)))) /\ (ndr1_1_ a300_ /\ (~(c5_2_ a300_ a301_) /\ (c4_2_ a300_ a301_ /\ c6_2_ a300_ a301_)))))) \/ (ndr1_0_ /\ (~(c7_1_ a302_) /\ (ndr1_1_ a302_ /\ (c6_2_ a302_ a303_ /\ (~(c5_2_ a302_ a303_) /\ c10_1_ a302_))))))) /\ ((~(c10_0_) \/ (c9_0_ \/ ~(c6_0_))) /\ (((forall X21 : Universe, (ndr1_0_ -> (~(c8_1_ X21) \/ (~(c1_1_ X21) \/ (forall X22 : Universe, (ndr1_1_ X21 -> (~(c9_2_ X21 X22) \/ (c5_2_ X21 X22 \/ c3_2_ X21 X22)))))))) \/ ((forall X23 : Universe, (ndr1_0_ -> (c10_1_ X23 \/ (~(c5_1_ X23) \/ (ndr1_1_ X23 /\ (c2_2_ X23 a304_ /\ (c6_2_ X23 a304_ /\ ~(c4_2_ X23 a304_)))))))) \/ ~(c1_0_))) /\ ((~(c1_0_) \/ (~(c9_0_) \/ (ndr1_0_ /\ (ndr1_1_ a305_ /\ (~(c5_2_ a305_ a306_) /\ (c3_2_ a305_ a306_ /\ (c1_2_ a305_ a306_ /\ (c3_1_ a305_ /\ (forall X24 : Universe, (ndr1_1_ a305_ -> (~(c8_2_ a305_ X24) \/ (~(c4_2_ a305_ X24) \/ ~(c10_2_ a305_ X24))))))))))))) /\ (((forall X25 : Universe, (ndr1_0_ -> ((forall X26 : Universe, (ndr1_1_ X25 -> (~(c3_2_ X25 X26) \/ (~(c10_2_ X25 X26) \/ ~(c2_2_ X25 X26))))) \/ (~(c10_1_ X25) \/ ~(c4_1_ X25))))) \/ (c1_0_ \/ (forall X27 : Universe, (ndr1_0_ -> (c4_1_ X27 \/ (forall X28 : Universe, (ndr1_1_ X27 -> (~(c3_2_ X27 X28) \/ (c7_2_ X27 X28 \/ c6_2_ X27 X28))))))))) /\ (((forall X29 : Universe, (ndr1_0_ -> (~(c9_1_ X29) \/ (~(c6_1_ X29) \/ (forall X30 : Universe, (ndr1_1_ X29 -> (c1_2_ X29 X30 \/ (c6_2_ X29 X30 \/ ~(c4_2_ X29 X30))))))))) \/ (c1_0_ \/ (forall X31 : Universe, (ndr1_0_ -> (~(c4_1_ X31) \/ ~(c8_1_ X31)))))) /\ (((ndr1_0_ /\ ((forall X32 : Universe, (ndr1_1_ a307_ -> (c6_2_ a307_ X32 \/ (~(c7_2_ a307_ X32) \/ ~(c5_2_ a307_ X32))))) /\ (~(c9_1_ a307_) /\ c8_1_ a307_))) \/ c5_0_) /\ (((ndr1_0_ /\ (~(c5_1_ a308_) /\ (~(c10_1_ a308_) /\ (ndr1_1_ a308_ /\ (~(c7_2_ a308_ a309_) /\ (c8_2_ a308_ a309_ /\ c1_2_ a308_ a309_)))))) \/ ((ndr1_0_ /\ (~(c5_1_ a310_) /\ (~(c2_1_ a310_) /\ (ndr1_1_ a310_ /\ (~(c2_2_ a310_ a311_) /\ (c4_2_ a310_ a311_ /\ ~(c6_2_ a310_ a311_))))))) \/ (forall X33 : Universe, (ndr1_0_ -> (c3_1_ X33 \/ ((ndr1_1_ X33 /\ (c5_2_ X33 a312_ /\ (~(c4_2_ X33 a312_) /\ c2_2_ X33 a312_))) \/ c7_1_ X33)))))) /\ (((forall X34 : Universe, (ndr1_0_ -> ((forall X35 : Universe, (ndr1_1_ X34 -> (~(c7_2_ X34 X35) \/ (c9_2_ X34 X35 \/ ~(c2_2_ X34 X35))))) \/ (c3_1_ X34 \/ c9_1_ X34)))) \/ (c1_0_ \/ ~(c9_0_))) /\ ((c7_0_ \/ ((ndr1_0_ /\ ((forall X36 : Universe, (ndr1_1_ a313_ -> (~(c7_2_ a313_ X36) \/ (~(c4_2_ a313_ X36) \/ ~(c3_2_ a313_ X36))))) /\ (ndr1_1_ a313_ /\ (~(c9_2_ a313_ a314_) /\ (~(c4_2_ a313_ a314_) /\ ~(c2_2_ a313_ a314_)))))) \/ (ndr1_0_ /\ (c5_1_ a315_ /\ ((forall X37 : Universe, (ndr1_1_ a315_ -> (c1_2_ a315_ X37 \/ (c10_2_ a315_ X37 \/ c5_2_ a315_ X37)))) /\ (forall X38 : Universe, (ndr1_1_ a315_ -> (c9_2_ a315_ X38 \/ (c3_2_ a315_ X38 \/ ~(c7_2_ a315_ X38)))))))))) /\ ((~(c7_0_) \/ ((forall X39 : Universe, (ndr1_0_ -> ((ndr1_1_ X39 /\ (~(c3_2_ X39 a316_) /\ (~(c5_2_ X39 a316_) /\ c8_2_ X39 a316_))) \/ ((forall X40 : Universe, (ndr1_1_ X39 -> (~(c1_2_ X39 X40) \/ (c7_2_ X39 X40 \/ c6_2_ X39 X40)))) \/ ~(c3_1_ X39))))) \/ c3_0_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c3_1_ X41 \/ ((forall X42 : Universe, (ndr1_1_ X41 -> (~(c10_2_ X41 X42) \/ c4_2_ X41 X42))) \/ (forall X43 : Universe, (ndr1_1_ X41 -> (c9_2_ X41 X43 \/ (c7_2_ X41 X43 \/ c4_2_ X41 X43)))))))) \/ ((ndr1_0_ /\ (c5_1_ a317_ /\ (c4_1_ a317_ /\ (forall X44 : Universe, (ndr1_1_ a317_ -> (~(c2_2_ a317_ X44) \/ (c6_2_ a317_ X44 \/ c10_2_ a317_ X44))))))) \/ c8_0_)) /\ (((forall X45 : Universe, (ndr1_0_ -> ((ndr1_1_ X45 /\ (c10_2_ X45 a318_ /\ (c7_2_ X45 a318_ /\ c3_2_ X45 a318_))) \/ c5_1_ X45))) \/ (c9_0_ \/ (ndr1_0_ /\ (~(c9_1_ a319_) /\ (~(c10_1_ a319_) /\ (forall X46 : Universe, (ndr1_1_ a319_ -> (~(c10_2_ a319_ X46) \/ c3_2_ a319_ X46)))))))) /\ (((forall X47 : Universe, (ndr1_0_ -> (~(c9_1_ X47) \/ ((forall X48 : Universe, (ndr1_1_ X47 -> (~(c4_2_ X47 X48) \/ (~(c8_2_ X47 X48) \/ c5_2_ X47 X48)))) \/ ~(c10_1_ X47))))) \/ ((ndr1_0_ /\ (c6_1_ a320_ /\ (ndr1_1_ a320_ /\ (~(c6_2_ a320_ a321_) /\ (c2_2_ a320_ a321_ /\ (ndr1_1_ a320_ /\ (~(c7_2_ a320_ a322_) /\ ~(c2_2_ a320_ a322_)))))))) \/ (forall X49 : Universe, (ndr1_0_ -> ((forall X50 : Universe, (ndr1_1_ X49 -> (c1_2_ X49 X50 \/ (c8_2_ X49 X50 \/ ~(c5_2_ X49 X50))))) \/ ~(c1_1_ X49)))))) /\ ((~(c5_0_) \/ ((ndr1_0_ /\ (~(c10_1_ a323_) /\ (ndr1_1_ a323_ /\ (~(c9_2_ a323_ a324_) /\ (c7_2_ a323_ a324_ /\ (c4_2_ a323_ a324_ /\ ~(c3_1_ a323_))))))) \/ (ndr1_0_ /\ (ndr1_1_ a325_ /\ (c5_2_ a325_ a326_ /\ (c7_2_ a325_ a326_ /\ (~(c4_2_ a325_ a326_) /\ ((forall X51 : Universe, (ndr1_1_ a325_ -> (~(c6_2_ a325_ X51) \/ (c4_2_ a325_ X51 \/ ~(c2_2_ a325_ X51))))) /\ ~(c1_1_ a325_))))))))) /\ (((forall X52 : Universe, (ndr1_0_ -> (c3_1_ X52 \/ (~(c10_1_ X52) \/ ~(c2_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c10_1_ X53 \/ (~(c7_1_ X53) \/ ~(c9_1_ X53))))) \/ ~(c4_0_))) /\ (((ndr1_0_ /\ (c2_1_ a327_ /\ ((forall X54 : Universe, (ndr1_1_ a327_ -> (c7_2_ a327_ X54 \/ (c6_2_ a327_ X54 \/ ~(c5_2_ a327_ X54))))) /\ ~(c5_1_ a327_)))) \/ ((forall X55 : Universe, (ndr1_0_ -> (~(c4_1_ X55) \/ (~(c2_1_ X55) \/ (forall X56 : Universe, (ndr1_1_ X55 -> (~(c2_2_ X55 X56) \/ (~(c5_2_ X55 X56) \/ ~(c1_2_ X55 X56))))))))) \/ c5_0_)) /\ ((c9_0_ \/ c6_0_) /\ (((forall X57 : Universe, (ndr1_0_ -> ((ndr1_1_ X57 /\ (c8_2_ X57 a328_ /\ (~(c1_2_ X57 a328_) /\ c2_2_ X57 a328_))) \/ (c3_1_ X57 \/ c6_1_ X57)))) \/ (~(c7_0_) \/ ~(c4_0_))) /\ ((~(c6_0_) \/ (ndr1_0_ /\ ((forall X58 : Universe, (ndr1_1_ a329_ -> (c2_2_ a329_ X58 \/ (~(c3_2_ a329_ X58) \/ ~(c7_2_ a329_ X58))))) /\ (c1_1_ a329_ /\ c3_1_ a329_)))) /\ (((ndr1_0_ /\ (~(c1_1_ a330_) /\ (ndr1_1_ a330_ /\ (c1_2_ a330_ a331_ /\ (~(c10_2_ a330_ a331_) /\ (c6_2_ a330_ a331_ /\ (forall X59 : Universe, (ndr1_1_ a330_ -> (c3_2_ a330_ X59 \/ (~(c1_2_ a330_ X59) \/ c2_2_ a330_ X59)))))))))) \/ (ndr1_0_ /\ (~(c6_1_ a332_) /\ ((forall X60 : Universe, (ndr1_1_ a332_ -> (~(c3_2_ a332_ X60) \/ ~(c10_2_ a332_ X60)))) /\ ~(c10_1_ a332_))))) /\ (((forall X61 : Universe, (ndr1_0_ -> ((forall X62 : Universe, (ndr1_1_ X61 -> (~(c2_2_ X61 X62) \/ (c8_2_ X61 X62 \/ c1_2_ X61 X62)))) \/ (~(c9_1_ X61) \/ (forall X63 : Universe, (ndr1_1_ X61 -> (c10_2_ X61 X63 \/ (c4_2_ X61 X63 \/ c3_2_ X61 X63)))))))) \/ (c2_0_ \/ (forall X64 : Universe, (ndr1_0_ -> ((forall X65 : Universe, (ndr1_1_ X64 -> (~(c5_2_ X64 X65) \/ (~(c4_2_ X64 X65) \/ ~(c6_2_ X64 X65))))) \/ (~(c4_1_ X64) \/ ~(c1_1_ X64))))))) /\ ((~(c10_0_) \/ ((forall X66 : Universe, (ndr1_0_ -> ((forall X67 : Universe, (ndr1_1_ X66 -> (c4_2_ X66 X67 \/ (~(c10_2_ X66 X67) \/ ~(c3_2_ X66 X67))))) \/ c9_1_ X66))) \/ ~(c4_0_))) /\ (((ndr1_0_ /\ (c8_1_ a333_ /\ (ndr1_1_ a333_ /\ (c8_2_ a333_ a334_ /\ (~(c7_2_ a333_ a334_) /\ (c9_2_ a333_ a334_ /\ (ndr1_1_ a333_ /\ (~(c7_2_ a333_ a335_) /\ (c5_2_ a333_ a335_ /\ ~(c9_2_ a333_ a335_)))))))))) \/ (c7_0_ \/ (forall X68 : Universe, (ndr1_0_ -> ((ndr1_1_ X68 /\ (~(c1_2_ X68 a336_) /\ c8_2_ X68 a336_)) \/ (~(c10_1_ X68) \/ ~(c1_1_ X68))))))) /\ (((forall X69 : Universe, (ndr1_0_ -> (c8_1_ X69 \/ (c7_1_ X69 \/ (ndr1_1_ X69 /\ (~(c8_2_ X69 a337_) /\ ~(c4_2_ X69 a337_))))))) \/ (c10_0_ \/ (forall X70 : Universe, (ndr1_0_ -> (~(c4_1_ X70) \/ ((ndr1_1_ X70 /\ (~(c7_2_ X70 a338_) /\ (~(c8_2_ X70 a338_) /\ ~(c10_2_ X70 a338_)))) \/ ~(c10_1_ X70))))))) /\ ((~(c6_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a339_ /\ (~(c3_2_ a339_ a340_) /\ (c9_2_ a339_ a340_ /\ (~(c7_2_ a339_ a340_) /\ (~(c6_1_ a339_) /\ (ndr1_1_ a339_ /\ (c4_2_ a339_ a341_ /\ (~(c9_2_ a339_ a341_) /\ ~(c5_2_ a339_ a341_)))))))))) \/ (forall X71 : Universe, (ndr1_0_ -> (c9_1_ X71 \/ ((ndr1_1_ X71 /\ (c1_2_ X71 a342_ /\ (c7_2_ X71 a342_ /\ ~(c2_2_ X71 a342_)))) \/ ~(c7_1_ X71))))))) /\ ((c8_0_ \/ (c5_0_ \/ (ndr1_0_ /\ (~(c8_1_ a343_) /\ (c5_1_ a343_ /\ (ndr1_1_ a343_ /\ (~(c4_2_ a343_ a344_) /\ (c10_2_ a343_ a344_ /\ c2_2_ a343_ a344_)))))))) /\ (((forall X72 : Universe, (ndr1_0_ -> (c9_1_ X72 \/ ((forall X73 : Universe, (ndr1_1_ X72 -> (c5_2_ X72 X73 \/ (c1_2_ X72 X73 \/ c8_2_ X72 X73)))) \/ (forall X74 : Universe, (ndr1_1_ X72 -> (~(c6_2_ X72 X74) \/ ~(c4_2_ X72 X74)))))))) \/ ((ndr1_0_ /\ ((forall X75 : Universe, (ndr1_1_ a345_ -> (c6_2_ a345_ X75 \/ (~(c2_2_ a345_ X75) \/ ~(c4_2_ a345_ X75))))) /\ (c1_1_ a345_ /\ (ndr1_1_ a345_ /\ (c2_2_ a345_ a346_ /\ (~(c10_2_ a345_ a346_) /\ c8_2_ a345_ a346_)))))) \/ (forall X76 : Universe, (ndr1_0_ -> ((ndr1_1_ X76 /\ (~(c1_2_ X76 a347_) /\ (c10_2_ X76 a347_ /\ c7_2_ X76 a347_))) \/ ~(c4_1_ X76)))))) /\ ((c3_0_ \/ (ndr1_0_ /\ (ndr1_1_ a348_ /\ (~(c3_2_ a348_ a349_) /\ (c6_2_ a348_ a349_ /\ (c7_2_ a348_ a349_ /\ ~(c6_1_ a348_))))))) /\ (((ndr1_0_ /\ (~(c3_1_ a350_) /\ (c2_1_ a350_ /\ (ndr1_1_ a350_ /\ (c7_2_ a350_ a351_ /\ (~(c8_2_ a350_ a351_) /\ c2_2_ a350_ a351_)))))) \/ c7_0_) /\ ((~(c1_0_) \/ ~(c6_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a352_ /\ (~(c2_2_ a352_ a353_) /\ (~(c5_2_ a352_ a353_) /\ (c6_2_ a352_ a353_ /\ (c10_1_ a352_ /\ ~(c8_1_ a352_))))))) \/ c10_0_) /\ ((~(c2_0_) \/ ((forall X77 : Universe, (ndr1_0_ -> (~(c1_1_ X77) \/ ((ndr1_1_ X77 /\ (c5_2_ X77 a354_ /\ (c9_2_ X77 a354_ /\ c4_2_ X77 a354_))) \/ c7_1_ X77)))) \/ (ndr1_0_ /\ (~(c7_1_ a355_) /\ (~(c4_1_ a355_) /\ ~(c6_1_ a355_)))))) /\ (((ndr1_0_ /\ (c8_1_ a356_ /\ (ndr1_1_ a356_ /\ (c1_2_ a356_ a357_ /\ (~(c6_2_ a356_ a357_) /\ (~(c5_2_ a356_ a357_) /\ ~(c2_1_ a356_))))))) \/ ((ndr1_0_ /\ (ndr1_1_ a358_ /\ (~(c2_2_ a358_ a359_) /\ (c5_2_ a358_ a359_ /\ (c10_2_ a358_ a359_ /\ (~(c3_1_ a358_) /\ ~(c8_1_ a358_))))))) \/ (forall X78 : Universe, (ndr1_0_ -> (c10_1_ X78 \/ ((forall X79 : Universe, (ndr1_1_ X78 -> (c3_2_ X78 X79 \/ (c7_2_ X78 X79 \/ ~(c1_2_ X78 X79))))) \/ (forall X80 : Universe, (ndr1_1_ X78 -> (c6_2_ X78 X80 \/ (~(c8_2_ X78 X80) \/ c5_2_ X78 X80)))))))))) /\ (((ndr1_0_ /\ (~(c7_1_ a360_) /\ (~(c6_1_ a360_) /\ ~(c5_1_ a360_)))) \/ (c9_0_ \/ (ndr1_0_ /\ (c3_1_ a361_ /\ (c4_1_ a361_ /\ ~(c1_1_ a361_)))))) /\ (((forall X81 : Universe, (ndr1_0_ -> ((forall X82 : Universe, (ndr1_1_ X81 -> (c2_2_ X81 X82 \/ (c7_2_ X81 X82 \/ c10_2_ X81 X82)))) \/ (c2_1_ X81 \/ c5_1_ X81)))) \/ ((ndr1_0_ /\ ((forall X83 : Universe, (ndr1_1_ a362_ -> (~(c10_2_ a362_ X83) \/ (~(c4_2_ a362_ X83) \/ c7_2_ a362_ X83)))) /\ (~(c10_1_ a362_) /\ (forall X84 : Universe, (ndr1_1_ a362_ -> (~(c7_2_ a362_ X84) \/ (c4_2_ a362_ X84 \/ ~(c5_2_ a362_ X84)))))))) \/ (forall X85 : Universe, (ndr1_0_ -> ((ndr1_1_ X85 /\ (c5_2_ X85 a363_ /\ c4_2_ X85 a363_)) \/ (c6_1_ X85 \/ ~(c10_1_ X85))))))) /\ ((~(c10_0_) \/ (~(c1_0_) \/ c5_0_)) /\ ((~(c6_0_) \/ ((ndr1_0_ /\ (c8_1_ a364_ /\ (c9_1_ a364_ /\ (forall X86 : Universe, (ndr1_1_ a364_ -> (c4_2_ a364_ X86 \/ c2_2_ a364_ X86)))))) \/ (forall X87 : Universe, (ndr1_0_ -> (~(c3_1_ X87) \/ (forall X88 : Universe, (ndr1_1_ X87 -> (~(c4_2_ X87 X88) \/ (c7_2_ X87 X88 \/ c6_2_ X87 X88))))))))) /\ (((forall X89 : Universe, (ndr1_0_ -> (c3_1_ X89 \/ ((forall X90 : Universe, (ndr1_1_ X89 -> (c5_2_ X89 X90 \/ (~(c2_2_ X89 X90) \/ c3_2_ X89 X90)))) \/ c1_1_ X89)))) \/ ((ndr1_0_ /\ (c7_1_ a365_ /\ (c3_1_ a365_ /\ (ndr1_1_ a365_ /\ (~(c8_2_ a365_ a366_) /\ (c1_2_ a365_ a366_ /\ c4_2_ a365_ a366_)))))) \/ (forall X91 : Universe, (ndr1_0_ -> (c3_1_ X91 \/ ~(c5_1_ X91)))))) /\ ((~(c6_0_) \/ (~(c1_0_) \/ ~(c9_0_))) /\ (((ndr1_0_ /\ ((forall X92 : Universe, (ndr1_1_ a367_ -> (c10_2_ a367_ X92 \/ (~(c7_2_ a367_ X92) \/ ~(c1_2_ a367_ X92))))) /\ (ndr1_1_ a367_ /\ (c2_2_ a367_ a368_ /\ (c7_2_ a367_ a368_ /\ c10_2_ a367_ a368_))))) \/ ((forall X93 : Universe, (ndr1_0_ -> ((forall X94 : Universe, (ndr1_1_ X93 -> (~(c7_2_ X93 X94) \/ (c4_2_ X93 X94 \/ c5_2_ X93 X94)))) \/ ((forall X95 : Universe, (ndr1_1_ X93 -> (~(c6_2_ X93 X95) \/ (~(c3_2_ X93 X95) \/ c1_2_ X93 X95)))) \/ c6_1_ X93)))) \/ (ndr1_0_ /\ (ndr1_1_ a369_ /\ (~(c4_2_ a369_ a370_) /\ (~(c9_2_ a369_ a370_) /\ (c3_2_ a369_ a370_ /\ (~(c2_1_ a369_) /\ ~(c1_1_ a369_))))))))) /\ ((c7_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a371_ /\ (~(c2_2_ a371_ a372_) /\ (~(c1_2_ a371_ a372_) /\ (c6_1_ a371_ /\ (ndr1_1_ a371_ /\ (~(c9_2_ a371_ a373_) /\ (~(c1_2_ a371_ a373_) /\ ~(c6_2_ a371_ a373_))))))))) \/ (ndr1_0_ /\ (~(c9_1_ a374_) /\ (c8_1_ a374_ /\ c10_1_ a374_))))) /\ ((~(c6_0_) \/ (~(c4_0_) \/ (forall X96 : Universe, (ndr1_0_ -> (c8_1_ X96 \/ ((forall X97 : Universe, (ndr1_1_ X96 -> (c7_2_ X96 X97 \/ (c10_2_ X96 X97 \/ c2_2_ X96 X97)))) \/ (forall X98 : Universe, (ndr1_1_ X96 -> (~(c10_2_ X96 X98) \/ (c3_2_ X96 X98 \/ ~(c4_2_ X96 X98))))))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a375_ /\ (c7_2_ a375_ a376_ /\ (~(c2_2_ a375_ a376_) /\ (c1_2_ a375_ a376_ /\ (c8_1_ a375_ /\ (ndr1_1_ a375_ /\ (~(c8_2_ a375_ a377_) /\ ~(c6_2_ a375_ a377_))))))))) \/ ((forall X99 : Universe, (ndr1_0_ -> ((forall X100 : Universe, (ndr1_1_ X99 -> (c9_2_ X99 X100 \/ (c3_2_ X99 X100 \/ c5_2_ X99 X100)))) \/ (~(c1_1_ X99) \/ ~(c3_1_ X99))))) \/ (forall X101 : Universe, (ndr1_0_ -> (c3_1_ X101 \/ ((forall X102 : Universe, (ndr1_1_ X101 -> (~(c6_2_ X101 X102) \/ (c9_2_ X101 X102 \/ c2_2_ X101 X102)))) \/ ~(c9_1_ X101))))))) /\ ((c6_0_ \/ (c9_0_ \/ (ndr1_0_ /\ ((forall X103 : Universe, (ndr1_1_ a378_ -> (~(c4_2_ a378_ X103) \/ (~(c9_2_ a378_ X103) \/ ~(c2_2_ a378_ X103))))) /\ ((forall X104 : Universe, (ndr1_1_ a378_ -> (c5_2_ a378_ X104 \/ (c8_2_ a378_ X104 \/ ~(c9_2_ a378_ X104))))) /\ c2_1_ a378_))))) /\ ((~(c4_0_) \/ (c8_0_ \/ (forall X105 : Universe, (ndr1_0_ -> ((ndr1_1_ X105 /\ (c6_2_ X105 a379_ /\ (c7_2_ X105 a379_ /\ ~(c4_2_ X105 a379_)))) \/ (ndr1_1_ X105 /\ (~(c2_2_ X105 a380_) /\ (~(c1_2_ X105 a380_) /\ ~(c4_2_ X105 a380_))))))))) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ (c1_1_ a381_ /\ (ndr1_1_ a381_ /\ (~(c2_2_ a381_ a382_) /\ (~(c5_2_ a381_ a382_) /\ (c8_2_ a381_ a382_ /\ (forall X106 : Universe, (ndr1_1_ a381_ -> (~(c9_2_ a381_ X106) \/ (~(c10_2_ a381_ X106) \/ c8_2_ a381_ X106)))))))))) \/ ~(c5_0_))) /\ ((c9_0_ \/ (c3_0_ \/ (forall X107 : Universe, (ndr1_0_ -> ((ndr1_1_ X107 /\ (c8_2_ X107 a383_ /\ (~(c3_2_ X107 a383_) /\ ~(c9_2_ X107 a383_)))) \/ ((forall X108 : Universe, (ndr1_1_ X107 -> (~(c3_2_ X107 X108) \/ (c9_2_ X107 X108 \/ ~(c6_2_ X107 X108))))) \/ (forall X109 : Universe, (ndr1_1_ X107 -> (~(c2_2_ X107 X109) \/ ~(c10_2_ X107 X109)))))))))) /\ ((~(c9_0_) \/ (c4_0_ \/ (ndr1_0_ /\ ((forall X110 : Universe, (ndr1_1_ a384_ -> (~(c5_2_ a384_ X110) \/ (c2_2_ a384_ X110 \/ c6_2_ a384_ X110)))) /\ ((forall X111 : Universe, (ndr1_1_ a384_ -> (c4_2_ a384_ X111 \/ (c8_2_ a384_ X111 \/ c3_2_ a384_ X111)))) /\ (ndr1_1_ a384_ /\ (~(c5_2_ a384_ a385_) /\ (c9_2_ a384_ a385_ /\ ~(c6_2_ a384_ a385_))))))))) /\ (((ndr1_0_ /\ (~(c7_1_ a386_) /\ (c9_1_ a386_ /\ c2_1_ a386_))) \/ (~(c2_0_) \/ (forall X112 : Universe, (ndr1_0_ -> ((ndr1_1_ X112 /\ (c2_2_ X112 a387_ /\ (~(c6_2_ X112 a387_) /\ ~(c1_2_ X112 a387_)))) \/ (~(c10_1_ X112) \/ c5_1_ X112)))))) /\ ((~(c4_0_) \/ ((forall X113 : Universe, (ndr1_0_ -> (c3_1_ X113 \/ ((ndr1_1_ X113 /\ (~(c7_2_ X113 a388_) /\ (~(c9_2_ X113 a388_) /\ ~(c4_2_ X113 a388_)))) \/ ~(c9_1_ X113))))) \/ (forall X114 : Universe, (ndr1_0_ -> ((ndr1_1_ X114 /\ (~(c2_2_ X114 a389_) /\ (c4_2_ X114 a389_ /\ c5_2_ X114 a389_))) \/ ((ndr1_1_ X114 /\ (~(c5_2_ X114 a390_) /\ (c9_2_ X114 a390_ /\ ~(c1_2_ X114 a390_)))) \/ ~(c6_1_ X114))))))) /\ (((forall X115 : Universe, (ndr1_0_ -> ((ndr1_1_ X115 /\ (~(c1_2_ X115 a391_) /\ (~(c9_2_ X115 a391_) /\ ~(c2_2_ X115 a391_)))) \/ ((ndr1_1_ X115 /\ (c1_2_ X115 a392_ /\ (~(c2_2_ X115 a392_) /\ ~(c6_2_ X115 a392_)))) \/ (ndr1_1_ X115 /\ (~(c8_2_ X115 a393_) /\ (~(c3_2_ X115 a393_) /\ c6_2_ X115 a393_))))))) \/ ((ndr1_0_ /\ (~(c4_1_ a394_) /\ (c1_1_ a394_ /\ c3_1_ a394_))) \/ (ndr1_0_ /\ (~(c2_1_ a395_) /\ (c7_1_ a395_ /\ (ndr1_1_ a395_ /\ (c9_2_ a395_ a396_ /\ (c3_2_ a395_ a396_ /\ c6_2_ a395_ a396_)))))))) /\ ((c9_0_ \/ ((ndr1_0_ /\ (~(c6_1_ a397_) /\ (forall X116 : Universe, (ndr1_1_ a397_ -> (~(c7_2_ a397_ X116) \/ (c1_2_ a397_ X116 \/ c10_2_ a397_ X116)))))) \/ c6_0_)) /\ (((ndr1_0_ /\ (c8_1_ a398_ /\ ((forall X117 : Universe, (ndr1_1_ a398_ -> (c1_2_ a398_ X117 \/ (c2_2_ a398_ X117 \/ ~(c3_2_ a398_ X117))))) /\ c7_1_ a398_))) \/ ~(c6_0_)) /\ (((forall X118 : Universe, (ndr1_0_ -> (c9_1_ X118 \/ ((ndr1_1_ X118 /\ (c8_2_ X118 a399_ /\ (~(c9_2_ X118 a399_) /\ c3_2_ X118 a399_))) \/ c3_1_ X118)))) \/ ((forall X119 : Universe, (ndr1_0_ -> (~(c3_1_ X119) \/ ((forall X120 : Universe, (ndr1_1_ X119 -> (c5_2_ X119 X120 \/ (~(c7_2_ X119 X120) \/ c2_2_ X119 X120)))) \/ (ndr1_1_ X119 /\ (~(c8_2_ X119 a400_) /\ (c2_2_ X119 a400_ /\ ~(c7_2_ X119 a400_)))))))) \/ ~(c7_0_))) /\ (((forall X121 : Universe, (ndr1_0_ -> (~(c4_1_ X121) \/ ((forall X122 : Universe, (ndr1_1_ X121 -> (~(c6_2_ X121 X122) \/ (c1_2_ X121 X122 \/ ~(c9_2_ X121 X122))))) \/ (forall X123 : Universe, (ndr1_1_ X121 -> (c6_2_ X121 X123 \/ ~(c10_2_ X121 X123)))))))) \/ (c4_0_ \/ (ndr1_0_ /\ (~(c6_1_ a401_) /\ c1_1_ a401_)))) /\ (((forall X124 : Universe, (ndr1_0_ -> ((ndr1_1_ X124 /\ (~(c9_2_ X124 a402_) /\ (c7_2_ X124 a402_ /\ ~(c2_2_ X124 a402_)))) \/ (~(c10_1_ X124) \/ ~(c2_1_ X124))))) \/ ((ndr1_0_ /\ (ndr1_1_ a403_ /\ (c5_2_ a403_ a404_ /\ (c3_2_ a403_ a404_ /\ (~(c7_2_ a403_ a404_) /\ ((forall X125 : Universe, (ndr1_1_ a403_ -> (~(c10_2_ a403_ X125) \/ (~(c6_2_ a403_ X125) \/ ~(c4_2_ a403_ X125))))) /\ ~(c3_1_ a403_))))))) \/ (ndr1_0_ /\ (c8_1_ a405_ /\ (forall X126 : Universe, (ndr1_1_ a405_ -> (c1_2_ a405_ X126 \/ ~(c10_2_ a405_ X126)))))))) /\ (((ndr1_0_ /\ ((forall X127 : Universe, (ndr1_1_ a406_ -> (~(c2_2_ a406_ X127) \/ (c1_2_ a406_ X127 \/ c9_2_ a406_ X127)))) /\ ~(c3_1_ a406_))) \/ ((forall X128 : Universe, (ndr1_0_ -> (~(c2_1_ X128) \/ ((ndr1_1_ X128 /\ (c10_2_ X128 a407_ /\ (c5_2_ X128 a407_ /\ ~(c2_2_ X128 a407_)))) \/ c9_1_ X128)))) \/ (ndr1_0_ /\ (ndr1_1_ a408_ /\ (c10_2_ a408_ a409_ /\ (c2_2_ a408_ a409_ /\ (~(c5_2_ a408_ a409_) /\ ((forall X129 : Universe, (ndr1_1_ a408_ -> (~(c7_2_ a408_ X129) \/ (c8_2_ a408_ X129 \/ c3_2_ a408_ X129)))) /\ (ndr1_1_ a408_ /\ (c2_2_ a408_ a410_ /\ (c10_2_ a408_ a410_ /\ ~(c4_2_ a408_ a410_)))))))))))) /\ (((forall X130 : Universe, (ndr1_0_ -> ((forall X131 : Universe, (ndr1_1_ X130 -> (~(c5_2_ X130 X131) \/ (c2_2_ X130 X131 \/ c9_2_ X130 X131)))) \/ ((forall X132 : Universe, (ndr1_1_ X130 -> (c10_2_ X130 X132 \/ (c2_2_ X130 X132 \/ ~(c7_2_ X130 X132))))) \/ ~(c8_1_ X130))))) \/ (~(c6_0_) \/ ~(c8_0_))) /\ (((forall X133 : Universe, (ndr1_0_ -> (~(c1_1_ X133) \/ ((forall X134 : Universe, (ndr1_1_ X133 -> (~(c10_2_ X133 X134) \/ (c6_2_ X133 X134 \/ c4_2_ X133 X134)))) \/ (ndr1_1_ X133 /\ (~(c7_2_ X133 a411_) /\ (c3_2_ X133 a411_ /\ ~(c2_2_ X133 a411_)))))))) \/ ((forall X135 : Universe, (ndr1_0_ -> ((ndr1_1_ X135 /\ (c3_2_ X135 a412_ /\ (c5_2_ X135 a412_ /\ ~(c4_2_ X135 a412_)))) \/ ((ndr1_1_ X135 /\ (~(c4_2_ X135 a413_) /\ (~(c1_2_ X135 a413_) /\ c3_2_ X135 a413_))) \/ ~(c5_1_ X135))))) \/ ~(c10_0_))) /\ (((forall X136 : Universe, (ndr1_0_ -> (~(c10_1_ X136) \/ (~(c2_1_ X136) \/ (forall X137 : Universe, (ndr1_1_ X136 -> (c10_2_ X136 X137 \/ (c6_2_ X136 X137 \/ ~(c2_2_ X136 X137))))))))) \/ (~(c8_0_) \/ c7_0_)) /\ (((ndr1_0_ /\ (~(c1_1_ a414_) /\ (ndr1_1_ a414_ /\ (c6_2_ a414_ a415_ /\ (~(c8_2_ a414_ a415_) /\ (c2_2_ a414_ a415_ /\ (forall X138 : Universe, (ndr1_1_ a414_ -> (c7_2_ a414_ X138 \/ (~(c3_2_ a414_ X138) \/ c1_2_ a414_ X138)))))))))) \/ (~(c3_0_) \/ (ndr1_0_ /\ ((forall X139 : Universe, (ndr1_1_ a416_ -> (c4_2_ a416_ X139 \/ (~(c1_2_ a416_ X139) \/ ~(c5_2_ a416_ X139))))) /\ (ndr1_1_ a416_ /\ (~(c4_2_ a416_ a417_) /\ (c7_2_ a416_ a417_ /\ (c5_2_ a416_ a417_ /\ (ndr1_1_ a416_ /\ (c8_2_ a416_ a418_ /\ c6_2_ a416_ a418_)))))))))) /\ ((~(c8_0_) \/ ((forall X140 : Universe, (ndr1_0_ -> ((forall X141 : Universe, (ndr1_1_ X140 -> (~(c5_2_ X140 X141) \/ (c1_2_ X140 X141 \/ c6_2_ X140 X141)))) \/ ((ndr1_1_ X140 /\ (~(c5_2_ X140 a419_) /\ ~(c1_2_ X140 a419_))) \/ ~(c9_1_ X140))))) \/ ~(c4_0_))) /\ ((~(c10_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a420_ /\ (c7_2_ a420_ a421_ /\ (~(c3_2_ a420_ a421_) /\ (c10_2_ a420_ a421_ /\ (~(c8_1_ a420_) /\ c7_1_ a420_)))))) \/ ~(c9_0_))) /\ (((ndr1_0_ /\ ((forall X142 : Universe, (ndr1_1_ a422_ -> (~(c9_2_ a422_ X142) \/ (c5_2_ a422_ X142 \/ ~(c7_2_ a422_ X142))))) /\ (c1_1_ a422_ /\ (ndr1_1_ a422_ /\ (~(c10_2_ a422_ a423_) /\ (~(c6_2_ a422_ a423_) /\ ~(c8_2_ a422_ a423_))))))) \/ ((ndr1_0_ /\ (~(c5_1_ a424_) /\ (ndr1_1_ a424_ /\ (~(c5_2_ a424_ a425_) /\ c7_2_ a424_ a425_)))) \/ ~(c3_0_))) /\ ((~(c2_0_) \/ ((forall X143 : Universe, (ndr1_0_ -> (~(c3_1_ X143) \/ (ndr1_1_ X143 /\ (~(c3_2_ X143 a426_) /\ (c9_2_ X143 a426_ /\ c4_2_ X143 a426_)))))) \/ ~(c8_0_))) /\ (((ndr1_0_ /\ (~(c7_1_ a427_) /\ ((forall X144 : Universe, (ndr1_1_ a427_ -> (c10_2_ a427_ X144 \/ (~(c6_2_ a427_ X144) \/ ~(c8_2_ a427_ X144))))) /\ (forall X145 : Universe, (ndr1_1_ a427_ -> (c3_2_ a427_ X145 \/ (~(c1_2_ a427_ X145) \/ ~(c10_2_ a427_ X145)))))))) \/ ((forall X146 : Universe, (ndr1_0_ -> ((forall X147 : Universe, (ndr1_1_ X146 -> (c7_2_ X146 X147 \/ (c1_2_ X146 X147 \/ ~(c2_2_ X146 X147))))) \/ (c6_1_ X146 \/ (ndr1_1_ X146 /\ (~(c10_2_ X146 a428_) /\ (~(c1_2_ X146 a428_) /\ ~(c8_2_ X146 a428_)))))))) \/ (forall X148 : Universe, (ndr1_0_ -> ((ndr1_1_ X148 /\ (c7_2_ X148 a429_ /\ (~(c8_2_ X148 a429_) /\ ~(c5_2_ X148 a429_)))) \/ (~(c9_1_ X148) \/ c1_1_ X148)))))) /\ ((c7_0_ \/ (c3_0_ \/ ~(c8_0_))) /\ (((forall X149 : Universe, (ndr1_0_ -> ~(c10_1_ X149))) \/ ((forall X150 : Universe, (ndr1_0_ -> ((ndr1_1_ X150 /\ (c6_2_ X150 a430_ /\ (c2_2_ X150 a430_ /\ ~(c10_2_ X150 a430_)))) \/ (c5_1_ X150 \/ ~(c4_1_ X150))))) \/ (ndr1_0_ /\ (c2_1_ a431_ /\ (~(c4_1_ a431_) /\ c6_1_ a431_))))) /\ ((c9_0_ \/ (~(c10_0_) \/ (ndr1_0_ /\ (ndr1_1_ a432_ /\ (~(c2_2_ a432_ a433_) /\ (~(c8_2_ a432_ a433_) /\ (~(c9_2_ a432_ a433_) /\ (~(c5_1_ a432_) /\ c3_1_ a432_)))))))) /\ (((forall X151 : Universe, (ndr1_0_ -> (c4_1_ X151 \/ ((forall X152 : Universe, (ndr1_1_ X151 -> (c7_2_ X151 X152 \/ (~(c8_2_ X151 X152) \/ ~(c2_2_ X151 X152))))) \/ (forall X153 : Universe, (ndr1_1_ X151 -> (~(c5_2_ X151 X153) \/ (~(c6_2_ X151 X153) \/ ~(c9_2_ X151 X153))))))))) \/ ((forall X154 : Universe, (ndr1_0_ -> (~(c10_1_ X154) \/ ((forall X155 : Universe, (ndr1_1_ X154 -> (~(c2_2_ X154 X155) \/ (~(c7_2_ X154 X155) \/ c10_2_ X154 X155)))) \/ ~(c1_1_ X154))))) \/ c3_0_)) /\ (((ndr1_0_ /\ (c7_1_ a434_ /\ (ndr1_1_ a434_ /\ (c9_2_ a434_ a435_ /\ (c4_2_ a434_ a435_ /\ (~(c1_2_ a434_ a435_) /\ ~(c6_1_ a434_))))))) \/ ((ndr1_0_ /\ (ndr1_1_ a436_ /\ (c8_2_ a436_ a437_ /\ (c3_2_ a436_ a437_ /\ (c4_2_ a436_ a437_ /\ ((forall X156 : Universe, (ndr1_1_ a436_ -> (c1_2_ a436_ X156 \/ (~(c9_2_ a436_ X156) \/ ~(c3_2_ a436_ X156))))) /\ ~(c2_1_ a436_))))))) \/ c8_0_)) /\ ((c5_0_ \/ ((ndr1_0_ /\ ((forall X157 : Universe, (ndr1_1_ a438_ -> (~(c10_2_ a438_ X157) \/ (c3_2_ a438_ X157 \/ c9_2_ a438_ X157)))) /\ ((forall X158 : Universe, (ndr1_1_ a438_ -> (c7_2_ a438_ X158 \/ (~(c6_2_ a438_ X158) \/ c1_2_ a438_ X158)))) /\ (forall X159 : Universe, (ndr1_1_ a438_ -> (c6_2_ a438_ X159 \/ (~(c2_2_ a438_ X159) \/ c10_2_ a438_ X159))))))) \/ ~(c2_0_))) /\ (((forall X160 : Universe, (ndr1_0_ -> ((forall X161 : Universe, (ndr1_1_ X160 -> (~(c1_2_ X160 X161) \/ (c4_2_ X160 X161 \/ ~(c10_2_ X160 X161))))) \/ (c1_1_ X160 \/ ~(c4_1_ X160))))) \/ ((forall X162 : Universe, (ndr1_0_ -> (~(c9_1_ X162) \/ (c1_1_ X162 \/ (ndr1_1_ X162 /\ (~(c5_2_ X162 a439_) /\ c7_2_ X162 a439_)))))) \/ c6_0_)) /\ ((~(c7_0_) \/ (forall X163 : Universe, (ndr1_0_ -> (c10_1_ X163 \/ (~(c9_1_ X163) \/ (ndr1_1_ X163 /\ (~(c5_2_ X163 a440_) /\ (c1_2_ X163 a440_ /\ c6_2_ X163 a440_)))))))) /\ (((ndr1_0_ /\ ((forall X164 : Universe, (ndr1_1_ a441_ -> (c7_2_ a441_ X164 \/ (~(c5_2_ a441_ X164) \/ ~(c8_2_ a441_ X164))))) /\ (forall X165 : Universe, (ndr1_1_ a441_ -> (c5_2_ a441_ X165 \/ (c2_2_ a441_ X165 \/ ~(c4_2_ a441_ X165))))))) \/ ((ndr1_0_ /\ (c8_1_ a442_ /\ ((forall X166 : Universe, (ndr1_1_ a442_ -> (c5_2_ a442_ X166 \/ (~(c3_2_ a442_ X166) \/ ~(c10_2_ a442_ X166))))) /\ (forall X167 : Universe, (ndr1_1_ a442_ -> (c2_2_ a442_ X167 \/ (~(c1_2_ a442_ X167) \/ c7_2_ a442_ X167))))))) \/ (ndr1_0_ /\ ((forall X168 : Universe, (ndr1_1_ a443_ -> (c3_2_ a443_ X168 \/ (c10_2_ a443_ X168 \/ ~(c5_2_ a443_ X168))))) /\ ((forall X169 : Universe, (ndr1_1_ a443_ -> (c8_2_ a443_ X169 \/ (c6_2_ a443_ X169 \/ ~(c5_2_ a443_ X169))))) /\ (forall X170 : Universe, (ndr1_1_ a443_ -> (~(c3_2_ a443_ X170) \/ ~(c9_2_ a443_ X170))))))))) /\ ((c8_0_ \/ ((forall X171 : Universe, (ndr1_0_ -> (~(c1_1_ X171) \/ (c8_1_ X171 \/ ~(c7_1_ X171))))) \/ (ndr1_0_ /\ ((forall X172 : Universe, (ndr1_1_ a444_ -> (c10_2_ a444_ X172 \/ (c4_2_ a444_ X172 \/ c2_2_ a444_ X172)))) /\ (c8_1_ a444_ /\ (forall X173 : Universe, (ndr1_1_ a444_ -> (~(c5_2_ a444_ X173) \/ (~(c10_2_ a444_ X173) \/ c9_2_ a444_ X173))))))))) /\ ((~(c7_0_) \/ ((ndr1_0_ /\ (c1_1_ a445_ /\ c6_1_ a445_)) \/ c3_0_)) /\ ((c4_0_ \/ ((forall X174 : Universe, (ndr1_0_ -> ((ndr1_1_ X174 /\ (~(c8_2_ X174 a446_) /\ (c10_2_ X174 a446_ /\ c1_2_ X174 a446_))) \/ ((ndr1_1_ X174 /\ (~(c10_2_ X174 a447_) /\ (c7_2_ X174 a447_ /\ c3_2_ X174 a447_))) \/ (forall X175 : Universe, (ndr1_1_ X174 -> (c10_2_ X174 X175 \/ (~(c3_2_ X174 X175) \/ ~(c4_2_ X174 X175))))))))) \/ ~(c5_0_))) /\ ((~(c5_0_) \/ (c6_0_ \/ c4_0_)) /\ ((ndr1_0_ /\ (c10_1_ a448_ /\ (~(c2_1_ a448_) /\ (forall X176 : Universe, (ndr1_1_ a448_ -> (~(c4_2_ a448_ X176) \/ (c7_2_ a448_ X176 \/ c6_2_ a448_ X176))))))) \/ (c8_0_ \/ c2_0_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
