(*
% File     : SYN423+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=002
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-002.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1357 (   0 equality)
%            Maximal formula depth :  127 ( 127 average)
%            Number of connectives : 1863 ( 507 ~  ; 525  |; 645  &)
%                                         (   0 <=>; 186 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   32 (  11 propositional; 0-2 arity)
%            Number of functors    :  189 ( 189 constant; 0-0 arity)
%            Number of variables   :  186 (   0 singleton; 186 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c9_2_ : Universe -> Universe -> Prop.
Variable c9_1_ : Universe -> Prop.
Variable c9_0_ : Prop.
Variable c8_2_ : Universe -> Universe -> Prop.
Variable c8_1_ : Universe -> Prop.
Variable c8_0_ : Prop.
Variable c7_2_ : Universe -> Universe -> Prop.
Variable c7_1_ : Universe -> Prop.
Variable c7_0_ : Prop.
Variable c6_2_ : Universe -> Universe -> Prop.
Variable c6_1_ : Universe -> Prop.
Variable c6_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.
Variable c10_2_ : Universe -> Universe -> Prop.
Variable c10_1_ : Universe -> Prop.
Variable c10_0_ : Prop.

Variable a619_ : Universe.
Variable a618_ : Universe.
Variable a617_ : Universe.
Variable a616_ : Universe.
Variable a615_ : Universe.
Variable a614_ : Universe.
Variable a613_ : Universe.
Variable a612_ : Universe.
Variable a611_ : Universe.
Variable a610_ : Universe.
Variable a609_ : Universe.
Variable a608_ : Universe.
Variable a607_ : Universe.
Variable a606_ : Universe.
Variable a605_ : Universe.
Variable a604_ : Universe.
Variable a603_ : Universe.
Variable a602_ : Universe.
Variable a601_ : Universe.
Variable a600_ : Universe.
Variable a599_ : Universe.
Variable a598_ : Universe.
Variable a597_ : Universe.
Variable a596_ : Universe.
Variable a595_ : Universe.
Variable a594_ : Universe.
Variable a593_ : Universe.
Variable a592_ : Universe.
Variable a591_ : Universe.
Variable a590_ : Universe.
Variable a589_ : Universe.
Variable a588_ : Universe.
Variable a587_ : Universe.
Variable a586_ : Universe.
Variable a585_ : Universe.
Variable a584_ : Universe.
Variable a583_ : Universe.
Variable a582_ : Universe.
Variable a581_ : Universe.
Variable a580_ : Universe.
Variable a579_ : Universe.
Variable a578_ : Universe.
Variable a577_ : Universe.
Variable a576_ : Universe.
Variable a575_ : Universe.
Variable a574_ : Universe.
Variable a573_ : Universe.
Variable a572_ : Universe.
Variable a571_ : Universe.
Variable a570_ : Universe.
Variable a569_ : Universe.
Variable a568_ : Universe.
Variable a567_ : Universe.
Variable a566_ : Universe.
Variable a565_ : Universe.
Variable a564_ : Universe.
Variable a563_ : Universe.
Variable a562_ : Universe.
Variable a561_ : Universe.
Variable a560_ : Universe.
Variable a559_ : Universe.
Variable a558_ : Universe.
Variable a557_ : Universe.
Variable a556_ : Universe.
Variable a555_ : Universe.
Variable a554_ : Universe.
Variable a553_ : Universe.
Variable a552_ : Universe.
Variable a551_ : Universe.
Variable a550_ : Universe.
Variable a549_ : Universe.
Variable a548_ : Universe.
Variable a547_ : Universe.
Variable a546_ : Universe.
Variable a545_ : Universe.
Variable a544_ : Universe.
Variable a543_ : Universe.
Variable a542_ : Universe.
Variable a541_ : Universe.
Variable a540_ : Universe.
Variable a539_ : Universe.
Variable a538_ : Universe.
Variable a537_ : Universe.
Variable a536_ : Universe.
Variable a535_ : Universe.
Variable a534_ : Universe.
Variable a533_ : Universe.
Variable a532_ : Universe.
Variable a531_ : Universe.
Variable a530_ : Universe.
Variable a529_ : Universe.
Variable a528_ : Universe.
Variable a527_ : Universe.
Variable a526_ : Universe.
Variable a525_ : Universe.
Variable a524_ : Universe.
Variable a523_ : Universe.
Variable a522_ : Universe.
Variable a521_ : Universe.
Variable a520_ : Universe.
Variable a519_ : Universe.
Variable a518_ : Universe.
Variable a517_ : Universe.
Variable a516_ : Universe.
Variable a515_ : Universe.
Variable a514_ : Universe.
Variable a513_ : Universe.
Variable a512_ : Universe.
Variable a511_ : Universe.
Variable a510_ : Universe.
Variable a509_ : Universe.
Variable a508_ : Universe.
Variable a507_ : Universe.
Variable a506_ : Universe.
Variable a505_ : Universe.
Variable a504_ : Universe.
Variable a503_ : Universe.
Variable a502_ : Universe.
Variable a501_ : Universe.
Variable a500_ : Universe.
Variable a499_ : Universe.
Variable a498_ : Universe.
Variable a497_ : Universe.
Variable a496_ : Universe.
Variable a495_ : Universe.
Variable a494_ : Universe.
Variable a493_ : Universe.
Variable a492_ : Universe.
Variable a491_ : Universe.
Variable a490_ : Universe.
Variable a489_ : Universe.
Variable a488_ : Universe.
Variable a487_ : Universe.
Variable a486_ : Universe.
Variable a485_ : Universe.
Variable a484_ : Universe.
Variable a483_ : Universe.
Variable a482_ : Universe.
Variable a481_ : Universe.
Variable a480_ : Universe.
Variable a479_ : Universe.
Variable a478_ : Universe.
Variable a477_ : Universe.
Variable a476_ : Universe.
Variable a475_ : Universe.
Variable a474_ : Universe.
Variable a473_ : Universe.
Variable a472_ : Universe.
Variable a471_ : Universe.
Variable a470_ : Universe.
Variable a469_ : Universe.
Variable a468_ : Universe.
Variable a467_ : Universe.
Variable a466_ : Universe.
Variable a465_ : Universe.
Variable a464_ : Universe.
Variable a463_ : Universe.
Variable a462_ : Universe.
Variable a461_ : Universe.
Variable a460_ : Universe.
Variable a459_ : Universe.
Variable a458_ : Universe.
Variable a457_ : Universe.
Variable a456_ : Universe.
Variable a455_ : Universe.
Variable a454_ : Universe.
Variable a453_ : Universe.
Variable a452_ : Universe.
Variable a451_ : Universe.
Variable a450_ : Universe.
Variable a449_ : Universe.
Variable a448_ : Universe.
Variable a447_ : Universe.
Variable a446_ : Universe.
Variable a445_ : Universe.
Variable a444_ : Universe.
Variable a443_ : Universe.
Variable a442_ : Universe.
Variable a441_ : Universe.
Variable a440_ : Universe.
Variable a439_ : Universe.
Variable a438_ : Universe.
Variable a437_ : Universe.
Variable a436_ : Universe.
Variable a435_ : Universe.
Variable a434_ : Universe.
Variable a433_ : Universe.
Variable a432_ : Universe.
Variable a431_ : Universe.


Theorem co1_1 : ~((c6_0_ /\ (~(c8_0_) /\ ((c1_0_ \/ (c5_0_ \/ (forall U : Universe, (ndr1_0_ -> (~(c2_1_ U) \/ ((ndr1_1_ U /\ (c1_2_ U a431_ /\ (c6_2_ U a431_ /\ ~(c10_2_ U a431_)))) \/ (ndr1_1_ U /\ (c10_2_ U a432_ /\ (c4_2_ U a432_ /\ c5_2_ U a432_))))))))) /\ ((c1_0_ \/ (~(c2_0_) \/ (forall V : Universe, (ndr1_0_ -> (~(c6_1_ V) \/ (~(c7_1_ V) \/ (ndr1_1_ V /\ (c5_2_ V a433_ /\ (~(c4_2_ V a433_) /\ ~(c6_2_ V a433_)))))))))) /\ ((c1_0_ \/ (~(c3_0_) \/ (forall W : Universe, (ndr1_0_ -> (c1_1_ W \/ (forall X : Universe, (ndr1_1_ W -> (c3_2_ W X \/ (c4_2_ W X \/ ~(c5_2_ W X)))))))))) /\ ((c1_0_ \/ ~(c9_0_)) /\ ((c1_0_ \/ ((ndr1_0_ /\ (c6_1_ a434_ /\ ((forall Y : Universe, (ndr1_1_ a434_ -> (c10_2_ a434_ Y \/ (~(c5_2_ a434_ Y) \/ ~(c9_2_ a434_ Y))))) /\ (ndr1_1_ a434_ /\ (~(c1_2_ a434_ a435_) /\ (~(c5_2_ a434_ a435_) /\ ~(c8_2_ a434_ a435_))))))) \/ (ndr1_0_ /\ (c7_1_ a436_ /\ (~(c3_1_ a436_) /\ ~(c9_1_ a436_)))))) /\ ((c10_0_ \/ (c3_0_ \/ (ndr1_0_ /\ (~(c1_1_ a437_) /\ ((forall Z : Universe, (ndr1_1_ a437_ -> (c10_2_ a437_ Z \/ (c5_2_ a437_ Z \/ ~(c8_2_ a437_ Z))))) /\ (ndr1_1_ a437_ /\ (c9_2_ a437_ a438_ /\ (~(c4_2_ a437_ a438_) /\ ~(c8_2_ a437_ a438_))))))))) /\ ((c10_0_ \/ (c4_0_ \/ (forall X1 : Universe, (ndr1_0_ -> (c9_1_ X1 \/ (~(c2_1_ X1) \/ (ndr1_1_ X1 /\ (~(c4_2_ X1 a439_) /\ (~(c5_2_ X1 a439_) /\ ~(c6_2_ X1 a439_)))))))))) /\ ((c10_0_ \/ (c5_0_ \/ ~(c9_0_))) /\ ((c10_0_ \/ c7_0_) /\ ((c10_0_ \/ (c7_0_ \/ (ndr1_0_ /\ (~(c3_1_ a440_) /\ ((forall X2 : Universe, (ndr1_1_ a440_ -> (~(c2_2_ a440_ X2) \/ (~(c4_2_ a440_ X2) \/ ~(c9_2_ a440_ X2))))) /\ (ndr1_1_ a440_ /\ (c10_2_ a440_ a441_ /\ (~(c4_2_ a440_ a441_) /\ ~(c5_2_ a440_ a441_))))))))) /\ ((c10_0_ \/ (~(c2_0_) \/ (forall X3 : Universe, (ndr1_0_ -> (~(c5_1_ X3) \/ (ndr1_1_ X3 /\ (c10_2_ X3 a442_ /\ (c5_2_ X3 a442_ /\ ~(c7_2_ X3 a442_))))))))) /\ ((c10_0_ \/ (~(c7_0_) \/ (ndr1_0_ /\ (c4_1_ a443_ /\ (ndr1_1_ a443_ /\ (c1_2_ a443_ a444_ /\ (~(c4_2_ a443_ a444_) /\ (ndr1_1_ a443_ /\ (c5_2_ a443_ a445_ /\ (~(c10_2_ a443_ a445_) /\ ~(c8_2_ a443_ a445_))))))))))) /\ ((c10_0_ \/ (forall X4 : Universe, (ndr1_0_ -> (c1_1_ X4 \/ (~(c9_1_ X4) \/ (forall X5 : Universe, (ndr1_1_ X4 -> (c2_2_ X4 X5 \/ (c4_2_ X4 X5 \/ c9_2_ X4 X5))))))))) /\ ((c10_0_ \/ ((forall X6 : Universe, (ndr1_0_ -> (c10_1_ X6 \/ ((ndr1_1_ X6 /\ (c1_2_ X6 a446_ /\ (~(c6_2_ X6 a446_) /\ ~(c9_2_ X6 a446_)))) \/ (ndr1_1_ X6 /\ (~(c10_2_ X6 a447_) /\ (~(c2_2_ X6 a447_) /\ ~(c3_2_ X6 a447_)))))))) \/ (ndr1_0_ /\ (~(c9_1_ a448_) /\ ((forall X7 : Universe, (ndr1_1_ a448_ -> (c1_2_ a448_ X7 \/ (c5_2_ a448_ X7 \/ ~(c8_2_ a448_ X7))))) /\ (forall X8 : Universe, (ndr1_1_ a448_ -> (c1_2_ a448_ X8 \/ (~(c4_2_ a448_ X8) \/ ~(c6_2_ a448_ X8)))))))))) /\ ((c10_0_ \/ (forall X9 : Universe, (ndr1_0_ -> (c2_1_ X9 \/ (c9_1_ X9 \/ ~(c3_1_ X9)))))) /\ ((c10_0_ \/ ((ndr1_0_ /\ (c3_1_ a449_ /\ ((forall X10 : Universe, (ndr1_1_ a449_ -> (c3_2_ a449_ X10 \/ c6_2_ a449_ X10))) /\ (ndr1_1_ a449_ /\ (c4_2_ a449_ a450_ /\ (c7_2_ a449_ a450_ /\ ~(c9_2_ a449_ a450_))))))) \/ (ndr1_0_ /\ (~(c6_1_ a451_) /\ (ndr1_1_ a451_ /\ (c5_2_ a451_ a452_ /\ (~(c6_2_ a451_ a452_) /\ ~(c9_2_ a451_ a452_)))))))) /\ ((c10_0_ \/ (ndr1_0_ /\ (c8_1_ a453_ /\ ((forall X11 : Universe, (ndr1_1_ a453_ -> (~(c10_2_ a453_ X11) \/ (~(c4_2_ a453_ X11) \/ ~(c5_2_ a453_ X11))))) /\ (ndr1_1_ a453_ /\ (c7_2_ a453_ a454_ /\ (~(c2_2_ a453_ a454_) /\ ~(c5_2_ a453_ a454_)))))))) /\ ((c10_0_ \/ (ndr1_0_ /\ ((forall X12 : Universe, (ndr1_1_ a455_ -> (c3_2_ a455_ X12 \/ (c8_2_ a455_ X12 \/ ~(c1_2_ a455_ X12))))) /\ ((forall X13 : Universe, (ndr1_1_ a455_ -> (c3_2_ a455_ X13 \/ (c9_2_ a455_ X13 \/ ~(c1_2_ a455_ X13))))) /\ (ndr1_1_ a455_ /\ (c8_2_ a455_ a456_ /\ (~(c2_2_ a455_ a456_) /\ ~(c4_2_ a455_ a456_)))))))) /\ ((c10_0_ \/ (ndr1_0_ /\ (ndr1_1_ a457_ /\ (c1_2_ a457_ a458_ /\ (~(c8_2_ a457_ a458_) /\ (ndr1_1_ a457_ /\ (c10_2_ a457_ a459_ /\ (~(c2_2_ a457_ a459_) /\ ~(c4_2_ a457_ a459_))))))))) /\ ((c2_0_ \/ (c7_0_ \/ (ndr1_0_ /\ (c1_1_ a460_ /\ (c2_1_ a460_ /\ ~(c5_1_ a460_)))))) /\ ((c2_0_ \/ (~(c1_0_) \/ (forall X14 : Universe, (ndr1_0_ -> (forall X15 : Universe, (ndr1_1_ X14 -> (~(c10_2_ X14 X15) \/ (~(c4_2_ X14 X15) \/ ~(c9_2_ X14 X15))))))))) /\ ((c2_0_ \/ (~(c4_0_) \/ ~(c7_0_))) /\ ((c2_0_ \/ (~(c5_0_) \/ (forall X16 : Universe, (ndr1_0_ -> (c3_1_ X16 \/ ~(c6_1_ X16)))))) /\ ((c2_0_ \/ (~(c7_0_) \/ (ndr1_0_ /\ (~(c3_1_ a461_) /\ (~(c4_1_ a461_) /\ (ndr1_1_ a461_ /\ (~(c1_2_ a461_ a462_) /\ (~(c3_2_ a461_ a462_) /\ ~(c8_2_ a461_ a462_))))))))) /\ ((c3_0_ \/ (c7_0_ \/ (forall X17 : Universe, (ndr1_0_ -> (c4_1_ X17 \/ ((forall X18 : Universe, (ndr1_1_ X17 -> (c9_2_ X17 X18 \/ (~(c1_2_ X17 X18) \/ ~(c3_2_ X17 X18))))) \/ (ndr1_1_ X17 /\ (c7_2_ X17 a463_ /\ (~(c2_2_ X17 a463_) /\ ~(c5_2_ X17 a463_)))))))))) /\ ((c3_0_ \/ (~(c1_0_) \/ (forall X19 : Universe, (ndr1_0_ -> (c4_1_ X19 \/ (~(c8_1_ X19) \/ (forall X20 : Universe, (ndr1_1_ X19 -> (c1_2_ X19 X20 \/ (c6_2_ X19 X20 \/ ~(c3_2_ X19 X20))))))))))) /\ ((c3_0_ \/ (~(c1_0_) \/ (forall X21 : Universe, (ndr1_0_ -> (~(c7_1_ X21) \/ (forall X22 : Universe, (ndr1_1_ X21 -> (c5_2_ X21 X22 \/ (~(c1_2_ X21 X22) \/ ~(c9_2_ X21 X22)))))))))) /\ ((c3_0_ \/ (~(c10_0_) \/ (forall X23 : Universe, (ndr1_0_ -> (c6_1_ X23 \/ ((forall X24 : Universe, (ndr1_1_ X23 -> (c8_2_ X23 X24 \/ (~(c3_2_ X23 X24) \/ ~(c6_2_ X23 X24))))) \/ (ndr1_1_ X23 /\ (c3_2_ X23 a464_ /\ (c7_2_ X23 a464_ /\ ~(c6_2_ X23 a464_)))))))))) /\ ((c3_0_ \/ (~(c4_0_) \/ ~(c7_0_))) /\ ((c3_0_ \/ (ndr1_0_ /\ (~(c10_1_ a465_) /\ ((forall X25 : Universe, (ndr1_1_ a465_ -> (c8_2_ a465_ X25 \/ (~(c3_2_ a465_ X25) \/ ~(c4_2_ a465_ X25))))) /\ (ndr1_1_ a465_ /\ (c2_2_ a465_ a466_ /\ (c6_2_ a465_ a466_ /\ ~(c1_2_ a465_ a466_)))))))) /\ ((c3_0_ \/ ((forall X26 : Universe, (ndr1_0_ -> (~(c7_1_ X26) \/ (~(c8_1_ X26) \/ (forall X27 : Universe, (ndr1_1_ X26 -> (c5_2_ X26 X27 \/ ~(c3_2_ X26 X27)))))))) \/ (ndr1_0_ /\ (c1_1_ a467_ /\ (c5_1_ a467_ /\ ~(c6_1_ a467_)))))) /\ ((c4_0_ \/ (c5_0_ \/ (ndr1_0_ /\ (~(c6_1_ a468_) /\ ((forall X28 : Universe, (ndr1_1_ a468_ -> (c1_2_ a468_ X28 \/ (c9_2_ a468_ X28 \/ ~(c4_2_ a468_ X28))))) /\ (ndr1_1_ a468_ /\ (c6_2_ a468_ a469_ /\ (c9_2_ a468_ a469_ /\ ~(c7_2_ a468_ a469_))))))))) /\ ((c4_0_ \/ (ndr1_0_ /\ (c8_1_ a470_ /\ ((forall X29 : Universe, (ndr1_1_ a470_ -> (c3_2_ a470_ X29 \/ (c7_2_ a470_ X29 \/ ~(c4_2_ a470_ X29))))) /\ (ndr1_1_ a470_ /\ (c7_2_ a470_ a471_ /\ c8_2_ a470_ a471_)))))) /\ ((c4_0_ \/ (~(c9_0_) \/ (forall X30 : Universe, (ndr1_0_ -> (c9_1_ X30 \/ (~(c10_1_ X30) \/ (forall X31 : Universe, (ndr1_1_ X30 -> (~(c10_2_ X30 X31) \/ (~(c7_2_ X30 X31) \/ ~(c8_2_ X30 X31))))))))))) /\ ((c4_0_ \/ (forall X32 : Universe, (ndr1_0_ -> (c6_1_ X32 \/ ((forall X33 : Universe, (ndr1_1_ X32 -> (c4_2_ X32 X33 \/ (c5_2_ X32 X33 \/ c9_2_ X32 X33)))) \/ (forall X34 : Universe, (ndr1_1_ X32 -> (c6_2_ X32 X34 \/ (c8_2_ X32 X34 \/ ~(c4_2_ X32 X34)))))))))) /\ ((c4_0_ \/ ((forall X35 : Universe, (ndr1_0_ -> (~(c5_1_ X35) \/ ((ndr1_1_ X35 /\ (c2_2_ X35 a472_ /\ (c9_2_ X35 a472_ /\ ~(c3_2_ X35 a472_)))) \/ (ndr1_1_ X35 /\ (c5_2_ X35 a473_ /\ (c8_2_ X35 a473_ /\ c9_2_ X35 a473_))))))) \/ (ndr1_0_ /\ (c10_1_ a474_ /\ (~(c8_1_ a474_) /\ (forall X36 : Universe, (ndr1_1_ a474_ -> (c10_2_ a474_ X36 \/ (c4_2_ a474_ X36 \/ ~(c3_2_ a474_ X36)))))))))) /\ ((c5_0_ \/ (forall X37 : Universe, (ndr1_0_ -> (~(c2_1_ X37) \/ ((ndr1_1_ X37 /\ (c1_2_ X37 a475_ /\ ~(c7_2_ X37 a475_))) \/ (ndr1_1_ X37 /\ (c2_2_ X37 a476_ /\ (~(c10_2_ X37 a476_) /\ ~(c4_2_ X37 a476_))))))))) /\ ((c5_0_ \/ (~(c1_0_) \/ (ndr1_0_ /\ (c9_1_ a477_ /\ (~(c10_1_ a477_) /\ ~(c3_1_ a477_)))))) /\ ((c5_0_ \/ (~(c3_0_) \/ (forall X38 : Universe, (ndr1_0_ -> (c10_1_ X38 \/ (c2_1_ X38 \/ (ndr1_1_ X38 /\ (c6_2_ X38 a478_ /\ (~(c4_2_ X38 a478_) /\ ~(c7_2_ X38 a478_)))))))))) /\ ((c5_0_ \/ (ndr1_0_ /\ (ndr1_1_ a479_ /\ (c10_2_ a479_ a480_ /\ (c9_2_ a479_ a480_ /\ (ndr1_1_ a479_ /\ (c5_2_ a479_ a481_ /\ (c8_2_ a479_ a481_ /\ ~(c4_2_ a479_ a481_))))))))) /\ ((c5_0_ \/ (~(c7_0_) \/ (ndr1_0_ /\ (c2_1_ a482_ /\ ~(c5_1_ a482_))))) /\ ((c5_0_ \/ (~(c7_0_) \/ (ndr1_0_ /\ (c6_1_ a483_ /\ ~(c3_1_ a483_))))) /\ ((c5_0_ \/ ((forall X39 : Universe, (ndr1_0_ -> (c2_1_ X39 \/ (ndr1_1_ X39 /\ (c4_2_ X39 a484_ /\ (c5_2_ X39 a484_ /\ c9_2_ X39 a484_)))))) \/ (ndr1_0_ /\ (c1_1_ a485_ /\ (ndr1_1_ a485_ /\ (c5_2_ a485_ a486_ /\ (c7_2_ a485_ a486_ /\ (~(c6_2_ a485_ a486_) /\ (ndr1_1_ a485_ /\ (~(c2_2_ a485_ a487_) /\ (~(c3_2_ a485_ a487_) /\ ~(c8_2_ a485_ a487_)))))))))))) /\ ((c5_0_ \/ ((forall X40 : Universe, (ndr1_0_ -> (~(c3_1_ X40) \/ (~(c7_1_ X40) \/ (ndr1_1_ X40 /\ (c1_2_ X40 a488_ /\ (c4_2_ X40 a488_ /\ c5_2_ X40 a488_))))))) \/ (ndr1_0_ /\ (c3_1_ a489_ /\ (~(c8_1_ a489_) /\ (forall X41 : Universe, (ndr1_1_ a489_ -> (c3_2_ a489_ X41 \/ (c8_2_ a489_ X41 \/ ~(c1_2_ a489_ X41)))))))))) /\ ((c5_0_ \/ ((ndr1_0_ /\ (c6_1_ a490_ /\ (c8_1_ a490_ /\ ~(c9_1_ a490_)))) \/ (ndr1_0_ /\ (c8_1_ a491_ /\ (~(c4_1_ a491_) /\ (ndr1_1_ a491_ /\ (c3_2_ a491_ a492_ /\ (~(c1_2_ a491_ a492_) /\ ~(c4_2_ a491_ a492_))))))))) /\ ((c7_0_ \/ ~(c1_0_)) /\ ((c7_0_ \/ (~(c5_0_) \/ (ndr1_0_ /\ (c2_1_ a493_ /\ (forall X42 : Universe, (ndr1_1_ a493_ -> (c10_2_ a493_ X42 \/ (c3_2_ a493_ X42 \/ ~(c5_2_ a493_ X42))))))))) /\ ((c7_0_ \/ ((forall X43 : Universe, (ndr1_0_ -> (~(c1_1_ X43) \/ ~(c10_1_ X43)))) \/ (forall X44 : Universe, (ndr1_0_ -> ((forall X45 : Universe, (ndr1_1_ X44 -> (c6_2_ X44 X45 \/ (c7_2_ X44 X45 \/ ~(c3_2_ X44 X45))))) \/ ((ndr1_1_ X44 /\ (c2_2_ X44 a494_ /\ (c5_2_ X44 a494_ /\ c8_2_ X44 a494_))) \/ (ndr1_1_ X44 /\ (~(c1_2_ X44 a495_) /\ (~(c3_2_ X44 a495_) /\ ~(c4_2_ X44 a495_)))))))))) /\ ((c7_0_ \/ ((forall X46 : Universe, (ndr1_0_ -> (~(c4_1_ X46) \/ ((ndr1_1_ X46 /\ (c4_2_ X46 a496_ /\ (c9_2_ X46 a496_ /\ ~(c7_2_ X46 a496_)))) \/ (ndr1_1_ X46 /\ (c5_2_ X46 a497_ /\ (~(c2_2_ X46 a497_) /\ ~(c7_2_ X46 a497_)))))))) \/ (ndr1_0_ /\ (~(c2_1_ a498_) /\ ~(c6_1_ a498_))))) /\ ((c7_0_ \/ ((ndr1_0_ /\ (c1_1_ a499_ /\ ~(c2_1_ a499_))) \/ (ndr1_0_ /\ (c10_1_ a500_ /\ c4_1_ a500_)))) /\ ((c7_0_ \/ (ndr1_0_ /\ ((forall X47 : Universe, (ndr1_1_ a501_ -> (c3_2_ a501_ X47 \/ (~(c1_2_ a501_ X47) \/ ~(c6_2_ a501_ X47))))) /\ ((forall X48 : Universe, (ndr1_1_ a501_ -> (c6_2_ a501_ X48 \/ (c9_2_ a501_ X48 \/ ~(c7_2_ a501_ X48))))) /\ (ndr1_1_ a501_ /\ (c3_2_ a501_ a502_ /\ (c9_2_ a501_ a502_ /\ ~(c2_2_ a501_ a502_)))))))) /\ ((~(c10_0_) \/ ~(c7_0_)) /\ ((~(c10_0_) \/ (ndr1_0_ /\ (~(c6_1_ a503_) /\ ((forall X49 : Universe, (ndr1_1_ a503_ -> (c4_2_ a503_ X49 \/ (c9_2_ a503_ X49 \/ ~(c7_2_ a503_ X49))))) /\ (forall X50 : Universe, (ndr1_1_ a503_ -> (c8_2_ a503_ X50 \/ (c9_2_ a503_ X50 \/ ~(c1_2_ a503_ X50))))))))) /\ ((~(c4_0_) \/ ~(c5_0_)) /\ ((forall X51 : Universe, (ndr1_0_ -> (c2_1_ X51 \/ (~(c3_1_ X51) \/ (ndr1_1_ X51 /\ (c2_2_ X51 a504_ /\ c3_2_ X51 a504_)))))) /\ (((forall X52 : Universe, (ndr1_0_ -> (c1_1_ X52 \/ ((forall X53 : Universe, (ndr1_1_ X52 -> (c2_2_ X52 X53 \/ (~(c10_2_ X52 X53) \/ ~(c9_2_ X52 X53))))) \/ (ndr1_1_ X52 /\ (c6_2_ X52 a505_ /\ ~(c3_2_ X52 a505_))))))) \/ (forall X54 : Universe, (ndr1_0_ -> ((forall X55 : Universe, (ndr1_1_ X54 -> (c1_2_ X54 X55 \/ (c3_2_ X54 X55 \/ ~(c7_2_ X54 X55))))) \/ ((forall X56 : Universe, (ndr1_1_ X54 -> (c2_2_ X54 X56 \/ (c3_2_ X54 X56 \/ ~(c6_2_ X54 X56))))) \/ (ndr1_1_ X54 /\ (c6_2_ X54 a506_ /\ (~(c1_2_ X54 a506_) /\ ~(c8_2_ X54 a506_))))))))) /\ (((forall X57 : Universe, (ndr1_0_ -> (c9_1_ X57 \/ (~(c4_1_ X57) \/ (ndr1_1_ X57 /\ (c1_2_ X57 a507_ /\ (~(c2_2_ X57 a507_) /\ ~(c5_2_ X57 a507_)))))))) \/ (ndr1_0_ /\ ((forall X58 : Universe, (ndr1_1_ a508_ -> (c8_2_ a508_ X58 \/ ~(c6_2_ a508_ X58)))) /\ (ndr1_1_ a508_ /\ (~(c2_2_ a508_ a509_) /\ (~(c5_2_ a508_ a509_) /\ ~(c9_2_ a508_ a509_))))))) /\ (((forall X59 : Universe, (ndr1_0_ -> (~(c2_1_ X59) \/ (~(c8_1_ X59) \/ (forall X60 : Universe, (ndr1_1_ X59 -> (c3_2_ X59 X60 \/ (c4_2_ X59 X60 \/ ~(c2_2_ X59 X60))))))))) \/ (ndr1_0_ /\ (c6_1_ a510_ /\ (c7_1_ a510_ /\ ~(c8_1_ a510_))))) /\ ((forall X61 : Universe, (ndr1_0_ -> (~(c2_1_ X61) \/ ((forall X62 : Universe, (ndr1_1_ X61 -> (c8_2_ X61 X62 \/ (~(c2_2_ X61 X62) \/ ~(c9_2_ X61 X62))))) \/ (ndr1_1_ X61 /\ (c1_2_ X61 a511_ /\ (c4_2_ X61 a511_ /\ ~(c8_2_ X61 a511_)))))))) /\ (((forall X63 : Universe, (ndr1_0_ -> (~(c2_1_ X63) \/ ((forall X64 : Universe, (ndr1_1_ X63 -> (~(c4_2_ X63 X64) \/ (~(c7_2_ X63 X64) \/ ~(c9_2_ X63 X64))))) \/ (ndr1_1_ X63 /\ (c1_2_ X63 a512_ /\ (~(c3_2_ X63 a512_) /\ ~(c4_2_ X63 a512_)))))))) \/ (ndr1_0_ /\ (c10_1_ a513_ /\ (c3_1_ a513_ /\ (forall X65 : Universe, (ndr1_1_ a513_ -> (c8_2_ a513_ X65 \/ (~(c2_2_ a513_ X65) \/ ~(c5_2_ a513_ X65))))))))) /\ ((forall X66 : Universe, (ndr1_0_ -> (~(c3_1_ X66) \/ ~(c9_1_ X66)))) /\ (((forall X67 : Universe, (ndr1_0_ -> (~(c8_1_ X67) \/ ((forall X68 : Universe, (ndr1_1_ X67 -> (c10_2_ X67 X68 \/ (c2_2_ X67 X68 \/ c7_2_ X67 X68)))) \/ (forall X69 : Universe, (ndr1_1_ X67 -> (c3_2_ X67 X69 \/ (c8_2_ X67 X69 \/ c9_2_ X67 X69)))))))) \/ (ndr1_0_ /\ (c10_1_ a514_ /\ ~(c8_1_ a514_)))) /\ (((ndr1_0_ /\ (c1_1_ a515_ /\ (c8_1_ a515_ /\ ~(c7_1_ a515_)))) \/ (ndr1_0_ /\ (c2_1_ a516_ /\ (c7_1_ a516_ /\ ~(c4_1_ a516_))))) /\ ((c9_0_ \/ (~(c1_0_) \/ (ndr1_0_ /\ (c3_1_ a517_ /\ (forall X70 : Universe, (ndr1_1_ a517_ -> (c1_2_ a517_ X70 \/ (c5_2_ a517_ X70 \/ ~(c6_2_ a517_ X70))))))))) /\ ((c9_0_ \/ (~(c10_0_) \/ (forall X71 : Universe, (ndr1_0_ -> (~(c1_1_ X71) \/ (~(c9_1_ X71) \/ (ndr1_1_ X71 /\ (c1_2_ X71 a518_ /\ (c4_2_ X71 a518_ /\ ~(c8_2_ X71 a518_)))))))))) /\ ((c9_0_ \/ (~(c5_0_) \/ (forall X72 : Universe, (ndr1_0_ -> (c9_1_ X72 \/ (~(c1_1_ X72) \/ (ndr1_1_ X72 /\ (c2_2_ X72 a519_ /\ (~(c1_2_ X72 a519_) /\ ~(c3_2_ X72 a519_)))))))))) /\ ((c9_0_ \/ ((forall X73 : Universe, (ndr1_0_ -> (~(c1_1_ X73) \/ ((forall X74 : Universe, (ndr1_1_ X73 -> (c1_2_ X73 X74 \/ (c4_2_ X73 X74 \/ ~(c3_2_ X73 X74))))) \/ (ndr1_1_ X73 /\ (c8_2_ X73 a520_ /\ ~(c2_2_ X73 a520_))))))) \/ (ndr1_0_ /\ ((forall X75 : Universe, (ndr1_1_ a521_ -> (c1_2_ a521_ X75 \/ (c3_2_ a521_ X75 \/ ~(c4_2_ a521_ X75))))) /\ ((forall X76 : Universe, (ndr1_1_ a521_ -> (c1_2_ a521_ X76 \/ (c8_2_ a521_ X76 \/ ~(c4_2_ a521_ X76))))) /\ (ndr1_1_ a521_ /\ (c3_2_ a521_ a522_ /\ (c8_2_ a521_ a522_ /\ c9_2_ a521_ a522_)))))))) /\ ((c9_0_ \/ ((forall X77 : Universe, (ndr1_0_ -> (~(c10_1_ X77) \/ (ndr1_1_ X77 /\ (c9_2_ X77 a523_ /\ (~(c10_2_ X77 a523_) /\ ~(c2_2_ X77 a523_))))))) \/ (ndr1_0_ /\ (c3_1_ a524_ /\ (ndr1_1_ a524_ /\ (c3_2_ a524_ a525_ /\ (c7_2_ a524_ a525_ /\ ~(c4_2_ a524_ a525_)))))))) /\ ((~(c1_0_) \/ (~(c4_0_) \/ (ndr1_0_ /\ ((forall X78 : Universe, (ndr1_1_ a526_ -> (c8_2_ a526_ X78 \/ (~(c7_2_ a526_ X78) \/ ~(c9_2_ a526_ X78))))) /\ ((forall X79 : Universe, (ndr1_1_ a526_ -> (c9_2_ a526_ X79 \/ (~(c2_2_ a526_ X79) \/ ~(c4_2_ a526_ X79))))) /\ (ndr1_1_ a526_ /\ (c9_2_ a526_ a527_ /\ ~(c1_2_ a526_ a527_)))))))) /\ ((~(c1_0_) \/ (ndr1_0_ /\ (c10_1_ a528_ /\ (c5_1_ a528_ /\ (ndr1_1_ a528_ /\ (c4_2_ a528_ a529_ /\ (c7_2_ a528_ a529_ /\ c9_2_ a528_ a529_))))))) /\ ((~(c1_0_) \/ ((forall X80 : Universe, (ndr1_0_ -> (~(c1_1_ X80) \/ (~(c10_1_ X80) \/ (ndr1_1_ X80 /\ (c8_2_ X80 a530_ /\ ~(c10_2_ X80 a530_))))))) \/ (ndr1_0_ /\ (c8_1_ a531_ /\ (~(c5_1_ a531_) /\ (ndr1_1_ a531_ /\ (c10_2_ a531_ a532_ /\ (~(c8_2_ a531_ a532_) /\ ~(c9_2_ a531_ a532_))))))))) /\ ((~(c10_0_) \/ (~(c4_0_) \/ (forall X81 : Universe, (ndr1_0_ -> (c7_1_ X81 \/ (ndr1_1_ X81 /\ (c10_2_ X81 a533_ /\ (c5_2_ X81 a533_ /\ c8_2_ X81 a533_)))))))) /\ ((~(c10_0_) \/ (~(c5_0_) \/ (forall X82 : Universe, (ndr1_0_ -> ((forall X83 : Universe, (ndr1_1_ X82 -> (c5_2_ X82 X83 \/ ~(c3_2_ X82 X83)))) \/ ((ndr1_1_ X82 /\ (c8_2_ X82 a534_ /\ (~(c4_2_ X82 a534_) /\ ~(c5_2_ X82 a534_)))) \/ (ndr1_1_ X82 /\ (~(c4_2_ X82 a535_) /\ (~(c8_2_ X82 a535_) /\ ~(c9_2_ X82 a535_)))))))))) /\ ((~(c10_0_) \/ (~(c5_0_) \/ (ndr1_0_ /\ (c10_1_ a536_ /\ (~(c6_1_ a536_) /\ (ndr1_1_ a536_ /\ (c1_2_ a536_ a537_ /\ (c2_2_ a536_ a537_ /\ ~(c7_2_ a536_ a537_))))))))) /\ ((~(c10_0_) \/ ((forall X84 : Universe, (ndr1_0_ -> (c10_1_ X84 \/ (~(c2_1_ X84) \/ ~(c8_1_ X84))))) \/ (forall X85 : Universe, (ndr1_0_ -> (c9_1_ X85 \/ (~(c3_1_ X85) \/ (forall X86 : Universe, (ndr1_1_ X85 -> (c10_2_ X85 X86 \/ (~(c1_2_ X85 X86) \/ ~(c7_2_ X85 X86))))))))))) /\ ((~(c10_0_) \/ ((forall X87 : Universe, (ndr1_0_ -> (c3_1_ X87 \/ (~(c8_1_ X87) \/ (ndr1_1_ X87 /\ (c2_2_ X87 a538_ /\ (c5_2_ X87 a538_ /\ ~(c1_2_ X87 a538_)))))))) \/ (ndr1_0_ /\ (c3_1_ a539_ /\ ~(c9_1_ a539_))))) /\ ((~(c10_0_) \/ ((ndr1_0_ /\ (~(c2_1_ a540_) /\ (~(c8_1_ a540_) /\ (forall X88 : Universe, (ndr1_1_ a540_ -> (c5_2_ a540_ X88 \/ (c8_2_ a540_ X88 \/ ~(c6_2_ a540_ X88)))))))) \/ (ndr1_0_ /\ (~(c5_1_ a541_) /\ (~(c8_1_ a541_) /\ (forall X89 : Universe, (ndr1_1_ a541_ -> (c1_2_ a541_ X89 \/ (c3_2_ a541_ X89 \/ c9_2_ a541_ X89))))))))) /\ ((~(c2_0_) \/ (~(c7_0_) \/ (forall X90 : Universe, (ndr1_0_ -> (c3_1_ X90 \/ (forall X91 : Universe, (ndr1_1_ X90 -> (c10_2_ X90 X91 \/ (~(c1_2_ X90 X91) \/ ~(c2_2_ X90 X91)))))))))) /\ ((~(c2_0_) \/ ((forall X92 : Universe, (ndr1_0_ -> (c3_1_ X92 \/ (c5_1_ X92 \/ c7_1_ X92)))) \/ (ndr1_0_ /\ (~(c10_1_ a542_) /\ (forall X93 : Universe, (ndr1_1_ a542_ -> (c3_2_ a542_ X93 \/ ~(c6_2_ a542_ X93)))))))) /\ ((~(c2_0_) \/ ((ndr1_0_ /\ (c1_1_ a543_ /\ ((forall X94 : Universe, (ndr1_1_ a543_ -> (c10_2_ a543_ X94 \/ (c3_2_ a543_ X94 \/ ~(c9_2_ a543_ X94))))) /\ (forall X95 : Universe, (ndr1_1_ a543_ -> (c8_2_ a543_ X95 \/ (c9_2_ a543_ X95 \/ ~(c5_2_ a543_ X95)))))))) \/ (ndr1_0_ /\ (c2_1_ a544_ /\ (c6_1_ a544_ /\ ~(c1_1_ a544_)))))) /\ ((~(c3_0_) \/ ((forall X96 : Universe, (ndr1_0_ -> (c1_1_ X96 \/ ~(c9_1_ X96)))) \/ (forall X97 : Universe, (ndr1_0_ -> (c10_1_ X97 \/ (c3_1_ X97 \/ (forall X98 : Universe, (ndr1_1_ X97 -> (c6_2_ X97 X98 \/ (~(c4_2_ X97 X98) \/ ~(c9_2_ X97 X98))))))))))) /\ ((~(c3_0_) \/ ((forall X99 : Universe, (ndr1_0_ -> ((forall X100 : Universe, (ndr1_1_ X99 -> (~(c10_2_ X99 X100) \/ (~(c2_2_ X99 X100) \/ ~(c8_2_ X99 X100))))) \/ (ndr1_1_ X99 /\ (c4_2_ X99 a545_ /\ (c6_2_ X99 a545_ /\ ~(c8_2_ X99 a545_))))))) \/ (ndr1_0_ /\ (c3_1_ a546_ /\ ((forall X101 : Universe, (ndr1_1_ a546_ -> (c1_2_ a546_ X101 \/ (c3_2_ a546_ X101 \/ c7_2_ a546_ X101)))) /\ (forall X102 : Universe, (ndr1_1_ a546_ -> (~(c2_2_ a546_ X102) \/ ~(c3_2_ a546_ X102))))))))) /\ ((~(c3_0_) \/ ((ndr1_0_ /\ (~(c1_1_ a547_) /\ ~(c8_1_ a547_))) \/ (ndr1_0_ /\ ((forall X103 : Universe, (ndr1_1_ a548_ -> (c4_2_ a548_ X103 \/ (c5_2_ a548_ X103 \/ c6_2_ a548_ X103)))) /\ ((forall X104 : Universe, (ndr1_1_ a548_ -> (c4_2_ a548_ X104 \/ (c8_2_ a548_ X104 \/ ~(c7_2_ a548_ X104))))) /\ (ndr1_1_ a548_ /\ (c6_2_ a548_ a549_ /\ (c9_2_ a548_ a549_ /\ ~(c5_2_ a548_ a549_))))))))) /\ ((~(c4_0_) \/ ~(c9_0_)) /\ ((~(c4_0_) \/ (~(c9_0_) \/ (forall X105 : Universe, (ndr1_0_ -> (c4_1_ X105 \/ c8_1_ X105))))) /\ ((~(c4_0_) \/ (forall X106 : Universe, (ndr1_0_ -> (c3_1_ X106 \/ ((forall X107 : Universe, (ndr1_1_ X106 -> (c5_2_ X106 X107 \/ (~(c10_2_ X106 X107) \/ ~(c9_2_ X106 X107))))) \/ (ndr1_1_ X106 /\ (~(c10_2_ X106 a550_) /\ (~(c5_2_ X106 a550_) /\ ~(c7_2_ X106 a550_))))))))) /\ ((~(c4_0_) \/ ((forall X108 : Universe, (ndr1_0_ -> (~(c10_1_ X108) \/ (~(c3_1_ X108) \/ (forall X109 : Universe, (ndr1_1_ X108 -> (c1_2_ X108 X109 \/ c5_2_ X108 X109))))))) \/ (forall X110 : Universe, (ndr1_0_ -> (~(c8_1_ X110) \/ ((forall X111 : Universe, (ndr1_1_ X110 -> (c9_2_ X110 X111 \/ ~(c6_2_ X110 X111)))) \/ (forall X112 : Universe, (ndr1_1_ X110 -> (~(c1_2_ X110 X112) \/ (~(c2_2_ X110 X112) \/ ~(c8_2_ X110 X112))))))))))) /\ ((~(c5_0_) \/ (forall X113 : Universe, (ndr1_0_ -> ((forall X114 : Universe, (ndr1_1_ X113 -> (c5_2_ X113 X114 \/ (c9_2_ X113 X114 \/ ~(c2_2_ X113 X114))))) \/ ((ndr1_1_ X113 /\ (c1_2_ X113 a551_ /\ (c2_2_ X113 a551_ /\ ~(c7_2_ X113 a551_)))) \/ (ndr1_1_ X113 /\ (c3_2_ X113 a552_ /\ (~(c10_2_ X113 a552_) /\ ~(c4_2_ X113 a552_))))))))) /\ ((~(c5_0_) \/ (~(c9_0_) \/ (forall X115 : Universe, (ndr1_0_ -> (c6_1_ X115 \/ (c7_1_ X115 \/ ~(c9_1_ X115))))))) /\ ((~(c5_0_) \/ (~(c9_0_) \/ (ndr1_0_ /\ (c3_1_ a553_ /\ (c5_1_ a553_ /\ (ndr1_1_ a553_ /\ (c1_2_ a553_ a554_ /\ (c2_2_ a553_ a554_ /\ ~(c3_2_ a553_ a554_))))))))) /\ ((~(c5_0_) \/ ((forall X116 : Universe, (ndr1_0_ -> (c1_1_ X116 \/ (~(c7_1_ X116) \/ (ndr1_1_ X116 /\ (c1_2_ X116 a555_ /\ (~(c2_2_ X116 a555_) /\ ~(c6_2_ X116 a555_)))))))) \/ (ndr1_0_ /\ ((forall X117 : Universe, (ndr1_1_ a556_ -> (c1_2_ a556_ X117 \/ (c5_2_ a556_ X117 \/ ~(c6_2_ a556_ X117))))) /\ (forall X118 : Universe, (ndr1_1_ a556_ -> (c10_2_ a556_ X118 \/ (~(c6_2_ a556_ X118) \/ ~(c8_2_ a556_ X118))))))))) /\ ((~(c5_0_) \/ ((forall X119 : Universe, (ndr1_0_ -> (c2_1_ X119 \/ (~(c8_1_ X119) \/ (ndr1_1_ X119 /\ (c10_2_ X119 a557_ /\ (c5_2_ X119 a557_ /\ ~(c4_2_ X119 a557_)))))))) \/ (ndr1_0_ /\ (c4_1_ a558_ /\ (~(c9_1_ a558_) /\ (forall X120 : Universe, (ndr1_1_ a558_ -> (c4_2_ a558_ X120 \/ (c9_2_ a558_ X120 \/ ~(c3_2_ a558_ X120)))))))))) /\ ((~(c5_0_) \/ ((forall X121 : Universe, (ndr1_0_ -> (c7_1_ X121 \/ ((forall X122 : Universe, (ndr1_1_ X121 -> (c10_2_ X121 X122 \/ ~(c5_2_ X121 X122)))) \/ (ndr1_1_ X121 /\ (c6_2_ X121 a559_ /\ (c8_2_ X121 a559_ /\ ~(c2_2_ X121 a559_)))))))) \/ (forall X123 : Universe, (ndr1_0_ -> (~(c5_1_ X123) \/ ((ndr1_1_ X123 /\ (c2_2_ X123 a560_ /\ (c5_2_ X123 a560_ /\ c6_2_ X123 a560_))) \/ (ndr1_1_ X123 /\ (~(c1_2_ X123 a561_) /\ (~(c8_2_ X123 a561_) /\ ~(c9_2_ X123 a561_)))))))))) /\ ((~(c5_0_) \/ ((forall X124 : Universe, (ndr1_0_ -> (c8_1_ X124 \/ (~(c3_1_ X124) \/ (forall X125 : Universe, (ndr1_1_ X124 -> (c4_2_ X124 X125 \/ (c6_2_ X124 X125 \/ c8_2_ X124 X125)))))))) \/ (ndr1_0_ /\ (c7_1_ a562_ /\ (~(c10_1_ a562_) /\ (forall X126 : Universe, (ndr1_1_ a562_ -> (c2_2_ a562_ X126 \/ (~(c10_2_ a562_ X126) \/ ~(c8_2_ a562_ X126)))))))))) /\ ((~(c5_0_) \/ ((forall X127 : Universe, (ndr1_0_ -> (~(c5_1_ X127) \/ ((forall X128 : Universe, (ndr1_1_ X127 -> (c10_2_ X127 X128 \/ (~(c5_2_ X127 X128) \/ ~(c6_2_ X127 X128))))) \/ (forall X129 : Universe, (ndr1_1_ X127 -> (c5_2_ X127 X129 \/ ~(c4_2_ X127 X129)))))))) \/ (ndr1_0_ /\ (c4_1_ a563_ /\ (~(c8_1_ a563_) /\ (forall X130 : Universe, (ndr1_1_ a563_ -> (c6_2_ a563_ X130 \/ (~(c10_2_ a563_ X130) \/ ~(c2_2_ a563_ X130)))))))))) /\ ((~(c5_0_) \/ (ndr1_0_ /\ (c10_1_ a564_ /\ (~(c1_1_ a564_) /\ (ndr1_1_ a564_ /\ (c10_2_ a564_ a565_ /\ c4_2_ a564_ a565_)))))) /\ ((~(c5_0_) \/ ((ndr1_0_ /\ (c4_1_ a566_ /\ ((forall X131 : Universe, (ndr1_1_ a566_ -> (~(c10_2_ a566_ X131) \/ (~(c6_2_ a566_ X131) \/ ~(c8_2_ a566_ X131))))) /\ (ndr1_1_ a566_ /\ (c8_2_ a566_ a567_ /\ ~(c7_2_ a566_ a567_)))))) \/ (ndr1_0_ /\ (~(c7_1_ a568_) /\ (ndr1_1_ a568_ /\ (c10_2_ a568_ a569_ /\ (c3_2_ a568_ a569_ /\ (c9_2_ a568_ a569_ /\ (ndr1_1_ a568_ /\ (c5_2_ a568_ a570_ /\ (c8_2_ a568_ a570_ /\ ~(c7_2_ a568_ a570_)))))))))))) /\ (((ndr1_0_ /\ (c1_1_ a571_ /\ (c6_1_ a571_ /\ c7_1_ a571_))) \/ (ndr1_0_ /\ (~(c1_1_ a572_) /\ ((forall X132 : Universe, (ndr1_1_ a572_ -> (c9_2_ a572_ X132 \/ (~(c2_2_ a572_ X132) \/ ~(c7_2_ a572_ X132))))) /\ (ndr1_1_ a572_ /\ (c8_2_ a572_ a573_ /\ (~(c1_2_ a572_ a573_) /\ ~(c10_2_ a572_ a573_)))))))) /\ ((~(c7_0_) \/ (ndr1_0_ /\ (c1_1_ a574_ /\ (~(c10_1_ a574_) /\ ~(c3_1_ a574_))))) /\ ((~(c9_0_) \/ (ndr1_0_ /\ ((forall X133 : Universe, (ndr1_1_ a575_ -> (c1_2_ a575_ X133 \/ (c10_2_ a575_ X133 \/ c7_2_ a575_ X133)))) /\ ((forall X134 : Universe, (ndr1_1_ a575_ -> (c1_2_ a575_ X134 \/ (~(c6_2_ a575_ X134) \/ ~(c9_2_ a575_ X134))))) /\ (forall X135 : Universe, (ndr1_1_ a575_ -> (~(c5_2_ a575_ X135) \/ ~(c7_2_ a575_ X135)))))))) /\ (((forall X136 : Universe, (ndr1_0_ -> (c1_1_ X136 \/ (c2_1_ X136 \/ ~(c7_1_ X136))))) \/ ((forall X137 : Universe, (ndr1_0_ -> (c8_1_ X137 \/ (~(c1_1_ X137) \/ (ndr1_1_ X137 /\ (c5_2_ X137 a576_ /\ (~(c6_2_ X137 a576_) /\ ~(c7_2_ X137 a576_)))))))) \/ (forall X138 : Universe, (ndr1_0_ -> ((forall X139 : Universe, (ndr1_1_ X138 -> (c9_2_ X138 X139 \/ (~(c1_2_ X138 X139) \/ ~(c3_2_ X138 X139))))) \/ ((forall X140 : Universe, (ndr1_1_ X138 -> (~(c4_2_ X138 X140) \/ (~(c8_2_ X138 X140) \/ ~(c9_2_ X138 X140))))) \/ (ndr1_1_ X138 /\ (c3_2_ X138 a577_ /\ (c9_2_ X138 a577_ /\ ~(c8_2_ X138 a577_)))))))))) /\ (((forall X141 : Universe, (ndr1_0_ -> (c1_1_ X141 \/ (c6_1_ X141 \/ (ndr1_1_ X141 /\ (c4_2_ X141 a578_ /\ (c5_2_ X141 a578_ /\ c9_2_ X141 a578_))))))) \/ ((forall X142 : Universe, (ndr1_0_ -> (~(c3_1_ X142) \/ ((forall X143 : Universe, (ndr1_1_ X142 -> ~(c10_2_ X142 X143))) \/ (forall X144 : Universe, (ndr1_1_ X142 -> (~(c1_2_ X142 X144) \/ (~(c10_2_ X142 X144) \/ ~(c5_2_ X142 X144))))))))) \/ (forall X145 : Universe, (ndr1_0_ -> (~(c4_1_ X145) \/ ((forall X146 : Universe, (ndr1_1_ X145 -> (c8_2_ X145 X146 \/ (~(c10_2_ X145 X146) \/ ~(c4_2_ X145 X146))))) \/ (forall X147 : Universe, (ndr1_1_ X145 -> (~(c5_2_ X145 X147) \/ (~(c6_2_ X145 X147) \/ ~(c8_2_ X145 X147))))))))))) /\ (((forall X148 : Universe, (ndr1_0_ -> (c10_1_ X148 \/ (~(c3_1_ X148) \/ ~(c5_1_ X148))))) \/ ((ndr1_0_ /\ (c7_1_ a579_ /\ (~(c1_1_ a579_) /\ (ndr1_1_ a579_ /\ (~(c1_2_ a579_ a580_) /\ (~(c3_2_ a579_ a580_) /\ ~(c9_2_ a579_ a580_))))))) \/ (ndr1_0_ /\ (~(c2_1_ a581_) /\ ((forall X149 : Universe, (ndr1_1_ a581_ -> (c1_2_ a581_ X149 \/ (~(c4_2_ a581_ X149) \/ ~(c8_2_ a581_ X149))))) /\ (ndr1_1_ a581_ /\ (c4_2_ a581_ a582_ /\ ~(c10_2_ a581_ a582_)))))))) /\ (((forall X150 : Universe, (ndr1_0_ -> (c10_1_ X150 \/ (forall X151 : Universe, (ndr1_1_ X150 -> (c10_2_ X150 X151 \/ (c2_2_ X150 X151 \/ c8_2_ X150 X151))))))) \/ ((forall X152 : Universe, (ndr1_0_ -> (~(c3_1_ X152) \/ ((forall X153 : Universe, (ndr1_1_ X152 -> (c5_2_ X152 X153 \/ (c6_2_ X152 X153 \/ ~(c7_2_ X152 X153))))) \/ (ndr1_1_ X152 /\ (c10_2_ X152 a583_ /\ (c4_2_ X152 a583_ /\ ~(c6_2_ X152 a583_)))))))) \/ (ndr1_0_ /\ (~(c8_1_ a584_) /\ ((forall X154 : Universe, (ndr1_1_ a584_ -> (c2_2_ a584_ X154 \/ (c9_2_ a584_ X154 \/ ~(c7_2_ a584_ X154))))) /\ (ndr1_1_ a584_ /\ (c7_2_ a584_ a585_ /\ (~(c2_2_ a584_ a585_) /\ ~(c4_2_ a584_ a585_))))))))) /\ (((forall X155 : Universe, (ndr1_0_ -> (c3_1_ X155 \/ (~(c1_1_ X155) \/ ~(c2_1_ X155))))) \/ ((ndr1_0_ /\ (c1_1_ a586_ /\ (~(c7_1_ a586_) /\ (ndr1_1_ a586_ /\ (c9_2_ a586_ a587_ /\ (~(c3_2_ a586_ a587_) /\ ~(c8_2_ a586_ a587_))))))) \/ (ndr1_0_ /\ (~(c1_1_ a588_) /\ (~(c3_1_ a588_) /\ (ndr1_1_ a588_ /\ (c6_2_ a588_ a589_ /\ (~(c1_2_ a588_ a589_) /\ ~(c3_2_ a588_ a589_))))))))) /\ (((forall X156 : Universe, (ndr1_0_ -> (c3_1_ X156 \/ ((forall X157 : Universe, (ndr1_1_ X156 -> (c3_2_ X156 X157 \/ (~(c5_2_ X156 X157) \/ ~(c9_2_ X156 X157))))) \/ (ndr1_1_ X156 /\ (~(c10_2_ X156 a590_) /\ ~(c9_2_ X156 a590_))))))) \/ (ndr1_0_ /\ (c6_1_ a591_ /\ (c9_1_ a591_ /\ (ndr1_1_ a591_ /\ (c4_2_ a591_ a592_ /\ (~(c1_2_ a591_ a592_) /\ ~(c7_2_ a591_ a592_)))))))) /\ (((forall X158 : Universe, (ndr1_0_ -> (c4_1_ X158 \/ ((ndr1_1_ X158 /\ (c5_2_ X158 a593_ /\ (~(c6_2_ X158 a593_) /\ ~(c7_2_ X158 a593_)))) \/ (ndr1_1_ X158 /\ (c9_2_ X158 a594_ /\ ~(c10_2_ X158 a594_))))))) \/ ((forall X159 : Universe, (ndr1_0_ -> (~(c5_1_ X159) \/ (~(c8_1_ X159) \/ (forall X160 : Universe, (ndr1_1_ X159 -> (c1_2_ X159 X160 \/ ~(c8_2_ X159 X160)))))))) \/ (ndr1_0_ /\ (~(c3_1_ a595_) /\ (~(c9_1_ a595_) /\ (forall X161 : Universe, (ndr1_1_ a595_ -> (c1_2_ a595_ X161 \/ c9_2_ a595_ X161)))))))) /\ (((forall X162 : Universe, (ndr1_0_ -> (c5_1_ X162 \/ (c8_1_ X162 \/ (ndr1_1_ X162 /\ (~(c2_2_ X162 a596_) /\ ~(c5_2_ X162 a596_))))))) \/ (forall X163 : Universe, (ndr1_0_ -> (~(c7_1_ X163) \/ (ndr1_1_ X163 /\ (c10_2_ X163 a597_ /\ (~(c3_2_ X163 a597_) /\ ~(c5_2_ X163 a597_)))))))) /\ (((forall X164 : Universe, (ndr1_0_ -> (~(c10_1_ X164) \/ ((ndr1_1_ X164 /\ (c2_2_ X164 a598_ /\ (~(c10_2_ X164 a598_) /\ ~(c6_2_ X164 a598_)))) \/ (ndr1_1_ X164 /\ (c6_2_ X164 a599_ /\ (~(c1_2_ X164 a599_) /\ ~(c10_2_ X164 a599_)))))))) \/ ((forall X165 : Universe, (ndr1_0_ -> ((forall X166 : Universe, (ndr1_1_ X165 -> (c10_2_ X165 X166 \/ (~(c3_2_ X165 X166) \/ ~(c6_2_ X165 X166))))) \/ ((forall X167 : Universe, (ndr1_1_ X165 -> (c9_2_ X165 X167 \/ (~(c4_2_ X165 X167) \/ ~(c8_2_ X165 X167))))) \/ (forall X168 : Universe, (ndr1_1_ X165 -> (~(c5_2_ X165 X168) \/ (~(c8_2_ X165 X168) \/ ~(c9_2_ X165 X168))))))))) \/ (ndr1_0_ /\ (c10_1_ a600_ /\ (forall X169 : Universe, (ndr1_1_ a600_ -> (c10_2_ a600_ X169 \/ ~(c1_2_ a600_ X169)))))))) /\ (((forall X170 : Universe, (ndr1_0_ -> (~(c4_1_ X170) \/ ((ndr1_1_ X170 /\ (c1_2_ X170 a601_ /\ (~(c2_2_ X170 a601_) /\ ~(c4_2_ X170 a601_)))) \/ (ndr1_1_ X170 /\ (c6_2_ X170 a602_ /\ (c7_2_ X170 a602_ /\ c9_2_ X170 a602_))))))) \/ ((ndr1_0_ /\ (~(c10_1_ a603_) /\ (~(c6_1_ a603_) /\ ~(c8_1_ a603_)))) \/ (ndr1_0_ /\ (~(c6_1_ a604_) /\ (ndr1_1_ a604_ /\ (c7_2_ a604_ a605_ /\ (~(c3_2_ a604_ a605_) /\ (~(c4_2_ a604_ a605_) /\ (ndr1_1_ a604_ /\ (c8_2_ a604_ a606_ /\ (~(c2_2_ a604_ a606_) /\ ~(c3_2_ a604_ a606_)))))))))))) /\ (((forall X171 : Universe, (ndr1_0_ -> (~(c9_1_ X171) \/ ((forall X172 : Universe, (ndr1_1_ X171 -> (c2_2_ X171 X172 \/ (c4_2_ X171 X172 \/ c9_2_ X171 X172)))) \/ (ndr1_1_ X171 /\ (~(c2_2_ X171 a607_) /\ (~(c3_2_ X171 a607_) /\ ~(c4_2_ X171 a607_)))))))) \/ ((ndr1_0_ /\ (c4_1_ a608_ /\ (forall X173 : Universe, (ndr1_1_ a608_ -> (c2_2_ a608_ X173 \/ (~(c10_2_ a608_ X173) \/ ~(c7_2_ a608_ X173))))))) \/ (ndr1_0_ /\ (~(c3_1_ a609_) /\ ((forall X174 : Universe, (ndr1_1_ a609_ -> (c10_2_ a609_ X174 \/ (c7_2_ a609_ X174 \/ c8_2_ a609_ X174)))) /\ (forall X175 : Universe, (ndr1_1_ a609_ -> (c4_2_ a609_ X175 \/ ~(c8_2_ a609_ X175))))))))) /\ (((ndr1_0_ /\ c1_1_ a610_) \/ (ndr1_0_ /\ (c6_1_ a611_ /\ ((forall X176 : Universe, (ndr1_1_ a611_ -> (c5_2_ a611_ X176 \/ (~(c6_2_ a611_ X176) \/ ~(c9_2_ a611_ X176))))) /\ (ndr1_1_ a611_ /\ (c1_2_ a611_ a612_ /\ (~(c5_2_ a611_ a612_) /\ ~(c7_2_ a611_ a612_)))))))) /\ (((ndr1_0_ /\ (c3_1_ a613_ /\ (c8_1_ a613_ /\ (ndr1_1_ a613_ /\ (~(c2_2_ a613_ a614_) /\ (~(c4_2_ a613_ a614_) /\ ~(c7_2_ a613_ a614_))))))) \/ (ndr1_0_ /\ (c7_1_ a615_ /\ (~(c1_1_ a615_) /\ (forall X177 : Universe, (ndr1_1_ a615_ -> (~(c4_2_ a615_ X177) \/ (~(c7_2_ a615_ X177) \/ ~(c9_2_ a615_ X177))))))))) /\ ((ndr1_0_ /\ (c6_1_ a616_ /\ (~(c1_1_ a616_) /\ (forall X178 : Universe, (ndr1_1_ a616_ -> (c10_2_ a616_ X178 \/ (c3_2_ a616_ X178 \/ ~(c6_2_ a616_ X178)))))))) \/ ((ndr1_0_ /\ (c6_1_ a617_ /\ ((forall X179 : Universe, (ndr1_1_ a617_ -> (~(c10_2_ a617_ X179) \/ (~(c4_2_ a617_ X179) \/ ~(c5_2_ a617_ X179))))) /\ (ndr1_1_ a617_ /\ (c10_2_ a617_ a618_ /\ (~(c8_2_ a617_ a618_) /\ ~(c9_2_ a617_ a618_))))))) \/ (ndr1_0_ /\ (c8_1_ a619_ /\ (~(c3_1_ a619_) /\ (forall X180 : Universe, (ndr1_1_ a619_ -> (c3_2_ a619_ X180 \/ (~(c4_2_ a619_ X180) \/ ~(c7_2_ a619_ X180)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
