(*
% File     : SYN428+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=084
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-084.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1509 (   0 equality)
%            Maximal formula depth :  139 ( 139 average)
%            Number of connectives : 2061 ( 553 ~  ; 609  |; 689  &)
%                                         (   0 <=>; 210 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  231 ( 210 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  210 (   0 singleton; 210 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c9_2_ : Universe -> Universe -> Prop.
Variable c9_1_ : Universe -> Prop.
Variable c9_0_ : Prop.
Variable c8_2_ : Universe -> Universe -> Prop.
Variable c8_1_ : Universe -> Prop.
Variable c8_0_ : Prop.
Variable c7_2_ : Universe -> Universe -> Prop.
Variable c7_1_ : Universe -> Prop.
Variable c7_0_ : Prop.
Variable c6_2_ : Universe -> Universe -> Prop.
Variable c6_1_ : Universe -> Prop.
Variable c6_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.
Variable c10_2_ : Universe -> Universe -> Prop.
Variable c10_1_ : Universe -> Prop.
Variable c10_0_ : Prop.

Variable a2032_ : Universe.
Variable a2031_ : Universe.
Variable a2030_ : Universe.
Variable a2029_ : Universe.
Variable a2028_ : Universe.
Variable a2027_ : Universe.
Variable a2026_ : Universe.
Variable a2025_ : Universe.
Variable a2024_ : Universe.
Variable a2023_ : Universe.
Variable a2022_ : Universe.
Variable a2021_ : Universe.
Variable a2020_ : Universe.
Variable a2019_ : Universe.
Variable a2018_ : Universe.
Variable a2017_ : Universe.
Variable a2016_ : Universe.
Variable a2015_ : Universe.
Variable a2014_ : Universe.
Variable a2013_ : Universe.
Variable a2012_ : Universe.
Variable a2011_ : Universe.
Variable a2010_ : Universe.
Variable a2009_ : Universe.
Variable a2008_ : Universe.
Variable a2007_ : Universe.
Variable a2006_ : Universe.
Variable a2005_ : Universe.
Variable a2004_ : Universe.
Variable a2003_ : Universe.
Variable a2002_ : Universe.
Variable a2001_ : Universe.
Variable a2000_ : Universe.
Variable a1999_ : Universe.
Variable a1998_ : Universe.
Variable a1997_ : Universe.
Variable a1996_ : Universe.
Variable a1995_ : Universe.
Variable a1994_ : Universe.
Variable a1993_ : Universe.
Variable a1992_ : Universe.
Variable a1991_ : Universe.
Variable a1990_ : Universe.
Variable a1989_ : Universe.
Variable a1988_ : Universe.
Variable a1987_ : Universe.
Variable a1986_ : Universe.
Variable a1985_ : Universe.
Variable a1984_ : Universe.
Variable a1983_ : Universe.
Variable a1982_ : Universe.
Variable a1981_ : Universe.
Variable a1980_ : Universe.
Variable a1979_ : Universe.
Variable a1978_ : Universe.
Variable a1977_ : Universe.
Variable a1976_ : Universe.
Variable a1975_ : Universe.
Variable a1974_ : Universe.
Variable a1973_ : Universe.
Variable a1972_ : Universe.
Variable a1971_ : Universe.
Variable a1970_ : Universe.
Variable a1969_ : Universe.
Variable a1968_ : Universe.
Variable a1967_ : Universe.
Variable a1966_ : Universe.
Variable a1965_ : Universe.
Variable a1964_ : Universe.
Variable a1963_ : Universe.
Variable a1962_ : Universe.
Variable a1961_ : Universe.
Variable a1960_ : Universe.
Variable a1959_ : Universe.
Variable a1958_ : Universe.
Variable a1957_ : Universe.
Variable a1956_ : Universe.
Variable a1955_ : Universe.
Variable a1954_ : Universe.
Variable a1953_ : Universe.
Variable a1952_ : Universe.
Variable a1951_ : Universe.
Variable a1950_ : Universe.
Variable a1949_ : Universe.
Variable a1948_ : Universe.
Variable a1947_ : Universe.
Variable a1946_ : Universe.
Variable a1945_ : Universe.
Variable a1944_ : Universe.
Variable a1943_ : Universe.
Variable a1942_ : Universe.
Variable a1941_ : Universe.
Variable a1940_ : Universe.
Variable a1939_ : Universe.
Variable a1938_ : Universe.
Variable a1937_ : Universe.
Variable a1936_ : Universe.
Variable a1935_ : Universe.
Variable a1934_ : Universe.
Variable a1933_ : Universe.
Variable a1932_ : Universe.
Variable a1931_ : Universe.
Variable a1930_ : Universe.
Variable a1929_ : Universe.
Variable a1928_ : Universe.
Variable a1927_ : Universe.
Variable a1926_ : Universe.
Variable a1925_ : Universe.
Variable a1924_ : Universe.
Variable a1923_ : Universe.
Variable a1922_ : Universe.
Variable a1921_ : Universe.
Variable a1920_ : Universe.
Variable a1919_ : Universe.
Variable a1918_ : Universe.
Variable a1917_ : Universe.
Variable a1916_ : Universe.
Variable a1915_ : Universe.
Variable a1914_ : Universe.
Variable a1913_ : Universe.
Variable a1912_ : Universe.
Variable a1911_ : Universe.
Variable a1910_ : Universe.
Variable a1909_ : Universe.
Variable a1908_ : Universe.
Variable a1907_ : Universe.
Variable a1906_ : Universe.
Variable a1905_ : Universe.
Variable a1904_ : Universe.
Variable a1903_ : Universe.
Variable a1902_ : Universe.
Variable a1901_ : Universe.
Variable a1900_ : Universe.
Variable a1899_ : Universe.
Variable a1898_ : Universe.
Variable a1897_ : Universe.
Variable a1896_ : Universe.
Variable a1895_ : Universe.
Variable a1894_ : Universe.
Variable a1893_ : Universe.
Variable a1892_ : Universe.
Variable a1891_ : Universe.
Variable a1890_ : Universe.
Variable a1889_ : Universe.
Variable a1888_ : Universe.
Variable a1887_ : Universe.
Variable a1886_ : Universe.
Variable a1885_ : Universe.
Variable a1884_ : Universe.
Variable a1883_ : Universe.
Variable a1882_ : Universe.
Variable a1881_ : Universe.
Variable a1880_ : Universe.
Variable a1879_ : Universe.
Variable a1878_ : Universe.
Variable a1877_ : Universe.
Variable a1876_ : Universe.
Variable a1875_ : Universe.
Variable a1874_ : Universe.
Variable a1873_ : Universe.
Variable a1872_ : Universe.
Variable a1871_ : Universe.
Variable a1870_ : Universe.
Variable a1869_ : Universe.
Variable a1868_ : Universe.
Variable a1867_ : Universe.
Variable a1866_ : Universe.
Variable a1865_ : Universe.
Variable a1864_ : Universe.
Variable a1863_ : Universe.
Variable a1862_ : Universe.
Variable a1861_ : Universe.
Variable a1860_ : Universe.
Variable a1859_ : Universe.
Variable a1858_ : Universe.
Variable a1857_ : Universe.
Variable a1856_ : Universe.
Variable a1855_ : Universe.
Variable a1854_ : Universe.
Variable a1853_ : Universe.
Variable a1852_ : Universe.
Variable a1851_ : Universe.
Variable a1850_ : Universe.
Variable a1849_ : Universe.
Variable a1848_ : Universe.
Variable a1847_ : Universe.
Variable a1846_ : Universe.
Variable a1845_ : Universe.
Variable a1844_ : Universe.
Variable a1843_ : Universe.
Variable a1842_ : Universe.
Variable a1841_ : Universe.
Variable a1840_ : Universe.
Variable a1839_ : Universe.
Variable a1838_ : Universe.
Variable a1837_ : Universe.
Variable a1836_ : Universe.
Variable a1835_ : Universe.
Variable a1834_ : Universe.


Theorem co1_1 : ~((((forall U : Universe, (ndr1_0_ -> ((ndr1_1_ U /\ (~(c9_2_ U a1834_) /\ (~(c3_2_ U a1834_) /\ c7_2_ U a1834_))) \/ ((ndr1_1_ U /\ (c3_2_ U a1835_ /\ c5_2_ U a1835_)) \/ (ndr1_1_ U /\ (c1_2_ U a1836_ /\ (~(c4_2_ U a1836_) /\ c6_2_ U a1836_))))))) \/ (c4_0_ \/ ~(c6_0_))) /\ (((forall V : Universe, (ndr1_0_ -> ((forall W : Universe, (ndr1_1_ V -> (~(c5_2_ V W) \/ (c7_2_ V W \/ c3_2_ V W)))) \/ c6_1_ V))) \/ (c7_0_ \/ c8_0_)) /\ (((forall X : Universe, (ndr1_0_ -> (c4_1_ X \/ ((ndr1_1_ X /\ (c7_2_ X a1837_ /\ (c6_2_ X a1837_ /\ ~(c3_2_ X a1837_)))) \/ (ndr1_1_ X /\ (~(c1_2_ X a1838_) /\ (c10_2_ X a1838_ /\ c6_2_ X a1838_))))))) \/ (~(c7_0_) \/ (forall Y : Universe, (ndr1_0_ -> ((forall Z : Universe, (ndr1_1_ Y -> (~(c1_2_ Y Z) \/ ~(c7_2_ Y Z)))) \/ (~(c6_1_ Y) \/ ~(c10_1_ Y))))))) /\ ((c8_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a1839_ /\ (c8_2_ a1839_ a1840_ /\ (c2_2_ a1839_ a1840_ /\ (c3_2_ a1839_ a1840_ /\ (c2_1_ a1839_ /\ ~(c10_1_ a1839_))))))) \/ (ndr1_0_ /\ ((forall X1 : Universe, (ndr1_1_ a1841_ -> (~(c2_2_ a1841_ X1) \/ ~(c7_2_ a1841_ X1)))) /\ (ndr1_1_ a1841_ /\ (c4_2_ a1841_ a1842_ /\ c2_2_ a1841_ a1842_)))))) /\ ((~(c8_0_) \/ ((forall X2 : Universe, (ndr1_0_ -> ((ndr1_1_ X2 /\ (c9_2_ X2 a1843_ /\ (c7_2_ X2 a1843_ /\ ~(c3_2_ X2 a1843_)))) \/ ((ndr1_1_ X2 /\ (c7_2_ X2 a1844_ /\ (c10_2_ X2 a1844_ /\ c6_2_ X2 a1844_))) \/ (forall X3 : Universe, (ndr1_1_ X2 -> (c5_2_ X2 X3 \/ (~(c6_2_ X2 X3) \/ ~(c4_2_ X2 X3))))))))) \/ (forall X4 : Universe, (ndr1_0_ -> (~(c9_1_ X4) \/ (~(c3_1_ X4) \/ (forall X5 : Universe, (ndr1_1_ X4 -> (~(c4_2_ X4 X5) \/ (c2_2_ X4 X5 \/ ~(c1_2_ X4 X5))))))))))) /\ (((ndr1_0_ /\ (c1_1_ a1845_ /\ (~(c10_1_ a1845_) /\ (forall X6 : Universe, (ndr1_1_ a1845_ -> (~(c4_2_ a1845_ X6) \/ (c5_2_ a1845_ X6 \/ ~(c7_2_ a1845_ X6)))))))) \/ ((ndr1_0_ /\ (c9_1_ a1846_ /\ (ndr1_1_ a1846_ /\ (c5_2_ a1846_ a1847_ /\ (c8_2_ a1846_ a1847_ /\ (c7_2_ a1846_ a1847_ /\ (forall X7 : Universe, (ndr1_1_ a1846_ -> (c6_2_ a1846_ X7 \/ c5_2_ a1846_ X7))))))))) \/ ~(c7_0_))) /\ ((~(c5_0_) \/ (forall X8 : Universe, (ndr1_0_ -> (c5_1_ X8 \/ c3_1_ X8)))) /\ (((ndr1_0_ /\ ((forall X9 : Universe, (ndr1_1_ a1848_ -> (c3_2_ a1848_ X9 \/ (c1_2_ a1848_ X9 \/ ~(c5_2_ a1848_ X9))))) /\ ((forall X10 : Universe, (ndr1_1_ a1848_ -> (~(c2_2_ a1848_ X10) \/ c6_2_ a1848_ X10))) /\ ~(c2_1_ a1848_)))) \/ (c9_0_ \/ (ndr1_0_ /\ (c6_1_ a1849_ /\ (ndr1_1_ a1849_ /\ (c5_2_ a1849_ a1850_ /\ (c7_2_ a1849_ a1850_ /\ (~(c3_2_ a1849_ a1850_) /\ ~(c3_1_ a1849_))))))))) /\ ((~(c7_0_) \/ (c4_0_ \/ (ndr1_0_ /\ ((forall X11 : Universe, (ndr1_1_ a1851_ -> (~(c4_2_ a1851_ X11) \/ ~(c7_2_ a1851_ X11)))) /\ (ndr1_1_ a1851_ /\ (~(c4_2_ a1851_ a1852_) /\ (~(c2_2_ a1851_ a1852_) /\ (c3_2_ a1851_ a1852_ /\ (forall X12 : Universe, (ndr1_1_ a1851_ -> (c4_2_ a1851_ X12 \/ (c5_2_ a1851_ X12 \/ ~(c8_2_ a1851_ X12))))))))))))) /\ ((~(c6_0_) \/ (c10_0_ \/ ~(c7_0_))) /\ ((~(c4_0_) \/ ~(c8_0_)) /\ ((c1_0_ \/ ((ndr1_0_ /\ (~(c2_1_ a1853_) /\ ((forall X13 : Universe, (ndr1_1_ a1853_ -> (c10_2_ a1853_ X13 \/ (c3_2_ a1853_ X13 \/ c6_2_ a1853_ X13)))) /\ c1_1_ a1853_))) \/ c5_0_)) /\ ((~(c4_0_) \/ (c5_0_ \/ ~(c3_0_))) /\ ((~(c6_0_) \/ ((ndr1_0_ /\ (c7_1_ a1854_ /\ (c6_1_ a1854_ /\ c3_1_ a1854_))) \/ (forall X14 : Universe, (ndr1_0_ -> ((ndr1_1_ X14 /\ (c10_2_ X14 a1855_ /\ (c1_2_ X14 a1855_ /\ c6_2_ X14 a1855_))) \/ ((ndr1_1_ X14 /\ (~(c5_2_ X14 a1856_) /\ (c1_2_ X14 a1856_ /\ c10_2_ X14 a1856_))) \/ c10_1_ X14)))))) /\ ((~(c9_0_) \/ (~(c3_0_) \/ ~(c4_0_))) /\ ((~(c4_0_) \/ (~(c1_0_) \/ (ndr1_0_ /\ (~(c4_1_ a1857_) /\ (forall X15 : Universe, (ndr1_1_ a1857_ -> (~(c5_2_ a1857_ X15) \/ c8_2_ a1857_ X15))))))) /\ ((c2_0_ \/ (~(c7_0_) \/ ~(c10_0_))) /\ ((~(c7_0_) \/ ((forall X16 : Universe, (ndr1_0_ -> (~(c7_1_ X16) \/ (c8_1_ X16 \/ (forall X17 : Universe, (ndr1_1_ X16 -> (c9_2_ X16 X17 \/ (~(c7_2_ X16 X17) \/ c3_2_ X16 X17)))))))) \/ (ndr1_0_ /\ (c8_1_ a1858_ /\ (ndr1_1_ a1858_ /\ (c4_2_ a1858_ a1859_ /\ (~(c6_2_ a1858_ a1859_) /\ (~(c10_2_ a1858_ a1859_) /\ ~(c10_1_ a1858_))))))))) /\ ((~(c6_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a1860_ /\ (~(c2_2_ a1860_ a1861_) /\ (~(c9_2_ a1860_ a1861_) /\ (c5_2_ a1860_ a1861_ /\ (ndr1_1_ a1860_ /\ (c1_2_ a1860_ a1862_ /\ (c3_2_ a1860_ a1862_ /\ (c5_2_ a1860_ a1862_ /\ (forall X18 : Universe, (ndr1_1_ a1860_ -> (c8_2_ a1860_ X18 \/ (~(c3_2_ a1860_ X18) \/ c5_2_ a1860_ X18))))))))))))) \/ ~(c2_0_))) /\ (((forall X19 : Universe, (ndr1_0_ -> ((ndr1_1_ X19 /\ (c8_2_ X19 a1863_ /\ (~(c3_2_ X19 a1863_) /\ ~(c1_2_ X19 a1863_)))) \/ (~(c8_1_ X19) \/ (ndr1_1_ X19 /\ (~(c1_2_ X19 a1864_) /\ (c8_2_ X19 a1864_ /\ c7_2_ X19 a1864_))))))) \/ (ndr1_0_ /\ (ndr1_1_ a1865_ /\ (~(c7_2_ a1865_ a1866_) /\ (c8_2_ a1865_ a1866_ /\ (~(c4_2_ a1865_ a1866_) /\ (ndr1_1_ a1865_ /\ (c3_2_ a1865_ a1867_ /\ (~(c9_2_ a1865_ a1867_) /\ (~(c5_2_ a1865_ a1867_) /\ (ndr1_1_ a1865_ /\ (c2_2_ a1865_ a1868_ /\ (~(c7_2_ a1865_ a1868_) /\ ~(c6_2_ a1865_ a1868_)))))))))))))) /\ ((~(c1_0_) \/ (c7_0_ \/ c8_0_)) /\ ((~(c7_0_) \/ ((forall X20 : Universe, (ndr1_0_ -> (c10_1_ X20 \/ (c4_1_ X20 \/ (forall X21 : Universe, (ndr1_1_ X20 -> (c1_2_ X20 X21 \/ (c10_2_ X20 X21 \/ c4_2_ X20 X21)))))))) \/ (ndr1_0_ /\ (ndr1_1_ a1869_ /\ (~(c2_2_ a1869_ a1870_) /\ (~(c9_2_ a1869_ a1870_) /\ (~(c10_2_ a1869_ a1870_) /\ (c4_1_ a1869_ /\ c9_1_ a1869_)))))))) /\ (((ndr1_0_ /\ ((forall X22 : Universe, (ndr1_1_ a1871_ -> (c8_2_ a1871_ X22 \/ (c3_2_ a1871_ X22 \/ c9_2_ a1871_ X22)))) /\ (ndr1_1_ a1871_ /\ (~(c2_2_ a1871_ a1872_) /\ ~(c5_2_ a1871_ a1872_))))) \/ ((forall X23 : Universe, (ndr1_0_ -> (~(c10_1_ X23) \/ (c4_1_ X23 \/ (ndr1_1_ X23 /\ (~(c4_2_ X23 a1873_) /\ (c3_2_ X23 a1873_ /\ ~(c10_2_ X23 a1873_)))))))) \/ (forall X24 : Universe, (ndr1_0_ -> ((ndr1_1_ X24 /\ (~(c2_2_ X24 a1874_) /\ (c10_2_ X24 a1874_ /\ c1_2_ X24 a1874_))) \/ (c6_1_ X24 \/ c2_1_ X24)))))) /\ (((ndr1_0_ /\ (~(c10_1_ a1875_) /\ ((forall X25 : Universe, (ndr1_1_ a1875_ -> (~(c4_2_ a1875_ X25) \/ (~(c10_2_ a1875_ X25) \/ ~(c8_2_ a1875_ X25))))) /\ c6_1_ a1875_))) \/ (c1_0_ \/ (ndr1_0_ /\ (~(c2_1_ a1876_) /\ ~(c5_1_ a1876_))))) /\ (((forall X26 : Universe, (ndr1_0_ -> ((forall X27 : Universe, (ndr1_1_ X26 -> (c6_2_ X26 X27 \/ (c3_2_ X26 X27 \/ ~(c2_2_ X26 X27))))) \/ ~(c8_1_ X26)))) \/ (~(c6_0_) \/ c10_0_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c3_1_ X28 \/ (c2_1_ X28 \/ (forall X29 : Universe, (ndr1_1_ X28 -> (c8_2_ X28 X29 \/ c2_2_ X28 X29))))))) \/ (c9_0_ \/ c3_0_)) /\ ((~(c7_0_) \/ ((ndr1_0_ /\ (c10_1_ a1877_ /\ (ndr1_1_ a1877_ /\ (~(c1_2_ a1877_ a1878_) /\ (~(c2_2_ a1877_ a1878_) /\ c10_2_ a1877_ a1878_))))) \/ c9_0_)) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a1879_ /\ (c6_2_ a1879_ a1880_ /\ (~(c3_2_ a1879_ a1880_) /\ (c5_2_ a1879_ a1880_ /\ ((forall X30 : Universe, (ndr1_1_ a1879_ -> (c2_2_ a1879_ X30 \/ ~(c6_2_ a1879_ X30)))) /\ c2_1_ a1879_)))))) \/ (ndr1_0_ /\ (~(c9_1_ a1881_) /\ (~(c3_1_ a1881_) /\ (ndr1_1_ a1881_ /\ (~(c8_2_ a1881_ a1882_) /\ (c1_2_ a1881_ a1882_ /\ ~(c4_2_ a1881_ a1882_))))))))) /\ ((~(c5_0_) \/ (~(c4_0_) \/ (forall X31 : Universe, (ndr1_0_ -> (~(c4_1_ X31) \/ (c1_1_ X31 \/ (ndr1_1_ X31 /\ (c9_2_ X31 a1883_ /\ (c4_2_ X31 a1883_ /\ c6_2_ X31 a1883_))))))))) /\ (((ndr1_0_ /\ ((forall X32 : Universe, (ndr1_1_ a1884_ -> (c9_2_ a1884_ X32 \/ (~(c1_2_ a1884_ X32) \/ c7_2_ a1884_ X32)))) /\ (~(c7_1_ a1884_) /\ c10_1_ a1884_))) \/ ((ndr1_0_ /\ (~(c2_1_ a1885_) /\ ((forall X33 : Universe, (ndr1_1_ a1885_ -> (c8_2_ a1885_ X33 \/ (~(c2_2_ a1885_ X33) \/ ~(c3_2_ a1885_ X33))))) /\ ~(c8_1_ a1885_)))) \/ ~(c1_0_))) /\ ((c5_0_ \/ c9_0_) /\ (((ndr1_0_ /\ (c7_1_ a1886_ /\ (ndr1_1_ a1886_ /\ (c4_2_ a1886_ a1887_ /\ (~(c1_2_ a1886_ a1887_) /\ (c5_2_ a1886_ a1887_ /\ ~(c9_1_ a1886_))))))) \/ (~(c4_0_) \/ ~(c10_0_))) /\ ((~(c8_0_) \/ (~(c4_0_) \/ ~(c10_0_))) /\ (((forall X34 : Universe, (ndr1_0_ -> ((ndr1_1_ X34 /\ (~(c6_2_ X34 a1888_) /\ (~(c5_2_ X34 a1888_) /\ ~(c7_2_ X34 a1888_)))) \/ ((ndr1_1_ X34 /\ (~(c7_2_ X34 a1889_) /\ (c6_2_ X34 a1889_ /\ ~(c1_2_ X34 a1889_)))) \/ ~(c6_1_ X34))))) \/ ((ndr1_0_ /\ (ndr1_1_ a1890_ /\ (c5_2_ a1890_ a1891_ /\ (~(c3_2_ a1890_ a1891_) /\ (~(c10_2_ a1890_ a1891_) /\ (~(c6_1_ a1890_) /\ ~(c1_1_ a1890_))))))) \/ ~(c1_0_))) /\ (((ndr1_0_ /\ (c4_1_ a1892_ /\ (ndr1_1_ a1892_ /\ (c3_2_ a1892_ a1893_ /\ (c1_2_ a1892_ a1893_ /\ (c6_2_ a1892_ a1893_ /\ ~(c8_1_ a1892_))))))) \/ ((ndr1_0_ /\ ((forall X35 : Universe, (ndr1_1_ a1894_ -> (~(c9_2_ a1894_ X35) \/ c4_2_ a1894_ X35))) /\ ((forall X36 : Universe, (ndr1_1_ a1894_ -> (~(c6_2_ a1894_ X36) \/ (~(c2_2_ a1894_ X36) \/ ~(c4_2_ a1894_ X36))))) /\ ~(c9_1_ a1894_)))) \/ ~(c6_0_))) /\ (((forall X37 : Universe, (ndr1_0_ -> ((forall X38 : Universe, (ndr1_1_ X37 -> (c1_2_ X37 X38 \/ (c7_2_ X37 X38 \/ ~(c3_2_ X37 X38))))) \/ (c9_1_ X37 \/ (forall X39 : Universe, (ndr1_1_ X37 -> (c8_2_ X37 X39 \/ c10_2_ X37 X39))))))) \/ (~(c10_0_) \/ (ndr1_0_ /\ (c10_1_ a1895_ /\ ((forall X40 : Universe, (ndr1_1_ a1895_ -> (c4_2_ a1895_ X40 \/ (~(c10_2_ a1895_ X40) \/ c3_2_ a1895_ X40)))) /\ c5_1_ a1895_))))) /\ (((forall X41 : Universe, (ndr1_0_ -> ((forall X42 : Universe, (ndr1_1_ X41 -> (c5_2_ X41 X42 \/ (c10_2_ X41 X42 \/ ~(c9_2_ X41 X42))))) \/ (c10_1_ X41 \/ (forall X43 : Universe, (ndr1_1_ X41 -> (c4_2_ X41 X43 \/ (c10_2_ X41 X43 \/ ~(c9_2_ X41 X43))))))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (~(c9_1_ X44) \/ (c1_1_ X44 \/ (forall X45 : Universe, (ndr1_1_ X44 -> (c8_2_ X44 X45 \/ c2_2_ X44 X45))))))) \/ (ndr1_0_ /\ (~(c9_1_ a1896_) /\ (ndr1_1_ a1896_ /\ (~(c2_2_ a1896_ a1897_) /\ (c7_2_ a1896_ a1897_ /\ c6_2_ a1896_ a1897_))))))) /\ (((forall X46 : Universe, (ndr1_0_ -> ((ndr1_1_ X46 /\ (~(c1_2_ X46 a1898_) /\ (~(c6_2_ X46 a1898_) /\ c2_2_ X46 a1898_))) \/ (c2_1_ X46 \/ (forall X47 : Universe, (ndr1_1_ X46 -> (c8_2_ X46 X47 \/ (c5_2_ X46 X47 \/ ~(c9_2_ X46 X47))))))))) \/ (ndr1_0_ /\ (~(c9_1_ a1899_) /\ (~(c1_1_ a1899_) /\ (forall X48 : Universe, (ndr1_1_ a1899_ -> (c1_2_ a1899_ X48 \/ (~(c9_2_ a1899_ X48) \/ c2_2_ a1899_ X48)))))))) /\ ((~(c4_0_) \/ ~(c9_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a1900_ /\ (~(c4_2_ a1900_ a1901_) /\ (~(c10_2_ a1900_ a1901_) /\ (~(c2_2_ a1900_ a1901_) /\ (ndr1_1_ a1900_ /\ (~(c10_2_ a1900_ a1902_) /\ (c9_2_ a1900_ a1902_ /\ (c2_2_ a1900_ a1902_ /\ ~(c6_1_ a1900_)))))))))) \/ (c3_0_ \/ c10_0_)) /\ (((ndr1_0_ /\ ((forall X49 : Universe, (ndr1_1_ a1903_ -> (c7_2_ a1903_ X49 \/ (~(c9_2_ a1903_ X49) \/ ~(c8_2_ a1903_ X49))))) /\ (c3_1_ a1903_ /\ (forall X50 : Universe, (ndr1_1_ a1903_ -> (~(c4_2_ a1903_ X50) \/ (c7_2_ a1903_ X50 \/ c5_2_ a1903_ X50))))))) \/ ((forall X51 : Universe, (ndr1_0_ -> ((ndr1_1_ X51 /\ (~(c8_2_ X51 a1904_) /\ (~(c7_2_ X51 a1904_) /\ c10_2_ X51 a1904_))) \/ (c6_1_ X51 \/ (ndr1_1_ X51 /\ (~(c4_2_ X51 a1905_) /\ (c5_2_ X51 a1905_ /\ ~(c10_2_ X51 a1905_)))))))) \/ (ndr1_0_ /\ ((forall X52 : Universe, (ndr1_1_ a1906_ -> (~(c3_2_ a1906_ X52) \/ (~(c2_2_ a1906_ X52) \/ ~(c1_2_ a1906_ X52))))) /\ (c4_1_ a1906_ /\ (forall X53 : Universe, (ndr1_1_ a1906_ -> (c9_2_ a1906_ X53 \/ (~(c2_2_ a1906_ X53) \/ ~(c1_2_ a1906_ X53)))))))))) /\ ((c3_0_ \/ (c9_0_ \/ (forall X54 : Universe, (ndr1_0_ -> (c6_1_ X54 \/ ((forall X55 : Universe, (ndr1_1_ X54 -> (~(c9_2_ X54 X55) \/ (c8_2_ X54 X55 \/ ~(c7_2_ X54 X55))))) \/ ~(c3_1_ X54))))))) /\ ((~(c3_0_) \/ ((forall X56 : Universe, (ndr1_0_ -> (c3_1_ X56 \/ (forall X57 : Universe, (ndr1_1_ X56 -> (c1_2_ X56 X57 \/ (~(c10_2_ X56 X57) \/ ~(c2_2_ X56 X57)))))))) \/ (forall X58 : Universe, (ndr1_0_ -> (~(c3_1_ X58) \/ c9_1_ X58))))) /\ (((forall X59 : Universe, (ndr1_0_ -> (~(c3_1_ X59) \/ ~(c4_1_ X59)))) \/ (~(c3_0_) \/ (forall X60 : Universe, (ndr1_0_ -> ((forall X61 : Universe, (ndr1_1_ X60 -> (~(c7_2_ X60 X61) \/ ~(c4_2_ X60 X61)))) \/ ((forall X62 : Universe, (ndr1_1_ X60 -> (~(c2_2_ X60 X62) \/ ~(c9_2_ X60 X62)))) \/ (forall X63 : Universe, (ndr1_1_ X60 -> (~(c2_2_ X60 X63) \/ (c3_2_ X60 X63 \/ ~(c4_2_ X60 X63))))))))))) /\ (((ndr1_0_ /\ (c5_1_ a1907_ /\ (~(c10_1_ a1907_) /\ c8_1_ a1907_))) \/ ~(c5_0_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c10_1_ X64 \/ (c7_1_ X64 \/ (ndr1_1_ X64 /\ (c9_2_ X64 a1908_ /\ (c1_2_ X64 a1908_ /\ c3_2_ X64 a1908_))))))) \/ (c1_0_ \/ (forall X65 : Universe, (ndr1_0_ -> (~(c8_1_ X65) \/ ((forall X66 : Universe, (ndr1_1_ X65 -> (c4_2_ X65 X66 \/ (c3_2_ X65 X66 \/ c10_2_ X65 X66)))) \/ (ndr1_1_ X65 /\ (c10_2_ X65 a1909_ /\ (~(c2_2_ X65 a1909_) /\ ~(c8_2_ X65 a1909_)))))))))) /\ ((c3_0_ \/ (~(c8_0_) \/ ~(c9_0_))) /\ ((~(c3_0_) \/ ((ndr1_0_ /\ ((forall X67 : Universe, (ndr1_1_ a1910_ -> (c1_2_ a1910_ X67 \/ ~(c2_2_ a1910_ X67)))) /\ ((forall X68 : Universe, (ndr1_1_ a1910_ -> (~(c7_2_ a1910_ X68) \/ c4_2_ a1910_ X68))) /\ (ndr1_1_ a1910_ /\ (~(c3_2_ a1910_ a1911_) /\ ~(c4_2_ a1910_ a1911_)))))) \/ (ndr1_0_ /\ (~(c5_1_ a1912_) /\ ((forall X69 : Universe, (ndr1_1_ a1912_ -> (~(c5_2_ a1912_ X69) \/ (c7_2_ a1912_ X69 \/ c2_2_ a1912_ X69)))) /\ c3_1_ a1912_))))) /\ ((c10_0_ \/ (~(c2_0_) \/ c7_0_)) /\ (((ndr1_0_ /\ (~(c2_1_ a1913_) /\ (forall X70 : Universe, (ndr1_1_ a1913_ -> (c9_2_ a1913_ X70 \/ (c7_2_ a1913_ X70 \/ c3_2_ a1913_ X70)))))) \/ (c1_0_ \/ (ndr1_0_ /\ (~(c3_1_ a1914_) /\ (c9_1_ a1914_ /\ c5_1_ a1914_))))) /\ ((~(c9_0_) \/ ((ndr1_0_ /\ (c5_1_ a1915_ /\ (ndr1_1_ a1915_ /\ (c5_2_ a1915_ a1916_ /\ (~(c9_2_ a1915_ a1916_) /\ (forall X71 : Universe, (ndr1_1_ a1915_ -> (c1_2_ a1915_ X71 \/ c7_2_ a1915_ X71)))))))) \/ c1_0_)) /\ ((c6_0_ \/ ((forall X72 : Universe, (ndr1_0_ -> ((forall X73 : Universe, (ndr1_1_ X72 -> (c9_2_ X72 X73 \/ (~(c1_2_ X72 X73) \/ c10_2_ X72 X73)))) \/ (c8_1_ X72 \/ (forall X74 : Universe, (ndr1_1_ X72 -> (~(c10_2_ X72 X74) \/ (c2_2_ X72 X74 \/ ~(c7_2_ X72 X74))))))))) \/ ~(c3_0_))) /\ (((forall X75 : Universe, (ndr1_0_ -> (c5_1_ X75 \/ ((forall X76 : Universe, (ndr1_1_ X75 -> (~(c3_2_ X75 X76) \/ (~(c1_2_ X75 X76) \/ ~(c6_2_ X75 X76))))) \/ c2_1_ X75)))) \/ ((ndr1_0_ /\ (ndr1_1_ a1917_ /\ (~(c4_2_ a1917_ a1918_) /\ (c2_2_ a1917_ a1918_ /\ (c5_2_ a1917_ a1918_ /\ ((forall X77 : Universe, (ndr1_1_ a1917_ -> (c10_2_ a1917_ X77 \/ (c4_2_ a1917_ X77 \/ ~(c9_2_ a1917_ X77))))) /\ c7_1_ a1917_)))))) \/ ~(c5_0_))) /\ (((ndr1_0_ /\ (~(c9_1_ a1919_) /\ (ndr1_1_ a1919_ /\ (c3_2_ a1919_ a1920_ /\ (c9_2_ a1919_ a1920_ /\ (~(c1_2_ a1919_ a1920_) /\ ~(c4_1_ a1919_))))))) \/ ((ndr1_0_ /\ (c8_1_ a1921_ /\ (c5_1_ a1921_ /\ ~(c6_1_ a1921_)))) \/ ~(c4_0_))) /\ ((c4_0_ \/ (c7_0_ \/ (ndr1_0_ /\ ((forall X78 : Universe, (ndr1_1_ a1922_ -> (~(c10_2_ a1922_ X78) \/ (~(c2_2_ a1922_ X78) \/ ~(c5_2_ a1922_ X78))))) /\ (c8_1_ a1922_ /\ (ndr1_1_ a1922_ /\ (~(c3_2_ a1922_ a1923_) /\ (c8_2_ a1922_ a1923_ /\ ~(c7_2_ a1922_ a1923_))))))))) /\ ((c1_0_ \/ ((ndr1_0_ /\ ((forall X79 : Universe, (ndr1_1_ a1924_ -> (~(c7_2_ a1924_ X79) \/ (~(c10_2_ a1924_ X79) \/ ~(c8_2_ a1924_ X79))))) /\ (~(c5_1_ a1924_) /\ (forall X80 : Universe, (ndr1_1_ a1924_ -> (~(c8_2_ a1924_ X80) \/ (c1_2_ a1924_ X80 \/ ~(c9_2_ a1924_ X80)))))))) \/ (forall X81 : Universe, (ndr1_0_ -> ((ndr1_1_ X81 /\ (c7_2_ X81 a1925_ /\ (c5_2_ X81 a1925_ /\ c10_2_ X81 a1925_))) \/ (c6_1_ X81 \/ ~(c7_1_ X81))))))) /\ ((~(c3_0_) \/ ((ndr1_0_ /\ (~(c1_1_ a1926_) /\ (c5_1_ a1926_ /\ ~(c6_1_ a1926_)))) \/ ~(c5_0_))) /\ ((~(c10_0_) \/ (~(c5_0_) \/ (forall X82 : Universe, (ndr1_0_ -> ((forall X83 : Universe, (ndr1_1_ X82 -> (~(c10_2_ X82 X83) \/ (~(c1_2_ X82 X83) \/ ~(c5_2_ X82 X83))))) \/ ((forall X84 : Universe, (ndr1_1_ X82 -> (~(c1_2_ X82 X84) \/ (c4_2_ X82 X84 \/ ~(c5_2_ X82 X84))))) \/ c3_1_ X82)))))) /\ (((forall X85 : Universe, (ndr1_0_ -> ((ndr1_1_ X85 /\ (c1_2_ X85 a1927_ /\ ~(c9_2_ X85 a1927_))) \/ (~(c1_1_ X85) \/ c2_1_ X85)))) \/ c6_0_) /\ (((ndr1_0_ /\ ((forall X86 : Universe, (ndr1_1_ a1928_ -> (c8_2_ a1928_ X86 \/ (~(c9_2_ a1928_ X86) \/ ~(c10_2_ a1928_ X86))))) /\ (forall X87 : Universe, (ndr1_1_ a1928_ -> (c3_2_ a1928_ X87 \/ (~(c9_2_ a1928_ X87) \/ c7_2_ a1928_ X87)))))) \/ (c5_0_ \/ (forall X88 : Universe, (ndr1_0_ -> (c5_1_ X88 \/ ~(c6_1_ X88)))))) /\ (((forall X89 : Universe, (ndr1_0_ -> ((ndr1_1_ X89 /\ (~(c9_2_ X89 a1929_) /\ (c8_2_ X89 a1929_ /\ ~(c3_2_ X89 a1929_)))) \/ (~(c5_1_ X89) \/ ~(c2_1_ X89))))) \/ ((forall X90 : Universe, (ndr1_0_ -> (c10_1_ X90 \/ (c3_1_ X90 \/ (ndr1_1_ X90 /\ (~(c6_2_ X90 a1930_) /\ (c8_2_ X90 a1930_ /\ c7_2_ X90 a1930_))))))) \/ (ndr1_0_ /\ (~(c8_1_ a1931_) /\ ((forall X91 : Universe, (ndr1_1_ a1931_ -> (~(c2_2_ a1931_ X91) \/ (c5_2_ a1931_ X91 \/ ~(c1_2_ a1931_ X91))))) /\ (ndr1_1_ a1931_ /\ (c1_2_ a1931_ a1932_ /\ (~(c9_2_ a1931_ a1932_) /\ c7_2_ a1931_ a1932_)))))))) /\ (((forall X92 : Universe, (ndr1_0_ -> (~(c6_1_ X92) \/ (c5_1_ X92 \/ c9_1_ X92)))) \/ ((forall X93 : Universe, (ndr1_0_ -> (c6_1_ X93 \/ ((forall X94 : Universe, (ndr1_1_ X93 -> (c5_2_ X93 X94 \/ (~(c6_2_ X93 X94) \/ ~(c2_2_ X93 X94))))) \/ (forall X95 : Universe, (ndr1_1_ X93 -> (~(c6_2_ X93 X95) \/ (c7_2_ X93 X95 \/ c5_2_ X93 X95)))))))) \/ (forall X96 : Universe, (ndr1_0_ -> (~(c4_1_ X96) \/ ((forall X97 : Universe, (ndr1_1_ X96 -> (~(c1_2_ X96 X97) \/ (c10_2_ X96 X97 \/ ~(c8_2_ X96 X97))))) \/ c9_1_ X96)))))) /\ ((~(c5_0_) \/ (~(c7_0_) \/ (ndr1_0_ /\ (~(c8_1_ a1933_) /\ (ndr1_1_ a1933_ /\ (~(c1_2_ a1933_ a1934_) /\ (c5_2_ a1933_ a1934_ /\ (c8_2_ a1933_ a1934_ /\ ~(c3_1_ a1933_))))))))) /\ ((c2_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a1935_ /\ (~(c8_2_ a1935_ a1936_) /\ (c5_2_ a1935_ a1936_ /\ ((forall X98 : Universe, (ndr1_1_ a1935_ -> (~(c8_2_ a1935_ X98) \/ (c10_2_ a1935_ X98 \/ c3_2_ a1935_ X98)))) /\ ~(c9_1_ a1935_)))))) \/ (forall X99 : Universe, (ndr1_0_ -> (~(c10_1_ X99) \/ ~(c6_1_ X99)))))) /\ ((c10_0_ \/ (c7_0_ \/ (ndr1_0_ /\ (c2_1_ a1937_ /\ (ndr1_1_ a1937_ /\ (~(c7_2_ a1937_ a1938_) /\ (~(c6_2_ a1937_ a1938_) /\ ~(c10_1_ a1937_)))))))) /\ (((ndr1_0_ /\ (~(c2_1_ a1939_) /\ (c10_1_ a1939_ /\ (forall X100 : Universe, (ndr1_1_ a1939_ -> (~(c8_2_ a1939_ X100) \/ ~(c3_2_ a1939_ X100))))))) \/ (forall X101 : Universe, (ndr1_0_ -> ((ndr1_1_ X101 /\ (~(c6_2_ X101 a1940_) /\ c8_2_ X101 a1940_)) \/ (c3_1_ X101 \/ ~(c6_1_ X101)))))) /\ ((~(c3_0_) \/ (c7_0_ \/ (ndr1_0_ /\ (~(c1_1_ a1941_) /\ ~(c9_1_ a1941_))))) /\ ((c7_0_ \/ ((forall X102 : Universe, (ndr1_0_ -> (c4_1_ X102 \/ ((ndr1_1_ X102 /\ (~(c3_2_ X102 a1942_) /\ (~(c9_2_ X102 a1942_) /\ ~(c6_2_ X102 a1942_)))) \/ c2_1_ X102)))) \/ (forall X103 : Universe, (ndr1_0_ -> (c2_1_ X103 \/ (~(c3_1_ X103) \/ ~(c10_1_ X103))))))) /\ ((c6_0_ \/ (c1_0_ \/ (forall X104 : Universe, (ndr1_0_ -> ((forall X105 : Universe, (ndr1_1_ X104 -> (~(c9_2_ X104 X105) \/ (c8_2_ X104 X105 \/ c2_2_ X104 X105)))) \/ ((forall X106 : Universe, (ndr1_1_ X104 -> (c10_2_ X104 X106 \/ ~(c1_2_ X104 X106)))) \/ ~(c9_1_ X104))))))) /\ (((ndr1_0_ /\ (~(c7_1_ a1943_) /\ (ndr1_1_ a1943_ /\ (c4_2_ a1943_ a1944_ /\ (~(c1_2_ a1943_ a1944_) /\ (c10_2_ a1943_ a1944_ /\ ~(c4_1_ a1943_))))))) \/ ((ndr1_0_ /\ ((forall X107 : Universe, (ndr1_1_ a1945_ -> (c2_2_ a1945_ X107 \/ ~(c4_2_ a1945_ X107)))) /\ ((forall X108 : Universe, (ndr1_1_ a1945_ -> (~(c10_2_ a1945_ X108) \/ (~(c5_2_ a1945_ X108) \/ ~(c3_2_ a1945_ X108))))) /\ ~(c4_1_ a1945_)))) \/ (forall X109 : Universe, (ndr1_0_ -> ((forall X110 : Universe, (ndr1_1_ X109 -> (~(c3_2_ X109 X110) \/ (~(c8_2_ X109 X110) \/ c1_2_ X109 X110)))) \/ (forall X111 : Universe, (ndr1_1_ X109 -> (~(c6_2_ X109 X111) \/ (~(c8_2_ X109 X111) \/ c3_2_ X109 X111))))))))) /\ (((ndr1_0_ /\ (c8_1_ a1946_ /\ ~(c1_1_ a1946_))) \/ (c9_0_ \/ (forall X112 : Universe, (ndr1_0_ -> (~(c10_1_ X112) \/ ((ndr1_1_ X112 /\ (c9_2_ X112 a1947_ /\ (c2_2_ X112 a1947_ /\ c7_2_ X112 a1947_))) \/ (ndr1_1_ X112 /\ (~(c10_2_ X112 a1948_) /\ (c7_2_ X112 a1948_ /\ ~(c6_2_ X112 a1948_)))))))))) /\ (((forall X113 : Universe, (ndr1_0_ -> (c8_1_ X113 \/ (c1_1_ X113 \/ (ndr1_1_ X113 /\ (c9_2_ X113 a1949_ /\ (c7_2_ X113 a1949_ /\ c10_2_ X113 a1949_))))))) \/ ((ndr1_0_ /\ (c5_1_ a1950_ /\ ((forall X114 : Universe, (ndr1_1_ a1950_ -> (c10_2_ a1950_ X114 \/ (c3_2_ a1950_ X114 \/ ~(c4_2_ a1950_ X114))))) /\ ~(c1_1_ a1950_)))) \/ (ndr1_0_ /\ (~(c3_1_ a1951_) /\ c5_1_ a1951_)))) /\ ((~(c7_0_) \/ ((forall X115 : Universe, (ndr1_0_ -> (c8_1_ X115 \/ (~(c1_1_ X115) \/ (forall X116 : Universe, (ndr1_1_ X115 -> ~(c2_2_ X115 X116))))))) \/ ~(c5_0_))) /\ (((forall X117 : Universe, (ndr1_0_ -> ((forall X118 : Universe, (ndr1_1_ X117 -> (~(c7_2_ X117 X118) \/ (~(c6_2_ X117 X118) \/ ~(c3_2_ X117 X118))))) \/ c6_1_ X117))) \/ (~(c5_0_) \/ (ndr1_0_ /\ (~(c10_1_ a1952_) /\ (forall X119 : Universe, (ndr1_1_ a1952_ -> (~(c1_2_ a1952_ X119) \/ (~(c7_2_ a1952_ X119) \/ c3_2_ a1952_ X119)))))))) /\ ((c3_0_ \/ (forall X120 : Universe, (ndr1_0_ -> ((forall X121 : Universe, (ndr1_1_ X120 -> (c1_2_ X120 X121 \/ (~(c5_2_ X120 X121) \/ ~(c7_2_ X120 X121))))) \/ ((ndr1_1_ X120 /\ (c4_2_ X120 a1953_ /\ (c10_2_ X120 a1953_ /\ ~(c6_2_ X120 a1953_)))) \/ (ndr1_1_ X120 /\ (c3_2_ X120 a1954_ /\ (c10_2_ X120 a1954_ /\ c5_2_ X120 a1954_)))))))) /\ (((forall X122 : Universe, (ndr1_0_ -> (~(c10_1_ X122) \/ ((ndr1_1_ X122 /\ (c5_2_ X122 a1955_ /\ (c3_2_ X122 a1955_ /\ ~(c1_2_ X122 a1955_)))) \/ ~(c7_1_ X122))))) \/ (c8_0_ \/ (forall X123 : Universe, (ndr1_0_ -> ((ndr1_1_ X123 /\ (c8_2_ X123 a1956_ /\ (c1_2_ X123 a1956_ /\ ~(c6_2_ X123 a1956_)))) \/ ((ndr1_1_ X123 /\ (~(c7_2_ X123 a1957_) /\ (~(c8_2_ X123 a1957_) /\ c6_2_ X123 a1957_))) \/ ~(c8_1_ X123))))))) /\ ((c7_0_ \/ (~(c3_0_) \/ (ndr1_0_ /\ (ndr1_1_ a1958_ /\ (c4_2_ a1958_ a1959_ /\ (~(c7_2_ a1958_ a1959_) /\ (c8_2_ a1958_ a1959_ /\ (~(c9_1_ a1958_) /\ ~(c5_1_ a1958_))))))))) /\ ((c8_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a1960_ /\ (~(c3_2_ a1960_ a1961_) /\ (~(c10_2_ a1960_ a1961_) /\ (~(c5_1_ a1960_) /\ ~(c10_1_ a1960_)))))) \/ (forall X124 : Universe, (ndr1_0_ -> (~(c6_1_ X124) \/ ((forall X125 : Universe, (ndr1_1_ X124 -> (c9_2_ X124 X125 \/ (c1_2_ X124 X125 \/ c8_2_ X124 X125)))) \/ c1_1_ X124)))))) /\ (((forall X126 : Universe, (ndr1_0_ -> (~(c1_1_ X126) \/ (c8_1_ X126 \/ (ndr1_1_ X126 /\ (c3_2_ X126 a1962_ /\ (c6_2_ X126 a1962_ /\ ~(c9_2_ X126 a1962_)))))))) \/ (ndr1_0_ /\ (c5_1_ a1963_ /\ ((forall X127 : Universe, (ndr1_1_ a1963_ -> (~(c10_2_ a1963_ X127) \/ (~(c5_2_ a1963_ X127) \/ c6_2_ a1963_ X127)))) /\ (forall X128 : Universe, (ndr1_1_ a1963_ -> (~(c9_2_ a1963_ X128) \/ (c4_2_ a1963_ X128 \/ c1_2_ a1963_ X128)))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a1964_ /\ (c3_2_ a1964_ a1965_ /\ (c9_2_ a1964_ a1965_ /\ (~(c4_2_ a1964_ a1965_) /\ (ndr1_1_ a1964_ /\ (~(c10_2_ a1964_ a1966_) /\ (~(c3_2_ a1964_ a1966_) /\ (forall X129 : Universe, (ndr1_1_ a1964_ -> (c3_2_ a1964_ X129 \/ (~(c2_2_ a1964_ X129) \/ c9_2_ a1964_ X129)))))))))))) \/ (~(c6_0_) \/ c5_0_)) /\ (((forall X130 : Universe, (ndr1_0_ -> (c5_1_ X130 \/ ((forall X131 : Universe, (ndr1_1_ X130 -> (~(c10_2_ X130 X131) \/ (~(c4_2_ X130 X131) \/ c6_2_ X130 X131)))) \/ ~(c7_1_ X130))))) \/ (ndr1_0_ /\ ((forall X132 : Universe, (ndr1_1_ a1967_ -> (c3_2_ a1967_ X132 \/ c5_2_ a1967_ X132))) /\ ((forall X133 : Universe, (ndr1_1_ a1967_ -> (c1_2_ a1967_ X133 \/ (~(c5_2_ a1967_ X133) \/ c8_2_ a1967_ X133)))) /\ (forall X134 : Universe, (ndr1_1_ a1967_ -> (c4_2_ a1967_ X134 \/ (~(c10_2_ a1967_ X134) \/ ~(c7_2_ a1967_ X134))))))))) /\ (((forall X135 : Universe, (ndr1_0_ -> (~(c10_1_ X135) \/ ((ndr1_1_ X135 /\ (~(c7_2_ X135 a1968_) /\ (~(c2_2_ X135 a1968_) /\ c8_2_ X135 a1968_))) \/ c1_1_ X135)))) \/ (~(c2_0_) \/ (forall X136 : Universe, (ndr1_0_ -> (c6_1_ X136 \/ (c10_1_ X136 \/ c4_1_ X136)))))) /\ ((c7_0_ \/ (c10_0_ \/ ~(c1_0_))) /\ (((forall X137 : Universe, (ndr1_0_ -> (c7_1_ X137 \/ (forall X138 : Universe, (ndr1_1_ X137 -> (~(c6_2_ X137 X138) \/ ~(c3_2_ X137 X138))))))) \/ (forall X139 : Universe, (ndr1_0_ -> (~(c2_1_ X139) \/ (c7_1_ X139 \/ (ndr1_1_ X139 /\ (c1_2_ X139 a1969_ /\ (~(c5_2_ X139 a1969_) /\ ~(c8_2_ X139 a1969_))))))))) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ (~(c10_1_ a1970_) /\ (~(c5_1_ a1970_) /\ c7_1_ a1970_))) \/ ~(c1_0_))) /\ (((ndr1_0_ /\ (~(c3_1_ a1971_) /\ (ndr1_1_ a1971_ /\ (~(c8_2_ a1971_ a1972_) /\ (~(c5_2_ a1971_ a1972_) /\ (~(c7_2_ a1971_ a1972_) /\ (ndr1_1_ a1971_ /\ (c7_2_ a1971_ a1973_ /\ c10_2_ a1971_ a1973_)))))))) \/ ((forall X140 : Universe, (ndr1_0_ -> ((ndr1_1_ X140 /\ (~(c1_2_ X140 a1974_) /\ (~(c2_2_ X140 a1974_) /\ ~(c7_2_ X140 a1974_)))) \/ (~(c6_1_ X140) \/ ~(c10_1_ X140))))) \/ c5_0_)) /\ (((ndr1_0_ /\ (~(c7_1_ a1975_) /\ (forall X141 : Universe, (ndr1_1_ a1975_ -> (~(c7_2_ a1975_ X141) \/ (~(c10_2_ a1975_ X141) \/ c5_2_ a1975_ X141)))))) \/ (~(c3_0_) \/ ~(c7_0_))) /\ (((forall X142 : Universe, (ndr1_0_ -> ((forall X143 : Universe, (ndr1_1_ X142 -> (c4_2_ X142 X143 \/ (~(c1_2_ X142 X143) \/ c10_2_ X142 X143)))) \/ c6_1_ X142))) \/ ((forall X144 : Universe, (ndr1_0_ -> (c5_1_ X144 \/ (forall X145 : Universe, (ndr1_1_ X144 -> (~(c1_2_ X144 X145) \/ (c5_2_ X144 X145 \/ c10_2_ X144 X145))))))) \/ ~(c10_0_))) /\ ((~(c2_0_) \/ c7_0_) /\ ((c2_0_ \/ (~(c10_0_) \/ c9_0_)) /\ (((ndr1_0_ /\ (~(c9_1_ a1976_) /\ (ndr1_1_ a1976_ /\ (c8_2_ a1976_ a1977_ /\ (c7_2_ a1976_ a1977_ /\ (~(c6_2_ a1976_ a1977_) /\ ~(c1_1_ a1976_))))))) \/ ((forall X146 : Universe, (ndr1_0_ -> ((forall X147 : Universe, (ndr1_1_ X146 -> (~(c2_2_ X146 X147) \/ (~(c1_2_ X146 X147) \/ ~(c3_2_ X146 X147))))) \/ (c3_1_ X146 \/ (forall X148 : Universe, (ndr1_1_ X146 -> (~(c3_2_ X146 X148) \/ (~(c7_2_ X146 X148) \/ ~(c8_2_ X146 X148))))))))) \/ (forall X149 : Universe, (ndr1_0_ -> (c7_1_ X149 \/ ((ndr1_1_ X149 /\ (c5_2_ X149 a1978_ /\ c9_2_ X149 a1978_)) \/ (forall X150 : Universe, (ndr1_1_ X149 -> (~(c2_2_ X149 X150) \/ (c5_2_ X149 X150 \/ c7_2_ X149 X150)))))))))) /\ (((ndr1_0_ /\ (c1_1_ a1979_ /\ (c9_1_ a1979_ /\ (forall X151 : Universe, (ndr1_1_ a1979_ -> (~(c7_2_ a1979_ X151) \/ (~(c4_2_ a1979_ X151) \/ ~(c10_2_ a1979_ X151)))))))) \/ (c3_0_ \/ (forall X152 : Universe, (ndr1_0_ -> (c10_1_ X152 \/ ((ndr1_1_ X152 /\ (c1_2_ X152 a1980_ /\ (c7_2_ X152 a1980_ /\ c4_2_ X152 a1980_))) \/ (ndr1_1_ X152 /\ (~(c5_2_ X152 a1981_) /\ (~(c2_2_ X152 a1981_) /\ c7_2_ X152 a1981_))))))))) /\ (((forall X153 : Universe, (ndr1_0_ -> (c3_1_ X153 \/ (ndr1_1_ X153 /\ (c5_2_ X153 a1982_ /\ (c10_2_ X153 a1982_ /\ ~(c9_2_ X153 a1982_))))))) \/ (c9_0_ \/ ~(c5_0_))) /\ ((c9_0_ \/ c1_0_) /\ ((~(c3_0_) \/ (~(c6_0_) \/ ~(c9_0_))) /\ (((forall X154 : Universe, (ndr1_0_ -> (~(c2_1_ X154) \/ (~(c5_1_ X154) \/ (ndr1_1_ X154 /\ (~(c5_2_ X154 a1983_) /\ (c8_2_ X154 a1983_ /\ c1_2_ X154 a1983_))))))) \/ ((forall X155 : Universe, (ndr1_0_ -> ((ndr1_1_ X155 /\ (c8_2_ X155 a1984_ /\ (~(c10_2_ X155 a1984_) /\ c9_2_ X155 a1984_))) \/ (c1_1_ X155 \/ (ndr1_1_ X155 /\ (c8_2_ X155 a1985_ /\ (c6_2_ X155 a1985_ /\ c3_2_ X155 a1985_))))))) \/ (ndr1_0_ /\ (ndr1_1_ a1986_ /\ (~(c5_2_ a1986_ a1987_) /\ (c7_2_ a1986_ a1987_ /\ (~(c2_2_ a1986_ a1987_) /\ (~(c9_1_ a1986_) /\ ~(c7_1_ a1986_))))))))) /\ (((forall X156 : Universe, (ndr1_0_ -> (c4_1_ X156 \/ ((forall X157 : Universe, (ndr1_1_ X156 -> (~(c1_2_ X156 X157) \/ (c3_2_ X156 X157 \/ ~(c8_2_ X156 X157))))) \/ c5_1_ X156)))) \/ ((ndr1_0_ /\ ((forall X158 : Universe, (ndr1_1_ a1988_ -> (~(c5_2_ a1988_ X158) \/ (~(c2_2_ a1988_ X158) \/ ~(c1_2_ a1988_ X158))))) /\ (ndr1_1_ a1988_ /\ (~(c3_2_ a1988_ a1989_) /\ (~(c6_2_ a1988_ a1989_) /\ (c5_2_ a1988_ a1989_ /\ ~(c5_1_ a1988_))))))) \/ (forall X159 : Universe, (ndr1_0_ -> (c9_1_ X159 \/ (~(c8_1_ X159) \/ (forall X160 : Universe, (ndr1_1_ X159 -> (~(c8_2_ X159 X160) \/ (c5_2_ X159 X160 \/ c10_2_ X159 X160)))))))))) /\ ((c2_0_ \/ (~(c1_0_) \/ (forall X161 : Universe, (ndr1_0_ -> (~(c6_1_ X161) \/ (~(c4_1_ X161) \/ c5_1_ X161)))))) /\ (((forall X162 : Universe, (ndr1_0_ -> ((ndr1_1_ X162 /\ (~(c5_2_ X162 a1990_) /\ (c10_2_ X162 a1990_ /\ ~(c2_2_ X162 a1990_)))) \/ (~(c10_1_ X162) \/ (ndr1_1_ X162 /\ (c1_2_ X162 a1991_ /\ (~(c9_2_ X162 a1991_) /\ ~(c4_2_ X162 a1991_)))))))) \/ ((forall X163 : Universe, (ndr1_0_ -> ((ndr1_1_ X163 /\ (~(c2_2_ X163 a1992_) /\ (c8_2_ X163 a1992_ /\ c10_2_ X163 a1992_))) \/ ((ndr1_1_ X163 /\ (c8_2_ X163 a1993_ /\ (c10_2_ X163 a1993_ /\ ~(c9_2_ X163 a1993_)))) \/ c1_1_ X163)))) \/ ~(c6_0_))) /\ (((forall X164 : Universe, (ndr1_0_ -> ((ndr1_1_ X164 /\ (~(c10_2_ X164 a1994_) /\ c9_2_ X164 a1994_)) \/ (c4_1_ X164 \/ ~(c10_1_ X164))))) \/ ((ndr1_0_ /\ (ndr1_1_ a1995_ /\ (~(c6_2_ a1995_ a1996_) /\ (c5_2_ a1995_ a1996_ /\ (~(c1_2_ a1995_ a1996_) /\ ((forall X165 : Universe, (ndr1_1_ a1995_ -> (~(c3_2_ a1995_ X165) \/ (c2_2_ a1995_ X165 \/ c5_2_ a1995_ X165)))) /\ ~(c3_1_ a1995_))))))) \/ ~(c7_0_))) /\ (((ndr1_0_ /\ (c8_1_ a1997_ /\ ~(c3_1_ a1997_))) \/ ~(c4_0_)) /\ (((ndr1_0_ /\ (~(c5_1_ a1998_) /\ (ndr1_1_ a1998_ /\ (c10_2_ a1998_ a1999_ /\ (~(c2_2_ a1998_ a1999_) /\ (c3_2_ a1998_ a1999_ /\ (ndr1_1_ a1998_ /\ (c6_2_ a1998_ a2000_ /\ (c9_2_ a1998_ a2000_ /\ c1_2_ a1998_ a2000_))))))))) \/ ((ndr1_0_ /\ (c2_1_ a2001_ /\ (ndr1_1_ a2001_ /\ (c9_2_ a2001_ a2002_ /\ (~(c2_2_ a2001_ a2002_) /\ (c5_2_ a2001_ a2002_ /\ ~(c3_1_ a2001_))))))) \/ ~(c5_0_))) /\ (((ndr1_0_ /\ ((forall X166 : Universe, (ndr1_1_ a2003_ -> (c3_2_ a2003_ X166 \/ (c1_2_ a2003_ X166 \/ c9_2_ a2003_ X166)))) /\ ((forall X167 : Universe, (ndr1_1_ a2003_ -> (c9_2_ a2003_ X167 \/ (c4_2_ a2003_ X167 \/ c6_2_ a2003_ X167)))) /\ c3_1_ a2003_))) \/ (c2_0_ \/ ~(c8_0_))) /\ ((~(c6_0_) \/ (c1_0_ \/ (ndr1_0_ /\ (ndr1_1_ a2004_ /\ (c8_2_ a2004_ a2005_ /\ (~(c10_2_ a2004_ a2005_) /\ ((forall X168 : Universe, (ndr1_1_ a2004_ -> (~(c1_2_ a2004_ X168) \/ c9_2_ a2004_ X168))) /\ ~(c1_1_ a2004_)))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a2006_ /\ (c4_2_ a2006_ a2007_ /\ (c7_2_ a2006_ a2007_ /\ (~(c2_2_ a2006_ a2007_) /\ (c4_1_ a2006_ /\ (forall X169 : Universe, (ndr1_1_ a2006_ -> (c9_2_ a2006_ X169 \/ c7_2_ a2006_ X169))))))))) \/ ((forall X170 : Universe, (ndr1_0_ -> (~(c9_1_ X170) \/ ((ndr1_1_ X170 /\ (~(c5_2_ X170 a2008_) /\ (c3_2_ X170 a2008_ /\ ~(c2_2_ X170 a2008_)))) \/ (ndr1_1_ X170 /\ (c6_2_ X170 a2009_ /\ (~(c4_2_ X170 a2009_) /\ c7_2_ X170 a2009_))))))) \/ c4_0_)) /\ ((c6_0_ \/ ~(c10_0_)) /\ ((~(c6_0_) \/ ((ndr1_0_ /\ (c7_1_ a2010_ /\ ((forall X171 : Universe, (ndr1_1_ a2010_ -> (c1_2_ a2010_ X171 \/ (c8_2_ a2010_ X171 \/ c10_2_ a2010_ X171)))) /\ ~(c1_1_ a2010_)))) \/ c1_0_)) /\ (((forall X172 : Universe, (ndr1_0_ -> ((ndr1_1_ X172 /\ (c4_2_ X172 a2011_ /\ (c9_2_ X172 a2011_ /\ c2_2_ X172 a2011_))) \/ (c2_1_ X172 \/ (forall X173 : Universe, (ndr1_1_ X172 -> (c7_2_ X172 X173 \/ (~(c4_2_ X172 X173) \/ c2_2_ X172 X173)))))))) \/ (~(c6_0_) \/ ~(c1_0_))) /\ (((forall X174 : Universe, (ndr1_0_ -> ((forall X175 : Universe, (ndr1_1_ X174 -> (c10_2_ X174 X175 \/ (c6_2_ X174 X175 \/ c9_2_ X174 X175)))) \/ (c4_1_ X174 \/ (forall X176 : Universe, (ndr1_1_ X174 -> (~(c10_2_ X174 X176) \/ (~(c1_2_ X174 X176) \/ ~(c6_2_ X174 X176))))))))) \/ ((forall X177 : Universe, (ndr1_0_ -> (~(c8_1_ X177) \/ (~(c9_1_ X177) \/ (forall X178 : Universe, (ndr1_1_ X177 -> (~(c10_2_ X177 X178) \/ (~(c3_2_ X177 X178) \/ ~(c4_2_ X177 X178))))))))) \/ ~(c6_0_))) /\ ((~(c2_0_) \/ ((forall X179 : Universe, (ndr1_0_ -> ((forall X180 : Universe, (ndr1_1_ X179 -> (c1_2_ X179 X180 \/ ~(c6_2_ X179 X180)))) \/ (c5_1_ X179 \/ (ndr1_1_ X179 /\ (c2_2_ X179 a2012_ /\ (~(c7_2_ X179 a2012_) /\ c8_2_ X179 a2012_))))))) \/ (forall X181 : Universe, (ndr1_0_ -> ((ndr1_1_ X181 /\ (c7_2_ X181 a2013_ /\ (~(c4_2_ X181 a2013_) /\ c1_2_ X181 a2013_))) \/ (c10_1_ X181 \/ (forall X182 : Universe, (ndr1_1_ X181 -> (~(c8_2_ X181 X182) \/ (c4_2_ X181 X182 \/ c10_2_ X181 X182)))))))))) /\ (((ndr1_0_ /\ (~(c7_1_ a2014_) /\ (c2_1_ a2014_ /\ (forall X183 : Universe, (ndr1_1_ a2014_ -> (~(c3_2_ a2014_ X183) \/ (c9_2_ a2014_ X183 \/ ~(c4_2_ a2014_ X183)))))))) \/ (ndr1_0_ /\ ((forall X184 : Universe, (ndr1_1_ a2015_ -> (c2_2_ a2015_ X184 \/ ~(c10_2_ a2015_ X184)))) /\ (ndr1_1_ a2015_ /\ (~(c8_2_ a2015_ a2016_) /\ ~(c9_2_ a2015_ a2016_)))))) /\ ((c3_0_ \/ (c7_0_ \/ c2_0_)) /\ ((c2_0_ \/ (ndr1_0_ /\ (c8_1_ a2017_ /\ (c3_1_ a2017_ /\ (forall X185 : Universe, (ndr1_1_ a2017_ -> (c4_2_ a2017_ X185 \/ (c7_2_ a2017_ X185 \/ c2_2_ a2017_ X185)))))))) /\ ((~(c9_0_) \/ (c2_0_ \/ (forall X186 : Universe, (ndr1_0_ -> ((ndr1_1_ X186 /\ (c6_2_ X186 a2018_ /\ (~(c10_2_ X186 a2018_) /\ ~(c4_2_ X186 a2018_)))) \/ (c8_1_ X186 \/ c10_1_ X186)))))) /\ ((~(c2_0_) \/ ~(c3_0_)) /\ (((ndr1_0_ /\ (c4_1_ a2019_ /\ ((forall X187 : Universe, (ndr1_1_ a2019_ -> (c2_2_ a2019_ X187 \/ (~(c6_2_ a2019_ X187) \/ ~(c3_2_ a2019_ X187))))) /\ c3_1_ a2019_))) \/ ((forall X188 : Universe, (ndr1_0_ -> (~(c6_1_ X188) \/ ((ndr1_1_ X188 /\ (~(c9_2_ X188 a2020_) /\ c5_2_ X188 a2020_)) \/ (forall X189 : Universe, (ndr1_1_ X188 -> (~(c3_2_ X188 X189) \/ (c2_2_ X188 X189 \/ c1_2_ X188 X189)))))))) \/ (forall X190 : Universe, (ndr1_0_ -> (~(c3_1_ X190) \/ (~(c10_1_ X190) \/ ~(c9_1_ X190))))))) /\ ((c4_0_ \/ (~(c6_0_) \/ (forall X191 : Universe, (ndr1_0_ -> ((forall X192 : Universe, (ndr1_1_ X191 -> (c8_2_ X191 X192 \/ (~(c10_2_ X191 X192) \/ ~(c4_2_ X191 X192))))) \/ (c8_1_ X191 \/ ~(c3_1_ X191))))))) /\ (((ndr1_0_ /\ (~(c3_1_ a2021_) /\ (~(c8_1_ a2021_) /\ ~(c1_1_ a2021_)))) \/ ~(c3_0_)) /\ ((~(c10_0_) \/ ((ndr1_0_ /\ (c3_1_ a2022_ /\ ~(c7_1_ a2022_))) \/ c8_0_)) /\ (((ndr1_0_ /\ (~(c8_1_ a2023_) /\ (~(c10_1_ a2023_) /\ (forall X193 : Universe, (ndr1_1_ a2023_ -> (c6_2_ a2023_ X193 \/ (~(c2_2_ a2023_ X193) \/ ~(c5_2_ a2023_ X193)))))))) \/ ~(c1_0_)) /\ ((~(c9_0_) \/ (forall X194 : Universe, (ndr1_0_ -> (~(c7_1_ X194) \/ ((forall X195 : Universe, (ndr1_1_ X194 -> (c5_2_ X194 X195 \/ (c3_2_ X194 X195 \/ c4_2_ X194 X195)))) \/ ~(c5_1_ X194)))))) /\ ((c7_0_ \/ c9_0_) /\ ((c3_0_ \/ ~(c1_0_)) /\ (((forall X196 : Universe, (ndr1_0_ -> (~(c4_1_ X196) \/ ((forall X197 : Universe, (ndr1_1_ X196 -> (c7_2_ X196 X197 \/ (~(c10_2_ X196 X197) \/ c4_2_ X196 X197)))) \/ (ndr1_1_ X196 /\ (c3_2_ X196 a2024_ /\ (c10_2_ X196 a2024_ /\ ~(c6_2_ X196 a2024_)))))))) \/ (~(c7_0_) \/ (forall X198 : Universe, (ndr1_0_ -> (c10_1_ X198 \/ ((forall X199 : Universe, (ndr1_1_ X198 -> (~(c8_2_ X198 X199) \/ (c2_2_ X198 X199 \/ c3_2_ X198 X199)))) \/ (ndr1_1_ X198 /\ (~(c5_2_ X198 a2025_) /\ (~(c6_2_ X198 a2025_) /\ c3_2_ X198 a2025_))))))))) /\ (((forall X200 : Universe, (ndr1_0_ -> (~(c5_1_ X200) \/ (c4_1_ X200 \/ (ndr1_1_ X200 /\ (~(c10_2_ X200 a2026_) /\ (c4_2_ X200 a2026_ /\ c3_2_ X200 a2026_))))))) \/ (~(c7_0_) \/ c6_0_)) /\ (((ndr1_0_ /\ (c3_1_ a2027_ /\ (~(c4_1_ a2027_) /\ ~(c6_1_ a2027_)))) \/ (c8_0_ \/ (forall X201 : Universe, (ndr1_0_ -> ((ndr1_1_ X201 /\ (c2_2_ X201 a2028_ /\ (~(c8_2_ X201 a2028_) /\ c4_2_ X201 a2028_))) \/ (c2_1_ X201 \/ ~(c6_1_ X201))))))) /\ (((ndr1_0_ /\ (c10_1_ a2029_ /\ ((forall X202 : Universe, (ndr1_1_ a2029_ -> (~(c3_2_ a2029_ X202) \/ (c4_2_ a2029_ X202 \/ ~(c8_2_ a2029_ X202))))) /\ (forall X203 : Universe, (ndr1_1_ a2029_ -> (~(c9_2_ a2029_ X203) \/ (~(c4_2_ a2029_ X203) \/ ~(c7_2_ a2029_ X203)))))))) \/ c4_0_) /\ (c3_0_ \/ ((ndr1_0_ /\ (~(c7_1_ a2030_) /\ ~(c6_1_ a2030_))) \/ (forall X204 : Universe, (ndr1_0_ -> ((ndr1_1_ X204 /\ (c8_2_ X204 a2031_ /\ ~(c5_2_ X204 a2031_))) \/ ((ndr1_1_ X204 /\ (c2_2_ X204 a2032_ /\ (c7_2_ X204 a2032_ /\ ~(c1_2_ X204 a2032_)))) \/ c1_1_ X204)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
