(*
% File     : SYN430+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=16, K=3, D=1, P=0, Index=037
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-16-3-1-037.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.17 v2.6.0, 0.00 v2.4.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  236 (   0 equality)
%            Maximal formula depth :   49 (  49 average)
%            Number of connectives :  340 ( 105 ~  ;  99  |; 115  &)
%                                         (   0 <=>;  21 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   30 (  26 propositional; 0-1 arity)
%            Number of functors    :   25 (  25 constant; 0-0 arity)
%            Number of variables   :   21 (   0 singleton;  21 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a131_ : Universe.
Variable a130_ : Universe.
Variable a129_ : Universe.
Variable a128_ : Universe.
Variable a127_ : Universe.
Variable a126_ : Universe.
Variable a123_ : Universe.
Variable a122_ : Universe.
Variable a121_ : Universe.
Variable a120_ : Universe.
Variable a119_ : Universe.
Variable a118_ : Universe.
Variable a117_ : Universe.
Variable a116_ : Universe.
Variable a115_ : Universe.
Variable a114_ : Universe.
Variable a113_ : Universe.
Variable a112_ : Universe.
Variable a111_ : Universe.
Variable a110_ : Universe.
Variable a109_ : Universe.
Variable a108_ : Universe.
Variable a107_ : Universe.
Variable a106_ : Universe.
Variable a105_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c3_1_ a105_ /\ (~(c1_1_ a105_) /\ ~(c2_1_ a105_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (~(c3_1_ a107_) /\ (~(c1_1_ a107_) /\ ~(c0_1_ a107_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c3_1_ a108_ /\ (~(c2_1_ a108_) /\ ~(c1_1_ a108_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (~(c2_1_ a109_) /\ (c3_1_ a109_ /\ ~(c1_1_ a109_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c3_1_ a110_) /\ (~(c1_1_ a110_) /\ ~(c2_1_ a110_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c2_1_ a111_ /\ (c0_1_ a111_ /\ ~(c1_1_ a111_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (~(c1_1_ a112_) /\ (~(c0_1_ a112_) /\ ~(c2_1_ a112_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c1_1_ a114_ /\ (c2_1_ a114_ /\ ~(c0_1_ a114_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (~(c2_1_ a118_) /\ (~(c1_1_ a118_) /\ ~(c0_1_ a118_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c1_1_ a120_) /\ (~(c2_1_ a120_) /\ ~(c0_1_ a120_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c2_1_ a122_ /\ (~(c1_1_ a122_) /\ ~(c3_1_ a122_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c3_1_ a123_ /\ (~(c0_1_ a123_) /\ ~(c1_1_ a123_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c1_1_ a126_ /\ (c0_1_ a126_ /\ ~(c3_1_ a126_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (~(c2_1_ a127_) /\ (~(c3_1_ a127_) /\ ~(c1_1_ a127_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c3_1_ a128_ /\ (~(c2_1_ a128_) /\ ~(c0_1_ a128_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (~(c0_1_ a106_) /\ (~(c2_1_ a106_) /\ c3_1_ a106_)))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (~(c3_1_ a113_) /\ (~(c1_1_ a113_) /\ c0_1_ a113_)))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (~(c0_1_ a115_) /\ (c2_1_ a115_ /\ c1_1_ a115_)))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c1_1_ a116_ /\ (~(c3_1_ a116_) /\ c0_1_ a116_)))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (~(c2_1_ a117_) /\ (~(c1_1_ a117_) /\ c0_1_ a117_)))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (~(c0_1_ a119_) /\ (c1_1_ a119_ /\ c2_1_ a119_)))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c3_1_ a121_ /\ (c1_1_ a121_ /\ c2_1_ a121_)))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (~(c0_1_ a129_) /\ (~(c3_1_ a129_) /\ c1_1_ a129_)))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c2_1_ a130_) /\ (~(c1_1_ a130_) /\ c3_1_ a130_)))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (~(c1_1_ a131_) /\ (c0_1_ a131_ /\ c3_1_ a131_)))) /\ ((hskp0_ \/ ((forall U : Universe, (ndr1_0_ -> (~(c1_1_ U) \/ (~(c2_1_ U) \/ c3_1_ U)))) \/ hskp15_)) /\ ((hskp1_ \/ ((forall V : Universe, (ndr1_0_ -> (c3_1_ V \/ (c0_1_ V \/ ~(c1_1_ V))))) \/ hskp2_)) /\ ((hskp3_ \/ (hskp4_ \/ (forall W : Universe, (ndr1_0_ -> (~(c2_1_ W) \/ (c3_1_ W \/ ~(c0_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (~(c0_1_ X) \/ (c2_1_ X \/ c3_1_ X)))) \/ (hskp5_ \/ (forall Y : Universe, (ndr1_0_ -> (~(c1_1_ Y) \/ (c3_1_ Y \/ ~(c2_1_ Y))))))) /\ ((hskp6_ \/ (hskp16_ \/ (forall Z : Universe, (ndr1_0_ -> (c3_1_ Z \/ (c0_1_ Z \/ c1_1_ Z)))))) /\ ((hskp7_ \/ (hskp17_ \/ hskp18_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c2_1_ X1 \/ ~(c1_1_ X1))))) \/ ((forall X2 : Universe, (ndr1_0_ -> (c1_1_ X2 \/ (~(c2_1_ X2) \/ c0_1_ X2)))) \/ (forall X3 : Universe, (ndr1_0_ -> (~(c2_1_ X3) \/ (~(c0_1_ X3) \/ ~(c1_1_ X3))))))) /\ (((forall X4 : Universe, (ndr1_0_ -> (c2_1_ X4 \/ (~(c3_1_ X4) \/ c0_1_ X4)))) \/ (hskp19_ \/ (forall X5 : Universe, (ndr1_0_ -> (~(c1_1_ X5) \/ (c3_1_ X5 \/ c2_1_ X5)))))) /\ (((forall X6 : Universe, (ndr1_0_ -> (~(c1_1_ X6) \/ (~(c0_1_ X6) \/ ~(c3_1_ X6))))) \/ ((forall X7 : Universe, (ndr1_0_ -> (~(c3_1_ X7) \/ (~(c1_1_ X7) \/ ~(c0_1_ X7))))) \/ (forall X8 : Universe, (ndr1_0_ -> (c2_1_ X8 \/ (c0_1_ X8 \/ ~(c3_1_ X8))))))) /\ ((hskp8_ \/ (hskp20_ \/ hskp9_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (~(c3_1_ X9) \/ c1_1_ X9)))) \/ (hskp21_ \/ hskp10_)) /\ (((forall X10 : Universe, (ndr1_0_ -> (c2_1_ X10 \/ (~(c0_1_ X10) \/ ~(c1_1_ X10))))) \/ ((forall X11 : Universe, (ndr1_0_ -> (c1_1_ X11 \/ (c2_1_ X11 \/ c0_1_ X11)))) \/ (forall X12 : Universe, (ndr1_0_ -> (~(c3_1_ X12) \/ (c0_1_ X12 \/ ~(c1_1_ X12))))))) /\ ((hskp11_ \/ (hskp7_ \/ hskp6_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (~(c1_1_ X13) \/ (c0_1_ X13 \/ ~(c2_1_ X13))))) \/ (hskp12_ \/ hskp13_)) /\ ((hskp14_ \/ (hskp22_ \/ (forall X14 : Universe, (ndr1_0_ -> (c3_1_ X14 \/ (~(c2_1_ X14) \/ ~(c1_1_ X14))))))) /\ (hskp23_ \/ (hskp24_ \/ (forall X15 : Universe, (ndr1_0_ -> (c3_1_ X15 \/ (~(c1_1_ X15) \/ c2_1_ X15))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
