(*
% File     : SYN432+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=20, K=3, D=1, P=0, Index=020
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-20-3-1-020.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.17 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.3.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  288 (   0 equality)
%            Maximal formula depth :   58 (  58 average)
%            Number of connectives :  398 ( 111 ~  ; 122  |; 139  &)
%                                         (   0 <=>;  26 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   35 (  31 propositional; 0-1 arity)
%            Number of functors    :   30 (  30 constant; 0-0 arity)
%            Number of variables   :   26 (   0 singleton;  26 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a195_ : Universe.
Variable a193_ : Universe.
Variable a192_ : Universe.
Variable a190_ : Universe.
Variable a189_ : Universe.
Variable a188_ : Universe.
Variable a187_ : Universe.
Variable a186_ : Universe.
Variable a185_ : Universe.
Variable a184_ : Universe.
Variable a183_ : Universe.
Variable a181_ : Universe.
Variable a180_ : Universe.
Variable a179_ : Universe.
Variable a178_ : Universe.
Variable a177_ : Universe.
Variable a176_ : Universe.
Variable a175_ : Universe.
Variable a174_ : Universe.
Variable a173_ : Universe.
Variable a172_ : Universe.
Variable a171_ : Universe.
Variable a170_ : Universe.
Variable a169_ : Universe.
Variable a168_ : Universe.
Variable a167_ : Universe.
Variable a166_ : Universe.
Variable a164_ : Universe.
Variable a163_ : Universe.
Variable a162_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (~(c0_1_ a168_) /\ (~(c2_1_ a168_) /\ ~(c1_1_ a168_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c3_1_ a169_ /\ (~(c1_1_ a169_) /\ ~(c0_1_ a169_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c3_1_ a172_ /\ (~(c2_1_ a172_) /\ ~(c1_1_ a172_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (~(c1_1_ a173_) /\ (c3_1_ a173_ /\ ~(c2_1_ a173_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c1_1_ a176_) /\ (~(c3_1_ a176_) /\ ~(c0_1_ a176_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c3_1_ a178_) /\ (~(c0_1_ a178_) /\ ~(c1_1_ a178_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a181_ /\ (~(c1_1_ a181_) /\ ~(c2_1_ a181_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c2_1_ a189_ /\ (c1_1_ a189_ /\ ~(c3_1_ a189_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (~(c0_1_ a192_) /\ (c3_1_ a192_ /\ ~(c2_1_ a192_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c3_1_ a195_ /\ (c2_1_ a195_ /\ ~(c1_1_ a195_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (~(c0_1_ a162_) /\ (~(c3_1_ a162_) /\ c2_1_ a162_)))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (~(c1_1_ a163_) /\ (c0_1_ a163_ /\ c3_1_ a163_)))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c0_1_ a164_) /\ (~(c1_1_ a164_) /\ c2_1_ a164_)))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a166_ /\ (~(c2_1_ a166_) /\ c3_1_ a166_)))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (~(c2_1_ a167_) /\ (c0_1_ a167_ /\ c3_1_ a167_)))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c1_1_ a170_ /\ (c0_1_ a170_ /\ c2_1_ a170_)))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c1_1_ a171_ /\ (~(c3_1_ a171_) /\ c0_1_ a171_)))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (~(c3_1_ a174_) /\ (c0_1_ a174_ /\ c2_1_ a174_)))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c1_1_ a175_ /\ (c3_1_ a175_ /\ c2_1_ a175_)))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (~(c0_1_ a177_) /\ (c3_1_ a177_ /\ c1_1_ a177_)))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c3_1_ a179_ /\ (c2_1_ a179_ /\ c0_1_ a179_)))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (~(c1_1_ a180_) /\ (~(c2_1_ a180_) /\ c3_1_ a180_)))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c2_1_ a183_ /\ (~(c3_1_ a183_) /\ c0_1_ a183_)))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c1_1_ a184_ /\ (c2_1_ a184_ /\ c0_1_ a184_)))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c1_1_ a185_ /\ (c3_1_ a185_ /\ c0_1_ a185_)))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (~(c0_1_ a186_) /\ (~(c2_1_ a186_) /\ c1_1_ a186_)))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (~(c2_1_ a187_) /\ (~(c1_1_ a187_) /\ c3_1_ a187_)))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (~(c2_1_ a188_) /\ (c1_1_ a188_ /\ c0_1_ a188_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c2_1_ a190_ /\ (~(c1_1_ a190_) /\ c0_1_ a190_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c2_1_ a193_ /\ (c3_1_ a193_ /\ c0_1_ a193_)))) /\ ((hskp10_ \/ ((forall U : Universe, (ndr1_0_ -> (c2_1_ U \/ (c1_1_ U \/ c3_1_ U)))) \/ (forall V : Universe, (ndr1_0_ -> (c3_1_ V \/ (c1_1_ V \/ ~(c2_1_ V))))))) /\ (((forall W : Universe, (ndr1_0_ -> (~(c3_1_ W) \/ (~(c1_1_ W) \/ ~(c0_1_ W))))) \/ (hskp11_ \/ (forall X : Universe, (ndr1_0_ -> (~(c1_1_ X) \/ (~(c2_1_ X) \/ ~(c0_1_ X))))))) /\ (((forall Y : Universe, (ndr1_0_ -> (c1_1_ Y \/ (c2_1_ Y \/ c0_1_ Y)))) \/ (hskp12_ \/ hskp11_)) /\ (((forall Z : Universe, (ndr1_0_ -> (~(c3_1_ Z) \/ (~(c0_1_ Z) \/ ~(c2_1_ Z))))) \/ ((forall X1 : Universe, (ndr1_0_ -> (~(c2_1_ X1) \/ (c3_1_ X1 \/ c1_1_ X1)))) \/ hskp13_)) /\ ((hskp14_ \/ ((forall X2 : Universe, (ndr1_0_ -> (~(c2_1_ X2) \/ (~(c0_1_ X2) \/ ~(c1_1_ X2))))) \/ hskp0_)) /\ (((forall X3 : Universe, (ndr1_0_ -> (~(c3_1_ X3) \/ (c2_1_ X3 \/ c1_1_ X3)))) \/ (hskp1_ \/ hskp15_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (~(c1_1_ X4) \/ (~(c2_1_ X4) \/ c3_1_ X4)))) \/ (hskp16_ \/ hskp2_)) /\ (((forall X5 : Universe, (ndr1_0_ -> (c3_1_ X5 \/ (c2_1_ X5 \/ ~(c1_1_ X5))))) \/ ((forall X6 : Universe, (ndr1_0_ -> (~(c0_1_ X6) \/ (c3_1_ X6 \/ c2_1_ X6)))) \/ hskp3_)) /\ (((forall X7 : Universe, (ndr1_0_ -> (c2_1_ X7 \/ (c0_1_ X7 \/ ~(c3_1_ X7))))) \/ (hskp17_ \/ (forall X8 : Universe, (ndr1_0_ -> (~(c2_1_ X8) \/ (c1_1_ X8 \/ ~(c3_1_ X8))))))) /\ ((hskp18_ \/ ((forall X9 : Universe, (ndr1_0_ -> (c2_1_ X9 \/ (c1_1_ X9 \/ ~(c0_1_ X9))))) \/ (forall X10 : Universe, (ndr1_0_ -> (c1_1_ X10 \/ (~(c3_1_ X10) \/ ~(c2_1_ X10))))))) /\ ((hskp4_ \/ (hskp19_ \/ (forall X11 : Universe, (ndr1_0_ -> (~(c1_1_ X11) \/ (c3_1_ X11 \/ c0_1_ X11)))))) /\ ((hskp5_ \/ (hskp20_ \/ hskp21_)) /\ ((hskp6_ \/ (hskp17_ \/ hskp22_)) /\ ((hskp23_ \/ (hskp24_ \/ (forall X12 : Universe, (ndr1_0_ -> (~(c2_1_ X12) \/ (c1_1_ X12 \/ c3_1_ X12)))))) /\ ((hskp25_ \/ ((forall X13 : Universe, (ndr1_0_ -> (~(c0_1_ X13) \/ (~(c1_1_ X13) \/ c3_1_ X13)))) \/ hskp26_)) /\ ((hskp27_ \/ ((forall X14 : Universe, (ndr1_0_ -> (~(c2_1_ X14) \/ (~(c1_1_ X14) \/ c3_1_ X14)))) \/ hskp7_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (~(c1_1_ X15) \/ (c2_1_ X15 \/ c3_1_ X15)))) \/ ((forall X16 : Universe, (ndr1_0_ -> (c3_1_ X16 \/ (~(c1_1_ X16) \/ ~(c2_1_ X16))))) \/ (forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (~(c2_1_ X17) \/ c3_1_ X17)))))) /\ ((hskp28_ \/ (hskp21_ \/ hskp8_)) /\ ((hskp29_ \/ ((forall X18 : Universe, (ndr1_0_ -> (~(c1_1_ X18) \/ (c0_1_ X18 \/ ~(c2_1_ X18))))) \/ hskp25_)) /\ (hskp9_ \/ ((forall X19 : Universe, (ndr1_0_ -> (~(c3_1_ X19) \/ (~(c1_1_ X19) \/ c0_1_ X19)))) \/ (forall X20 : Universe, (ndr1_0_ -> (c1_1_ X20 \/ (c0_1_ X20 \/ ~(c2_1_ X20))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
