(*
% File     : SYN434+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=40, K=3, D=1, P=0, Index=037
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-40-3-1-037.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.50 v2.6.0, 0.25 v2.5.0, 0.33 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  564 (   0 equality)
%            Maximal formula depth :  101 ( 101 average)
%            Number of connectives :  782 ( 219 ~  ; 252  |; 251  &)
%                                         (   0 <=>;  60 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   58 (  54 propositional; 0-1 arity)
%            Number of functors    :   53 (  53 constant; 0-0 arity)
%            Number of variables   :   60 (   0 singleton;  60 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp52_ : Prop.
Variable hskp51_ : Prop.
Variable hskp50_ : Prop.
Variable hskp5_ : Prop.
Variable hskp49_ : Prop.
Variable hskp48_ : Prop.
Variable hskp47_ : Prop.
Variable hskp46_ : Prop.
Variable hskp45_ : Prop.
Variable hskp44_ : Prop.
Variable hskp43_ : Prop.
Variable hskp42_ : Prop.
Variable hskp41_ : Prop.
Variable hskp40_ : Prop.
Variable hskp4_ : Prop.
Variable hskp39_ : Prop.
Variable hskp38_ : Prop.
Variable hskp37_ : Prop.
Variable hskp36_ : Prop.
Variable hskp35_ : Prop.
Variable hskp34_ : Prop.
Variable hskp33_ : Prop.
Variable hskp32_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a281_ : Universe.
Variable a279_ : Universe.
Variable a278_ : Universe.
Variable a277_ : Universe.
Variable a276_ : Universe.
Variable a273_ : Universe.
Variable a272_ : Universe.
Variable a271_ : Universe.
Variable a270_ : Universe.
Variable a269_ : Universe.
Variable a268_ : Universe.
Variable a266_ : Universe.
Variable a265_ : Universe.
Variable a264_ : Universe.
Variable a263_ : Universe.
Variable a262_ : Universe.
Variable a261_ : Universe.
Variable a260_ : Universe.
Variable a258_ : Universe.
Variable a257_ : Universe.
Variable a256_ : Universe.
Variable a255_ : Universe.
Variable a254_ : Universe.
Variable a253_ : Universe.
Variable a252_ : Universe.
Variable a251_ : Universe.
Variable a250_ : Universe.
Variable a249_ : Universe.
Variable a248_ : Universe.
Variable a247_ : Universe.
Variable a246_ : Universe.
Variable a245_ : Universe.
Variable a244_ : Universe.
Variable a243_ : Universe.
Variable a242_ : Universe.
Variable a240_ : Universe.
Variable a239_ : Universe.
Variable a238_ : Universe.
Variable a237_ : Universe.
Variable a236_ : Universe.
Variable a235_ : Universe.
Variable a234_ : Universe.
Variable a233_ : Universe.
Variable a232_ : Universe.
Variable a231_ : Universe.
Variable a230_ : Universe.
Variable a229_ : Universe.
Variable a228_ : Universe.
Variable a227_ : Universe.
Variable a226_ : Universe.
Variable a225_ : Universe.
Variable a224_ : Universe.
Variable a223_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (~(c1_1_ a223_) /\ (~(c2_1_ a223_) /\ ~(c3_1_ a223_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c1_1_ a226_ /\ (c3_1_ a226_ /\ ~(c2_1_ a226_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (~(c3_1_ a227_) /\ (c1_1_ a227_ /\ ~(c0_1_ a227_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c1_1_ a228_ /\ (~(c3_1_ a228_) /\ ~(c0_1_ a228_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c0_1_ a229_) /\ (c2_1_ a229_ /\ ~(c1_1_ a229_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c1_1_ a230_ /\ (c3_1_ a230_ /\ ~(c0_1_ a230_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c2_1_ a233_ /\ (~(c1_1_ a233_) /\ ~(c0_1_ a233_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (~(c3_1_ a234_) /\ (c0_1_ a234_ /\ ~(c1_1_ a234_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c2_1_ a238_ /\ (c0_1_ a238_ /\ ~(c3_1_ a238_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c2_1_ a239_) /\ (~(c1_1_ a239_) /\ ~(c3_1_ a239_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c1_1_ a240_ /\ (c0_1_ a240_ /\ ~(c3_1_ a240_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a243_ /\ (c1_1_ a243_ /\ ~(c2_1_ a243_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c0_1_ a245_) /\ (c3_1_ a245_ /\ ~(c1_1_ a245_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a246_ /\ (~(c3_1_ a246_) /\ ~(c2_1_ a246_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c2_1_ a249_ /\ (c0_1_ a249_ /\ ~(c1_1_ a249_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (~(c3_1_ a252_) /\ (c0_1_ a252_ /\ ~(c2_1_ a252_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c3_1_ a253_ /\ (~(c2_1_ a253_) /\ ~(c1_1_ a253_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c2_1_ a255_ /\ (c3_1_ a255_ /\ ~(c1_1_ a255_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c2_1_ a263_ /\ (c1_1_ a263_ /\ ~(c3_1_ a263_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c0_1_ a264_ /\ (~(c2_1_ a264_) /\ ~(c1_1_ a264_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (~(c1_1_ a268_) /\ (~(c3_1_ a268_) /\ ~(c2_1_ a268_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (~(c0_1_ a271_) /\ (~(c1_1_ a271_) /\ ~(c2_1_ a271_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (~(c3_1_ a277_) /\ (c1_1_ a277_ /\ ~(c2_1_ a277_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c1_1_ a278_) /\ (c2_1_ a278_ /\ ~(c0_1_ a278_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (~(c2_1_ a281_) /\ (c0_1_ a281_ /\ ~(c1_1_ a281_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (~(c2_1_ a224_) /\ (~(c1_1_ a224_) /\ c0_1_ a224_)))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (~(c0_1_ a225_) /\ (c3_1_ a225_ /\ c2_1_ a225_)))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c1_1_ a231_ /\ (c2_1_ a231_ /\ c0_1_ a231_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (~(c3_1_ a232_) /\ (c0_1_ a232_ /\ c2_1_ a232_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (~(c2_1_ a235_) /\ (~(c3_1_ a235_) /\ c0_1_ a235_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (~(c2_1_ a236_) /\ (c0_1_ a236_ /\ c1_1_ a236_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (~(c0_1_ a237_) /\ (c2_1_ a237_ /\ c3_1_ a237_)))) /\ ((~(hskp32_) \/ (ndr1_0_ /\ (~(c0_1_ a242_) /\ (~(c2_1_ a242_) /\ c1_1_ a242_)))) /\ ((~(hskp33_) \/ (ndr1_0_ /\ (~(c3_1_ a244_) /\ (~(c1_1_ a244_) /\ c0_1_ a244_)))) /\ ((~(hskp34_) \/ (ndr1_0_ /\ (c3_1_ a247_ /\ (c0_1_ a247_ /\ c1_1_ a247_)))) /\ ((~(hskp35_) \/ (ndr1_0_ /\ (~(c1_1_ a248_) /\ (~(c3_1_ a248_) /\ c0_1_ a248_)))) /\ ((~(hskp36_) \/ (ndr1_0_ /\ (~(c3_1_ a250_) /\ (~(c2_1_ a250_) /\ c1_1_ a250_)))) /\ ((~(hskp37_) \/ (ndr1_0_ /\ (~(c1_1_ a251_) /\ (~(c0_1_ a251_) /\ c3_1_ a251_)))) /\ ((~(hskp38_) \/ (ndr1_0_ /\ (c2_1_ a254_ /\ (~(c0_1_ a254_) /\ c3_1_ a254_)))) /\ ((~(hskp39_) \/ (ndr1_0_ /\ (c3_1_ a256_ /\ (c2_1_ a256_ /\ c1_1_ a256_)))) /\ ((~(hskp40_) \/ (ndr1_0_ /\ (~(c3_1_ a257_) /\ (~(c1_1_ a257_) /\ c2_1_ a257_)))) /\ ((~(hskp41_) \/ (ndr1_0_ /\ (c2_1_ a258_ /\ (c0_1_ a258_ /\ c1_1_ a258_)))) /\ ((~(hskp42_) \/ (ndr1_0_ /\ (~(c2_1_ a260_) /\ (~(c0_1_ a260_) /\ c3_1_ a260_)))) /\ ((~(hskp43_) \/ (ndr1_0_ /\ (c2_1_ a261_ /\ (c1_1_ a261_ /\ c0_1_ a261_)))) /\ ((~(hskp44_) \/ (ndr1_0_ /\ (~(c0_1_ a262_) /\ (~(c1_1_ a262_) /\ c3_1_ a262_)))) /\ ((~(hskp45_) \/ (ndr1_0_ /\ (c0_1_ a265_ /\ (~(c3_1_ a265_) /\ c1_1_ a265_)))) /\ ((~(hskp46_) \/ (ndr1_0_ /\ (c0_1_ a266_ /\ (c1_1_ a266_ /\ c3_1_ a266_)))) /\ ((~(hskp47_) \/ (ndr1_0_ /\ (c1_1_ a269_ /\ (c3_1_ a269_ /\ c0_1_ a269_)))) /\ ((~(hskp48_) \/ (ndr1_0_ /\ (~(c0_1_ a270_) /\ (~(c3_1_ a270_) /\ c1_1_ a270_)))) /\ ((~(hskp49_) \/ (ndr1_0_ /\ (~(c2_1_ a272_) /\ (~(c1_1_ a272_) /\ c3_1_ a272_)))) /\ ((~(hskp50_) \/ (ndr1_0_ /\ (c3_1_ a273_ /\ (c1_1_ a273_ /\ c2_1_ a273_)))) /\ ((~(hskp51_) \/ (ndr1_0_ /\ (~(c1_1_ a276_) /\ (~(c2_1_ a276_) /\ c3_1_ a276_)))) /\ ((~(hskp52_) \/ (ndr1_0_ /\ (c0_1_ a279_ /\ (c3_1_ a279_ /\ c2_1_ a279_)))) /\ ((hskp0_ \/ (hskp25_ \/ hskp26_)) /\ (((forall U : Universe, (ndr1_0_ -> (c1_1_ U \/ (c0_1_ U \/ ~(c2_1_ U))))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c3_1_ V \/ ~(c2_1_ V))))) \/ hskp1_)) /\ ((hskp2_ \/ (hskp3_ \/ hskp4_)) /\ (((forall W : Universe, (ndr1_0_ -> (~(c0_1_ W) \/ (~(c1_1_ W) \/ c2_1_ W)))) \/ (hskp5_ \/ (forall X : Universe, (ndr1_0_ -> (~(c2_1_ X) \/ (c3_1_ X \/ ~(c1_1_ X))))))) /\ (((forall Y : Universe, (ndr1_0_ -> (~(c0_1_ Y) \/ (c3_1_ Y \/ ~(c2_1_ Y))))) \/ (hskp27_ \/ hskp28_)) /\ (((forall Z : Universe, (ndr1_0_ -> (~(c2_1_ Z) \/ (c3_1_ Z \/ c1_1_ Z)))) \/ ((forall X1 : Universe, (ndr1_0_ -> (~(c3_1_ X1) \/ (c0_1_ X1 \/ c2_1_ X1)))) \/ (forall X2 : Universe, (ndr1_0_ -> (c3_1_ X2 \/ (c0_1_ X2 \/ c2_1_ X2)))))) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (~(c2_1_ X3) \/ c1_1_ X3)))) \/ (hskp6_ \/ (forall X4 : Universe, (ndr1_0_ -> (c3_1_ X4 \/ (~(c2_1_ X4) \/ ~(c1_1_ X4))))))) /\ (((forall X5 : Universe, (ndr1_0_ -> (c1_1_ X5 \/ (c3_1_ X5 \/ c2_1_ X5)))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c3_1_ X6 \/ (~(c0_1_ X6) \/ ~(c2_1_ X6))))) \/ (forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c2_1_ X7 \/ ~(c1_1_ X7))))))) /\ (((forall X8 : Universe, (ndr1_0_ -> (~(c1_1_ X8) \/ (~(c0_1_ X8) \/ ~(c2_1_ X8))))) \/ ((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ ~(c3_1_ X9))))) \/ hskp7_)) /\ (((forall X10 : Universe, (ndr1_0_ -> (c1_1_ X10 \/ (c2_1_ X10 \/ c0_1_ X10)))) \/ ((forall X11 : Universe, (ndr1_0_ -> (~(c1_1_ X11) \/ (~(c3_1_ X11) \/ c2_1_ X11)))) \/ hskp29_)) /\ ((hskp30_ \/ (forall X12 : Universe, (ndr1_0_ -> (~(c1_1_ X12) \/ (~(c2_1_ X12) \/ c3_1_ X12))))) /\ ((hskp31_ \/ ((forall X13 : Universe, (ndr1_0_ -> (c1_1_ X13 \/ (c0_1_ X13 \/ ~(c2_1_ X13))))) \/ hskp8_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (~(c2_1_ X14) \/ (c3_1_ X14 \/ ~(c0_1_ X14))))) \/ ((forall X15 : Universe, (ndr1_0_ -> (c1_1_ X15 \/ (~(c0_1_ X15) \/ c2_1_ X15)))) \/ hskp9_)) /\ ((hskp10_ \/ ((forall X16 : Universe, (ndr1_0_ -> (c3_1_ X16 \/ (c1_1_ X16 \/ c2_1_ X16)))) \/ hskp8_)) /\ ((hskp32_ \/ ((forall X17 : Universe, (ndr1_0_ -> (~(c3_1_ X17) \/ (~(c1_1_ X17) \/ ~(c2_1_ X17))))) \/ hskp11_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (~(c1_1_ X18) \/ (~(c0_1_ X18) \/ ~(c2_1_ X18))))) \/ ((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (~(c1_1_ X19) \/ ~(c2_1_ X19))))) \/ (forall X20 : Universe, (ndr1_0_ -> (~(c3_1_ X20) \/ (c0_1_ X20 \/ c1_1_ X20)))))) /\ ((hskp33_ \/ ((forall X21 : Universe, (ndr1_0_ -> (c3_1_ X21 \/ (~(c2_1_ X21) \/ c1_1_ X21)))) \/ hskp12_)) /\ (((forall X22 : Universe, (ndr1_0_ -> (c1_1_ X22 \/ (~(c2_1_ X22) \/ ~(c3_1_ X22))))) \/ (hskp13_ \/ hskp34_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (~(c2_1_ X23) \/ (c3_1_ X23 \/ c1_1_ X23)))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c1_1_ X24 \/ ~(c3_1_ X24))))) \/ hskp35_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (~(c0_1_ X25) \/ (c2_1_ X25 \/ ~(c1_1_ X25))))) \/ ((forall X26 : Universe, (ndr1_0_ -> (c1_1_ X26 \/ (c0_1_ X26 \/ ~(c3_1_ X26))))) \/ hskp14_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c3_1_ X27 \/ (~(c0_1_ X27) \/ ~(c2_1_ X27))))) \/ (hskp36_ \/ hskp37_)) /\ ((hskp15_ \/ ((forall X28 : Universe, (ndr1_0_ -> (c1_1_ X28 \/ (c3_1_ X28 \/ c2_1_ X28)))) \/ hskp16_)) /\ ((hskp38_ \/ ((forall X29 : Universe, (ndr1_0_ -> (~(c3_1_ X29) \/ (~(c2_1_ X29) \/ ~(c1_1_ X29))))) \/ (forall X30 : Universe, (ndr1_0_ -> (~(c0_1_ X30) \/ (~(c3_1_ X30) \/ ~(c1_1_ X30))))))) /\ (((forall X31 : Universe, (ndr1_0_ -> (c2_1_ X31 \/ (c0_1_ X31 \/ ~(c1_1_ X31))))) \/ ((forall X32 : Universe, (ndr1_0_ -> (c2_1_ X32 \/ (~(c3_1_ X32) \/ ~(c0_1_ X32))))) \/ (forall X33 : Universe, (ndr1_0_ -> (c3_1_ X33 \/ (~(c1_1_ X33) \/ c0_1_ X33)))))) /\ ((hskp17_ \/ (hskp39_ \/ hskp40_)) /\ ((hskp41_ \/ (hskp2_ \/ hskp42_)) /\ ((hskp43_ \/ (hskp44_ \/ (forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c1_1_ X34 \/ ~(c3_1_ X34))))))) /\ ((hskp18_ \/ ((forall X35 : Universe, (ndr1_0_ -> (c2_1_ X35 \/ (c3_1_ X35 \/ ~(c1_1_ X35))))) \/ (forall X36 : Universe, (ndr1_0_ -> (~(c3_1_ X36) \/ (c0_1_ X36 \/ c2_1_ X36)))))) /\ (((forall X37 : Universe, (ndr1_0_ -> (c3_1_ X37 \/ (~(c1_1_ X37) \/ ~(c0_1_ X37))))) \/ ((forall X38 : Universe, (ndr1_0_ -> (~(c3_1_ X38) \/ (~(c1_1_ X38) \/ ~(c2_1_ X38))))) \/ (forall X39 : Universe, (ndr1_0_ -> (~(c0_1_ X39) \/ (~(c3_1_ X39) \/ c1_1_ X39)))))) /\ ((hskp19_ \/ (hskp45_ \/ hskp46_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c3_1_ X40 \/ (~(c1_1_ X40) \/ c2_1_ X40)))) \/ (hskp16_ \/ (forall X41 : Universe, (ndr1_0_ -> (~(c0_1_ X41) \/ (~(c1_1_ X41) \/ c3_1_ X41)))))) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (~(c1_1_ X42) \/ c2_1_ X42)))) \/ ((forall X43 : Universe, (ndr1_0_ -> (~(c2_1_ X43) \/ (c1_1_ X43 \/ c0_1_ X43)))) \/ (forall X44 : Universe, (ndr1_0_ -> (c3_1_ X44 \/ (c0_1_ X44 \/ c2_1_ X44)))))) /\ ((hskp20_ \/ (hskp47_ \/ hskp48_)) /\ ((hskp21_ \/ ((forall X45 : Universe, (ndr1_0_ -> (c1_1_ X45 \/ (~(c2_1_ X45) \/ ~(c0_1_ X45))))) \/ (forall X46 : Universe, (ndr1_0_ -> (c3_1_ X46 \/ (c2_1_ X46 \/ c1_1_ X46)))))) /\ ((hskp49_ \/ (hskp50_ \/ hskp13_)) /\ ((hskp40_ \/ ((forall X47 : Universe, (ndr1_0_ -> (c1_1_ X47 \/ (c3_1_ X47 \/ ~(c0_1_ X47))))) \/ (forall X48 : Universe, (ndr1_0_ -> (~(c3_1_ X48) \/ (c2_1_ X48 \/ ~(c0_1_ X48))))))) /\ (((forall X49 : Universe, (ndr1_0_ -> (~(c1_1_ X49) \/ (~(c3_1_ X49) \/ c2_1_ X49)))) \/ (hskp51_ \/ (forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (c0_1_ X50 \/ ~(c3_1_ X50))))))) /\ (((forall X51 : Universe, (ndr1_0_ -> (~(c2_1_ X51) \/ (c1_1_ X51 \/ ~(c0_1_ X51))))) \/ ((forall X52 : Universe, (ndr1_0_ -> (c3_1_ X52 \/ (~(c2_1_ X52) \/ ~(c0_1_ X52))))) \/ hskp22_)) /\ ((hskp23_ \/ (hskp52_ \/ hskp30_)) /\ ((forall X53 : Universe, (ndr1_0_ -> (~(c2_1_ X53) \/ (~(c3_1_ X53) \/ c0_1_ X53)))) \/ (hskp24_ \/ (forall X54 : Universe, (ndr1_0_ -> (c2_1_ X54 \/ (~(c0_1_ X54) \/ c1_1_ X54))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
