(*
% File     : SYN439+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=48, K=3, D=1, P=0, Index=090
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-48-3-1-090.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.67 v2.7.0, 0.33 v2.5.0, 0.67 v2.4.0, 0.67 v2.2.1, 1.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  655 (   0 equality)
%            Maximal formula depth :  109 ( 109 average)
%            Number of connectives :  922 ( 268 ~  ; 313  |; 259  &)
%                                         (   0 <=>;  82 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   58 (  54 propositional; 0-1 arity)
%            Number of functors    :   53 (  53 constant; 0-0 arity)
%            Number of variables   :   82 (   0 singleton;  82 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp52_ : Prop.
Variable hskp51_ : Prop.
Variable hskp50_ : Prop.
Variable hskp5_ : Prop.
Variable hskp49_ : Prop.
Variable hskp48_ : Prop.
Variable hskp47_ : Prop.
Variable hskp46_ : Prop.
Variable hskp45_ : Prop.
Variable hskp44_ : Prop.
Variable hskp43_ : Prop.
Variable hskp42_ : Prop.
Variable hskp41_ : Prop.
Variable hskp40_ : Prop.
Variable hskp4_ : Prop.
Variable hskp39_ : Prop.
Variable hskp38_ : Prop.
Variable hskp37_ : Prop.
Variable hskp36_ : Prop.
Variable hskp35_ : Prop.
Variable hskp34_ : Prop.
Variable hskp33_ : Prop.
Variable hskp32_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a596_ : Universe.
Variable a595_ : Universe.
Variable a594_ : Universe.
Variable a591_ : Universe.
Variable a590_ : Universe.
Variable a589_ : Universe.
Variable a586_ : Universe.
Variable a584_ : Universe.
Variable a583_ : Universe.
Variable a582_ : Universe.
Variable a581_ : Universe.
Variable a578_ : Universe.
Variable a577_ : Universe.
Variable a576_ : Universe.
Variable a575_ : Universe.
Variable a574_ : Universe.
Variable a573_ : Universe.
Variable a572_ : Universe.
Variable a571_ : Universe.
Variable a570_ : Universe.
Variable a569_ : Universe.
Variable a568_ : Universe.
Variable a567_ : Universe.
Variable a566_ : Universe.
Variable a565_ : Universe.
Variable a564_ : Universe.
Variable a563_ : Universe.
Variable a562_ : Universe.
Variable a561_ : Universe.
Variable a560_ : Universe.
Variable a559_ : Universe.
Variable a558_ : Universe.
Variable a557_ : Universe.
Variable a556_ : Universe.
Variable a555_ : Universe.
Variable a554_ : Universe.
Variable a552_ : Universe.
Variable a551_ : Universe.
Variable a550_ : Universe.
Variable a549_ : Universe.
Variable a548_ : Universe.
Variable a547_ : Universe.
Variable a546_ : Universe.
Variable a545_ : Universe.
Variable a544_ : Universe.
Variable a543_ : Universe.
Variable a541_ : Universe.
Variable a540_ : Universe.
Variable a539_ : Universe.
Variable a538_ : Universe.
Variable a537_ : Universe.
Variable a536_ : Universe.
Variable a535_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c1_1_ a535_ /\ (c0_1_ a535_ /\ ~(c2_1_ a535_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (~(c2_1_ a539_) /\ (~(c1_1_ a539_) /\ ~(c0_1_ a539_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c2_1_ a540_ /\ (c1_1_ a540_ /\ ~(c3_1_ a540_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (~(c1_1_ a543_) /\ (~(c0_1_ a543_) /\ ~(c3_1_ a543_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c2_1_ a545_) /\ (c1_1_ a545_ /\ ~(c0_1_ a545_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c3_1_ a546_) /\ (c2_1_ a546_ /\ ~(c1_1_ a546_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (~(c2_1_ a548_) /\ (c3_1_ a548_ /\ ~(c0_1_ a548_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a550_ /\ (c3_1_ a550_ /\ ~(c1_1_ a550_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (~(c3_1_ a552_) /\ (~(c1_1_ a552_) /\ ~(c2_1_ a552_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c0_1_ a554_) /\ (~(c2_1_ a554_) /\ ~(c1_1_ a554_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (~(c1_1_ a558_) /\ (c3_1_ a558_ /\ ~(c0_1_ a558_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c1_1_ a560_ /\ (~(c3_1_ a560_) /\ ~(c0_1_ a560_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c3_1_ a563_ /\ (~(c0_1_ a563_) /\ ~(c2_1_ a563_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c3_1_ a565_ /\ (c2_1_ a565_ /\ ~(c1_1_ a565_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a567_ /\ (~(c1_1_ a567_) /\ ~(c3_1_ a567_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (~(c0_1_ a569_) /\ (~(c1_1_ a569_) /\ ~(c2_1_ a569_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c3_1_ a570_ /\ (c1_1_ a570_ /\ ~(c0_1_ a570_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c0_1_ a571_ /\ (c3_1_ a571_ /\ ~(c2_1_ a571_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (~(c3_1_ a572_) /\ (c0_1_ a572_ /\ ~(c1_1_ a572_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (~(c2_1_ a573_) /\ (~(c0_1_ a573_) /\ ~(c1_1_ a573_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (~(c2_1_ a575_) /\ (~(c0_1_ a575_) /\ ~(c3_1_ a575_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c1_1_ a576_ /\ (~(c0_1_ a576_) /\ ~(c3_1_ a576_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (~(c3_1_ a577_) /\ (c1_1_ a577_ /\ ~(c0_1_ a577_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c3_1_ a578_ /\ (~(c0_1_ a578_) /\ ~(c1_1_ a578_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c2_1_ a581_ /\ (~(c1_1_ a581_) /\ ~(c3_1_ a581_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (~(c3_1_ a582_) /\ (~(c2_1_ a582_) /\ ~(c1_1_ a582_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a584_ /\ (c1_1_ a584_ /\ ~(c3_1_ a584_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (~(c0_1_ a586_) /\ (c1_1_ a586_ /\ ~(c3_1_ a586_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c2_1_ a589_ /\ (c3_1_ a589_ /\ ~(c0_1_ a589_))))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (~(c3_1_ a590_) /\ (~(c0_1_ a590_) /\ ~(c1_1_ a590_))))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c1_1_ a591_ /\ (~(c2_1_ a591_) /\ ~(c0_1_ a591_))))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (~(c0_1_ a594_) /\ (~(c3_1_ a594_) /\ ~(c1_1_ a594_))))) /\ ((~(hskp32_) \/ (ndr1_0_ /\ (c0_1_ a596_ /\ (~(c3_1_ a596_) /\ ~(c2_1_ a596_))))) /\ ((~(hskp33_) \/ (ndr1_0_ /\ (c1_1_ a536_ /\ (c2_1_ a536_ /\ c0_1_ a536_)))) /\ ((~(hskp34_) \/ (ndr1_0_ /\ (c0_1_ a537_ /\ (~(c1_1_ a537_) /\ c3_1_ a537_)))) /\ ((~(hskp35_) \/ (ndr1_0_ /\ (c2_1_ a538_ /\ (c1_1_ a538_ /\ c3_1_ a538_)))) /\ ((~(hskp36_) \/ (ndr1_0_ /\ (c0_1_ a541_ /\ (c1_1_ a541_ /\ c2_1_ a541_)))) /\ ((~(hskp37_) \/ (ndr1_0_ /\ (~(c2_1_ a544_) /\ (~(c3_1_ a544_) /\ c1_1_ a544_)))) /\ ((~(hskp38_) \/ (ndr1_0_ /\ (c2_1_ a547_ /\ (c1_1_ a547_ /\ c0_1_ a547_)))) /\ ((~(hskp39_) \/ (ndr1_0_ /\ (c3_1_ a549_ /\ (c2_1_ a549_ /\ c1_1_ a549_)))) /\ ((~(hskp40_) \/ (ndr1_0_ /\ (c3_1_ a551_ /\ (~(c0_1_ a551_) /\ c2_1_ a551_)))) /\ ((~(hskp41_) \/ (ndr1_0_ /\ (~(c2_1_ a555_) /\ (c3_1_ a555_ /\ c0_1_ a555_)))) /\ ((~(hskp42_) \/ (ndr1_0_ /\ (~(c2_1_ a556_) /\ (c1_1_ a556_ /\ c3_1_ a556_)))) /\ ((~(hskp43_) \/ (ndr1_0_ /\ (c3_1_ a557_ /\ (~(c1_1_ a557_) /\ c0_1_ a557_)))) /\ ((~(hskp44_) \/ (ndr1_0_ /\ (~(c3_1_ a559_) /\ (c0_1_ a559_ /\ c2_1_ a559_)))) /\ ((~(hskp45_) \/ (ndr1_0_ /\ (~(c3_1_ a561_) /\ (~(c2_1_ a561_) /\ c0_1_ a561_)))) /\ ((~(hskp46_) \/ (ndr1_0_ /\ (~(c3_1_ a562_) /\ (~(c0_1_ a562_) /\ c1_1_ a562_)))) /\ ((~(hskp47_) \/ (ndr1_0_ /\ (~(c2_1_ a564_) /\ (c0_1_ a564_ /\ c1_1_ a564_)))) /\ ((~(hskp48_) \/ (ndr1_0_ /\ (~(c3_1_ a566_) /\ (~(c2_1_ a566_) /\ c1_1_ a566_)))) /\ ((~(hskp49_) \/ (ndr1_0_ /\ (~(c0_1_ a568_) /\ (~(c1_1_ a568_) /\ c2_1_ a568_)))) /\ ((~(hskp50_) \/ (ndr1_0_ /\ (~(c3_1_ a574_) /\ (c0_1_ a574_ /\ c1_1_ a574_)))) /\ ((~(hskp51_) \/ (ndr1_0_ /\ (~(c2_1_ a583_) /\ (c0_1_ a583_ /\ c3_1_ a583_)))) /\ ((~(hskp52_) \/ (ndr1_0_ /\ (~(c0_1_ a595_) /\ (c2_1_ a595_ /\ c1_1_ a595_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c1_1_ U \/ (c2_1_ U \/ c3_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (~(c2_1_ V) \/ (~(c1_1_ V) \/ ~(c0_1_ V))))) \/ hskp0_)) /\ (((forall W : Universe, (ndr1_0_ -> (c2_1_ W \/ (~(c1_1_ W) \/ ~(c0_1_ W))))) \/ ((forall X : Universe, (ndr1_0_ -> (c2_1_ X \/ (c1_1_ X \/ ~(c3_1_ X))))) \/ (forall Y : Universe, (ndr1_0_ -> (~(c0_1_ Y) \/ (~(c1_1_ Y) \/ ~(c2_1_ Y))))))) /\ ((hskp33_ \/ ((forall Z : Universe, (ndr1_0_ -> (c2_1_ Z \/ (c3_1_ Z \/ c0_1_ Z)))) \/ (forall X1 : Universe, (ndr1_0_ -> (c3_1_ X1 \/ (~(c1_1_ X1) \/ ~(c0_1_ X1))))))) /\ ((hskp34_ \/ ((forall X2 : Universe, (ndr1_0_ -> (~(c1_1_ X2) \/ (~(c2_1_ X2) \/ ~(c3_1_ X2))))) \/ (forall X3 : Universe, (ndr1_0_ -> (c1_1_ X3 \/ (c2_1_ X3 \/ c3_1_ X3)))))) /\ ((hskp35_ \/ ((forall X4 : Universe, (ndr1_0_ -> (c3_1_ X4 \/ (~(c2_1_ X4) \/ ~(c1_1_ X4))))) \/ (forall X5 : Universe, (ndr1_0_ -> (~(c0_1_ X5) \/ (c1_1_ X5 \/ c2_1_ X5)))))) /\ (((forall X6 : Universe, (ndr1_0_ -> (~(c3_1_ X6) \/ (~(c1_1_ X6) \/ ~(c0_1_ X6))))) \/ (hskp1_ \/ hskp2_)) /\ ((hskp36_ \/ (hskp34_ \/ hskp3_)) /\ (((forall X7 : Universe, (ndr1_0_ -> (~(c0_1_ X7) \/ (c1_1_ X7 \/ c3_1_ X7)))) \/ (hskp37_ \/ (forall X8 : Universe, (ndr1_0_ -> (c1_1_ X8 \/ (~(c2_1_ X8) \/ ~(c0_1_ X8))))))) /\ (((forall X9 : Universe, (ndr1_0_ -> (c3_1_ X9 \/ (c0_1_ X9 \/ ~(c1_1_ X9))))) \/ (hskp4_ \/ (forall X10 : Universe, (ndr1_0_ -> (~(c2_1_ X10) \/ (~(c3_1_ X10) \/ ~(c1_1_ X10))))))) /\ (((forall X11 : Universe, (ndr1_0_ -> (c3_1_ X11 \/ (~(c2_1_ X11) \/ ~(c1_1_ X11))))) \/ ((forall X12 : Universe, (ndr1_0_ -> (c1_1_ X12 \/ (~(c3_1_ X12) \/ c2_1_ X12)))) \/ hskp5_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c3_1_ X13 \/ (c1_1_ X13 \/ c2_1_ X13)))) \/ (hskp38_ \/ (forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c2_1_ X14 \/ ~(c3_1_ X14))))))) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ c2_1_ X15)))) \/ ((forall X16 : Universe, (ndr1_0_ -> (~(c1_1_ X16) \/ (~(c3_1_ X16) \/ c0_1_ X16)))) \/ hskp6_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c3_1_ X17 \/ (~(c1_1_ X17) \/ c0_1_ X17)))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c2_1_ X18 \/ (~(c3_1_ X18) \/ ~(c1_1_ X18))))) \/ hskp39_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (~(c2_1_ X19) \/ (c1_1_ X19 \/ ~(c0_1_ X19))))) \/ (hskp7_ \/ hskp40_)) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (~(c2_1_ X20) \/ c1_1_ X20)))) \/ ((forall X21 : Universe, (ndr1_0_ -> (c1_1_ X21 \/ (~(c0_1_ X21) \/ ~(c3_1_ X21))))) \/ hskp8_)) /\ (((forall X22 : Universe, (ndr1_0_ -> (~(c2_1_ X22) \/ (c1_1_ X22 \/ ~(c3_1_ X22))))) \/ ((forall X23 : Universe, (ndr1_0_ -> (~(c1_1_ X23) \/ (~(c2_1_ X23) \/ ~(c3_1_ X23))))) \/ hskp38_)) /\ (((forall X24 : Universe, (ndr1_0_ -> (c2_1_ X24 \/ (~(c1_1_ X24) \/ ~(c0_1_ X24))))) \/ ((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (~(c3_1_ X25) \/ c1_1_ X25)))) \/ (forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (~(c2_1_ X26) \/ c3_1_ X26)))))) /\ (((forall X27 : Universe, (ndr1_0_ -> (~(c1_1_ X27) \/ (c0_1_ X27 \/ ~(c3_1_ X27))))) \/ (hskp9_ \/ hskp41_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c1_1_ X28 \/ (~(c2_1_ X28) \/ ~(c3_1_ X28))))) \/ ((forall X29 : Universe, (ndr1_0_ -> (c2_1_ X29 \/ (c3_1_ X29 \/ c1_1_ X29)))) \/ (forall X30 : Universe, (ndr1_0_ -> (~(c1_1_ X30) \/ (c2_1_ X30 \/ ~(c3_1_ X30))))))) /\ ((hskp42_ \/ ((forall X31 : Universe, (ndr1_0_ -> (~(c2_1_ X31) \/ (~(c0_1_ X31) \/ ~(c1_1_ X31))))) \/ (forall X32 : Universe, (ndr1_0_ -> (~(c1_1_ X32) \/ (~(c3_1_ X32) \/ c2_1_ X32)))))) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (~(c2_1_ X33) \/ ~(c1_1_ X33))))) \/ (hskp43_ \/ (forall X34 : Universe, (ndr1_0_ -> (c1_1_ X34 \/ (c2_1_ X34 \/ ~(c0_1_ X34))))))) /\ ((hskp10_ \/ ((forall X35 : Universe, (ndr1_0_ -> (~(c2_1_ X35) \/ (c0_1_ X35 \/ ~(c1_1_ X35))))) \/ (forall X36 : Universe, (ndr1_0_ -> (~(c0_1_ X36) \/ (~(c3_1_ X36) \/ ~(c2_1_ X36))))))) /\ ((hskp44_ \/ (hskp11_ \/ (forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (~(c3_1_ X37) \/ c2_1_ X37)))))) /\ (((forall X38 : Universe, (ndr1_0_ -> (c2_1_ X38 \/ (c0_1_ X38 \/ c3_1_ X38)))) \/ ((forall X39 : Universe, (ndr1_0_ -> (~(c0_1_ X39) \/ (c2_1_ X39 \/ ~(c1_1_ X39))))) \/ hskp45_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (~(c2_1_ X40) \/ (c0_1_ X40 \/ ~(c1_1_ X40))))) \/ (hskp46_ \/ (forall X41 : Universe, (ndr1_0_ -> (~(c2_1_ X41) \/ (~(c0_1_ X41) \/ c1_1_ X41)))))) /\ ((hskp12_ \/ ((forall X42 : Universe, (ndr1_0_ -> (c1_1_ X42 \/ (c2_1_ X42 \/ c3_1_ X42)))) \/ (forall X43 : Universe, (ndr1_0_ -> (~(c3_1_ X43) \/ (~(c1_1_ X43) \/ c2_1_ X43)))))) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (~(c2_1_ X44) \/ ~(c3_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (~(c2_1_ X45) \/ (~(c1_1_ X45) \/ c3_1_ X45)))) \/ hskp47_)) /\ ((hskp13_ \/ (hskp48_ \/ (forall X46 : Universe, (ndr1_0_ -> (~(c2_1_ X46) \/ (c1_1_ X46 \/ c0_1_ X46)))))) /\ ((hskp14_ \/ ((forall X47 : Universe, (ndr1_0_ -> (c3_1_ X47 \/ (c2_1_ X47 \/ c1_1_ X47)))) \/ (forall X48 : Universe, (ndr1_0_ -> (c2_1_ X48 \/ (c0_1_ X48 \/ ~(c1_1_ X48))))))) /\ (((forall X49 : Universe, (ndr1_0_ -> (c2_1_ X49 \/ (~(c0_1_ X49) \/ ~(c3_1_ X49))))) \/ (hskp49_ \/ (forall X50 : Universe, (ndr1_0_ -> (c2_1_ X50 \/ (c3_1_ X50 \/ ~(c0_1_ X50))))))) /\ (((forall X51 : Universe, (ndr1_0_ -> (~(c2_1_ X51) \/ (~(c3_1_ X51) \/ c1_1_ X51)))) \/ ((forall X52 : Universe, (ndr1_0_ -> (c3_1_ X52 \/ (~(c1_1_ X52) \/ c2_1_ X52)))) \/ hskp15_)) /\ ((hskp16_ \/ (hskp17_ \/ hskp18_)) /\ (((forall X53 : Universe, (ndr1_0_ -> (c2_1_ X53 \/ (~(c0_1_ X53) \/ c1_1_ X53)))) \/ (hskp19_ \/ hskp50_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c2_1_ X54 \/ (~(c3_1_ X54) \/ ~(c1_1_ X54))))) \/ (hskp20_ \/ hskp21_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (~(c1_1_ X55) \/ (c3_1_ X55 \/ ~(c0_1_ X55))))) \/ (hskp22_ \/ hskp23_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (~(c1_1_ X56) \/ (c3_1_ X56 \/ c0_1_ X56)))) \/ ((forall X57 : Universe, (ndr1_0_ -> (~(c1_1_ X57) \/ (~(c0_1_ X57) \/ ~(c2_1_ X57))))) \/ hskp34_)) /\ ((hskp39_ \/ (hskp24_ \/ (forall X58 : Universe, (ndr1_0_ -> (c3_1_ X58 \/ (c2_1_ X58 \/ ~(c0_1_ X58))))))) /\ (((forall X59 : Universe, (ndr1_0_ -> (~(c1_1_ X59) \/ (~(c3_1_ X59) \/ c2_1_ X59)))) \/ (hskp25_ \/ (forall X60 : Universe, (ndr1_0_ -> (~(c2_1_ X60) \/ (~(c3_1_ X60) \/ ~(c1_1_ X60))))))) /\ (((forall X61 : Universe, (ndr1_0_ -> (~(c0_1_ X61) \/ (~(c3_1_ X61) \/ c1_1_ X61)))) \/ ((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (~(c2_1_ X62) \/ c3_1_ X62)))) \/ (forall X63 : Universe, (ndr1_0_ -> (~(c0_1_ X63) \/ (c2_1_ X63 \/ ~(c3_1_ X63))))))) /\ (((forall X64 : Universe, (ndr1_0_ -> (c3_1_ X64 \/ (c2_1_ X64 \/ c1_1_ X64)))) \/ ((forall X65 : Universe, (ndr1_0_ -> (~(c0_1_ X65) \/ (c1_1_ X65 \/ ~(c3_1_ X65))))) \/ hskp51_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (~(c3_1_ X66) \/ (c0_1_ X66 \/ c1_1_ X66)))) \/ ((forall X67 : Universe, (ndr1_0_ -> (c0_1_ X67 \/ (c3_1_ X67 \/ ~(c1_1_ X67))))) \/ hskp26_)) /\ ((hskp6_ \/ (hskp27_ \/ hskp4_)) /\ ((hskp46_ \/ ((forall X68 : Universe, (ndr1_0_ -> (~(c3_1_ X68) \/ (c2_1_ X68 \/ c0_1_ X68)))) \/ (forall X69 : Universe, (ndr1_0_ -> (c2_1_ X69 \/ (~(c1_1_ X69) \/ ~(c3_1_ X69))))))) /\ (((forall X70 : Universe, (ndr1_0_ -> (c2_1_ X70 \/ (c0_1_ X70 \/ c1_1_ X70)))) \/ ((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (c0_1_ X71 \/ c2_1_ X71)))) \/ hskp28_)) /\ ((hskp29_ \/ ((forall X72 : Universe, (ndr1_0_ -> (c2_1_ X72 \/ (~(c3_1_ X72) \/ c1_1_ X72)))) \/ hskp30_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (~(c2_1_ X73) \/ (c3_1_ X73 \/ c0_1_ X73)))) \/ ((forall X74 : Universe, (ndr1_0_ -> (~(c1_1_ X74) \/ (~(c2_1_ X74) \/ ~(c3_1_ X74))))) \/ hskp46_)) /\ ((hskp40_ \/ (hskp31_ \/ hskp52_)) /\ ((forall X75 : Universe, (ndr1_0_ -> (~(c1_1_ X75) \/ (c3_1_ X75 \/ ~(c2_1_ X75))))) \/ (hskp32_ \/ (forall X76 : Universe, (ndr1_0_ -> (c3_1_ X76 \/ (~(c1_1_ X76) \/ ~(c0_1_ X76)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
