(*
% File     : SYN441+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=010
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-010.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.50 v2.6.0, 0.25 v2.5.0, 0.33 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  845 (   0 equality)
%            Maximal formula depth :  144 ( 144 average)
%            Number of connectives : 1178 ( 334 ~  ; 386  |; 363  &)
%                                         (   0 <=>;  95 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   81 (  77 propositional; 0-1 arity)
%            Number of functors    :   76 (  76 constant; 0-0 arity)
%            Number of variables   :   95 (   0 singleton;  95 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp75_ : Prop.
Variable hskp74_ : Prop.
Variable hskp73_ : Prop.
Variable hskp72_ : Prop.
Variable hskp71_ : Prop.
Variable hskp70_ : Prop.
Variable hskp7_ : Prop.
Variable hskp69_ : Prop.
Variable hskp68_ : Prop.
Variable hskp67_ : Prop.
Variable hskp66_ : Prop.
Variable hskp65_ : Prop.
Variable hskp64_ : Prop.
Variable hskp63_ : Prop.
Variable hskp62_ : Prop.
Variable hskp61_ : Prop.
Variable hskp60_ : Prop.
Variable hskp6_ : Prop.
Variable hskp59_ : Prop.
Variable hskp58_ : Prop.
Variable hskp57_ : Prop.
Variable hskp56_ : Prop.
Variable hskp55_ : Prop.
Variable hskp54_ : Prop.
Variable hskp53_ : Prop.
Variable hskp52_ : Prop.
Variable hskp51_ : Prop.
Variable hskp50_ : Prop.
Variable hskp5_ : Prop.
Variable hskp49_ : Prop.
Variable hskp48_ : Prop.
Variable hskp47_ : Prop.
Variable hskp46_ : Prop.
Variable hskp45_ : Prop.
Variable hskp44_ : Prop.
Variable hskp43_ : Prop.
Variable hskp42_ : Prop.
Variable hskp41_ : Prop.
Variable hskp40_ : Prop.
Variable hskp4_ : Prop.
Variable hskp39_ : Prop.
Variable hskp38_ : Prop.
Variable hskp37_ : Prop.
Variable hskp36_ : Prop.
Variable hskp35_ : Prop.
Variable hskp34_ : Prop.
Variable hskp33_ : Prop.
Variable hskp32_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a1902_ : Universe.
Variable a1901_ : Universe.
Variable a1900_ : Universe.
Variable a1899_ : Universe.
Variable a1898_ : Universe.
Variable a1897_ : Universe.
Variable a1896_ : Universe.
Variable a1895_ : Universe.
Variable a1894_ : Universe.
Variable a1892_ : Universe.
Variable a1891_ : Universe.
Variable a1890_ : Universe.
Variable a1889_ : Universe.
Variable a1887_ : Universe.
Variable a1886_ : Universe.
Variable a1885_ : Universe.
Variable a1882_ : Universe.
Variable a1881_ : Universe.
Variable a1879_ : Universe.
Variable a1878_ : Universe.
Variable a1876_ : Universe.
Variable a1875_ : Universe.
Variable a1874_ : Universe.
Variable a1873_ : Universe.
Variable a1872_ : Universe.
Variable a1870_ : Universe.
Variable a1869_ : Universe.
Variable a1868_ : Universe.
Variable a1867_ : Universe.
Variable a1866_ : Universe.
Variable a1864_ : Universe.
Variable a1863_ : Universe.
Variable a1862_ : Universe.
Variable a1860_ : Universe.
Variable a1859_ : Universe.
Variable a1858_ : Universe.
Variable a1857_ : Universe.
Variable a1856_ : Universe.
Variable a1855_ : Universe.
Variable a1854_ : Universe.
Variable a1853_ : Universe.
Variable a1852_ : Universe.
Variable a1851_ : Universe.
Variable a1850_ : Universe.
Variable a1849_ : Universe.
Variable a1848_ : Universe.
Variable a1847_ : Universe.
Variable a1846_ : Universe.
Variable a1845_ : Universe.
Variable a1844_ : Universe.
Variable a1843_ : Universe.
Variable a1842_ : Universe.
Variable a1841_ : Universe.
Variable a1840_ : Universe.
Variable a1839_ : Universe.
Variable a1838_ : Universe.
Variable a1837_ : Universe.
Variable a1836_ : Universe.
Variable a1835_ : Universe.
Variable a1834_ : Universe.
Variable a1833_ : Universe.
Variable a1832_ : Universe.
Variable a1831_ : Universe.
Variable a1830_ : Universe.
Variable a1829_ : Universe.
Variable a1828_ : Universe.
Variable a1827_ : Universe.
Variable a1826_ : Universe.
Variable a1825_ : Universe.
Variable a1824_ : Universe.
Variable a1823_ : Universe.
Variable a1822_ : Universe.
Variable a1821_ : Universe.
Variable a1820_ : Universe.
Variable a1819_ : Universe.
Variable a1818_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (~(c1_1_ a1818_) /\ (~(c2_1_ a1818_) /\ ~(c3_1_ a1818_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (~(c0_1_ a1824_) /\ (~(c3_1_ a1824_) /\ ~(c1_1_ a1824_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c3_1_ a1826_ /\ (c0_1_ a1826_ /\ ~(c1_1_ a1826_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c3_1_ a1828_ /\ (~(c1_1_ a1828_) /\ ~(c0_1_ a1828_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c3_1_ a1829_) /\ (~(c1_1_ a1829_) /\ ~(c2_1_ a1829_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c1_1_ a1831_ /\ (~(c0_1_ a1831_) /\ ~(c2_1_ a1831_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (~(c3_1_ a1832_) /\ (~(c1_1_ a1832_) /\ ~(c0_1_ a1832_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c3_1_ a1833_ /\ (~(c2_1_ a1833_) /\ ~(c1_1_ a1833_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c1_1_ a1837_ /\ (c0_1_ a1837_ /\ ~(c3_1_ a1837_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c2_1_ a1840_ /\ (c0_1_ a1840_ /\ ~(c3_1_ a1840_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (~(c0_1_ a1841_) /\ (c2_1_ a1841_ /\ ~(c1_1_ a1841_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c3_1_ a1843_ /\ (~(c2_1_ a1843_) /\ ~(c0_1_ a1843_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c3_1_ a1844_) /\ (~(c0_1_ a1844_) /\ ~(c2_1_ a1844_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a1846_ /\ (c3_1_ a1846_ /\ ~(c2_1_ a1846_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (~(c2_1_ a1847_) /\ (c3_1_ a1847_ /\ ~(c0_1_ a1847_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (~(c1_1_ a1850_) /\ (c3_1_ a1850_ /\ ~(c0_1_ a1850_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c1_1_ a1851_ /\ (~(c2_1_ a1851_) /\ ~(c3_1_ a1851_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c0_1_ a1853_ /\ (c2_1_ a1853_ /\ ~(c1_1_ a1853_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (~(c1_1_ a1854_) /\ (c0_1_ a1854_ /\ ~(c3_1_ a1854_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (~(c0_1_ a1855_) /\ (c1_1_ a1855_ /\ ~(c2_1_ a1855_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (~(c0_1_ a1856_) /\ (~(c1_1_ a1856_) /\ ~(c2_1_ a1856_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c3_1_ a1857_ /\ (c2_1_ a1857_ /\ ~(c0_1_ a1857_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (~(c2_1_ a1858_) /\ (c0_1_ a1858_ /\ ~(c3_1_ a1858_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c2_1_ a1859_) /\ (~(c3_1_ a1859_) /\ ~(c1_1_ a1859_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c3_1_ a1862_ /\ (c0_1_ a1862_ /\ ~(c2_1_ a1862_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c2_1_ a1864_ /\ (~(c0_1_ a1864_) /\ ~(c3_1_ a1864_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (~(c0_1_ a1866_) /\ (~(c2_1_ a1866_) /\ ~(c1_1_ a1866_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a1869_ /\ (c3_1_ a1869_ /\ ~(c2_1_ a1869_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (~(c1_1_ a1870_) /\ (~(c2_1_ a1870_) /\ ~(c0_1_ a1870_))))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a1872_ /\ (~(c3_1_ a1872_) /\ ~(c1_1_ a1872_))))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c2_1_ a1873_ /\ (c1_1_ a1873_ /\ ~(c0_1_ a1873_))))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c3_1_ a1875_ /\ (c2_1_ a1875_ /\ ~(c1_1_ a1875_))))) /\ ((~(hskp32_) \/ (ndr1_0_ /\ (~(c1_1_ a1876_) /\ (c2_1_ a1876_ /\ ~(c3_1_ a1876_))))) /\ ((~(hskp33_) \/ (ndr1_0_ /\ (~(c1_1_ a1881_) /\ (~(c0_1_ a1881_) /\ ~(c3_1_ a1881_))))) /\ ((~(hskp34_) \/ (ndr1_0_ /\ (c3_1_ a1882_ /\ (c1_1_ a1882_ /\ ~(c0_1_ a1882_))))) /\ ((~(hskp35_) \/ (ndr1_0_ /\ (~(c3_1_ a1890_) /\ (c1_1_ a1890_ /\ ~(c0_1_ a1890_))))) /\ ((~(hskp36_) \/ (ndr1_0_ /\ (c3_1_ a1891_ /\ (c1_1_ a1891_ /\ ~(c2_1_ a1891_))))) /\ ((~(hskp37_) \/ (ndr1_0_ /\ (c0_1_ a1892_ /\ (~(c1_1_ a1892_) /\ ~(c3_1_ a1892_))))) /\ ((~(hskp38_) \/ (ndr1_0_ /\ (c1_1_ a1895_ /\ (~(c2_1_ a1895_) /\ ~(c0_1_ a1895_))))) /\ ((~(hskp39_) \/ (ndr1_0_ /\ (~(c0_1_ a1896_) /\ (~(c1_1_ a1896_) /\ ~(c3_1_ a1896_))))) /\ ((~(hskp40_) \/ (ndr1_0_ /\ (c1_1_ a1900_ /\ (~(c3_1_ a1900_) /\ ~(c0_1_ a1900_))))) /\ ((~(hskp41_) \/ (ndr1_0_ /\ (~(c1_1_ a1901_) /\ (~(c3_1_ a1901_) /\ ~(c2_1_ a1901_))))) /\ ((~(hskp42_) \/ (ndr1_0_ /\ (c2_1_ a1819_ /\ (c0_1_ a1819_ /\ c3_1_ a1819_)))) /\ ((~(hskp43_) \/ (ndr1_0_ /\ (~(c1_1_ a1820_) /\ (~(c0_1_ a1820_) /\ c2_1_ a1820_)))) /\ ((~(hskp44_) \/ (ndr1_0_ /\ (c3_1_ a1821_ /\ (~(c2_1_ a1821_) /\ c0_1_ a1821_)))) /\ ((~(hskp45_) \/ (ndr1_0_ /\ (c0_1_ a1822_ /\ (c2_1_ a1822_ /\ c3_1_ a1822_)))) /\ ((~(hskp46_) \/ (ndr1_0_ /\ (~(c0_1_ a1823_) /\ (c2_1_ a1823_ /\ c3_1_ a1823_)))) /\ ((~(hskp47_) \/ (ndr1_0_ /\ (c2_1_ a1825_ /\ (~(c0_1_ a1825_) /\ c3_1_ a1825_)))) /\ ((~(hskp48_) \/ (ndr1_0_ /\ (~(c3_1_ a1827_) /\ (~(c1_1_ a1827_) /\ c2_1_ a1827_)))) /\ ((~(hskp49_) \/ (ndr1_0_ /\ (c3_1_ a1830_ /\ (c0_1_ a1830_ /\ c2_1_ a1830_)))) /\ ((~(hskp50_) \/ (ndr1_0_ /\ (c0_1_ a1834_ /\ (~(c1_1_ a1834_) /\ c2_1_ a1834_)))) /\ ((~(hskp51_) \/ (ndr1_0_ /\ (c0_1_ a1835_ /\ (c3_1_ a1835_ /\ c2_1_ a1835_)))) /\ ((~(hskp52_) \/ (ndr1_0_ /\ (c0_1_ a1836_ /\ (~(c3_1_ a1836_) /\ c2_1_ a1836_)))) /\ ((~(hskp53_) \/ (ndr1_0_ /\ (~(c2_1_ a1838_) /\ (~(c1_1_ a1838_) /\ c0_1_ a1838_)))) /\ ((~(hskp54_) \/ (ndr1_0_ /\ (~(c2_1_ a1839_) /\ (~(c0_1_ a1839_) /\ c1_1_ a1839_)))) /\ ((~(hskp55_) \/ (ndr1_0_ /\ (~(c2_1_ a1842_) /\ (c0_1_ a1842_ /\ c3_1_ a1842_)))) /\ ((~(hskp56_) \/ (ndr1_0_ /\ (~(c2_1_ a1845_) /\ (~(c3_1_ a1845_) /\ c0_1_ a1845_)))) /\ ((~(hskp57_) \/ (ndr1_0_ /\ (~(c0_1_ a1848_) /\ (~(c1_1_ a1848_) /\ c3_1_ a1848_)))) /\ ((~(hskp58_) \/ (ndr1_0_ /\ (c2_1_ a1849_ /\ (c3_1_ a1849_ /\ c1_1_ a1849_)))) /\ ((~(hskp59_) \/ (ndr1_0_ /\ (c1_1_ a1852_ /\ (c0_1_ a1852_ /\ c2_1_ a1852_)))) /\ ((~(hskp60_) \/ (ndr1_0_ /\ (c1_1_ a1860_ /\ (c0_1_ a1860_ /\ c3_1_ a1860_)))) /\ ((~(hskp61_) \/ (ndr1_0_ /\ (~(c3_1_ a1863_) /\ (~(c0_1_ a1863_) /\ c1_1_ a1863_)))) /\ ((~(hskp62_) \/ (ndr1_0_ /\ (c2_1_ a1867_ /\ (c3_1_ a1867_ /\ c0_1_ a1867_)))) /\ ((~(hskp63_) \/ (ndr1_0_ /\ (c1_1_ a1868_ /\ (~(c0_1_ a1868_) /\ c3_1_ a1868_)))) /\ ((~(hskp64_) \/ (ndr1_0_ /\ (c3_1_ a1874_ /\ (c1_1_ a1874_ /\ c2_1_ a1874_)))) /\ ((~(hskp65_) \/ (ndr1_0_ /\ (~(c0_1_ a1878_) /\ (c3_1_ a1878_ /\ c1_1_ a1878_)))) /\ ((~(hskp66_) \/ (ndr1_0_ /\ (~(c0_1_ a1879_) /\ (~(c2_1_ a1879_) /\ c1_1_ a1879_)))) /\ ((~(hskp67_) \/ (ndr1_0_ /\ (c3_1_ a1885_ /\ (~(c1_1_ a1885_) /\ c2_1_ a1885_)))) /\ ((~(hskp68_) \/ (ndr1_0_ /\ (c3_1_ a1886_ /\ (c0_1_ a1886_ /\ c1_1_ a1886_)))) /\ ((~(hskp69_) \/ (ndr1_0_ /\ (~(c3_1_ a1887_) /\ (c0_1_ a1887_ /\ c1_1_ a1887_)))) /\ ((~(hskp70_) \/ (ndr1_0_ /\ (c1_1_ a1889_ /\ (c2_1_ a1889_ /\ c3_1_ a1889_)))) /\ ((~(hskp71_) \/ (ndr1_0_ /\ (~(c1_1_ a1894_) /\ (c3_1_ a1894_ /\ c0_1_ a1894_)))) /\ ((~(hskp72_) \/ (ndr1_0_ /\ (~(c0_1_ a1897_) /\ (~(c1_1_ a1897_) /\ c2_1_ a1897_)))) /\ ((~(hskp73_) \/ (ndr1_0_ /\ (c3_1_ a1898_ /\ (c1_1_ a1898_ /\ c0_1_ a1898_)))) /\ ((~(hskp74_) \/ (ndr1_0_ /\ (c0_1_ a1899_ /\ (~(c3_1_ a1899_) /\ c1_1_ a1899_)))) /\ ((~(hskp75_) \/ (ndr1_0_ /\ (~(c3_1_ a1902_) /\ (c2_1_ a1902_ /\ c1_1_ a1902_)))) /\ (((forall U : Universe, (ndr1_0_ -> (~(c1_1_ U) \/ (c0_1_ U \/ ~(c2_1_ U))))) \/ ((forall V : Universe, (ndr1_0_ -> (c1_1_ V \/ (c2_1_ V \/ c0_1_ V)))) \/ (forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c2_1_ W \/ ~(c3_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (~(c0_1_ X) \/ (~(c3_1_ X) \/ ~(c2_1_ X))))) \/ ((forall Y : Universe, (ndr1_0_ -> (c1_1_ Y \/ (~(c2_1_ Y) \/ ~(c0_1_ Y))))) \/ hskp0_)) /\ (((forall Z : Universe, (ndr1_0_ -> (~(c3_1_ Z) \/ (c2_1_ Z \/ ~(c1_1_ Z))))) \/ ((forall X1 : Universe, (ndr1_0_ -> (~(c0_1_ X1) \/ (~(c1_1_ X1) \/ ~(c3_1_ X1))))) \/ hskp42_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c2_1_ X2 \/ (c0_1_ X2 \/ c1_1_ X2)))) \/ (hskp43_ \/ (forall X3 : Universe, (ndr1_0_ -> (c1_1_ X3 \/ (c2_1_ X3 \/ ~(c3_1_ X3))))))) /\ (((forall X4 : Universe, (ndr1_0_ -> (c2_1_ X4 \/ (~(c3_1_ X4) \/ c1_1_ X4)))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c3_1_ X5 \/ c2_1_ X5)))) \/ hskp44_)) /\ ((hskp45_ \/ ((forall X6 : Universe, (ndr1_0_ -> (c2_1_ X6 \/ (c0_1_ X6 \/ ~(c3_1_ X6))))) \/ hskp46_)) /\ (((forall X7 : Universe, (ndr1_0_ -> (~(c2_1_ X7) \/ (c0_1_ X7 \/ ~(c1_1_ X7))))) \/ (hskp1_ \/ hskp47_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (c2_1_ X8 \/ (c3_1_ X8 \/ c0_1_ X8)))) \/ ((forall X9 : Universe, (ndr1_0_ -> (~(c2_1_ X9) \/ (~(c1_1_ X9) \/ ~(c0_1_ X9))))) \/ (forall X10 : Universe, (ndr1_0_ -> (~(c3_1_ X10) \/ (c2_1_ X10 \/ c1_1_ X10)))))) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (~(c3_1_ X11) \/ c1_1_ X11)))) \/ ((forall X12 : Universe, (ndr1_0_ -> (~(c0_1_ X12) \/ (~(c2_1_ X12) \/ c3_1_ X12)))) \/ (forall X13 : Universe, (ndr1_0_ -> (~(c2_1_ X13) \/ (~(c3_1_ X13) \/ c1_1_ X13)))))) /\ (((forall X14 : Universe, (ndr1_0_ -> (c1_1_ X14 \/ (c0_1_ X14 \/ c3_1_ X14)))) \/ ((forall X15 : Universe, (ndr1_0_ -> (~(c3_1_ X15) \/ (~(c1_1_ X15) \/ ~(c2_1_ X15))))) \/ hskp2_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (~(c3_1_ X16) \/ (~(c1_1_ X16) \/ ~(c2_1_ X16))))) \/ (hskp48_ \/ hskp3_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (~(c1_1_ X17) \/ (c0_1_ X17 \/ c2_1_ X17)))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c2_1_ X18 \/ c3_1_ X18)))) \/ hskp4_)) /\ ((hskp49_ \/ (hskp5_ \/ (forall X19 : Universe, (ndr1_0_ -> (~(c2_1_ X19) \/ (~(c0_1_ X19) \/ ~(c3_1_ X19))))))) /\ (((forall X20 : Universe, (ndr1_0_ -> (c3_1_ X20 \/ (c1_1_ X20 \/ c2_1_ X20)))) \/ (hskp6_ \/ hskp7_)) /\ ((hskp50_ \/ ((forall X21 : Universe, (ndr1_0_ -> (~(c3_1_ X21) \/ (c0_1_ X21 \/ ~(c2_1_ X21))))) \/ (forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (~(c1_1_ X22) \/ c3_1_ X22)))))) /\ (((forall X23 : Universe, (ndr1_0_ -> (~(c2_1_ X23) \/ (c0_1_ X23 \/ c3_1_ X23)))) \/ ((forall X24 : Universe, (ndr1_0_ -> (~(c2_1_ X24) \/ (c3_1_ X24 \/ c0_1_ X24)))) \/ (forall X25 : Universe, (ndr1_0_ -> (c1_1_ X25 \/ (c2_1_ X25 \/ c3_1_ X25)))))) /\ (((forall X26 : Universe, (ndr1_0_ -> (~(c0_1_ X26) \/ (~(c1_1_ X26) \/ c3_1_ X26)))) \/ ((forall X27 : Universe, (ndr1_0_ -> (~(c1_1_ X27) \/ (~(c2_1_ X27) \/ ~(c3_1_ X27))))) \/ (forall X28 : Universe, (ndr1_0_ -> (c3_1_ X28 \/ (c2_1_ X28 \/ ~(c1_1_ X28))))))) /\ (((forall X29 : Universe, (ndr1_0_ -> (~(c1_1_ X29) \/ (~(c3_1_ X29) \/ c0_1_ X29)))) \/ (hskp51_ \/ (forall X30 : Universe, (ndr1_0_ -> (c2_1_ X30 \/ (~(c0_1_ X30) \/ ~(c1_1_ X30))))))) /\ (((forall X31 : Universe, (ndr1_0_ -> (~(c0_1_ X31) \/ (c1_1_ X31 \/ c3_1_ X31)))) \/ ((forall X32 : Universe, (ndr1_0_ -> (~(c3_1_ X32) \/ (~(c1_1_ X32) \/ ~(c0_1_ X32))))) \/ hskp52_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c3_1_ X33 \/ (~(c1_1_ X33) \/ c2_1_ X33)))) \/ (hskp8_ \/ (forall X34 : Universe, (ndr1_0_ -> (~(c0_1_ X34) \/ (~(c3_1_ X34) \/ ~(c2_1_ X34))))))) /\ (((forall X35 : Universe, (ndr1_0_ -> (~(c2_1_ X35) \/ (~(c1_1_ X35) \/ ~(c0_1_ X35))))) \/ (hskp53_ \/ hskp54_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (c2_1_ X36 \/ (c3_1_ X36 \/ ~(c1_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (~(c3_1_ X37) \/ (~(c1_1_ X37) \/ c2_1_ X37)))) \/ hskp9_)) /\ ((hskp10_ \/ ((forall X38 : Universe, (ndr1_0_ -> (c3_1_ X38 \/ (~(c2_1_ X38) \/ c1_1_ X38)))) \/ (forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (~(c3_1_ X39) \/ c2_1_ X39)))))) /\ (((forall X40 : Universe, (ndr1_0_ -> (~(c1_1_ X40) \/ (c3_1_ X40 \/ ~(c2_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (~(c2_1_ X41) \/ ~(c1_1_ X41))))) \/ (forall X42 : Universe, (ndr1_0_ -> (~(c1_1_ X42) \/ (c0_1_ X42 \/ c2_1_ X42)))))) /\ (((forall X43 : Universe, (ndr1_0_ -> (c1_1_ X43 \/ (c0_1_ X43 \/ ~(c2_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (c1_1_ X44 \/ (c0_1_ X44 \/ c2_1_ X44)))) \/ hskp55_)) /\ ((hskp11_ \/ (hskp12_ \/ hskp56_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (~(c3_1_ X45) \/ c1_1_ X45)))) \/ ((forall X46 : Universe, (ndr1_0_ -> (~(c2_1_ X46) \/ (c3_1_ X46 \/ ~(c1_1_ X46))))) \/ (forall X47 : Universe, (ndr1_0_ -> (~(c1_1_ X47) \/ (c0_1_ X47 \/ c3_1_ X47)))))) /\ ((hskp13_ \/ (hskp14_ \/ hskp57_)) /\ ((hskp58_ \/ ((forall X48 : Universe, (ndr1_0_ -> (c3_1_ X48 \/ (c0_1_ X48 \/ ~(c1_1_ X48))))) \/ hskp15_)) /\ ((hskp16_ \/ ((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (c3_1_ X49 \/ c1_1_ X49)))) \/ (forall X50 : Universe, (ndr1_0_ -> (~(c3_1_ X50) \/ (~(c2_1_ X50) \/ ~(c1_1_ X50))))))) /\ (((forall X51 : Universe, (ndr1_0_ -> (~(c2_1_ X51) \/ (~(c0_1_ X51) \/ ~(c3_1_ X51))))) \/ (hskp59_ \/ hskp17_)) /\ ((hskp18_ \/ (hskp19_ \/ (forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (c2_1_ X52 \/ c1_1_ X52)))))) /\ ((hskp20_ \/ (hskp21_ \/ hskp22_)) /\ ((hskp23_ \/ ((forall X53 : Universe, (ndr1_0_ -> (~(c3_1_ X53) \/ (c0_1_ X53 \/ ~(c2_1_ X53))))) \/ hskp60_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c2_1_ X54 \/ (c0_1_ X54 \/ c3_1_ X54)))) \/ (hskp49_ \/ (forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (~(c3_1_ X55) \/ ~(c1_1_ X55))))))) /\ ((hskp24_ \/ (hskp61_ \/ (forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (~(c1_1_ X56) \/ ~(c3_1_ X56))))))) /\ ((hskp25_ \/ (hskp11_ \/ hskp26_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (~(c2_1_ X57) \/ (~(c3_1_ X57) \/ c1_1_ X57)))) \/ (hskp62_ \/ hskp63_)) /\ ((hskp27_ \/ (hskp28_ \/ hskp42_)) /\ ((hskp29_ \/ (hskp30_ \/ (forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (c2_1_ X58 \/ c0_1_ X58)))))) /\ (((forall X59 : Universe, (ndr1_0_ -> (c3_1_ X59 \/ (~(c2_1_ X59) \/ c0_1_ X59)))) \/ (hskp64_ \/ (forall X60 : Universe, (ndr1_0_ -> (c3_1_ X60 \/ (~(c0_1_ X60) \/ c2_1_ X60)))))) /\ (((forall X61 : Universe, (ndr1_0_ -> (c0_1_ X61 \/ (c3_1_ X61 \/ c1_1_ X61)))) \/ (hskp31_ \/ hskp32_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c0_1_ X62 \/ (~(c2_1_ X62) \/ ~(c1_1_ X62))))) \/ ((forall X63 : Universe, (ndr1_0_ -> (~(c2_1_ X63) \/ (~(c1_1_ X63) \/ ~(c3_1_ X63))))) \/ (forall X64 : Universe, (ndr1_0_ -> (c3_1_ X64 \/ (c2_1_ X64 \/ c1_1_ X64)))))) /\ (((forall X65 : Universe, (ndr1_0_ -> (~(c2_1_ X65) \/ (c3_1_ X65 \/ c0_1_ X65)))) \/ ((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (~(c0_1_ X66) \/ ~(c2_1_ X66))))) \/ hskp63_)) /\ ((hskp65_ \/ ((forall X67 : Universe, (ndr1_0_ -> (c0_1_ X67 \/ (~(c3_1_ X67) \/ c2_1_ X67)))) \/ hskp66_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (~(c2_1_ X68) \/ c3_1_ X68)))) \/ (hskp32_ \/ hskp33_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c0_1_ X69 \/ (c1_1_ X69 \/ c3_1_ X69)))) \/ (hskp34_ \/ (forall X70 : Universe, (ndr1_0_ -> (~(c0_1_ X70) \/ (c3_1_ X70 \/ ~(c1_1_ X70))))))) /\ ((hskp47_ \/ ((forall X71 : Universe, (ndr1_0_ -> (~(c1_1_ X71) \/ (c3_1_ X71 \/ ~(c2_1_ X71))))) \/ hskp22_)) /\ ((hskp67_ \/ (hskp68_ \/ hskp69_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (~(c3_1_ X72) \/ (~(c0_1_ X72) \/ c1_1_ X72)))) \/ ((forall X73 : Universe, (ndr1_0_ -> (~(c1_1_ X73) \/ (~(c2_1_ X73) \/ ~(c3_1_ X73))))) \/ (forall X74 : Universe, (ndr1_0_ -> (c0_1_ X74 \/ (c2_1_ X74 \/ ~(c3_1_ X74))))))) /\ ((hskp61_ \/ (hskp70_ \/ (forall X75 : Universe, (ndr1_0_ -> (~(c3_1_ X75) \/ (~(c2_1_ X75) \/ ~(c0_1_ X75))))))) /\ ((hskp35_ \/ ((forall X76 : Universe, (ndr1_0_ -> (~(c2_1_ X76) \/ (~(c0_1_ X76) \/ ~(c1_1_ X76))))) \/ (forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (~(c0_1_ X77) \/ c3_1_ X77)))))) /\ (((forall X78 : Universe, (ndr1_0_ -> (c2_1_ X78 \/ (c1_1_ X78 \/ c0_1_ X78)))) \/ ((forall X79 : Universe, (ndr1_0_ -> (~(c2_1_ X79) \/ (c3_1_ X79 \/ ~(c1_1_ X79))))) \/ hskp36_)) /\ ((hskp37_ \/ ((forall X80 : Universe, (ndr1_0_ -> (~(c0_1_ X80) \/ (~(c3_1_ X80) \/ ~(c1_1_ X80))))) \/ hskp28_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c2_1_ X81 \/ (c1_1_ X81 \/ c3_1_ X81)))) \/ (hskp71_ \/ hskp38_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (~(c0_1_ X82) \/ (~(c1_1_ X82) \/ ~(c3_1_ X82))))) \/ (hskp39_ \/ hskp72_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c2_1_ X83 \/ (c3_1_ X83 \/ c0_1_ X83)))) \/ ((forall X84 : Universe, (ndr1_0_ -> (~(c1_1_ X84) \/ (~(c0_1_ X84) \/ c3_1_ X84)))) \/ (forall X85 : Universe, (ndr1_0_ -> (~(c3_1_ X85) \/ (~(c1_1_ X85) \/ ~(c0_1_ X85))))))) /\ ((hskp73_ \/ ((forall X86 : Universe, (ndr1_0_ -> (~(c0_1_ X86) \/ (c3_1_ X86 \/ ~(c1_1_ X86))))) \/ hskp74_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c2_1_ X87 \/ (c1_1_ X87 \/ ~(c0_1_ X87))))) \/ (hskp40_ \/ hskp41_)) /\ ((forall X88 : Universe, (ndr1_0_ -> (c0_1_ X88 \/ (~(c2_1_ X88) \/ c3_1_ X88)))) \/ (hskp75_ \/ (forall X89 : Universe, (ndr1_0_ -> (~(c0_1_ X89) \/ (~(c2_1_ X89) \/ ~(c1_1_ X89))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
