(*
% File     : SYN447+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=017
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-017.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.56 v3.1.0, 0.67 v2.6.0, 0.33 v2.5.0, 0.67 v2.4.0, 0.33 v2.2.1, 1.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  778 (   0 equality)
%            Maximal formula depth :  130 ( 130 average)
%            Number of connectives : 1070 ( 293 ~  ; 369  |; 315  &)
%                                         (   0 <=>;  93 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   69 (  65 propositional; 0-1 arity)
%            Number of functors    :   64 (  64 constant; 0-0 arity)
%            Number of variables   :   93 (   0 singleton;  93 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp63_ : Prop.
Variable hskp62_ : Prop.
Variable hskp61_ : Prop.
Variable hskp60_ : Prop.
Variable hskp6_ : Prop.
Variable hskp59_ : Prop.
Variable hskp58_ : Prop.
Variable hskp57_ : Prop.
Variable hskp56_ : Prop.
Variable hskp55_ : Prop.
Variable hskp54_ : Prop.
Variable hskp53_ : Prop.
Variable hskp52_ : Prop.
Variable hskp51_ : Prop.
Variable hskp50_ : Prop.
Variable hskp5_ : Prop.
Variable hskp49_ : Prop.
Variable hskp48_ : Prop.
Variable hskp47_ : Prop.
Variable hskp46_ : Prop.
Variable hskp45_ : Prop.
Variable hskp44_ : Prop.
Variable hskp43_ : Prop.
Variable hskp42_ : Prop.
Variable hskp41_ : Prop.
Variable hskp40_ : Prop.
Variable hskp4_ : Prop.
Variable hskp39_ : Prop.
Variable hskp38_ : Prop.
Variable hskp37_ : Prop.
Variable hskp36_ : Prop.
Variable hskp35_ : Prop.
Variable hskp34_ : Prop.
Variable hskp33_ : Prop.
Variable hskp32_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a1105_ : Universe.
Variable a1103_ : Universe.
Variable a1102_ : Universe.
Variable a1101_ : Universe.
Variable a1099_ : Universe.
Variable a1098_ : Universe.
Variable a1097_ : Universe.
Variable a1095_ : Universe.
Variable a1091_ : Universe.
Variable a1089_ : Universe.
Variable a1088_ : Universe.
Variable a1086_ : Universe.
Variable a1085_ : Universe.
Variable a1084_ : Universe.
Variable a1083_ : Universe.
Variable a1082_ : Universe.
Variable a1081_ : Universe.
Variable a1080_ : Universe.
Variable a1079_ : Universe.
Variable a1078_ : Universe.
Variable a1077_ : Universe.
Variable a1074_ : Universe.
Variable a1073_ : Universe.
Variable a1071_ : Universe.
Variable a1070_ : Universe.
Variable a1069_ : Universe.
Variable a1065_ : Universe.
Variable a1064_ : Universe.
Variable a1062_ : Universe.
Variable a1059_ : Universe.
Variable a1056_ : Universe.
Variable a1055_ : Universe.
Variable a1053_ : Universe.
Variable a1052_ : Universe.
Variable a1051_ : Universe.
Variable a1049_ : Universe.
Variable a1048_ : Universe.
Variable a1046_ : Universe.
Variable a1045_ : Universe.
Variable a1044_ : Universe.
Variable a1043_ : Universe.
Variable a1042_ : Universe.
Variable a1041_ : Universe.
Variable a1040_ : Universe.
Variable a1039_ : Universe.
Variable a1038_ : Universe.
Variable a1037_ : Universe.
Variable a1036_ : Universe.
Variable a1035_ : Universe.
Variable a1034_ : Universe.
Variable a1033_ : Universe.
Variable a1032_ : Universe.
Variable a1031_ : Universe.
Variable a1030_ : Universe.
Variable a1029_ : Universe.
Variable a1028_ : Universe.
Variable a1027_ : Universe.
Variable a1026_ : Universe.
Variable a1025_ : Universe.
Variable a1024_ : Universe.
Variable a1023_ : Universe.
Variable a1022_ : Universe.
Variable a1021_ : Universe.
Variable a1020_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c0_1_ a1020_ /\ (~(c1_1_ a1020_) /\ ~(c2_1_ a1020_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c2_1_ a1023_ /\ (~(c1_1_ a1023_) /\ ~(c0_1_ a1023_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c2_1_ a1024_ /\ (c1_1_ a1024_ /\ ~(c3_1_ a1024_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (~(c0_1_ a1025_) /\ (~(c3_1_ a1025_) /\ ~(c2_1_ a1025_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a1026_ /\ (~(c2_1_ a1026_) /\ ~(c1_1_ a1026_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c1_1_ a1027_ /\ (c2_1_ a1027_ /\ ~(c3_1_ a1027_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (~(c2_1_ a1030_) /\ (~(c3_1_ a1030_) /\ ~(c0_1_ a1030_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a1035_ /\ (c1_1_ a1035_ /\ ~(c2_1_ a1035_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c0_1_ a1036_ /\ (~(c3_1_ a1036_) /\ ~(c1_1_ a1036_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c1_1_ a1038_) /\ (c2_1_ a1038_ /\ ~(c0_1_ a1038_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c1_1_ a1039_ /\ (~(c2_1_ a1039_) /\ ~(c0_1_ a1039_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (~(c3_1_ a1041_) /\ (c1_1_ a1041_ /\ ~(c2_1_ a1041_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c1_1_ a1043_) /\ (c0_1_ a1043_ /\ ~(c3_1_ a1043_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c0_1_ a1048_ /\ (c3_1_ a1048_ /\ ~(c2_1_ a1048_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (~(c0_1_ a1055_) /\ (~(c1_1_ a1055_) /\ ~(c2_1_ a1055_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c3_1_ a1059_ /\ (c2_1_ a1059_ /\ ~(c1_1_ a1059_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c2_1_ a1064_ /\ (c0_1_ a1064_ /\ ~(c3_1_ a1064_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (~(c0_1_ a1077_) /\ (c3_1_ a1077_ /\ ~(c2_1_ a1077_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c2_1_ a1078_ /\ (c0_1_ a1078_ /\ ~(c1_1_ a1078_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a1079_ /\ (~(c0_1_ a1079_) /\ ~(c2_1_ a1079_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (~(c0_1_ a1080_) /\ (~(c2_1_ a1080_) /\ ~(c1_1_ a1080_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (~(c3_1_ a1082_) /\ (~(c2_1_ a1082_) /\ ~(c0_1_ a1082_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c2_1_ a1083_ /\ (c3_1_ a1083_ /\ ~(c1_1_ a1083_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c1_1_ a1088_ /\ (c3_1_ a1088_ /\ ~(c2_1_ a1088_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (~(c2_1_ a1089_) /\ (c0_1_ a1089_ /\ ~(c1_1_ a1089_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (~(c3_1_ a1091_) /\ (~(c0_1_ a1091_) /\ ~(c2_1_ a1091_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (~(c3_1_ a1098_) /\ (c1_1_ a1098_ /\ ~(c0_1_ a1098_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c3_1_ a1101_ /\ (c1_1_ a1101_ /\ ~(c0_1_ a1101_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (~(c0_1_ a1102_) /\ (c2_1_ a1102_ /\ ~(c1_1_ a1102_))))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (~(c1_1_ a1021_) /\ (~(c3_1_ a1021_) /\ c2_1_ a1021_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (~(c2_1_ a1022_) /\ (c3_1_ a1022_ /\ c1_1_ a1022_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c0_1_ a1028_ /\ (~(c1_1_ a1028_) /\ c3_1_ a1028_)))) /\ ((~(hskp32_) \/ (ndr1_0_ /\ (~(c0_1_ a1029_) /\ (c1_1_ a1029_ /\ c2_1_ a1029_)))) /\ ((~(hskp33_) \/ (ndr1_0_ /\ (c3_1_ a1031_ /\ (~(c1_1_ a1031_) /\ c2_1_ a1031_)))) /\ ((~(hskp34_) \/ (ndr1_0_ /\ (~(c2_1_ a1032_) /\ (~(c1_1_ a1032_) /\ c3_1_ a1032_)))) /\ ((~(hskp35_) \/ (ndr1_0_ /\ (c0_1_ a1033_ /\ (c1_1_ a1033_ /\ c3_1_ a1033_)))) /\ ((~(hskp36_) \/ (ndr1_0_ /\ (c3_1_ a1034_ /\ (~(c0_1_ a1034_) /\ c1_1_ a1034_)))) /\ ((~(hskp37_) \/ (ndr1_0_ /\ (~(c1_1_ a1037_) /\ (c0_1_ a1037_ /\ c3_1_ a1037_)))) /\ ((~(hskp38_) \/ (ndr1_0_ /\ (c1_1_ a1040_ /\ (c3_1_ a1040_ /\ c2_1_ a1040_)))) /\ ((~(hskp39_) \/ (ndr1_0_ /\ (c0_1_ a1042_ /\ (~(c1_1_ a1042_) /\ c2_1_ a1042_)))) /\ ((~(hskp40_) \/ (ndr1_0_ /\ (~(c1_1_ a1044_) /\ (c3_1_ a1044_ /\ c0_1_ a1044_)))) /\ ((~(hskp41_) \/ (ndr1_0_ /\ (~(c1_1_ a1045_) /\ (~(c0_1_ a1045_) /\ c3_1_ a1045_)))) /\ ((~(hskp42_) \/ (ndr1_0_ /\ (~(c2_1_ a1046_) /\ (c1_1_ a1046_ /\ c0_1_ a1046_)))) /\ ((~(hskp43_) \/ (ndr1_0_ /\ (c0_1_ a1049_ /\ (c2_1_ a1049_ /\ c1_1_ a1049_)))) /\ ((~(hskp44_) \/ (ndr1_0_ /\ (c1_1_ a1051_ /\ (~(c2_1_ a1051_) /\ c0_1_ a1051_)))) /\ ((~(hskp45_) \/ (ndr1_0_ /\ (c0_1_ a1052_ /\ (c3_1_ a1052_ /\ c2_1_ a1052_)))) /\ ((~(hskp46_) \/ (ndr1_0_ /\ (~(c1_1_ a1053_) /\ (~(c2_1_ a1053_) /\ c0_1_ a1053_)))) /\ ((~(hskp47_) \/ (ndr1_0_ /\ (c2_1_ a1056_ /\ (c1_1_ a1056_ /\ c3_1_ a1056_)))) /\ ((~(hskp48_) \/ (ndr1_0_ /\ (c3_1_ a1062_ /\ (c2_1_ a1062_ /\ c0_1_ a1062_)))) /\ ((~(hskp49_) \/ (ndr1_0_ /\ (~(c0_1_ a1065_) /\ (~(c2_1_ a1065_) /\ c1_1_ a1065_)))) /\ ((~(hskp50_) \/ (ndr1_0_ /\ (~(c0_1_ a1069_) /\ (c3_1_ a1069_ /\ c1_1_ a1069_)))) /\ ((~(hskp51_) \/ (ndr1_0_ /\ (c2_1_ a1070_ /\ (~(c1_1_ a1070_) /\ c0_1_ a1070_)))) /\ ((~(hskp52_) \/ (ndr1_0_ /\ (c1_1_ a1071_ /\ (c0_1_ a1071_ /\ c3_1_ a1071_)))) /\ ((~(hskp53_) \/ (ndr1_0_ /\ (c1_1_ a1073_ /\ (c2_1_ a1073_ /\ c0_1_ a1073_)))) /\ ((~(hskp54_) \/ (ndr1_0_ /\ (c3_1_ a1074_ /\ (c0_1_ a1074_ /\ c2_1_ a1074_)))) /\ ((~(hskp55_) \/ (ndr1_0_ /\ (c1_1_ a1081_ /\ (~(c0_1_ a1081_) /\ c3_1_ a1081_)))) /\ ((~(hskp56_) \/ (ndr1_0_ /\ (~(c3_1_ a1084_) /\ (~(c1_1_ a1084_) /\ c0_1_ a1084_)))) /\ ((~(hskp57_) \/ (ndr1_0_ /\ (c2_1_ a1085_ /\ (c0_1_ a1085_ /\ c3_1_ a1085_)))) /\ ((~(hskp58_) \/ (ndr1_0_ /\ (~(c0_1_ a1086_) /\ (c2_1_ a1086_ /\ c3_1_ a1086_)))) /\ ((~(hskp59_) \/ (ndr1_0_ /\ (~(c0_1_ a1095_) /\ (~(c3_1_ a1095_) /\ c1_1_ a1095_)))) /\ ((~(hskp60_) \/ (ndr1_0_ /\ (c2_1_ a1097_ /\ (~(c0_1_ a1097_) /\ c3_1_ a1097_)))) /\ ((~(hskp61_) \/ (ndr1_0_ /\ (~(c3_1_ a1099_) /\ (~(c0_1_ a1099_) /\ c2_1_ a1099_)))) /\ ((~(hskp62_) \/ (ndr1_0_ /\ (c2_1_ a1103_ /\ (c3_1_ a1103_ /\ c1_1_ a1103_)))) /\ ((~(hskp63_) \/ (ndr1_0_ /\ (~(c2_1_ a1105_) /\ (c1_1_ a1105_ /\ c3_1_ a1105_)))) /\ ((hskp0_ \/ (hskp29_ \/ hskp30_)) /\ (((forall U : Universe, (ndr1_0_ -> (~(c3_1_ U) \/ (c2_1_ U \/ c1_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c1_1_ V \/ (~(c0_1_ V) \/ ~(c2_1_ V))))) \/ hskp1_)) /\ ((hskp2_ \/ ((forall W : Universe, (ndr1_0_ -> (c3_1_ W \/ (c2_1_ W \/ c0_1_ W)))) \/ (forall X : Universe, (ndr1_0_ -> (~(c0_1_ X) \/ (~(c1_1_ X) \/ ~(c3_1_ X))))))) /\ (((forall Y : Universe, (ndr1_0_ -> (c2_1_ Y \/ (c3_1_ Y \/ c0_1_ Y)))) \/ (hskp3_ \/ (forall Z : Universe, (ndr1_0_ -> (c1_1_ Z \/ (~(c0_1_ Z) \/ c2_1_ Z)))))) /\ ((hskp4_ \/ (hskp5_ \/ (forall X1 : Universe, (ndr1_0_ -> (~(c0_1_ X1) \/ (~(c2_1_ X1) \/ c3_1_ X1)))))) /\ ((hskp31_ \/ ((forall X2 : Universe, (ndr1_0_ -> (~(c0_1_ X2) \/ (~(c1_1_ X2) \/ c2_1_ X2)))) \/ (forall X3 : Universe, (ndr1_0_ -> (~(c2_1_ X3) \/ (c1_1_ X3 \/ c3_1_ X3)))))) /\ (((forall X4 : Universe, (ndr1_0_ -> (~(c1_1_ X4) \/ (~(c0_1_ X4) \/ c3_1_ X4)))) \/ (hskp32_ \/ hskp6_)) /\ ((hskp33_ \/ ((forall X5 : Universe, (ndr1_0_ -> (~(c1_1_ X5) \/ (c2_1_ X5 \/ c0_1_ X5)))) \/ (forall X6 : Universe, (ndr1_0_ -> (~(c1_1_ X6) \/ (~(c3_1_ X6) \/ ~(c2_1_ X6))))))) /\ (((forall X7 : Universe, (ndr1_0_ -> (c2_1_ X7 \/ (~(c1_1_ X7) \/ c3_1_ X7)))) \/ ((forall X8 : Universe, (ndr1_0_ -> (c3_1_ X8 \/ (c1_1_ X8 \/ ~(c0_1_ X8))))) \/ hskp34_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c2_1_ X9 \/ (c0_1_ X9 \/ c3_1_ X9)))) \/ (hskp35_ \/ (forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c2_1_ X10 \/ ~(c3_1_ X10))))))) /\ (((forall X11 : Universe, (ndr1_0_ -> (c2_1_ X11 \/ (~(c1_1_ X11) \/ c0_1_ X11)))) \/ (hskp36_ \/ hskp7_)) /\ (((forall X12 : Universe, (ndr1_0_ -> (~(c3_1_ X12) \/ (~(c1_1_ X12) \/ c0_1_ X12)))) \/ (hskp8_ \/ hskp37_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c3_1_ X13 \/ c2_1_ X13)))) \/ (hskp9_ \/ (forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (~(c3_1_ X14) \/ c1_1_ X14)))))) /\ (((forall X15 : Universe, (ndr1_0_ -> (c3_1_ X15 \/ (c2_1_ X15 \/ c0_1_ X15)))) \/ hskp10_) /\ (((forall X16 : Universe, (ndr1_0_ -> (~(c3_1_ X16) \/ (c2_1_ X16 \/ ~(c0_1_ X16))))) \/ (hskp38_ \/ (forall X17 : Universe, (ndr1_0_ -> (~(c0_1_ X17) \/ (~(c3_1_ X17) \/ c1_1_ X17)))))) /\ ((hskp11_ \/ ((forall X18 : Universe, (ndr1_0_ -> (~(c0_1_ X18) \/ (~(c3_1_ X18) \/ ~(c1_1_ X18))))) \/ hskp39_)) /\ ((hskp12_ \/ ((forall X19 : Universe, (ndr1_0_ -> (~(c2_1_ X19) \/ (~(c1_1_ X19) \/ ~(c0_1_ X19))))) \/ (forall X20 : Universe, (ndr1_0_ -> (~(c3_1_ X20) \/ (c2_1_ X20 \/ ~(c0_1_ X20))))))) /\ ((hskp40_ \/ (hskp41_ \/ (forall X21 : Universe, (ndr1_0_ -> (~(c0_1_ X21) \/ (c1_1_ X21 \/ ~(c2_1_ X21))))))) /\ ((hskp42_ \/ ((forall X22 : Universe, (ndr1_0_ -> (c1_1_ X22 \/ (c0_1_ X22 \/ ~(c2_1_ X22))))) \/ (forall X23 : Universe, (ndr1_0_ -> (~(c1_1_ X23) \/ (~(c3_1_ X23) \/ c2_1_ X23)))))) /\ (((forall X24 : Universe, (ndr1_0_ -> (~(c0_1_ X24) \/ (c2_1_ X24 \/ ~(c1_1_ X24))))) \/ ((forall X25 : Universe, (ndr1_0_ -> (c1_1_ X25 \/ (~(c0_1_ X25) \/ ~(c3_1_ X25))))) \/ hskp4_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (~(c0_1_ X26) \/ (~(c2_1_ X26) \/ c3_1_ X26)))) \/ (hskp13_ \/ hskp43_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (~(c2_1_ X27) \/ ~(c3_1_ X27))))) \/ ((forall X28 : Universe, (ndr1_0_ -> (~(c0_1_ X28) \/ (~(c3_1_ X28) \/ ~(c2_1_ X28))))) \/ hskp7_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c1_1_ X29 \/ (c3_1_ X29 \/ c2_1_ X29)))) \/ (hskp44_ \/ hskp45_)) /\ ((hskp46_ \/ (hskp38_ \/ hskp14_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (~(c0_1_ X30) \/ (~(c2_1_ X30) \/ c1_1_ X30)))) \/ (hskp47_ \/ (forall X31 : Universe, (ndr1_0_ -> (~(c2_1_ X31) \/ (~(c0_1_ X31) \/ c3_1_ X31)))))) /\ ((hskp10_ \/ ((forall X32 : Universe, (ndr1_0_ -> (~(c1_1_ X32) \/ (c0_1_ X32 \/ ~(c2_1_ X32))))) \/ hskp43_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (~(c3_1_ X33) \/ (c2_1_ X33 \/ c0_1_ X33)))) \/ (hskp15_ \/ hskp33_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (~(c1_1_ X34) \/ c3_1_ X34)))) \/ (hskp36_ \/ hskp48_)) /\ (((forall X35 : Universe, (ndr1_0_ -> (~(c1_1_ X35) \/ (c3_1_ X35 \/ c2_1_ X35)))) \/ (hskp42_ \/ hskp16_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (~(c3_1_ X36) \/ (c2_1_ X36 \/ ~(c0_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c3_1_ X37 \/ (c1_1_ X37 \/ c0_1_ X37)))) \/ hskp49_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c3_1_ X38 \/ (c2_1_ X38 \/ c0_1_ X38)))) \/ (hskp1_ \/ (forall X39 : Universe, (ndr1_0_ -> (c1_1_ X39 \/ (c2_1_ X39 \/ ~(c0_1_ X39))))))) /\ (((forall X40 : Universe, (ndr1_0_ -> (c1_1_ X40 \/ (c3_1_ X40 \/ c0_1_ X40)))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (~(c2_1_ X41) \/ c1_1_ X41)))) \/ (forall X42 : Universe, (ndr1_0_ -> (c3_1_ X42 \/ (c1_1_ X42 \/ ~(c2_1_ X42))))))) /\ ((hskp7_ \/ ((forall X43 : Universe, (ndr1_0_ -> (~(c2_1_ X43) \/ (~(c1_1_ X43) \/ c3_1_ X43)))) \/ hskp12_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (~(c2_1_ X44) \/ ~(c1_1_ X44))))) \/ (hskp50_ \/ hskp51_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (~(c2_1_ X45) \/ (c0_1_ X45 \/ c1_1_ X45)))) \/ ((forall X46 : Universe, (ndr1_0_ -> (~(c0_1_ X46) \/ (c3_1_ X46 \/ c1_1_ X46)))) \/ (forall X47 : Universe, (ndr1_0_ -> (c3_1_ X47 \/ (c1_1_ X47 \/ c2_1_ X47)))))) /\ ((hskp52_ \/ (hskp34_ \/ (forall X48 : Universe, (ndr1_0_ -> (~(c3_1_ X48) \/ (c1_1_ X48 \/ ~(c0_1_ X48))))))) /\ (((forall X49 : Universe, (ndr1_0_ -> (~(c2_1_ X49) \/ (~(c3_1_ X49) \/ ~(c0_1_ X49))))) \/ (hskp53_ \/ (forall X50 : Universe, (ndr1_0_ -> (~(c3_1_ X50) \/ (c1_1_ X50 \/ ~(c2_1_ X50))))))) /\ ((hskp54_ \/ (hskp47_ \/ (forall X51 : Universe, (ndr1_0_ -> (~(c3_1_ X51) \/ (~(c2_1_ X51) \/ ~(c1_1_ X51))))))) /\ (((forall X52 : Universe, (ndr1_0_ -> (~(c2_1_ X52) \/ (~(c1_1_ X52) \/ ~(c3_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c3_1_ X53 \/ (~(c0_1_ X53) \/ c1_1_ X53)))) \/ (forall X54 : Universe, (ndr1_0_ -> (~(c0_1_ X54) \/ (~(c1_1_ X54) \/ c3_1_ X54)))))) /\ ((hskp39_ \/ (hskp17_ \/ hskp18_)) /\ ((hskp19_ \/ ((forall X55 : Universe, (ndr1_0_ -> (c1_1_ X55 \/ (~(c0_1_ X55) \/ c3_1_ X55)))) \/ hskp20_)) /\ ((hskp55_ \/ ((forall X56 : Universe, (ndr1_0_ -> (~(c0_1_ X56) \/ (c2_1_ X56 \/ c1_1_ X56)))) \/ hskp21_)) /\ ((hskp22_ \/ ((forall X57 : Universe, (ndr1_0_ -> (~(c1_1_ X57) \/ (c2_1_ X57 \/ ~(c3_1_ X57))))) \/ hskp56_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (~(c1_1_ X58) \/ (c0_1_ X58 \/ c2_1_ X58)))) \/ ((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (c3_1_ X59 \/ c1_1_ X59)))) \/ (forall X60 : Universe, (ndr1_0_ -> (c3_1_ X60 \/ (~(c1_1_ X60) \/ c2_1_ X60)))))) /\ (((forall X61 : Universe, (ndr1_0_ -> (~(c0_1_ X61) \/ (~(c3_1_ X61) \/ c2_1_ X61)))) \/ ((forall X62 : Universe, (ndr1_0_ -> (~(c2_1_ X62) \/ (~(c3_1_ X62) \/ c1_1_ X62)))) \/ hskp57_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c2_1_ X63 \/ (~(c1_1_ X63) \/ ~(c3_1_ X63))))) \/ ((forall X64 : Universe, (ndr1_0_ -> (~(c3_1_ X64) \/ (c1_1_ X64 \/ c2_1_ X64)))) \/ hskp58_)) /\ ((hskp33_ \/ (hskp23_ \/ (forall X65 : Universe, (ndr1_0_ -> (~(c0_1_ X65) \/ (~(c2_1_ X65) \/ ~(c3_1_ X65))))))) /\ (((forall X66 : Universe, (ndr1_0_ -> (c0_1_ X66 \/ (~(c1_1_ X66) \/ ~(c3_1_ X66))))) \/ ((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c0_1_ X67 \/ c3_1_ X67)))) \/ hskp24_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (~(c1_1_ X68) \/ (~(c2_1_ X68) \/ ~(c3_1_ X68))))) \/ (hskp36_ \/ (forall X69 : Universe, (ndr1_0_ -> (~(c1_1_ X69) \/ (c0_1_ X69 \/ ~(c3_1_ X69))))))) /\ (((forall X70 : Universe, (ndr1_0_ -> (c2_1_ X70 \/ (~(c1_1_ X70) \/ c0_1_ X70)))) \/ (hskp25_ \/ (forall X71 : Universe, (ndr1_0_ -> (~(c2_1_ X71) \/ (~(c1_1_ X71) \/ ~(c3_1_ X71))))))) /\ ((hskp51_ \/ ((forall X72 : Universe, (ndr1_0_ -> (~(c0_1_ X72) \/ (~(c3_1_ X72) \/ ~(c2_1_ X72))))) \/ (forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (~(c0_1_ X73) \/ c2_1_ X73)))))) /\ ((hskp48_ \/ ((forall X74 : Universe, (ndr1_0_ -> (c0_1_ X74 \/ (c2_1_ X74 \/ c1_1_ X74)))) \/ hskp14_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c0_1_ X75 \/ (~(c2_1_ X75) \/ ~(c3_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (c3_1_ X76 \/ (c1_1_ X76 \/ ~(c2_1_ X76))))) \/ (forall X77 : Universe, (ndr1_0_ -> (c0_1_ X77 \/ (c1_1_ X77 \/ c2_1_ X77)))))) /\ (((forall X78 : Universe, (ndr1_0_ -> (~(c1_1_ X78) \/ (~(c0_1_ X78) \/ ~(c2_1_ X78))))) \/ ((forall X79 : Universe, (ndr1_0_ -> (~(c2_1_ X79) \/ (~(c0_1_ X79) \/ ~(c3_1_ X79))))) \/ (forall X80 : Universe, (ndr1_0_ -> (~(c0_1_ X80) \/ (~(c1_1_ X80) \/ ~(c2_1_ X80))))))) /\ (((forall X81 : Universe, (ndr1_0_ -> (~(c3_1_ X81) \/ (c2_1_ X81 \/ ~(c1_1_ X81))))) \/ (hskp59_ \/ (forall X82 : Universe, (ndr1_0_ -> (~(c3_1_ X82) \/ (c0_1_ X82 \/ c2_1_ X82)))))) /\ (((forall X83 : Universe, (ndr1_0_ -> (~(c2_1_ X83) \/ (~(c3_1_ X83) \/ c0_1_ X83)))) \/ ((forall X84 : Universe, (ndr1_0_ -> (c2_1_ X84 \/ (c3_1_ X84 \/ ~(c1_1_ X84))))) \/ hskp35_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (~(c0_1_ X85) \/ (c1_1_ X85 \/ c2_1_ X85)))) \/ (hskp60_ \/ hskp26_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (~(c3_1_ X86) \/ (~(c1_1_ X86) \/ c0_1_ X86)))) \/ ((forall X87 : Universe, (ndr1_0_ -> (~(c1_1_ X87) \/ (c3_1_ X87 \/ c2_1_ X87)))) \/ hskp61_)) /\ ((hskp43_ \/ (hskp27_ \/ hskp28_)) /\ (hskp62_ \/ (hskp56_ \/ hskp63_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
