(*
% File     : SYN471+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=72, K=3, D=1, P=0, Index=000
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-72-3-1-000.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.5.0, 0.67 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  718 (   0 equality)
%            Maximal formula depth :  107 ( 107 average)
%            Number of connectives :  986 ( 269 ~  ; 403  |; 199  &)
%                                         (   0 <=>; 115 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :  115 (   0 singleton; 115 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a690_ : Universe.
Variable a672_ : Universe.
Variable a667_ : Universe.
Variable a656_ : Universe.
Variable a651_ : Universe.
Variable a645_ : Universe.
Variable a644_ : Universe.
Variable a637_ : Universe.
Variable a631_ : Universe.
Variable a630_ : Universe.
Variable a627_ : Universe.
Variable a625_ : Universe.
Variable a624_ : Universe.
Variable a620_ : Universe.
Variable a619_ : Universe.
Variable a618_ : Universe.
Variable a615_ : Universe.
Variable a614_ : Universe.
Variable a609_ : Universe.
Variable a608_ : Universe.
Variable a605_ : Universe.
Variable a604_ : Universe.
Variable a603_ : Universe.
Variable a602_ : Universe.
Variable a600_ : Universe.
Variable a599_ : Universe.
Variable a598_ : Universe.
Variable a597_ : Universe.
Variable a596_ : Universe.
Variable a595_ : Universe.
Variable a594_ : Universe.
Variable a593_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c2_1_ a593_ /\ (~(c0_1_ a593_) /\ ~(c3_1_ a593_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c0_1_ a594_ /\ (c1_1_ a594_ /\ ~(c3_1_ a594_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c2_1_ a596_ /\ (~(c0_1_ a596_) /\ ~(c1_1_ a596_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c1_1_ a597_ /\ (c2_1_ a597_ /\ ~(c3_1_ a597_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c0_1_ a598_) /\ (~(c1_1_ a598_) /\ ~(c2_1_ a598_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c2_1_ a599_ /\ (c3_1_ a599_ /\ ~(c1_1_ a599_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c3_1_ a600_ /\ (~(c1_1_ a600_) /\ ~(c2_1_ a600_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c2_1_ a602_ /\ (c3_1_ a602_ /\ ~(c0_1_ a602_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c0_1_ a603_ /\ (~(c1_1_ a603_) /\ ~(c2_1_ a603_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c1_1_ a604_ /\ (c2_1_ a604_ /\ ~(c0_1_ a604_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a605_ /\ (c2_1_ a605_ /\ ~(c3_1_ a605_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c1_1_ a608_ /\ (~(c0_1_ a608_) /\ ~(c3_1_ a608_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c2_1_ a609_ /\ (~(c1_1_ a609_) /\ ~(c3_1_ a609_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a614_ /\ (~(c2_1_ a614_) /\ ~(c3_1_ a614_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a615_ /\ (c2_1_ a615_ /\ ~(c1_1_ a615_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c0_1_ a619_ /\ (~(c1_1_ a619_) /\ ~(c3_1_ a619_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c1_1_ a620_ /\ (~(c0_1_ a620_) /\ ~(c2_1_ a620_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c0_1_ a624_ /\ (c1_1_ a624_ /\ ~(c2_1_ a624_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c3_1_ a625_ /\ (~(c0_1_ a625_) /\ ~(c1_1_ a625_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c0_1_ a627_ /\ (~(c2_1_ a627_) /\ ~(c3_1_ a627_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c0_1_ a630_ /\ (c3_1_ a630_ /\ ~(c2_1_ a630_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a631_ /\ (c3_1_ a631_ /\ ~(c1_1_ a631_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (~(c0_1_ a644_) /\ (~(c2_1_ a644_) /\ ~(c3_1_ a644_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c3_1_ a645_ /\ (~(c0_1_ a645_) /\ ~(c2_1_ a645_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c1_1_ a651_ /\ (c3_1_ a651_ /\ ~(c2_1_ a651_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a656_ /\ (c3_1_ a656_ /\ ~(c0_1_ a656_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (~(c0_1_ a667_) /\ (~(c1_1_ a667_) /\ ~(c3_1_ a667_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (~(c1_1_ a690_) /\ (~(c2_1_ a690_) /\ ~(c3_1_ a690_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c1_1_ a595_ /\ (c2_1_ a595_ /\ c3_1_ a595_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a618_ /\ (c1_1_ a618_ /\ c3_1_ a618_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a637_ /\ (c1_1_ a637_ /\ c2_1_ a637_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c0_1_ a672_ /\ (c2_1_ a672_ /\ c3_1_ a672_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c1_1_ V \/ c3_1_ V)))) \/ (forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c2_1_ W \/ c3_1_ W)))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ ~(c3_1_ Y))))) \/ (forall Z : Universe, (ndr1_0_ -> (c3_1_ Z \/ (~(c0_1_ Z) \/ ~(c2_1_ Z))))))) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c2_1_ X1)))) \/ ((forall X2 : Universe, (ndr1_0_ -> (c2_1_ X2 \/ (c3_1_ X2 \/ ~(c0_1_ X2))))) \/ (forall X3 : Universe, (ndr1_0_ -> (c2_1_ X3 \/ (~(c0_1_ X3) \/ ~(c3_1_ X3))))))) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ c2_1_ X4)))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c3_1_ X5 \/ (~(c0_1_ X5) \/ ~(c2_1_ X5))))) \/ hskp0_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ c2_1_ X6)))) \/ ((forall X7 : Universe, (ndr1_0_ -> (c3_1_ X7 \/ (~(c1_1_ X7) \/ ~(c2_1_ X7))))) \/ (forall X8 : Universe, (ndr1_0_ -> (~(c0_1_ X8) \/ (~(c1_1_ X8) \/ ~(c2_1_ X8))))))) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ c3_1_ X9)))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ ~(c3_1_ X10))))) \/ (forall X11 : Universe, (ndr1_0_ -> (~(c0_1_ X11) \/ (~(c2_1_ X11) \/ ~(c3_1_ X11))))))) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c1_1_ X12 \/ ~(c2_1_ X12))))) \/ ((forall X13 : Universe, (ndr1_0_ -> (c1_1_ X13 \/ (~(c0_1_ X13) \/ ~(c3_1_ X13))))) \/ hskp1_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c1_1_ X14 \/ ~(c2_1_ X14))))) \/ (hskp28_ \/ hskp2_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c2_1_ X15))))) \/ (hskp3_ \/ hskp4_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c1_1_ X16 \/ ~(c3_1_ X16))))) \/ ((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c2_1_ X17 \/ c3_1_ X17)))) \/ (forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (~(c2_1_ X18) \/ ~(c3_1_ X18))))))) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c1_1_ X19 \/ ~(c3_1_ X19))))) \/ ((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c3_1_ X20 \/ ~(c1_1_ X20))))) \/ (forall X21 : Universe, (ndr1_0_ -> (c3_1_ X21 \/ (~(c0_1_ X21) \/ ~(c1_1_ X21))))))) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c1_1_ X22 \/ ~(c3_1_ X22))))) \/ ((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (~(c2_1_ X23) \/ ~(c3_1_ X23))))) \/ (forall X24 : Universe, (ndr1_0_ -> (c2_1_ X24 \/ (~(c0_1_ X24) \/ ~(c3_1_ X24))))))) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c1_1_ X25 \/ ~(c3_1_ X25))))) \/ (hskp5_ \/ hskp6_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ c3_1_ X26)))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c3_1_ X27 \/ ~(c1_1_ X27))))) \/ hskp5_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c2_1_ X28 \/ c3_1_ X28)))) \/ ((forall X29 : Universe, (ndr1_0_ -> (c2_1_ X29 \/ (c3_1_ X29 \/ ~(c0_1_ X29))))) \/ (forall X30 : Universe, (ndr1_0_ -> (~(c0_1_ X30) \/ (~(c1_1_ X30) \/ ~(c2_1_ X30))))))) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c2_1_ X31 \/ c3_1_ X31)))) \/ ((forall X32 : Universe, (ndr1_0_ -> (~(c0_1_ X32) \/ (~(c1_1_ X32) \/ ~(c2_1_ X32))))) \/ hskp7_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c2_1_ X33 \/ ~(c1_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (c1_1_ X34 \/ (c2_1_ X34 \/ ~(c0_1_ X34))))) \/ hskp8_)) /\ (((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (c2_1_ X35 \/ ~(c1_1_ X35))))) \/ ((forall X36 : Universe, (ndr1_0_ -> (c1_1_ X36 \/ (c3_1_ X36 \/ ~(c2_1_ X36))))) \/ (forall X37 : Universe, (ndr1_0_ -> (~(c0_1_ X37) \/ (~(c2_1_ X37) \/ ~(c3_1_ X37))))))) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (c2_1_ X38 \/ ~(c1_1_ X38))))) \/ ((forall X39 : Universe, (ndr1_0_ -> (~(c0_1_ X39) \/ (~(c2_1_ X39) \/ ~(c3_1_ X39))))) \/ hskp9_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (c2_1_ X40 \/ ~(c1_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (~(c1_1_ X41) \/ (~(c2_1_ X41) \/ ~(c3_1_ X41))))) \/ hskp10_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (c3_1_ X42 \/ ~(c1_1_ X42))))) \/ ((forall X43 : Universe, (ndr1_0_ -> (c1_1_ X43 \/ (~(c0_1_ X43) \/ ~(c3_1_ X43))))) \/ hskp1_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (c3_1_ X44 \/ ~(c1_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (c2_1_ X45 \/ (~(c1_1_ X45) \/ ~(c3_1_ X45))))) \/ hskp28_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (c3_1_ X46 \/ ~(c2_1_ X46))))) \/ ((forall X47 : Universe, (ndr1_0_ -> (c1_1_ X47 \/ (c3_1_ X47 \/ ~(c0_1_ X47))))) \/ hskp11_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (c3_1_ X48 \/ ~(c2_1_ X48))))) \/ ((forall X49 : Universe, (ndr1_0_ -> (c2_1_ X49 \/ (~(c1_1_ X49) \/ ~(c3_1_ X49))))) \/ hskp12_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c0_1_ X50 \/ (c3_1_ X50 \/ ~(c2_1_ X50))))) \/ (hskp10_ \/ hskp5_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (c3_1_ X51 \/ ~(c2_1_ X51))))) \/ (hskp28_ \/ hskp7_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (~(c1_1_ X52) \/ ~(c2_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c0_1_ X53 \/ (~(c1_1_ X53) \/ ~(c3_1_ X53))))) \/ (forall X54 : Universe, (ndr1_0_ -> (~(c1_1_ X54) \/ (~(c2_1_ X54) \/ ~(c3_1_ X54))))))) /\ (((forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (~(c1_1_ X55) \/ ~(c2_1_ X55))))) \/ ((forall X56 : Universe, (ndr1_0_ -> (c2_1_ X56 \/ (~(c0_1_ X56) \/ ~(c3_1_ X56))))) \/ hskp13_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (~(c1_1_ X57) \/ ~(c3_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (~(c0_1_ X58) \/ (~(c1_1_ X58) \/ ~(c2_1_ X58))))) \/ hskp14_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (~(c1_1_ X59) \/ ~(c3_1_ X59))))) \/ (hskp14_ \/ hskp8_)) /\ (((forall X60 : Universe, (ndr1_0_ -> (c0_1_ X60 \/ (~(c2_1_ X60) \/ ~(c3_1_ X60))))) \/ ((forall X61 : Universe, (ndr1_0_ -> (c2_1_ X61 \/ (c3_1_ X61 \/ ~(c1_1_ X61))))) \/ (forall X62 : Universe, (ndr1_0_ -> (~(c0_1_ X62) \/ (~(c1_1_ X62) \/ ~(c2_1_ X62))))))) /\ (((forall X63 : Universe, (ndr1_0_ -> (c0_1_ X63 \/ (~(c2_1_ X63) \/ ~(c3_1_ X63))))) \/ ((forall X64 : Universe, (ndr1_0_ -> (~(c0_1_ X64) \/ (~(c1_1_ X64) \/ ~(c2_1_ X64))))) \/ hskp29_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c0_1_ X65 \/ (~(c2_1_ X65) \/ ~(c3_1_ X65))))) \/ (hskp15_ \/ hskp16_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c2_1_ X66 \/ c3_1_ X66)))) \/ (hskp14_ \/ hskp4_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c2_1_ X67 \/ ~(c0_1_ X67))))) \/ ((forall X68 : Universe, (ndr1_0_ -> (c2_1_ X68 \/ (~(c0_1_ X68) \/ ~(c3_1_ X68))))) \/ hskp12_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (c2_1_ X69 \/ ~(c3_1_ X69))))) \/ (hskp17_ \/ hskp18_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (c3_1_ X70 \/ ~(c2_1_ X70))))) \/ ((forall X71 : Universe, (ndr1_0_ -> (~(c0_1_ X71) \/ (~(c1_1_ X71) \/ ~(c3_1_ X71))))) \/ hskp18_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c3_1_ X72 \/ ~(c2_1_ X72))))) \/ (hskp19_ \/ hskp7_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (~(c0_1_ X73) \/ ~(c2_1_ X73))))) \/ ((forall X74 : Universe, (ndr1_0_ -> (c2_1_ X74 \/ (~(c0_1_ X74) \/ ~(c1_1_ X74))))) \/ hskp12_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (~(c0_1_ X75) \/ ~(c3_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (c2_1_ X76 \/ (c3_1_ X76 \/ ~(c0_1_ X76))))) \/ hskp20_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (~(c0_1_ X77) \/ ~(c3_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (c2_1_ X78 \/ (c3_1_ X78 \/ ~(c1_1_ X78))))) \/ (forall X79 : Universe, (ndr1_0_ -> (c3_1_ X79 \/ (~(c1_1_ X79) \/ ~(c2_1_ X79))))))) /\ (((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (~(c0_1_ X80) \/ ~(c3_1_ X80))))) \/ ((forall X81 : Universe, (ndr1_0_ -> (c3_1_ X81 \/ (~(c0_1_ X81) \/ ~(c1_1_ X81))))) \/ hskp21_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (~(c0_1_ X82) \/ ~(c3_1_ X82))))) \/ (hskp14_ \/ hskp5_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (~(c2_1_ X83) \/ ~(c3_1_ X83))))) \/ (hskp13_ \/ hskp12_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c2_1_ X84 \/ (c3_1_ X84 \/ ~(c0_1_ X84))))) \/ ((forall X85 : Universe, (ndr1_0_ -> (c2_1_ X85 \/ (~(c0_1_ X85) \/ ~(c1_1_ X85))))) \/ hskp29_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (c2_1_ X86 \/ (c3_1_ X86 \/ ~(c0_1_ X86))))) \/ ((forall X87 : Universe, (ndr1_0_ -> (~(c0_1_ X87) \/ (~(c2_1_ X87) \/ ~(c3_1_ X87))))) \/ hskp30_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c2_1_ X88 \/ (c3_1_ X88 \/ ~(c0_1_ X88))))) \/ (hskp19_ \/ hskp28_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c2_1_ X89 \/ (c3_1_ X89 \/ ~(c1_1_ X89))))) \/ ((forall X90 : Universe, (ndr1_0_ -> (~(c0_1_ X90) \/ (~(c1_1_ X90) \/ ~(c2_1_ X90))))) \/ (forall X91 : Universe, (ndr1_0_ -> (~(c0_1_ X91) \/ (~(c2_1_ X91) \/ ~(c3_1_ X91))))))) /\ (((forall X92 : Universe, (ndr1_0_ -> (c2_1_ X92 \/ (~(c0_1_ X92) \/ ~(c1_1_ X92))))) \/ ((forall X93 : Universe, (ndr1_0_ -> (~(c0_1_ X93) \/ (~(c1_1_ X93) \/ ~(c2_1_ X93))))) \/ hskp18_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (c2_1_ X94 \/ (~(c0_1_ X94) \/ ~(c1_1_ X94))))) \/ (hskp8_ \/ hskp4_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (c2_1_ X95 \/ (~(c0_1_ X95) \/ ~(c1_1_ X95))))) \/ (hskp4_ \/ hskp22_)) /\ (((forall X96 : Universe, (ndr1_0_ -> (c2_1_ X96 \/ (~(c0_1_ X96) \/ ~(c3_1_ X96))))) \/ (hskp23_ \/ hskp22_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (c2_1_ X97 \/ (~(c1_1_ X97) \/ ~(c3_1_ X97))))) \/ (hskp29_ \/ hskp6_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (c2_1_ X98 \/ (~(c1_1_ X98) \/ ~(c3_1_ X98))))) \/ (hskp10_ \/ hskp5_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c3_1_ X99 \/ (~(c0_1_ X99) \/ ~(c1_1_ X99))))) \/ ((forall X100 : Universe, (ndr1_0_ -> (~(c0_1_ X100) \/ (~(c2_1_ X100) \/ ~(c3_1_ X100))))) \/ hskp24_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (c3_1_ X101 \/ (~(c0_1_ X101) \/ ~(c1_1_ X101))))) \/ ((forall X102 : Universe, (ndr1_0_ -> (~(c1_1_ X102) \/ (~(c2_1_ X102) \/ ~(c3_1_ X102))))) \/ hskp17_)) /\ (((forall X103 : Universe, (ndr1_0_ -> (c3_1_ X103 \/ (~(c0_1_ X103) \/ ~(c2_1_ X103))))) \/ hskp14_) /\ (((forall X104 : Universe, (ndr1_0_ -> (c3_1_ X104 \/ (~(c0_1_ X104) \/ ~(c2_1_ X104))))) \/ (hskp28_ \/ hskp4_)) /\ (((forall X105 : Universe, (ndr1_0_ -> (c3_1_ X105 \/ (~(c0_1_ X105) \/ ~(c2_1_ X105))))) \/ hskp25_) /\ (((forall X106 : Universe, (ndr1_0_ -> (c3_1_ X106 \/ (~(c1_1_ X106) \/ ~(c2_1_ X106))))) \/ (hskp0_ \/ hskp22_)) /\ (((forall X107 : Universe, (ndr1_0_ -> (~(c0_1_ X107) \/ (~(c1_1_ X107) \/ ~(c2_1_ X107))))) \/ (hskp29_ \/ hskp16_)) /\ (((forall X108 : Universe, (ndr1_0_ -> (~(c0_1_ X108) \/ (~(c2_1_ X108) \/ ~(c3_1_ X108))))) \/ (hskp28_ \/ hskp2_)) /\ (((forall X109 : Universe, (ndr1_0_ -> (~(c1_1_ X109) \/ (~(c2_1_ X109) \/ ~(c3_1_ X109))))) \/ (hskp5_ \/ hskp18_)) /\ ((hskp30_ \/ (hskp3_ \/ hskp26_)) /\ ((hskp29_ \/ (hskp25_ \/ hskp23_)) /\ ((hskp1_ \/ (hskp31_ \/ hskp24_)) /\ ((hskp1_ \/ (hskp21_ \/ hskp4_)) /\ ((hskp10_ \/ (hskp28_ \/ hskp2_)) /\ ((hskp10_ \/ (hskp9_ \/ hskp12_)) /\ ((hskp10_ \/ (hskp12_ \/ hskp18_)) /\ ((hskp9_ \/ hskp24_) /\ (hskp3_ \/ (hskp13_ \/ hskp27_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
