(*
% File     : SYN472+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=72, K=3, D=1, P=0, Index=003
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-72-3-1-003.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  713 (   0 equality)
%            Maximal formula depth :  106 ( 106 average)
%            Number of connectives :  953 ( 241 ~  ; 403  |; 195  &)
%                                         (   0 <=>; 114 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :  114 (   0 singleton; 114 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a777_ : Universe.
Variable a773_ : Universe.
Variable a764_ : Universe.
Variable a763_ : Universe.
Variable a761_ : Universe.
Variable a760_ : Universe.
Variable a754_ : Universe.
Variable a752_ : Universe.
Variable a751_ : Universe.
Variable a744_ : Universe.
Variable a738_ : Universe.
Variable a734_ : Universe.
Variable a733_ : Universe.
Variable a730_ : Universe.
Variable a726_ : Universe.
Variable a725_ : Universe.
Variable a722_ : Universe.
Variable a717_ : Universe.
Variable a713_ : Universe.
Variable a712_ : Universe.
Variable a710_ : Universe.
Variable a708_ : Universe.
Variable a702_ : Universe.
Variable a701_ : Universe.
Variable a698_ : Universe.
Variable a697_ : Universe.
Variable a696_ : Universe.
Variable a695_ : Universe.
Variable a693_ : Universe.
Variable a692_ : Universe.
Variable a691_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c2_1_ a692_ /\ (~(c0_1_ a692_) /\ ~(c1_1_ a692_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c2_1_ a693_ /\ (~(c1_1_ a693_) /\ ~(c3_1_ a693_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c0_1_ a696_ /\ (c1_1_ a696_ /\ ~(c2_1_ a696_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a697_ /\ (c2_1_ a697_ /\ ~(c3_1_ a697_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c0_1_ a698_) /\ (~(c2_1_ a698_) /\ ~(c3_1_ a698_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a701_ /\ (c2_1_ a701_ /\ ~(c1_1_ a701_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a702_ /\ (c3_1_ a702_ /\ ~(c2_1_ a702_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c1_1_ a708_ /\ (c2_1_ a708_ /\ ~(c3_1_ a708_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c2_1_ a710_ /\ (c3_1_ a710_ /\ ~(c0_1_ a710_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c0_1_ a712_) /\ (~(c1_1_ a712_) /\ ~(c2_1_ a712_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c1_1_ a717_ /\ (c3_1_ a717_ /\ ~(c2_1_ a717_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a722_ /\ (c3_1_ a722_ /\ ~(c1_1_ a722_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c0_1_ a725_) /\ (~(c1_1_ a725_) /\ ~(c3_1_ a725_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a726_ /\ (~(c0_1_ a726_) /\ ~(c3_1_ a726_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a730_ /\ (c1_1_ a730_ /\ ~(c3_1_ a730_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c3_1_ a734_ /\ (~(c1_1_ a734_) /\ ~(c2_1_ a734_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c2_1_ a738_ /\ (c3_1_ a738_ /\ ~(c1_1_ a738_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (~(c1_1_ a744_) /\ (~(c2_1_ a744_) /\ ~(c3_1_ a744_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c0_1_ a751_ /\ (~(c1_1_ a751_) /\ ~(c3_1_ a751_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c0_1_ a752_ /\ (~(c2_1_ a752_) /\ ~(c3_1_ a752_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c2_1_ a754_ /\ (~(c0_1_ a754_) /\ ~(c3_1_ a754_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c1_1_ a760_ /\ (c3_1_ a760_ /\ ~(c0_1_ a760_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c1_1_ a761_ /\ (~(c0_1_ a761_) /\ ~(c2_1_ a761_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c0_1_ a763_ /\ (~(c1_1_ a763_) /\ ~(c2_1_ a763_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c1_1_ a764_ /\ (~(c2_1_ a764_) /\ ~(c3_1_ a764_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a773_ /\ (c2_1_ a773_ /\ ~(c0_1_ a773_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c3_1_ a777_ /\ (~(c0_1_ a777_) /\ ~(c1_1_ a777_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a691_ /\ (c1_1_ a691_ /\ c3_1_ a691_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a695_ /\ (c1_1_ a695_ /\ c2_1_ a695_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a713_ /\ (c2_1_ a713_ /\ c3_1_ a713_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c1_1_ a733_ /\ (c2_1_ a733_ /\ c3_1_ a733_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c3_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c1_1_ V \/ (c3_1_ V \/ ~(c0_1_ V))))) \/ hskp27_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c3_1_ W)))) \/ (hskp0_ \/ hskp1_)) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ ~(c2_1_ X))))) \/ ((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c2_1_ Y \/ ~(c1_1_ Y))))) \/ hskp27_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ ~(c2_1_ Z))))) \/ ((forall X1 : Universe, (ndr1_0_ -> (c1_1_ X1 \/ (c2_1_ X1 \/ ~(c0_1_ X1))))) \/ hskp28_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ ~(c2_1_ X2))))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c1_1_ X3 \/ (c3_1_ X3 \/ ~(c0_1_ X3))))) \/ (forall X4 : Universe, (ndr1_0_ -> (c3_1_ X4 \/ (~(c1_1_ X4) \/ ~(c2_1_ X4))))))) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ ~(c2_1_ X5))))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c1_1_ X6 \/ (~(c2_1_ X6) \/ ~(c3_1_ X6))))) \/ hskp2_)) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ ~(c2_1_ X7))))) \/ (hskp3_ \/ hskp4_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ ~(c3_1_ X8))))) \/ ((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c2_1_ X9 \/ ~(c1_1_ X9))))) \/ hskp3_)) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ ~(c3_1_ X10))))) \/ ((forall X11 : Universe, (ndr1_0_ -> (c2_1_ X11 \/ (c3_1_ X11 \/ ~(c1_1_ X11))))) \/ hskp0_)) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c1_1_ X12 \/ ~(c3_1_ X12))))) \/ (hskp5_ \/ hskp6_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c2_1_ X13 \/ c3_1_ X13)))) \/ ((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c2_1_ X14 \/ ~(c1_1_ X14))))) \/ (forall X15 : Universe, (ndr1_0_ -> (c1_1_ X15 \/ (c2_1_ X15 \/ c3_1_ X15)))))) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c2_1_ X16 \/ c3_1_ X16)))) \/ ((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c3_1_ X17 \/ ~(c1_1_ X17))))) \/ hskp6_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c2_1_ X18 \/ c3_1_ X18)))) \/ ((forall X19 : Universe, (ndr1_0_ -> (c2_1_ X19 \/ (~(c0_1_ X19) \/ ~(c3_1_ X19))))) \/ hskp0_)) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c2_1_ X20 \/ c3_1_ X20)))) \/ ((forall X21 : Universe, (ndr1_0_ -> (c3_1_ X21 \/ (~(c0_1_ X21) \/ ~(c1_1_ X21))))) \/ (forall X22 : Universe, (ndr1_0_ -> (~(c0_1_ X22) \/ (~(c2_1_ X22) \/ ~(c3_1_ X22))))))) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ c3_1_ X23)))) \/ (hskp27_ \/ hskp6_)) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c2_1_ X24 \/ c3_1_ X24)))) \/ (hskp2_ \/ hskp7_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ c3_1_ X25)))) \/ (hskp5_ \/ hskp8_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ c3_1_ X26)))) \/ (hskp3_ \/ hskp9_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ ~(c1_1_ X27))))) \/ ((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (~(c1_1_ X28) \/ ~(c2_1_ X28))))) \/ hskp29_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ ~(c1_1_ X29))))) \/ ((forall X30 : Universe, (ndr1_0_ -> (c1_1_ X30 \/ (c2_1_ X30 \/ ~(c3_1_ X30))))) \/ hskp29_)) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c2_1_ X31 \/ ~(c1_1_ X31))))) \/ ((forall X32 : Universe, (ndr1_0_ -> (c3_1_ X32 \/ (~(c0_1_ X32) \/ ~(c1_1_ X32))))) \/ (forall X33 : Universe, (ndr1_0_ -> (c3_1_ X33 \/ (~(c1_1_ X33) \/ ~(c2_1_ X33))))))) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c2_1_ X34 \/ ~(c3_1_ X34))))) \/ ((forall X35 : Universe, (ndr1_0_ -> (c1_1_ X35 \/ (c2_1_ X35 \/ ~(c0_1_ X35))))) \/ hskp5_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c2_1_ X36 \/ ~(c3_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c1_1_ X37 \/ (c2_1_ X37 \/ ~(c3_1_ X37))))) \/ (forall X38 : Universe, (ndr1_0_ -> (c1_1_ X38 \/ (c3_1_ X38 \/ ~(c2_1_ X38))))))) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c2_1_ X39 \/ ~(c3_1_ X39))))) \/ ((forall X40 : Universe, (ndr1_0_ -> (~(c1_1_ X40) \/ (~(c2_1_ X40) \/ ~(c3_1_ X40))))) \/ hskp28_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (c3_1_ X41 \/ ~(c1_1_ X41))))) \/ ((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (c3_1_ X42 \/ ~(c2_1_ X42))))) \/ (forall X43 : Universe, (ndr1_0_ -> (c2_1_ X43 \/ (~(c0_1_ X43) \/ ~(c3_1_ X43))))))) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (c3_1_ X44 \/ ~(c2_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (~(c1_1_ X45) \/ ~(c3_1_ X45))))) \/ hskp10_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (c3_1_ X46 \/ ~(c2_1_ X46))))) \/ ((forall X47 : Universe, (ndr1_0_ -> (c1_1_ X47 \/ (c2_1_ X47 \/ ~(c0_1_ X47))))) \/ (forall X48 : Universe, (ndr1_0_ -> (c2_1_ X48 \/ (c3_1_ X48 \/ ~(c0_1_ X48))))))) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (c3_1_ X49 \/ ~(c2_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c2_1_ X50 \/ (c3_1_ X50 \/ ~(c1_1_ X50))))) \/ hskp6_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (c3_1_ X51 \/ ~(c2_1_ X51))))) \/ ((forall X52 : Universe, (ndr1_0_ -> (~(c1_1_ X52) \/ (~(c2_1_ X52) \/ ~(c3_1_ X52))))) \/ hskp8_)) /\ (((forall X53 : Universe, (ndr1_0_ -> (c0_1_ X53 \/ (~(c1_1_ X53) \/ ~(c2_1_ X53))))) \/ ((forall X54 : Universe, (ndr1_0_ -> (c2_1_ X54 \/ (~(c0_1_ X54) \/ ~(c1_1_ X54))))) \/ hskp5_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (~(c1_1_ X55) \/ ~(c3_1_ X55))))) \/ ((forall X56 : Universe, (ndr1_0_ -> (c1_1_ X56 \/ (c2_1_ X56 \/ ~(c0_1_ X56))))) \/ hskp4_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (~(c2_1_ X57) \/ ~(c3_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (~(c2_1_ X58) \/ ~(c3_1_ X58))))) \/ (forall X59 : Universe, (ndr1_0_ -> (c2_1_ X59 \/ (c3_1_ X59 \/ ~(c1_1_ X59))))))) /\ (((forall X60 : Universe, (ndr1_0_ -> (c0_1_ X60 \/ (~(c2_1_ X60) \/ ~(c3_1_ X60))))) \/ ((forall X61 : Universe, (ndr1_0_ -> (c2_1_ X61 \/ (c3_1_ X61 \/ ~(c0_1_ X61))))) \/ hskp11_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c0_1_ X62 \/ (~(c2_1_ X62) \/ ~(c3_1_ X62))))) \/ ((forall X63 : Universe, (ndr1_0_ -> (~(c0_1_ X63) \/ (~(c1_1_ X63) \/ ~(c3_1_ X63))))) \/ hskp8_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c1_1_ X64 \/ (c2_1_ X64 \/ c3_1_ X64)))) \/ ((forall X65 : Universe, (ndr1_0_ -> (c2_1_ X65 \/ (~(c0_1_ X65) \/ ~(c1_1_ X65))))) \/ hskp3_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c2_1_ X66 \/ ~(c0_1_ X66))))) \/ ((forall X67 : Universe, (ndr1_0_ -> (c2_1_ X67 \/ (~(c0_1_ X67) \/ ~(c1_1_ X67))))) \/ hskp12_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (c2_1_ X68 \/ ~(c3_1_ X68))))) \/ ((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (c3_1_ X69 \/ ~(c0_1_ X69))))) \/ hskp13_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (c2_1_ X70 \/ ~(c3_1_ X70))))) \/ ((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (~(c2_1_ X71) \/ ~(c3_1_ X71))))) \/ (forall X72 : Universe, (ndr1_0_ -> (c3_1_ X72 \/ (~(c0_1_ X72) \/ ~(c1_1_ X72))))))) /\ (((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (c2_1_ X73 \/ ~(c3_1_ X73))))) \/ (hskp3_ \/ hskp1_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (c3_1_ X74 \/ ~(c0_1_ X74))))) \/ ((forall X75 : Universe, (ndr1_0_ -> (c2_1_ X75 \/ (~(c0_1_ X75) \/ ~(c3_1_ X75))))) \/ hskp0_)) /\ (((forall X76 : Universe, (ndr1_0_ -> (c1_1_ X76 \/ (c3_1_ X76 \/ ~(c0_1_ X76))))) \/ (hskp14_ \/ hskp3_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (c3_1_ X77 \/ ~(c0_1_ X77))))) \/ (hskp14_ \/ hskp30_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (c1_1_ X78 \/ (c3_1_ X78 \/ ~(c0_1_ X78))))) \/ (hskp15_ \/ hskp12_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (c3_1_ X79 \/ ~(c2_1_ X79))))) \/ ((forall X80 : Universe, (ndr1_0_ -> (c2_1_ X80 \/ (c3_1_ X80 \/ ~(c0_1_ X80))))) \/ hskp28_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c1_1_ X81 \/ (c3_1_ X81 \/ ~(c2_1_ X81))))) \/ ((forall X82 : Universe, (ndr1_0_ -> (~(c0_1_ X82) \/ (~(c2_1_ X82) \/ ~(c3_1_ X82))))) \/ hskp14_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (~(c0_1_ X83) \/ ~(c2_1_ X83))))) \/ ((forall X84 : Universe, (ndr1_0_ -> (c3_1_ X84 \/ (~(c1_1_ X84) \/ ~(c2_1_ X84))))) \/ hskp16_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c1_1_ X85 \/ (~(c0_1_ X85) \/ ~(c2_1_ X85))))) \/ (hskp7_ \/ hskp16_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (c1_1_ X86 \/ (~(c2_1_ X86) \/ ~(c3_1_ X86))))) \/ (hskp7_ \/ hskp13_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c2_1_ X87 \/ (c3_1_ X87 \/ ~(c0_1_ X87))))) \/ (hskp29_ \/ hskp17_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c2_1_ X88 \/ (c3_1_ X88 \/ ~(c1_1_ X88))))) \/ ((forall X89 : Universe, (ndr1_0_ -> (c3_1_ X89 \/ (~(c1_1_ X89) \/ ~(c2_1_ X89))))) \/ hskp28_)) /\ (((forall X90 : Universe, (ndr1_0_ -> (c2_1_ X90 \/ (c3_1_ X90 \/ ~(c1_1_ X90))))) \/ ((forall X91 : Universe, (ndr1_0_ -> (~(c0_1_ X91) \/ (~(c2_1_ X91) \/ ~(c3_1_ X91))))) \/ hskp30_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c2_1_ X92 \/ (~(c0_1_ X92) \/ ~(c1_1_ X92))))) \/ (hskp5_ \/ hskp1_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c2_1_ X93 \/ (~(c0_1_ X93) \/ ~(c3_1_ X93))))) \/ ((forall X94 : Universe, (ndr1_0_ -> (~(c1_1_ X94) \/ (~(c2_1_ X94) \/ ~(c3_1_ X94))))) \/ hskp28_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (c2_1_ X95 \/ (~(c1_1_ X95) \/ ~(c3_1_ X95))))) \/ ((forall X96 : Universe, (ndr1_0_ -> (c3_1_ X96 \/ (~(c0_1_ X96) \/ ~(c1_1_ X96))))) \/ hskp17_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (c2_1_ X97 \/ (~(c1_1_ X97) \/ ~(c3_1_ X97))))) \/ (hskp18_ \/ hskp19_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (c2_1_ X98 \/ (~(c1_1_ X98) \/ ~(c3_1_ X98))))) \/ (hskp16_ \/ hskp20_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c3_1_ X99 \/ (~(c0_1_ X99) \/ ~(c1_1_ X99))))) \/ (hskp11_ \/ hskp7_)) /\ (((forall X100 : Universe, (ndr1_0_ -> (c3_1_ X100 \/ (~(c0_1_ X100) \/ ~(c1_1_ X100))))) \/ (hskp16_ \/ hskp15_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (c3_1_ X101 \/ (~(c0_1_ X101) \/ ~(c2_1_ X101))))) \/ ((forall X102 : Universe, (ndr1_0_ -> (~(c1_1_ X102) \/ (~(c2_1_ X102) \/ ~(c3_1_ X102))))) \/ hskp3_)) /\ (((forall X103 : Universe, (ndr1_0_ -> (c3_1_ X103 \/ (~(c0_1_ X103) \/ ~(c2_1_ X103))))) \/ (hskp21_ \/ hskp22_)) /\ (((forall X104 : Universe, (ndr1_0_ -> (c3_1_ X104 \/ (~(c1_1_ X104) \/ ~(c2_1_ X104))))) \/ ((forall X105 : Universe, (ndr1_0_ -> (~(c0_1_ X105) \/ (~(c2_1_ X105) \/ ~(c3_1_ X105))))) \/ hskp20_)) /\ (((forall X106 : Universe, (ndr1_0_ -> (~(c0_1_ X106) \/ (~(c1_1_ X106) \/ ~(c2_1_ X106))))) \/ (hskp23_ \/ hskp24_)) /\ (((forall X107 : Universe, (ndr1_0_ -> (~(c0_1_ X107) \/ (~(c1_1_ X107) \/ ~(c3_1_ X107))))) \/ (hskp27_ \/ hskp18_)) /\ (((forall X108 : Universe, (ndr1_0_ -> (~(c0_1_ X108) \/ (~(c1_1_ X108) \/ ~(c3_1_ X108))))) \/ (hskp30_ \/ hskp20_)) /\ ((hskp28_ \/ (hskp30_ \/ hskp12_)) /\ ((hskp28_ \/ (hskp25_ \/ hskp22_)) /\ ((hskp14_ \/ (hskp7_ \/ hskp26_)) /\ ((hskp29_ \/ (hskp7_ \/ hskp13_)) /\ ((hskp11_ \/ (hskp23_ \/ hskp13_)) /\ ((hskp23_ \/ (hskp18_ \/ hskp21_)) /\ ((hskp30_ \/ (hskp20_ \/ hskp1_)) /\ (hskp13_ \/ (hskp20_ \/ hskp12_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
