(*
% File     : SYN473+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=72, K=3, D=1, P=0, Index=005
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-72-3-1-005.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  704 (   0 equality)
%            Maximal formula depth :  106 ( 106 average)
%            Number of connectives :  953 ( 250 ~  ; 397  |; 195  &)
%                                         (   0 <=>; 111 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :  111 (   0 singleton; 111 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a869_ : Universe.
Variable a867_ : Universe.
Variable a865_ : Universe.
Variable a862_ : Universe.
Variable a856_ : Universe.
Variable a840_ : Universe.
Variable a838_ : Universe.
Variable a833_ : Universe.
Variable a832_ : Universe.
Variable a829_ : Universe.
Variable a828_ : Universe.
Variable a825_ : Universe.
Variable a821_ : Universe.
Variable a817_ : Universe.
Variable a816_ : Universe.
Variable a814_ : Universe.
Variable a809_ : Universe.
Variable a808_ : Universe.
Variable a807_ : Universe.
Variable a806_ : Universe.
Variable a805_ : Universe.
Variable a803_ : Universe.
Variable a802_ : Universe.
Variable a800_ : Universe.
Variable a799_ : Universe.
Variable a798_ : Universe.
Variable a797_ : Universe.
Variable a796_ : Universe.
Variable a795_ : Universe.
Variable a794_ : Universe.
Variable a793_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c0_1_ a793_ /\ (c2_1_ a793_ /\ ~(c1_1_ a793_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c3_1_ a794_ /\ (~(c0_1_ a794_) /\ ~(c2_1_ a794_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (~(c0_1_ a795_) /\ (~(c1_1_ a795_) /\ ~(c3_1_ a795_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a798_ /\ (c2_1_ a798_ /\ ~(c3_1_ a798_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a799_ /\ (c3_1_ a799_ /\ ~(c1_1_ a799_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c3_1_ a800_ /\ (~(c0_1_ a800_) /\ ~(c1_1_ a800_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c2_1_ a802_ /\ (~(c0_1_ a802_) /\ ~(c1_1_ a802_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c1_1_ a803_ /\ (c3_1_ a803_ /\ ~(c2_1_ a803_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c1_1_ a805_ /\ (~(c2_1_ a805_) /\ ~(c3_1_ a805_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c0_1_ a806_ /\ (c1_1_ a806_ /\ ~(c3_1_ a806_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (~(c0_1_ a807_) /\ (~(c2_1_ a807_) /\ ~(c3_1_ a807_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c3_1_ a808_ /\ (~(c1_1_ a808_) /\ ~(c2_1_ a808_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c1_1_ a809_ /\ (c2_1_ a809_ /\ ~(c0_1_ a809_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a814_ /\ (~(c0_1_ a814_) /\ ~(c3_1_ a814_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a816_ /\ (~(c1_1_ a816_) /\ ~(c2_1_ a816_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c2_1_ a817_ /\ (c3_1_ a817_ /\ ~(c1_1_ a817_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (~(c0_1_ a821_) /\ (~(c1_1_ a821_) /\ ~(c2_1_ a821_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c0_1_ a825_ /\ (c1_1_ a825_ /\ ~(c2_1_ a825_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (~(c1_1_ a828_) /\ (~(c2_1_ a828_) /\ ~(c3_1_ a828_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c2_1_ a832_ /\ (~(c1_1_ a832_) /\ ~(c3_1_ a832_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c1_1_ a833_ /\ (~(c0_1_ a833_) /\ ~(c2_1_ a833_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a838_ /\ (c3_1_ a838_ /\ ~(c2_1_ a838_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c1_1_ a840_ /\ (c3_1_ a840_ /\ ~(c0_1_ a840_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c0_1_ a856_ /\ (~(c2_1_ a856_) /\ ~(c3_1_ a856_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c0_1_ a862_ /\ (~(c1_1_ a862_) /\ ~(c3_1_ a862_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a865_ /\ (c2_1_ a865_ /\ ~(c3_1_ a865_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c2_1_ a869_ /\ (c3_1_ a869_ /\ ~(c0_1_ a869_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a796_ /\ (c2_1_ a796_ /\ c3_1_ a796_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c1_1_ a797_ /\ (c2_1_ a797_ /\ c3_1_ a797_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a829_ /\ (c1_1_ a829_ /\ c2_1_ a829_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a867_ /\ (c1_1_ a867_ /\ c3_1_ a867_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c2_1_ V \/ c3_1_ V)))) \/ (forall W : Universe, (ndr1_0_ -> (c3_1_ W \/ (~(c1_1_ W) \/ ~(c2_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c3_1_ Y \/ (~(c0_1_ Y) \/ ~(c2_1_ Y))))) \/ hskp0_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c2_1_ Z)))) \/ (hskp1_ \/ hskp2_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c3_1_ X1)))) \/ ((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (~(c1_1_ X2) \/ ~(c2_1_ X2))))) \/ (forall X3 : Universe, (ndr1_0_ -> (c1_1_ X3 \/ (c3_1_ X3 \/ ~(c2_1_ X3))))))) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ c3_1_ X4)))) \/ (hskp27_ \/ hskp28_)) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ c3_1_ X5)))) \/ (hskp3_ \/ hskp4_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ ~(c3_1_ X6))))) \/ ((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c3_1_ X7 \/ ~(c2_1_ X7))))) \/ hskp5_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ ~(c3_1_ X8))))) \/ ((forall X9 : Universe, (ndr1_0_ -> (c1_1_ X9 \/ (c3_1_ X9 \/ ~(c2_1_ X9))))) \/ hskp4_)) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ ~(c3_1_ X10))))) \/ ((forall X11 : Universe, (ndr1_0_ -> (c1_1_ X11 \/ (~(c0_1_ X11) \/ ~(c2_1_ X11))))) \/ (forall X12 : Universe, (ndr1_0_ -> (c2_1_ X12 \/ (~(c0_1_ X12) \/ ~(c1_1_ X12))))))) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ ~(c3_1_ X13))))) \/ ((forall X14 : Universe, (ndr1_0_ -> (c2_1_ X14 \/ (~(c1_1_ X14) \/ ~(c3_1_ X14))))) \/ hskp6_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c3_1_ X15))))) \/ ((forall X16 : Universe, (ndr1_0_ -> (~(c1_1_ X16) \/ (~(c2_1_ X16) \/ ~(c3_1_ X16))))) \/ hskp7_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c1_1_ X17 \/ ~(c3_1_ X17))))) \/ (hskp4_ \/ hskp8_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c2_1_ X18 \/ c3_1_ X18)))) \/ ((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (~(c1_1_ X19) \/ ~(c3_1_ X19))))) \/ (forall X20 : Universe, (ndr1_0_ -> (c3_1_ X20 \/ (~(c0_1_ X20) \/ ~(c1_1_ X20))))))) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c2_1_ X21 \/ c3_1_ X21)))) \/ ((forall X22 : Universe, (ndr1_0_ -> (c1_1_ X22 \/ (c2_1_ X22 \/ ~(c3_1_ X22))))) \/ (forall X23 : Universe, (ndr1_0_ -> (c1_1_ X23 \/ (c3_1_ X23 \/ ~(c0_1_ X23))))))) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c2_1_ X24 \/ c3_1_ X24)))) \/ (hskp9_ \/ hskp10_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ ~(c3_1_ X25))))) \/ ((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c3_1_ X26 \/ ~(c1_1_ X26))))) \/ hskp11_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ ~(c3_1_ X27))))) \/ ((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c3_1_ X28 \/ ~(c2_1_ X28))))) \/ hskp12_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ ~(c3_1_ X29))))) \/ ((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (~(c1_1_ X30) \/ ~(c2_1_ X30))))) \/ (forall X31 : Universe, (ndr1_0_ -> (c3_1_ X31 \/ (~(c0_1_ X31) \/ ~(c2_1_ X31))))))) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c2_1_ X32 \/ ~(c3_1_ X32))))) \/ ((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (~(c1_1_ X33) \/ ~(c3_1_ X33))))) \/ (forall X34 : Universe, (ndr1_0_ -> (c3_1_ X34 \/ (~(c1_1_ X34) \/ ~(c2_1_ X34))))))) /\ (((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (c2_1_ X35 \/ ~(c3_1_ X35))))) \/ ((forall X36 : Universe, (ndr1_0_ -> (c2_1_ X36 \/ (~(c0_1_ X36) \/ ~(c1_1_ X36))))) \/ hskp9_)) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c2_1_ X37 \/ ~(c3_1_ X37))))) \/ (hskp1_ \/ hskp10_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (c3_1_ X38 \/ ~(c1_1_ X38))))) \/ ((forall X39 : Universe, (ndr1_0_ -> (c1_1_ X39 \/ (~(c2_1_ X39) \/ ~(c3_1_ X39))))) \/ (forall X40 : Universe, (ndr1_0_ -> (~(c0_1_ X40) \/ (~(c2_1_ X40) \/ ~(c3_1_ X40))))))) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (c3_1_ X41 \/ ~(c1_1_ X41))))) \/ ((forall X42 : Universe, (ndr1_0_ -> (c2_1_ X42 \/ (c3_1_ X42 \/ ~(c1_1_ X42))))) \/ hskp3_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c3_1_ X43 \/ ~(c1_1_ X43))))) \/ (hskp13_ \/ hskp6_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (c3_1_ X44 \/ ~(c2_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (~(c1_1_ X45) \/ ~(c3_1_ X45))))) \/ hskp14_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (c3_1_ X46 \/ ~(c2_1_ X46))))) \/ ((forall X47 : Universe, (ndr1_0_ -> (c2_1_ X47 \/ (~(c1_1_ X47) \/ ~(c3_1_ X47))))) \/ (forall X48 : Universe, (ndr1_0_ -> (c3_1_ X48 \/ (~(c0_1_ X48) \/ ~(c1_1_ X48))))))) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (c3_1_ X49 \/ ~(c2_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (~(c1_1_ X50) \/ (~(c2_1_ X50) \/ ~(c3_1_ X50))))) \/ hskp15_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (c3_1_ X51 \/ ~(c2_1_ X51))))) \/ (hskp0_ \/ hskp5_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (c3_1_ X52 \/ ~(c2_1_ X52))))) \/ (hskp13_ \/ hskp16_)) /\ (((forall X53 : Universe, (ndr1_0_ -> (c0_1_ X53 \/ (~(c1_1_ X53) \/ ~(c2_1_ X53))))) \/ ((forall X54 : Universe, (ndr1_0_ -> (c1_1_ X54 \/ (~(c0_1_ X54) \/ ~(c3_1_ X54))))) \/ hskp14_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (~(c1_1_ X55) \/ ~(c2_1_ X55))))) \/ ((forall X56 : Universe, (ndr1_0_ -> (c1_1_ X56 \/ (~(c0_1_ X56) \/ ~(c3_1_ X56))))) \/ hskp13_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (~(c1_1_ X57) \/ ~(c2_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (c2_1_ X58 \/ (c3_1_ X58 \/ ~(c1_1_ X58))))) \/ (forall X59 : Universe, (ndr1_0_ -> (c2_1_ X59 \/ (~(c0_1_ X59) \/ ~(c1_1_ X59))))))) /\ (((forall X60 : Universe, (ndr1_0_ -> (c0_1_ X60 \/ (~(c1_1_ X60) \/ ~(c3_1_ X60))))) \/ ((forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (~(c2_1_ X61) \/ ~(c3_1_ X61))))) \/ hskp8_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c0_1_ X62 \/ (~(c1_1_ X62) \/ ~(c3_1_ X62))))) \/ (hskp17_ \/ hskp0_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c0_1_ X63 \/ (~(c1_1_ X63) \/ ~(c3_1_ X63))))) \/ (hskp14_ \/ hskp18_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c0_1_ X64 \/ (~(c2_1_ X64) \/ ~(c3_1_ X64))))) \/ ((forall X65 : Universe, (ndr1_0_ -> (~(c0_1_ X65) \/ (~(c1_1_ X65) \/ ~(c2_1_ X65))))) \/ (forall X66 : Universe, (ndr1_0_ -> (~(c0_1_ X66) \/ (~(c1_1_ X66) \/ ~(c3_1_ X66))))))) /\ (((forall X67 : Universe, (ndr1_0_ -> (c0_1_ X67 \/ (~(c2_1_ X67) \/ ~(c3_1_ X67))))) \/ (hskp29_ \/ hskp9_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (c2_1_ X68 \/ c3_1_ X68)))) \/ ((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (c2_1_ X69 \/ ~(c0_1_ X69))))) \/ hskp29_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (c2_1_ X70 \/ c3_1_ X70)))) \/ ((forall X71 : Universe, (ndr1_0_ -> (c2_1_ X71 \/ (~(c1_1_ X71) \/ ~(c3_1_ X71))))) \/ hskp19_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c2_1_ X72 \/ c3_1_ X72)))) \/ (hskp20_ \/ hskp2_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (c2_1_ X73 \/ ~(c0_1_ X73))))) \/ ((forall X74 : Universe, (ndr1_0_ -> (c2_1_ X74 \/ (c3_1_ X74 \/ ~(c1_1_ X74))))) \/ hskp29_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (c2_1_ X75 \/ ~(c0_1_ X75))))) \/ (hskp20_ \/ hskp1_)) /\ (((forall X76 : Universe, (ndr1_0_ -> (c1_1_ X76 \/ (c2_1_ X76 \/ ~(c3_1_ X76))))) \/ (hskp21_ \/ hskp18_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (c3_1_ X77 \/ ~(c0_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (~(c0_1_ X78) \/ (~(c1_1_ X78) \/ ~(c3_1_ X78))))) \/ hskp22_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (c3_1_ X79 \/ ~(c2_1_ X79))))) \/ (hskp0_ \/ hskp21_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (~(c2_1_ X80) \/ ~(c3_1_ X80))))) \/ ((forall X81 : Universe, (ndr1_0_ -> (~(c0_1_ X81) \/ (~(c1_1_ X81) \/ ~(c3_1_ X81))))) \/ hskp28_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c2_1_ X82 \/ (c3_1_ X82 \/ ~(c1_1_ X82))))) \/ ((forall X83 : Universe, (ndr1_0_ -> (c2_1_ X83 \/ (~(c0_1_ X83) \/ ~(c3_1_ X83))))) \/ (forall X84 : Universe, (ndr1_0_ -> (c3_1_ X84 \/ (~(c0_1_ X84) \/ ~(c2_1_ X84))))))) /\ (((forall X85 : Universe, (ndr1_0_ -> (c2_1_ X85 \/ (c3_1_ X85 \/ ~(c1_1_ X85))))) \/ ((forall X86 : Universe, (ndr1_0_ -> (~(c0_1_ X86) \/ (~(c1_1_ X86) \/ ~(c3_1_ X86))))) \/ hskp12_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c2_1_ X87 \/ (c3_1_ X87 \/ ~(c1_1_ X87))))) \/ (hskp17_ \/ hskp8_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c2_1_ X88 \/ (c3_1_ X88 \/ ~(c1_1_ X88))))) \/ (hskp28_ \/ hskp19_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c2_1_ X89 \/ (c3_1_ X89 \/ ~(c1_1_ X89))))) \/ (hskp13_ \/ hskp1_)) /\ (((forall X90 : Universe, (ndr1_0_ -> (c2_1_ X90 \/ (~(c0_1_ X90) \/ ~(c1_1_ X90))))) \/ ((forall X91 : Universe, (ndr1_0_ -> (c2_1_ X91 \/ (~(c0_1_ X91) \/ ~(c3_1_ X91))))) \/ hskp28_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c2_1_ X92 \/ (~(c0_1_ X92) \/ ~(c1_1_ X92))))) \/ (hskp4_ \/ hskp28_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c2_1_ X93 \/ (~(c0_1_ X93) \/ ~(c3_1_ X93))))) \/ (hskp9_ \/ hskp20_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (c3_1_ X94 \/ (~(c0_1_ X94) \/ ~(c1_1_ X94))))) \/ (hskp23_ \/ hskp13_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (c3_1_ X95 \/ (~(c0_1_ X95) \/ ~(c2_1_ X95))))) \/ ((forall X96 : Universe, (ndr1_0_ -> (~(c0_1_ X96) \/ (~(c1_1_ X96) \/ ~(c3_1_ X96))))) \/ hskp5_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (c3_1_ X97 \/ (~(c0_1_ X97) \/ ~(c2_1_ X97))))) \/ (hskp27_ \/ hskp3_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (~(c0_1_ X98) \/ (~(c1_1_ X98) \/ ~(c3_1_ X98))))) \/ (hskp14_ \/ hskp24_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (~(c0_1_ X99) \/ (~(c1_1_ X99) \/ ~(c3_1_ X99))))) \/ (hskp14_ \/ hskp22_)) /\ (((forall X100 : Universe, (ndr1_0_ -> (~(c0_1_ X100) \/ (~(c1_1_ X100) \/ ~(c3_1_ X100))))) \/ (hskp25_ \/ hskp1_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (~(c0_1_ X101) \/ (~(c2_1_ X101) \/ ~(c3_1_ X101))))) \/ (hskp30_ \/ hskp20_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (~(c0_1_ X102) \/ (~(c2_1_ X102) \/ ~(c3_1_ X102))))) \/ (hskp26_ \/ hskp11_)) /\ (((forall X103 : Universe, (ndr1_0_ -> (~(c0_1_ X103) \/ (~(c2_1_ X103) \/ ~(c3_1_ X103))))) \/ (hskp15_ \/ hskp16_)) /\ (((forall X104 : Universe, (ndr1_0_ -> (~(c1_1_ X104) \/ (~(c2_1_ X104) \/ ~(c3_1_ X104))))) \/ (hskp27_ \/ hskp19_)) /\ (((forall X105 : Universe, (ndr1_0_ -> (~(c1_1_ X105) \/ (~(c2_1_ X105) \/ ~(c3_1_ X105))))) \/ (hskp21_ \/ hskp11_)) /\ ((hskp30_ \/ (hskp28_ \/ hskp19_)) /\ ((hskp9_ \/ (hskp3_ \/ hskp26_)) /\ ((hskp27_ \/ (hskp21_ \/ hskp28_)) /\ ((hskp4_ \/ (hskp24_ \/ hskp5_)) /\ ((hskp4_ \/ (hskp26_ \/ hskp5_)) /\ ((hskp28_ \/ (hskp8_ \/ hskp10_)) /\ (hskp22_ \/ (hskp1_ \/ hskp11_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
