(*
% File     : SYN480+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=76, K=3, D=1, P=0, Index=016
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-76-3-1-016.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  765 (   0 equality)
%            Maximal formula depth :  111 ( 111 average)
%            Number of connectives : 1043 ( 279 ~  ; 435  |; 203  &)
%                                         (   0 <=>; 126 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :  126 (   0 singleton; 126 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a1632_ : Universe.
Variable a1624_ : Universe.
Variable a1612_ : Universe.
Variable a1600_ : Universe.
Variable a1593_ : Universe.
Variable a1581_ : Universe.
Variable a1575_ : Universe.
Variable a1574_ : Universe.
Variable a1573_ : Universe.
Variable a1572_ : Universe.
Variable a1570_ : Universe.
Variable a1566_ : Universe.
Variable a1565_ : Universe.
Variable a1562_ : Universe.
Variable a1558_ : Universe.
Variable a1556_ : Universe.
Variable a1554_ : Universe.
Variable a1553_ : Universe.
Variable a1549_ : Universe.
Variable a1548_ : Universe.
Variable a1547_ : Universe.
Variable a1546_ : Universe.
Variable a1545_ : Universe.
Variable a1544_ : Universe.
Variable a1543_ : Universe.
Variable a1542_ : Universe.
Variable a1539_ : Universe.
Variable a1538_ : Universe.
Variable a1536_ : Universe.
Variable a1535_ : Universe.
Variable a1534_ : Universe.
Variable a1533_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c1_1_ a1533_ /\ (~(c0_1_ a1533_) /\ ~(c3_1_ a1533_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c0_1_ a1534_ /\ (c2_1_ a1534_ /\ ~(c3_1_ a1534_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c3_1_ a1535_ /\ (~(c1_1_ a1535_) /\ ~(c2_1_ a1535_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c1_1_ a1536_ /\ (~(c0_1_ a1536_) /\ ~(c2_1_ a1536_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c1_1_ a1538_) /\ (~(c2_1_ a1538_) /\ ~(c3_1_ a1538_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c1_1_ a1539_ /\ (c3_1_ a1539_ /\ ~(c0_1_ a1539_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a1543_ /\ (~(c1_1_ a1543_) /\ ~(c2_1_ a1543_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c2_1_ a1545_ /\ (~(c0_1_ a1545_) /\ ~(c3_1_ a1545_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c0_1_ a1547_ /\ (c1_1_ a1547_ /\ ~(c3_1_ a1547_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c0_1_ a1548_) /\ (~(c1_1_ a1548_) /\ ~(c3_1_ a1548_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a1549_ /\ (c3_1_ a1549_ /\ ~(c1_1_ a1549_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a1553_ /\ (c2_1_ a1553_ /\ ~(c1_1_ a1553_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c1_1_ a1554_ /\ (c2_1_ a1554_ /\ ~(c0_1_ a1554_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a1556_ /\ (c2_1_ a1556_ /\ ~(c3_1_ a1556_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a1558_ /\ (c1_1_ a1558_ /\ ~(c2_1_ a1558_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c1_1_ a1565_ /\ (~(c2_1_ a1565_) /\ ~(c3_1_ a1565_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c2_1_ a1566_ /\ (c3_1_ a1566_ /\ ~(c1_1_ a1566_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c3_1_ a1570_ /\ (~(c0_1_ a1570_) /\ ~(c1_1_ a1570_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c2_1_ a1572_ /\ (c3_1_ a1572_ /\ ~(c0_1_ a1572_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c0_1_ a1573_ /\ (~(c1_1_ a1573_) /\ ~(c3_1_ a1573_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c1_1_ a1574_ /\ (c3_1_ a1574_ /\ ~(c2_1_ a1574_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c2_1_ a1575_ /\ (~(c0_1_ a1575_) /\ ~(c1_1_ a1575_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c2_1_ a1581_ /\ (~(c1_1_ a1581_) /\ ~(c3_1_ a1581_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c0_1_ a1593_ /\ (c3_1_ a1593_ /\ ~(c2_1_ a1593_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c0_1_ a1600_ /\ (~(c2_1_ a1600_) /\ ~(c3_1_ a1600_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c3_1_ a1612_ /\ (~(c0_1_ a1612_) /\ ~(c2_1_ a1612_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (~(c0_1_ a1624_) /\ (~(c2_1_ a1624_) /\ ~(c3_1_ a1624_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (~(c0_1_ a1632_) /\ (~(c1_1_ a1632_) /\ ~(c2_1_ a1632_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c1_1_ a1542_ /\ (c2_1_ a1542_ /\ c3_1_ a1542_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a1544_ /\ (c1_1_ a1544_ /\ c2_1_ a1544_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a1546_ /\ (c1_1_ a1546_ /\ c3_1_ a1546_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c0_1_ a1562_ /\ (c2_1_ a1562_ /\ c3_1_ a1562_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c3_1_ V \/ ~(c2_1_ V))))) \/ (forall W : Universe, (ndr1_0_ -> (~(c0_1_ W) \/ (~(c1_1_ W) \/ ~(c2_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c1_1_ Y \/ (~(c2_1_ Y) \/ ~(c3_1_ Y))))) \/ hskp0_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c2_1_ Z)))) \/ (hskp1_ \/ hskp2_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c2_1_ X1)))) \/ (hskp3_ \/ hskp0_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c3_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (~(c2_1_ X3) \/ ~(c3_1_ X3))))) \/ hskp4_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ c3_1_ X4)))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c3_1_ X5 \/ (~(c0_1_ X5) \/ ~(c1_1_ X5))))) \/ hskp5_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ c3_1_ X6)))) \/ ((forall X7 : Universe, (ndr1_0_ -> (~(c0_1_ X7) \/ (~(c1_1_ X7) \/ ~(c3_1_ X7))))) \/ hskp3_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ ~(c2_1_ X8))))) \/ ((forall X9 : Universe, (ndr1_0_ -> (c1_1_ X9 \/ (c2_1_ X9 \/ c3_1_ X9)))) \/ hskp4_)) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ ~(c2_1_ X10))))) \/ ((forall X11 : Universe, (ndr1_0_ -> (c2_1_ X11 \/ (~(c1_1_ X11) \/ ~(c3_1_ X11))))) \/ hskp28_)) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c1_1_ X12 \/ ~(c3_1_ X12))))) \/ ((forall X13 : Universe, (ndr1_0_ -> (c1_1_ X13 \/ (c2_1_ X13 \/ c3_1_ X13)))) \/ (forall X14 : Universe, (ndr1_0_ -> (~(c0_1_ X14) \/ (~(c1_1_ X14) \/ ~(c2_1_ X14))))))) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c3_1_ X15))))) \/ ((forall X16 : Universe, (ndr1_0_ -> (c1_1_ X16 \/ (c2_1_ X16 \/ ~(c0_1_ X16))))) \/ (forall X17 : Universe, (ndr1_0_ -> (c1_1_ X17 \/ (~(c0_1_ X17) \/ ~(c2_1_ X17))))))) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c1_1_ X18 \/ ~(c3_1_ X18))))) \/ ((forall X19 : Universe, (ndr1_0_ -> (c3_1_ X19 \/ (~(c0_1_ X19) \/ ~(c1_1_ X19))))) \/ (forall X20 : Universe, (ndr1_0_ -> (c3_1_ X20 \/ (~(c0_1_ X20) \/ ~(c2_1_ X20))))))) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c2_1_ X21 \/ c3_1_ X21)))) \/ ((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c2_1_ X22 \/ ~(c3_1_ X22))))) \/ hskp6_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ c3_1_ X23)))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c3_1_ X24 \/ ~(c2_1_ X24))))) \/ (forall X25 : Universe, (ndr1_0_ -> (c1_1_ X25 \/ (c3_1_ X25 \/ ~(c0_1_ X25))))))) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ c3_1_ X26)))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (~(c1_1_ X27) \/ ~(c3_1_ X27))))) \/ hskp29_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c2_1_ X28 \/ c3_1_ X28)))) \/ ((forall X29 : Universe, (ndr1_0_ -> (c1_1_ X29 \/ (c3_1_ X29 \/ ~(c0_1_ X29))))) \/ (forall X30 : Universe, (ndr1_0_ -> (c2_1_ X30 \/ (c3_1_ X30 \/ ~(c0_1_ X30))))))) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c2_1_ X31 \/ c3_1_ X31)))) \/ ((forall X32 : Universe, (ndr1_0_ -> (c2_1_ X32 \/ (~(c0_1_ X32) \/ ~(c3_1_ X32))))) \/ hskp7_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c2_1_ X33 \/ c3_1_ X33)))) \/ (hskp30_ \/ hskp8_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c2_1_ X34 \/ ~(c1_1_ X34))))) \/ ((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (c2_1_ X35 \/ ~(c3_1_ X35))))) \/ (forall X36 : Universe, (ndr1_0_ -> (~(c1_1_ X36) \/ (~(c2_1_ X36) \/ ~(c3_1_ X36))))))) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c2_1_ X37 \/ ~(c1_1_ X37))))) \/ ((forall X38 : Universe, (ndr1_0_ -> (c1_1_ X38 \/ (c3_1_ X38 \/ ~(c2_1_ X38))))) \/ hskp9_)) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c2_1_ X39 \/ ~(c1_1_ X39))))) \/ (hskp10_ \/ hskp4_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (c2_1_ X40 \/ ~(c3_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c1_1_ X41 \/ (c2_1_ X41 \/ ~(c0_1_ X41))))) \/ hskp3_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (c2_1_ X42 \/ ~(c3_1_ X42))))) \/ ((forall X43 : Universe, (ndr1_0_ -> (~(c0_1_ X43) \/ (~(c2_1_ X43) \/ ~(c3_1_ X43))))) \/ hskp4_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (c2_1_ X44 \/ ~(c3_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (~(c1_1_ X45) \/ (~(c2_1_ X45) \/ ~(c3_1_ X45))))) \/ hskp11_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (c2_1_ X46 \/ ~(c3_1_ X46))))) \/ (hskp12_ \/ hskp3_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (c3_1_ X47 \/ ~(c1_1_ X47))))) \/ ((forall X48 : Universe, (ndr1_0_ -> (c2_1_ X48 \/ (~(c0_1_ X48) \/ ~(c3_1_ X48))))) \/ hskp13_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (~(c1_1_ X49) \/ ~(c2_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c0_1_ X50 \/ (~(c2_1_ X50) \/ ~(c3_1_ X50))))) \/ (forall X51 : Universe, (ndr1_0_ -> (c1_1_ X51 \/ (~(c0_1_ X51) \/ ~(c3_1_ X51))))))) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (~(c1_1_ X52) \/ ~(c2_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (~(c0_1_ X53) \/ ~(c2_1_ X53))))) \/ hskp2_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c0_1_ X54 \/ (~(c1_1_ X54) \/ ~(c2_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c2_1_ X55 \/ (c3_1_ X55 \/ ~(c1_1_ X55))))) \/ hskp14_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (~(c1_1_ X56) \/ ~(c2_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (c2_1_ X57 \/ (~(c0_1_ X57) \/ ~(c1_1_ X57))))) \/ hskp10_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c0_1_ X58 \/ (~(c1_1_ X58) \/ ~(c2_1_ X58))))) \/ (hskp14_ \/ hskp5_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (~(c1_1_ X59) \/ ~(c3_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (c3_1_ X60 \/ ~(c0_1_ X60))))) \/ hskp31_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c0_1_ X61 \/ (~(c1_1_ X61) \/ ~(c3_1_ X61))))) \/ (hskp1_ \/ hskp28_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c0_1_ X62 \/ (~(c2_1_ X62) \/ ~(c3_1_ X62))))) \/ ((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (c2_1_ X63 \/ ~(c3_1_ X63))))) \/ (forall X64 : Universe, (ndr1_0_ -> (c2_1_ X64 \/ (~(c0_1_ X64) \/ ~(c3_1_ X64))))))) /\ (((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (c2_1_ X65 \/ c3_1_ X65)))) \/ ((forall X66 : Universe, (ndr1_0_ -> (~(c0_1_ X66) \/ (~(c2_1_ X66) \/ ~(c3_1_ X66))))) \/ hskp15_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c2_1_ X67 \/ ~(c0_1_ X67))))) \/ ((forall X68 : Universe, (ndr1_0_ -> (c2_1_ X68 \/ (c3_1_ X68 \/ ~(c1_1_ X68))))) \/ hskp16_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (c2_1_ X69 \/ ~(c0_1_ X69))))) \/ (hskp11_ \/ hskp1_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (c2_1_ X70 \/ ~(c3_1_ X70))))) \/ ((forall X71 : Universe, (ndr1_0_ -> (~(c0_1_ X71) \/ (~(c2_1_ X71) \/ ~(c3_1_ X71))))) \/ hskp6_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c3_1_ X72 \/ ~(c0_1_ X72))))) \/ ((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (~(c0_1_ X73) \/ ~(c2_1_ X73))))) \/ (forall X74 : Universe, (ndr1_0_ -> (~(c0_1_ X74) \/ (~(c1_1_ X74) \/ ~(c3_1_ X74))))))) /\ (((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (c3_1_ X75 \/ ~(c0_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (c2_1_ X76 \/ (~(c0_1_ X76) \/ ~(c3_1_ X76))))) \/ hskp17_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (c3_1_ X77 \/ ~(c2_1_ X77))))) \/ (hskp8_ \/ hskp18_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (c1_1_ X78 \/ (~(c0_1_ X78) \/ ~(c2_1_ X78))))) \/ ((forall X79 : Universe, (ndr1_0_ -> (c2_1_ X79 \/ (c3_1_ X79 \/ ~(c0_1_ X79))))) \/ hskp19_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (~(c0_1_ X80) \/ ~(c2_1_ X80))))) \/ ((forall X81 : Universe, (ndr1_0_ -> (c2_1_ X81 \/ (c3_1_ X81 \/ ~(c1_1_ X81))))) \/ hskp20_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (~(c0_1_ X82) \/ ~(c2_1_ X82))))) \/ ((forall X83 : Universe, (ndr1_0_ -> (c2_1_ X83 \/ (~(c0_1_ X83) \/ ~(c1_1_ X83))))) \/ hskp21_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c1_1_ X84 \/ (~(c0_1_ X84) \/ ~(c2_1_ X84))))) \/ ((forall X85 : Universe, (ndr1_0_ -> (c3_1_ X85 \/ (~(c0_1_ X85) \/ ~(c2_1_ X85))))) \/ (forall X86 : Universe, (ndr1_0_ -> (~(c1_1_ X86) \/ (~(c2_1_ X86) \/ ~(c3_1_ X86))))))) /\ (((forall X87 : Universe, (ndr1_0_ -> (c1_1_ X87 \/ (~(c0_1_ X87) \/ ~(c2_1_ X87))))) \/ ((forall X88 : Universe, (ndr1_0_ -> (c3_1_ X88 \/ (~(c1_1_ X88) \/ ~(c2_1_ X88))))) \/ hskp1_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c1_1_ X89 \/ (~(c0_1_ X89) \/ ~(c2_1_ X89))))) \/ (hskp14_ \/ hskp1_)) /\ (((forall X90 : Universe, (ndr1_0_ -> (c1_1_ X90 \/ (~(c0_1_ X90) \/ ~(c2_1_ X90))))) \/ (hskp10_ \/ hskp6_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c1_1_ X91 \/ (~(c0_1_ X91) \/ ~(c3_1_ X91))))) \/ ((forall X92 : Universe, (ndr1_0_ -> (c2_1_ X92 \/ (~(c0_1_ X92) \/ ~(c1_1_ X92))))) \/ hskp22_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c1_1_ X93 \/ (~(c0_1_ X93) \/ ~(c3_1_ X93))))) \/ ((forall X94 : Universe, (ndr1_0_ -> (c2_1_ X94 \/ (~(c1_1_ X94) \/ ~(c3_1_ X94))))) \/ hskp14_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (c1_1_ X95 \/ (~(c0_1_ X95) \/ ~(c3_1_ X95))))) \/ ((forall X96 : Universe, (ndr1_0_ -> (c3_1_ X96 \/ (~(c1_1_ X96) \/ ~(c2_1_ X96))))) \/ hskp21_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (c1_1_ X97 \/ (~(c0_1_ X97) \/ ~(c3_1_ X97))))) \/ (hskp30_ \/ hskp13_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (c1_1_ X98 \/ (~(c2_1_ X98) \/ ~(c3_1_ X98))))) \/ ((forall X99 : Universe, (ndr1_0_ -> (c2_1_ X99 \/ (~(c0_1_ X99) \/ ~(c3_1_ X99))))) \/ hskp15_)) /\ (((forall X100 : Universe, (ndr1_0_ -> (c1_1_ X100 \/ (~(c2_1_ X100) \/ ~(c3_1_ X100))))) \/ ((forall X101 : Universe, (ndr1_0_ -> (c3_1_ X101 \/ (~(c0_1_ X101) \/ ~(c2_1_ X101))))) \/ hskp19_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (c1_1_ X102 \/ (~(c2_1_ X102) \/ ~(c3_1_ X102))))) \/ (hskp31_ \/ hskp3_)) /\ (((forall X103 : Universe, (ndr1_0_ -> (c1_1_ X103 \/ (~(c2_1_ X103) \/ ~(c3_1_ X103))))) \/ (hskp19_ \/ hskp3_)) /\ (((forall X104 : Universe, (ndr1_0_ -> (c2_1_ X104 \/ (c3_1_ X104 \/ ~(c0_1_ X104))))) \/ (hskp8_ \/ hskp23_)) /\ (((forall X105 : Universe, (ndr1_0_ -> (c2_1_ X105 \/ (c3_1_ X105 \/ ~(c0_1_ X105))))) \/ (hskp19_ \/ hskp13_)) /\ (((forall X106 : Universe, (ndr1_0_ -> (c2_1_ X106 \/ (c3_1_ X106 \/ ~(c0_1_ X106))))) \/ (hskp28_ \/ hskp15_)) /\ (((forall X107 : Universe, (ndr1_0_ -> (c2_1_ X107 \/ (c3_1_ X107 \/ ~(c1_1_ X107))))) \/ ((forall X108 : Universe, (ndr1_0_ -> (~(c0_1_ X108) \/ (~(c1_1_ X108) \/ ~(c3_1_ X108))))) \/ hskp15_)) /\ (((forall X109 : Universe, (ndr1_0_ -> (c2_1_ X109 \/ (c3_1_ X109 \/ ~(c1_1_ X109))))) \/ (hskp19_ \/ hskp24_)) /\ (((forall X110 : Universe, (ndr1_0_ -> (c2_1_ X110 \/ (~(c1_1_ X110) \/ ~(c3_1_ X110))))) \/ ((forall X111 : Universe, (ndr1_0_ -> (~(c0_1_ X111) \/ (~(c1_1_ X111) \/ ~(c2_1_ X111))))) \/ (forall X112 : Universe, (ndr1_0_ -> (~(c1_1_ X112) \/ (~(c2_1_ X112) \/ ~(c3_1_ X112))))))) /\ (((forall X113 : Universe, (ndr1_0_ -> (c2_1_ X113 \/ (~(c1_1_ X113) \/ ~(c3_1_ X113))))) \/ ((forall X114 : Universe, (ndr1_0_ -> (~(c0_1_ X114) \/ (~(c1_1_ X114) \/ ~(c3_1_ X114))))) \/ hskp5_)) /\ (((forall X115 : Universe, (ndr1_0_ -> (c3_1_ X115 \/ (~(c0_1_ X115) \/ ~(c1_1_ X115))))) \/ ((forall X116 : Universe, (ndr1_0_ -> (~(c1_1_ X116) \/ (~(c2_1_ X116) \/ ~(c3_1_ X116))))) \/ hskp23_)) /\ (((forall X117 : Universe, (ndr1_0_ -> (c3_1_ X117 \/ (~(c0_1_ X117) \/ ~(c1_1_ X117))))) \/ (hskp20_ \/ hskp21_)) /\ (((forall X118 : Universe, (ndr1_0_ -> (~(c0_1_ X118) \/ (~(c1_1_ X118) \/ ~(c2_1_ X118))))) \/ (hskp31_ \/ hskp7_)) /\ (((forall X119 : Universe, (ndr1_0_ -> (~(c0_1_ X119) \/ (~(c1_1_ X119) \/ ~(c3_1_ X119))))) \/ hskp10_) /\ (((forall X120 : Universe, (ndr1_0_ -> (~(c1_1_ X120) \/ (~(c2_1_ X120) \/ ~(c3_1_ X120))))) \/ (hskp14_ \/ hskp22_)) /\ ((hskp29_ \/ (hskp19_ \/ hskp25_)) /\ ((hskp14_ \/ (hskp1_ \/ hskp4_)) /\ ((hskp14_ \/ (hskp20_ \/ hskp15_)) /\ ((hskp31_ \/ (hskp15_ \/ hskp7_)) /\ ((hskp1_ \/ (hskp15_ \/ hskp26_)) /\ ((hskp10_ \/ (hskp12_ \/ hskp3_)) /\ ((hskp23_ \/ (hskp3_ \/ hskp26_)) /\ (hskp5_ \/ (hskp27_ \/ hskp9_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
