(*
% File     : SYN481+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=76, K=3, D=1, P=0, Index=019
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-76-3-1-019.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  699 (   0 equality)
%            Maximal formula depth :  110 ( 110 average)
%            Number of connectives :  945 ( 247 ~  ; 393  |; 199  &)
%                                         (   0 <=>; 106 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :  106 (   0 singleton; 106 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a1737_ : Universe.
Variable a1712_ : Universe.
Variable a1709_ : Universe.
Variable a1701_ : Universe.
Variable a1699_ : Universe.
Variable a1697_ : Universe.
Variable a1691_ : Universe.
Variable a1689_ : Universe.
Variable a1682_ : Universe.
Variable a1680_ : Universe.
Variable a1675_ : Universe.
Variable a1667_ : Universe.
Variable a1664_ : Universe.
Variable a1661_ : Universe.
Variable a1658_ : Universe.
Variable a1653_ : Universe.
Variable a1650_ : Universe.
Variable a1648_ : Universe.
Variable a1647_ : Universe.
Variable a1646_ : Universe.
Variable a1644_ : Universe.
Variable a1643_ : Universe.
Variable a1642_ : Universe.
Variable a1641_ : Universe.
Variable a1640_ : Universe.
Variable a1639_ : Universe.
Variable a1638_ : Universe.
Variable a1637_ : Universe.
Variable a1636_ : Universe.
Variable a1635_ : Universe.
Variable a1634_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c0_1_ a1634_ /\ (c3_1_ a1634_ /\ ~(c1_1_ a1634_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (~(c0_1_ a1636_) /\ (~(c1_1_ a1636_) /\ ~(c2_1_ a1636_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a1637_ /\ (c3_1_ a1637_ /\ ~(c0_1_ a1637_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c3_1_ a1638_ /\ (~(c0_1_ a1638_) /\ ~(c2_1_ a1638_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c3_1_ a1639_ /\ (~(c1_1_ a1639_) /\ ~(c2_1_ a1639_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a1640_ /\ (c3_1_ a1640_ /\ ~(c2_1_ a1640_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c2_1_ a1641_ /\ (~(c0_1_ a1641_) /\ ~(c3_1_ a1641_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a1642_ /\ (~(c2_1_ a1642_) /\ ~(c3_1_ a1642_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c1_1_ a1643_ /\ (~(c2_1_ a1643_) /\ ~(c3_1_ a1643_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c0_1_ a1644_) /\ (~(c1_1_ a1644_) /\ ~(c3_1_ a1644_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a1648_ /\ (c2_1_ a1648_ /\ ~(c3_1_ a1648_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c1_1_ a1650_ /\ (~(c0_1_ a1650_) /\ ~(c3_1_ a1650_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c0_1_ a1653_ /\ (c1_1_ a1653_ /\ ~(c3_1_ a1653_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a1658_ /\ (c3_1_ a1658_ /\ ~(c2_1_ a1658_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a1661_ /\ (~(c1_1_ a1661_) /\ ~(c3_1_ a1661_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c0_1_ a1664_ /\ (~(c1_1_ a1664_) /\ ~(c2_1_ a1664_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c0_1_ a1667_ /\ (c2_1_ a1667_ /\ ~(c1_1_ a1667_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c2_1_ a1675_ /\ (~(c0_1_ a1675_) /\ ~(c1_1_ a1675_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c1_1_ a1680_ /\ (~(c0_1_ a1680_) /\ ~(c2_1_ a1680_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a1682_ /\ (c2_1_ a1682_ /\ ~(c3_1_ a1682_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c0_1_ a1689_ /\ (c1_1_ a1689_ /\ ~(c2_1_ a1689_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c2_1_ a1691_ /\ (c3_1_ a1691_ /\ ~(c1_1_ a1691_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (~(c0_1_ a1697_) /\ (~(c2_1_ a1697_) /\ ~(c3_1_ a1697_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c1_1_ a1699_) /\ (~(c2_1_ a1699_) /\ ~(c3_1_ a1699_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c3_1_ a1701_ /\ (~(c0_1_ a1701_) /\ ~(c1_1_ a1701_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a1709_ /\ (c2_1_ a1709_ /\ ~(c0_1_ a1709_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c2_1_ a1737_ /\ (c3_1_ a1737_ /\ ~(c0_1_ a1737_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a1635_ /\ (c1_1_ a1635_ /\ c2_1_ a1635_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c1_1_ a1646_ /\ (c2_1_ a1646_ /\ c3_1_ a1646_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a1647_ /\ (c1_1_ a1647_ /\ c3_1_ a1647_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a1712_ /\ (c2_1_ a1712_ /\ c3_1_ a1712_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c2_1_ V \/ c3_1_ V)))) \/ (forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c2_1_ W \/ ~(c1_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c2_1_ Y \/ (c3_1_ Y \/ ~(c0_1_ Y))))) \/ hskp0_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c2_1_ Z)))) \/ (hskp27_ \/ hskp1_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c2_1_ X1)))) \/ (hskp2_ \/ hskp3_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c3_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c1_1_ X3 \/ (~(c0_1_ X3) \/ ~(c3_1_ X3))))) \/ (forall X4 : Universe, (ndr1_0_ -> (c3_1_ X4 \/ (~(c1_1_ X4) \/ ~(c2_1_ X4))))))) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ c3_1_ X5)))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c2_1_ X6 \/ (~(c0_1_ X6) \/ ~(c1_1_ X6))))) \/ hskp4_)) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ ~(c2_1_ X7))))) \/ ((forall X8 : Universe, (ndr1_0_ -> (c1_1_ X8 \/ (c2_1_ X8 \/ ~(c0_1_ X8))))) \/ (forall X9 : Universe, (ndr1_0_ -> (c1_1_ X9 \/ (~(c2_1_ X9) \/ ~(c3_1_ X9))))))) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ ~(c2_1_ X10))))) \/ ((forall X11 : Universe, (ndr1_0_ -> (c3_1_ X11 \/ (~(c0_1_ X11) \/ ~(c1_1_ X11))))) \/ (forall X12 : Universe, (ndr1_0_ -> (~(c0_1_ X12) \/ (~(c2_1_ X12) \/ ~(c3_1_ X12))))))) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ ~(c2_1_ X13))))) \/ (hskp5_ \/ hskp6_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c1_1_ X14 \/ ~(c2_1_ X14))))) \/ (hskp7_ \/ hskp8_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c3_1_ X15))))) \/ (forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (~(c1_1_ X16) \/ ~(c2_1_ X16)))))) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c1_1_ X17 \/ ~(c3_1_ X17))))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c3_1_ X18 \/ (~(c0_1_ X18) \/ ~(c2_1_ X18))))) \/ (forall X19 : Universe, (ndr1_0_ -> (~(c0_1_ X19) \/ (~(c2_1_ X19) \/ ~(c3_1_ X19))))))) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c1_1_ X20 \/ ~(c3_1_ X20))))) \/ ((forall X21 : Universe, (ndr1_0_ -> (c3_1_ X21 \/ (~(c1_1_ X21) \/ ~(c2_1_ X21))))) \/ (forall X22 : Universe, (ndr1_0_ -> (~(c0_1_ X22) \/ (~(c1_1_ X22) \/ ~(c2_1_ X22))))))) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c1_1_ X23 \/ ~(c3_1_ X23))))) \/ ((forall X24 : Universe, (ndr1_0_ -> (~(c1_1_ X24) \/ (~(c2_1_ X24) \/ ~(c3_1_ X24))))) \/ hskp9_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c1_1_ X25 \/ ~(c3_1_ X25))))) \/ (hskp0_ \/ hskp28_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ c3_1_ X26)))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ ~(c3_1_ X27))))) \/ (forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (~(c2_1_ X28) \/ ~(c3_1_ X28))))))) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ c3_1_ X29)))) \/ ((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (~(c1_1_ X30) \/ ~(c2_1_ X30))))) \/ (forall X31 : Universe, (ndr1_0_ -> (c3_1_ X31 \/ (~(c0_1_ X31) \/ ~(c2_1_ X31))))))) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c2_1_ X32 \/ c3_1_ X32)))) \/ ((forall X33 : Universe, (ndr1_0_ -> (c1_1_ X33 \/ (c2_1_ X33 \/ ~(c0_1_ X33))))) \/ hskp29_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c2_1_ X34 \/ c3_1_ X34)))) \/ (hskp10_ \/ hskp1_)) /\ (((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (c2_1_ X35 \/ ~(c1_1_ X35))))) \/ ((forall X36 : Universe, (ndr1_0_ -> (c3_1_ X36 \/ (~(c0_1_ X36) \/ ~(c1_1_ X36))))) \/ hskp11_)) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c2_1_ X37 \/ ~(c3_1_ X37))))) \/ ((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (~(c1_1_ X38) \/ ~(c3_1_ X38))))) \/ hskp11_)) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c2_1_ X39 \/ ~(c3_1_ X39))))) \/ ((forall X40 : Universe, (ndr1_0_ -> (c1_1_ X40 \/ (~(c0_1_ X40) \/ ~(c2_1_ X40))))) \/ hskp29_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (c2_1_ X41 \/ ~(c3_1_ X41))))) \/ ((forall X42 : Universe, (ndr1_0_ -> (c1_1_ X42 \/ (~(c2_1_ X42) \/ ~(c3_1_ X42))))) \/ hskp12_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c3_1_ X43 \/ ~(c1_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (c1_1_ X44 \/ (c2_1_ X44 \/ c3_1_ X44)))) \/ hskp3_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (c3_1_ X45 \/ ~(c1_1_ X45))))) \/ ((forall X46 : Universe, (ndr1_0_ -> (c1_1_ X46 \/ (c2_1_ X46 \/ ~(c0_1_ X46))))) \/ (forall X47 : Universe, (ndr1_0_ -> (c3_1_ X47 \/ (~(c0_1_ X47) \/ ~(c1_1_ X47))))))) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (~(c1_1_ X48) \/ ~(c2_1_ X48))))) \/ ((forall X49 : Universe, (ndr1_0_ -> (c2_1_ X49 \/ (~(c1_1_ X49) \/ ~(c3_1_ X49))))) \/ hskp7_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c0_1_ X50 \/ (~(c1_1_ X50) \/ ~(c2_1_ X50))))) \/ (hskp29_ \/ hskp5_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (~(c1_1_ X51) \/ ~(c2_1_ X51))))) \/ (hskp13_ \/ hskp11_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (~(c1_1_ X52) \/ ~(c3_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (c2_1_ X53 \/ ~(c0_1_ X53))))) \/ hskp11_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c0_1_ X54 \/ (~(c1_1_ X54) \/ ~(c3_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c1_1_ X55 \/ (c3_1_ X55 \/ ~(c2_1_ X55))))) \/ hskp14_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (~(c1_1_ X56) \/ ~(c3_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (c1_1_ X57 \/ (~(c0_1_ X57) \/ ~(c3_1_ X57))))) \/ (forall X58 : Universe, (ndr1_0_ -> (c3_1_ X58 \/ (~(c1_1_ X58) \/ ~(c2_1_ X58))))))) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (~(c2_1_ X59) \/ ~(c3_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (c2_1_ X60 \/ c3_1_ X60)))) \/ hskp5_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c0_1_ X61 \/ (~(c2_1_ X61) \/ ~(c3_1_ X61))))) \/ ((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (~(c2_1_ X62) \/ ~(c3_1_ X62))))) \/ hskp5_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c0_1_ X63 \/ (~(c2_1_ X63) \/ ~(c3_1_ X63))))) \/ ((forall X64 : Universe, (ndr1_0_ -> (c3_1_ X64 \/ (~(c0_1_ X64) \/ ~(c1_1_ X64))))) \/ hskp15_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c0_1_ X65 \/ (~(c2_1_ X65) \/ ~(c3_1_ X65))))) \/ (hskp0_ \/ hskp28_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c2_1_ X66 \/ ~(c0_1_ X66))))) \/ (hskp16_ \/ hskp0_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c2_1_ X67 \/ ~(c3_1_ X67))))) \/ ((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (~(c2_1_ X68) \/ ~(c3_1_ X68))))) \/ hskp14_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (c2_1_ X69 \/ ~(c3_1_ X69))))) \/ ((forall X70 : Universe, (ndr1_0_ -> (~(c0_1_ X70) \/ (~(c1_1_ X70) \/ ~(c2_1_ X70))))) \/ (forall X71 : Universe, (ndr1_0_ -> (~(c0_1_ X71) \/ (~(c1_1_ X71) \/ ~(c3_1_ X71))))))) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c2_1_ X72 \/ ~(c3_1_ X72))))) \/ (hskp16_ \/ hskp10_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (c3_1_ X73 \/ ~(c2_1_ X73))))) \/ (hskp2_ \/ hskp9_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (~(c0_1_ X74) \/ ~(c2_1_ X74))))) \/ ((forall X75 : Universe, (ndr1_0_ -> (c2_1_ X75 \/ (~(c0_1_ X75) \/ ~(c3_1_ X75))))) \/ hskp2_)) /\ (((forall X76 : Universe, (ndr1_0_ -> (c1_1_ X76 \/ (~(c0_1_ X76) \/ ~(c2_1_ X76))))) \/ ((forall X77 : Universe, (ndr1_0_ -> (c2_1_ X77 \/ (~(c0_1_ X77) \/ ~(c3_1_ X77))))) \/ hskp17_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (c1_1_ X78 \/ (~(c0_1_ X78) \/ ~(c3_1_ X78))))) \/ (hskp29_ \/ hskp12_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (~(c0_1_ X79) \/ ~(c3_1_ X79))))) \/ (hskp29_ \/ hskp9_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (~(c2_1_ X80) \/ ~(c3_1_ X80))))) \/ ((forall X81 : Universe, (ndr1_0_ -> (c3_1_ X81 \/ (~(c1_1_ X81) \/ ~(c2_1_ X81))))) \/ hskp18_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (~(c2_1_ X82) \/ ~(c3_1_ X82))))) \/ (hskp28_ \/ hskp19_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c2_1_ X83 \/ (c3_1_ X83 \/ ~(c0_1_ X83))))) \/ (hskp27_ \/ hskp6_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c2_1_ X84 \/ (c3_1_ X84 \/ ~(c0_1_ X84))))) \/ (hskp7_ \/ hskp19_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c2_1_ X85 \/ (c3_1_ X85 \/ ~(c0_1_ X85))))) \/ (hskp13_ \/ hskp9_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (c2_1_ X86 \/ (~(c0_1_ X86) \/ ~(c3_1_ X86))))) \/ (hskp20_ \/ hskp28_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c2_1_ X87 \/ (~(c1_1_ X87) \/ ~(c3_1_ X87))))) \/ (hskp21_ \/ hskp3_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c3_1_ X88 \/ (~(c0_1_ X88) \/ ~(c1_1_ X88))))) \/ ((forall X89 : Universe, (ndr1_0_ -> (~(c0_1_ X89) \/ (~(c1_1_ X89) \/ ~(c2_1_ X89))))) \/ hskp28_)) /\ (((forall X90 : Universe, (ndr1_0_ -> (c3_1_ X90 \/ (~(c0_1_ X90) \/ ~(c2_1_ X90))))) \/ (hskp8_ \/ hskp1_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c3_1_ X91 \/ (~(c1_1_ X91) \/ ~(c2_1_ X91))))) \/ ((forall X92 : Universe, (ndr1_0_ -> (~(c0_1_ X92) \/ (~(c1_1_ X92) \/ ~(c2_1_ X92))))) \/ hskp9_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c3_1_ X93 \/ (~(c1_1_ X93) \/ ~(c2_1_ X93))))) \/ ((forall X94 : Universe, (ndr1_0_ -> (~(c0_1_ X94) \/ (~(c1_1_ X94) \/ ~(c3_1_ X94))))) \/ hskp22_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (c3_1_ X95 \/ (~(c1_1_ X95) \/ ~(c2_1_ X95))))) \/ (hskp4_ \/ hskp23_)) /\ (((forall X96 : Universe, (ndr1_0_ -> (~(c0_1_ X96) \/ (~(c1_1_ X96) \/ ~(c2_1_ X96))))) \/ (hskp29_ \/ hskp24_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (~(c0_1_ X97) \/ (~(c1_1_ X97) \/ ~(c2_1_ X97))))) \/ (hskp20_ \/ hskp21_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (~(c0_1_ X98) \/ (~(c1_1_ X98) \/ ~(c2_1_ X98))))) \/ (hskp14_ \/ hskp22_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (~(c1_1_ X99) \/ (~(c2_1_ X99) \/ ~(c3_1_ X99))))) \/ (hskp7_ \/ hskp11_)) /\ (((forall X100 : Universe, (ndr1_0_ -> (~(c1_1_ X100) \/ (~(c2_1_ X100) \/ ~(c3_1_ X100))))) \/ (hskp28_ \/ hskp25_)) /\ ((hskp27_ \/ (hskp20_ \/ hskp30_)) /\ ((hskp29_ \/ (hskp10_ \/ hskp6_)) /\ ((hskp20_ \/ hskp14_) /\ ((hskp12_ \/ (hskp5_ \/ hskp24_)) /\ ((hskp12_ \/ (hskp25_ \/ hskp24_)) /\ ((hskp30_ \/ (hskp6_ \/ hskp4_)) /\ ((hskp10_ \/ (hskp18_ \/ hskp11_)) /\ ((hskp0_ \/ (hskp5_ \/ hskp1_)) /\ ((hskp0_ \/ (hskp7_ \/ hskp8_)) /\ ((hskp0_ \/ (hskp26_ \/ hskp1_)) /\ ((hskp15_ \/ (hskp19_ \/ hskp1_)) /\ ((hskp7_ \/ (hskp6_ \/ hskp9_)) /\ ((hskp25_ \/ (hskp17_ \/ hskp1_)) /\ ((hskp19_ \/ (hskp21_ \/ hskp6_)) /\ (hskp11_ \/ (hskp17_ \/ hskp1_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
