(*
% File     : SYN482+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=76, K=3, D=1, P=0, Index=034
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-76-3-1-034.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.5.0, 0.67 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  765 (   0 equality)
%            Maximal formula depth :  110 ( 110 average)
%            Number of connectives : 1051 ( 287 ~  ; 437  |; 199  &)
%                                         (   0 <=>; 128 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :  128 (   0 singleton; 128 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a1845_ : Universe.
Variable a1827_ : Universe.
Variable a1823_ : Universe.
Variable a1809_ : Universe.
Variable a1807_ : Universe.
Variable a1805_ : Universe.
Variable a1799_ : Universe.
Variable a1795_ : Universe.
Variable a1788_ : Universe.
Variable a1786_ : Universe.
Variable a1783_ : Universe.
Variable a1782_ : Universe.
Variable a1781_ : Universe.
Variable a1780_ : Universe.
Variable a1779_ : Universe.
Variable a1777_ : Universe.
Variable a1771_ : Universe.
Variable a1770_ : Universe.
Variable a1768_ : Universe.
Variable a1767_ : Universe.
Variable a1766_ : Universe.
Variable a1765_ : Universe.
Variable a1763_ : Universe.
Variable a1762_ : Universe.
Variable a1760_ : Universe.
Variable a1759_ : Universe.
Variable a1758_ : Universe.
Variable a1757_ : Universe.
Variable a1756_ : Universe.
Variable a1755_ : Universe.
Variable a1754_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c2_1_ a1754_ /\ (~(c0_1_ a1754_) /\ ~(c1_1_ a1754_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c1_1_ a1755_ /\ (~(c0_1_ a1755_) /\ ~(c2_1_ a1755_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c0_1_ a1757_ /\ (c1_1_ a1757_ /\ ~(c2_1_ a1757_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c1_1_ a1758_ /\ (c2_1_ a1758_ /\ ~(c3_1_ a1758_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c1_1_ a1759_ /\ (~(c2_1_ a1759_) /\ ~(c3_1_ a1759_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c0_1_ a1760_) /\ (~(c2_1_ a1760_) /\ ~(c3_1_ a1760_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c2_1_ a1762_ /\ (c3_1_ a1762_ /\ ~(c0_1_ a1762_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a1763_ /\ (c3_1_ a1763_ /\ ~(c1_1_ a1763_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c0_1_ a1765_ /\ (c2_1_ a1765_ /\ ~(c1_1_ a1765_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c0_1_ a1766_ /\ (~(c1_1_ a1766_) /\ ~(c2_1_ a1766_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c3_1_ a1767_ /\ (~(c0_1_ a1767_) /\ ~(c1_1_ a1767_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a1768_ /\ (c3_1_ a1768_ /\ ~(c2_1_ a1768_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c1_1_ a1770_ /\ (~(c0_1_ a1770_) /\ ~(c3_1_ a1770_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a1771_ /\ (c2_1_ a1771_ /\ ~(c0_1_ a1771_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c2_1_ a1777_ /\ (~(c0_1_ a1777_) /\ ~(c3_1_ a1777_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c0_1_ a1779_ /\ (~(c2_1_ a1779_) /\ ~(c3_1_ a1779_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c1_1_ a1780_ /\ (c3_1_ a1780_ /\ ~(c2_1_ a1780_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c2_1_ a1781_ /\ (c3_1_ a1781_ /\ ~(c1_1_ a1781_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (~(c1_1_ a1782_) /\ (~(c2_1_ a1782_) /\ ~(c3_1_ a1782_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a1783_ /\ (c3_1_ a1783_ /\ ~(c0_1_ a1783_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c0_1_ a1786_ /\ (c1_1_ a1786_ /\ ~(c3_1_ a1786_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a1788_ /\ (c2_1_ a1788_ /\ ~(c3_1_ a1788_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c3_1_ a1799_ /\ (~(c0_1_ a1799_) /\ ~(c2_1_ a1799_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c0_1_ a1807_) /\ (~(c1_1_ a1807_) /\ ~(c3_1_ a1807_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c0_1_ a1809_ /\ (~(c1_1_ a1809_) /\ ~(c3_1_ a1809_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (~(c0_1_ a1827_) /\ (~(c1_1_ a1827_) /\ ~(c2_1_ a1827_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c3_1_ a1845_ /\ (~(c1_1_ a1845_) /\ ~(c2_1_ a1845_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a1756_ /\ (c1_1_ a1756_ /\ c3_1_ a1756_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a1795_ /\ (c1_1_ a1795_ /\ c2_1_ a1795_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a1805_ /\ (c2_1_ a1805_ /\ c3_1_ a1805_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c1_1_ a1823_ /\ (c2_1_ a1823_ /\ c3_1_ a1823_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c2_1_ V \/ ~(c3_1_ V))))) \/ hskp0_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c2_1_ W)))) \/ ((forall X : Universe, (ndr1_0_ -> (c1_1_ X \/ (c3_1_ X \/ ~(c2_1_ X))))) \/ hskp1_)) /\ (((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ c3_1_ Y)))) \/ (hskp27_ \/ hskp2_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c3_1_ Z)))) \/ (hskp3_ \/ hskp4_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ ~(c2_1_ X1))))) \/ ((forall X2 : Universe, (ndr1_0_ -> (c1_1_ X2 \/ (c2_1_ X2 \/ ~(c0_1_ X2))))) \/ hskp5_)) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c1_1_ X3 \/ ~(c2_1_ X3))))) \/ (hskp4_ \/ hskp6_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ ~(c3_1_ X4))))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c2_1_ X5 \/ ~(c1_1_ X5))))) \/ hskp7_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ ~(c3_1_ X6))))) \/ ((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (~(c1_1_ X7) \/ ~(c2_1_ X7))))) \/ (forall X8 : Universe, (ndr1_0_ -> (c1_1_ X8 \/ (~(c0_1_ X8) \/ ~(c2_1_ X8))))))) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ ~(c3_1_ X9))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c3_1_ X10 \/ (~(c0_1_ X10) \/ ~(c1_1_ X10))))) \/ (forall X11 : Universe, (ndr1_0_ -> (~(c0_1_ X11) \/ (~(c1_1_ X11) \/ ~(c2_1_ X11))))))) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c1_1_ X12 \/ ~(c3_1_ X12))))) \/ ((forall X13 : Universe, (ndr1_0_ -> (~(c0_1_ X13) \/ (~(c2_1_ X13) \/ ~(c3_1_ X13))))) \/ (forall X14 : Universe, (ndr1_0_ -> (~(c1_1_ X14) \/ (~(c2_1_ X14) \/ ~(c3_1_ X14))))))) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c3_1_ X15))))) \/ ((forall X16 : Universe, (ndr1_0_ -> (~(c0_1_ X16) \/ (~(c2_1_ X16) \/ ~(c3_1_ X16))))) \/ hskp6_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c1_1_ X17 \/ ~(c3_1_ X17))))) \/ ((forall X18 : Universe, (ndr1_0_ -> (~(c1_1_ X18) \/ (~(c2_1_ X18) \/ ~(c3_1_ X18))))) \/ hskp8_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c2_1_ X19 \/ c3_1_ X19)))) \/ ((forall X20 : Universe, (ndr1_0_ -> (c1_1_ X20 \/ (c2_1_ X20 \/ c3_1_ X20)))) \/ (forall X21 : Universe, (ndr1_0_ -> (~(c1_1_ X21) \/ (~(c2_1_ X21) \/ ~(c3_1_ X21))))))) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c2_1_ X22 \/ c3_1_ X22)))) \/ ((forall X23 : Universe, (ndr1_0_ -> (c1_1_ X23 \/ (c2_1_ X23 \/ ~(c0_1_ X23))))) \/ (forall X24 : Universe, (ndr1_0_ -> (~(c0_1_ X24) \/ (~(c2_1_ X24) \/ ~(c3_1_ X24))))))) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ c3_1_ X25)))) \/ (hskp9_ \/ hskp10_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ ~(c1_1_ X26))))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c1_1_ X27 \/ (~(c0_1_ X27) \/ ~(c3_1_ X27))))) \/ hskp11_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c2_1_ X28 \/ ~(c1_1_ X28))))) \/ (hskp27_ \/ hskp12_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ ~(c3_1_ X29))))) \/ ((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c3_1_ X30 \/ ~(c1_1_ X30))))) \/ hskp13_)) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c2_1_ X31 \/ ~(c3_1_ X31))))) \/ ((forall X32 : Universe, (ndr1_0_ -> (c1_1_ X32 \/ (c2_1_ X32 \/ c3_1_ X32)))) \/ hskp2_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c2_1_ X33 \/ ~(c3_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (c1_1_ X34 \/ (c2_1_ X34 \/ c3_1_ X34)))) \/ hskp13_)) /\ (((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (c2_1_ X35 \/ ~(c3_1_ X35))))) \/ ((forall X36 : Universe, (ndr1_0_ -> (c1_1_ X36 \/ (c2_1_ X36 \/ ~(c0_1_ X36))))) \/ hskp27_)) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c2_1_ X37 \/ ~(c3_1_ X37))))) \/ ((forall X38 : Universe, (ndr1_0_ -> (c1_1_ X38 \/ (c3_1_ X38 \/ ~(c0_1_ X38))))) \/ hskp10_)) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c2_1_ X39 \/ ~(c3_1_ X39))))) \/ ((forall X40 : Universe, (ndr1_0_ -> (c2_1_ X40 \/ (~(c0_1_ X40) \/ ~(c3_1_ X40))))) \/ hskp10_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (c2_1_ X41 \/ ~(c3_1_ X41))))) \/ ((forall X42 : Universe, (ndr1_0_ -> (c3_1_ X42 \/ (~(c0_1_ X42) \/ ~(c2_1_ X42))))) \/ hskp14_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c2_1_ X43 \/ ~(c3_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (~(c0_1_ X44) \/ (~(c1_1_ X44) \/ ~(c3_1_ X44))))) \/ hskp3_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (c2_1_ X45 \/ ~(c3_1_ X45))))) \/ (hskp15_ \/ hskp16_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (c3_1_ X46 \/ ~(c1_1_ X46))))) \/ ((forall X47 : Universe, (ndr1_0_ -> (c1_1_ X47 \/ (~(c2_1_ X47) \/ ~(c3_1_ X47))))) \/ hskp17_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (c3_1_ X48 \/ ~(c1_1_ X48))))) \/ ((forall X49 : Universe, (ndr1_0_ -> (c2_1_ X49 \/ (~(c0_1_ X49) \/ ~(c1_1_ X49))))) \/ hskp18_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c0_1_ X50 \/ (c3_1_ X50 \/ ~(c1_1_ X50))))) \/ (hskp19_ \/ hskp6_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (c3_1_ X51 \/ ~(c2_1_ X51))))) \/ ((forall X52 : Universe, (ndr1_0_ -> (c1_1_ X52 \/ (~(c0_1_ X52) \/ ~(c3_1_ X52))))) \/ (forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (~(c2_1_ X53) \/ ~(c3_1_ X53))))))) /\ (((forall X54 : Universe, (ndr1_0_ -> (c0_1_ X54 \/ (c3_1_ X54 \/ ~(c2_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c2_1_ X55 \/ (~(c0_1_ X55) \/ ~(c3_1_ X55))))) \/ hskp11_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (c3_1_ X56 \/ ~(c2_1_ X56))))) \/ (hskp20_ \/ hskp6_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (~(c1_1_ X57) \/ ~(c2_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (~(c0_1_ X58) \/ ~(c2_1_ X58))))) \/ hskp21_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (~(c1_1_ X59) \/ ~(c2_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (~(c0_1_ X60) \/ (~(c1_1_ X60) \/ ~(c2_1_ X60))))) \/ hskp27_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c0_1_ X61 \/ (~(c1_1_ X61) \/ ~(c2_1_ X61))))) \/ hskp13_) /\ (((forall X62 : Universe, (ndr1_0_ -> (c0_1_ X62 \/ (~(c1_1_ X62) \/ ~(c2_1_ X62))))) \/ (hskp3_ \/ hskp6_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c0_1_ X63 \/ (~(c1_1_ X63) \/ ~(c3_1_ X63))))) \/ ((forall X64 : Universe, (ndr1_0_ -> (c1_1_ X64 \/ (~(c0_1_ X64) \/ ~(c2_1_ X64))))) \/ (forall X65 : Universe, (ndr1_0_ -> (c2_1_ X65 \/ (~(c0_1_ X65) \/ ~(c1_1_ X65))))))) /\ (((forall X66 : Universe, (ndr1_0_ -> (c0_1_ X66 \/ (~(c1_1_ X66) \/ ~(c3_1_ X66))))) \/ ((forall X67 : Universe, (ndr1_0_ -> (c3_1_ X67 \/ (~(c0_1_ X67) \/ ~(c1_1_ X67))))) \/ hskp3_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c0_1_ X68 \/ (~(c1_1_ X68) \/ ~(c3_1_ X68))))) \/ ((forall X69 : Universe, (ndr1_0_ -> (~(c1_1_ X69) \/ (~(c2_1_ X69) \/ ~(c3_1_ X69))))) \/ hskp17_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c0_1_ X70 \/ (~(c1_1_ X70) \/ ~(c3_1_ X70))))) \/ (hskp28_ \/ hskp1_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c0_1_ X71 \/ (~(c2_1_ X71) \/ ~(c3_1_ X71))))) \/ ((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c2_1_ X72 \/ ~(c0_1_ X72))))) \/ (forall X73 : Universe, (ndr1_0_ -> (~(c0_1_ X73) \/ (~(c2_1_ X73) \/ ~(c3_1_ X73))))))) /\ (((forall X74 : Universe, (ndr1_0_ -> (c0_1_ X74 \/ (~(c2_1_ X74) \/ ~(c3_1_ X74))))) \/ ((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (c2_1_ X75 \/ ~(c3_1_ X75))))) \/ (forall X76 : Universe, (ndr1_0_ -> (c1_1_ X76 \/ (~(c2_1_ X76) \/ ~(c3_1_ X76))))))) /\ (((forall X77 : Universe, (ndr1_0_ -> (c0_1_ X77 \/ (~(c2_1_ X77) \/ ~(c3_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (~(c0_1_ X78) \/ (~(c2_1_ X78) \/ ~(c3_1_ X78))))) \/ hskp16_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c0_1_ X79 \/ (~(c2_1_ X79) \/ ~(c3_1_ X79))))) \/ (hskp27_ \/ hskp22_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c0_1_ X80 \/ (~(c2_1_ X80) \/ ~(c3_1_ X80))))) \/ (hskp20_ \/ hskp8_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c0_1_ X81 \/ (~(c2_1_ X81) \/ ~(c3_1_ X81))))) \/ (hskp8_ \/ hskp4_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (c2_1_ X82 \/ c3_1_ X82)))) \/ hskp11_) /\ (((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (c2_1_ X83 \/ ~(c3_1_ X83))))) \/ ((forall X84 : Universe, (ndr1_0_ -> (c2_1_ X84 \/ (c3_1_ X84 \/ ~(c0_1_ X84))))) \/ hskp29_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c1_1_ X85 \/ (c2_1_ X85 \/ ~(c3_1_ X85))))) \/ ((forall X86 : Universe, (ndr1_0_ -> (~(c0_1_ X86) \/ (~(c1_1_ X86) \/ ~(c3_1_ X86))))) \/ hskp0_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c1_1_ X87 \/ (c3_1_ X87 \/ ~(c0_1_ X87))))) \/ ((forall X88 : Universe, (ndr1_0_ -> (c3_1_ X88 \/ (~(c0_1_ X88) \/ ~(c1_1_ X88))))) \/ hskp23_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c1_1_ X89 \/ (c3_1_ X89 \/ ~(c0_1_ X89))))) \/ ((forall X90 : Universe, (ndr1_0_ -> (c3_1_ X90 \/ (~(c0_1_ X90) \/ ~(c2_1_ X90))))) \/ hskp2_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c1_1_ X91 \/ (c3_1_ X91 \/ ~(c0_1_ X91))))) \/ ((forall X92 : Universe, (ndr1_0_ -> (~(c1_1_ X92) \/ (~(c2_1_ X92) \/ ~(c3_1_ X92))))) \/ hskp24_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c1_1_ X93 \/ (c3_1_ X93 \/ ~(c2_1_ X93))))) \/ ((forall X94 : Universe, (ndr1_0_ -> (c2_1_ X94 \/ (c3_1_ X94 \/ ~(c0_1_ X94))))) \/ hskp15_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (c1_1_ X95 \/ (c3_1_ X95 \/ ~(c2_1_ X95))))) \/ ((forall X96 : Universe, (ndr1_0_ -> (c2_1_ X96 \/ (~(c1_1_ X96) \/ ~(c3_1_ X96))))) \/ hskp23_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (c1_1_ X97 \/ (c3_1_ X97 \/ ~(c2_1_ X97))))) \/ ((forall X98 : Universe, (ndr1_0_ -> (c3_1_ X98 \/ (~(c0_1_ X98) \/ ~(c1_1_ X98))))) \/ hskp15_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c1_1_ X99 \/ (c3_1_ X99 \/ ~(c2_1_ X99))))) \/ ((forall X100 : Universe, (ndr1_0_ -> (c3_1_ X100 \/ (~(c1_1_ X100) \/ ~(c2_1_ X100))))) \/ hskp22_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (c1_1_ X101 \/ (c3_1_ X101 \/ ~(c2_1_ X101))))) \/ ((forall X102 : Universe, (ndr1_0_ -> (~(c1_1_ X102) \/ (~(c2_1_ X102) \/ ~(c3_1_ X102))))) \/ hskp18_)) /\ (((forall X103 : Universe, (ndr1_0_ -> (c1_1_ X103 \/ (~(c0_1_ X103) \/ ~(c2_1_ X103))))) \/ ((forall X104 : Universe, (ndr1_0_ -> (c3_1_ X104 \/ (~(c0_1_ X104) \/ ~(c1_1_ X104))))) \/ (forall X105 : Universe, (ndr1_0_ -> (~(c0_1_ X105) \/ (~(c1_1_ X105) \/ ~(c2_1_ X105))))))) /\ (((forall X106 : Universe, (ndr1_0_ -> (c1_1_ X106 \/ (~(c0_1_ X106) \/ ~(c3_1_ X106))))) \/ ((forall X107 : Universe, (ndr1_0_ -> (~(c0_1_ X107) \/ (~(c1_1_ X107) \/ ~(c2_1_ X107))))) \/ hskp5_)) /\ (((forall X108 : Universe, (ndr1_0_ -> (c2_1_ X108 \/ (c3_1_ X108 \/ ~(c0_1_ X108))))) \/ ((forall X109 : Universe, (ndr1_0_ -> (~(c0_1_ X109) \/ (~(c2_1_ X109) \/ ~(c3_1_ X109))))) \/ hskp18_)) /\ (((forall X110 : Universe, (ndr1_0_ -> (c2_1_ X110 \/ (c3_1_ X110 \/ ~(c0_1_ X110))))) \/ (hskp15_ \/ hskp17_)) /\ (((forall X111 : Universe, (ndr1_0_ -> (c2_1_ X111 \/ (~(c0_1_ X111) \/ ~(c1_1_ X111))))) \/ (hskp13_ \/ hskp19_)) /\ (((forall X112 : Universe, (ndr1_0_ -> (c2_1_ X112 \/ (~(c1_1_ X112) \/ ~(c3_1_ X112))))) \/ ((forall X113 : Universe, (ndr1_0_ -> (~(c0_1_ X113) \/ (~(c1_1_ X113) \/ ~(c2_1_ X113))))) \/ hskp28_)) /\ (((forall X114 : Universe, (ndr1_0_ -> (c3_1_ X114 \/ (~(c0_1_ X114) \/ ~(c1_1_ X114))))) \/ ((forall X115 : Universe, (ndr1_0_ -> (~(c0_1_ X115) \/ (~(c1_1_ X115) \/ ~(c2_1_ X115))))) \/ (forall X116 : Universe, (ndr1_0_ -> (~(c1_1_ X116) \/ (~(c2_1_ X116) \/ ~(c3_1_ X116))))))) /\ (((forall X117 : Universe, (ndr1_0_ -> (c3_1_ X117 \/ (~(c1_1_ X117) \/ ~(c2_1_ X117))))) \/ (hskp29_ \/ hskp30_)) /\ (((forall X118 : Universe, (ndr1_0_ -> (c3_1_ X118 \/ (~(c1_1_ X118) \/ ~(c2_1_ X118))))) \/ (hskp24_ \/ hskp16_)) /\ (((forall X119 : Universe, (ndr1_0_ -> (c3_1_ X119 \/ (~(c1_1_ X119) \/ ~(c2_1_ X119))))) \/ (hskp3_ \/ hskp25_)) /\ (((forall X120 : Universe, (ndr1_0_ -> (~(c0_1_ X120) \/ (~(c1_1_ X120) \/ ~(c2_1_ X120))))) \/ (hskp29_ \/ hskp4_)) /\ (((forall X121 : Universe, (ndr1_0_ -> (~(c0_1_ X121) \/ (~(c1_1_ X121) \/ ~(c3_1_ X121))))) \/ (hskp23_ \/ hskp5_)) /\ (((forall X122 : Universe, (ndr1_0_ -> (~(c1_1_ X122) \/ (~(c2_1_ X122) \/ ~(c3_1_ X122))))) \/ (hskp16_ \/ hskp22_)) /\ ((hskp28_ \/ (hskp1_ \/ hskp4_)) /\ ((hskp2_ \/ (hskp8_ \/ hskp14_)) /\ ((hskp2_ \/ (hskp4_ \/ hskp25_)) /\ ((hskp20_ \/ (hskp10_ \/ hskp26_)) /\ ((hskp11_ \/ (hskp0_ \/ hskp26_)) /\ (hskp15_ \/ (hskp10_ \/ hskp22_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
