(*
% File     : SYN483+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=76, K=3, D=1, P=0, Index=035
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-76-3-1-035.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  711 (   0 equality)
%            Maximal formula depth :  109 ( 109 average)
%            Number of connectives :  947 ( 237 ~  ; 404  |; 195  &)
%                                         (   0 <=>; 111 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   35 (  31 propositional; 0-1 arity)
%            Number of functors    :   30 (  30 constant; 0-0 arity)
%            Number of variables   :  111 (   0 singleton; 111 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a1960_ : Universe.
Variable a1919_ : Universe.
Variable a1911_ : Universe.
Variable a1899_ : Universe.
Variable a1898_ : Universe.
Variable a1890_ : Universe.
Variable a1885_ : Universe.
Variable a1884_ : Universe.
Variable a1878_ : Universe.
Variable a1877_ : Universe.
Variable a1875_ : Universe.
Variable a1874_ : Universe.
Variable a1872_ : Universe.
Variable a1870_ : Universe.
Variable a1868_ : Universe.
Variable a1867_ : Universe.
Variable a1866_ : Universe.
Variable a1865_ : Universe.
Variable a1864_ : Universe.
Variable a1863_ : Universe.
Variable a1862_ : Universe.
Variable a1861_ : Universe.
Variable a1860_ : Universe.
Variable a1858_ : Universe.
Variable a1857_ : Universe.
Variable a1856_ : Universe.
Variable a1855_ : Universe.
Variable a1854_ : Universe.
Variable a1853_ : Universe.
Variable a1852_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c1_1_ a1852_ /\ (c3_1_ a1852_ /\ ~(c2_1_ a1852_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c1_1_ a1853_ /\ (c3_1_ a1853_ /\ ~(c0_1_ a1853_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a1854_ /\ (c2_1_ a1854_ /\ ~(c3_1_ a1854_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (~(c0_1_ a1855_) /\ (~(c1_1_ a1855_) /\ ~(c2_1_ a1855_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c2_1_ a1856_ /\ (c3_1_ a1856_ /\ ~(c1_1_ a1856_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c2_1_ a1857_ /\ (~(c0_1_ a1857_) /\ ~(c3_1_ a1857_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c1_1_ a1860_ /\ (~(c0_1_ a1860_) /\ ~(c2_1_ a1860_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a1861_ /\ (~(c1_1_ a1861_) /\ ~(c2_1_ a1861_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c0_1_ a1862_ /\ (c1_1_ a1862_ /\ ~(c2_1_ a1862_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c2_1_ a1863_ /\ (~(c1_1_ a1863_) /\ ~(c3_1_ a1863_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a1864_ /\ (c3_1_ a1864_ /\ ~(c1_1_ a1864_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (~(c0_1_ a1865_) /\ (~(c2_1_ a1865_) /\ ~(c3_1_ a1865_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c3_1_ a1866_ /\ (~(c0_1_ a1866_) /\ ~(c2_1_ a1866_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (~(c1_1_ a1867_) /\ (~(c2_1_ a1867_) /\ ~(c3_1_ a1867_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a1868_ /\ (c3_1_ a1868_ /\ ~(c2_1_ a1868_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c1_1_ a1870_ /\ (~(c0_1_ a1870_) /\ ~(c3_1_ a1870_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c2_1_ a1872_ /\ (c3_1_ a1872_ /\ ~(c0_1_ a1872_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c0_1_ a1874_ /\ (c2_1_ a1874_ /\ ~(c1_1_ a1874_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c0_1_ a1875_ /\ (c1_1_ a1875_ /\ ~(c3_1_ a1875_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (~(c0_1_ a1884_) /\ (~(c1_1_ a1884_) /\ ~(c3_1_ a1884_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c2_1_ a1890_ /\ (~(c0_1_ a1890_) /\ ~(c1_1_ a1890_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c3_1_ a1898_ /\ (~(c0_1_ a1898_) /\ ~(c1_1_ a1898_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c0_1_ a1899_ /\ (~(c2_1_ a1899_) /\ ~(c3_1_ a1899_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c0_1_ a1911_ /\ (~(c1_1_ a1911_) /\ ~(c3_1_ a1911_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c3_1_ a1919_ /\ (~(c1_1_ a1919_) /\ ~(c2_1_ a1919_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a1960_ /\ (c2_1_ a1960_ /\ ~(c0_1_ a1960_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a1858_ /\ (c1_1_ a1858_ /\ c3_1_ a1858_)))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a1877_ /\ (c2_1_ a1877_ /\ c3_1_ a1877_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c1_1_ a1878_ /\ (c2_1_ a1878_ /\ c3_1_ a1878_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a1885_ /\ (c1_1_ a1885_ /\ c2_1_ a1885_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c1_1_ V \/ ~(c2_1_ V))))) \/ hskp0_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c2_1_ W)))) \/ ((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (~(c1_1_ X) \/ ~(c2_1_ X))))) \/ (forall Y : Universe, (ndr1_0_ -> (c1_1_ Y \/ (~(c0_1_ Y) \/ ~(c2_1_ Y))))))) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c2_1_ Z)))) \/ ((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (~(c1_1_ X1) \/ ~(c2_1_ X1))))) \/ (forall X2 : Universe, (ndr1_0_ -> (c2_1_ X2 \/ (~(c0_1_ X2) \/ ~(c3_1_ X2))))))) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c1_1_ X3 \/ c2_1_ X3)))) \/ ((forall X4 : Universe, (ndr1_0_ -> (c1_1_ X4 \/ (c2_1_ X4 \/ ~(c3_1_ X4))))) \/ hskp1_)) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ c2_1_ X5)))) \/ (hskp2_ \/ hskp3_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ c2_1_ X6)))) \/ (hskp4_ \/ hskp5_)) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ c3_1_ X7)))) \/ ((forall X8 : Universe, (ndr1_0_ -> (c1_1_ X8 \/ (c2_1_ X8 \/ c3_1_ X8)))) \/ hskp26_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ c3_1_ X9)))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c2_1_ X10 \/ (c3_1_ X10 \/ ~(c0_1_ X10))))) \/ hskp3_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ c3_1_ X11)))) \/ ((forall X12 : Universe, (ndr1_0_ -> (~(c0_1_ X12) \/ (~(c1_1_ X12) \/ ~(c2_1_ X12))))) \/ hskp6_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ c3_1_ X13)))) \/ ((forall X14 : Universe, (ndr1_0_ -> (~(c1_1_ X14) \/ (~(c2_1_ X14) \/ ~(c3_1_ X14))))) \/ hskp7_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c2_1_ X15))))) \/ (hskp8_ \/ hskp9_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c1_1_ X16 \/ ~(c2_1_ X16))))) \/ (hskp10_ \/ hskp11_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c1_1_ X17 \/ ~(c2_1_ X17))))) \/ (hskp12_ \/ hskp13_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c1_1_ X18 \/ ~(c3_1_ X18))))) \/ (hskp14_ \/ hskp4_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c1_1_ X19 \/ ~(c3_1_ X19))))) \/ (hskp15_ \/ hskp3_)) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c1_1_ X20 \/ ~(c3_1_ X20))))) \/ (hskp16_ \/ hskp13_)) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c2_1_ X21 \/ c3_1_ X21)))) \/ ((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (~(c1_1_ X22) \/ ~(c3_1_ X22))))) \/ hskp17_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ c3_1_ X23)))) \/ (hskp18_ \/ hskp17_)) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c2_1_ X24 \/ c3_1_ X24)))) \/ (hskp27_ \/ hskp28_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ ~(c1_1_ X25))))) \/ ((forall X26 : Universe, (ndr1_0_ -> (c2_1_ X26 \/ (~(c0_1_ X26) \/ ~(c1_1_ X26))))) \/ hskp3_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ ~(c1_1_ X27))))) \/ ((forall X28 : Universe, (ndr1_0_ -> (~(c0_1_ X28) \/ (~(c2_1_ X28) \/ ~(c3_1_ X28))))) \/ hskp8_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ ~(c1_1_ X29))))) \/ (hskp1_ \/ hskp9_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c3_1_ X30 \/ ~(c1_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (c1_1_ X31 \/ (~(c2_1_ X31) \/ ~(c3_1_ X31))))) \/ hskp11_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c3_1_ X32 \/ ~(c1_1_ X32))))) \/ ((forall X33 : Universe, (ndr1_0_ -> (c3_1_ X33 \/ (~(c1_1_ X33) \/ ~(c2_1_ X33))))) \/ hskp19_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c3_1_ X34 \/ ~(c1_1_ X34))))) \/ (hskp29_ \/ hskp26_)) /\ (((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (c3_1_ X35 \/ ~(c2_1_ X35))))) \/ ((forall X36 : Universe, (ndr1_0_ -> (c1_1_ X36 \/ (c2_1_ X36 \/ ~(c0_1_ X36))))) \/ hskp27_)) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (~(c1_1_ X37) \/ ~(c2_1_ X37))))) \/ ((forall X38 : Universe, (ndr1_0_ -> (c1_1_ X38 \/ (c2_1_ X38 \/ ~(c3_1_ X38))))) \/ hskp8_)) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (~(c1_1_ X39) \/ ~(c2_1_ X39))))) \/ ((forall X40 : Universe, (ndr1_0_ -> (~(c0_1_ X40) \/ (~(c1_1_ X40) \/ ~(c2_1_ X40))))) \/ hskp29_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (~(c1_1_ X41) \/ ~(c2_1_ X41))))) \/ (hskp20_ \/ hskp19_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (~(c1_1_ X42) \/ ~(c3_1_ X42))))) \/ ((forall X43 : Universe, (ndr1_0_ -> (c1_1_ X43 \/ (c3_1_ X43 \/ ~(c2_1_ X43))))) \/ (forall X44 : Universe, (ndr1_0_ -> (c3_1_ X44 \/ (~(c0_1_ X44) \/ ~(c2_1_ X44))))))) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (~(c1_1_ X45) \/ ~(c3_1_ X45))))) \/ ((forall X46 : Universe, (ndr1_0_ -> (c2_1_ X46 \/ (~(c0_1_ X46) \/ ~(c1_1_ X46))))) \/ hskp16_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (~(c2_1_ X47) \/ ~(c3_1_ X47))))) \/ ((forall X48 : Universe, (ndr1_0_ -> (c1_1_ X48 \/ (c3_1_ X48 \/ ~(c0_1_ X48))))) \/ hskp15_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (~(c2_1_ X49) \/ ~(c3_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (c3_1_ X50 \/ ~(c2_1_ X50))))) \/ hskp27_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (~(c2_1_ X51) \/ ~(c3_1_ X51))))) \/ ((forall X52 : Universe, (ndr1_0_ -> (c1_1_ X52 \/ (~(c0_1_ X52) \/ ~(c3_1_ X52))))) \/ (forall X53 : Universe, (ndr1_0_ -> (c2_1_ X53 \/ (~(c1_1_ X53) \/ ~(c3_1_ X53))))))) /\ (((forall X54 : Universe, (ndr1_0_ -> (c0_1_ X54 \/ (~(c2_1_ X54) \/ ~(c3_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c1_1_ X55 \/ (~(c2_1_ X55) \/ ~(c3_1_ X55))))) \/ (forall X56 : Universe, (ndr1_0_ -> (c2_1_ X56 \/ (c3_1_ X56 \/ ~(c1_1_ X56))))))) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (~(c2_1_ X57) \/ ~(c3_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (c3_1_ X58 \/ (~(c0_1_ X58) \/ ~(c1_1_ X58))))) \/ hskp27_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c1_1_ X59 \/ (c2_1_ X59 \/ c3_1_ X59)))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (~(c0_1_ X60) \/ ~(c3_1_ X60))))) \/ (forall X61 : Universe, (ndr1_0_ -> (c2_1_ X61 \/ (c3_1_ X61 \/ ~(c1_1_ X61))))))) /\ (((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (c2_1_ X62 \/ c3_1_ X62)))) \/ ((forall X63 : Universe, (ndr1_0_ -> (c2_1_ X63 \/ (c3_1_ X63 \/ ~(c1_1_ X63))))) \/ hskp9_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c1_1_ X64 \/ (c2_1_ X64 \/ c3_1_ X64)))) \/ (hskp8_ \/ hskp21_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (c2_1_ X65 \/ c3_1_ X65)))) \/ (hskp22_ \/ hskp16_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c2_1_ X66 \/ ~(c0_1_ X66))))) \/ (hskp26_ \/ hskp27_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c2_1_ X67 \/ ~(c3_1_ X67))))) \/ ((forall X68 : Universe, (ndr1_0_ -> (c2_1_ X68 \/ (c3_1_ X68 \/ ~(c0_1_ X68))))) \/ hskp9_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (c2_1_ X69 \/ ~(c3_1_ X69))))) \/ (hskp29_ \/ hskp20_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (c2_1_ X70 \/ ~(c3_1_ X70))))) \/ (hskp9_ \/ hskp13_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (c3_1_ X71 \/ ~(c0_1_ X71))))) \/ ((forall X72 : Universe, (ndr1_0_ -> (c2_1_ X72 \/ (~(c1_1_ X72) \/ ~(c3_1_ X72))))) \/ hskp5_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (c3_1_ X73 \/ ~(c0_1_ X73))))) \/ ((forall X74 : Universe, (ndr1_0_ -> (~(c0_1_ X74) \/ (~(c1_1_ X74) \/ ~(c2_1_ X74))))) \/ hskp21_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (c3_1_ X75 \/ ~(c2_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (c1_1_ X76 \/ (~(c2_1_ X76) \/ ~(c3_1_ X76))))) \/ (forall X77 : Universe, (ndr1_0_ -> (~(c0_1_ X77) \/ (~(c1_1_ X77) \/ ~(c2_1_ X77))))))) /\ (((forall X78 : Universe, (ndr1_0_ -> (c1_1_ X78 \/ (c3_1_ X78 \/ ~(c2_1_ X78))))) \/ (hskp8_ \/ hskp23_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (~(c0_1_ X79) \/ ~(c2_1_ X79))))) \/ (hskp8_ \/ hskp18_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (~(c0_1_ X80) \/ ~(c3_1_ X80))))) \/ (hskp26_ \/ hskp23_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c1_1_ X81 \/ (~(c0_1_ X81) \/ ~(c3_1_ X81))))) \/ (hskp7_ \/ hskp1_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (~(c2_1_ X82) \/ ~(c3_1_ X82))))) \/ ((forall X83 : Universe, (ndr1_0_ -> (c2_1_ X83 \/ (~(c0_1_ X83) \/ ~(c1_1_ X83))))) \/ hskp18_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c2_1_ X84 \/ (c3_1_ X84 \/ ~(c0_1_ X84))))) \/ ((forall X85 : Universe, (ndr1_0_ -> (c2_1_ X85 \/ (~(c1_1_ X85) \/ ~(c3_1_ X85))))) \/ (forall X86 : Universe, (ndr1_0_ -> (~(c0_1_ X86) \/ (~(c1_1_ X86) \/ ~(c3_1_ X86))))))) /\ (((forall X87 : Universe, (ndr1_0_ -> (c2_1_ X87 \/ (c3_1_ X87 \/ ~(c0_1_ X87))))) \/ ((forall X88 : Universe, (ndr1_0_ -> (~(c0_1_ X88) \/ (~(c2_1_ X88) \/ ~(c3_1_ X88))))) \/ hskp24_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c2_1_ X89 \/ (c3_1_ X89 \/ ~(c1_1_ X89))))) \/ ((forall X90 : Universe, (ndr1_0_ -> (c2_1_ X90 \/ (~(c0_1_ X90) \/ ~(c1_1_ X90))))) \/ (forall X91 : Universe, (ndr1_0_ -> (c3_1_ X91 \/ (~(c0_1_ X91) \/ ~(c1_1_ X91))))))) /\ (((forall X92 : Universe, (ndr1_0_ -> (c2_1_ X92 \/ (c3_1_ X92 \/ ~(c1_1_ X92))))) \/ ((forall X93 : Universe, (ndr1_0_ -> (~(c0_1_ X93) \/ (~(c1_1_ X93) \/ ~(c3_1_ X93))))) \/ hskp20_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (c2_1_ X94 \/ (c3_1_ X94 \/ ~(c1_1_ X94))))) \/ (hskp17_ \/ hskp15_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (c2_1_ X95 \/ (c3_1_ X95 \/ ~(c1_1_ X95))))) \/ (hskp15_ \/ hskp9_)) /\ (((forall X96 : Universe, (ndr1_0_ -> (c2_1_ X96 \/ (~(c0_1_ X96) \/ ~(c1_1_ X96))))) \/ ((forall X97 : Universe, (ndr1_0_ -> (~(c1_1_ X97) \/ (~(c2_1_ X97) \/ ~(c3_1_ X97))))) \/ hskp10_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (c2_1_ X98 \/ (~(c0_1_ X98) \/ ~(c1_1_ X98))))) \/ (hskp26_ \/ hskp10_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c2_1_ X99 \/ (~(c0_1_ X99) \/ ~(c3_1_ X99))))) \/ (hskp27_ \/ hskp22_)) /\ (((forall X100 : Universe, (ndr1_0_ -> (c2_1_ X100 \/ (~(c1_1_ X100) \/ ~(c3_1_ X100))))) \/ ((forall X101 : Universe, (ndr1_0_ -> (~(c0_1_ X101) \/ (~(c2_1_ X101) \/ ~(c3_1_ X101))))) \/ hskp16_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (c2_1_ X102 \/ (~(c1_1_ X102) \/ ~(c3_1_ X102))))) \/ (hskp14_ \/ hskp19_)) /\ (((forall X103 : Universe, (ndr1_0_ -> (~(c0_1_ X103) \/ (~(c1_1_ X103) \/ ~(c2_1_ X103))))) \/ (hskp26_ \/ hskp3_)) /\ (((forall X104 : Universe, (ndr1_0_ -> (~(c0_1_ X104) \/ (~(c1_1_ X104) \/ ~(c2_1_ X104))))) \/ (hskp0_ \/ hskp24_)) /\ (((forall X105 : Universe, (ndr1_0_ -> (~(c0_1_ X105) \/ (~(c2_1_ X105) \/ ~(c3_1_ X105))))) \/ (hskp28_ \/ hskp0_)) /\ ((hskp29_ \/ (hskp27_ \/ hskp1_)) /\ ((hskp8_ \/ (hskp17_ \/ hskp16_)) /\ ((hskp8_ \/ (hskp10_ \/ hskp24_)) /\ ((hskp18_ \/ (hskp10_ \/ hskp15_)) /\ ((hskp18_ \/ (hskp22_ \/ hskp12_)) /\ ((hskp18_ \/ (hskp1_ \/ hskp6_)) /\ ((hskp10_ \/ (hskp28_ \/ hskp0_)) /\ ((hskp25_ \/ (hskp6_ \/ hskp5_)) /\ ((hskp25_ \/ (hskp9_ \/ hskp24_)) /\ (hskp15_ \/ (hskp4_ \/ hskp19_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
