(*
% File     : SYN502+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=80, K=3, D=1, P=0, Index=023
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-80-3-1-023.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  747 (   0 equality)
%            Maximal formula depth :  115 ( 115 average)
%            Number of connectives :  986 ( 240 ~  ; 422  |; 207  &)
%                                         (   0 <=>; 117 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :  117 (   0 singleton; 117 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a322_ : Universe.
Variable a314_ : Universe.
Variable a294_ : Universe.
Variable a282_ : Universe.
Variable a281_ : Universe.
Variable a276_ : Universe.
Variable a274_ : Universe.
Variable a271_ : Universe.
Variable a269_ : Universe.
Variable a265_ : Universe.
Variable a263_ : Universe.
Variable a259_ : Universe.
Variable a258_ : Universe.
Variable a257_ : Universe.
Variable a253_ : Universe.
Variable a252_ : Universe.
Variable a251_ : Universe.
Variable a249_ : Universe.
Variable a248_ : Universe.
Variable a246_ : Universe.
Variable a245_ : Universe.
Variable a244_ : Universe.
Variable a243_ : Universe.
Variable a242_ : Universe.
Variable a241_ : Universe.
Variable a240_ : Universe.
Variable a239_ : Universe.
Variable a238_ : Universe.
Variable a237_ : Universe.
Variable a236_ : Universe.
Variable a235_ : Universe.
Variable a234_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c1_1_ a234_ /\ (~(c0_1_ a234_) /\ ~(c2_1_ a234_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (~(c0_1_ a235_) /\ (~(c1_1_ a235_) /\ ~(c2_1_ a235_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a236_ /\ (c3_1_ a236_ /\ ~(c0_1_ a236_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a238_ /\ (~(c2_1_ a238_) /\ ~(c3_1_ a238_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c3_1_ a239_ /\ (~(c1_1_ a239_) /\ ~(c2_1_ a239_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c2_1_ a241_ /\ (c3_1_ a241_ /\ ~(c0_1_ a241_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c2_1_ a242_ /\ (~(c0_1_ a242_) /\ ~(c1_1_ a242_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a244_ /\ (~(c1_1_ a244_) /\ ~(c2_1_ a244_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c0_1_ a245_ /\ (c2_1_ a245_ /\ ~(c1_1_ a245_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c3_1_ a248_ /\ (~(c0_1_ a248_) /\ ~(c1_1_ a248_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a249_ /\ (c3_1_ a249_ /\ ~(c2_1_ a249_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c2_1_ a251_ /\ (~(c1_1_ a251_) /\ ~(c3_1_ a251_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c0_1_ a252_ /\ (~(c1_1_ a252_) /\ ~(c3_1_ a252_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a253_ /\ (~(c0_1_ a253_) /\ ~(c3_1_ a253_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c2_1_ a257_ /\ (c3_1_ a257_ /\ ~(c1_1_ a257_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (~(c0_1_ a258_) /\ (~(c2_1_ a258_) /\ ~(c3_1_ a258_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c1_1_ a259_ /\ (~(c2_1_ a259_) /\ ~(c3_1_ a259_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (~(c0_1_ a263_) /\ (~(c1_1_ a263_) /\ ~(c3_1_ a263_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c1_1_ a265_ /\ (c2_1_ a265_ /\ ~(c0_1_ a265_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c0_1_ a269_ /\ (c3_1_ a269_ /\ ~(c1_1_ a269_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c0_1_ a271_ /\ (c1_1_ a271_ /\ ~(c2_1_ a271_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a274_ /\ (c2_1_ a274_ /\ ~(c3_1_ a274_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c0_1_ a276_ /\ (c1_1_ a276_ /\ ~(c3_1_ a276_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c1_1_ a281_ /\ (c3_1_ a281_ /\ ~(c2_1_ a281_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c3_1_ a282_ /\ (~(c0_1_ a282_) /\ ~(c2_1_ a282_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a294_ /\ (c2_1_ a294_ /\ ~(c3_1_ a294_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c2_1_ a314_ /\ (~(c0_1_ a314_) /\ ~(c3_1_ a314_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (~(c1_1_ a322_) /\ (~(c2_1_ a322_) /\ ~(c3_1_ a322_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a237_ /\ (c1_1_ a237_ /\ c2_1_ a237_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c1_1_ a240_ /\ (c2_1_ a240_ /\ c3_1_ a240_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a243_ /\ (c1_1_ a243_ /\ c3_1_ a243_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c0_1_ a246_ /\ (c2_1_ a246_ /\ c3_1_ a246_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c2_1_ V \/ c3_1_ V)))) \/ hskp0_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c2_1_ W)))) \/ ((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c2_1_ X \/ ~(c3_1_ X))))) \/ hskp1_)) /\ (((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ c2_1_ Y)))) \/ ((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c3_1_ Z \/ ~(c1_1_ Z))))) \/ (forall X1 : Universe, (ndr1_0_ -> (c2_1_ X1 \/ (~(c1_1_ X1) \/ ~(c3_1_ X1))))))) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c2_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (~(c1_1_ X3) \/ ~(c3_1_ X3))))) \/ (forall X4 : Universe, (ndr1_0_ -> (~(c0_1_ X4) \/ (~(c1_1_ X4) \/ ~(c3_1_ X4))))))) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ c2_1_ X5)))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c2_1_ X6 \/ (~(c0_1_ X6) \/ ~(c1_1_ X6))))) \/ hskp2_)) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ c2_1_ X7)))) \/ ((forall X8 : Universe, (ndr1_0_ -> (~(c0_1_ X8) \/ (~(c1_1_ X8) \/ ~(c3_1_ X8))))) \/ hskp28_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ c2_1_ X9)))) \/ ((forall X10 : Universe, (ndr1_0_ -> (~(c0_1_ X10) \/ (~(c1_1_ X10) \/ ~(c3_1_ X10))))) \/ hskp3_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ c2_1_ X11)))) \/ ((forall X12 : Universe, (ndr1_0_ -> (~(c1_1_ X12) \/ (~(c2_1_ X12) \/ ~(c3_1_ X12))))) \/ hskp4_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ c2_1_ X13)))) \/ (hskp29_ \/ hskp5_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c1_1_ X14 \/ c3_1_ X14)))) \/ ((forall X15 : Universe, (ndr1_0_ -> (c1_1_ X15 \/ (c2_1_ X15 \/ c3_1_ X15)))) \/ hskp6_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c1_1_ X16 \/ c3_1_ X16)))) \/ ((forall X17 : Universe, (ndr1_0_ -> (c1_1_ X17 \/ (c3_1_ X17 \/ ~(c0_1_ X17))))) \/ hskp30_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c1_1_ X18 \/ c3_1_ X18)))) \/ ((forall X19 : Universe, (ndr1_0_ -> (c2_1_ X19 \/ (~(c0_1_ X19) \/ ~(c1_1_ X19))))) \/ hskp7_)) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c1_1_ X20 \/ ~(c2_1_ X20))))) \/ ((forall X21 : Universe, (ndr1_0_ -> (c3_1_ X21 \/ (~(c0_1_ X21) \/ ~(c2_1_ X21))))) \/ hskp8_)) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c1_1_ X22 \/ ~(c2_1_ X22))))) \/ hskp31_) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c1_1_ X23 \/ ~(c2_1_ X23))))) \/ (hskp31_ \/ hskp9_)) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c1_1_ X24 \/ ~(c2_1_ X24))))) \/ hskp10_) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c1_1_ X25 \/ ~(c2_1_ X25))))) \/ (hskp7_ \/ hskp11_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c1_1_ X26 \/ ~(c3_1_ X26))))) \/ (hskp12_ \/ hskp13_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ c3_1_ X27)))) \/ ((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c2_1_ X28 \/ ~(c3_1_ X28))))) \/ (forall X29 : Universe, (ndr1_0_ -> (c2_1_ X29 \/ (~(c0_1_ X29) \/ ~(c3_1_ X29))))))) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c2_1_ X30 \/ c3_1_ X30)))) \/ ((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c2_1_ X31 \/ ~(c3_1_ X31))))) \/ hskp11_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c2_1_ X32 \/ c3_1_ X32)))) \/ (hskp30_ \/ hskp9_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c2_1_ X33 \/ ~(c1_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c3_1_ X34 \/ ~(c1_1_ X34))))) \/ (forall X35 : Universe, (ndr1_0_ -> (c2_1_ X35 \/ (~(c1_1_ X35) \/ ~(c3_1_ X35))))))) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c2_1_ X36 \/ ~(c1_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c3_1_ X37 \/ ~(c1_1_ X37))))) \/ hskp14_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (c2_1_ X38 \/ ~(c1_1_ X38))))) \/ ((forall X39 : Universe, (ndr1_0_ -> (c1_1_ X39 \/ (~(c0_1_ X39) \/ ~(c3_1_ X39))))) \/ hskp15_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (c2_1_ X40 \/ ~(c3_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c3_1_ X41 \/ (~(c1_1_ X41) \/ ~(c2_1_ X41))))) \/ hskp16_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (c2_1_ X42 \/ ~(c3_1_ X42))))) \/ (hskp31_ \/ hskp14_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c2_1_ X43 \/ ~(c3_1_ X43))))) \/ (hskp29_ \/ hskp17_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (c3_1_ X44 \/ ~(c1_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (~(c2_1_ X45) \/ ~(c3_1_ X45))))) \/ hskp10_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (c3_1_ X46 \/ ~(c1_1_ X46))))) \/ (hskp18_ \/ hskp9_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (c3_1_ X47 \/ ~(c2_1_ X47))))) \/ (hskp28_ \/ hskp4_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (c3_1_ X48 \/ ~(c2_1_ X48))))) \/ (hskp19_ \/ hskp16_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (~(c1_1_ X49) \/ ~(c2_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c3_1_ X50 \/ (~(c0_1_ X50) \/ ~(c2_1_ X50))))) \/ hskp20_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (~(c1_1_ X51) \/ ~(c2_1_ X51))))) \/ (hskp8_ \/ hskp13_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (~(c1_1_ X52) \/ ~(c3_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (c2_1_ X53 \/ c3_1_ X53)))) \/ hskp21_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c0_1_ X54 \/ (~(c1_1_ X54) \/ ~(c3_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (~(c1_1_ X55) \/ (~(c2_1_ X55) \/ ~(c3_1_ X55))))) \/ hskp11_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (~(c1_1_ X56) \/ ~(c3_1_ X56))))) \/ (hskp22_ \/ hskp18_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (~(c2_1_ X57) \/ ~(c3_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (c2_1_ X58 \/ (~(c0_1_ X58) \/ ~(c1_1_ X58))))) \/ hskp31_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (~(c2_1_ X59) \/ ~(c3_1_ X59))))) \/ (hskp19_ \/ hskp17_)) /\ (((forall X60 : Universe, (ndr1_0_ -> (c0_1_ X60 \/ (~(c2_1_ X60) \/ ~(c3_1_ X60))))) \/ (hskp23_ \/ hskp24_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c0_1_ X61 \/ (~(c2_1_ X61) \/ ~(c3_1_ X61))))) \/ (hskp11_ \/ hskp24_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (c2_1_ X62 \/ c3_1_ X62)))) \/ ((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (c2_1_ X63 \/ ~(c0_1_ X63))))) \/ (forall X64 : Universe, (ndr1_0_ -> (c1_1_ X64 \/ (~(c0_1_ X64) \/ ~(c3_1_ X64))))))) /\ (((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (c2_1_ X65 \/ c3_1_ X65)))) \/ ((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c3_1_ X66 \/ ~(c2_1_ X66))))) \/ hskp20_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c2_1_ X67 \/ c3_1_ X67)))) \/ ((forall X68 : Universe, (ndr1_0_ -> (~(c0_1_ X68) \/ (~(c1_1_ X68) \/ ~(c2_1_ X68))))) \/ hskp4_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (c2_1_ X69 \/ ~(c0_1_ X69))))) \/ ((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (c2_1_ X70 \/ ~(c3_1_ X70))))) \/ hskp18_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (c2_1_ X71 \/ ~(c0_1_ X71))))) \/ (hskp16_ \/ hskp11_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c2_1_ X72 \/ ~(c3_1_ X72))))) \/ ((forall X73 : Universe, (ndr1_0_ -> (c2_1_ X73 \/ (c3_1_ X73 \/ ~(c1_1_ X73))))) \/ (forall X74 : Universe, (ndr1_0_ -> (c3_1_ X74 \/ (~(c1_1_ X74) \/ ~(c2_1_ X74))))))) /\ (((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (c2_1_ X75 \/ ~(c3_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (c2_1_ X76 \/ (c3_1_ X76 \/ ~(c1_1_ X76))))) \/ hskp10_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (c2_1_ X77 \/ ~(c3_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (c2_1_ X78 \/ (~(c1_1_ X78) \/ ~(c3_1_ X78))))) \/ hskp29_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (c2_1_ X79 \/ ~(c3_1_ X79))))) \/ ((forall X80 : Universe, (ndr1_0_ -> (c3_1_ X80 \/ (~(c1_1_ X80) \/ ~(c2_1_ X80))))) \/ hskp11_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c1_1_ X81 \/ (c3_1_ X81 \/ ~(c0_1_ X81))))) \/ ((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (~(c0_1_ X82) \/ ~(c3_1_ X82))))) \/ (forall X83 : Universe, (ndr1_0_ -> (c2_1_ X83 \/ (~(c0_1_ X83) \/ ~(c3_1_ X83))))))) /\ (((forall X84 : Universe, (ndr1_0_ -> (c1_1_ X84 \/ (c3_1_ X84 \/ ~(c0_1_ X84))))) \/ hskp29_) /\ (((forall X85 : Universe, (ndr1_0_ -> (c1_1_ X85 \/ (c3_1_ X85 \/ ~(c2_1_ X85))))) \/ ((forall X86 : Universe, (ndr1_0_ -> (c1_1_ X86 \/ (~(c0_1_ X86) \/ ~(c3_1_ X86))))) \/ hskp25_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c1_1_ X87 \/ (c3_1_ X87 \/ ~(c2_1_ X87))))) \/ ((forall X88 : Universe, (ndr1_0_ -> (c3_1_ X88 \/ (~(c0_1_ X88) \/ ~(c2_1_ X88))))) \/ hskp5_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c1_1_ X89 \/ (c3_1_ X89 \/ ~(c2_1_ X89))))) \/ (hskp9_ \/ hskp17_)) /\ (((forall X90 : Universe, (ndr1_0_ -> (c1_1_ X90 \/ (~(c0_1_ X90) \/ ~(c3_1_ X90))))) \/ (hskp10_ \/ hskp5_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c1_1_ X91 \/ (~(c0_1_ X91) \/ ~(c3_1_ X91))))) \/ (hskp12_ \/ hskp3_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c1_1_ X92 \/ (~(c2_1_ X92) \/ ~(c3_1_ X92))))) \/ ((forall X93 : Universe, (ndr1_0_ -> (c2_1_ X93 \/ (~(c0_1_ X93) \/ ~(c1_1_ X93))))) \/ hskp7_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (c1_1_ X94 \/ (~(c2_1_ X94) \/ ~(c3_1_ X94))))) \/ (hskp25_ \/ hskp5_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (c2_1_ X95 \/ (c3_1_ X95 \/ ~(c0_1_ X95))))) \/ ((forall X96 : Universe, (ndr1_0_ -> (c2_1_ X96 \/ (~(c1_1_ X96) \/ ~(c3_1_ X96))))) \/ (forall X97 : Universe, (ndr1_0_ -> (~(c0_1_ X97) \/ (~(c1_1_ X97) \/ ~(c3_1_ X97))))))) /\ (((forall X98 : Universe, (ndr1_0_ -> (c2_1_ X98 \/ (c3_1_ X98 \/ ~(c0_1_ X98))))) \/ (hskp22_ \/ hskp7_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c2_1_ X99 \/ (c3_1_ X99 \/ ~(c1_1_ X99))))) \/ ((forall X100 : Universe, (ndr1_0_ -> (c2_1_ X100 \/ (~(c0_1_ X100) \/ ~(c3_1_ X100))))) \/ hskp20_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (c2_1_ X101 \/ (c3_1_ X101 \/ ~(c1_1_ X101))))) \/ (hskp20_ \/ hskp2_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (c2_1_ X102 \/ (c3_1_ X102 \/ ~(c1_1_ X102))))) \/ (hskp31_ \/ hskp4_)) /\ (((forall X103 : Universe, (ndr1_0_ -> (c2_1_ X103 \/ (c3_1_ X103 \/ ~(c1_1_ X103))))) \/ (hskp19_ \/ hskp15_)) /\ (((forall X104 : Universe, (ndr1_0_ -> (c2_1_ X104 \/ (~(c1_1_ X104) \/ ~(c3_1_ X104))))) \/ ((forall X105 : Universe, (ndr1_0_ -> (~(c0_1_ X105) \/ (~(c1_1_ X105) \/ ~(c3_1_ X105))))) \/ hskp26_)) /\ (((forall X106 : Universe, (ndr1_0_ -> (c3_1_ X106 \/ (~(c0_1_ X106) \/ ~(c1_1_ X106))))) \/ (hskp19_ \/ hskp29_)) /\ (((forall X107 : Universe, (ndr1_0_ -> (c3_1_ X107 \/ (~(c1_1_ X107) \/ ~(c2_1_ X107))))) \/ (hskp31_ \/ hskp21_)) /\ (((forall X108 : Universe, (ndr1_0_ -> (~(c0_1_ X108) \/ (~(c1_1_ X108) \/ ~(c3_1_ X108))))) \/ ((forall X109 : Universe, (ndr1_0_ -> (~(c0_1_ X109) \/ (~(c2_1_ X109) \/ ~(c3_1_ X109))))) \/ hskp4_)) /\ (((forall X110 : Universe, (ndr1_0_ -> (~(c0_1_ X110) \/ (~(c1_1_ X110) \/ ~(c3_1_ X110))))) \/ hskp4_) /\ (((forall X111 : Universe, (ndr1_0_ -> (~(c1_1_ X111) \/ (~(c2_1_ X111) \/ ~(c3_1_ X111))))) \/ (hskp24_ \/ hskp27_)) /\ ((hskp28_ \/ (hskp22_ \/ hskp2_)) /\ ((hskp22_ \/ (hskp18_ \/ hskp5_)) /\ ((hskp8_ \/ (hskp19_ \/ hskp9_)) /\ ((hskp8_ \/ (hskp7_ \/ hskp15_)) /\ ((hskp8_ \/ (hskp13_ \/ hskp11_)) /\ ((hskp8_ \/ (hskp13_ \/ hskp24_)) /\ ((hskp19_ \/ (hskp18_ \/ hskp11_)) /\ ((hskp2_ \/ (hskp13_ \/ hskp14_)) /\ ((hskp23_ \/ (hskp13_ \/ hskp24_)) /\ (hskp5_ \/ (hskp11_ \/ hskp9_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
