(*
% File     : SYN508+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=80, K=3, D=1, P=0, Index=066
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-80-3-1-066.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  747 (   0 equality)
%            Maximal formula depth :  115 ( 115 average)
%            Number of connectives :  998 ( 252 ~  ; 423  |; 207  &)
%                                         (   0 <=>; 116 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :  116 (   0 singleton; 116 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a780_ : Universe.
Variable a773_ : Universe.
Variable a764_ : Universe.
Variable a762_ : Universe.
Variable a757_ : Universe.
Variable a756_ : Universe.
Variable a748_ : Universe.
Variable a747_ : Universe.
Variable a741_ : Universe.
Variable a739_ : Universe.
Variable a734_ : Universe.
Variable a732_ : Universe.
Variable a731_ : Universe.
Variable a730_ : Universe.
Variable a727_ : Universe.
Variable a725_ : Universe.
Variable a723_ : Universe.
Variable a721_ : Universe.
Variable a720_ : Universe.
Variable a719_ : Universe.
Variable a718_ : Universe.
Variable a717_ : Universe.
Variable a716_ : Universe.
Variable a714_ : Universe.
Variable a713_ : Universe.
Variable a711_ : Universe.
Variable a710_ : Universe.
Variable a709_ : Universe.
Variable a708_ : Universe.
Variable a707_ : Universe.
Variable a706_ : Universe.
Variable a705_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (~(c0_1_ a706_) /\ (~(c1_1_ a706_) /\ ~(c2_1_ a706_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c0_1_ a707_ /\ (~(c1_1_ a707_) /\ ~(c2_1_ a707_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a708_ /\ (~(c0_1_ a708_) /\ ~(c3_1_ a708_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (~(c1_1_ a710_) /\ (~(c2_1_ a710_) /\ ~(c3_1_ a710_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a711_ /\ (~(c1_1_ a711_) /\ ~(c3_1_ a711_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c0_1_ a713_) /\ (~(c2_1_ a713_) /\ ~(c3_1_ a713_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a716_ /\ (c2_1_ a716_ /\ ~(c3_1_ a716_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a717_ /\ (~(c2_1_ a717_) /\ ~(c3_1_ a717_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c1_1_ a718_ /\ (~(c0_1_ a718_) /\ ~(c2_1_ a718_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c1_1_ a719_ /\ (c2_1_ a719_ /\ ~(c0_1_ a719_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c3_1_ a720_ /\ (~(c1_1_ a720_) /\ ~(c2_1_ a720_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c3_1_ a721_ /\ (~(c0_1_ a721_) /\ ~(c1_1_ a721_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c2_1_ a725_ /\ (~(c0_1_ a725_) /\ ~(c1_1_ a725_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c3_1_ a727_ /\ (~(c0_1_ a727_) /\ ~(c2_1_ a727_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c1_1_ a730_ /\ (c3_1_ a730_ /\ ~(c2_1_ a730_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c2_1_ a731_ /\ (~(c0_1_ a731_) /\ ~(c3_1_ a731_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c0_1_ a732_ /\ (c3_1_ a732_ /\ ~(c1_1_ a732_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (~(c0_1_ a734_) /\ (~(c1_1_ a734_) /\ ~(c3_1_ a734_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c2_1_ a739_ /\ (c3_1_ a739_ /\ ~(c1_1_ a739_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a741_ /\ (c3_1_ a741_ /\ ~(c0_1_ a741_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c1_1_ a747_ /\ (~(c2_1_ a747_) /\ ~(c3_1_ a747_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c2_1_ a748_ /\ (c3_1_ a748_ /\ ~(c0_1_ a748_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c1_1_ a756_ /\ (c2_1_ a756_ /\ ~(c3_1_ a756_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c0_1_ a757_ /\ (c1_1_ a757_ /\ ~(c2_1_ a757_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c0_1_ a762_ /\ (c3_1_ a762_ /\ ~(c2_1_ a762_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c0_1_ a764_ /\ (c2_1_ a764_ /\ ~(c1_1_ a764_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a773_ /\ (c1_1_ a773_ /\ ~(c3_1_ a773_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c2_1_ a780_ /\ (~(c1_1_ a780_) /\ ~(c3_1_ a780_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a705_ /\ (c1_1_ a705_ /\ c2_1_ a705_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c1_1_ a709_ /\ (c2_1_ a709_ /\ c3_1_ a709_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a714_ /\ (c2_1_ a714_ /\ c3_1_ a714_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c0_1_ a723_ /\ (c1_1_ a723_ /\ c3_1_ a723_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ (hskp28_ \/ hskp0_)) /\ (((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c1_1_ V \/ c2_1_ V)))) \/ (hskp1_ \/ hskp2_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c3_1_ W)))) \/ ((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ ~(c2_1_ X))))) \/ (forall Y : Universe, (ndr1_0_ -> (~(c0_1_ Y) \/ (~(c2_1_ Y) \/ ~(c3_1_ Y))))))) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c3_1_ Z)))) \/ ((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c2_1_ X1 \/ c3_1_ X1)))) \/ hskp29_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c3_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (~(c2_1_ X3) \/ ~(c3_1_ X3))))) \/ (forall X4 : Universe, (ndr1_0_ -> (~(c0_1_ X4) \/ (~(c1_1_ X4) \/ ~(c3_1_ X4))))))) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ c3_1_ X5)))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c2_1_ X6 \/ (~(c0_1_ X6) \/ ~(c3_1_ X6))))) \/ hskp3_)) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ ~(c2_1_ X7))))) \/ ((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ ~(c3_1_ X8))))) \/ (forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (~(c2_1_ X9) \/ ~(c3_1_ X9))))))) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ ~(c2_1_ X10))))) \/ ((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ ~(c3_1_ X11))))) \/ (forall X12 : Universe, (ndr1_0_ -> (c2_1_ X12 \/ (c3_1_ X12 \/ ~(c1_1_ X12))))))) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ ~(c2_1_ X13))))) \/ ((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c3_1_ X14 \/ ~(c2_1_ X14))))) \/ hskp4_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c2_1_ X15))))) \/ ((forall X16 : Universe, (ndr1_0_ -> (c1_1_ X16 \/ (~(c2_1_ X16) \/ ~(c3_1_ X16))))) \/ (forall X17 : Universe, (ndr1_0_ -> (~(c1_1_ X17) \/ (~(c2_1_ X17) \/ ~(c3_1_ X17))))))) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c1_1_ X18 \/ ~(c2_1_ X18))))) \/ (hskp4_ \/ hskp5_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c1_1_ X19 \/ ~(c3_1_ X19))))) \/ ((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c2_1_ X20 \/ c3_1_ X20)))) \/ (forall X21 : Universe, (ndr1_0_ -> (c3_1_ X21 \/ (~(c0_1_ X21) \/ ~(c2_1_ X21))))))) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c1_1_ X22 \/ ~(c3_1_ X22))))) \/ ((forall X23 : Universe, (ndr1_0_ -> (c1_1_ X23 \/ (~(c0_1_ X23) \/ ~(c2_1_ X23))))) \/ hskp30_)) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c1_1_ X24 \/ ~(c3_1_ X24))))) \/ ((forall X25 : Universe, (ndr1_0_ -> (c2_1_ X25 \/ (c3_1_ X25 \/ ~(c0_1_ X25))))) \/ hskp29_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c1_1_ X26 \/ ~(c3_1_ X26))))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c2_1_ X27 \/ (~(c1_1_ X27) \/ ~(c3_1_ X27))))) \/ hskp6_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c1_1_ X28 \/ ~(c3_1_ X28))))) \/ (hskp7_ \/ hskp8_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ c3_1_ X29)))) \/ ((forall X30 : Universe, (ndr1_0_ -> (c1_1_ X30 \/ (c2_1_ X30 \/ ~(c0_1_ X30))))) \/ (forall X31 : Universe, (ndr1_0_ -> (~(c0_1_ X31) \/ (~(c2_1_ X31) \/ ~(c3_1_ X31))))))) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c2_1_ X32 \/ c3_1_ X32)))) \/ (hskp9_ \/ hskp10_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c2_1_ X33 \/ ~(c1_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (c1_1_ X34 \/ (c2_1_ X34 \/ ~(c0_1_ X34))))) \/ (forall X35 : Universe, (ndr1_0_ -> (c1_1_ X35 \/ (c2_1_ X35 \/ ~(c3_1_ X35))))))) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c2_1_ X36 \/ ~(c1_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c1_1_ X37 \/ (~(c2_1_ X37) \/ ~(c3_1_ X37))))) \/ (forall X38 : Universe, (ndr1_0_ -> (~(c0_1_ X38) \/ (~(c1_1_ X38) \/ ~(c2_1_ X38))))))) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c2_1_ X39 \/ ~(c1_1_ X39))))) \/ ((forall X40 : Universe, (ndr1_0_ -> (c1_1_ X40 \/ (~(c2_1_ X40) \/ ~(c3_1_ X40))))) \/ hskp11_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (c2_1_ X41 \/ ~(c1_1_ X41))))) \/ ((forall X42 : Universe, (ndr1_0_ -> (c3_1_ X42 \/ (~(c0_1_ X42) \/ ~(c1_1_ X42))))) \/ hskp28_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c2_1_ X43 \/ ~(c1_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (~(c0_1_ X44) \/ (~(c1_1_ X44) \/ ~(c3_1_ X44))))) \/ hskp31_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (c2_1_ X45 \/ ~(c1_1_ X45))))) \/ (hskp1_ \/ hskp12_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (c2_1_ X46 \/ ~(c1_1_ X46))))) \/ (hskp8_ \/ hskp13_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (c2_1_ X47 \/ ~(c3_1_ X47))))) \/ (hskp30_ \/ hskp7_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (c2_1_ X48 \/ ~(c3_1_ X48))))) \/ (hskp14_ \/ hskp15_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (c3_1_ X49 \/ ~(c1_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c2_1_ X50 \/ (~(c0_1_ X50) \/ ~(c3_1_ X50))))) \/ hskp16_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (c3_1_ X51 \/ ~(c1_1_ X51))))) \/ (hskp15_ \/ hskp17_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (c3_1_ X52 \/ ~(c2_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (~(c2_1_ X53) \/ ~(c3_1_ X53))))) \/ hskp29_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c0_1_ X54 \/ (c3_1_ X54 \/ ~(c2_1_ X54))))) \/ (hskp4_ \/ hskp3_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (~(c1_1_ X55) \/ ~(c2_1_ X55))))) \/ (hskp28_ \/ hskp18_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (~(c1_1_ X56) \/ ~(c3_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (c1_1_ X57 \/ (~(c0_1_ X57) \/ ~(c3_1_ X57))))) \/ hskp2_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c0_1_ X58 \/ (~(c1_1_ X58) \/ ~(c3_1_ X58))))) \/ ((forall X59 : Universe, (ndr1_0_ -> (~(c0_1_ X59) \/ (~(c1_1_ X59) \/ ~(c3_1_ X59))))) \/ hskp19_)) /\ (((forall X60 : Universe, (ndr1_0_ -> (c0_1_ X60 \/ (~(c1_1_ X60) \/ ~(c3_1_ X60))))) \/ ((forall X61 : Universe, (ndr1_0_ -> (~(c0_1_ X61) \/ (~(c2_1_ X61) \/ ~(c3_1_ X61))))) \/ hskp28_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c0_1_ X62 \/ (~(c1_1_ X62) \/ ~(c3_1_ X62))))) \/ (hskp1_ \/ hskp8_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c0_1_ X63 \/ (~(c1_1_ X63) \/ ~(c3_1_ X63))))) \/ (hskp18_ \/ hskp17_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c0_1_ X64 \/ (~(c2_1_ X64) \/ ~(c3_1_ X64))))) \/ ((forall X65 : Universe, (ndr1_0_ -> (c2_1_ X65 \/ (c3_1_ X65 \/ ~(c1_1_ X65))))) \/ hskp20_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c0_1_ X66 \/ (~(c2_1_ X66) \/ ~(c3_1_ X66))))) \/ ((forall X67 : Universe, (ndr1_0_ -> (c3_1_ X67 \/ (~(c0_1_ X67) \/ ~(c2_1_ X67))))) \/ (forall X68 : Universe, (ndr1_0_ -> (~(c0_1_ X68) \/ (~(c1_1_ X68) \/ ~(c2_1_ X68))))))) /\ (((forall X69 : Universe, (ndr1_0_ -> (c0_1_ X69 \/ (~(c2_1_ X69) \/ ~(c3_1_ X69))))) \/ (hskp21_ \/ hskp17_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (c2_1_ X70 \/ c3_1_ X70)))) \/ ((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (c3_1_ X71 \/ ~(c0_1_ X71))))) \/ (forall X72 : Universe, (ndr1_0_ -> (c2_1_ X72 \/ (c3_1_ X72 \/ ~(c1_1_ X72))))))) /\ (((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (c2_1_ X73 \/ c3_1_ X73)))) \/ ((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (c3_1_ X74 \/ ~(c2_1_ X74))))) \/ hskp17_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (c2_1_ X75 \/ ~(c0_1_ X75))))) \/ (hskp30_ \/ hskp18_)) /\ (((forall X76 : Universe, (ndr1_0_ -> (c1_1_ X76 \/ (c2_1_ X76 \/ ~(c0_1_ X76))))) \/ (hskp6_ \/ hskp13_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (c2_1_ X77 \/ ~(c0_1_ X77))))) \/ (hskp16_ \/ hskp22_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (c1_1_ X78 \/ (c2_1_ X78 \/ ~(c3_1_ X78))))) \/ ((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (~(c0_1_ X79) \/ ~(c3_1_ X79))))) \/ hskp23_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (c2_1_ X80 \/ ~(c3_1_ X80))))) \/ (forall X81 : Universe, (ndr1_0_ -> (c3_1_ X81 \/ (~(c1_1_ X81) \/ ~(c2_1_ X81)))))) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (c2_1_ X82 \/ ~(c3_1_ X82))))) \/ (hskp14_ \/ hskp17_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (c3_1_ X83 \/ ~(c0_1_ X83))))) \/ ((forall X84 : Universe, (ndr1_0_ -> (~(c0_1_ X84) \/ (~(c2_1_ X84) \/ ~(c3_1_ X84))))) \/ hskp4_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c1_1_ X85 \/ (c3_1_ X85 \/ ~(c2_1_ X85))))) \/ ((forall X86 : Universe, (ndr1_0_ -> (c2_1_ X86 \/ (c3_1_ X86 \/ ~(c0_1_ X86))))) \/ hskp13_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c1_1_ X87 \/ (c3_1_ X87 \/ ~(c2_1_ X87))))) \/ (hskp24_ \/ hskp18_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c1_1_ X88 \/ (~(c0_1_ X88) \/ ~(c3_1_ X88))))) \/ ((forall X89 : Universe, (ndr1_0_ -> (~(c0_1_ X89) \/ (~(c2_1_ X89) \/ ~(c3_1_ X89))))) \/ hskp25_)) /\ (((forall X90 : Universe, (ndr1_0_ -> (c1_1_ X90 \/ (~(c0_1_ X90) \/ ~(c3_1_ X90))))) \/ (hskp29_ \/ hskp5_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c1_1_ X91 \/ (~(c0_1_ X91) \/ ~(c3_1_ X91))))) \/ (hskp0_ \/ hskp5_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c1_1_ X92 \/ (~(c2_1_ X92) \/ ~(c3_1_ X92))))) \/ ((forall X93 : Universe, (ndr1_0_ -> (c2_1_ X93 \/ (~(c0_1_ X93) \/ ~(c1_1_ X93))))) \/ hskp14_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (c1_1_ X94 \/ (~(c2_1_ X94) \/ ~(c3_1_ X94))))) \/ (hskp30_ \/ hskp22_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (c2_1_ X95 \/ (c3_1_ X95 \/ ~(c0_1_ X95))))) \/ ((forall X96 : Universe, (ndr1_0_ -> (c3_1_ X96 \/ (~(c0_1_ X96) \/ ~(c1_1_ X96))))) \/ hskp16_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (c2_1_ X97 \/ (c3_1_ X97 \/ ~(c1_1_ X97))))) \/ (hskp26_ \/ hskp11_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (c2_1_ X98 \/ (c3_1_ X98 \/ ~(c1_1_ X98))))) \/ (hskp29_ \/ hskp13_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c2_1_ X99 \/ (~(c0_1_ X99) \/ ~(c1_1_ X99))))) \/ ((forall X100 : Universe, (ndr1_0_ -> (c3_1_ X100 \/ (~(c0_1_ X100) \/ ~(c1_1_ X100))))) \/ (forall X101 : Universe, (ndr1_0_ -> (c3_1_ X101 \/ (~(c0_1_ X101) \/ ~(c2_1_ X101))))))) /\ (((forall X102 : Universe, (ndr1_0_ -> (c2_1_ X102 \/ (~(c0_1_ X102) \/ ~(c1_1_ X102))))) \/ (hskp28_ \/ hskp31_)) /\ (((forall X103 : Universe, (ndr1_0_ -> (c2_1_ X103 \/ (~(c0_1_ X103) \/ ~(c1_1_ X103))))) \/ (hskp31_ \/ hskp27_)) /\ (((forall X104 : Universe, (ndr1_0_ -> (c2_1_ X104 \/ (~(c0_1_ X104) \/ ~(c1_1_ X104))))) \/ (hskp16_ \/ hskp17_)) /\ (((forall X105 : Universe, (ndr1_0_ -> (c2_1_ X105 \/ (~(c0_1_ X105) \/ ~(c1_1_ X105))))) \/ (hskp19_ \/ hskp8_)) /\ (((forall X106 : Universe, (ndr1_0_ -> (c3_1_ X106 \/ (~(c0_1_ X106) \/ ~(c1_1_ X106))))) \/ ((forall X107 : Universe, (ndr1_0_ -> (~(c0_1_ X107) \/ (~(c2_1_ X107) \/ ~(c3_1_ X107))))) \/ hskp2_)) /\ (((forall X108 : Universe, (ndr1_0_ -> (c3_1_ X108 \/ (~(c0_1_ X108) \/ ~(c1_1_ X108))))) \/ (hskp7_ \/ hskp27_)) /\ (((forall X109 : Universe, (ndr1_0_ -> (c3_1_ X109 \/ (~(c0_1_ X109) \/ ~(c2_1_ X109))))) \/ (hskp31_ \/ hskp1_)) /\ (((forall X110 : Universe, (ndr1_0_ -> (c3_1_ X110 \/ (~(c1_1_ X110) \/ ~(c2_1_ X110))))) \/ (hskp8_ \/ hskp0_)) /\ ((hskp23_ \/ (hskp30_ \/ hskp17_)) /\ ((hskp25_ \/ (hskp29_ \/ hskp9_)) /\ ((hskp25_ \/ (hskp18_ \/ hskp12_)) /\ ((hskp6_ \/ (hskp1_ \/ hskp21_)) /\ ((hskp6_ \/ (hskp8_ \/ hskp18_)) /\ ((hskp16_ \/ (hskp24_ \/ hskp4_)) /\ ((hskp24_ \/ (hskp1_ \/ hskp2_)) /\ ((hskp7_ \/ (hskp14_ \/ hskp8_)) /\ ((hskp29_ \/ (hskp18_ \/ hskp10_)) /\ ((hskp9_ \/ (hskp20_ \/ hskp18_)) /\ ((hskp22_ \/ (hskp8_ \/ hskp11_)) /\ (hskp18_ \/ (hskp11_ \/ hskp5_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
