(*
% File     : SYN509+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=80, K=3, D=1, P=0, Index=077
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-80-3-1-077.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  799 (   0 equality)
%            Maximal formula depth :  114 ( 114 average)
%            Number of connectives : 1095 ( 297 ~  ; 460  |; 203  &)
%                                         (   0 <=>; 135 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :  135 (   0 singleton; 135 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a509_ : Universe.
Variable a492_ : Universe.
Variable a489_ : Universe.
Variable a486_ : Universe.
Variable a484_ : Universe.
Variable a475_ : Universe.
Variable a474_ : Universe.
Variable a472_ : Universe.
Variable a467_ : Universe.
Variable a466_ : Universe.
Variable a463_ : Universe.
Variable a457_ : Universe.
Variable a456_ : Universe.
Variable a454_ : Universe.
Variable a452_ : Universe.
Variable a451_ : Universe.
Variable a450_ : Universe.
Variable a449_ : Universe.
Variable a448_ : Universe.
Variable a447_ : Universe.
Variable a445_ : Universe.
Variable a444_ : Universe.
Variable a443_ : Universe.
Variable a442_ : Universe.
Variable a441_ : Universe.
Variable a439_ : Universe.
Variable a437_ : Universe.
Variable a435_ : Universe.
Variable a434_ : Universe.
Variable a433_ : Universe.
Variable a432_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c3_1_ a432_ /\ (~(c0_1_ a432_) /\ ~(c2_1_ a432_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (~(c0_1_ a433_) /\ (~(c1_1_ a433_) /\ ~(c2_1_ a433_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c0_1_ a434_ /\ (~(c1_1_ a434_) /\ ~(c3_1_ a434_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c1_1_ a435_ /\ (~(c0_1_ a435_) /\ ~(c3_1_ a435_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a439_ /\ (c3_1_ a439_ /\ ~(c1_1_ a439_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a441_ /\ (~(c2_1_ a441_) /\ ~(c3_1_ a441_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a442_ /\ (c2_1_ a442_ /\ ~(c3_1_ a442_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c3_1_ a443_ /\ (~(c1_1_ a443_) /\ ~(c2_1_ a443_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c2_1_ a444_ /\ (~(c0_1_ a444_) /\ ~(c3_1_ a444_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c0_1_ a445_) /\ (~(c1_1_ a445_) /\ ~(c3_1_ a445_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c1_1_ a448_ /\ (~(c0_1_ a448_) /\ ~(c2_1_ a448_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c2_1_ a449_ /\ (~(c1_1_ a449_) /\ ~(c3_1_ a449_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c1_1_ a450_ /\ (c3_1_ a450_ /\ ~(c0_1_ a450_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c2_1_ a451_ /\ (c3_1_ a451_ /\ ~(c1_1_ a451_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a452_ /\ (c1_1_ a452_ /\ ~(c2_1_ a452_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c3_1_ a454_ /\ (~(c0_1_ a454_) /\ ~(c1_1_ a454_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c1_1_ a457_ /\ (c3_1_ a457_ /\ ~(c2_1_ a457_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c0_1_ a463_ /\ (c2_1_ a463_ /\ ~(c1_1_ a463_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (~(c1_1_ a466_) /\ (~(c2_1_ a466_) /\ ~(c3_1_ a466_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c0_1_ a467_ /\ (~(c1_1_ a467_) /\ ~(c2_1_ a467_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c0_1_ a472_ /\ (c3_1_ a472_ /\ ~(c2_1_ a472_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a474_ /\ (c1_1_ a474_ /\ ~(c3_1_ a474_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c2_1_ a475_ /\ (~(c0_1_ a475_) /\ ~(c1_1_ a475_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c1_1_ a484_ /\ (~(c2_1_ a484_) /\ ~(c3_1_ a484_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c1_1_ a486_ /\ (c2_1_ a486_ /\ ~(c0_1_ a486_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c2_1_ a489_ /\ (c3_1_ a489_ /\ ~(c0_1_ a489_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c1_1_ a492_ /\ (c2_1_ a492_ /\ ~(c3_1_ a492_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (~(c0_1_ a509_) /\ (~(c2_1_ a509_) /\ ~(c3_1_ a509_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a437_ /\ (c2_1_ a437_ /\ c3_1_ a437_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c1_1_ a447_ /\ (c2_1_ a447_ /\ c3_1_ a447_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a456_ /\ (c1_1_ a456_ /\ c2_1_ a456_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c1_1_ V \/ c3_1_ V)))) \/ (forall W : Universe, (ndr1_0_ -> (~(c0_1_ W) \/ (~(c2_1_ W) \/ ~(c3_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c3_1_ Y \/ ~(c2_1_ Y))))) \/ hskp0_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c2_1_ Z)))) \/ ((forall X1 : Universe, (ndr1_0_ -> (c1_1_ X1 \/ (c3_1_ X1 \/ ~(c2_1_ X1))))) \/ hskp1_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c3_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c1_1_ X3 \/ (~(c0_1_ X3) \/ ~(c2_1_ X3))))) \/ hskp2_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ c3_1_ X4)))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c2_1_ X5 \/ (~(c0_1_ X5) \/ ~(c1_1_ X5))))) \/ hskp3_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ ~(c2_1_ X6))))) \/ ((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (~(c1_1_ X7) \/ ~(c3_1_ X7))))) \/ (forall X8 : Universe, (ndr1_0_ -> (c3_1_ X8 \/ (~(c1_1_ X8) \/ ~(c2_1_ X8))))))) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ ~(c2_1_ X9))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c2_1_ X10 \/ (~(c0_1_ X10) \/ ~(c1_1_ X10))))) \/ (forall X11 : Universe, (ndr1_0_ -> (~(c0_1_ X11) \/ (~(c2_1_ X11) \/ ~(c3_1_ X11))))))) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c1_1_ X12 \/ ~(c2_1_ X12))))) \/ ((forall X13 : Universe, (ndr1_0_ -> (c2_1_ X13 \/ (~(c0_1_ X13) \/ ~(c3_1_ X13))))) \/ hskp1_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c1_1_ X14 \/ ~(c2_1_ X14))))) \/ (hskp28_ \/ hskp0_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c2_1_ X15))))) \/ (hskp4_ \/ hskp1_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c1_1_ X16 \/ ~(c3_1_ X16))))) \/ ((forall X17 : Universe, (ndr1_0_ -> (c1_1_ X17 \/ (c3_1_ X17 \/ ~(c2_1_ X17))))) \/ hskp5_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c1_1_ X18 \/ ~(c3_1_ X18))))) \/ (forall X19 : Universe, (ndr1_0_ -> (c2_1_ X19 \/ (~(c0_1_ X19) \/ ~(c3_1_ X19)))))) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c1_1_ X20 \/ ~(c3_1_ X20))))) \/ (hskp6_ \/ hskp7_)) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c1_1_ X21 \/ ~(c3_1_ X21))))) \/ (hskp8_ \/ hskp9_)) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c2_1_ X22 \/ c3_1_ X22)))) \/ ((forall X23 : Universe, (ndr1_0_ -> (~(c0_1_ X23) \/ (~(c1_1_ X23) \/ ~(c3_1_ X23))))) \/ hskp28_)) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c2_1_ X24 \/ c3_1_ X24)))) \/ (hskp29_ \/ hskp10_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ ~(c1_1_ X25))))) \/ ((forall X26 : Universe, (ndr1_0_ -> (c1_1_ X26 \/ (c2_1_ X26 \/ ~(c0_1_ X26))))) \/ hskp11_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ ~(c1_1_ X27))))) \/ ((forall X28 : Universe, (ndr1_0_ -> (c1_1_ X28 \/ (c3_1_ X28 \/ ~(c0_1_ X28))))) \/ hskp12_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ ~(c1_1_ X29))))) \/ ((forall X30 : Universe, (ndr1_0_ -> (~(c0_1_ X30) \/ (~(c1_1_ X30) \/ ~(c3_1_ X30))))) \/ hskp13_)) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c2_1_ X31 \/ ~(c1_1_ X31))))) \/ (hskp14_ \/ hskp2_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c2_1_ X32 \/ ~(c1_1_ X32))))) \/ (hskp15_ \/ hskp9_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c2_1_ X33 \/ ~(c3_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c3_1_ X34 \/ ~(c1_1_ X34))))) \/ (forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (~(c2_1_ X35) \/ ~(c3_1_ X35))))))) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c2_1_ X36 \/ ~(c3_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (~(c1_1_ X37) \/ ~(c2_1_ X37))))) \/ (forall X38 : Universe, (ndr1_0_ -> (c1_1_ X38 \/ (~(c0_1_ X38) \/ ~(c3_1_ X38))))))) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c2_1_ X39 \/ ~(c3_1_ X39))))) \/ ((forall X40 : Universe, (ndr1_0_ -> (c1_1_ X40 \/ (~(c2_1_ X40) \/ ~(c3_1_ X40))))) \/ (forall X41 : Universe, (ndr1_0_ -> (c2_1_ X41 \/ (c3_1_ X41 \/ ~(c0_1_ X41))))))) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (c2_1_ X42 \/ ~(c3_1_ X42))))) \/ (hskp30_ \/ hskp16_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c2_1_ X43 \/ ~(c3_1_ X43))))) \/ (hskp2_ \/ hskp1_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (c3_1_ X44 \/ ~(c1_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (c3_1_ X45 \/ ~(c2_1_ X45))))) \/ hskp9_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (c3_1_ X46 \/ ~(c1_1_ X46))))) \/ ((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (~(c1_1_ X47) \/ ~(c2_1_ X47))))) \/ (forall X48 : Universe, (ndr1_0_ -> (c1_1_ X48 \/ (c3_1_ X48 \/ ~(c2_1_ X48))))))) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (c3_1_ X49 \/ ~(c1_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c2_1_ X50 \/ (~(c0_1_ X50) \/ ~(c1_1_ X50))))) \/ (forall X51 : Universe, (ndr1_0_ -> (~(c0_1_ X51) \/ (~(c1_1_ X51) \/ ~(c3_1_ X51))))))) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (c3_1_ X52 \/ ~(c1_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c2_1_ X53 \/ (~(c1_1_ X53) \/ ~(c3_1_ X53))))) \/ (forall X54 : Universe, (ndr1_0_ -> (c3_1_ X54 \/ (~(c0_1_ X54) \/ ~(c1_1_ X54))))))) /\ (((forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (c3_1_ X55 \/ ~(c2_1_ X55))))) \/ ((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (~(c2_1_ X56) \/ ~(c3_1_ X56))))) \/ hskp14_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (c3_1_ X57 \/ ~(c2_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (c0_1_ X58 \/ (~(c2_1_ X58) \/ ~(c3_1_ X58))))) \/ hskp13_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (c3_1_ X59 \/ ~(c2_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (c2_1_ X60 \/ ~(c3_1_ X60))))) \/ (forall X61 : Universe, (ndr1_0_ -> (c3_1_ X61 \/ (~(c0_1_ X61) \/ ~(c1_1_ X61))))))) /\ (((forall X62 : Universe, (ndr1_0_ -> (c0_1_ X62 \/ (c3_1_ X62 \/ ~(c2_1_ X62))))) \/ ((forall X63 : Universe, (ndr1_0_ -> (c2_1_ X63 \/ (~(c0_1_ X63) \/ ~(c1_1_ X63))))) \/ hskp17_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c0_1_ X64 \/ (c3_1_ X64 \/ ~(c2_1_ X64))))) \/ ((forall X65 : Universe, (ndr1_0_ -> (c3_1_ X65 \/ (~(c0_1_ X65) \/ ~(c1_1_ X65))))) \/ (forall X66 : Universe, (ndr1_0_ -> (~(c1_1_ X66) \/ (~(c2_1_ X66) \/ ~(c3_1_ X66))))))) /\ (((forall X67 : Universe, (ndr1_0_ -> (c0_1_ X67 \/ (c3_1_ X67 \/ ~(c2_1_ X67))))) \/ ((forall X68 : Universe, (ndr1_0_ -> (~(c1_1_ X68) \/ (~(c2_1_ X68) \/ ~(c3_1_ X68))))) \/ hskp16_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c0_1_ X69 \/ (c3_1_ X69 \/ ~(c2_1_ X69))))) \/ (hskp6_ \/ hskp18_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c0_1_ X70 \/ (c3_1_ X70 \/ ~(c2_1_ X70))))) \/ (hskp19_ \/ hskp1_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c0_1_ X71 \/ (~(c1_1_ X71) \/ ~(c2_1_ X71))))) \/ ((forall X72 : Universe, (ndr1_0_ -> (c0_1_ X72 \/ (~(c2_1_ X72) \/ ~(c3_1_ X72))))) \/ hskp8_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c0_1_ X73 \/ (~(c1_1_ X73) \/ ~(c2_1_ X73))))) \/ ((forall X74 : Universe, (ndr1_0_ -> (c2_1_ X74 \/ (~(c1_1_ X74) \/ ~(c3_1_ X74))))) \/ hskp6_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c0_1_ X75 \/ (~(c1_1_ X75) \/ ~(c3_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (c2_1_ X76 \/ (~(c0_1_ X76) \/ ~(c1_1_ X76))))) \/ hskp5_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c0_1_ X77 \/ (~(c2_1_ X77) \/ ~(c3_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (c1_1_ X78 \/ (c3_1_ X78 \/ ~(c0_1_ X78))))) \/ hskp20_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c0_1_ X79 \/ (~(c2_1_ X79) \/ ~(c3_1_ X79))))) \/ ((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (~(c0_1_ X80) \/ ~(c2_1_ X80))))) \/ hskp1_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c0_1_ X81 \/ (~(c2_1_ X81) \/ ~(c3_1_ X81))))) \/ (hskp21_ \/ hskp22_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c0_1_ X82 \/ (~(c2_1_ X82) \/ ~(c3_1_ X82))))) \/ (hskp8_ \/ hskp0_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (c2_1_ X83 \/ c3_1_ X83)))) \/ ((forall X84 : Universe, (ndr1_0_ -> (c3_1_ X84 \/ (~(c1_1_ X84) \/ ~(c2_1_ X84))))) \/ hskp19_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c1_1_ X85 \/ (c2_1_ X85 \/ ~(c0_1_ X85))))) \/ ((forall X86 : Universe, (ndr1_0_ -> (c1_1_ X86 \/ (c2_1_ X86 \/ ~(c3_1_ X86))))) \/ hskp28_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c1_1_ X87 \/ (c2_1_ X87 \/ ~(c0_1_ X87))))) \/ ((forall X88 : Universe, (ndr1_0_ -> (c1_1_ X88 \/ (~(c0_1_ X88) \/ ~(c3_1_ X88))))) \/ (forall X89 : Universe, (ndr1_0_ -> (c2_1_ X89 \/ (~(c0_1_ X89) \/ ~(c3_1_ X89))))))) /\ (((forall X90 : Universe, (ndr1_0_ -> (c1_1_ X90 \/ (c2_1_ X90 \/ ~(c3_1_ X90))))) \/ ((forall X91 : Universe, (ndr1_0_ -> (c2_1_ X91 \/ (c3_1_ X91 \/ ~(c0_1_ X91))))) \/ hskp1_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c1_1_ X92 \/ (c2_1_ X92 \/ ~(c3_1_ X92))))) \/ ((forall X93 : Universe, (ndr1_0_ -> (c3_1_ X93 \/ (~(c0_1_ X93) \/ ~(c1_1_ X93))))) \/ (forall X94 : Universe, (ndr1_0_ -> (~(c0_1_ X94) \/ (~(c1_1_ X94) \/ ~(c3_1_ X94))))))) /\ (((forall X95 : Universe, (ndr1_0_ -> (c1_1_ X95 \/ (c3_1_ X95 \/ ~(c0_1_ X95))))) \/ ((forall X96 : Universe, (ndr1_0_ -> (c2_1_ X96 \/ (~(c0_1_ X96) \/ ~(c1_1_ X96))))) \/ hskp3_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (c1_1_ X97 \/ (c3_1_ X97 \/ ~(c0_1_ X97))))) \/ ((forall X98 : Universe, (ndr1_0_ -> (~(c0_1_ X98) \/ (~(c1_1_ X98) \/ ~(c2_1_ X98))))) \/ (forall X99 : Universe, (ndr1_0_ -> (~(c0_1_ X99) \/ (~(c1_1_ X99) \/ ~(c3_1_ X99))))))) /\ (((forall X100 : Universe, (ndr1_0_ -> (c1_1_ X100 \/ (c3_1_ X100 \/ ~(c2_1_ X100))))) \/ (hskp30_ \/ hskp11_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (c1_1_ X101 \/ (c3_1_ X101 \/ ~(c2_1_ X101))))) \/ (hskp23_ \/ hskp7_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (c1_1_ X102 \/ (~(c0_1_ X102) \/ ~(c2_1_ X102))))) \/ ((forall X103 : Universe, (ndr1_0_ -> (c2_1_ X103 \/ (c3_1_ X103 \/ ~(c1_1_ X103))))) \/ hskp24_)) /\ (((forall X104 : Universe, (ndr1_0_ -> (c1_1_ X104 \/ (~(c0_1_ X104) \/ ~(c2_1_ X104))))) \/ ((forall X105 : Universe, (ndr1_0_ -> (c2_1_ X105 \/ (~(c0_1_ X105) \/ ~(c3_1_ X105))))) \/ hskp23_)) /\ (((forall X106 : Universe, (ndr1_0_ -> (c1_1_ X106 \/ (~(c0_1_ X106) \/ ~(c3_1_ X106))))) \/ ((forall X107 : Universe, (ndr1_0_ -> (c2_1_ X107 \/ (c3_1_ X107 \/ ~(c0_1_ X107))))) \/ hskp10_)) /\ (((forall X108 : Universe, (ndr1_0_ -> (c1_1_ X108 \/ (~(c0_1_ X108) \/ ~(c3_1_ X108))))) \/ ((forall X109 : Universe, (ndr1_0_ -> (c3_1_ X109 \/ (~(c0_1_ X109) \/ ~(c2_1_ X109))))) \/ hskp25_)) /\ (((forall X110 : Universe, (ndr1_0_ -> (c1_1_ X110 \/ (~(c0_1_ X110) \/ ~(c3_1_ X110))))) \/ (hskp4_ \/ hskp13_)) /\ (((forall X111 : Universe, (ndr1_0_ -> (c1_1_ X111 \/ (~(c0_1_ X111) \/ ~(c3_1_ X111))))) \/ (hskp26_ \/ hskp8_)) /\ (((forall X112 : Universe, (ndr1_0_ -> (c1_1_ X112 \/ (~(c2_1_ X112) \/ ~(c3_1_ X112))))) \/ ((forall X113 : Universe, (ndr1_0_ -> (c3_1_ X113 \/ (~(c0_1_ X113) \/ ~(c1_1_ X113))))) \/ hskp8_)) /\ (((forall X114 : Universe, (ndr1_0_ -> (c2_1_ X114 \/ (~(c0_1_ X114) \/ ~(c1_1_ X114))))) \/ (hskp29_ \/ hskp16_)) /\ (((forall X115 : Universe, (ndr1_0_ -> (c2_1_ X115 \/ (~(c0_1_ X115) \/ ~(c3_1_ X115))))) \/ ((forall X116 : Universe, (ndr1_0_ -> (~(c0_1_ X116) \/ (~(c1_1_ X116) \/ ~(c2_1_ X116))))) \/ hskp30_)) /\ (((forall X117 : Universe, (ndr1_0_ -> (c2_1_ X117 \/ (~(c0_1_ X117) \/ ~(c3_1_ X117))))) \/ ((forall X118 : Universe, (ndr1_0_ -> (~(c0_1_ X118) \/ (~(c1_1_ X118) \/ ~(c3_1_ X118))))) \/ hskp19_)) /\ (((forall X119 : Universe, (ndr1_0_ -> (c2_1_ X119 \/ (~(c1_1_ X119) \/ ~(c3_1_ X119))))) \/ ((forall X120 : Universe, (ndr1_0_ -> (~(c0_1_ X120) \/ (~(c1_1_ X120) \/ ~(c3_1_ X120))))) \/ hskp25_)) /\ (((forall X121 : Universe, (ndr1_0_ -> (c2_1_ X121 \/ (~(c1_1_ X121) \/ ~(c3_1_ X121))))) \/ (hskp30_ \/ hskp26_)) /\ (((forall X122 : Universe, (ndr1_0_ -> (c3_1_ X122 \/ (~(c0_1_ X122) \/ ~(c2_1_ X122))))) \/ (hskp14_ \/ hskp12_)) /\ (((forall X123 : Universe, (ndr1_0_ -> (c3_1_ X123 \/ (~(c1_1_ X123) \/ ~(c2_1_ X123))))) \/ (hskp28_ \/ hskp19_)) /\ (((forall X124 : Universe, (ndr1_0_ -> (~(c0_1_ X124) \/ (~(c1_1_ X124) \/ ~(c3_1_ X124))))) \/ (hskp24_ \/ hskp8_)) /\ (((forall X125 : Universe, (ndr1_0_ -> (~(c0_1_ X125) \/ (~(c1_1_ X125) \/ ~(c3_1_ X125))))) \/ (hskp26_ \/ hskp27_)) /\ (((forall X126 : Universe, (ndr1_0_ -> (~(c0_1_ X126) \/ (~(c1_1_ X126) \/ ~(c3_1_ X126))))) \/ (hskp12_ \/ hskp3_)) /\ (((forall X127 : Universe, (ndr1_0_ -> (~(c0_1_ X127) \/ (~(c2_1_ X127) \/ ~(c3_1_ X127))))) \/ (hskp29_ \/ hskp0_)) /\ (((forall X128 : Universe, (ndr1_0_ -> (~(c0_1_ X128) \/ (~(c2_1_ X128) \/ ~(c3_1_ X128))))) \/ (hskp11_ \/ hskp15_)) /\ (((forall X129 : Universe, (ndr1_0_ -> (~(c1_1_ X129) \/ (~(c2_1_ X129) \/ ~(c3_1_ X129))))) \/ (hskp6_ \/ hskp0_)) /\ ((hskp30_ \/ (hskp14_ \/ hskp24_)) /\ ((hskp14_ \/ (hskp19_ \/ hskp13_)) /\ ((hskp17_ \/ (hskp10_ \/ hskp23_)) /\ ((hskp6_ \/ (hskp20_ \/ hskp13_)) /\ ((hskp24_ \/ (hskp12_ \/ hskp3_)) /\ (hskp10_ \/ (hskp8_ \/ hskp1_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
