(*
% File     : SYN510+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=80, K=3, D=1, P=0, Index=081
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-80-3-1-081.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  720 (   0 equality)
%            Maximal formula depth :  115 ( 115 average)
%            Number of connectives :  976 ( 257 ~  ; 405  |; 207  &)
%                                         (   0 <=>; 107 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :  107 (   0 singleton; 107 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a615_ : Universe.
Variable a604_ : Universe.
Variable a594_ : Universe.
Variable a590_ : Universe.
Variable a587_ : Universe.
Variable a584_ : Universe.
Variable a582_ : Universe.
Variable a580_ : Universe.
Variable a576_ : Universe.
Variable a573_ : Universe.
Variable a571_ : Universe.
Variable a570_ : Universe.
Variable a567_ : Universe.
Variable a566_ : Universe.
Variable a565_ : Universe.
Variable a564_ : Universe.
Variable a563_ : Universe.
Variable a562_ : Universe.
Variable a553_ : Universe.
Variable a552_ : Universe.
Variable a551_ : Universe.
Variable a549_ : Universe.
Variable a548_ : Universe.
Variable a547_ : Universe.
Variable a546_ : Universe.
Variable a544_ : Universe.
Variable a541_ : Universe.
Variable a540_ : Universe.
Variable a539_ : Universe.
Variable a538_ : Universe.
Variable a537_ : Universe.
Variable a536_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c0_1_ a536_ /\ (c2_1_ a536_ /\ ~(c3_1_ a536_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c2_1_ a537_ /\ (~(c1_1_ a537_) /\ ~(c3_1_ a537_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (~(c1_1_ a538_) /\ (~(c2_1_ a538_) /\ ~(c3_1_ a538_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a539_ /\ (~(c2_1_ a539_) /\ ~(c3_1_ a539_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c3_1_ a540_ /\ (~(c1_1_ a540_) /\ ~(c2_1_ a540_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a544_ /\ (c1_1_ a544_ /\ ~(c3_1_ a544_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c3_1_ a546_ /\ (~(c0_1_ a546_) /\ ~(c1_1_ a546_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c2_1_ a547_ /\ (~(c0_1_ a547_) /\ ~(c3_1_ a547_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c1_1_ a548_ /\ (c2_1_ a548_ /\ ~(c0_1_ a548_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c0_1_ a549_) /\ (~(c1_1_ a549_) /\ ~(c2_1_ a549_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c1_1_ a551_ /\ (c3_1_ a551_ /\ ~(c0_1_ a551_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c1_1_ a553_ /\ (c3_1_ a553_ /\ ~(c2_1_ a553_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c0_1_ a564_ /\ (c3_1_ a564_ /\ ~(c1_1_ a564_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c0_1_ a565_ /\ (c3_1_ a565_ /\ ~(c2_1_ a565_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c2_1_ a566_ /\ (c3_1_ a566_ /\ ~(c0_1_ a566_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c0_1_ a567_ /\ (c1_1_ a567_ /\ ~(c2_1_ a567_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c1_1_ a570_ /\ (~(c2_1_ a570_) /\ ~(c3_1_ a570_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c0_1_ a571_ /\ (~(c1_1_ a571_) /\ ~(c2_1_ a571_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (~(c0_1_ a573_) /\ (~(c1_1_ a573_) /\ ~(c3_1_ a573_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c0_1_ a576_ /\ (~(c1_1_ a576_) /\ ~(c3_1_ a576_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c1_1_ a580_ /\ (~(c0_1_ a580_) /\ ~(c3_1_ a580_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c2_1_ a582_ /\ (c3_1_ a582_ /\ ~(c1_1_ a582_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c3_1_ a584_ /\ (~(c0_1_ a584_) /\ ~(c2_1_ a584_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c0_1_ a587_) /\ (~(c2_1_ a587_) /\ ~(c3_1_ a587_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c1_1_ a590_ /\ (~(c0_1_ a590_) /\ ~(c2_1_ a590_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c2_1_ a594_ /\ (~(c0_1_ a594_) /\ ~(c1_1_ a594_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c1_1_ a604_ /\ (c2_1_ a604_ /\ ~(c3_1_ a604_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a615_ /\ (c2_1_ a615_ /\ ~(c1_1_ a615_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a541_ /\ (c1_1_ a541_ /\ c2_1_ a541_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a552_ /\ (c2_1_ a552_ /\ c3_1_ a552_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c1_1_ a562_ /\ (c2_1_ a562_ /\ c3_1_ a562_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c0_1_ a563_ /\ (c1_1_ a563_ /\ c3_1_ a563_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c1_1_ V \/ ~(c3_1_ V))))) \/ hskp0_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c2_1_ W)))) \/ ((forall X : Universe, (ndr1_0_ -> (c1_1_ X \/ (~(c0_1_ X) \/ ~(c3_1_ X))))) \/ hskp1_)) /\ (((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ c2_1_ Y)))) \/ ((forall Z : Universe, (ndr1_0_ -> (~(c0_1_ Z) \/ (~(c1_1_ Z) \/ ~(c2_1_ Z))))) \/ hskp2_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c3_1_ X1)))) \/ ((forall X2 : Universe, (ndr1_0_ -> (c1_1_ X2 \/ (c2_1_ X2 \/ ~(c3_1_ X2))))) \/ hskp3_)) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c1_1_ X3 \/ c3_1_ X3)))) \/ ((forall X4 : Universe, (ndr1_0_ -> (c1_1_ X4 \/ (c3_1_ X4 \/ ~(c0_1_ X4))))) \/ (forall X5 : Universe, (ndr1_0_ -> (c2_1_ X5 \/ (~(c0_1_ X5) \/ ~(c1_1_ X5))))))) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ c3_1_ X6)))) \/ ((forall X7 : Universe, (ndr1_0_ -> (c2_1_ X7 \/ (~(c0_1_ X7) \/ ~(c3_1_ X7))))) \/ hskp4_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ c3_1_ X8)))) \/ (hskp28_ \/ hskp2_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ ~(c2_1_ X9))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ ~(c3_1_ X10))))) \/ (forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (~(c2_1_ X11) \/ ~(c3_1_ X11))))))) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c1_1_ X12 \/ ~(c3_1_ X12))))) \/ ((forall X13 : Universe, (ndr1_0_ -> (~(c0_1_ X13) \/ (~(c1_1_ X13) \/ ~(c2_1_ X13))))) \/ hskp1_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c1_1_ X14 \/ ~(c3_1_ X14))))) \/ (hskp5_ \/ hskp2_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c2_1_ X15 \/ c3_1_ X15)))) \/ ((forall X16 : Universe, (ndr1_0_ -> (c1_1_ X16 \/ (~(c0_1_ X16) \/ ~(c2_1_ X16))))) \/ hskp6_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c2_1_ X17 \/ c3_1_ X17)))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c2_1_ X18 \/ (~(c0_1_ X18) \/ ~(c1_1_ X18))))) \/ (forall X19 : Universe, (ndr1_0_ -> (~(c0_1_ X19) \/ (~(c1_1_ X19) \/ ~(c3_1_ X19))))))) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c2_1_ X20 \/ c3_1_ X20)))) \/ ((forall X21 : Universe, (ndr1_0_ -> (c2_1_ X21 \/ (~(c0_1_ X21) \/ ~(c3_1_ X21))))) \/ hskp7_)) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c2_1_ X22 \/ c3_1_ X22)))) \/ (hskp8_ \/ hskp9_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ ~(c1_1_ X23))))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c2_1_ X24 \/ ~(c3_1_ X24))))) \/ (forall X25 : Universe, (ndr1_0_ -> (c1_1_ X25 \/ (c3_1_ X25 \/ ~(c0_1_ X25))))))) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ ~(c1_1_ X26))))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (~(c2_1_ X27) \/ ~(c3_1_ X27))))) \/ (forall X28 : Universe, (ndr1_0_ -> (~(c1_1_ X28) \/ (~(c2_1_ X28) \/ ~(c3_1_ X28))))))) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ ~(c1_1_ X29))))) \/ (hskp8_ \/ hskp10_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c2_1_ X30 \/ ~(c3_1_ X30))))) \/ (hskp29_ \/ hskp11_)) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c3_1_ X31 \/ ~(c1_1_ X31))))) \/ ((forall X32 : Universe, (ndr1_0_ -> (~(c0_1_ X32) \/ (~(c1_1_ X32) \/ ~(c2_1_ X32))))) \/ hskp11_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c3_1_ X33 \/ ~(c1_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (~(c0_1_ X34) \/ (~(c1_1_ X34) \/ ~(c3_1_ X34))))) \/ (forall X35 : Universe, (ndr1_0_ -> (~(c0_1_ X35) \/ (~(c2_1_ X35) \/ ~(c3_1_ X35))))))) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c3_1_ X36 \/ ~(c1_1_ X36))))) \/ (hskp11_ \/ hskp9_)) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c3_1_ X37 \/ ~(c2_1_ X37))))) \/ ((forall X38 : Universe, (ndr1_0_ -> (~(c0_1_ X38) \/ (~(c2_1_ X38) \/ ~(c3_1_ X38))))) \/ hskp0_)) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (~(c1_1_ X39) \/ ~(c2_1_ X39))))) \/ (hskp10_ \/ hskp9_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (~(c1_1_ X40) \/ ~(c3_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c2_1_ X41 \/ (~(c0_1_ X41) \/ ~(c1_1_ X41))))) \/ hskp6_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (~(c1_1_ X42) \/ ~(c3_1_ X42))))) \/ (hskp0_ \/ hskp30_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (~(c2_1_ X43) \/ ~(c3_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (c1_1_ X44 \/ (c3_1_ X44 \/ ~(c2_1_ X44))))) \/ (forall X45 : Universe, (ndr1_0_ -> (c2_1_ X45 \/ (~(c0_1_ X45) \/ ~(c3_1_ X45))))))) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (~(c2_1_ X46) \/ ~(c3_1_ X46))))) \/ ((forall X47 : Universe, (ndr1_0_ -> (c1_1_ X47 \/ (~(c0_1_ X47) \/ ~(c2_1_ X47))))) \/ hskp31_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (~(c2_1_ X48) \/ ~(c3_1_ X48))))) \/ ((forall X49 : Universe, (ndr1_0_ -> (~(c0_1_ X49) \/ (~(c1_1_ X49) \/ ~(c2_1_ X49))))) \/ hskp12_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c0_1_ X50 \/ (~(c2_1_ X50) \/ ~(c3_1_ X50))))) \/ (hskp13_ \/ hskp14_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c1_1_ X51 \/ (c2_1_ X51 \/ c3_1_ X51)))) \/ (hskp15_ \/ hskp2_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c1_1_ X52 \/ (c2_1_ X52 \/ c3_1_ X52)))) \/ (hskp3_ \/ hskp16_)) /\ (((forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (c2_1_ X53 \/ ~(c0_1_ X53))))) \/ ((forall X54 : Universe, (ndr1_0_ -> (c2_1_ X54 \/ (~(c0_1_ X54) \/ ~(c1_1_ X54))))) \/ hskp17_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c1_1_ X55 \/ (c2_1_ X55 \/ ~(c0_1_ X55))))) \/ ((forall X56 : Universe, (ndr1_0_ -> (c3_1_ X56 \/ (~(c0_1_ X56) \/ ~(c1_1_ X56))))) \/ hskp12_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c1_1_ X57 \/ (c2_1_ X57 \/ ~(c0_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (c3_1_ X58 \/ (~(c1_1_ X58) \/ ~(c2_1_ X58))))) \/ hskp18_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c1_1_ X59 \/ (c2_1_ X59 \/ ~(c0_1_ X59))))) \/ (hskp12_ \/ hskp11_)) /\ (((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (c2_1_ X60 \/ ~(c3_1_ X60))))) \/ (hskp19_ \/ hskp9_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (c3_1_ X61 \/ ~(c0_1_ X61))))) \/ ((forall X62 : Universe, (ndr1_0_ -> (~(c0_1_ X62) \/ (~(c1_1_ X62) \/ ~(c2_1_ X62))))) \/ hskp13_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (c3_1_ X63 \/ ~(c0_1_ X63))))) \/ (hskp13_ \/ hskp20_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c1_1_ X64 \/ (c3_1_ X64 \/ ~(c2_1_ X64))))) \/ (hskp29_ \/ hskp21_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (~(c0_1_ X65) \/ ~(c2_1_ X65))))) \/ ((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (~(c2_1_ X66) \/ ~(c3_1_ X66))))) \/ hskp19_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (~(c0_1_ X67) \/ ~(c2_1_ X67))))) \/ ((forall X68 : Universe, (ndr1_0_ -> (c2_1_ X68 \/ (c3_1_ X68 \/ ~(c1_1_ X68))))) \/ hskp22_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (~(c0_1_ X69) \/ ~(c2_1_ X69))))) \/ ((forall X70 : Universe, (ndr1_0_ -> (c2_1_ X70 \/ (~(c0_1_ X70) \/ ~(c1_1_ X70))))) \/ hskp7_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (~(c0_1_ X71) \/ ~(c2_1_ X71))))) \/ ((forall X72 : Universe, (ndr1_0_ -> (c2_1_ X72 \/ (~(c1_1_ X72) \/ ~(c3_1_ X72))))) \/ hskp3_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (~(c0_1_ X73) \/ ~(c2_1_ X73))))) \/ ((forall X74 : Universe, (ndr1_0_ -> (~(c0_1_ X74) \/ (~(c1_1_ X74) \/ ~(c2_1_ X74))))) \/ hskp23_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (~(c0_1_ X75) \/ ~(c3_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (c2_1_ X76 \/ (~(c0_1_ X76) \/ ~(c3_1_ X76))))) \/ (forall X77 : Universe, (ndr1_0_ -> (c3_1_ X77 \/ (~(c0_1_ X77) \/ ~(c2_1_ X77))))))) /\ (((forall X78 : Universe, (ndr1_0_ -> (c2_1_ X78 \/ (c3_1_ X78 \/ ~(c0_1_ X78))))) \/ (forall X79 : Universe, (ndr1_0_ -> (~(c0_1_ X79) \/ (~(c2_1_ X79) \/ ~(c3_1_ X79)))))) /\ (((forall X80 : Universe, (ndr1_0_ -> (c2_1_ X80 \/ (c3_1_ X80 \/ ~(c0_1_ X80))))) \/ (hskp21_ \/ hskp22_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c2_1_ X81 \/ (c3_1_ X81 \/ ~(c1_1_ X81))))) \/ ((forall X82 : Universe, (ndr1_0_ -> (~(c0_1_ X82) \/ (~(c1_1_ X82) \/ ~(c3_1_ X82))))) \/ hskp24_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c2_1_ X83 \/ (c3_1_ X83 \/ ~(c1_1_ X83))))) \/ ((forall X84 : Universe, (ndr1_0_ -> (~(c0_1_ X84) \/ (~(c2_1_ X84) \/ ~(c3_1_ X84))))) \/ hskp14_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c2_1_ X85 \/ (c3_1_ X85 \/ ~(c1_1_ X85))))) \/ (hskp3_ \/ hskp6_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (c2_1_ X86 \/ (c3_1_ X86 \/ ~(c1_1_ X86))))) \/ (hskp25_ \/ hskp4_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c2_1_ X87 \/ (~(c0_1_ X87) \/ ~(c3_1_ X87))))) \/ (hskp15_ \/ hskp0_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c2_1_ X88 \/ (~(c1_1_ X88) \/ ~(c3_1_ X88))))) \/ (hskp3_ \/ hskp6_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c3_1_ X89 \/ (~(c0_1_ X89) \/ ~(c2_1_ X89))))) \/ (hskp12_ \/ hskp21_)) /\ (((forall X90 : Universe, (ndr1_0_ -> (c3_1_ X90 \/ (~(c0_1_ X90) \/ ~(c2_1_ X90))))) \/ (hskp30_ \/ hskp7_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c3_1_ X91 \/ (~(c0_1_ X91) \/ ~(c2_1_ X91))))) \/ (hskp26_ \/ hskp24_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c3_1_ X92 \/ (~(c0_1_ X92) \/ ~(c2_1_ X92))))) \/ (hskp14_ \/ hskp21_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c3_1_ X93 \/ (~(c0_1_ X93) \/ ~(c2_1_ X93))))) \/ (hskp25_ \/ hskp9_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (c3_1_ X94 \/ (~(c1_1_ X94) \/ ~(c2_1_ X94))))) \/ (hskp5_ \/ hskp4_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (~(c0_1_ X95) \/ (~(c1_1_ X95) \/ ~(c2_1_ X95))))) \/ (hskp26_ \/ hskp14_)) /\ (((forall X96 : Universe, (ndr1_0_ -> (~(c0_1_ X96) \/ (~(c1_1_ X96) \/ ~(c3_1_ X96))))) \/ ((forall X97 : Universe, (ndr1_0_ -> (~(c0_1_ X97) \/ (~(c2_1_ X97) \/ ~(c3_1_ X97))))) \/ hskp14_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (~(c0_1_ X98) \/ (~(c1_1_ X98) \/ ~(c3_1_ X98))))) \/ (hskp27_ \/ hskp26_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (~(c0_1_ X99) \/ (~(c2_1_ X99) \/ ~(c3_1_ X99))))) \/ (hskp26_ \/ hskp4_)) /\ (((forall X100 : Universe, (ndr1_0_ -> (~(c0_1_ X100) \/ (~(c2_1_ X100) \/ ~(c3_1_ X100))))) \/ (hskp10_ \/ hskp14_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (~(c1_1_ X101) \/ (~(c2_1_ X101) \/ ~(c3_1_ X101))))) \/ (hskp20_ \/ hskp14_)) /\ ((hskp28_ \/ (hskp15_ \/ hskp23_)) /\ ((hskp31_ \/ (hskp12_ \/ hskp14_)) /\ ((hskp31_ \/ (hskp10_ \/ hskp16_)) /\ ((hskp31_ \/ (hskp20_ \/ hskp22_)) /\ ((hskp5_ \/ (hskp27_ \/ hskp25_)) /\ ((hskp5_ \/ (hskp10_ \/ hskp14_)) /\ ((hskp12_ \/ (hskp7_ \/ hskp4_)) /\ ((hskp13_ \/ (hskp24_ \/ hskp6_)) /\ ((hskp13_ \/ (hskp14_ \/ hskp6_)) /\ ((hskp13_ \/ (hskp25_ \/ hskp22_)) /\ ((hskp3_ \/ (hskp24_ \/ hskp18_)) /\ ((hskp26_ \/ (hskp7_ \/ hskp22_)) /\ ((hskp26_ \/ (hskp6_ \/ hskp2_)) /\ ((hskp24_ \/ (hskp9_ \/ hskp2_)) /\ (hskp21_ \/ (hskp22_ \/ hskp23_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
