(*
% File     : SYN523+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=20, K=3, D=2, P=0, Index=059
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-20-3-2-059.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  103 (   0 equality)
%            Maximal formula depth :   26 (  26 average)
%            Number of connectives :  143 (  41 ~  ;  39  |;  51  &)
%                                         (   0 <=>;  12 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   16 (  16 constant; 0-0 arity)
%            Number of variables   :   12 (   0 singleton;  12 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a156_ : Universe.
Variable a155_ : Universe.
Variable a154_ : Universe.
Variable a153_ : Universe.
Variable a152_ : Universe.
Variable a151_ : Universe.
Variable a150_ : Universe.
Variable a149_ : Universe.
Variable a148_ : Universe.
Variable a147_ : Universe.
Variable a146_ : Universe.
Variable a145_ : Universe.
Variable a144_ : Universe.
Variable a143_ : Universe.
Variable a142_ : Universe.
Variable a141_ : Universe.


Theorem co1_1 : ~((((forall U : Universe, (ndr1_0_ -> ((ndr1_1_ U /\ (~(c2_2_ U a141_) /\ (~(c5_2_ U a141_) /\ ~(c1_2_ U a141_)))) \/ ((ndr1_1_ U /\ (c3_2_ U a142_ /\ ~(c4_2_ U a142_))) \/ ~(c1_1_ U))))) \/ ((ndr1_0_ /\ ~(c1_1_ a143_)) \/ ~(c2_0_))) /\ ((c5_0_ \/ (c2_0_ \/ c1_0_)) /\ ((~(c4_0_) \/ (ndr1_0_ /\ ((forall V : Universe, (ndr1_1_ a144_ -> (c3_2_ a144_ V \/ (c4_2_ a144_ V \/ ~(c5_2_ a144_ V))))) /\ (c5_1_ a144_ /\ ~(c4_1_ a144_))))) /\ ((~(c1_0_) \/ (forall W : Universe, (ndr1_0_ -> (~(c5_1_ W) \/ (~(c3_1_ W) \/ (forall X : Universe, (ndr1_1_ W -> (c4_2_ W X \/ c1_2_ W X)))))))) /\ (((ndr1_0_ /\ ((forall Y : Universe, (ndr1_1_ a145_ -> (~(c2_2_ a145_ Y) \/ (~(c5_2_ a145_ Y) \/ ~(c1_2_ a145_ Y))))) /\ (c3_1_ a145_ /\ ~(c5_1_ a145_)))) \/ c2_0_) /\ (((ndr1_0_ /\ (~(c3_1_ a146_) /\ c4_1_ a146_)) \/ (c4_0_ \/ (forall Z : Universe, (ndr1_0_ -> (c5_1_ Z \/ (ndr1_1_ Z /\ (c3_2_ Z a147_ /\ (~(c1_2_ Z a147_) /\ ~(c5_2_ Z a147_))))))))) /\ ((~(c5_0_) \/ (~(c1_0_) \/ (ndr1_0_ /\ (c5_1_ a148_ /\ (~(c3_1_ a148_) /\ ~(c2_1_ a148_)))))) /\ (((forall X1 : Universe, (ndr1_0_ -> ((ndr1_1_ X1 /\ (c5_2_ X1 a149_ /\ c4_2_ X1 a149_)) \/ (c4_1_ X1 \/ c3_1_ X1)))) \/ ((ndr1_0_ /\ ((forall X2 : Universe, (ndr1_1_ a150_ -> (c5_2_ a150_ X2 \/ ~(c4_2_ a150_ X2)))) /\ ~(c4_1_ a150_))) \/ c3_0_)) /\ ((~(c3_0_) \/ (ndr1_0_ /\ (~(c2_1_ a151_) /\ ~(c3_1_ a151_)))) /\ (((ndr1_0_ /\ (~(c4_1_ a152_) /\ (~(c1_1_ a152_) /\ c3_1_ a152_))) \/ (c2_0_ \/ (forall X3 : Universe, (ndr1_0_ -> (c5_1_ X3 \/ c4_1_ X3))))) /\ (((ndr1_0_ /\ (~(c1_1_ a153_) /\ ~(c5_1_ a153_))) \/ ((ndr1_0_ /\ (~(c5_1_ a154_) /\ (c1_1_ a154_ /\ (forall X4 : Universe, (ndr1_1_ a154_ -> (~(c5_2_ a154_ X4) \/ ~(c1_2_ a154_ X4))))))) \/ c3_0_)) /\ (~(c4_0_) \/ ((forall X5 : Universe, (ndr1_0_ -> (c4_1_ X5 \/ (c5_1_ X5 \/ c1_1_ X5)))) \/ (ndr1_0_ /\ (~(c4_1_ a155_) /\ (ndr1_1_ a155_ /\ (c1_2_ a155_ a156_ /\ (c5_2_ a155_ a156_ /\ (c2_2_ a155_ a156_ /\ (forall X6 : Universe, (ndr1_1_ a155_ -> (~(c4_2_ a155_ X6) \/ (~(c2_2_ a155_ X6) \/ c5_2_ a155_ X6)))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
