(*
% File     : SYN524+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=20, K=3, D=2, P=0, Index=086
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-20-3-2-086.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.4.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  216 (   0 equality)
%            Maximal formula depth :   28 (  28 average)
%            Number of connectives :  291 (  76 ~  ;  85  |;  99  &)
%                                         (   0 <=>;  31 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :   31 (   0 singleton;  31 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a187_ : Universe.
Variable a186_ : Universe.
Variable a185_ : Universe.
Variable a184_ : Universe.
Variable a183_ : Universe.
Variable a182_ : Universe.
Variable a181_ : Universe.
Variable a180_ : Universe.
Variable a179_ : Universe.
Variable a178_ : Universe.
Variable a177_ : Universe.
Variable a176_ : Universe.
Variable a175_ : Universe.
Variable a174_ : Universe.
Variable a173_ : Universe.
Variable a172_ : Universe.
Variable a171_ : Universe.
Variable a170_ : Universe.
Variable a169_ : Universe.
Variable a168_ : Universe.
Variable a167_ : Universe.
Variable a166_ : Universe.
Variable a165_ : Universe.
Variable a164_ : Universe.
Variable a163_ : Universe.
Variable a162_ : Universe.
Variable a161_ : Universe.
Variable a160_ : Universe.
Variable a159_ : Universe.
Variable a158_ : Universe.
Variable a157_ : Universe.


Theorem co1_1 : ~((((forall U : Universe, (ndr1_0_ -> ((ndr1_1_ U /\ (~(c3_2_ U a157_) /\ c2_2_ U a157_)) \/ (~(c5_1_ U) \/ (forall V : Universe, (ndr1_1_ U -> (c1_2_ U V \/ c5_2_ U V))))))) \/ (c1_0_ \/ (ndr1_0_ /\ (c3_1_ a158_ /\ (c5_1_ a158_ /\ (forall W : Universe, (ndr1_1_ a158_ -> (c1_2_ a158_ W \/ (c5_2_ a158_ W \/ c4_2_ a158_ W))))))))) /\ ((~(c1_0_) \/ ((ndr1_0_ /\ (~(c2_1_ a159_) /\ (~(c3_1_ a159_) /\ (ndr1_1_ a159_ /\ (~(c3_2_ a159_ a160_) /\ ~(c5_2_ a159_ a160_)))))) \/ (forall X : Universe, (ndr1_0_ -> (c1_1_ X \/ (c3_1_ X \/ (forall Y : Universe, (ndr1_1_ X -> (~(c5_2_ X Y) \/ c2_2_ X Y))))))))) /\ (((ndr1_0_ /\ (~(c3_1_ a161_) /\ (ndr1_1_ a161_ /\ (c3_2_ a161_ a162_ /\ (c5_2_ a161_ a162_ /\ (c1_2_ a161_ a162_ /\ c4_1_ a161_)))))) \/ ((forall Z : Universe, (ndr1_0_ -> (c2_1_ Z \/ ((forall X1 : Universe, (ndr1_1_ Z -> (~(c4_2_ Z X1) \/ ~(c1_2_ Z X1)))) \/ c1_1_ Z)))) \/ (ndr1_0_ /\ (c3_1_ a163_ /\ (ndr1_1_ a163_ /\ (~(c1_2_ a163_ a164_) /\ (c5_2_ a163_ a164_ /\ (~(c3_2_ a163_ a164_) /\ ~(c2_1_ a163_))))))))) /\ ((~(c5_0_) \/ (ndr1_0_ /\ (c1_1_ a165_ /\ (ndr1_1_ a165_ /\ (c1_2_ a165_ a166_ /\ (c3_2_ a165_ a166_ /\ (~(c5_2_ a165_ a166_) /\ (forall X2 : Universe, (ndr1_1_ a165_ -> (c5_2_ a165_ X2 \/ (~(c3_2_ a165_ X2) \/ c4_2_ a165_ X2))))))))))) /\ ((~(c2_0_) \/ ((forall X3 : Universe, (ndr1_0_ -> (~(c5_1_ X3) \/ (~(c2_1_ X3) \/ c1_1_ X3)))) \/ (ndr1_0_ /\ ((forall X4 : Universe, (ndr1_1_ a167_ -> (~(c2_2_ a167_ X4) \/ (~(c1_2_ a167_ X4) \/ c4_2_ a167_ X4)))) /\ ((forall X5 : Universe, (ndr1_1_ a167_ -> (~(c3_2_ a167_ X5) \/ ~(c1_2_ a167_ X5)))) /\ (ndr1_1_ a167_ /\ (c2_2_ a167_ a168_ /\ (c3_2_ a167_ a168_ /\ c4_2_ a167_ a168_)))))))) /\ (((ndr1_0_ /\ (c3_1_ a169_ /\ (forall X6 : Universe, (ndr1_1_ a169_ -> (c2_2_ a169_ X6 \/ (c3_2_ a169_ X6 \/ c5_2_ a169_ X6)))))) \/ ((ndr1_0_ /\ (~(c1_1_ a170_) /\ ~(c3_1_ a170_))) \/ (ndr1_0_ /\ (~(c4_1_ a171_) /\ (ndr1_1_ a171_ /\ (~(c1_2_ a171_ a172_) /\ (c3_2_ a171_ a172_ /\ (forall X7 : Universe, (ndr1_1_ a171_ -> (~(c4_2_ a171_ X7) \/ ~(c5_2_ a171_ X7))))))))))) /\ ((~(c5_0_) \/ ((forall X8 : Universe, (ndr1_0_ -> (ndr1_1_ X8 /\ (~(c5_2_ X8 a173_) /\ ~(c3_2_ X8 a173_))))) \/ (forall X9 : Universe, (ndr1_0_ -> ((forall X10 : Universe, (ndr1_1_ X9 -> (c2_2_ X9 X10 \/ (c5_2_ X9 X10 \/ c4_2_ X9 X10)))) \/ (~(c2_1_ X9) \/ ~(c5_1_ X9))))))) /\ ((c3_0_ \/ (~(c4_0_) \/ c2_0_)) /\ ((~(c4_0_) \/ ((forall X11 : Universe, (ndr1_0_ -> (c1_1_ X11 \/ (~(c3_1_ X11) \/ (ndr1_1_ X11 /\ (~(c2_2_ X11 a174_) /\ (~(c5_2_ X11 a174_) /\ ~(c1_2_ X11 a174_)))))))) \/ (ndr1_0_ /\ (c1_1_ a175_ /\ (c2_1_ a175_ /\ (forall X12 : Universe, (ndr1_1_ a175_ -> (c2_2_ a175_ X12 \/ (~(c3_2_ a175_ X12) \/ c4_2_ a175_ X12))))))))) /\ (((forall X13 : Universe, (ndr1_0_ -> (c4_1_ X13 \/ (~(c5_1_ X13) \/ ~(c2_1_ X13))))) \/ (c3_0_ \/ (forall X14 : Universe, (ndr1_0_ -> ((ndr1_1_ X14 /\ (~(c4_2_ X14 a176_) /\ c2_2_ X14 a176_)) \/ ((ndr1_1_ X14 /\ (c2_2_ X14 a177_ /\ (c4_2_ X14 a177_ /\ c3_2_ X14 a177_))) \/ ~(c1_1_ X14))))))) /\ ((~(c2_0_) \/ ((ndr1_0_ /\ (c4_1_ a178_ /\ (ndr1_1_ a178_ /\ (~(c4_2_ a178_ a179_) /\ (c5_2_ a178_ a179_ /\ (forall X15 : Universe, (ndr1_1_ a178_ -> (c4_2_ a178_ X15 \/ c3_2_ a178_ X15)))))))) \/ ~(c3_0_))) /\ ((~(c2_0_) \/ (~(c3_0_) \/ (forall X16 : Universe, (ndr1_0_ -> (~(c4_1_ X16) \/ (~(c5_1_ X16) \/ ~(c3_1_ X16))))))) /\ (((ndr1_0_ /\ (c2_1_ a180_ /\ ((forall X17 : Universe, (ndr1_1_ a180_ -> (~(c5_2_ a180_ X17) \/ (c4_2_ a180_ X17 \/ ~(c1_2_ a180_ X17))))) /\ c3_1_ a180_))) \/ ~(c3_0_)) /\ (((ndr1_0_ /\ (~(c4_1_ a181_) /\ ((forall X18 : Universe, (ndr1_1_ a181_ -> (~(c1_2_ a181_ X18) \/ (c5_2_ a181_ X18 \/ c3_2_ a181_ X18)))) /\ c1_1_ a181_))) \/ (c4_0_ \/ c2_0_)) /\ ((c3_0_ \/ ((forall X19 : Universe, (ndr1_0_ -> (~(c1_1_ X19) \/ (~(c4_1_ X19) \/ (forall X20 : Universe, (ndr1_1_ X19 -> (~(c4_2_ X19 X20) \/ (~(c3_2_ X19 X20) \/ ~(c1_2_ X19 X20))))))))) \/ (forall X21 : Universe, (ndr1_0_ -> (c1_1_ X21 \/ ((ndr1_1_ X21 /\ (~(c3_2_ X21 a182_) /\ (~(c2_2_ X21 a182_) /\ c5_2_ X21 a182_))) \/ (forall X22 : Universe, (ndr1_1_ X21 -> (c2_2_ X21 X22 \/ (c1_2_ X21 X22 \/ ~(c3_2_ X21 X22))))))))))) /\ ((c1_0_ \/ (c5_0_ \/ (ndr1_0_ /\ (ndr1_1_ a183_ /\ (c1_2_ a183_ a184_ /\ (~(c5_2_ a183_ a184_) /\ (c2_1_ a183_ /\ (forall X23 : Universe, (ndr1_1_ a183_ -> (c3_2_ a183_ X23 \/ c2_2_ a183_ X23)))))))))) /\ ((c3_0_ \/ (forall X24 : Universe, (ndr1_0_ -> ((ndr1_1_ X24 /\ (~(c2_2_ X24 a185_) /\ ~(c3_2_ X24 a185_))) \/ (~(c3_1_ X24) \/ (ndr1_1_ X24 /\ (~(c1_2_ X24 a186_) /\ c4_2_ X24 a186_))))))) /\ ((forall X25 : Universe, (ndr1_0_ -> ((ndr1_1_ X25 /\ (c1_2_ X25 a187_ /\ (~(c5_2_ X25 a187_) /\ c2_2_ X25 a187_))) \/ ~(c2_1_ X25)))) \/ (~(c1_0_) \/ c5_0_)))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
