(*
% File     : SYN528+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=029
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-029.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.7.0, 0.17 v2.6.0, 0.00 v2.4.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  219 (   0 equality)
%            Maximal formula depth :   29 (  29 average)
%            Number of connectives :  302 (  84 ~  ;  77  |; 115  &)
%                                         (   0 <=>;  26 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   37 (  37 constant; 0-0 arity)
%            Number of variables   :   26 (   0 singleton;  26 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a313_ : Universe.
Variable a312_ : Universe.
Variable a311_ : Universe.
Variable a310_ : Universe.
Variable a309_ : Universe.
Variable a308_ : Universe.
Variable a307_ : Universe.
Variable a306_ : Universe.
Variable a305_ : Universe.
Variable a304_ : Universe.
Variable a303_ : Universe.
Variable a302_ : Universe.
Variable a301_ : Universe.
Variable a300_ : Universe.
Variable a299_ : Universe.
Variable a298_ : Universe.
Variable a297_ : Universe.
Variable a296_ : Universe.
Variable a295_ : Universe.
Variable a294_ : Universe.
Variable a293_ : Universe.
Variable a292_ : Universe.
Variable a291_ : Universe.
Variable a290_ : Universe.
Variable a289_ : Universe.
Variable a288_ : Universe.
Variable a287_ : Universe.
Variable a286_ : Universe.
Variable a285_ : Universe.
Variable a284_ : Universe.
Variable a283_ : Universe.
Variable a282_ : Universe.
Variable a281_ : Universe.
Variable a280_ : Universe.
Variable a279_ : Universe.
Variable a278_ : Universe.
Variable a277_ : Universe.


Theorem co1_1 : ~((((ndr1_0_ /\ (~(c4_1_ a277_) /\ c2_1_ a277_)) \/ (c5_0_ \/ ~(c1_0_))) /\ ((~(c2_0_) \/ ((forall U : Universe, (ndr1_0_ -> ((forall V : Universe, (ndr1_1_ U -> (~(c4_2_ U V) \/ ~(c5_2_ U V)))) \/ ((ndr1_1_ U /\ (~(c2_2_ U a278_) /\ (~(c5_2_ U a278_) /\ ~(c4_2_ U a278_)))) \/ (forall W : Universe, (ndr1_1_ U -> (~(c1_2_ U W) \/ c2_2_ U W))))))) \/ (forall X : Universe, (ndr1_0_ -> (~(c2_1_ X) \/ (ndr1_1_ X /\ (~(c3_2_ X a279_) /\ c4_2_ X a279_))))))) /\ ((c5_0_ \/ ((forall Y : Universe, (ndr1_0_ -> ((ndr1_1_ Y /\ (c4_2_ Y a280_ /\ c5_2_ Y a280_)) \/ ((forall Z : Universe, (ndr1_1_ Y -> (c3_2_ Y Z \/ (c5_2_ Y Z \/ ~(c1_2_ Y Z))))) \/ ~(c5_1_ Y))))) \/ ~(c3_0_))) /\ (((forall X1 : Universe, (ndr1_0_ -> (~(c1_1_ X1) \/ ((forall X2 : Universe, (ndr1_1_ X1 -> (~(c4_2_ X1 X2) \/ ~(c2_2_ X1 X2)))) \/ ~(c4_1_ X1))))) \/ (ndr1_0_ /\ (ndr1_1_ a281_ /\ (~(c2_2_ a281_ a282_) /\ (~(c5_2_ a281_ a282_) /\ (c3_2_ a281_ a282_ /\ (c5_1_ a281_ /\ ~(c4_1_ a281_)))))))) /\ ((c5_0_ \/ ((forall X3 : Universe, (ndr1_0_ -> ((ndr1_1_ X3 /\ (~(c2_2_ X3 a283_) /\ ~(c4_2_ X3 a283_))) \/ ((ndr1_1_ X3 /\ (~(c3_2_ X3 a284_) /\ (~(c1_2_ X3 a284_) /\ c4_2_ X3 a284_))) \/ (ndr1_1_ X3 /\ (c1_2_ X3 a285_ /\ (c3_2_ X3 a285_ /\ ~(c2_2_ X3 a285_)))))))) \/ (ndr1_0_ /\ (~(c2_1_ a286_) /\ (ndr1_1_ a286_ /\ (~(c1_2_ a286_ a287_) /\ (~(c4_2_ a286_ a287_) /\ (forall X4 : Universe, (ndr1_1_ a286_ -> (c5_2_ a286_ X4 \/ c2_2_ a286_ X4)))))))))) /\ ((c3_0_ \/ (~(c5_0_) \/ (ndr1_0_ /\ (~(c1_1_ a288_) /\ (forall X5 : Universe, (ndr1_1_ a288_ -> (c1_2_ a288_ X5 \/ (c4_2_ a288_ X5 \/ c2_2_ a288_ X5)))))))) /\ (((forall X6 : Universe, (ndr1_0_ -> ((ndr1_1_ X6 /\ (~(c2_2_ X6 a289_) /\ (c4_2_ X6 a289_ /\ ~(c5_2_ X6 a289_)))) \/ (ndr1_1_ X6 /\ (~(c4_2_ X6 a290_) /\ ~(c5_2_ X6 a290_)))))) \/ c1_0_) /\ (((forall X7 : Universe, (ndr1_0_ -> ((forall X8 : Universe, (ndr1_1_ X7 -> (~(c4_2_ X7 X8) \/ c5_2_ X7 X8))) \/ (~(c5_1_ X7) \/ ~(c2_1_ X7))))) \/ (~(c1_0_) \/ (forall X9 : Universe, (ndr1_0_ -> (~(c2_1_ X9) \/ (ndr1_1_ X9 /\ (c1_2_ X9 a291_ /\ (~(c2_2_ X9 a291_) /\ ~(c5_2_ X9 a291_))))))))) /\ ((~(c3_0_) \/ ((ndr1_0_ /\ (~(c3_1_ a292_) /\ ((forall X10 : Universe, (ndr1_1_ a292_ -> (c2_2_ a292_ X10 \/ (~(c5_2_ a292_ X10) \/ ~(c3_2_ a292_ X10))))) /\ (forall X11 : Universe, (ndr1_1_ a292_ -> (c3_2_ a292_ X11 \/ (~(c2_2_ a292_ X11) \/ c4_2_ a292_ X11))))))) \/ (forall X12 : Universe, (ndr1_0_ -> (c1_1_ X12 \/ (~(c4_1_ X12) \/ c3_1_ X12)))))) /\ ((c3_0_ \/ (c4_0_ \/ c1_0_)) /\ ((c4_0_ \/ ((ndr1_0_ /\ (c2_1_ a293_ /\ c5_1_ a293_)) \/ ~(c2_0_))) /\ (((ndr1_0_ /\ (~(c1_1_ a294_) /\ (~(c4_1_ a294_) /\ c3_1_ a294_))) \/ ((ndr1_0_ /\ (~(c2_1_ a295_) /\ ((forall X13 : Universe, (ndr1_1_ a295_ -> (c4_2_ a295_ X13 \/ c5_2_ a295_ X13))) /\ ~(c1_1_ a295_)))) \/ (ndr1_0_ /\ (c4_1_ a296_ /\ c3_1_ a296_)))) /\ ((c3_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a297_ /\ (~(c1_2_ a297_ a298_) /\ (c2_2_ a297_ a298_ /\ (c3_2_ a297_ a298_ /\ (ndr1_1_ a297_ /\ (~(c2_2_ a297_ a299_) /\ (~(c3_2_ a297_ a299_) /\ (~(c4_2_ a297_ a299_) /\ c2_1_ a297_))))))))) \/ ~(c1_0_))) /\ (((forall X14 : Universe, (ndr1_0_ -> (c4_1_ X14 \/ (c1_1_ X14 \/ (forall X15 : Universe, (ndr1_1_ X14 -> (~(c1_2_ X14 X15) \/ ~(c2_2_ X14 X15)))))))) \/ (~(c4_0_) \/ (ndr1_0_ /\ (c5_1_ a300_ /\ (ndr1_1_ a300_ /\ (~(c1_2_ a300_ a301_) /\ (~(c3_2_ a300_ a301_) /\ ~(c4_2_ a300_ a301_)))))))) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ (c5_1_ a302_ /\ ((forall X16 : Universe, (ndr1_1_ a302_ -> (~(c2_2_ a302_ X16) \/ ~(c5_2_ a302_ X16)))) /\ c2_1_ a302_))) \/ c1_0_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (~(c5_1_ X17) \/ (~(c2_1_ X17) \/ (ndr1_1_ X17 /\ (c4_2_ X17 a303_ /\ (c2_2_ X17 a303_ /\ ~(c5_2_ X17 a303_)))))))) \/ ((ndr1_0_ /\ ((forall X18 : Universe, (ndr1_1_ a304_ -> (~(c5_2_ a304_ X18) \/ (~(c4_2_ a304_ X18) \/ c1_2_ a304_ X18)))) /\ c5_1_ a304_)) \/ ~(c5_0_))) /\ (((forall X19 : Universe, (ndr1_0_ -> ((ndr1_1_ X19 /\ (c5_2_ X19 a305_ /\ (c3_2_ X19 a305_ /\ c4_2_ X19 a305_))) \/ (~(c4_1_ X19) \/ (ndr1_1_ X19 /\ (c4_2_ X19 a306_ /\ ~(c2_2_ X19 a306_))))))) \/ ~(c3_0_)) /\ ((c4_0_ \/ ((ndr1_0_ /\ (~(c3_1_ a307_) /\ (ndr1_1_ a307_ /\ (c5_2_ a307_ a308_ /\ (c3_2_ a307_ a308_ /\ (c4_2_ a307_ a308_ /\ ~(c5_1_ a307_))))))) \/ (ndr1_0_ /\ (ndr1_1_ a309_ /\ (c3_2_ a309_ a310_ /\ (~(c2_2_ a309_ a310_) /\ (c2_1_ a309_ /\ c3_1_ a309_))))))) /\ (((ndr1_0_ /\ ((forall X20 : Universe, (ndr1_1_ a311_ -> (c5_2_ a311_ X20 \/ ~(c2_2_ a311_ X20)))) /\ (c2_1_ a311_ /\ ~(c3_1_ a311_)))) \/ (c4_0_ \/ ~(c5_0_))) /\ (c4_0_ \/ ((ndr1_0_ /\ (c4_1_ a312_ /\ ~(c3_1_ a312_))) \/ (ndr1_0_ /\ (c3_1_ a313_ /\ c5_1_ a313_)))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
