(*
% File     : SYN535+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=094
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-094.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.4.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  195 (   0 equality)
%            Maximal formula depth :   32 (  32 average)
%            Number of connectives :  269 (  75 ~  ;  74  |;  96  &)
%                                         (   0 <=>;  24 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   28 (  28 constant; 0-0 arity)
%            Number of variables   :   24 (   0 singleton;  24 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a519_ : Universe.
Variable a518_ : Universe.
Variable a517_ : Universe.
Variable a516_ : Universe.
Variable a515_ : Universe.
Variable a514_ : Universe.
Variable a513_ : Universe.
Variable a512_ : Universe.
Variable a511_ : Universe.
Variable a510_ : Universe.
Variable a509_ : Universe.
Variable a508_ : Universe.
Variable a507_ : Universe.
Variable a506_ : Universe.
Variable a505_ : Universe.
Variable a504_ : Universe.
Variable a503_ : Universe.
Variable a502_ : Universe.
Variable a501_ : Universe.
Variable a500_ : Universe.
Variable a499_ : Universe.
Variable a498_ : Universe.
Variable a497_ : Universe.
Variable a496_ : Universe.
Variable a495_ : Universe.
Variable a494_ : Universe.
Variable a493_ : Universe.
Variable a492_ : Universe.


Theorem co1_1 : ~(((c4_0_ \/ c1_0_) /\ ((~(c3_0_) \/ ((forall U : Universe, (ndr1_0_ -> (c4_1_ U \/ c5_1_ U))) \/ c5_0_)) /\ ((c1_0_ \/ ((ndr1_0_ /\ (~(c2_1_ a492_) /\ (ndr1_1_ a492_ /\ (~(c5_2_ a492_ a493_) /\ (~(c3_2_ a492_ a493_) /\ (~(c2_2_ a492_ a493_) /\ c5_1_ a492_)))))) \/ (ndr1_0_ /\ (~(c3_1_ a494_) /\ (~(c4_1_ a494_) /\ (forall V : Universe, (ndr1_1_ a494_ -> (c3_2_ a494_ V \/ (c1_2_ a494_ V \/ ~(c4_2_ a494_ V)))))))))) /\ ((c3_0_ \/ (ndr1_0_ /\ (ndr1_1_ a495_ /\ (c4_2_ a495_ a496_ /\ (~(c5_2_ a495_ a496_) /\ (c2_2_ a495_ a496_ /\ (c2_1_ a495_ /\ (forall W : Universe, (ndr1_1_ a495_ -> (~(c5_2_ a495_ W) \/ ~(c3_2_ a495_ W))))))))))) /\ ((c3_0_ \/ (~(c5_0_) \/ c1_0_)) /\ (((forall X : Universe, (ndr1_0_ -> ((forall Y : Universe, (ndr1_1_ X -> (c2_2_ X Y \/ c1_2_ X Y))) \/ ((ndr1_1_ X /\ (c5_2_ X a497_ /\ (c1_2_ X a497_ /\ c3_2_ X a497_))) \/ c3_1_ X)))) \/ (c3_0_ \/ (ndr1_0_ /\ ((forall Z : Universe, (ndr1_1_ a498_ -> (~(c4_2_ a498_ Z) \/ c3_2_ a498_ Z))) /\ c4_1_ a498_)))) /\ ((c1_0_ \/ (ndr1_0_ /\ ~(c4_1_ a499_))) /\ ((c3_0_ \/ (~(c4_0_) \/ ~(c1_0_))) /\ ((~(c2_0_) \/ ((ndr1_0_ /\ (~(c2_1_ a500_) /\ (ndr1_1_ a500_ /\ (c1_2_ a500_ a501_ /\ (~(c2_2_ a500_ a501_) /\ (~(c3_2_ a500_ a501_) /\ c3_1_ a500_)))))) \/ (forall X1 : Universe, (ndr1_0_ -> (c5_1_ X1 \/ ((forall X2 : Universe, (ndr1_1_ X1 -> (c3_2_ X1 X2 \/ (c1_2_ X1 X2 \/ ~(c4_2_ X1 X2))))) \/ (ndr1_1_ X1 /\ (~(c2_2_ X1 a502_) /\ (~(c3_2_ X1 a502_) /\ c5_2_ X1 a502_))))))))) /\ (((forall X3 : Universe, (ndr1_0_ -> (~(c3_1_ X3) \/ (c2_1_ X3 \/ ~(c1_1_ X3))))) \/ (c2_0_ \/ (ndr1_0_ /\ (ndr1_1_ a503_ /\ (c4_2_ a503_ a504_ /\ (~(c2_2_ a503_ a504_) /\ (~(c5_2_ a503_ a504_) /\ ((forall X4 : Universe, (ndr1_1_ a503_ -> (~(c3_2_ a503_ X4) \/ (c1_2_ a503_ X4 \/ ~(c5_2_ a503_ X4))))) /\ (ndr1_1_ a503_ /\ (~(c3_2_ a503_ a505_) /\ (~(c5_2_ a503_ a505_) /\ ~(c2_2_ a503_ a505_)))))))))))) /\ (((forall X5 : Universe, (ndr1_0_ -> (c4_1_ X5 \/ ((ndr1_1_ X5 /\ (c4_2_ X5 a506_ /\ (c5_2_ X5 a506_ /\ ~(c3_2_ X5 a506_)))) \/ ~(c5_1_ X5))))) \/ ((ndr1_0_ /\ ((forall X6 : Universe, (ndr1_1_ a507_ -> (~(c2_2_ a507_ X6) \/ (~(c3_2_ a507_ X6) \/ ~(c5_2_ a507_ X6))))) /\ (~(c4_1_ a507_) /\ c3_1_ a507_))) \/ (ndr1_0_ /\ (c5_1_ a508_ /\ c1_1_ a508_)))) /\ ((c3_0_ \/ (c4_0_ \/ ~(c5_0_))) /\ (((ndr1_0_ /\ ((forall X7 : Universe, (ndr1_1_ a509_ -> (c4_2_ a509_ X7 \/ (~(c2_2_ a509_ X7) \/ c5_2_ a509_ X7)))) /\ ~(c2_1_ a509_))) \/ ((forall X8 : Universe, (ndr1_0_ -> ((ndr1_1_ X8 /\ (~(c2_2_ X8 a510_) /\ ~(c3_2_ X8 a510_))) \/ (~(c3_1_ X8) \/ c2_1_ X8)))) \/ (forall X9 : Universe, (ndr1_0_ -> (c3_1_ X9 \/ (forall X10 : Universe, (ndr1_1_ X9 -> (~(c4_2_ X9 X10) \/ ~(c3_2_ X9 X10))))))))) /\ (((ndr1_0_ /\ ((forall X11 : Universe, (ndr1_1_ a511_ -> (c2_2_ a511_ X11 \/ (c4_2_ a511_ X11 \/ ~(c3_2_ a511_ X11))))) /\ (~(c3_1_ a511_) /\ ~(c2_1_ a511_)))) \/ (~(c4_0_) \/ (ndr1_0_ /\ (c4_1_ a512_ /\ (~(c3_1_ a512_) /\ c1_1_ a512_))))) /\ ((~(c2_0_) \/ ~(c5_0_)) /\ ((~(c4_0_) \/ ((forall X12 : Universe, (ndr1_0_ -> (~(c4_1_ X12) \/ (~(c3_1_ X12) \/ (forall X13 : Universe, (ndr1_1_ X12 -> (~(c4_2_ X12 X13) \/ ~(c5_2_ X12 X13)))))))) \/ ~(c5_0_))) /\ (((ndr1_0_ /\ (~(c4_1_ a513_) /\ (c1_1_ a513_ /\ c3_1_ a513_))) \/ (c2_0_ \/ (ndr1_0_ /\ (c1_1_ a514_ /\ (ndr1_1_ a514_ /\ (~(c5_2_ a514_ a515_) /\ (c3_2_ a514_ a515_ /\ (c2_2_ a514_ a515_ /\ (forall X14 : Universe, (ndr1_1_ a514_ -> (~(c4_2_ a514_ X14) \/ (c5_2_ a514_ X14 \/ c3_2_ a514_ X14)))))))))))) /\ ((~(c1_0_) \/ (ndr1_0_ /\ (c3_1_ a516_ /\ ((forall X15 : Universe, (ndr1_1_ a516_ -> (~(c4_2_ a516_ X15) \/ (c3_2_ a516_ X15 \/ c5_2_ a516_ X15)))) /\ ~(c1_1_ a516_))))) /\ ((~(c2_0_) \/ ((forall X16 : Universe, (ndr1_0_ -> c5_1_ X16)) \/ (forall X17 : Universe, (ndr1_0_ -> (~(c4_1_ X17) \/ (~(c1_1_ X17) \/ (forall X18 : Universe, (ndr1_1_ X17 -> (~(c3_2_ X17 X18) \/ (c5_2_ X17 X18 \/ ~(c1_2_ X17 X18))))))))))) /\ ((ndr1_0_ /\ (~(c2_1_ a517_) /\ (c4_1_ a517_ /\ (ndr1_1_ a517_ /\ (c3_2_ a517_ a518_ /\ (~(c4_2_ a517_ a518_) /\ c5_2_ a517_ a518_)))))) \/ ((ndr1_0_ /\ (~(c2_1_ a519_) /\ c1_1_ a519_)) \/ ~(c2_0_))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
