(*
% File     : SYN536+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=096
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-096.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.4.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  209 (   0 equality)
%            Maximal formula depth :   30 (  30 average)
%            Number of connectives :  275 (  67 ~  ;  89  |;  86  &)
%                                         (   0 <=>;  33 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   26 (  26 constant; 0-0 arity)
%            Number of variables   :   33 (   0 singleton;  33 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a545_ : Universe.
Variable a544_ : Universe.
Variable a543_ : Universe.
Variable a542_ : Universe.
Variable a541_ : Universe.
Variable a540_ : Universe.
Variable a539_ : Universe.
Variable a538_ : Universe.
Variable a537_ : Universe.
Variable a536_ : Universe.
Variable a535_ : Universe.
Variable a534_ : Universe.
Variable a533_ : Universe.
Variable a532_ : Universe.
Variable a531_ : Universe.
Variable a530_ : Universe.
Variable a529_ : Universe.
Variable a528_ : Universe.
Variable a527_ : Universe.
Variable a526_ : Universe.
Variable a525_ : Universe.
Variable a524_ : Universe.
Variable a523_ : Universe.
Variable a522_ : Universe.
Variable a521_ : Universe.
Variable a520_ : Universe.


Theorem co1_1 : ~((((forall U : Universe, (ndr1_0_ -> (c5_1_ U \/ (forall V : Universe, (ndr1_1_ U -> (c3_2_ U V \/ ~(c2_2_ U V))))))) \/ (~(c4_0_) \/ c2_0_)) /\ (((ndr1_0_ /\ (~(c5_1_ a520_) /\ ((forall W : Universe, (ndr1_1_ a520_ -> (~(c1_2_ a520_ W) \/ (~(c5_2_ a520_ W) \/ ~(c3_2_ a520_ W))))) /\ c1_1_ a520_))) \/ (c5_0_ \/ c3_0_)) /\ (((ndr1_0_ /\ (~(c2_1_ a521_) /\ ((forall X : Universe, (ndr1_1_ a521_ -> (c1_2_ a521_ X \/ (~(c2_2_ a521_ X) \/ ~(c5_2_ a521_ X))))) /\ ~(c1_1_ a521_)))) \/ (forall Y : Universe, (ndr1_0_ -> ((ndr1_1_ Y /\ (c5_2_ Y a522_ /\ c2_2_ Y a522_)) \/ (~(c3_1_ Y) \/ c5_1_ Y))))) /\ (((forall Z : Universe, (ndr1_0_ -> ((ndr1_1_ Z /\ (~(c3_2_ Z a523_) /\ ~(c1_2_ Z a523_))) \/ ((forall X1 : Universe, (ndr1_1_ Z -> (c1_2_ Z X1 \/ (c2_2_ Z X1 \/ c3_2_ Z X1)))) \/ c4_1_ Z)))) \/ ((forall X2 : Universe, (ndr1_0_ -> ((forall X3 : Universe, (ndr1_1_ X2 -> (~(c1_2_ X2 X3) \/ (~(c2_2_ X2 X3) \/ ~(c3_2_ X2 X3))))) \/ ((ndr1_1_ X2 /\ (c1_2_ X2 a524_ /\ (c5_2_ X2 a524_ /\ ~(c4_2_ X2 a524_)))) \/ c4_1_ X2)))) \/ ~(c3_0_))) /\ ((c4_0_ \/ (c1_0_ \/ c5_0_)) /\ ((~(c2_0_) \/ (ndr1_0_ /\ (~(c2_1_ a525_) /\ (ndr1_1_ a525_ /\ (~(c1_2_ a525_ a526_) /\ (c2_2_ a525_ a526_ /\ (c4_2_ a525_ a526_ /\ c3_1_ a525_))))))) /\ (((ndr1_0_ /\ (c5_1_ a527_ /\ (ndr1_1_ a527_ /\ (~(c3_2_ a527_ a528_) /\ (c1_2_ a527_ a528_ /\ ~(c3_1_ a527_)))))) \/ ((ndr1_0_ /\ (c4_1_ a529_ /\ (ndr1_1_ a529_ /\ (c5_2_ a529_ a530_ /\ (c4_2_ a529_ a530_ /\ (c1_2_ a529_ a530_ /\ (ndr1_1_ a529_ /\ (c1_2_ a529_ a531_ /\ c5_2_ a529_ a531_)))))))) \/ ~(c4_0_))) /\ ((c2_0_ \/ ~(c5_0_)) /\ (((forall X4 : Universe, (ndr1_0_ -> ((forall X5 : Universe, (ndr1_1_ X4 -> (c2_2_ X4 X5 \/ (c4_2_ X4 X5 \/ ~(c3_2_ X4 X5))))) \/ ((forall X6 : Universe, (ndr1_1_ X4 -> (~(c1_2_ X4 X6) \/ c4_2_ X4 X6))) \/ (forall X7 : Universe, (ndr1_1_ X4 -> (~(c3_2_ X4 X7) \/ (~(c5_2_ X4 X7) \/ c4_2_ X4 X7)))))))) \/ ((forall X8 : Universe, (ndr1_0_ -> (c2_1_ X8 \/ ~(c5_1_ X8)))) \/ c1_0_)) /\ (((forall X9 : Universe, (ndr1_0_ -> ((ndr1_1_ X9 /\ (c4_2_ X9 a532_ /\ (~(c3_2_ X9 a532_) /\ ~(c5_2_ X9 a532_)))) \/ c1_1_ X9))) \/ ((ndr1_0_ /\ ((forall X10 : Universe, (ndr1_1_ a533_ -> (c4_2_ a533_ X10 \/ (c5_2_ a533_ X10 \/ ~(c3_2_ a533_ X10))))) /\ ~(c3_1_ a533_))) \/ ~(c2_0_))) /\ ((c5_0_ \/ ((forall X11 : Universe, (ndr1_0_ -> (c1_1_ X11 \/ (c5_1_ X11 \/ c4_1_ X11)))) \/ (forall X12 : Universe, (ndr1_0_ -> ((forall X13 : Universe, (ndr1_1_ X12 -> (c3_2_ X12 X13 \/ (c1_2_ X12 X13 \/ c4_2_ X12 X13)))) \/ ((ndr1_1_ X12 /\ (c4_2_ X12 a534_ /\ ~(c3_2_ X12 a534_))) \/ c3_1_ X12)))))) /\ ((~(c1_0_) \/ (~(c3_0_) \/ (forall X14 : Universe, (ndr1_0_ -> ((forall X15 : Universe, (ndr1_1_ X14 -> (c3_2_ X14 X15 \/ c2_2_ X14 X15))) \/ c5_1_ X14))))) /\ ((c5_0_ \/ ~(c3_0_)) /\ ((~(c4_0_) \/ ((forall X16 : Universe, (ndr1_0_ -> (c1_1_ X16 \/ ((ndr1_1_ X16 /\ (~(c4_2_ X16 a535_) /\ ~(c3_2_ X16 a535_))) \/ c4_1_ X16)))) \/ (forall X17 : Universe, (ndr1_0_ -> ((forall X18 : Universe, (ndr1_1_ X17 -> (c4_2_ X17 X18 \/ (c1_2_ X17 X18 \/ ~(c3_2_ X17 X18))))) \/ c5_1_ X17))))) /\ (((ndr1_0_ /\ ((forall X19 : Universe, (ndr1_1_ a536_ -> (c4_2_ a536_ X19 \/ c2_2_ a536_ X19))) /\ (~(c5_1_ a536_) /\ ~(c1_1_ a536_)))) \/ (c2_0_ \/ ~(c3_0_))) /\ ((~(c2_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a537_ /\ (c2_2_ a537_ a538_ /\ (c3_2_ a537_ a538_ /\ ~(c5_1_ a537_))))) \/ (forall X20 : Universe, (ndr1_0_ -> (c4_1_ X20 \/ ((forall X21 : Universe, (ndr1_1_ X20 -> (~(c1_2_ X20 X21) \/ (c3_2_ X20 X21 \/ ~(c5_2_ X20 X21))))) \/ (ndr1_1_ X20 /\ (c2_2_ X20 a539_ /\ (c1_2_ X20 a539_ /\ c5_2_ X20 a539_))))))))) /\ (((ndr1_0_ /\ (c3_1_ a540_ /\ (~(c4_1_ a540_) /\ (forall X22 : Universe, (ndr1_1_ a540_ -> (~(c3_2_ a540_ X22) \/ (~(c1_2_ a540_ X22) \/ c2_2_ a540_ X22))))))) \/ (c5_0_ \/ (ndr1_0_ /\ ((forall X23 : Universe, (ndr1_1_ a541_ -> (c2_2_ a541_ X23 \/ (~(c4_2_ a541_ X23) \/ c3_2_ a541_ X23)))) /\ (forall X24 : Universe, (ndr1_1_ a541_ -> (c2_2_ a541_ X24 \/ (~(c5_2_ a541_ X24) \/ c3_2_ a541_ X24)))))))) /\ ((~(c1_0_) \/ (~(c5_0_) \/ (forall X25 : Universe, (ndr1_0_ -> (~(c2_1_ X25) \/ ((forall X26 : Universe, (ndr1_1_ X25 -> (~(c1_2_ X25 X26) \/ c4_2_ X25 X26))) \/ (ndr1_1_ X25 /\ (~(c2_2_ X25 a542_) /\ (~(c4_2_ X25 a542_) /\ ~(c5_2_ X25 a542_)))))))))) /\ (c1_0_ \/ ((forall X27 : Universe, (ndr1_0_ -> ((ndr1_1_ X27 /\ (c2_2_ X27 a543_ /\ (~(c5_2_ X27 a543_) /\ ~(c1_2_ X27 a543_)))) \/ c1_1_ X27))) \/ (ndr1_0_ /\ (c4_1_ a544_ /\ (c1_1_ a544_ /\ (ndr1_1_ a544_ /\ (c3_2_ a544_ a545_ /\ (~(c1_2_ a544_ a545_) /\ ~(c5_2_ a544_ a545_)))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
