(*
% File     : SYN537+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=40, K=3, D=2, P=0, Index=014
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-40-3-2-014.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.7.0, 0.17 v2.6.0, 0.00 v2.4.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  293 (   0 equality)
%            Maximal formula depth :   41 (  41 average)
%            Number of connectives :  413 ( 121 ~  ; 114  |; 140  &)
%                                         (   0 <=>;  38 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   41 (  41 constant; 0-0 arity)
%            Number of variables   :   38 (   0 singleton;  38 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a680_ : Universe.
Variable a679_ : Universe.
Variable a678_ : Universe.
Variable a677_ : Universe.
Variable a676_ : Universe.
Variable a675_ : Universe.
Variable a674_ : Universe.
Variable a673_ : Universe.
Variable a672_ : Universe.
Variable a671_ : Universe.
Variable a670_ : Universe.
Variable a669_ : Universe.
Variable a668_ : Universe.
Variable a667_ : Universe.
Variable a666_ : Universe.
Variable a665_ : Universe.
Variable a664_ : Universe.
Variable a663_ : Universe.
Variable a662_ : Universe.
Variable a661_ : Universe.
Variable a660_ : Universe.
Variable a659_ : Universe.
Variable a658_ : Universe.
Variable a657_ : Universe.
Variable a656_ : Universe.
Variable a655_ : Universe.
Variable a654_ : Universe.
Variable a653_ : Universe.
Variable a652_ : Universe.
Variable a651_ : Universe.
Variable a650_ : Universe.
Variable a649_ : Universe.
Variable a648_ : Universe.
Variable a647_ : Universe.
Variable a646_ : Universe.
Variable a645_ : Universe.
Variable a644_ : Universe.
Variable a643_ : Universe.
Variable a642_ : Universe.
Variable a641_ : Universe.
Variable a640_ : Universe.


Theorem co1_1 : ~((((forall U : Universe, (ndr1_0_ -> (c1_1_ U \/ ((ndr1_1_ U /\ (c2_2_ U a640_ /\ (~(c5_2_ U a640_) /\ c3_2_ U a640_))) \/ (forall V : Universe, (ndr1_1_ U -> (~(c2_2_ U V) \/ (~(c1_2_ U V) \/ c3_2_ U V)))))))) \/ ((forall W : Universe, (ndr1_0_ -> (~(c1_1_ W) \/ (~(c5_1_ W) \/ c3_1_ W)))) \/ ~(c5_0_))) /\ ((~(c3_0_) \/ (~(c4_0_) \/ (ndr1_0_ /\ (ndr1_1_ a641_ /\ (~(c1_2_ a641_ a642_) /\ (~(c3_2_ a641_ a642_) /\ (forall X : Universe, (ndr1_1_ a641_ -> (~(c4_2_ a641_ X) \/ (~(c5_2_ a641_ X) \/ c3_2_ a641_ X)))))))))) /\ ((~(c4_0_) \/ (~(c1_0_) \/ ~(c2_0_))) /\ (((ndr1_0_ /\ (ndr1_1_ a643_ /\ (~(c2_2_ a643_ a644_) /\ (c5_2_ a643_ a644_ /\ (~(c1_1_ a643_) /\ c4_1_ a643_))))) \/ ((ndr1_0_ /\ (~(c1_1_ a645_) /\ (ndr1_1_ a645_ /\ (c3_2_ a645_ a646_ /\ (c2_2_ a645_ a646_ /\ (~(c5_2_ a645_ a646_) /\ ~(c2_1_ a645_))))))) \/ ~(c3_0_))) /\ (((forall Y : Universe, (ndr1_0_ -> (~(c3_1_ Y) \/ (~(c1_1_ Y) \/ ~(c4_1_ Y))))) \/ (~(c2_0_) \/ c1_0_)) /\ (((forall Z : Universe, (ndr1_0_ -> ((forall X1 : Universe, (ndr1_1_ Z -> (~(c4_2_ Z X1) \/ (~(c1_2_ Z X1) \/ ~(c3_2_ Z X1))))) \/ (c1_1_ Z \/ c2_1_ Z)))) \/ (~(c3_0_) \/ c1_0_)) /\ ((c5_0_ \/ ~(c4_0_)) /\ ((c3_0_ \/ (c5_0_ \/ (forall X2 : Universe, (ndr1_0_ -> ((ndr1_1_ X2 /\ (c5_2_ X2 a647_ /\ (~(c2_2_ X2 a647_) /\ ~(c1_2_ X2 a647_)))) \/ (c1_1_ X2 \/ ~(c2_1_ X2))))))) /\ ((c4_0_ \/ ((forall X3 : Universe, (ndr1_0_ -> ((forall X4 : Universe, (ndr1_1_ X3 -> (~(c1_2_ X3 X4) \/ c4_2_ X3 X4))) \/ (c1_1_ X3 \/ (forall X5 : Universe, (ndr1_1_ X3 -> (c3_2_ X3 X5 \/ (~(c1_2_ X3 X5) \/ c5_2_ X3 X5)))))))) \/ (ndr1_0_ /\ (~(c3_1_ a648_) /\ ((forall X6 : Universe, (ndr1_1_ a648_ -> (~(c1_2_ a648_ X6) \/ ~(c3_2_ a648_ X6)))) /\ (forall X7 : Universe, (ndr1_1_ a648_ -> (~(c5_2_ a648_ X7) \/ (c4_2_ a648_ X7 \/ ~(c2_2_ a648_ X7)))))))))) /\ (((forall X8 : Universe, (ndr1_0_ -> (~(c4_1_ X8) \/ ((ndr1_1_ X8 /\ (c4_2_ X8 a649_ /\ (c1_2_ X8 a649_ /\ ~(c5_2_ X8 a649_)))) \/ (ndr1_1_ X8 /\ (c5_2_ X8 a650_ /\ (~(c3_2_ X8 a650_) /\ c4_2_ X8 a650_))))))) \/ c3_0_) /\ (((ndr1_0_ /\ (ndr1_1_ a651_ /\ (~(c5_2_ a651_ a652_) /\ (c1_2_ a651_ a652_ /\ (~(c2_2_ a651_ a652_) /\ (forall X9 : Universe, (ndr1_1_ a651_ -> (~(c1_2_ a651_ X9) \/ (c5_2_ a651_ X9 \/ c3_2_ a651_ X9))))))))) \/ (~(c5_0_) \/ ~(c1_0_))) /\ (((forall X10 : Universe, (ndr1_0_ -> (c5_1_ X10 \/ c1_1_ X10))) \/ ((ndr1_0_ /\ ((forall X11 : Universe, (ndr1_1_ a653_ -> (c3_2_ a653_ X11 \/ c1_2_ a653_ X11))) /\ (~(c4_1_ a653_) /\ ~(c1_1_ a653_)))) \/ ~(c4_0_))) /\ (((ndr1_0_ /\ (ndr1_1_ a654_ /\ (c5_2_ a654_ a655_ /\ (~(c4_2_ a654_ a655_) /\ (c3_2_ a654_ a655_ /\ (~(c1_1_ a654_) /\ ~(c5_1_ a654_))))))) \/ ((forall X12 : Universe, (ndr1_0_ -> (forall X13 : Universe, (ndr1_1_ X12 -> (c5_2_ X12 X13 \/ (~(c4_2_ X12 X13) \/ c1_2_ X12 X13)))))) \/ ~(c2_0_))) /\ ((~(c1_0_) \/ ((forall X14 : Universe, (ndr1_0_ -> (~(c3_1_ X14) \/ (forall X15 : Universe, (ndr1_1_ X14 -> (~(c4_2_ X14 X15) \/ (~(c1_2_ X14 X15) \/ c3_2_ X14 X15))))))) \/ ~(c4_0_))) /\ ((c5_0_ \/ (forall X16 : Universe, (ndr1_0_ -> (c5_1_ X16 \/ (~(c2_1_ X16) \/ (ndr1_1_ X16 /\ (~(c2_2_ X16 a656_) /\ (~(c1_2_ X16 a656_) /\ ~(c3_2_ X16 a656_))))))))) /\ (((forall X17 : Universe, (ndr1_0_ -> (c2_1_ X17 \/ (ndr1_1_ X17 /\ (~(c4_2_ X17 a657_) /\ (~(c1_2_ X17 a657_) /\ ~(c5_2_ X17 a657_))))))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c4_1_ X18 \/ ((ndr1_1_ X18 /\ (c4_2_ X18 a658_ /\ c5_2_ X18 a658_)) \/ (forall X19 : Universe, (ndr1_1_ X18 -> (c5_2_ X18 X19 \/ (~(c2_2_ X18 X19) \/ c1_2_ X18 X19)))))))) \/ c3_0_)) /\ (((ndr1_0_ /\ ((forall X20 : Universe, (ndr1_1_ a659_ -> (c5_2_ a659_ X20 \/ (~(c1_2_ a659_ X20) \/ ~(c3_2_ a659_ X20))))) /\ (~(c1_1_ a659_) /\ c2_1_ a659_))) \/ c5_0_) /\ (((ndr1_0_ /\ (~(c4_1_ a660_) /\ (ndr1_1_ a660_ /\ (~(c4_2_ a660_ a661_) /\ (c2_2_ a660_ a661_ /\ (~(c3_2_ a660_ a661_) /\ (ndr1_1_ a660_ /\ (~(c4_2_ a660_ a662_) /\ (~(c5_2_ a660_ a662_) /\ ~(c2_2_ a660_ a662_)))))))))) \/ (c4_0_ \/ c2_0_)) /\ ((c5_0_ \/ ((ndr1_0_ /\ ((forall X21 : Universe, (ndr1_1_ a663_ -> (c4_2_ a663_ X21 \/ (c1_2_ a663_ X21 \/ c2_2_ a663_ X21)))) /\ (c4_1_ a663_ /\ (ndr1_1_ a663_ /\ (~(c5_2_ a663_ a664_) /\ c1_2_ a663_ a664_))))) \/ ~(c3_0_))) /\ (((ndr1_0_ /\ (~(c5_1_ a665_) /\ (c3_1_ a665_ /\ (forall X22 : Universe, (ndr1_1_ a665_ -> (c5_2_ a665_ X22 \/ ~(c1_2_ a665_ X22))))))) \/ (c2_0_ \/ c4_0_)) /\ ((c2_0_ \/ ((ndr1_0_ /\ (~(c1_1_ a666_) /\ (c3_1_ a666_ /\ (forall X23 : Universe, (ndr1_1_ a666_ -> (c3_2_ a666_ X23 \/ ~(c5_2_ a666_ X23))))))) \/ (ndr1_0_ /\ (~(c4_1_ a667_) /\ (ndr1_1_ a667_ /\ (~(c4_2_ a667_ a668_) /\ ~(c1_2_ a667_ a668_))))))) /\ (((ndr1_0_ /\ ((forall X24 : Universe, (ndr1_1_ a669_ -> (c3_2_ a669_ X24 \/ (~(c4_2_ a669_ X24) \/ c2_2_ a669_ X24)))) /\ (~(c1_1_ a669_) /\ (ndr1_1_ a669_ /\ (~(c5_2_ a669_ a670_) /\ (c1_2_ a669_ a670_ /\ ~(c2_2_ a669_ a670_))))))) \/ ~(c5_0_)) /\ (~(c3_0_) /\ ((c5_0_ \/ (c1_0_ \/ (ndr1_0_ /\ ((forall X25 : Universe, (ndr1_1_ a671_ -> (c5_2_ a671_ X25 \/ ~(c2_2_ a671_ X25)))) /\ (~(c5_1_ a671_) /\ (forall X26 : Universe, (ndr1_1_ a671_ -> (~(c4_2_ a671_ X26) \/ (c5_2_ a671_ X26 \/ ~(c1_2_ a671_ X26)))))))))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (~(c5_1_ a672_) /\ ((forall X27 : Universe, (ndr1_1_ a672_ -> (c1_2_ a672_ X27 \/ (c4_2_ a672_ X27 \/ ~(c5_2_ a672_ X27))))) /\ ~(c1_1_ a672_)))) \/ (forall X28 : Universe, (ndr1_0_ -> (c2_1_ X28 \/ ((ndr1_1_ X28 /\ (~(c5_2_ X28 a673_) /\ (~(c4_2_ X28 a673_) /\ ~(c1_2_ X28 a673_)))) \/ ~(c3_1_ X28))))))) /\ ((~(c2_0_) \/ (ndr1_0_ /\ (c4_1_ a674_ /\ c2_1_ a674_))) /\ (c1_0_ /\ (((ndr1_0_ /\ (c3_1_ a675_ /\ c5_1_ a675_)) \/ ((forall X29 : Universe, (ndr1_0_ -> (c5_1_ X29 \/ ((forall X30 : Universe, (ndr1_1_ X29 -> (~(c2_2_ X29 X30) \/ (c1_2_ X29 X30 \/ ~(c4_2_ X29 X30))))) \/ ~(c1_1_ X29))))) \/ ~(c5_0_))) /\ ((~(c2_0_) \/ (~(c5_0_) \/ (ndr1_0_ /\ (ndr1_1_ a676_ /\ (~(c4_2_ a676_ a677_) /\ (~(c2_2_ a676_ a677_) /\ (~(c3_2_ a676_ a677_) /\ (c3_1_ a676_ /\ c4_1_ a676_)))))))) /\ ((ndr1_0_ /\ (~(c2_1_ a678_) /\ ~(c4_1_ a678_))) \/ ((ndr1_0_ /\ (~(c4_1_ a679_) /\ ((forall X31 : Universe, (ndr1_1_ a679_ -> (c1_2_ a679_ X31 \/ (c5_2_ a679_ X31 \/ c3_2_ a679_ X31)))) /\ ~(c5_1_ a679_)))) \/ (ndr1_0_ /\ ((forall X32 : Universe, (ndr1_1_ a680_ -> (~(c1_2_ a680_ X32) \/ c2_2_ a680_ X32))) /\ ~(c3_1_ a680_))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
