(*
% File     : SYN539+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=40, K=3, D=2, P=0, Index=036
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-40-3-2-036.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.17 v2.7.0, 0.50 v2.6.0, 0.25 v2.5.0, 0.00 v2.4.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  370 (   0 equality)
%            Maximal formula depth :   43 (  43 average)
%            Number of connectives :  506 ( 137 ~  ; 148  |; 168  &)
%                                         (   0 <=>;  53 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   53 (  53 constant; 0-0 arity)
%            Number of variables   :   53 (   0 singleton;  53 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a639_ : Universe.
Variable a638_ : Universe.
Variable a637_ : Universe.
Variable a636_ : Universe.
Variable a635_ : Universe.
Variable a634_ : Universe.
Variable a633_ : Universe.
Variable a632_ : Universe.
Variable a631_ : Universe.
Variable a630_ : Universe.
Variable a629_ : Universe.
Variable a628_ : Universe.
Variable a627_ : Universe.
Variable a626_ : Universe.
Variable a625_ : Universe.
Variable a624_ : Universe.
Variable a623_ : Universe.
Variable a622_ : Universe.
Variable a621_ : Universe.
Variable a620_ : Universe.
Variable a619_ : Universe.
Variable a618_ : Universe.
Variable a617_ : Universe.
Variable a616_ : Universe.
Variable a615_ : Universe.
Variable a614_ : Universe.
Variable a613_ : Universe.
Variable a612_ : Universe.
Variable a611_ : Universe.
Variable a610_ : Universe.
Variable a609_ : Universe.
Variable a608_ : Universe.
Variable a607_ : Universe.
Variable a606_ : Universe.
Variable a605_ : Universe.
Variable a604_ : Universe.
Variable a603_ : Universe.
Variable a602_ : Universe.
Variable a601_ : Universe.
Variable a600_ : Universe.
Variable a599_ : Universe.
Variable a598_ : Universe.
Variable a597_ : Universe.
Variable a596_ : Universe.
Variable a595_ : Universe.
Variable a594_ : Universe.
Variable a593_ : Universe.
Variable a592_ : Universe.
Variable a591_ : Universe.
Variable a590_ : Universe.
Variable a589_ : Universe.
Variable a588_ : Universe.
Variable a587_ : Universe.


Theorem co1_1 : ~(((c4_0_ \/ (ndr1_0_ /\ (c2_1_ a587_ /\ (c3_1_ a587_ /\ c5_1_ a587_)))) /\ (((ndr1_0_ /\ (ndr1_1_ a588_ /\ (~(c1_2_ a588_ a589_) /\ (c2_2_ a588_ a589_ /\ (c3_2_ a588_ a589_ /\ (ndr1_1_ a588_ /\ (~(c4_2_ a588_ a590_) /\ (c2_2_ a588_ a590_ /\ (c1_2_ a588_ a590_ /\ (ndr1_1_ a588_ /\ (c5_2_ a588_ a591_ /\ ~(c2_2_ a588_ a591_)))))))))))) \/ (~(c2_0_) \/ (forall U : Universe, (ndr1_0_ -> (c2_1_ U \/ (c5_1_ U \/ ~(c3_1_ U))))))) /\ ((~(c3_0_) \/ (~(c1_0_) \/ ~(c4_0_))) /\ (((ndr1_0_ /\ (~(c3_1_ a592_) /\ ((forall V : Universe, (ndr1_1_ a592_ -> (c5_2_ a592_ V \/ (c4_2_ a592_ V \/ ~(c1_2_ a592_ V))))) /\ ~(c4_1_ a592_)))) \/ ((ndr1_0_ /\ ((forall W : Universe, (ndr1_1_ a593_ -> (~(c4_2_ a593_ W) \/ (c5_2_ a593_ W \/ ~(c1_2_ a593_ W))))) /\ (c2_1_ a593_ /\ ~(c5_1_ a593_)))) \/ (ndr1_0_ /\ (c1_1_ a594_ /\ c4_1_ a594_)))) /\ ((~(c5_0_) \/ (forall X : Universe, (ndr1_0_ -> ((ndr1_1_ X /\ (~(c4_2_ X a595_) /\ ~(c1_2_ X a595_))) \/ (~(c1_1_ X) \/ (forall Y : Universe, (ndr1_1_ X -> (c2_2_ X Y \/ ~(c5_2_ X Y))))))))) /\ (((forall Z : Universe, (ndr1_0_ -> (c2_1_ Z \/ ((forall X1 : Universe, (ndr1_1_ Z -> (~(c2_2_ Z X1) \/ c3_2_ Z X1))) \/ c1_1_ Z)))) \/ (c2_0_ \/ (ndr1_0_ /\ ((forall X2 : Universe, (ndr1_1_ a596_ -> (c3_2_ a596_ X2 \/ (~(c4_2_ a596_ X2) \/ ~(c1_2_ a596_ X2))))) /\ (ndr1_1_ a596_ /\ (c5_2_ a596_ a597_ /\ (~(c2_2_ a596_ a597_) /\ (~(c1_2_ a596_ a597_) /\ (ndr1_1_ a596_ /\ (c1_2_ a596_ a598_ /\ (~(c4_2_ a596_ a598_) /\ c2_2_ a596_ a598_))))))))))) /\ (((forall X3 : Universe, (ndr1_0_ -> ((ndr1_1_ X3 /\ (c2_2_ X3 a599_ /\ (~(c3_2_ X3 a599_) /\ ~(c5_2_ X3 a599_)))) \/ ((ndr1_1_ X3 /\ (c1_2_ X3 a600_ /\ (~(c3_2_ X3 a600_) /\ c2_2_ X3 a600_))) \/ c2_1_ X3)))) \/ ((forall X4 : Universe, (ndr1_0_ -> (~(c3_1_ X4) \/ (c2_1_ X4 \/ (ndr1_1_ X4 /\ (c4_2_ X4 a601_ /\ (c2_2_ X4 a601_ /\ c5_2_ X4 a601_))))))) \/ c2_0_)) /\ ((c1_0_ \/ ((forall X5 : Universe, (ndr1_0_ -> ((ndr1_1_ X5 /\ (~(c2_2_ X5 a602_) /\ c3_2_ X5 a602_)) \/ ((ndr1_1_ X5 /\ (c5_2_ X5 a603_ /\ (c3_2_ X5 a603_ /\ ~(c4_2_ X5 a603_)))) \/ (ndr1_1_ X5 /\ (c4_2_ X5 a604_ /\ (c3_2_ X5 a604_ /\ ~(c1_2_ X5 a604_)))))))) \/ (forall X6 : Universe, (ndr1_0_ -> ((forall X7 : Universe, (ndr1_1_ X6 -> (c4_2_ X6 X7 \/ (c1_2_ X6 X7 \/ ~(c5_2_ X6 X7))))) \/ ~(c1_1_ X6)))))) /\ ((~(c1_0_) \/ ((ndr1_0_ /\ ((forall X8 : Universe, (ndr1_1_ a605_ -> (~(c3_2_ a605_ X8) \/ c2_2_ a605_ X8))) /\ (forall X9 : Universe, (ndr1_1_ a605_ -> (c5_2_ a605_ X9 \/ (c3_2_ a605_ X9 \/ ~(c1_2_ a605_ X9))))))) \/ (forall X10 : Universe, (ndr1_0_ -> ((forall X11 : Universe, (ndr1_1_ X10 -> (c4_2_ X10 X11 \/ c5_2_ X10 X11))) \/ c3_1_ X10))))) /\ (((forall X12 : Universe, (ndr1_0_ -> ((ndr1_1_ X12 /\ (c4_2_ X12 a606_ /\ c3_2_ X12 a606_)) \/ (~(c3_1_ X12) \/ (forall X13 : Universe, (ndr1_1_ X12 -> (~(c2_2_ X12 X13) \/ (c3_2_ X12 X13 \/ c5_2_ X12 X13)))))))) \/ c5_0_) /\ (((forall X14 : Universe, (ndr1_0_ -> (c4_1_ X14 \/ ((ndr1_1_ X14 /\ (~(c1_2_ X14 a607_) /\ (c4_2_ X14 a607_ /\ c3_2_ X14 a607_))) \/ c2_1_ X14)))) \/ (~(c2_0_) \/ c5_0_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (~(c1_1_ X15) \/ ((forall X16 : Universe, (ndr1_1_ X15 -> (c5_2_ X15 X16 \/ c4_2_ X15 X16))) \/ ~(c3_1_ X15))))) \/ ((ndr1_0_ /\ ((forall X17 : Universe, (ndr1_1_ a608_ -> (~(c3_2_ a608_ X17) \/ c2_2_ a608_ X17))) /\ ((forall X18 : Universe, (ndr1_1_ a608_ -> (~(c2_2_ a608_ X18) \/ ~(c5_2_ a608_ X18)))) /\ (ndr1_1_ a608_ /\ (c5_2_ a608_ a609_ /\ ~(c4_2_ a608_ a609_)))))) \/ (forall X19 : Universe, (ndr1_0_ -> (c5_1_ X19 \/ ((ndr1_1_ X19 /\ (c2_2_ X19 a610_ /\ (c3_2_ X19 a610_ /\ ~(c1_2_ X19 a610_)))) \/ c1_1_ X19)))))) /\ ((~(c4_0_) \/ (~(c2_0_) \/ (ndr1_0_ /\ (ndr1_1_ a611_ /\ (c5_2_ a611_ a612_ /\ (~(c1_2_ a611_ a612_) /\ ((forall X20 : Universe, (ndr1_1_ a611_ -> (c5_2_ a611_ X20 \/ (~(c3_2_ a611_ X20) \/ c2_2_ a611_ X20)))) /\ ~(c1_1_ a611_)))))))) /\ ((~(c3_0_) \/ ((forall X21 : Universe, (ndr1_0_ -> (~(c3_1_ X21) \/ c5_1_ X21))) \/ (ndr1_0_ /\ (~(c3_1_ a613_) /\ (ndr1_1_ a613_ /\ (c1_2_ a613_ a614_ /\ (~(c4_2_ a613_ a614_) /\ (~(c3_2_ a613_ a614_) /\ (forall X22 : Universe, (ndr1_1_ a613_ -> (~(c2_2_ a613_ X22) \/ c1_2_ a613_ X22))))))))))) /\ (((ndr1_0_ /\ (~(c1_1_ a615_) /\ ((forall X23 : Universe, (ndr1_1_ a615_ -> (~(c5_2_ a615_ X23) \/ (~(c2_2_ a615_ X23) \/ ~(c3_2_ a615_ X23))))) /\ (forall X24 : Universe, (ndr1_1_ a615_ -> (~(c2_2_ a615_ X24) \/ (c3_2_ a615_ X24 \/ c1_2_ a615_ X24))))))) \/ (~(c1_0_) \/ ~(c3_0_))) /\ ((c4_0_ \/ (~(c5_0_) \/ (ndr1_0_ /\ (~(c3_1_ a616_) /\ (c1_1_ a616_ /\ ~(c2_1_ a616_)))))) /\ ((~(c2_0_) \/ (forall X25 : Universe, (ndr1_0_ -> ((ndr1_1_ X25 /\ (c4_2_ X25 a617_ /\ ~(c1_2_ X25 a617_))) \/ (c1_1_ X25 \/ (forall X26 : Universe, (ndr1_1_ X25 -> (~(c5_2_ X25 X26) \/ (c2_2_ X25 X26 \/ ~(c1_2_ X25 X26)))))))))) /\ (((forall X27 : Universe, (ndr1_0_ -> (c1_1_ X27 \/ ((ndr1_1_ X27 /\ (~(c4_2_ X27 a618_) /\ (~(c3_2_ X27 a618_) /\ ~(c2_2_ X27 a618_)))) \/ ~(c2_1_ X27))))) \/ (c2_0_ \/ c4_0_)) /\ ((~(c5_0_) \/ ((ndr1_0_ /\ (c4_1_ a619_ /\ (c1_1_ a619_ /\ c5_1_ a619_))) \/ c1_0_)) /\ ((c4_0_ \/ (~(c3_0_) \/ c1_0_)) /\ ((~(c5_0_) \/ (~(c1_0_) \/ (ndr1_0_ /\ ~(c4_1_ a620_)))) /\ (((forall X28 : Universe, (ndr1_0_ -> c2_1_ X28)) \/ (c2_0_ \/ (forall X29 : Universe, (ndr1_0_ -> (~(c2_1_ X29) \/ ((ndr1_1_ X29 /\ (c1_2_ X29 a621_ /\ (c4_2_ X29 a621_ /\ ~(c2_2_ X29 a621_)))) \/ (ndr1_1_ X29 /\ (~(c1_2_ X29 a622_) /\ c5_2_ X29 a622_)))))))) /\ ((~(c4_0_) \/ ((forall X30 : Universe, (ndr1_0_ -> (~(c2_1_ X30) \/ ((forall X31 : Universe, (ndr1_1_ X30 -> (c2_2_ X30 X31 \/ (~(c1_2_ X30 X31) \/ ~(c4_2_ X30 X31))))) \/ c4_1_ X30)))) \/ ~(c3_0_))) /\ ((~(c4_0_) \/ (~(c1_0_) \/ (forall X32 : Universe, (ndr1_0_ -> ((ndr1_1_ X32 /\ ~(c3_2_ X32 a623_)) \/ (~(c3_1_ X32) \/ (forall X33 : Universe, (ndr1_1_ X32 -> (~(c4_2_ X32 X33) \/ (c1_2_ X32 X33 \/ ~(c2_2_ X32 X33))))))))))) /\ (((ndr1_0_ /\ ((forall X34 : Universe, (ndr1_1_ a624_ -> (c3_2_ a624_ X34 \/ (c2_2_ a624_ X34 \/ c5_2_ a624_ X34)))) /\ (ndr1_1_ a624_ /\ (c3_2_ a624_ a625_ /\ (~(c1_2_ a624_ a625_) /\ (~(c2_2_ a624_ a625_) /\ (ndr1_1_ a624_ /\ (c5_2_ a624_ a626_ /\ (~(c3_2_ a624_ a626_) /\ c4_2_ a624_ a626_))))))))) \/ (c2_0_ \/ (forall X35 : Universe, (ndr1_0_ -> (~(c3_1_ X35) \/ ((ndr1_1_ X35 /\ (~(c2_2_ X35 a627_) /\ c1_2_ X35 a627_)) \/ (forall X36 : Universe, (ndr1_1_ X35 -> (~(c5_2_ X35 X36) \/ (~(c1_2_ X35 X36) \/ ~(c3_2_ X35 X36))))))))))) /\ (((forall X37 : Universe, (ndr1_0_ -> ((forall X38 : Universe, (ndr1_1_ X37 -> (c2_2_ X37 X38 \/ (~(c1_2_ X37 X38) \/ c3_2_ X37 X38)))) \/ ((ndr1_1_ X37 /\ (c4_2_ X37 a628_ /\ (~(c1_2_ X37 a628_) /\ ~(c5_2_ X37 a628_)))) \/ ~(c4_1_ X37))))) \/ ((ndr1_0_ /\ (ndr1_1_ a629_ /\ (~(c2_2_ a629_ a630_) /\ (~(c5_2_ a629_ a630_) /\ (~(c2_1_ a629_) /\ c3_1_ a629_))))) \/ ~(c3_0_))) /\ ((~(c4_0_) \/ (ndr1_0_ /\ (c1_1_ a631_ /\ ~(c3_1_ a631_)))) /\ (((forall X39 : Universe, (ndr1_0_ -> ((forall X40 : Universe, (ndr1_1_ X39 -> (c3_2_ X39 X40 \/ (~(c1_2_ X39 X40) \/ c5_2_ X39 X40)))) \/ (c2_1_ X39 \/ (ndr1_1_ X39 /\ (~(c2_2_ X39 a632_) /\ ~(c3_2_ X39 a632_))))))) \/ (c3_0_ \/ (ndr1_0_ /\ (~(c3_1_ a633_) /\ ((forall X41 : Universe, (ndr1_1_ a633_ -> (c1_2_ a633_ X41 \/ ~(c3_2_ a633_ X41)))) /\ ~(c1_1_ a633_)))))) /\ (((ndr1_0_ /\ ~(c2_1_ a634_)) \/ ((forall X42 : Universe, (ndr1_0_ -> ((ndr1_1_ X42 /\ ~(c2_2_ X42 a635_)) \/ (~(c5_1_ X42) \/ (forall X43 : Universe, (ndr1_1_ X42 -> (c2_2_ X42 X43 \/ ~(c1_2_ X42 X43)))))))) \/ c1_0_)) /\ ((c3_0_ \/ (~(c1_0_) \/ c5_0_)) /\ ((~(c5_0_) \/ (~(c2_0_) \/ (forall X44 : Universe, (ndr1_0_ -> ((forall X45 : Universe, (ndr1_1_ X44 -> (c1_2_ X44 X45 \/ ~(c2_2_ X44 X45)))) \/ ((forall X46 : Universe, (ndr1_1_ X44 -> (c4_2_ X44 X46 \/ ~(c2_2_ X44 X46)))) \/ (ndr1_1_ X44 /\ (c2_2_ X44 a636_ /\ ~(c3_2_ X44 a636_))))))))) /\ (c5_0_ /\ ((c3_0_ \/ (ndr1_0_ /\ (~(c3_1_ a637_) /\ (~(c2_1_ a637_) /\ (ndr1_1_ a637_ /\ (c1_2_ a637_ a638_ /\ ~(c4_2_ a637_ a638_))))))) /\ ((forall X47 : Universe, (ndr1_0_ -> ((ndr1_1_ X47 /\ (~(c1_2_ X47 a639_) /\ (~(c2_2_ X47 a639_) /\ c5_2_ X47 a639_))) \/ (~(c5_1_ X47) \/ c3_1_ X47)))) \/ c4_0_))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
