(*
% File     : SYN540+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=40, K=3, D=2, P=0, Index=084
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-40-3-2-084.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.67 v2.6.0, 0.50 v2.5.0, 0.33 v2.4.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  319 (   0 equality)
%            Maximal formula depth :   45 (  45 average)
%            Number of connectives :  439 ( 121 ~  ; 124  |; 148  &)
%                                         (   0 <=>;  46 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   44 (  44 constant; 0-0 arity)
%            Number of variables   :   46 (   0 singleton;  46 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a724_ : Universe.
Variable a723_ : Universe.
Variable a722_ : Universe.
Variable a721_ : Universe.
Variable a720_ : Universe.
Variable a719_ : Universe.
Variable a718_ : Universe.
Variable a717_ : Universe.
Variable a716_ : Universe.
Variable a715_ : Universe.
Variable a714_ : Universe.
Variable a713_ : Universe.
Variable a712_ : Universe.
Variable a711_ : Universe.
Variable a710_ : Universe.
Variable a709_ : Universe.
Variable a708_ : Universe.
Variable a707_ : Universe.
Variable a706_ : Universe.
Variable a705_ : Universe.
Variable a704_ : Universe.
Variable a703_ : Universe.
Variable a702_ : Universe.
Variable a701_ : Universe.
Variable a700_ : Universe.
Variable a699_ : Universe.
Variable a698_ : Universe.
Variable a697_ : Universe.
Variable a696_ : Universe.
Variable a695_ : Universe.
Variable a694_ : Universe.
Variable a693_ : Universe.
Variable a692_ : Universe.
Variable a691_ : Universe.
Variable a690_ : Universe.
Variable a689_ : Universe.
Variable a688_ : Universe.
Variable a687_ : Universe.
Variable a686_ : Universe.
Variable a685_ : Universe.
Variable a684_ : Universe.
Variable a683_ : Universe.
Variable a682_ : Universe.
Variable a681_ : Universe.


Theorem co1_1 : ~((((forall U : Universe, (ndr1_0_ -> (c2_1_ U \/ ((ndr1_1_ U /\ (c5_2_ U a681_ /\ (~(c1_2_ U a681_) /\ c4_2_ U a681_))) \/ (forall V : Universe, (ndr1_1_ U -> (c2_2_ U V \/ (~(c4_2_ U V) \/ c1_2_ U V)))))))) \/ (c1_0_ \/ c4_0_)) /\ (((forall W : Universe, (ndr1_0_ -> ((forall X : Universe, (ndr1_1_ W -> (~(c2_2_ W X) \/ c5_2_ W X))) \/ ((ndr1_1_ W /\ (c1_2_ W a682_ /\ ~(c4_2_ W a682_))) \/ (forall Y : Universe, (ndr1_1_ W -> (~(c4_2_ W Y) \/ (~(c2_2_ W Y) \/ c3_2_ W Y)))))))) \/ ((forall Z : Universe, (ndr1_0_ -> (~(c4_1_ Z) \/ c5_1_ Z))) \/ c4_0_)) /\ (((forall X1 : Universe, (ndr1_0_ -> ((ndr1_1_ X1 /\ (c4_2_ X1 a683_ /\ c1_2_ X1 a683_)) \/ (ndr1_1_ X1 /\ (c1_2_ X1 a684_ /\ ~(c2_2_ X1 a684_)))))) \/ (c3_0_ \/ (ndr1_0_ /\ (~(c1_1_ a685_) /\ (ndr1_1_ a685_ /\ (~(c3_2_ a685_ a686_) /\ (~(c5_2_ a685_ a686_) /\ (~(c4_2_ a685_ a686_) /\ (forall X2 : Universe, (ndr1_1_ a685_ -> (c1_2_ a685_ X2 \/ ~(c2_2_ a685_ X2)))))))))))) /\ (((ndr1_0_ /\ ((forall X3 : Universe, (ndr1_1_ a687_ -> (~(c2_2_ a687_ X3) \/ (~(c1_2_ a687_ X3) \/ ~(c4_2_ a687_ X3))))) /\ (~(c1_1_ a687_) /\ (ndr1_1_ a687_ /\ (c4_2_ a687_ a688_ /\ (c2_2_ a687_ a688_ /\ ~(c5_2_ a687_ a688_))))))) \/ (c4_0_ \/ (ndr1_0_ /\ (ndr1_1_ a689_ /\ (~(c1_2_ a689_ a690_) /\ (c2_2_ a689_ a690_ /\ (c3_2_ a689_ a690_ /\ ((forall X4 : Universe, (ndr1_1_ a689_ -> (c3_2_ a689_ X4 \/ (~(c5_2_ a689_ X4) \/ ~(c4_2_ a689_ X4))))) /\ (ndr1_1_ a689_ /\ (c5_2_ a689_ a691_ /\ (~(c4_2_ a689_ a691_) /\ c1_2_ a689_ a691_))))))))))) /\ (((ndr1_0_ /\ (~(c1_1_ a692_) /\ (~(c4_1_ a692_) /\ (forall X5 : Universe, (ndr1_1_ a692_ -> (c4_2_ a692_ X5 \/ (~(c3_2_ a692_ X5) \/ c2_2_ a692_ X5))))))) \/ ((ndr1_0_ /\ (c2_1_ a693_ /\ (~(c5_1_ a693_) /\ (forall X6 : Universe, (ndr1_1_ a693_ -> (c2_2_ a693_ X6 \/ ~(c1_2_ a693_ X6))))))) \/ c3_0_)) /\ ((~(c1_0_) \/ c2_0_) /\ ((c2_0_ \/ (c5_0_ \/ (forall X7 : Universe, (ndr1_0_ -> (~(c5_1_ X7) \/ (c2_1_ X7 \/ c1_1_ X7)))))) /\ ((c2_0_ \/ (c3_0_ \/ ~(c5_0_))) /\ ((c4_0_ \/ (ndr1_0_ /\ (~(c3_1_ a694_) /\ (~(c1_1_ a694_) /\ (forall X8 : Universe, (ndr1_1_ a694_ -> (c2_2_ a694_ X8 \/ (c4_2_ a694_ X8 \/ c3_2_ a694_ X8)))))))) /\ ((c1_0_ \/ (~(c2_0_) \/ ~(c4_0_))) /\ ((~(c3_0_) \/ (forall X9 : Universe, (ndr1_0_ -> (~(c5_1_ X9) \/ (~(c3_1_ X9) \/ c4_1_ X9))))) /\ (((forall X10 : Universe, (ndr1_0_ -> ((forall X11 : Universe, (ndr1_1_ X10 -> (~(c1_2_ X10 X11) \/ ~(c2_2_ X10 X11)))) \/ ((ndr1_1_ X10 /\ (c3_2_ X10 a695_ /\ c2_2_ X10 a695_)) \/ (forall X12 : Universe, (ndr1_1_ X10 -> (~(c2_2_ X10 X12) \/ (c3_2_ X10 X12 \/ ~(c4_2_ X10 X12))))))))) \/ c2_0_) /\ (((forall X13 : Universe, (ndr1_0_ -> ((forall X14 : Universe, (ndr1_1_ X13 -> (~(c3_2_ X13 X14) \/ c1_2_ X13 X14))) \/ c4_1_ X13))) \/ (~(c1_0_) \/ (ndr1_0_ /\ (c2_1_ a696_ /\ c5_1_ a696_)))) /\ ((~(c4_0_) \/ (ndr1_0_ /\ (c5_1_ a697_ /\ (~(c2_1_ a697_) /\ ~(c4_1_ a697_))))) /\ ((c5_0_ \/ (ndr1_0_ /\ (c3_1_ a698_ /\ (ndr1_1_ a698_ /\ (~(c4_2_ a698_ a699_) /\ (~(c1_2_ a698_ a699_) /\ (forall X15 : Universe, (ndr1_1_ a698_ -> (c5_2_ a698_ X15 \/ (c1_2_ a698_ X15 \/ c4_2_ a698_ X15)))))))))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (~(c5_1_ a700_) /\ (ndr1_1_ a700_ /\ (~(c1_2_ a700_ a701_) /\ (~(c4_2_ a700_ a701_) /\ (~(c2_2_ a700_ a701_) /\ ~(c3_1_ a700_))))))) \/ ~(c1_0_))) /\ (((ndr1_0_ /\ ((forall X16 : Universe, (ndr1_1_ a702_ -> (c4_2_ a702_ X16 \/ ~(c1_2_ a702_ X16)))) /\ ((forall X17 : Universe, (ndr1_1_ a702_ -> (~(c5_2_ a702_ X17) \/ c1_2_ a702_ X17))) /\ (forall X18 : Universe, (ndr1_1_ a702_ -> (~(c5_2_ a702_ X18) \/ (c1_2_ a702_ X18 \/ ~(c2_2_ a702_ X18)))))))) \/ c1_0_) /\ ((c3_0_ \/ ((forall X19 : Universe, (ndr1_0_ -> (c5_1_ X19 \/ (ndr1_1_ X19 /\ (~(c1_2_ X19 a703_) /\ ~(c3_2_ X19 a703_)))))) \/ ~(c5_0_))) /\ (((forall X20 : Universe, (ndr1_0_ -> ((forall X21 : Universe, (ndr1_1_ X20 -> (c1_2_ X20 X21 \/ ~(c2_2_ X20 X21)))) \/ c1_1_ X20))) \/ c4_0_) /\ ((c2_0_ \/ ~(c4_0_)) /\ ((~(c5_0_) \/ (~(c1_0_) \/ c4_0_)) /\ ((~(c2_0_) \/ ~(c1_0_)) /\ (((forall X22 : Universe, (ndr1_0_ -> ((forall X23 : Universe, (ndr1_1_ X22 -> (~(c3_2_ X22 X23) \/ ~(c2_2_ X22 X23)))) \/ c3_1_ X22))) \/ ((ndr1_0_ /\ (ndr1_1_ a704_ /\ (c3_2_ a704_ a705_ /\ (c4_2_ a704_ a705_ /\ (c1_2_ a704_ a705_ /\ (~(c4_1_ a704_) /\ ~(c5_1_ a704_))))))) \/ ~(c2_0_))) /\ ((~(c3_0_) \/ ((ndr1_0_ /\ (~(c4_1_ a706_) /\ (ndr1_1_ a706_ /\ (~(c1_2_ a706_ a707_) /\ (~(c5_2_ a706_ a707_) /\ (forall X24 : Universe, (ndr1_1_ a706_ -> (~(c5_2_ a706_ X24) \/ (c2_2_ a706_ X24 \/ ~(c3_2_ a706_ X24)))))))))) \/ (forall X25 : Universe, (ndr1_0_ -> ((ndr1_1_ X25 /\ (c2_2_ X25 a708_ /\ (~(c5_2_ X25 a708_) /\ c1_2_ X25 a708_))) \/ (c5_1_ X25 \/ ~(c4_1_ X25))))))) /\ ((c4_0_ \/ ((forall X26 : Universe, (ndr1_0_ -> ((ndr1_1_ X26 /\ (~(c1_2_ X26 a709_) /\ (c2_2_ X26 a709_ /\ c4_2_ X26 a709_))) \/ ~(c2_1_ X26)))) \/ c5_0_)) /\ (((ndr1_0_ /\ (c1_1_ a710_ /\ (forall X27 : Universe, (ndr1_1_ a710_ -> (~(c3_2_ a710_ X27) \/ (~(c5_2_ a710_ X27) \/ c4_2_ a710_ X27)))))) \/ (c3_0_ \/ (forall X28 : Universe, (ndr1_0_ -> ((ndr1_1_ X28 /\ (c4_2_ X28 a711_ /\ ~(c2_2_ X28 a711_))) \/ ((forall X29 : Universe, (ndr1_1_ X28 -> (c2_2_ X28 X29 \/ c1_2_ X28 X29))) \/ ~(c4_1_ X28))))))) /\ ((~(c5_0_) \/ ((forall X30 : Universe, (ndr1_0_ -> ((ndr1_1_ X30 /\ (c3_2_ X30 a712_ /\ (~(c5_2_ X30 a712_) /\ c1_2_ X30 a712_))) \/ ((forall X31 : Universe, (ndr1_1_ X30 -> (~(c1_2_ X30 X31) \/ (c4_2_ X30 X31 \/ ~(c3_2_ X30 X31))))) \/ ~(c4_1_ X30))))) \/ ~(c4_0_))) /\ ((~(c3_0_) \/ (c1_0_ \/ (ndr1_0_ /\ (~(c3_1_ a713_) /\ ((forall X32 : Universe, (ndr1_1_ a713_ -> c2_2_ a713_ X32)) /\ (ndr1_1_ a713_ /\ (~(c1_2_ a713_ a714_) /\ (~(c2_2_ a713_ a714_) /\ ~(c3_2_ a713_ a714_))))))))) /\ ((~(c3_0_) \/ ((ndr1_0_ /\ (~(c3_1_ a715_) /\ (ndr1_1_ a715_ /\ (~(c5_2_ a715_ a716_) /\ (~(c4_2_ a715_ a716_) /\ ~(c2_2_ a715_ a716_)))))) \/ (forall X33 : Universe, (ndr1_0_ -> ((forall X34 : Universe, (ndr1_1_ X33 -> (c2_2_ X33 X34 \/ ~(c3_2_ X33 X34)))) \/ (c2_1_ X33 \/ (forall X35 : Universe, (ndr1_1_ X33 -> (c3_2_ X33 X35 \/ ~(c2_2_ X33 X35)))))))))) /\ (((ndr1_0_ /\ (c4_1_ a717_ /\ (ndr1_1_ a717_ /\ (c5_2_ a717_ a718_ /\ c1_2_ a717_ a718_)))) \/ (~(c3_0_) \/ (ndr1_0_ /\ (ndr1_1_ a719_ /\ (c4_2_ a719_ a720_ /\ (c2_2_ a719_ a720_ /\ (~(c2_1_ a719_) /\ (ndr1_1_ a719_ /\ (c4_2_ a719_ a721_ /\ (~(c5_2_ a719_ a721_) /\ c1_2_ a719_ a721_)))))))))) /\ (((ndr1_0_ /\ ((forall X36 : Universe, (ndr1_1_ a722_ -> (~(c1_2_ a722_ X36) \/ (~(c5_2_ a722_ X36) \/ ~(c4_2_ a722_ X36))))) /\ ((forall X37 : Universe, (ndr1_1_ a722_ -> (c1_2_ a722_ X37 \/ (~(c2_2_ a722_ X37) \/ ~(c3_2_ a722_ X37))))) /\ c3_1_ a722_))) \/ (c1_0_ \/ (ndr1_0_ /\ (ndr1_1_ a723_ /\ (c4_2_ a723_ a724_ /\ (c2_2_ a723_ a724_ /\ (~(c5_2_ a723_ a724_) /\ (forall X38 : Universe, (ndr1_1_ a723_ -> (~(c4_2_ a723_ X38) \/ (~(c5_2_ a723_ X38) \/ ~(c2_2_ a723_ X38)))))))))))) /\ ((forall X39 : Universe, (ndr1_0_ -> ((forall X40 : Universe, (ndr1_1_ X39 -> (~(c1_2_ X39 X40) \/ (c5_2_ X39 X40 \/ ~(c4_2_ X39 X40))))) \/ (c4_1_ X39 \/ ~(c1_1_ X39))))) \/ ~(c3_0_)))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
