(*
% File     : SYN542+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=6, R=1, L=54, K=3, D=1, P=0, Index=075
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-6-1-54-3-1-075.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.67 v2.6.0, 0.50 v2.5.0, 0.33 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  712 (   0 equality)
%            Maximal formula depth :  116 ( 116 average)
%            Number of connectives :  992 ( 281 ~  ; 337  |; 289  &)
%                                         (   0 <=>;  85 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   66 (  60 propositional; 0-1 arity)
%            Number of functors    :   59 (  59 constant; 0-0 arity)
%            Number of variables   :   85 (   0 singleton;  85 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp58_ : Prop.
Variable hskp57_ : Prop.
Variable hskp56_ : Prop.
Variable hskp55_ : Prop.
Variable hskp54_ : Prop.
Variable hskp53_ : Prop.
Variable hskp52_ : Prop.
Variable hskp51_ : Prop.
Variable hskp50_ : Prop.
Variable hskp5_ : Prop.
Variable hskp49_ : Prop.
Variable hskp48_ : Prop.
Variable hskp47_ : Prop.
Variable hskp46_ : Prop.
Variable hskp45_ : Prop.
Variable hskp44_ : Prop.
Variable hskp43_ : Prop.
Variable hskp42_ : Prop.
Variable hskp41_ : Prop.
Variable hskp40_ : Prop.
Variable hskp4_ : Prop.
Variable hskp39_ : Prop.
Variable hskp38_ : Prop.
Variable hskp37_ : Prop.
Variable hskp36_ : Prop.
Variable hskp35_ : Prop.
Variable hskp34_ : Prop.
Variable hskp33_ : Prop.
Variable hskp32_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c5_1_ : Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a9_ : Universe.
Variable a8_ : Universe.
Variable a76_ : Universe.
Variable a75_ : Universe.
Variable a73_ : Universe.
Variable a71_ : Universe.
Variable a7_ : Universe.
Variable a68_ : Universe.
Variable a67_ : Universe.
Variable a66_ : Universe.
Variable a64_ : Universe.
Variable a63_ : Universe.
Variable a62_ : Universe.
Variable a61_ : Universe.
Variable a60_ : Universe.
Variable a6_ : Universe.
Variable a59_ : Universe.
Variable a56_ : Universe.
Variable a54_ : Universe.
Variable a51_ : Universe.
Variable a50_ : Universe.
Variable a5_ : Universe.
Variable a49_ : Universe.
Variable a47_ : Universe.
Variable a46_ : Universe.
Variable a45_ : Universe.
Variable a44_ : Universe.
Variable a42_ : Universe.
Variable a41_ : Universe.
Variable a40_ : Universe.
Variable a4_ : Universe.
Variable a37_ : Universe.
Variable a36_ : Universe.
Variable a35_ : Universe.
Variable a34_ : Universe.
Variable a33_ : Universe.
Variable a32_ : Universe.
Variable a31_ : Universe.
Variable a30_ : Universe.
Variable a3_ : Universe.
Variable a29_ : Universe.
Variable a28_ : Universe.
Variable a27_ : Universe.
Variable a26_ : Universe.
Variable a25_ : Universe.
Variable a24_ : Universe.
Variable a23_ : Universe.
Variable a22_ : Universe.
Variable a21_ : Universe.
Variable a20_ : Universe.
Variable a2_ : Universe.
Variable a19_ : Universe.
Variable a17_ : Universe.
Variable a15_ : Universe.
Variable a14_ : Universe.
Variable a12_ : Universe.
Variable a11_ : Universe.
Variable a10_ : Universe.
Variable a1_ : Universe.


Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c2_1_ a1_ /\ (c4_1_ a1_ /\ ~(c0_1_ a1_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (~(c0_1_ a3_) /\ (~(c3_1_ a3_) /\ ~(c5_1_ a3_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a5_ /\ (~(c0_1_ a5_) /\ ~(c2_1_ a5_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a6_ /\ (c3_1_ a6_ /\ ~(c5_1_ a6_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c2_1_ a7_ /\ (~(c3_1_ a7_) /\ ~(c4_1_ a7_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c1_1_ a8_ /\ (c4_1_ a8_ /\ ~(c0_1_ a8_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c1_1_ a9_ /\ (~(c2_1_ a9_) /\ ~(c3_1_ a9_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (~(c2_1_ a10_) /\ (~(c3_1_ a10_) /\ ~(c4_1_ a10_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c1_1_ a11_ /\ (c3_1_ a11_ /\ ~(c4_1_ a11_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c2_1_ a12_ /\ (~(c1_1_ a12_) /\ ~(c3_1_ a12_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a14_ /\ (c2_1_ a14_ /\ ~(c4_1_ a14_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c3_1_ a15_ /\ (c4_1_ a15_ /\ ~(c1_1_ a15_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c0_1_ a17_) /\ (~(c1_1_ a17_) /\ ~(c2_1_ a17_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c5_1_ a19_ /\ (~(c0_1_ a19_) /\ ~(c3_1_ a19_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a20_ /\ (~(c2_1_ a20_) /\ ~(c5_1_ a20_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c4_1_ a21_ /\ (~(c2_1_ a21_) /\ ~(c5_1_ a21_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (~(c0_1_ a22_) /\ (~(c4_1_ a22_) /\ ~(c5_1_ a22_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c2_1_ a23_ /\ (c3_1_ a23_ /\ ~(c1_1_ a23_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c3_1_ a24_ /\ (c4_1_ a24_ /\ ~(c0_1_ a24_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c2_1_ a25_ /\ (~(c1_1_ a25_) /\ ~(c4_1_ a25_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c2_1_ a26_ /\ (c5_1_ a26_ /\ ~(c0_1_ a26_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (~(c0_1_ a27_) /\ (~(c1_1_ a27_) /\ ~(c4_1_ a27_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c0_1_ a28_ /\ (~(c1_1_ a28_) /\ ~(c5_1_ a28_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c1_1_ a29_ /\ (~(c4_1_ a29_) /\ ~(c5_1_ a29_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (~(c0_1_ a30_) /\ (~(c2_1_ a30_) /\ ~(c4_1_ a30_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c0_1_ a31_ /\ (c1_1_ a31_ /\ ~(c4_1_ a31_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c1_1_ a32_ /\ (c3_1_ a32_ /\ ~(c0_1_ a32_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c1_1_ a33_ /\ (c2_1_ a33_ /\ ~(c0_1_ a33_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c5_1_ a34_ /\ (~(c0_1_ a34_) /\ ~(c4_1_ a34_))))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c2_1_ a35_ /\ (c5_1_ a35_ /\ ~(c3_1_ a35_))))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c4_1_ a36_ /\ (c5_1_ a36_ /\ ~(c2_1_ a36_))))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (~(c1_1_ a37_) /\ (~(c2_1_ a37_) /\ ~(c3_1_ a37_))))) /\ ((~(hskp32_) \/ (ndr1_0_ /\ (~(c1_1_ a41_) /\ (~(c3_1_ a41_) /\ ~(c5_1_ a41_))))) /\ ((~(hskp33_) \/ (ndr1_0_ /\ (c0_1_ a45_ /\ (~(c2_1_ a45_) /\ ~(c3_1_ a45_))))) /\ ((~(hskp34_) \/ (ndr1_0_ /\ (c3_1_ a46_ /\ (c4_1_ a46_ /\ ~(c2_1_ a46_))))) /\ ((~(hskp35_) \/ (ndr1_0_ /\ (c2_1_ a49_ /\ (~(c0_1_ a49_) /\ ~(c4_1_ a49_))))) /\ ((~(hskp36_) \/ (ndr1_0_ /\ (~(c1_1_ a50_) /\ (~(c3_1_ a50_) /\ ~(c4_1_ a50_))))) /\ ((~(hskp37_) \/ (ndr1_0_ /\ (c1_1_ a51_ /\ (c3_1_ a51_ /\ ~(c5_1_ a51_))))) /\ ((~(hskp38_) \/ (ndr1_0_ /\ (c3_1_ a54_ /\ (~(c0_1_ a54_) /\ ~(c1_1_ a54_))))) /\ ((~(hskp39_) \/ (ndr1_0_ /\ (~(c0_1_ a59_) /\ (~(c2_1_ a59_) /\ ~(c5_1_ a59_))))) /\ ((~(hskp40_) \/ (ndr1_0_ /\ (c0_1_ a61_ /\ (~(c4_1_ a61_) /\ ~(c5_1_ a61_))))) /\ ((~(hskp41_) \/ (ndr1_0_ /\ (c1_1_ a62_ /\ (c5_1_ a62_ /\ ~(c4_1_ a62_))))) /\ ((~(hskp42_) \/ (ndr1_0_ /\ (c0_1_ a66_ /\ (c5_1_ a66_ /\ ~(c1_1_ a66_))))) /\ ((~(hskp43_) \/ (ndr1_0_ /\ (c3_1_ a67_ /\ (~(c2_1_ a67_) /\ ~(c5_1_ a67_))))) /\ ((~(hskp44_) \/ (ndr1_0_ /\ (~(c3_1_ a68_) /\ (~(c4_1_ a68_) /\ ~(c5_1_ a68_))))) /\ ((~(hskp45_) \/ (ndr1_0_ /\ (c3_1_ a71_ /\ (c5_1_ a71_ /\ ~(c0_1_ a71_))))) /\ ((~(hskp46_) \/ (ndr1_0_ /\ (c2_1_ a73_ /\ (~(c0_1_ a73_) /\ ~(c1_1_ a73_))))) /\ ((~(hskp47_) \/ (ndr1_0_ /\ (c3_1_ a75_ /\ (c5_1_ a75_ /\ ~(c1_1_ a75_))))) /\ ((~(hskp48_) \/ (ndr1_0_ /\ (c5_1_ a76_ /\ (~(c1_1_ a76_) /\ ~(c3_1_ a76_))))) /\ ((~(hskp49_) \/ (ndr1_0_ /\ (c0_1_ a2_ /\ (c1_1_ a2_ /\ c4_1_ a2_)))) /\ ((~(hskp50_) \/ (ndr1_0_ /\ (c2_1_ a4_ /\ (c4_1_ a4_ /\ c5_1_ a4_)))) /\ ((~(hskp51_) \/ (ndr1_0_ /\ (c0_1_ a40_ /\ (c2_1_ a40_ /\ c4_1_ a40_)))) /\ ((~(hskp52_) \/ (ndr1_0_ /\ (c1_1_ a42_ /\ (c2_1_ a42_ /\ c5_1_ a42_)))) /\ ((~(hskp53_) \/ (ndr1_0_ /\ (c0_1_ a44_ /\ (c3_1_ a44_ /\ c4_1_ a44_)))) /\ ((~(hskp54_) \/ (ndr1_0_ /\ (c1_1_ a47_ /\ (c2_1_ a47_ /\ c4_1_ a47_)))) /\ ((~(hskp55_) \/ (ndr1_0_ /\ (c2_1_ a56_ /\ (c3_1_ a56_ /\ c4_1_ a56_)))) /\ ((~(hskp56_) \/ (ndr1_0_ /\ (c0_1_ a60_ /\ (c1_1_ a60_ /\ c2_1_ a60_)))) /\ ((~(hskp57_) \/ (ndr1_0_ /\ (c0_1_ a63_ /\ (c2_1_ a63_ /\ c3_1_ a63_)))) /\ ((~(hskp58_) \/ (ndr1_0_ /\ (c1_1_ a64_ /\ (c2_1_ a64_ /\ c3_1_ a64_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c3_1_ V \/ (~(c2_1_ V) \/ ~(c4_1_ V))))) \/ (forall W : Universe, (ndr1_0_ -> (~(c0_1_ W) \/ (~(c4_1_ W) \/ ~(c5_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ ~(c4_1_ X))))) \/ ((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c2_1_ Y \/ c3_1_ Y)))) \/ hskp0_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c2_1_ Z \/ c3_1_ Z)))) \/ ((forall X1 : Universe, (ndr1_0_ -> (~(c0_1_ X1) \/ (~(c1_1_ X1) \/ ~(c5_1_ X1))))) \/ hskp49_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c2_1_ X2 \/ c4_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c1_1_ X3 \/ (c3_1_ X3 \/ c4_1_ X3)))) \/ (forall X4 : Universe, (ndr1_0_ -> (c1_1_ X4 \/ (c5_1_ X4 \/ ~(c3_1_ X4))))))) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c2_1_ X5 \/ c5_1_ X5)))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c4_1_ X6 \/ ~(c1_1_ X6))))) \/ (forall X7 : Universe, (ndr1_0_ -> (c1_1_ X7 \/ (c4_1_ X7 \/ ~(c0_1_ X7))))))) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c2_1_ X8 \/ ~(c5_1_ X8))))) \/ ((forall X9 : Universe, (ndr1_0_ -> (~(c0_1_ X9) \/ (~(c2_1_ X9) \/ ~(c5_1_ X9))))) \/ hskp1_)) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c3_1_ X10 \/ c5_1_ X10)))) \/ ((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (~(c1_1_ X11) \/ ~(c4_1_ X11))))) \/ hskp50_)) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c3_1_ X12 \/ ~(c2_1_ X12))))) \/ ((forall X13 : Universe, (ndr1_0_ -> (~(c2_1_ X13) \/ (~(c3_1_ X13) \/ ~(c4_1_ X13))))) \/ hskp2_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c4_1_ X14 \/ c5_1_ X14)))) \/ (hskp3_ \/ hskp4_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c4_1_ X15 \/ ~(c2_1_ X15))))) \/ ((forall X16 : Universe, (ndr1_0_ -> (c1_1_ X16 \/ (c2_1_ X16 \/ ~(c0_1_ X16))))) \/ hskp5_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c5_1_ X17 \/ ~(c2_1_ X17))))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (~(c2_1_ X18) \/ ~(c4_1_ X18))))) \/ (forall X19 : Universe, (ndr1_0_ -> (c3_1_ X19 \/ (~(c0_1_ X19) \/ ~(c1_1_ X19))))))) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (~(c1_1_ X20) \/ ~(c2_1_ X20))))) \/ ((forall X21 : Universe, (ndr1_0_ -> (c4_1_ X21 \/ (c5_1_ X21 \/ ~(c0_1_ X21))))) \/ (forall X22 : Universe, (ndr1_0_ -> (c5_1_ X22 \/ (~(c0_1_ X22) \/ ~(c3_1_ X22))))))) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (~(c1_1_ X23) \/ ~(c3_1_ X23))))) \/ (hskp6_ \/ hskp7_)) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (~(c2_1_ X24) \/ ~(c3_1_ X24))))) \/ (hskp8_ \/ hskp9_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (~(c2_1_ X25) \/ ~(c5_1_ X25))))) \/ ((forall X26 : Universe, (ndr1_0_ -> (c1_1_ X26 \/ (~(c0_1_ X26) \/ ~(c2_1_ X26))))) \/ hskp4_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (~(c3_1_ X27) \/ ~(c5_1_ X27))))) \/ (hskp10_ \/ hskp11_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c1_1_ X28 \/ (c2_1_ X28 \/ c4_1_ X28)))) \/ ((forall X29 : Universe, (ndr1_0_ -> (c5_1_ X29 \/ (~(c0_1_ X29) \/ ~(c1_1_ X29))))) \/ hskp0_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c1_1_ X30 \/ (c2_1_ X30 \/ ~(c4_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (~(c1_1_ X31) \/ (~(c2_1_ X31) \/ ~(c4_1_ X31))))) \/ hskp12_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c1_1_ X32 \/ (c2_1_ X32 \/ ~(c5_1_ X32))))) \/ (hskp4_ \/ hskp13_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c1_1_ X33 \/ (c3_1_ X33 \/ c4_1_ X33)))) \/ (hskp14_ \/ hskp15_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c1_1_ X34 \/ (c3_1_ X34 \/ ~(c4_1_ X34))))) \/ ((forall X35 : Universe, (ndr1_0_ -> (c1_1_ X35 \/ (c5_1_ X35 \/ ~(c0_1_ X35))))) \/ hskp16_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (c1_1_ X36 \/ (c4_1_ X36 \/ ~(c0_1_ X36))))) \/ (hskp17_ \/ hskp18_)) /\ (((forall X37 : Universe, (ndr1_0_ -> (c1_1_ X37 \/ (c4_1_ X37 \/ ~(c2_1_ X37))))) \/ ((forall X38 : Universe, (ndr1_0_ -> (~(c1_1_ X38) \/ (~(c4_1_ X38) \/ ~(c5_1_ X38))))) \/ hskp19_)) /\ (((forall X39 : Universe, (ndr1_0_ -> (c1_1_ X39 \/ (c5_1_ X39 \/ ~(c0_1_ X39))))) \/ ((forall X40 : Universe, (ndr1_0_ -> (c2_1_ X40 \/ (~(c1_1_ X40) \/ ~(c5_1_ X40))))) \/ hskp20_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c1_1_ X41 \/ (c5_1_ X41 \/ ~(c4_1_ X41))))) \/ ((forall X42 : Universe, (ndr1_0_ -> (c2_1_ X42 \/ (~(c1_1_ X42) \/ ~(c5_1_ X42))))) \/ (forall X43 : Universe, (ndr1_0_ -> (c3_1_ X43 \/ (~(c1_1_ X43) \/ ~(c5_1_ X43))))))) /\ (((forall X44 : Universe, (ndr1_0_ -> (c1_1_ X44 \/ (~(c0_1_ X44) \/ ~(c2_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (~(c1_1_ X45) \/ (~(c2_1_ X45) \/ ~(c5_1_ X45))))) \/ hskp21_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c1_1_ X46 \/ (~(c0_1_ X46) \/ ~(c4_1_ X46))))) \/ ((forall X47 : Universe, (ndr1_0_ -> (~(c1_1_ X47) \/ (~(c2_1_ X47) \/ ~(c3_1_ X47))))) \/ hskp22_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c1_1_ X48 \/ (~(c2_1_ X48) \/ ~(c3_1_ X48))))) \/ ((forall X49 : Universe, (ndr1_0_ -> (c4_1_ X49 \/ (~(c0_1_ X49) \/ ~(c1_1_ X49))))) \/ hskp23_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (~(c2_1_ X50) \/ ~(c4_1_ X50))))) \/ ((forall X51 : Universe, (ndr1_0_ -> (c3_1_ X51 \/ (c4_1_ X51 \/ ~(c2_1_ X51))))) \/ hskp24_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c2_1_ X52 \/ (c3_1_ X52 \/ ~(c5_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c2_1_ X53 \/ (c4_1_ X53 \/ ~(c3_1_ X53))))) \/ hskp25_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c2_1_ X54 \/ (c3_1_ X54 \/ ~(c5_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c2_1_ X55 \/ (~(c1_1_ X55) \/ ~(c4_1_ X55))))) \/ hskp26_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c2_1_ X56 \/ (c4_1_ X56 \/ ~(c0_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (c4_1_ X57 \/ (c5_1_ X57 \/ ~(c1_1_ X57))))) \/ (forall X58 : Universe, (ndr1_0_ -> (c4_1_ X58 \/ (~(c0_1_ X58) \/ ~(c5_1_ X58))))))) /\ (((forall X59 : Universe, (ndr1_0_ -> (c2_1_ X59 \/ (c4_1_ X59 \/ ~(c0_1_ X59))))) \/ (hskp27_ \/ hskp28_)) /\ (((forall X60 : Universe, (ndr1_0_ -> (c2_1_ X60 \/ (~(c0_1_ X60) \/ ~(c1_1_ X60))))) \/ (hskp29_ \/ hskp30_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c2_1_ X61 \/ (~(c0_1_ X61) \/ ~(c4_1_ X61))))) \/ ((forall X62 : Universe, (ndr1_0_ -> (c3_1_ X62 \/ (c5_1_ X62 \/ ~(c4_1_ X62))))) \/ hskp31_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c3_1_ X63 \/ (c4_1_ X63 \/ ~(c0_1_ X63))))) \/ (hskp27_ \/ hskp0_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c3_1_ X64 \/ (c4_1_ X64 \/ ~(c2_1_ X64))))) \/ (hskp51_ \/ hskp32_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c3_1_ X65 \/ (~(c1_1_ X65) \/ ~(c4_1_ X65))))) \/ (hskp52_ \/ hskp24_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c4_1_ X66 \/ (c5_1_ X66 \/ ~(c3_1_ X66))))) \/ ((forall X67 : Universe, (ndr1_0_ -> (c4_1_ X67 \/ (~(c1_1_ X67) \/ ~(c2_1_ X67))))) \/ hskp53_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c4_1_ X68 \/ (c5_1_ X68 \/ ~(c3_1_ X68))))) \/ (hskp33_ \/ hskp34_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c4_1_ X69 \/ (~(c0_1_ X69) \/ ~(c2_1_ X69))))) \/ (hskp54_ \/ hskp8_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c4_1_ X70 \/ (~(c0_1_ X70) \/ ~(c2_1_ X70))))) \/ (hskp35_ \/ hskp36_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c4_1_ X71 \/ (~(c1_1_ X71) \/ ~(c3_1_ X71))))) \/ ((forall X72 : Universe, (ndr1_0_ -> (c5_1_ X72 \/ (~(c2_1_ X72) \/ ~(c4_1_ X72))))) \/ hskp37_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c5_1_ X73 \/ (~(c0_1_ X73) \/ ~(c1_1_ X73))))) \/ ((forall X74 : Universe, (ndr1_0_ -> (c5_1_ X74 \/ (~(c1_1_ X74) \/ ~(c4_1_ X74))))) \/ hskp22_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c5_1_ X75 \/ (~(c2_1_ X75) \/ ~(c4_1_ X75))))) \/ (hskp34_ \/ hskp38_)) /\ (((forall X76 : Universe, (ndr1_0_ -> (~(c1_1_ X76) \/ (~(c2_1_ X76) \/ ~(c3_1_ X76))))) \/ (hskp37_ \/ hskp55_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (~(c1_1_ X77) \/ (~(c4_1_ X77) \/ ~(c5_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (~(c2_1_ X78) \/ (~(c4_1_ X78) \/ ~(c5_1_ X78))))) \/ hskp8_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (~(c2_1_ X79) \/ (~(c3_1_ X79) \/ ~(c4_1_ X79))))) \/ (hskp20_ \/ hskp39_)) /\ ((hskp56_ \/ (hskp40_ \/ hskp41_)) /\ ((hskp57_ \/ (hskp58_ \/ hskp7_)) /\ ((hskp42_ \/ (hskp43_ \/ hskp44_)) /\ ((hskp33_ \/ (hskp34_ \/ hskp45_)) /\ ((hskp17_ \/ (hskp46_ \/ hskp9_)) /\ (hskp47_ \/ (hskp48_ \/ hskp44_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
