(*
% File     : SYN544+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=8, R=1, L=120, K=3, D=2, P=0, Index=027
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-8-1-120-3-2-027.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1105 (   0 equality)
%            Maximal formula depth :  108 ( 108 average)
%            Number of connectives : 1494 ( 390 ~  ; 443  |; 501  &)
%                                         (   0 <=>; 160 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   26 (   9 propositional; 0-2 arity)
%            Number of functors    :  146 ( 146 constant; 0-0 arity)
%            Number of variables   :  160 (   0 singleton; 160 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c8_2_ : Universe -> Universe -> Prop.
Variable c8_1_ : Universe -> Prop.
Variable c8_0_ : Prop.
Variable c7_2_ : Universe -> Universe -> Prop.
Variable c7_1_ : Universe -> Prop.
Variable c7_0_ : Prop.
Variable c6_2_ : Universe -> Universe -> Prop.
Variable c6_1_ : Universe -> Prop.
Variable c6_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a99_ : Universe.
Variable a98_ : Universe.
Variable a97_ : Universe.
Variable a96_ : Universe.
Variable a95_ : Universe.
Variable a94_ : Universe.
Variable a93_ : Universe.
Variable a92_ : Universe.
Variable a91_ : Universe.
Variable a90_ : Universe.
Variable a9_ : Universe.
Variable a89_ : Universe.
Variable a88_ : Universe.
Variable a87_ : Universe.
Variable a86_ : Universe.
Variable a85_ : Universe.
Variable a84_ : Universe.
Variable a83_ : Universe.
Variable a82_ : Universe.
Variable a81_ : Universe.
Variable a80_ : Universe.
Variable a8_ : Universe.
Variable a79_ : Universe.
Variable a78_ : Universe.
Variable a77_ : Universe.
Variable a76_ : Universe.
Variable a75_ : Universe.
Variable a74_ : Universe.
Variable a73_ : Universe.
Variable a72_ : Universe.
Variable a71_ : Universe.
Variable a70_ : Universe.
Variable a7_ : Universe.
Variable a69_ : Universe.
Variable a68_ : Universe.
Variable a67_ : Universe.
Variable a66_ : Universe.
Variable a65_ : Universe.
Variable a64_ : Universe.
Variable a63_ : Universe.
Variable a62_ : Universe.
Variable a61_ : Universe.
Variable a60_ : Universe.
Variable a6_ : Universe.
Variable a59_ : Universe.
Variable a58_ : Universe.
Variable a57_ : Universe.
Variable a56_ : Universe.
Variable a55_ : Universe.
Variable a54_ : Universe.
Variable a53_ : Universe.
Variable a52_ : Universe.
Variable a51_ : Universe.
Variable a50_ : Universe.
Variable a5_ : Universe.
Variable a49_ : Universe.
Variable a48_ : Universe.
Variable a47_ : Universe.
Variable a46_ : Universe.
Variable a45_ : Universe.
Variable a44_ : Universe.
Variable a43_ : Universe.
Variable a42_ : Universe.
Variable a41_ : Universe.
Variable a40_ : Universe.
Variable a4_ : Universe.
Variable a39_ : Universe.
Variable a38_ : Universe.
Variable a37_ : Universe.
Variable a36_ : Universe.
Variable a35_ : Universe.
Variable a34_ : Universe.
Variable a33_ : Universe.
Variable a32_ : Universe.
Variable a31_ : Universe.
Variable a30_ : Universe.
Variable a3_ : Universe.
Variable a29_ : Universe.
Variable a28_ : Universe.
Variable a27_ : Universe.
Variable a26_ : Universe.
Variable a25_ : Universe.
Variable a24_ : Universe.
Variable a23_ : Universe.
Variable a22_ : Universe.
Variable a21_ : Universe.
Variable a20_ : Universe.
Variable a2_ : Universe.
Variable a19_ : Universe.
Variable a18_ : Universe.
Variable a17_ : Universe.
Variable a16_ : Universe.
Variable a15_ : Universe.
Variable a146_ : Universe.
Variable a145_ : Universe.
Variable a144_ : Universe.
Variable a143_ : Universe.
Variable a142_ : Universe.
Variable a141_ : Universe.
Variable a140_ : Universe.
Variable a14_ : Universe.
Variable a139_ : Universe.
Variable a138_ : Universe.
Variable a137_ : Universe.
Variable a136_ : Universe.
Variable a135_ : Universe.
Variable a134_ : Universe.
Variable a133_ : Universe.
Variable a132_ : Universe.
Variable a131_ : Universe.
Variable a130_ : Universe.
Variable a13_ : Universe.
Variable a129_ : Universe.
Variable a128_ : Universe.
Variable a127_ : Universe.
Variable a126_ : Universe.
Variable a125_ : Universe.
Variable a124_ : Universe.
Variable a123_ : Universe.
Variable a122_ : Universe.
Variable a121_ : Universe.
Variable a120_ : Universe.
Variable a12_ : Universe.
Variable a119_ : Universe.
Variable a118_ : Universe.
Variable a117_ : Universe.
Variable a116_ : Universe.
Variable a115_ : Universe.
Variable a114_ : Universe.
Variable a113_ : Universe.
Variable a112_ : Universe.
Variable a111_ : Universe.
Variable a110_ : Universe.
Variable a11_ : Universe.
Variable a109_ : Universe.
Variable a108_ : Universe.
Variable a107_ : Universe.
Variable a106_ : Universe.
Variable a105_ : Universe.
Variable a104_ : Universe.
Variable a103_ : Universe.
Variable a102_ : Universe.
Variable a101_ : Universe.
Variable a100_ : Universe.
Variable a10_ : Universe.
Variable a1_ : Universe.


Theorem co1_1 : ~((((forall U : Universe, (ndr1_0_ -> (~(c7_1_ U) \/ (~(c5_1_ U) \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> ((ndr1_1_ V /\ (~(c4_2_ V a1_) /\ ~(c1_2_ V a1_))) \/ ((ndr1_1_ V /\ (~(c1_2_ V a2_) /\ (c7_2_ V a2_ /\ c4_2_ V a2_))) \/ (ndr1_1_ V /\ (~(c7_2_ V a3_) /\ c6_2_ V a3_)))))) \/ ~(c5_0_))) /\ (((forall W : Universe, (ndr1_0_ -> (~(c1_1_ W) \/ ((ndr1_1_ W /\ (~(c4_2_ W a4_) /\ (~(c3_2_ W a4_) /\ ~(c7_2_ W a4_)))) \/ (ndr1_1_ W /\ (~(c4_2_ W a5_) /\ (c3_2_ W a5_ /\ ~(c5_2_ W a5_)))))))) \/ ((forall X : Universe, (ndr1_0_ -> ((forall Y : Universe, (ndr1_1_ X -> (~(c2_2_ X Y) \/ (~(c4_2_ X Y) \/ ~(c5_2_ X Y))))) \/ (~(c1_1_ X) \/ c2_1_ X)))) \/ ~(c8_0_))) /\ ((c5_0_ \/ ((forall Z : Universe, (ndr1_0_ -> ((ndr1_1_ Z /\ (c2_2_ Z a6_ /\ (~(c7_2_ Z a6_) /\ c8_2_ Z a6_))) \/ (~(c2_1_ Z) \/ ~(c3_1_ Z))))) \/ (forall X1 : Universe, (ndr1_0_ -> ((ndr1_1_ X1 /\ (c1_2_ X1 a7_ /\ (c6_2_ X1 a7_ /\ c3_2_ X1 a7_))) \/ (~(c8_1_ X1) \/ (forall X2 : Universe, (ndr1_1_ X1 -> (~(c2_2_ X1 X2) \/ (c4_2_ X1 X2 \/ c3_2_ X1 X2)))))))))) /\ ((~(c2_0_) \/ ((forall X3 : Universe, (ndr1_0_ -> (~(c5_1_ X3) \/ (ndr1_1_ X3 /\ (~(c4_2_ X3 a8_) /\ c2_2_ X3 a8_))))) \/ (ndr1_0_ /\ (c4_1_ a9_ /\ ((forall X4 : Universe, (ndr1_1_ a9_ -> (~(c1_2_ a9_ X4) \/ (~(c5_2_ a9_ X4) \/ ~(c4_2_ a9_ X4))))) /\ c3_1_ a9_))))) /\ (((forall X5 : Universe, (ndr1_0_ -> ((forall X6 : Universe, (ndr1_1_ X5 -> (~(c8_2_ X5 X6) \/ c7_2_ X5 X6))) \/ (c7_1_ X5 \/ (forall X7 : Universe, (ndr1_1_ X5 -> (~(c8_2_ X5 X7) \/ (~(c2_2_ X5 X7) \/ ~(c4_2_ X5 X7))))))))) \/ (c1_0_ \/ c2_0_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (~(c4_1_ X8) \/ ((forall X9 : Universe, (ndr1_1_ X8 -> (c6_2_ X8 X9 \/ ~(c2_2_ X8 X9)))) \/ ~(c5_1_ X8))))) \/ (~(c8_0_) \/ ~(c4_0_))) /\ (((forall X10 : Universe, (ndr1_0_ -> ((ndr1_1_ X10 /\ (~(c5_2_ X10 a10_) /\ (c7_2_ X10 a10_ /\ ~(c6_2_ X10 a10_)))) \/ ((forall X11 : Universe, (ndr1_1_ X10 -> (c3_2_ X10 X11 \/ (c2_2_ X10 X11 \/ ~(c1_2_ X10 X11))))) \/ ~(c1_1_ X10))))) \/ ((ndr1_0_ /\ (~(c8_1_ a11_) /\ (ndr1_1_ a11_ /\ (~(c3_2_ a11_ a12_) /\ (c5_2_ a11_ a12_ /\ ~(c6_2_ a11_ a12_)))))) \/ c7_0_)) /\ (((forall X12 : Universe, (ndr1_0_ -> ((forall X13 : Universe, (ndr1_1_ X12 -> (c5_2_ X12 X13 \/ c1_2_ X12 X13))) \/ (~(c1_1_ X12) \/ (ndr1_1_ X12 /\ (~(c2_2_ X12 a13_) /\ (~(c8_2_ X12 a13_) /\ c6_2_ X12 a13_))))))) \/ ((ndr1_0_ /\ (~(c2_1_ a14_) /\ (ndr1_1_ a14_ /\ (c6_2_ a14_ a15_ /\ (c3_2_ a14_ a15_ /\ (~(c7_2_ a14_ a15_) /\ ~(c7_1_ a14_))))))) \/ ~(c3_0_))) /\ ((c2_0_ \/ (~(c8_0_) \/ (ndr1_0_ /\ (~(c2_1_ a16_) /\ (~(c8_1_ a16_) /\ c1_1_ a16_))))) /\ ((c7_0_ \/ (c2_0_ \/ (forall X14 : Universe, (ndr1_0_ -> ((ndr1_1_ X14 /\ (~(c6_2_ X14 a17_) /\ (c5_2_ X14 a17_ /\ c3_2_ X14 a17_))) \/ (c8_1_ X14 \/ ~(c5_1_ X14))))))) /\ ((~(c5_0_) \/ ((forall X15 : Universe, (ndr1_0_ -> (c1_1_ X15 \/ ((forall X16 : Universe, (ndr1_1_ X15 -> (c7_2_ X15 X16 \/ ~(c2_2_ X15 X16)))) \/ (forall X17 : Universe, (ndr1_1_ X15 -> (c5_2_ X15 X17 \/ (~(c2_2_ X15 X17) \/ c8_2_ X15 X17)))))))) \/ c2_0_)) /\ ((~(c6_0_) \/ ((forall X18 : Universe, (ndr1_0_ -> ((forall X19 : Universe, (ndr1_1_ X18 -> (~(c1_2_ X18 X19) \/ (~(c7_2_ X18 X19) \/ c2_2_ X18 X19)))) \/ (c2_1_ X18 \/ c3_1_ X18)))) \/ (ndr1_0_ /\ (c6_1_ a18_ /\ c1_1_ a18_)))) /\ ((~(c1_0_) \/ ((ndr1_0_ /\ ((forall X20 : Universe, (ndr1_1_ a19_ -> (c6_2_ a19_ X20 \/ (c8_2_ a19_ X20 \/ c3_2_ a19_ X20)))) /\ (ndr1_1_ a19_ /\ (c4_2_ a19_ a20_ /\ (~(c7_2_ a19_ a20_) /\ (~(c3_2_ a19_ a20_) /\ (ndr1_1_ a19_ /\ (~(c5_2_ a19_ a21_) /\ (c3_2_ a19_ a21_ /\ c7_2_ a19_ a21_))))))))) \/ ~(c2_0_))) /\ (((forall X21 : Universe, (ndr1_0_ -> ((ndr1_1_ X21 /\ (~(c7_2_ X21 a22_) /\ ~(c6_2_ X21 a22_))) \/ ((ndr1_1_ X21 /\ (~(c6_2_ X21 a23_) /\ (~(c3_2_ X21 a23_) /\ ~(c2_2_ X21 a23_)))) \/ (forall X22 : Universe, (ndr1_1_ X21 -> (~(c8_2_ X21 X22) \/ (c1_2_ X21 X22 \/ ~(c5_2_ X21 X22))))))))) \/ (c5_0_ \/ c8_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a24_ /\ (~(c6_2_ a24_ a25_) /\ (c3_2_ a24_ a25_ /\ (c1_2_ a24_ a25_ /\ (~(c2_1_ a24_) /\ (ndr1_1_ a24_ /\ (~(c7_2_ a24_ a26_) /\ (c2_2_ a24_ a26_ /\ ~(c6_2_ a24_ a26_)))))))))) \/ ((ndr1_0_ /\ (c8_1_ a27_ /\ ((forall X23 : Universe, (ndr1_1_ a27_ -> (c5_2_ a27_ X23 \/ (c8_2_ a27_ X23 \/ ~(c7_2_ a27_ X23))))) /\ (ndr1_1_ a27_ /\ (~(c6_2_ a27_ a28_) /\ (c2_2_ a27_ a28_ /\ ~(c4_2_ a27_ a28_))))))) \/ (ndr1_0_ /\ (ndr1_1_ a29_ /\ (c7_2_ a29_ a30_ /\ (c2_2_ a29_ a30_ /\ (c1_2_ a29_ a30_ /\ (ndr1_1_ a29_ /\ (c5_2_ a29_ a31_ /\ (c6_2_ a29_ a31_ /\ (forall X24 : Universe, (ndr1_1_ a29_ -> (c1_2_ a29_ X24 \/ (~(c6_2_ a29_ X24) \/ c5_2_ a29_ X24)))))))))))))) /\ (((ndr1_0_ /\ ((forall X25 : Universe, (ndr1_1_ a32_ -> (c4_2_ a32_ X25 \/ c1_2_ a32_ X25))) /\ ((forall X26 : Universe, (ndr1_1_ a32_ -> (c6_2_ a32_ X26 \/ (c1_2_ a32_ X26 \/ ~(c3_2_ a32_ X26))))) /\ c2_1_ a32_))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c1_1_ X27 \/ ((ndr1_1_ X27 /\ (c4_2_ X27 a33_ /\ (c1_2_ X27 a33_ /\ c3_2_ X27 a33_))) \/ ~(c4_1_ X27))))) \/ ~(c1_0_))) /\ (((ndr1_0_ /\ ((forall X28 : Universe, (ndr1_1_ a34_ -> ~(c7_2_ a34_ X28))) /\ ((forall X29 : Universe, (ndr1_1_ a34_ -> (~(c1_2_ a34_ X29) \/ (c2_2_ a34_ X29 \/ c7_2_ a34_ X29)))) /\ (forall X30 : Universe, (ndr1_1_ a34_ -> (c1_2_ a34_ X30 \/ (~(c8_2_ a34_ X30) \/ c4_2_ a34_ X30))))))) \/ (c2_0_ \/ c3_0_)) /\ (((ndr1_0_ /\ ((forall X31 : Universe, (ndr1_1_ a35_ -> (c8_2_ a35_ X31 \/ (~(c1_2_ a35_ X31) \/ ~(c2_2_ a35_ X31))))) /\ (ndr1_1_ a35_ /\ (~(c2_2_ a35_ a36_) /\ (~(c3_2_ a35_ a36_) /\ (~(c4_2_ a35_ a36_) /\ ~(c4_1_ a35_))))))) \/ ((ndr1_0_ /\ (~(c6_1_ a37_) /\ (ndr1_1_ a37_ /\ (c5_2_ a37_ a38_ /\ (c4_2_ a37_ a38_ /\ (c3_2_ a37_ a38_ /\ ~(c1_1_ a37_))))))) \/ (ndr1_0_ /\ (ndr1_1_ a39_ /\ (c5_2_ a39_ a40_ /\ (c3_2_ a39_ a40_ /\ (~(c4_2_ a39_ a40_) /\ ((forall X32 : Universe, (ndr1_1_ a39_ -> (~(c8_2_ a39_ X32) \/ c7_2_ a39_ X32))) /\ (ndr1_1_ a39_ /\ (~(c5_2_ a39_ a41_) /\ (c6_2_ a39_ a41_ /\ ~(c2_2_ a39_ a41_)))))))))))) /\ ((c2_0_ \/ (c7_0_ \/ ~(c4_0_))) /\ ((~(c8_0_) \/ ((forall X33 : Universe, (ndr1_0_ -> ((forall X34 : Universe, (ndr1_1_ X33 -> (~(c2_2_ X33 X34) \/ (c3_2_ X33 X34 \/ ~(c6_2_ X33 X34))))) \/ (~(c8_1_ X33) \/ c7_1_ X33)))) \/ (ndr1_0_ /\ (ndr1_1_ a42_ /\ (~(c7_2_ a42_ a43_) /\ (c8_2_ a42_ a43_ /\ (~(c3_2_ a42_ a43_) /\ (~(c7_1_ a42_) /\ (forall X35 : Universe, (ndr1_1_ a42_ -> (c1_2_ a42_ X35 \/ (~(c7_2_ a42_ X35) \/ c4_2_ a42_ X35)))))))))))) /\ (((ndr1_0_ /\ (~(c2_1_ a44_) /\ (ndr1_1_ a44_ /\ (c5_2_ a44_ a45_ /\ (~(c8_2_ a44_ a45_) /\ (forall X36 : Universe, (ndr1_1_ a44_ -> (~(c4_2_ a44_ X36) \/ ~(c5_2_ a44_ X36))))))))) \/ ((forall X37 : Universe, (ndr1_0_ -> ((forall X38 : Universe, (ndr1_1_ X37 -> (c4_2_ X37 X38 \/ (~(c6_2_ X37 X38) \/ c5_2_ X37 X38)))) \/ ((ndr1_1_ X37 /\ (~(c8_2_ X37 a46_) /\ ~(c3_2_ X37 a46_))) \/ ~(c7_1_ X37))))) \/ (forall X39 : Universe, (ndr1_0_ -> (c3_1_ X39 \/ ((forall X40 : Universe, (ndr1_1_ X39 -> (c3_2_ X39 X40 \/ (c6_2_ X39 X40 \/ c4_2_ X39 X40)))) \/ (forall X41 : Universe, (ndr1_1_ X39 -> (c5_2_ X39 X41 \/ (c1_2_ X39 X41 \/ c8_2_ X39 X41)))))))))) /\ ((c8_0_ \/ (ndr1_0_ /\ (ndr1_1_ a47_ /\ (~(c2_2_ a47_ a48_) /\ (c8_2_ a47_ a48_ /\ (~(c1_2_ a47_ a48_) /\ (~(c6_1_ a47_) /\ (ndr1_1_ a47_ /\ (~(c2_2_ a47_ a49_) /\ (~(c1_2_ a47_ a49_) /\ c7_2_ a47_ a49_)))))))))) /\ (((ndr1_0_ /\ (~(c4_1_ a50_) /\ c1_1_ a50_)) \/ (c7_0_ \/ c4_0_)) /\ ((~(c8_0_) \/ ((forall X42 : Universe, (ndr1_0_ -> (~(c5_1_ X42) \/ (c6_1_ X42 \/ c2_1_ X42)))) \/ ~(c4_0_))) /\ ((c2_0_ \/ (c3_0_ \/ (ndr1_0_ /\ (c5_1_ a51_ /\ (~(c7_1_ a51_) /\ (forall X43 : Universe, (ndr1_1_ a51_ -> (c3_2_ a51_ X43 \/ (~(c5_2_ a51_ X43) \/ c4_2_ a51_ X43))))))))) /\ (((forall X44 : Universe, (ndr1_0_ -> (~(c3_1_ X44) \/ (c2_1_ X44 \/ ~(c7_1_ X44))))) \/ (forall X45 : Universe, (ndr1_0_ -> (c1_1_ X45 \/ ((forall X46 : Universe, (ndr1_1_ X45 -> (c4_2_ X45 X46 \/ (~(c6_2_ X45 X46) \/ ~(c3_2_ X45 X46))))) \/ ~(c6_1_ X45)))))) /\ ((~(c7_0_) \/ (~(c6_0_) \/ ~(c3_0_))) /\ (((ndr1_0_ /\ (c5_1_ a52_ /\ ((forall X47 : Universe, (ndr1_1_ a52_ -> (~(c5_2_ a52_ X47) \/ (~(c8_2_ a52_ X47) \/ ~(c7_2_ a52_ X47))))) /\ c8_1_ a52_))) \/ ((ndr1_0_ /\ (ndr1_1_ a53_ /\ (c4_2_ a53_ a54_ /\ (~(c8_2_ a53_ a54_) /\ (~(c7_2_ a53_ a54_) /\ (c1_1_ a53_ /\ (ndr1_1_ a53_ /\ (c2_2_ a53_ a55_ /\ c6_2_ a53_ a55_)))))))) \/ ~(c5_0_))) /\ ((c8_0_ \/ ((forall X48 : Universe, (ndr1_0_ -> (c5_1_ X48 \/ ((forall X49 : Universe, (ndr1_1_ X48 -> (~(c4_2_ X48 X49) \/ (~(c1_2_ X48 X49) \/ ~(c6_2_ X48 X49))))) \/ (ndr1_1_ X48 /\ (c3_2_ X48 a56_ /\ (~(c2_2_ X48 a56_) /\ c7_2_ X48 a56_))))))) \/ (forall X50 : Universe, (ndr1_0_ -> ((ndr1_1_ X50 /\ (~(c7_2_ X50 a57_) /\ (c2_2_ X50 a57_ /\ c5_2_ X50 a57_))) \/ (~(c3_1_ X50) \/ (ndr1_1_ X50 /\ (~(c3_2_ X50 a58_) /\ (~(c5_2_ X50 a58_) /\ c6_2_ X50 a58_))))))))) /\ ((c3_0_ \/ (c2_0_ \/ (ndr1_0_ /\ ((forall X51 : Universe, (ndr1_1_ a59_ -> (c7_2_ a59_ X51 \/ c5_2_ a59_ X51))) /\ (~(c4_1_ a59_) /\ c3_1_ a59_))))) /\ ((~(c4_0_) \/ (~(c2_0_) \/ c3_0_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c1_1_ X52 \/ ~(c4_1_ X52)))) \/ ((ndr1_0_ /\ (ndr1_1_ a60_ /\ (~(c2_2_ a60_ a61_) /\ (c8_2_ a60_ a61_ /\ (c5_2_ a60_ a61_ /\ ((forall X53 : Universe, (ndr1_1_ a60_ -> (~(c7_2_ a60_ X53) \/ (c5_2_ a60_ X53 \/ ~(c2_2_ a60_ X53))))) /\ (ndr1_1_ a60_ /\ (~(c4_2_ a60_ a62_) /\ (c2_2_ a60_ a62_ /\ c3_2_ a60_ a62_))))))))) \/ (forall X54 : Universe, (ndr1_0_ -> (~(c2_1_ X54) \/ (~(c3_1_ X54) \/ (forall X55 : Universe, (ndr1_1_ X54 -> (~(c3_2_ X54 X55) \/ (c5_2_ X54 X55 \/ c6_2_ X54 X55)))))))))) /\ (((forall X56 : Universe, (ndr1_0_ -> (~(c7_1_ X56) \/ (c6_1_ X56 \/ (ndr1_1_ X56 /\ (~(c2_2_ X56 a63_) /\ (c4_2_ X56 a63_ /\ ~(c5_2_ X56 a63_)))))))) \/ ((ndr1_0_ /\ ((forall X57 : Universe, (ndr1_1_ a64_ -> (c4_2_ a64_ X57 \/ (~(c2_2_ a64_ X57) \/ c8_2_ a64_ X57)))) /\ (~(c1_1_ a64_) /\ (forall X58 : Universe, (ndr1_1_ a64_ -> (c1_2_ a64_ X58 \/ (c4_2_ a64_ X58 \/ c6_2_ a64_ X58))))))) \/ c2_0_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c7_1_ X59 \/ ((forall X60 : Universe, (ndr1_1_ X59 -> (~(c7_2_ X59 X60) \/ (c5_2_ X59 X60 \/ c8_2_ X59 X60)))) \/ ~(c8_1_ X59))))) \/ (c5_0_ \/ ~(c3_0_))) /\ (((ndr1_0_ /\ (c5_1_ a65_ /\ ((forall X61 : Universe, (ndr1_1_ a65_ -> (c1_2_ a65_ X61 \/ (c4_2_ a65_ X61 \/ c5_2_ a65_ X61)))) /\ c6_1_ a65_))) \/ ((ndr1_0_ /\ ((forall X62 : Universe, (ndr1_1_ a66_ -> (c3_2_ a66_ X62 \/ (~(c8_2_ a66_ X62) \/ c5_2_ a66_ X62)))) /\ ((forall X63 : Universe, (ndr1_1_ a66_ -> (c2_2_ a66_ X63 \/ (~(c8_2_ a66_ X63) \/ c3_2_ a66_ X63)))) /\ ~(c3_1_ a66_)))) \/ ~(c1_0_))) /\ (((forall X64 : Universe, (ndr1_0_ -> (~(c2_1_ X64) \/ (c3_1_ X64 \/ c5_1_ X64)))) \/ ~(c2_0_)) /\ ((~(c7_0_) \/ ((forall X65 : Universe, (ndr1_0_ -> ((ndr1_1_ X65 /\ (~(c4_2_ X65 a67_) /\ ~(c7_2_ X65 a67_))) \/ (c6_1_ X65 \/ c2_1_ X65)))) \/ (ndr1_0_ /\ (c2_1_ a68_ /\ ((forall X66 : Universe, (ndr1_1_ a68_ -> (c7_2_ a68_ X66 \/ c6_2_ a68_ X66))) /\ c5_1_ a68_))))) /\ ((~(c7_0_) \/ (~(c8_0_) \/ (forall X67 : Universe, (ndr1_0_ -> (~(c3_1_ X67) \/ ((ndr1_1_ X67 /\ (~(c1_2_ X67 a69_) /\ (~(c6_2_ X67 a69_) /\ c5_2_ X67 a69_))) \/ (ndr1_1_ X67 /\ (~(c6_2_ X67 a70_) /\ (c7_2_ X67 a70_ /\ c4_2_ X67 a70_))))))))) /\ (((forall X68 : Universe, (ndr1_0_ -> ((ndr1_1_ X68 /\ (~(c1_2_ X68 a71_) /\ (~(c3_2_ X68 a71_) /\ c5_2_ X68 a71_))) \/ ((ndr1_1_ X68 /\ (~(c1_2_ X68 a72_) /\ (c8_2_ X68 a72_ /\ c7_2_ X68 a72_))) \/ c4_1_ X68)))) \/ (~(c8_0_) \/ c5_0_)) /\ ((~(c3_0_) \/ ((ndr1_0_ /\ ((forall X69 : Universe, (ndr1_1_ a73_ -> (~(c1_2_ a73_ X69) \/ (~(c2_2_ a73_ X69) \/ ~(c4_2_ a73_ X69))))) /\ (ndr1_1_ a73_ /\ (c5_2_ a73_ a74_ /\ (c4_2_ a73_ a74_ /\ c1_1_ a73_))))) \/ ~(c7_0_))) /\ ((c8_0_ \/ ((ndr1_0_ /\ ((forall X70 : Universe, (ndr1_1_ a75_ -> (c6_2_ a75_ X70 \/ (~(c2_2_ a75_ X70) \/ ~(c4_2_ a75_ X70))))) /\ ((forall X71 : Universe, (ndr1_1_ a75_ -> (~(c4_2_ a75_ X71) \/ (~(c6_2_ a75_ X71) \/ c3_2_ a75_ X71)))) /\ (forall X72 : Universe, (ndr1_1_ a75_ -> (c8_2_ a75_ X72 \/ ~(c1_2_ a75_ X72))))))) \/ c7_0_)) /\ ((c2_0_ \/ (c5_0_ \/ (forall X73 : Universe, (ndr1_0_ -> (c3_1_ X73 \/ (~(c2_1_ X73) \/ c7_1_ X73)))))) /\ ((c7_0_ \/ ((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ ((ndr1_1_ X74 /\ (~(c6_2_ X74 a76_) /\ (c7_2_ X74 a76_ /\ c4_2_ X74 a76_))) \/ (forall X75 : Universe, (ndr1_1_ X74 -> (c8_2_ X74 X75 \/ (c7_2_ X74 X75 \/ ~(c3_2_ X74 X75))))))))) \/ ~(c2_0_))) /\ ((c8_0_ \/ (forall X76 : Universe, (ndr1_0_ -> (~(c3_1_ X76) \/ (c7_1_ X76 \/ (forall X77 : Universe, (ndr1_1_ X76 -> (~(c3_2_ X76 X77) \/ (c7_2_ X76 X77 \/ c1_2_ X76 X77))))))))) /\ (((ndr1_0_ /\ (c7_1_ a77_ /\ (forall X78 : Universe, (ndr1_1_ a77_ -> (c1_2_ a77_ X78 \/ (c7_2_ a77_ X78 \/ c8_2_ a77_ X78)))))) \/ (~(c1_0_) \/ ~(c2_0_))) /\ (((forall X79 : Universe, (ndr1_0_ -> (c7_1_ X79 \/ ~(c8_1_ X79)))) \/ c3_0_) /\ ((~(c3_0_) \/ (ndr1_0_ /\ ((forall X80 : Universe, (ndr1_1_ a78_ -> (c3_2_ a78_ X80 \/ (~(c7_2_ a78_ X80) \/ c5_2_ a78_ X80)))) /\ (ndr1_1_ a78_ /\ (~(c5_2_ a78_ a79_) /\ (c6_2_ a78_ a79_ /\ ~(c1_1_ a78_))))))) /\ ((c7_0_ \/ (c6_0_ \/ (ndr1_0_ /\ (~(c4_1_ a80_) /\ ~(c2_1_ a80_))))) /\ (((ndr1_0_ /\ (ndr1_1_ a81_ /\ (c4_2_ a81_ a82_ /\ (c8_2_ a81_ a82_ /\ (c3_2_ a81_ a82_ /\ (~(c6_1_ a81_) /\ c7_1_ a81_)))))) \/ ~(c1_0_)) /\ ((c1_0_ \/ ((ndr1_0_ /\ (~(c3_1_ a83_) /\ (ndr1_1_ a83_ /\ (c5_2_ a83_ a84_ /\ (~(c2_2_ a83_ a84_) /\ (c3_2_ a83_ a84_ /\ ~(c7_1_ a83_))))))) \/ (ndr1_0_ /\ (~(c4_1_ a85_) /\ (ndr1_1_ a85_ /\ (~(c8_2_ a85_ a86_) /\ (~(c1_2_ a85_ a86_) /\ (c7_2_ a85_ a86_ /\ c7_1_ a85_)))))))) /\ (((forall X81 : Universe, (ndr1_0_ -> (~(c7_1_ X81) \/ ((forall X82 : Universe, (ndr1_1_ X81 -> (~(c4_2_ X81 X82) \/ (c8_2_ X81 X82 \/ c7_2_ X81 X82)))) \/ ~(c5_1_ X81))))) \/ ((forall X83 : Universe, (ndr1_0_ -> ((ndr1_1_ X83 /\ (c8_2_ X83 a87_ /\ (c5_2_ X83 a87_ /\ c1_2_ X83 a87_))) \/ (~(c7_1_ X83) \/ (ndr1_1_ X83 /\ (~(c7_2_ X83 a88_) /\ c1_2_ X83 a88_)))))) \/ (forall X84 : Universe, (ndr1_0_ -> (~(c2_1_ X84) \/ (c3_1_ X84 \/ (forall X85 : Universe, (ndr1_1_ X84 -> (c4_2_ X84 X85 \/ (c1_2_ X84 X85 \/ ~(c6_2_ X84 X85))))))))))) /\ (c6_0_ /\ (c4_0_ /\ (((forall X86 : Universe, (ndr1_0_ -> (c5_1_ X86 \/ (ndr1_1_ X86 /\ (c2_2_ X86 a89_ /\ (~(c7_2_ X86 a89_) /\ c1_2_ X86 a89_)))))) \/ ((ndr1_0_ /\ ((forall X87 : Universe, (ndr1_1_ a90_ -> (~(c1_2_ a90_ X87) \/ (~(c2_2_ a90_ X87) \/ ~(c6_2_ a90_ X87))))) /\ (ndr1_1_ a90_ /\ (c1_2_ a90_ a91_ /\ (c3_2_ a90_ a91_ /\ (ndr1_1_ a90_ /\ (~(c3_2_ a90_ a92_) /\ (~(c4_2_ a90_ a92_) /\ c7_2_ a90_ a92_)))))))) \/ (ndr1_0_ /\ ((forall X88 : Universe, (ndr1_1_ a93_ -> (c5_2_ a93_ X88 \/ (~(c6_2_ a93_ X88) \/ c8_2_ a93_ X88)))) /\ ((forall X89 : Universe, (ndr1_1_ a93_ -> (~(c4_2_ a93_ X89) \/ c6_2_ a93_ X89))) /\ (forall X90 : Universe, (ndr1_1_ a93_ -> (~(c6_2_ a93_ X90) \/ ~(c7_2_ a93_ X90))))))))) /\ ((c5_0_ \/ ((forall X91 : Universe, (ndr1_0_ -> (~(c5_1_ X91) \/ (c4_1_ X91 \/ c1_1_ X91)))) \/ (forall X92 : Universe, (ndr1_0_ -> (~(c2_1_ X92) \/ ((ndr1_1_ X92 /\ (~(c5_2_ X92 a94_) /\ (c6_2_ X92 a94_ /\ c2_2_ X92 a94_))) \/ (ndr1_1_ X92 /\ (c5_2_ X92 a95_ /\ (c1_2_ X92 a95_ /\ c6_2_ X92 a95_))))))))) /\ (((forall X93 : Universe, (ndr1_0_ -> ((forall X94 : Universe, (ndr1_1_ X93 -> (c4_2_ X93 X94 \/ (~(c1_2_ X93 X94) \/ c2_2_ X93 X94)))) \/ (c6_1_ X93 \/ c1_1_ X93)))) \/ (c3_0_ \/ (ndr1_0_ /\ (c2_1_ a96_ /\ (c3_1_ a96_ /\ (ndr1_1_ a96_ /\ (c7_2_ a96_ a97_ /\ (~(c6_2_ a96_ a97_) /\ ~(c1_2_ a96_ a97_))))))))) /\ (((ndr1_0_ /\ (~(c7_1_ a98_) /\ (~(c5_1_ a98_) /\ (forall X95 : Universe, (ndr1_1_ a98_ -> (c5_2_ a98_ X95 \/ (c4_2_ a98_ X95 \/ c8_2_ a98_ X95))))))) \/ (~(c3_0_) \/ ~(c8_0_))) /\ (((forall X96 : Universe, (ndr1_0_ -> ((forall X97 : Universe, (ndr1_1_ X96 -> (~(c2_2_ X96 X97) \/ (~(c1_2_ X96 X97) \/ c6_2_ X96 X97)))) \/ (ndr1_1_ X96 /\ (~(c6_2_ X96 a99_) /\ (~(c5_2_ X96 a99_) /\ c4_2_ X96 a99_)))))) \/ ((forall X98 : Universe, (ndr1_0_ -> (c7_1_ X98 \/ (~(c2_1_ X98) \/ (forall X99 : Universe, (ndr1_1_ X98 -> (~(c1_2_ X98 X99) \/ (c3_2_ X98 X99 \/ ~(c5_2_ X98 X99))))))))) \/ ~(c8_0_))) /\ ((~(c1_0_) \/ ((forall X100 : Universe, (ndr1_0_ -> ((forall X101 : Universe, (ndr1_1_ X100 -> (c6_2_ X100 X101 \/ (~(c3_2_ X100 X101) \/ c2_2_ X100 X101)))) \/ ((forall X102 : Universe, (ndr1_1_ X100 -> (c7_2_ X100 X102 \/ (~(c5_2_ X100 X102) \/ ~(c8_2_ X100 X102))))) \/ c7_1_ X100)))) \/ (forall X103 : Universe, (ndr1_0_ -> (c3_1_ X103 \/ (~(c1_1_ X103) \/ c4_1_ X103)))))) /\ (((forall X104 : Universe, (ndr1_0_ -> ((ndr1_1_ X104 /\ (c4_2_ X104 a100_ /\ (c5_2_ X104 a100_ /\ c2_2_ X104 a100_))) \/ (c8_1_ X104 \/ (forall X105 : Universe, (ndr1_1_ X104 -> (c7_2_ X104 X105 \/ (~(c2_2_ X104 X105) \/ c4_2_ X104 X105)))))))) \/ (~(c5_0_) \/ (forall X106 : Universe, (ndr1_0_ -> ((forall X107 : Universe, (ndr1_1_ X106 -> (c2_2_ X106 X107 \/ c4_2_ X106 X107))) \/ ((ndr1_1_ X106 /\ (c7_2_ X106 a101_ /\ (~(c2_2_ X106 a101_) /\ c4_2_ X106 a101_))) \/ (ndr1_1_ X106 /\ (c7_2_ X106 a102_ /\ (~(c1_2_ X106 a102_) /\ ~(c4_2_ X106 a102_)))))))))) /\ ((~(c1_0_) \/ ~(c2_0_)) /\ (((ndr1_0_ /\ ((forall X108 : Universe, (ndr1_1_ a103_ -> (c5_2_ a103_ X108 \/ (c4_2_ a103_ X108 \/ c1_2_ a103_ X108)))) /\ (c3_1_ a103_ /\ (forall X109 : Universe, (ndr1_1_ a103_ -> (~(c4_2_ a103_ X109) \/ (c8_2_ a103_ X109 \/ ~(c5_2_ a103_ X109)))))))) \/ (c5_0_ \/ ~(c8_0_))) /\ ((~(c7_0_) \/ (c8_0_ \/ (forall X110 : Universe, (ndr1_0_ -> (~(c8_1_ X110) \/ (c6_1_ X110 \/ c4_1_ X110)))))) /\ (((forall X111 : Universe, (ndr1_0_ -> ((forall X112 : Universe, (ndr1_1_ X111 -> (c6_2_ X111 X112 \/ (c5_2_ X111 X112 \/ ~(c2_2_ X111 X112))))) \/ (~(c2_1_ X111) \/ ~(c6_1_ X111))))) \/ (c5_0_ \/ (ndr1_0_ /\ (~(c5_1_ a104_) /\ (forall X113 : Universe, (ndr1_1_ a104_ -> (~(c1_2_ a104_ X113) \/ c8_2_ a104_ X113))))))) /\ ((~(c2_0_) \/ (ndr1_0_ /\ (ndr1_1_ a105_ /\ (c1_2_ a105_ a106_ /\ (c7_2_ a105_ a106_ /\ (~(c6_2_ a105_ a106_) /\ (ndr1_1_ a105_ /\ (~(c3_2_ a105_ a107_) /\ (c4_2_ a105_ a107_ /\ (~(c8_2_ a105_ a107_) /\ c3_1_ a105_)))))))))) /\ (((forall X114 : Universe, (ndr1_0_ -> (c7_1_ X114 \/ ((forall X115 : Universe, (ndr1_1_ X114 -> (~(c5_2_ X114 X115) \/ ~(c8_2_ X114 X115)))) \/ (ndr1_1_ X114 /\ (c6_2_ X114 a108_ /\ (~(c5_2_ X114 a108_) /\ ~(c7_2_ X114 a108_)))))))) \/ c2_0_) /\ (((forall X116 : Universe, (ndr1_0_ -> (c7_1_ X116 \/ ((ndr1_1_ X116 /\ (c7_2_ X116 a109_ /\ (c1_2_ X116 a109_ /\ ~(c4_2_ X116 a109_)))) \/ c6_1_ X116)))) \/ (~(c2_0_) \/ (ndr1_0_ /\ (ndr1_1_ a110_ /\ (c4_2_ a110_ a111_ /\ (~(c5_2_ a110_ a111_) /\ (c1_1_ a110_ /\ (ndr1_1_ a110_ /\ (~(c7_2_ a110_ a112_) /\ (c5_2_ a110_ a112_ /\ ~(c4_2_ a110_ a112_))))))))))) /\ (((ndr1_0_ /\ (~(c8_1_ a113_) /\ (~(c4_1_ a113_) /\ (forall X117 : Universe, (ndr1_1_ a113_ -> (~(c4_2_ a113_ X117) \/ (c8_2_ a113_ X117 \/ c7_2_ a113_ X117))))))) \/ ((forall X118 : Universe, (ndr1_0_ -> ((ndr1_1_ X118 /\ (c5_2_ X118 a114_ /\ (c1_2_ X118 a114_ /\ c8_2_ X118 a114_))) \/ (c3_1_ X118 \/ ~(c7_1_ X118))))) \/ ~(c1_0_))) /\ ((~(c2_0_) \/ ((forall X119 : Universe, (ndr1_0_ -> ((forall X120 : Universe, (ndr1_1_ X119 -> (c7_2_ X119 X120 \/ (c2_2_ X119 X120 \/ ~(c1_2_ X119 X120))))) \/ (c6_1_ X119 \/ ~(c4_1_ X119))))) \/ (forall X121 : Universe, (ndr1_0_ -> (c1_1_ X121 \/ (forall X122 : Universe, (ndr1_1_ X121 -> (c5_2_ X121 X122 \/ (~(c6_2_ X121 X122) \/ ~(c7_2_ X121 X122)))))))))) /\ ((~(c7_0_) \/ ((forall X123 : Universe, (ndr1_0_ -> ((ndr1_1_ X123 /\ (~(c3_2_ X123 a115_) /\ (~(c7_2_ X123 a115_) /\ ~(c8_2_ X123 a115_)))) \/ ~(c8_1_ X123)))) \/ c2_0_)) /\ (((forall X124 : Universe, (ndr1_0_ -> (c4_1_ X124 \/ (c8_1_ X124 \/ (ndr1_1_ X124 /\ (c2_2_ X124 a116_ /\ (c1_2_ X124 a116_ /\ ~(c5_2_ X124 a116_)))))))) \/ (forall X125 : Universe, (ndr1_0_ -> (c7_1_ X125 \/ (c4_1_ X125 \/ (forall X126 : Universe, (ndr1_1_ X125 -> (~(c4_2_ X125 X126) \/ (c6_2_ X125 X126 \/ c1_2_ X125 X126))))))))) /\ ((~(c1_0_) \/ ((forall X127 : Universe, (ndr1_0_ -> (~(c8_1_ X127) \/ ~(c7_1_ X127)))) \/ c7_0_)) /\ (((ndr1_0_ /\ (~(c2_1_ a117_) /\ c8_1_ a117_)) \/ c3_0_) /\ (((ndr1_0_ /\ ((forall X128 : Universe, (ndr1_1_ a118_ -> (c8_2_ a118_ X128 \/ (c1_2_ a118_ X128 \/ ~(c6_2_ a118_ X128))))) /\ (ndr1_1_ a118_ /\ (~(c8_2_ a118_ a119_) /\ (c2_2_ a118_ a119_ /\ (c7_2_ a118_ a119_ /\ (forall X129 : Universe, (ndr1_1_ a118_ -> (c2_2_ a118_ X129 \/ (c5_2_ a118_ X129 \/ ~(c4_2_ a118_ X129))))))))))) \/ (~(c2_0_) \/ ~(c7_0_))) /\ (((ndr1_0_ /\ ((forall X130 : Universe, (ndr1_1_ a120_ -> (~(c8_2_ a120_ X130) \/ (c1_2_ a120_ X130 \/ ~(c6_2_ a120_ X130))))) /\ (~(c5_1_ a120_) /\ (forall X131 : Universe, (ndr1_1_ a120_ -> (~(c5_2_ a120_ X131) \/ (~(c1_2_ a120_ X131) \/ ~(c7_2_ a120_ X131)))))))) \/ (ndr1_0_ /\ ((forall X132 : Universe, (ndr1_1_ a121_ -> (c8_2_ a121_ X132 \/ (~(c7_2_ a121_ X132) \/ c5_2_ a121_ X132)))) /\ (c5_1_ a121_ /\ c3_1_ a121_)))) /\ (((ndr1_0_ /\ (ndr1_1_ a122_ /\ (c5_2_ a122_ a123_ /\ (~(c1_2_ a122_ a123_) /\ (~(c3_2_ a122_ a123_) /\ (c8_1_ a122_ /\ ~(c1_1_ a122_))))))) \/ c2_0_) /\ (((ndr1_0_ /\ (c4_1_ a124_ /\ (ndr1_1_ a124_ /\ (~(c5_2_ a124_ a125_) /\ (~(c8_2_ a124_ a125_) /\ (c6_2_ a124_ a125_ /\ (ndr1_1_ a124_ /\ (c8_2_ a124_ a126_ /\ c6_2_ a124_ a126_)))))))) \/ (~(c3_0_) \/ (forall X133 : Universe, (ndr1_0_ -> (c7_1_ X133 \/ (~(c6_1_ X133) \/ (forall X134 : Universe, (ndr1_1_ X133 -> (c6_2_ X133 X134 \/ (c8_2_ X133 X134 \/ ~(c2_2_ X133 X134))))))))))) /\ (((forall X135 : Universe, (ndr1_0_ -> ((forall X136 : Universe, (ndr1_1_ X135 -> (c4_2_ X135 X136 \/ (~(c8_2_ X135 X136) \/ c3_2_ X135 X136)))) \/ (~(c4_1_ X135) \/ (forall X137 : Universe, (ndr1_1_ X135 -> (~(c7_2_ X135 X137) \/ (c8_2_ X135 X137 \/ c6_2_ X135 X137)))))))) \/ ((ndr1_0_ /\ (c8_1_ a127_ /\ (c3_1_ a127_ /\ ~(c5_1_ a127_)))) \/ ~(c7_0_))) /\ ((~(c1_0_) \/ ((forall X138 : Universe, (ndr1_0_ -> ((ndr1_1_ X138 /\ (~(c7_2_ X138 a128_) /\ (~(c8_2_ X138 a128_) /\ ~(c4_2_ X138 a128_)))) \/ ~(c1_1_ X138)))) \/ (ndr1_0_ /\ (ndr1_1_ a129_ /\ (~(c6_2_ a129_ a130_) /\ (~(c8_2_ a129_ a130_) /\ (c3_2_ a129_ a130_ /\ (ndr1_1_ a129_ /\ (c1_2_ a129_ a131_ /\ (~(c7_2_ a129_ a131_) /\ (c8_2_ a129_ a131_ /\ ~(c6_1_ a129_)))))))))))) /\ (((forall X139 : Universe, (ndr1_0_ -> (c8_1_ X139 \/ (c2_1_ X139 \/ ~(c7_1_ X139))))) \/ ((forall X140 : Universe, (ndr1_0_ -> (~(c1_1_ X140) \/ (~(c8_1_ X140) \/ (forall X141 : Universe, (ndr1_1_ X140 -> (c7_2_ X140 X141 \/ (~(c2_2_ X140 X141) \/ c3_2_ X140 X141)))))))) \/ (forall X142 : Universe, (ndr1_0_ -> (~(c4_1_ X142) \/ (~(c6_1_ X142) \/ ~(c5_1_ X142))))))) /\ (((forall X143 : Universe, (ndr1_0_ -> ((ndr1_1_ X143 /\ (~(c3_2_ X143 a132_) /\ (~(c8_2_ X143 a132_) /\ ~(c6_2_ X143 a132_)))) \/ (~(c1_1_ X143) \/ (forall X144 : Universe, (ndr1_1_ X143 -> (~(c4_2_ X143 X144) \/ (c7_2_ X143 X144 \/ ~(c8_2_ X143 X144))))))))) \/ ~(c8_0_)) /\ (((forall X145 : Universe, (ndr1_0_ -> (~(c6_1_ X145) \/ (~(c2_1_ X145) \/ (ndr1_1_ X145 /\ (~(c1_2_ X145 a133_) /\ (~(c5_2_ X145 a133_) /\ c3_2_ X145 a133_))))))) \/ ~(c2_0_)) /\ (((ndr1_0_ /\ (~(c1_1_ a134_) /\ (ndr1_1_ a134_ /\ (~(c4_2_ a134_ a135_) /\ (c8_2_ a134_ a135_ /\ (c3_2_ a134_ a135_ /\ (forall X146 : Universe, (ndr1_1_ a134_ -> (c1_2_ a134_ X146 \/ c8_2_ a134_ X146))))))))) \/ (forall X147 : Universe, (ndr1_0_ -> (c8_1_ X147 \/ ~(c2_1_ X147))))) /\ (ndr1_0_ /\ (c5_1_ a136_ /\ ((forall X148 : Universe, (ndr1_1_ a136_ -> (c8_2_ a136_ X148 \/ (c3_2_ a136_ X148 \/ c7_2_ a136_ X148)))) /\ (ndr1_1_ a136_ /\ (c1_2_ a136_ a137_ /\ (c3_2_ a136_ a137_ /\ (c5_2_ a136_ a137_ /\ ((~(c3_0_) \/ ((ndr1_0_ /\ ((forall X149 : Universe, (ndr1_1_ a138_ -> (c3_2_ a138_ X149 \/ (~(c4_2_ a138_ X149) \/ ~(c6_2_ a138_ X149))))) /\ (ndr1_1_ a138_ /\ (c6_2_ a138_ a139_ /\ (~(c5_2_ a138_ a139_) /\ (~(c1_2_ a138_ a139_) /\ (ndr1_1_ a138_ /\ (c5_2_ a138_ a140_ /\ ~(c4_2_ a138_ a140_))))))))) \/ c7_0_)) /\ (((ndr1_0_ /\ (~(c4_1_ a141_) /\ (c8_1_ a141_ /\ (ndr1_1_ a141_ /\ (~(c3_2_ a141_ a142_) /\ c8_2_ a141_ a142_))))) \/ ((ndr1_0_ /\ (c5_1_ a143_ /\ (ndr1_1_ a143_ /\ (~(c1_2_ a143_ a144_) /\ (~(c5_2_ a143_ a144_) /\ c2_2_ a143_ a144_))))) \/ ~(c2_0_))) /\ ((c7_0_ \/ (forall X150 : Universe, (ndr1_0_ -> (ndr1_1_ X150 /\ (~(c4_2_ X150 a145_) /\ (c6_2_ X150 a145_ /\ c5_2_ X150 a145_)))))) /\ ((~(c2_0_) \/ (~(c1_0_) \/ (forall X151 : Universe, (ndr1_0_ -> ((ndr1_1_ X151 /\ ~(c2_2_ X151 a146_)) \/ (c2_1_ X151 \/ (forall X152 : Universe, (ndr1_1_ X151 -> (c5_2_ X151 X152 \/ (~(c1_2_ X151 X152) \/ c8_2_ X151 X152)))))))))) /\ (~(c2_0_) /\ ((c7_0_ \/ (forall X153 : Universe, (ndr1_0_ -> (~(c3_1_ X153) \/ (c1_1_ X153 \/ (forall X154 : Universe, (ndr1_1_ X153 -> (c2_2_ X153 X154 \/ (~(c8_2_ X153 X154) \/ c6_2_ X153 X154))))))))) /\ ~(c3_0_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
