(*
% File     : SYN547+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=8, R=1, L=120, K=3, D=2, P=0, Index=078
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-8-1-120-3-2-078.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.4.0, 0.67 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1137 (   0 equality)
%            Maximal formula depth :  108 ( 108 average)
%            Number of connectives : 1537 ( 401 ~  ; 463  |; 513  &)
%                                         (   0 <=>; 160 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   26 (   9 propositional; 0-2 arity)
%            Number of functors    :  148 ( 148 constant; 0-0 arity)
%            Number of variables   :  160 (   0 singleton; 160 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c8_2_ : Universe -> Universe -> Prop.
Variable c8_1_ : Universe -> Prop.
Variable c8_0_ : Prop.
Variable c7_2_ : Universe -> Universe -> Prop.
Variable c7_1_ : Universe -> Prop.
Variable c7_0_ : Prop.
Variable c6_2_ : Universe -> Universe -> Prop.
Variable c6_1_ : Universe -> Prop.
Variable c6_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a603_ : Universe.
Variable a602_ : Universe.
Variable a601_ : Universe.
Variable a600_ : Universe.
Variable a599_ : Universe.
Variable a598_ : Universe.
Variable a597_ : Universe.
Variable a596_ : Universe.
Variable a595_ : Universe.
Variable a594_ : Universe.
Variable a593_ : Universe.
Variable a592_ : Universe.
Variable a591_ : Universe.
Variable a590_ : Universe.
Variable a589_ : Universe.
Variable a588_ : Universe.
Variable a587_ : Universe.
Variable a586_ : Universe.
Variable a585_ : Universe.
Variable a584_ : Universe.
Variable a583_ : Universe.
Variable a582_ : Universe.
Variable a581_ : Universe.
Variable a580_ : Universe.
Variable a579_ : Universe.
Variable a578_ : Universe.
Variable a577_ : Universe.
Variable a576_ : Universe.
Variable a575_ : Universe.
Variable a574_ : Universe.
Variable a573_ : Universe.
Variable a572_ : Universe.
Variable a571_ : Universe.
Variable a570_ : Universe.
Variable a569_ : Universe.
Variable a568_ : Universe.
Variable a567_ : Universe.
Variable a566_ : Universe.
Variable a565_ : Universe.
Variable a564_ : Universe.
Variable a563_ : Universe.
Variable a562_ : Universe.
Variable a561_ : Universe.
Variable a560_ : Universe.
Variable a559_ : Universe.
Variable a558_ : Universe.
Variable a557_ : Universe.
Variable a556_ : Universe.
Variable a555_ : Universe.
Variable a554_ : Universe.
Variable a553_ : Universe.
Variable a552_ : Universe.
Variable a551_ : Universe.
Variable a550_ : Universe.
Variable a549_ : Universe.
Variable a548_ : Universe.
Variable a547_ : Universe.
Variable a546_ : Universe.
Variable a545_ : Universe.
Variable a544_ : Universe.
Variable a543_ : Universe.
Variable a542_ : Universe.
Variable a541_ : Universe.
Variable a540_ : Universe.
Variable a539_ : Universe.
Variable a538_ : Universe.
Variable a537_ : Universe.
Variable a536_ : Universe.
Variable a535_ : Universe.
Variable a534_ : Universe.
Variable a533_ : Universe.
Variable a532_ : Universe.
Variable a531_ : Universe.
Variable a530_ : Universe.
Variable a529_ : Universe.
Variable a528_ : Universe.
Variable a527_ : Universe.
Variable a526_ : Universe.
Variable a525_ : Universe.
Variable a524_ : Universe.
Variable a523_ : Universe.
Variable a522_ : Universe.
Variable a521_ : Universe.
Variable a520_ : Universe.
Variable a519_ : Universe.
Variable a518_ : Universe.
Variable a517_ : Universe.
Variable a516_ : Universe.
Variable a515_ : Universe.
Variable a514_ : Universe.
Variable a513_ : Universe.
Variable a512_ : Universe.
Variable a511_ : Universe.
Variable a510_ : Universe.
Variable a509_ : Universe.
Variable a508_ : Universe.
Variable a507_ : Universe.
Variable a506_ : Universe.
Variable a505_ : Universe.
Variable a504_ : Universe.
Variable a503_ : Universe.
Variable a502_ : Universe.
Variable a501_ : Universe.
Variable a500_ : Universe.
Variable a499_ : Universe.
Variable a498_ : Universe.
Variable a497_ : Universe.
Variable a496_ : Universe.
Variable a495_ : Universe.
Variable a494_ : Universe.
Variable a493_ : Universe.
Variable a492_ : Universe.
Variable a491_ : Universe.
Variable a490_ : Universe.
Variable a489_ : Universe.
Variable a488_ : Universe.
Variable a487_ : Universe.
Variable a486_ : Universe.
Variable a485_ : Universe.
Variable a484_ : Universe.
Variable a483_ : Universe.
Variable a482_ : Universe.
Variable a481_ : Universe.
Variable a480_ : Universe.
Variable a479_ : Universe.
Variable a478_ : Universe.
Variable a477_ : Universe.
Variable a476_ : Universe.
Variable a475_ : Universe.
Variable a474_ : Universe.
Variable a473_ : Universe.
Variable a472_ : Universe.
Variable a471_ : Universe.
Variable a470_ : Universe.
Variable a469_ : Universe.
Variable a468_ : Universe.
Variable a467_ : Universe.
Variable a466_ : Universe.
Variable a465_ : Universe.
Variable a464_ : Universe.
Variable a463_ : Universe.
Variable a462_ : Universe.
Variable a461_ : Universe.
Variable a460_ : Universe.
Variable a459_ : Universe.
Variable a458_ : Universe.
Variable a457_ : Universe.
Variable a456_ : Universe.


Theorem co1_1 : ~((((forall U : Universe, (ndr1_0_ -> (~(c4_1_ U) \/ ((ndr1_1_ U /\ (~(c4_2_ U a456_) /\ (c6_2_ U a456_ /\ c8_2_ U a456_))) \/ (ndr1_1_ U /\ (~(c6_2_ U a457_) /\ (c7_2_ U a457_ /\ c5_2_ U a457_))))))) \/ (c2_0_ \/ ~(c7_0_))) /\ ((c2_0_ \/ ~(c1_0_)) /\ ((~(c8_0_) \/ ((ndr1_0_ /\ (~(c6_1_ a458_) /\ (c4_1_ a458_ /\ ~(c2_1_ a458_)))) \/ (forall V : Universe, (ndr1_0_ -> (~(c6_1_ V) \/ (c2_1_ V \/ (forall W : Universe, (ndr1_1_ V -> (c3_2_ V W \/ ~(c7_2_ V W)))))))))) /\ (((forall X : Universe, (ndr1_0_ -> (~(c3_1_ X) \/ (~(c8_1_ X) \/ (ndr1_1_ X /\ (~(c6_2_ X a459_) /\ (~(c3_2_ X a459_) /\ c7_2_ X a459_))))))) \/ (~(c6_0_) \/ (forall Y : Universe, (ndr1_0_ -> (ndr1_1_ Y /\ (c8_2_ Y a460_ /\ (c5_2_ Y a460_ /\ c1_2_ Y a460_))))))) /\ (((forall Z : Universe, (ndr1_0_ -> ((forall X1 : Universe, (ndr1_1_ Z -> (~(c7_2_ Z X1) \/ ~(c8_2_ Z X1)))) \/ ((ndr1_1_ Z /\ (~(c7_2_ Z a461_) /\ (~(c2_2_ Z a461_) /\ ~(c4_2_ Z a461_)))) \/ ~(c8_1_ Z))))) \/ (c2_0_ \/ c6_0_)) /\ (((forall X2 : Universe, (ndr1_0_ -> ((forall X3 : Universe, (ndr1_1_ X2 -> (~(c2_2_ X2 X3) \/ (c6_2_ X2 X3 \/ ~(c4_2_ X2 X3))))) \/ ((ndr1_1_ X2 /\ (~(c1_2_ X2 a462_) /\ (~(c7_2_ X2 a462_) /\ ~(c6_2_ X2 a462_)))) \/ ~(c8_1_ X2))))) \/ (~(c5_0_) \/ (ndr1_0_ /\ (c7_1_ a463_ /\ (~(c1_1_ a463_) /\ ~(c5_1_ a463_)))))) /\ ((c6_0_ \/ ((ndr1_0_ /\ (c2_1_ a464_ /\ (c8_1_ a464_ /\ ~(c7_1_ a464_)))) \/ ~(c1_0_))) /\ (((forall X4 : Universe, (ndr1_0_ -> ((forall X5 : Universe, (ndr1_1_ X4 -> (~(c6_2_ X4 X5) \/ (c5_2_ X4 X5 \/ ~(c7_2_ X4 X5))))) \/ ((ndr1_1_ X4 /\ (~(c1_2_ X4 a465_) /\ (~(c5_2_ X4 a465_) /\ ~(c7_2_ X4 a465_)))) \/ c8_1_ X4)))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c8_1_ X6 \/ ((forall X7 : Universe, (ndr1_1_ X6 -> (~(c6_2_ X6 X7) \/ (c1_2_ X6 X7 \/ ~(c2_2_ X6 X7))))) \/ ~(c1_1_ X6))))) \/ (forall X8 : Universe, (ndr1_0_ -> (c1_1_ X8 \/ (c2_1_ X8 \/ (forall X9 : Universe, (ndr1_1_ X8 -> (c1_2_ X8 X9 \/ (c7_2_ X8 X9 \/ c3_2_ X8 X9)))))))))) /\ (((ndr1_0_ /\ (c1_1_ a466_ /\ ~(c8_1_ a466_))) \/ ~(c2_0_)) /\ ((c8_0_ \/ ~(c5_0_)) /\ (((forall X10 : Universe, (ndr1_0_ -> ((forall X11 : Universe, (ndr1_1_ X10 -> (c8_2_ X10 X11 \/ (~(c4_2_ X10 X11) \/ ~(c7_2_ X10 X11))))) \/ (c8_1_ X10 \/ ~(c2_1_ X10))))) \/ (forall X12 : Universe, (ndr1_0_ -> ((ndr1_1_ X12 /\ (c8_2_ X12 a467_ /\ (c2_2_ X12 a467_ /\ c3_2_ X12 a467_))) \/ (~(c6_1_ X12) \/ ~(c8_1_ X12)))))) /\ ((~(c4_0_) \/ (ndr1_0_ /\ (c6_1_ a468_ /\ (~(c4_1_ a468_) /\ ~(c3_1_ a468_))))) /\ (((forall X13 : Universe, (ndr1_0_ -> ((ndr1_1_ X13 /\ (c2_2_ X13 a469_ /\ (~(c8_2_ X13 a469_) /\ ~(c6_2_ X13 a469_)))) \/ ((forall X14 : Universe, (ndr1_1_ X13 -> (c3_2_ X13 X14 \/ (~(c6_2_ X13 X14) \/ ~(c2_2_ X13 X14))))) \/ c8_1_ X13)))) \/ (c6_0_ \/ c2_0_)) /\ (((ndr1_0_ /\ ((forall X15 : Universe, (ndr1_1_ a470_ -> (~(c1_2_ a470_ X15) \/ (c7_2_ a470_ X15 \/ ~(c4_2_ a470_ X15))))) /\ (c7_1_ a470_ /\ (forall X16 : Universe, (ndr1_1_ a470_ -> (~(c8_2_ a470_ X16) \/ c7_2_ a470_ X16)))))) \/ (c8_0_ \/ (ndr1_0_ /\ (c3_1_ a471_ /\ (ndr1_1_ a471_ /\ (c7_2_ a471_ a472_ /\ (~(c5_2_ a471_ a472_) /\ (forall X17 : Universe, (ndr1_1_ a471_ -> (c3_2_ a471_ X17 \/ (c1_2_ a471_ X17 \/ c6_2_ a471_ X17))))))))))) /\ (c3_0_ /\ ((~(c7_0_) \/ ((forall X18 : Universe, (ndr1_0_ -> ((ndr1_1_ X18 /\ (c8_2_ X18 a473_ /\ (c4_2_ X18 a473_ /\ ~(c3_2_ X18 a473_)))) \/ ~(c3_1_ X18)))) \/ (forall X19 : Universe, (ndr1_0_ -> (forall X20 : Universe, (ndr1_1_ X19 -> (~(c8_2_ X19 X20) \/ (~(c4_2_ X19 X20) \/ ~(c1_2_ X19 X20))))))))) /\ (((forall X21 : Universe, (ndr1_0_ -> ((ndr1_1_ X21 /\ (c6_2_ X21 a474_ /\ (c7_2_ X21 a474_ /\ c1_2_ X21 a474_))) \/ ~(c5_1_ X21)))) \/ ((forall X22 : Universe, (ndr1_0_ -> (c6_1_ X22 \/ (~(c7_1_ X22) \/ (forall X23 : Universe, (ndr1_1_ X22 -> (c1_2_ X22 X23 \/ (c4_2_ X22 X23 \/ ~(c6_2_ X22 X23))))))))) \/ (forall X24 : Universe, (ndr1_0_ -> ((forall X25 : Universe, (ndr1_1_ X24 -> (c4_2_ X24 X25 \/ (~(c6_2_ X24 X25) \/ ~(c3_2_ X24 X25))))) \/ (c8_1_ X24 \/ ~(c3_1_ X24))))))) /\ (((ndr1_0_ /\ ((forall X26 : Universe, (ndr1_1_ a475_ -> (~(c8_2_ a475_ X26) \/ (c4_2_ a475_ X26 \/ c5_2_ a475_ X26)))) /\ (ndr1_1_ a475_ /\ (c5_2_ a475_ a476_ /\ (~(c3_2_ a475_ a476_) /\ (c7_2_ a475_ a476_ /\ (ndr1_1_ a475_ /\ (c4_2_ a475_ a477_ /\ (c6_2_ a475_ a477_ /\ c7_2_ a475_ a477_))))))))) \/ (c7_0_ \/ ~(c2_0_))) /\ (((forall X27 : Universe, (ndr1_0_ -> ((ndr1_1_ X27 /\ (~(c4_2_ X27 a478_) /\ (c7_2_ X27 a478_ /\ ~(c5_2_ X27 a478_)))) \/ (~(c3_1_ X27) \/ (forall X28 : Universe, (ndr1_1_ X27 -> (~(c6_2_ X27 X28) \/ ~(c1_2_ X27 X28)))))))) \/ (c2_0_ \/ ~(c1_0_))) /\ ((~(c6_0_) \/ ((forall X29 : Universe, (ndr1_0_ -> ((forall X30 : Universe, (ndr1_1_ X29 -> (c3_2_ X29 X30 \/ (c1_2_ X29 X30 \/ ~(c8_2_ X29 X30))))) \/ (~(c8_1_ X29) \/ (ndr1_1_ X29 /\ (c6_2_ X29 a479_ /\ ~(c7_2_ X29 a479_))))))) \/ (forall X31 : Universe, (ndr1_0_ -> ((ndr1_1_ X31 /\ (c3_2_ X31 a480_ /\ (c4_2_ X31 a480_ /\ ~(c6_2_ X31 a480_)))) \/ (c3_1_ X31 \/ ~(c2_1_ X31))))))) /\ ((c5_0_ \/ ((forall X32 : Universe, (ndr1_0_ -> ((forall X33 : Universe, (ndr1_1_ X32 -> (c4_2_ X32 X33 \/ (~(c6_2_ X32 X33) \/ ~(c3_2_ X32 X33))))) \/ (c8_1_ X32 \/ (ndr1_1_ X32 /\ (c2_2_ X32 a481_ /\ c8_2_ X32 a481_)))))) \/ (ndr1_0_ /\ (ndr1_1_ a482_ /\ (c3_2_ a482_ a483_ /\ (c2_2_ a482_ a483_ /\ (c8_2_ a482_ a483_ /\ ((forall X34 : Universe, (ndr1_1_ a482_ -> (c2_2_ a482_ X34 \/ (~(c6_2_ a482_ X34) \/ ~(c8_2_ a482_ X34))))) /\ (ndr1_1_ a482_ /\ (c5_2_ a482_ a484_ /\ (~(c6_2_ a482_ a484_) /\ ~(c4_2_ a482_ a484_)))))))))))) /\ (((forall X35 : Universe, (ndr1_0_ -> (~(c8_1_ X35) \/ ((ndr1_1_ X35 /\ (~(c2_2_ X35 a485_) /\ (~(c3_2_ X35 a485_) /\ ~(c1_2_ X35 a485_)))) \/ (ndr1_1_ X35 /\ (c6_2_ X35 a486_ /\ (c1_2_ X35 a486_ /\ c5_2_ X35 a486_))))))) \/ (~(c5_0_) \/ c7_0_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (~(c2_1_ X36) \/ (c5_1_ X36 \/ (ndr1_1_ X36 /\ (c1_2_ X36 a487_ /\ c4_2_ X36 a487_)))))) \/ ((ndr1_0_ /\ (~(c3_1_ a488_) /\ (c4_1_ a488_ /\ (forall X37 : Universe, (ndr1_1_ a488_ -> (~(c6_2_ a488_ X37) \/ (c2_2_ a488_ X37 \/ c5_2_ a488_ X37))))))) \/ c1_0_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c4_1_ X38 \/ ((ndr1_1_ X38 /\ (c4_2_ X38 a489_ /\ (~(c8_2_ X38 a489_) /\ ~(c3_2_ X38 a489_)))) \/ (forall X39 : Universe, (ndr1_1_ X38 -> (c1_2_ X38 X39 \/ (c5_2_ X38 X39 \/ ~(c8_2_ X38 X39))))))))) \/ (c8_0_ \/ ~(c7_0_))) /\ ((c5_0_ \/ ((forall X40 : Universe, (ndr1_0_ -> (~(c8_1_ X40) \/ (~(c7_1_ X40) \/ (ndr1_1_ X40 /\ (c4_2_ X40 a490_ /\ (~(c6_2_ X40 a490_) /\ c7_2_ X40 a490_))))))) \/ c6_0_)) /\ (((ndr1_0_ /\ (~(c4_1_ a491_) /\ ((forall X41 : Universe, (ndr1_1_ a491_ -> (c6_2_ a491_ X41 \/ (c4_2_ a491_ X41 \/ c3_2_ a491_ X41)))) /\ ~(c5_1_ a491_)))) \/ ((forall X42 : Universe, (ndr1_0_ -> ((forall X43 : Universe, (ndr1_1_ X42 -> (c3_2_ X42 X43 \/ (~(c5_2_ X42 X43) \/ ~(c8_2_ X42 X43))))) \/ ((ndr1_1_ X42 /\ (c4_2_ X42 a492_ /\ (~(c6_2_ X42 a492_) /\ ~(c7_2_ X42 a492_)))) \/ (ndr1_1_ X42 /\ (~(c6_2_ X42 a493_) /\ (c1_2_ X42 a493_ /\ ~(c2_2_ X42 a493_)))))))) \/ (ndr1_0_ /\ (c1_1_ a494_ /\ (ndr1_1_ a494_ /\ (~(c3_2_ a494_ a495_) /\ (c8_2_ a494_ a495_ /\ c4_1_ a494_))))))) /\ ((c7_0_ \/ (c2_0_ \/ c8_0_)) /\ ((~(c4_0_) \/ (~(c6_0_) \/ (ndr1_0_ /\ ((forall X44 : Universe, (ndr1_1_ a496_ -> (c3_2_ a496_ X44 \/ (~(c8_2_ a496_ X44) \/ ~(c2_2_ a496_ X44))))) /\ (ndr1_1_ a496_ /\ (~(c4_2_ a496_ a497_) /\ (c3_2_ a496_ a497_ /\ (c6_2_ a496_ a497_ /\ ~(c2_1_ a496_))))))))) /\ ((c2_0_ \/ ((forall X45 : Universe, (ndr1_0_ -> (~(c5_1_ X45) \/ ((forall X46 : Universe, (ndr1_1_ X45 -> (~(c7_2_ X45 X46) \/ (c2_2_ X45 X46 \/ ~(c1_2_ X45 X46))))) \/ (forall X47 : Universe, (ndr1_1_ X45 -> (c1_2_ X45 X47 \/ (~(c5_2_ X45 X47) \/ c2_2_ X45 X47)))))))) \/ (forall X48 : Universe, (ndr1_0_ -> (c1_1_ X48 \/ (c2_1_ X48 \/ ~(c4_1_ X48))))))) /\ ((c1_0_ \/ (c2_0_ \/ (ndr1_0_ /\ (ndr1_1_ a498_ /\ (c3_2_ a498_ a499_ /\ (c7_2_ a498_ a499_ /\ (~(c8_2_ a498_ a499_) /\ (c7_1_ a498_ /\ (ndr1_1_ a498_ /\ (c8_2_ a498_ a500_ /\ (c4_2_ a498_ a500_ /\ ~(c7_2_ a498_ a500_)))))))))))) /\ (((ndr1_0_ /\ (c5_1_ a501_ /\ (~(c6_1_ a501_) /\ ~(c8_1_ a501_)))) \/ (c7_0_ \/ (forall X49 : Universe, (ndr1_0_ -> ((forall X50 : Universe, (ndr1_1_ X49 -> (c7_2_ X49 X50 \/ (c6_2_ X49 X50 \/ c1_2_ X49 X50)))) \/ (c1_1_ X49 \/ ~(c2_1_ X49))))))) /\ (((forall X51 : Universe, (ndr1_0_ -> ((ndr1_1_ X51 /\ (~(c1_2_ X51 a502_) /\ (~(c7_2_ X51 a502_) /\ ~(c8_2_ X51 a502_)))) \/ ((ndr1_1_ X51 /\ (~(c3_2_ X51 a503_) /\ (~(c4_2_ X51 a503_) /\ c1_2_ X51 a503_))) \/ (ndr1_1_ X51 /\ (~(c5_2_ X51 a504_) /\ (c8_2_ X51 a504_ /\ ~(c3_2_ X51 a504_)))))))) \/ ((ndr1_0_ /\ (~(c2_1_ a505_) /\ (ndr1_1_ a505_ /\ (~(c8_2_ a505_ a506_) /\ (c6_2_ a505_ a506_ /\ ~(c1_2_ a505_ a506_)))))) \/ ~(c4_0_))) /\ (((forall X52 : Universe, (ndr1_0_ -> (~(c6_1_ X52) \/ (ndr1_1_ X52 /\ (~(c2_2_ X52 a507_) /\ c5_2_ X52 a507_))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (~(c8_1_ X53) \/ (~(c1_1_ X53) \/ ~(c5_1_ X53))))) \/ c6_0_)) /\ ((~(c6_0_) \/ ((forall X54 : Universe, (ndr1_0_ -> (~(c4_1_ X54) \/ (forall X55 : Universe, (ndr1_1_ X54 -> (~(c4_2_ X54 X55) \/ (~(c3_2_ X54 X55) \/ ~(c7_2_ X54 X55)))))))) \/ (ndr1_0_ /\ (~(c2_1_ a508_) /\ c1_1_ a508_)))) /\ ((~(c4_0_) \/ (c7_0_ \/ (ndr1_0_ /\ (ndr1_1_ a509_ /\ (c4_2_ a509_ a510_ /\ (~(c8_2_ a509_ a510_) /\ (~(c1_2_ a509_ a510_) /\ (ndr1_1_ a509_ /\ (~(c5_2_ a509_ a511_) /\ (~(c6_2_ a509_ a511_) /\ c3_2_ a509_ a511_)))))))))) /\ ((~(c5_0_) \/ (~(c1_0_) \/ ~(c8_0_))) /\ (((ndr1_0_ /\ (c6_1_ a512_ /\ (ndr1_1_ a512_ /\ (~(c1_2_ a512_ a513_) /\ (~(c2_2_ a512_ a513_) /\ c3_2_ a512_ a513_))))) \/ ((ndr1_0_ /\ ((forall X56 : Universe, (ndr1_1_ a514_ -> (c6_2_ a514_ X56 \/ (~(c4_2_ a514_ X56) \/ ~(c8_2_ a514_ X56))))) /\ (c5_1_ a514_ /\ ~(c1_1_ a514_)))) \/ (forall X57 : Universe, (ndr1_0_ -> ((ndr1_1_ X57 /\ (~(c2_2_ X57 a515_) /\ (c7_2_ X57 a515_ /\ ~(c3_2_ X57 a515_)))) \/ ((ndr1_1_ X57 /\ (~(c6_2_ X57 a516_) /\ ~(c2_2_ X57 a516_))) \/ (forall X58 : Universe, (ndr1_1_ X57 -> (c5_2_ X57 X58 \/ ~(c4_2_ X57 X58)))))))))) /\ (((ndr1_0_ /\ (c6_1_ a517_ /\ (c4_1_ a517_ /\ c2_1_ a517_))) \/ (c8_0_ \/ (ndr1_0_ /\ (ndr1_1_ a518_ /\ (c7_2_ a518_ a519_ /\ (c5_2_ a518_ a519_ /\ (~(c4_2_ a518_ a519_) /\ c5_1_ a518_))))))) /\ (((forall X59 : Universe, (ndr1_0_ -> (~(c1_1_ X59) \/ (c7_1_ X59 \/ ~(c3_1_ X59))))) \/ ~(c5_0_)) /\ ((c5_0_ \/ ((ndr1_0_ /\ (~(c5_1_ a520_) /\ (~(c2_1_ a520_) /\ (ndr1_1_ a520_ /\ (~(c4_2_ a520_ a521_) /\ (c2_2_ a520_ a521_ /\ ~(c1_2_ a520_ a521_))))))) \/ c1_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a522_ /\ (~(c8_2_ a522_ a523_) /\ (c4_2_ a522_ a523_ /\ (c1_2_ a522_ a523_ /\ (ndr1_1_ a522_ /\ (~(c1_2_ a522_ a524_) /\ (c6_2_ a522_ a524_ /\ (~(c8_2_ a522_ a524_) /\ c6_1_ a522_))))))))) \/ (~(c5_0_) \/ c6_0_)) /\ (((forall X60 : Universe, (ndr1_0_ -> (c8_1_ X60 \/ (~(c4_1_ X60) \/ (forall X61 : Universe, (ndr1_1_ X60 -> (c3_2_ X60 X61 \/ (~(c6_2_ X60 X61) \/ ~(c4_2_ X60 X61))))))))) \/ (~(c2_0_) \/ (forall X62 : Universe, (ndr1_0_ -> (~(c3_1_ X62) \/ ((ndr1_1_ X62 /\ (c7_2_ X62 a525_ /\ (~(c6_2_ X62 a525_) /\ ~(c2_2_ X62 a525_)))) \/ c6_1_ X62)))))) /\ (((forall X63 : Universe, (ndr1_0_ -> ((ndr1_1_ X63 /\ (c7_2_ X63 a526_ /\ (~(c3_2_ X63 a526_) /\ c8_2_ X63 a526_))) \/ ((ndr1_1_ X63 /\ (~(c2_2_ X63 a527_) /\ (~(c1_2_ X63 a527_) /\ c4_2_ X63 a527_))) \/ (forall X64 : Universe, (ndr1_1_ X63 -> (~(c1_2_ X63 X64) \/ (c3_2_ X63 X64 \/ c2_2_ X63 X64)))))))) \/ (~(c4_0_) \/ (forall X65 : Universe, (ndr1_0_ -> ((forall X66 : Universe, (ndr1_1_ X65 -> (c3_2_ X65 X66 \/ (~(c7_2_ X65 X66) \/ c8_2_ X65 X66)))) \/ ((ndr1_1_ X65 /\ (c6_2_ X65 a528_ /\ (c2_2_ X65 a528_ /\ ~(c5_2_ X65 a528_)))) \/ c2_1_ X65)))))) /\ ((c2_0_ \/ ((forall X67 : Universe, (ndr1_0_ -> (~(c8_1_ X67) \/ ((ndr1_1_ X67 /\ (~(c8_2_ X67 a529_) /\ (~(c1_2_ X67 a529_) /\ ~(c5_2_ X67 a529_)))) \/ (forall X68 : Universe, (ndr1_1_ X67 -> (c7_2_ X67 X68 \/ c5_2_ X67 X68))))))) \/ ~(c5_0_))) /\ ((~(c2_0_) \/ ((ndr1_0_ /\ ((forall X69 : Universe, (ndr1_1_ a530_ -> (~(c6_2_ a530_ X69) \/ (c7_2_ a530_ X69 \/ ~(c4_2_ a530_ X69))))) /\ ((forall X70 : Universe, (ndr1_1_ a530_ -> (~(c6_2_ a530_ X70) \/ (~(c8_2_ a530_ X70) \/ ~(c3_2_ a530_ X70))))) /\ (forall X71 : Universe, (ndr1_1_ a530_ -> (c8_2_ a530_ X71 \/ (c4_2_ a530_ X71 \/ c7_2_ a530_ X71))))))) \/ (forall X72 : Universe, (ndr1_0_ -> (c8_1_ X72 \/ (~(c6_1_ X72) \/ c1_1_ X72)))))) /\ (((ndr1_0_ /\ (c4_1_ a531_ /\ (~(c5_1_ a531_) /\ ~(c6_1_ a531_)))) \/ (forall X73 : Universe, (ndr1_0_ -> ((forall X74 : Universe, (ndr1_1_ X73 -> (c3_2_ X73 X74 \/ (~(c8_2_ X73 X74) \/ ~(c1_2_ X73 X74))))) \/ (c5_1_ X73 \/ (forall X75 : Universe, (ndr1_1_ X73 -> (c3_2_ X73 X75 \/ (c6_2_ X73 X75 \/ ~(c7_2_ X73 X75)))))))))) /\ (((forall X76 : Universe, (ndr1_0_ -> (c2_1_ X76 \/ ((forall X77 : Universe, (ndr1_1_ X76 -> (~(c6_2_ X76 X77) \/ (c7_2_ X76 X77 \/ ~(c2_2_ X76 X77))))) \/ c4_1_ X76)))) \/ ((ndr1_0_ /\ ((forall X78 : Universe, (ndr1_1_ a532_ -> (c7_2_ a532_ X78 \/ (~(c4_2_ a532_ X78) \/ ~(c8_2_ a532_ X78))))) /\ (c3_1_ a532_ /\ c1_1_ a532_))) \/ (ndr1_0_ /\ ~(c3_1_ a533_)))) /\ (((ndr1_0_ /\ (c8_1_ a534_ /\ (ndr1_1_ a534_ /\ (~(c6_2_ a534_ a535_) /\ (c4_2_ a534_ a535_ /\ (c8_2_ a534_ a535_ /\ ~(c2_1_ a534_))))))) \/ ((forall X79 : Universe, (ndr1_0_ -> ((forall X80 : Universe, (ndr1_1_ X79 -> (~(c1_2_ X79 X80) \/ (~(c3_2_ X79 X80) \/ ~(c6_2_ X79 X80))))) \/ ((forall X81 : Universe, (ndr1_1_ X79 -> (c1_2_ X79 X81 \/ (c7_2_ X79 X81 \/ ~(c2_2_ X79 X81))))) \/ c6_1_ X79)))) \/ ~(c8_0_))) /\ ((c1_0_ \/ (~(c2_0_) \/ c8_0_)) /\ (((ndr1_0_ /\ ((forall X82 : Universe, (ndr1_1_ a536_ -> (c3_2_ a536_ X82 \/ (c5_2_ a536_ X82 \/ ~(c7_2_ a536_ X82))))) /\ (~(c7_1_ a536_) /\ c5_1_ a536_))) \/ ((ndr1_0_ /\ ((forall X83 : Universe, (ndr1_1_ a537_ -> (~(c3_2_ a537_ X83) \/ (~(c7_2_ a537_ X83) \/ ~(c2_2_ a537_ X83))))) /\ (~(c5_1_ a537_) /\ c4_1_ a537_))) \/ (ndr1_0_ /\ ((forall X84 : Universe, (ndr1_1_ a538_ -> (~(c7_2_ a538_ X84) \/ (c2_2_ a538_ X84 \/ c3_2_ a538_ X84)))) /\ ((forall X85 : Universe, (ndr1_1_ a538_ -> (c8_2_ a538_ X85 \/ (c7_2_ a538_ X85 \/ ~(c1_2_ a538_ X85))))) /\ c1_1_ a538_))))) /\ ((~(c7_0_) \/ ((forall X86 : Universe, (ndr1_0_ -> (c1_1_ X86 \/ (c6_1_ X86 \/ c5_1_ X86)))) \/ (ndr1_0_ /\ (ndr1_1_ a539_ /\ (c8_2_ a539_ a540_ /\ (~(c5_2_ a539_ a540_) /\ (c3_2_ a539_ a540_ /\ (c6_1_ a539_ /\ (ndr1_1_ a539_ /\ (~(c2_2_ a539_ a541_) /\ (~(c5_2_ a539_ a541_) /\ c8_2_ a539_ a541_))))))))))) /\ ((~(c5_0_) \/ (~(c7_0_) \/ (forall X87 : Universe, (ndr1_0_ -> (c5_1_ X87 \/ (~(c2_1_ X87) \/ c7_1_ X87)))))) /\ (((forall X88 : Universe, (ndr1_0_ -> (~(c8_1_ X88) \/ ~(c2_1_ X88)))) \/ ((ndr1_0_ /\ ((forall X89 : Universe, (ndr1_1_ a542_ -> (c7_2_ a542_ X89 \/ ~(c4_2_ a542_ X89)))) /\ (c2_1_ a542_ /\ (ndr1_1_ a542_ /\ (c8_2_ a542_ a543_ /\ ~(c4_2_ a542_ a543_)))))) \/ (ndr1_0_ /\ ((forall X90 : Universe, (ndr1_1_ a544_ -> (c1_2_ a544_ X90 \/ c4_2_ a544_ X90))) /\ (ndr1_1_ a544_ /\ (~(c7_2_ a544_ a545_) /\ (~(c4_2_ a544_ a545_) /\ ~(c3_2_ a544_ a545_)))))))) /\ (((ndr1_0_ /\ (~(c4_1_ a546_) /\ ((forall X91 : Universe, (ndr1_1_ a546_ -> (c8_2_ a546_ X91 \/ (~(c1_2_ a546_ X91) \/ ~(c4_2_ a546_ X91))))) /\ (ndr1_1_ a546_ /\ (~(c2_2_ a546_ a547_) /\ (c7_2_ a546_ a547_ /\ ~(c8_2_ a546_ a547_))))))) \/ (forall X92 : Universe, (ndr1_0_ -> ((forall X93 : Universe, (ndr1_1_ X92 -> (~(c6_2_ X92 X93) \/ (~(c8_2_ X92 X93) \/ c3_2_ X92 X93)))) \/ ((ndr1_1_ X92 /\ (c2_2_ X92 a548_ /\ (~(c4_2_ X92 a548_) /\ ~(c7_2_ X92 a548_)))) \/ ~(c1_1_ X92)))))) /\ (((ndr1_0_ /\ (ndr1_1_ a549_ /\ (c4_2_ a549_ a550_ /\ (~(c1_2_ a549_ a550_) /\ (c6_2_ a549_ a550_ /\ (ndr1_1_ a549_ /\ (c2_2_ a549_ a551_ /\ (c8_2_ a549_ a551_ /\ (c5_2_ a549_ a551_ /\ ~(c2_1_ a549_)))))))))) \/ (~(c4_0_) \/ ~(c8_0_))) /\ ((c7_0_ \/ ((ndr1_0_ /\ ((forall X94 : Universe, (ndr1_1_ a552_ -> (c6_2_ a552_ X94 \/ (c8_2_ a552_ X94 \/ c2_2_ a552_ X94)))) /\ (~(c8_1_ a552_) /\ c6_1_ a552_))) \/ (forall X95 : Universe, (ndr1_0_ -> (~(c4_1_ X95) \/ (~(c5_1_ X95) \/ (ndr1_1_ X95 /\ (~(c2_2_ X95 a553_) /\ (c7_2_ X95 a553_ /\ ~(c3_2_ X95 a553_)))))))))) /\ ((~(c8_0_) \/ ~(c5_0_)) /\ ((~(c5_0_) \/ (forall X96 : Universe, (ndr1_0_ -> (~(c5_1_ X96) \/ ((ndr1_1_ X96 /\ (~(c6_2_ X96 a554_) /\ ~(c3_2_ X96 a554_))) \/ (ndr1_1_ X96 /\ (c5_2_ X96 a555_ /\ (c1_2_ X96 a555_ /\ ~(c4_2_ X96 a555_))))))))) /\ ((c8_0_ \/ ((forall X97 : Universe, (ndr1_0_ -> ((forall X98 : Universe, (ndr1_1_ X97 -> (c2_2_ X97 X98 \/ c7_2_ X97 X98))) \/ c6_1_ X97))) \/ ~(c2_0_))) /\ ((c5_0_ \/ (~(c2_0_) \/ c8_0_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c7_1_ X99 \/ (~(c6_1_ X99) \/ (ndr1_1_ X99 /\ (~(c4_2_ X99 a556_) /\ (c8_2_ X99 a556_ /\ c7_2_ X99 a556_))))))) \/ (~(c7_0_) \/ c8_0_)) /\ (((forall X100 : Universe, (ndr1_0_ -> ((ndr1_1_ X100 /\ (~(c6_2_ X100 a557_) /\ (~(c2_2_ X100 a557_) /\ c1_2_ X100 a557_))) \/ ((forall X101 : Universe, (ndr1_1_ X100 -> (c8_2_ X100 X101 \/ c2_2_ X100 X101))) \/ c7_1_ X100)))) \/ ((forall X102 : Universe, (ndr1_0_ -> (~(c6_1_ X102) \/ (~(c3_1_ X102) \/ c5_1_ X102)))) \/ c5_0_)) /\ (((ndr1_0_ /\ (c1_1_ a558_ /\ c6_1_ a558_)) \/ ~(c7_0_)) /\ ((c8_0_ \/ (~(c1_0_) \/ c7_0_)) /\ (((ndr1_0_ /\ (c7_1_ a559_ /\ (ndr1_1_ a559_ /\ (c4_2_ a559_ a560_ /\ (c7_2_ a559_ a560_ /\ ~(c6_1_ a559_)))))) \/ (~(c8_0_) \/ (forall X103 : Universe, (ndr1_0_ -> (~(c8_1_ X103) \/ ((forall X104 : Universe, (ndr1_1_ X103 -> (c7_2_ X103 X104 \/ (c2_2_ X103 X104 \/ c8_2_ X103 X104)))) \/ (forall X105 : Universe, (ndr1_1_ X103 -> (c3_2_ X103 X105 \/ (~(c6_2_ X103 X105) \/ ~(c2_2_ X103 X105))))))))))) /\ ((c5_0_ \/ ~(c1_0_)) /\ ((~(c4_0_) \/ (ndr1_0_ /\ ((forall X106 : Universe, (ndr1_1_ a561_ -> (c8_2_ a561_ X106 \/ c4_2_ a561_ X106))) /\ (~(c5_1_ a561_) /\ ~(c2_1_ a561_))))) /\ (((ndr1_0_ /\ (ndr1_1_ a562_ /\ (~(c1_2_ a562_ a563_) /\ (c8_2_ a562_ a563_ /\ (c2_2_ a562_ a563_ /\ ~(c7_1_ a562_)))))) \/ (~(c2_0_) \/ c6_0_)) /\ (((ndr1_0_ /\ (c7_1_ a564_ /\ ((forall X107 : Universe, (ndr1_1_ a564_ -> (c3_2_ a564_ X107 \/ (c8_2_ a564_ X107 \/ ~(c1_2_ a564_ X107))))) /\ c5_1_ a564_))) \/ ((ndr1_0_ /\ (c6_1_ a565_ /\ (c3_1_ a565_ /\ c2_1_ a565_))) \/ (ndr1_0_ /\ (ndr1_1_ a566_ /\ (~(c8_2_ a566_ a567_) /\ (c6_2_ a566_ a567_ /\ (~(c1_2_ a566_ a567_) /\ (c1_1_ a566_ /\ (forall X108 : Universe, (ndr1_1_ a566_ -> (~(c2_2_ a566_ X108) \/ (c5_2_ a566_ X108 \/ ~(c1_2_ a566_ X108))))))))))))) /\ ((~(c7_0_) \/ ((ndr1_0_ /\ ((forall X109 : Universe, (ndr1_1_ a568_ -> (c6_2_ a568_ X109 \/ c4_2_ a568_ X109))) /\ ~(c4_1_ a568_))) \/ (ndr1_0_ /\ (c4_1_ a569_ /\ ((forall X110 : Universe, (ndr1_1_ a569_ -> (c6_2_ a569_ X110 \/ (c3_2_ a569_ X110 \/ ~(c4_2_ a569_ X110))))) /\ c3_1_ a569_))))) /\ (((ndr1_0_ /\ (c4_1_ a570_ /\ (c5_1_ a570_ /\ (ndr1_1_ a570_ /\ (c2_2_ a570_ a571_ /\ (c1_2_ a570_ a571_ /\ c3_2_ a570_ a571_)))))) \/ c5_0_) /\ ((c1_0_ \/ (c5_0_ \/ (forall X111 : Universe, (ndr1_0_ -> ((forall X112 : Universe, (ndr1_1_ X111 -> (c2_2_ X111 X112 \/ c5_2_ X111 X112))) \/ ((ndr1_1_ X111 /\ (~(c6_2_ X111 a572_) /\ (~(c5_2_ X111 a572_) /\ c2_2_ X111 a572_))) \/ ~(c4_1_ X111))))))) /\ (((ndr1_0_ /\ (c1_1_ a573_ /\ (c3_1_ a573_ /\ (forall X113 : Universe, (ndr1_1_ a573_ -> (~(c6_2_ a573_ X113) \/ (~(c2_2_ a573_ X113) \/ c5_2_ a573_ X113))))))) \/ ((forall X114 : Universe, (ndr1_0_ -> (c8_1_ X114 \/ ((forall X115 : Universe, (ndr1_1_ X114 -> (c5_2_ X114 X115 \/ (c4_2_ X114 X115 \/ ~(c7_2_ X114 X115))))) \/ (forall X116 : Universe, (ndr1_1_ X114 -> (c2_2_ X114 X116 \/ (~(c3_2_ X114 X116) \/ c1_2_ X114 X116)))))))) \/ c1_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a574_ /\ (~(c6_2_ a574_ a575_) /\ (~(c1_2_ a574_ a575_) /\ (c4_2_ a574_ a575_ /\ ((forall X117 : Universe, (ndr1_1_ a574_ -> (~(c4_2_ a574_ X117) \/ (~(c2_2_ a574_ X117) \/ ~(c3_2_ a574_ X117))))) /\ ~(c3_1_ a574_))))))) \/ (~(c2_0_) \/ (forall X118 : Universe, (ndr1_0_ -> (~(c6_1_ X118) \/ (c5_1_ X118 \/ (forall X119 : Universe, (ndr1_1_ X118 -> (c8_2_ X118 X119 \/ (c7_2_ X118 X119 \/ c6_2_ X118 X119)))))))))) /\ (((forall X120 : Universe, (ndr1_0_ -> ((forall X121 : Universe, (ndr1_1_ X120 -> (c3_2_ X120 X121 \/ (~(c2_2_ X120 X121) \/ c8_2_ X120 X121)))) \/ ((forall X122 : Universe, (ndr1_1_ X120 -> (~(c1_2_ X120 X122) \/ (c5_2_ X120 X122 \/ c3_2_ X120 X122)))) \/ (forall X123 : Universe, (ndr1_1_ X120 -> (c6_2_ X120 X123 \/ c2_2_ X120 X123))))))) \/ ((forall X124 : Universe, (ndr1_0_ -> (c7_1_ X124 \/ (~(c1_1_ X124) \/ (ndr1_1_ X124 /\ (c4_2_ X124 a576_ /\ ~(c8_2_ X124 a576_))))))) \/ (ndr1_0_ /\ (~(c7_1_ a577_) /\ (ndr1_1_ a577_ /\ (c8_2_ a577_ a578_ /\ (c1_2_ a577_ a578_ /\ (c6_2_ a577_ a578_ /\ (ndr1_1_ a577_ /\ (~(c6_2_ a577_ a579_) /\ ~(c8_2_ a577_ a579_))))))))))) /\ (((forall X125 : Universe, (ndr1_0_ -> ((ndr1_1_ X125 /\ (c7_2_ X125 a580_ /\ (~(c5_2_ X125 a580_) /\ ~(c2_2_ X125 a580_)))) \/ (c4_1_ X125 \/ c8_1_ X125)))) \/ (c8_0_ \/ (forall X126 : Universe, (ndr1_0_ -> (c5_1_ X126 \/ (c6_1_ X126 \/ (forall X127 : Universe, (ndr1_1_ X126 -> (c4_2_ X126 X127 \/ (c7_2_ X126 X127 \/ c8_2_ X126 X127)))))))))) /\ ((~(c2_0_) \/ (ndr1_0_ /\ ((forall X128 : Universe, (ndr1_1_ a581_ -> (c7_2_ a581_ X128 \/ (c8_2_ a581_ X128 \/ c2_2_ a581_ X128)))) /\ (~(c6_1_ a581_) /\ c8_1_ a581_)))) /\ (((forall X129 : Universe, (ndr1_0_ -> (c3_1_ X129 \/ (c1_1_ X129 \/ (ndr1_1_ X129 /\ (~(c5_2_ X129 a582_) /\ (c3_2_ X129 a582_ /\ c2_2_ X129 a582_))))))) \/ (~(c4_0_) \/ ~(c8_0_))) /\ ((~(c7_0_) \/ ~(c4_0_)) /\ (((forall X130 : Universe, (ndr1_0_ -> (c4_1_ X130 \/ ((forall X131 : Universe, (ndr1_1_ X130 -> (c7_2_ X130 X131 \/ (~(c2_2_ X130 X131) \/ ~(c6_2_ X130 X131))))) \/ c7_1_ X130)))) \/ (forall X132 : Universe, (ndr1_0_ -> ((ndr1_1_ X132 /\ (c7_2_ X132 a583_ /\ (~(c4_2_ X132 a583_) /\ c2_2_ X132 a583_))) \/ (c5_1_ X132 \/ c7_1_ X132))))) /\ (((ndr1_0_ /\ (~(c6_1_ a584_) /\ (~(c2_1_ a584_) /\ c3_1_ a584_))) \/ c8_0_) /\ (((forall X133 : Universe, (ndr1_0_ -> (~(c5_1_ X133) \/ ~(c6_1_ X133)))) \/ ((ndr1_0_ /\ ((forall X134 : Universe, (ndr1_1_ a585_ -> (~(c4_2_ a585_ X134) \/ c3_2_ a585_ X134))) /\ (~(c8_1_ a585_) /\ (ndr1_1_ a585_ /\ (c2_2_ a585_ a586_ /\ (~(c3_2_ a585_ a586_) /\ c1_2_ a585_ a586_)))))) \/ ~(c5_0_))) /\ (((ndr1_0_ /\ (c3_1_ a587_ /\ (forall X135 : Universe, (ndr1_1_ a587_ -> (~(c5_2_ a587_ X135) \/ (~(c8_2_ a587_ X135) \/ c1_2_ a587_ X135)))))) \/ ((forall X136 : Universe, (ndr1_0_ -> ((forall X137 : Universe, (ndr1_1_ X136 -> (~(c2_2_ X136 X137) \/ c5_2_ X136 X137))) \/ ((ndr1_1_ X136 /\ (~(c1_2_ X136 a588_) /\ c5_2_ X136 a588_)) \/ (ndr1_1_ X136 /\ (c8_2_ X136 a589_ /\ (~(c7_2_ X136 a589_) /\ ~(c5_2_ X136 a589_)))))))) \/ (forall X138 : Universe, (ndr1_0_ -> ((forall X139 : Universe, (ndr1_1_ X138 -> (~(c4_2_ X138 X139) \/ (c8_2_ X138 X139 \/ ~(c2_2_ X138 X139))))) \/ (c6_1_ X138 \/ (forall X140 : Universe, (ndr1_1_ X138 -> (c2_2_ X138 X140 \/ (c6_2_ X138 X140 \/ ~(c8_2_ X138 X140))))))))))) /\ ((~(c5_0_) \/ (~(c4_0_) \/ ~(c6_0_))) /\ ((c5_0_ \/ (c6_0_ \/ (ndr1_0_ /\ (~(c3_1_ a590_) /\ (c7_1_ a590_ /\ (ndr1_1_ a590_ /\ (~(c3_2_ a590_ a591_) /\ ~(c2_2_ a590_ a591_)))))))) /\ (((ndr1_0_ /\ ((forall X141 : Universe, (ndr1_1_ a592_ -> (c5_2_ a592_ X141 \/ (c6_2_ a592_ X141 \/ ~(c1_2_ a592_ X141))))) /\ (~(c6_1_ a592_) /\ (forall X142 : Universe, (ndr1_1_ a592_ -> (c3_2_ a592_ X142 \/ ~(c5_2_ a592_ X142))))))) \/ ((forall X143 : Universe, (ndr1_0_ -> ((forall X144 : Universe, (ndr1_1_ X143 -> (~(c7_2_ X143 X144) \/ (c6_2_ X143 X144 \/ c2_2_ X143 X144)))) \/ (~(c6_1_ X143) \/ (ndr1_1_ X143 /\ (c8_2_ X143 a593_ /\ (~(c7_2_ X143 a593_) /\ ~(c4_2_ X143 a593_)))))))) \/ c7_0_)) /\ (((ndr1_0_ /\ (~(c1_1_ a594_) /\ (~(c6_1_ a594_) /\ (ndr1_1_ a594_ /\ (c1_2_ a594_ a595_ /\ (~(c6_2_ a594_ a595_) /\ ~(c4_2_ a594_ a595_))))))) \/ ~(c1_0_)) /\ ((~(c7_0_) \/ (c2_0_ \/ (forall X145 : Universe, (ndr1_0_ -> ((forall X146 : Universe, (ndr1_1_ X145 -> (c1_2_ X145 X146 \/ (c7_2_ X145 X146 \/ c4_2_ X145 X146)))) \/ (c3_1_ X145 \/ c6_1_ X145)))))) /\ (((ndr1_0_ /\ (~(c6_1_ a596_) /\ (c7_1_ a596_ /\ (forall X147 : Universe, (ndr1_1_ a596_ -> (~(c4_2_ a596_ X147) \/ ~(c1_2_ a596_ X147))))))) \/ ((ndr1_0_ /\ (ndr1_1_ a597_ /\ (c4_2_ a597_ a598_ /\ (c3_2_ a597_ a598_ /\ (c7_2_ a597_ a598_ /\ (~(c1_1_ a597_) /\ (ndr1_1_ a597_ /\ (c3_2_ a597_ a599_ /\ (c5_2_ a597_ a599_ /\ ~(c1_2_ a597_ a599_)))))))))) \/ c6_0_)) /\ ((c1_0_ \/ c6_0_) /\ (((ndr1_0_ /\ (c3_1_ a600_ /\ (forall X148 : Universe, (ndr1_1_ a600_ -> (~(c1_2_ a600_ X148) \/ c7_2_ a600_ X148))))) \/ (ndr1_0_ /\ (c7_1_ a601_ /\ (~(c1_1_ a601_) /\ c5_1_ a601_)))) /\ ((~(c1_0_) \/ (c5_0_ \/ ~(c8_0_))) /\ (((forall X149 : Universe, (ndr1_0_ -> ((forall X150 : Universe, (ndr1_1_ X149 -> (~(c8_2_ X149 X150) \/ (c1_2_ X149 X150 \/ c3_2_ X149 X150)))) \/ (c8_1_ X149 \/ c4_1_ X149)))) \/ (c1_0_ \/ (forall X151 : Universe, (ndr1_0_ -> (c3_1_ X151 \/ (~(c1_1_ X151) \/ c8_1_ X151)))))) /\ (((forall X152 : Universe, (ndr1_0_ -> (~(c3_1_ X152) \/ (c1_1_ X152 \/ c6_1_ X152)))) \/ (~(c1_0_) \/ c5_0_)) /\ ((c2_0_ \/ (~(c7_0_) \/ ~(c8_0_))) /\ ((c1_0_ \/ ((forall X153 : Universe, (ndr1_0_ -> (c2_1_ X153 \/ ((ndr1_1_ X153 /\ (c3_2_ X153 a602_ /\ (c4_2_ X153 a602_ /\ ~(c7_2_ X153 a602_)))) \/ c7_1_ X153)))) \/ ~(c7_0_))) /\ (((ndr1_0_ /\ (c5_1_ a603_ /\ ((forall X154 : Universe, (ndr1_1_ a603_ -> (~(c3_2_ a603_ X154) \/ (c7_2_ a603_ X154 \/ ~(c5_2_ a603_ X154))))) /\ ~(c4_1_ a603_)))) \/ (~(c5_0_) \/ ~(c8_0_))) /\ (c8_0_ \/ (~(c7_0_) \/ c5_0_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
