(*
% File     : ALG032+1 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Groups 6: REPRESENTATIVES-SATISFY-PROPS-PROBLEM-1
% Version  : Especial.
% English  : 
% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 
% Status   : Theorem
% Rating   : 0.78 v3.1.0, 0.89 v2.7.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    5 (   1 unit)
%            Number of atoms       :  592 ( 592 equality)
%            Maximal formula depth :  324 (  77 average)
%            Number of connectives :  602 (  15 ~  ; 215  |; 372  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   7 constant; 0-2 arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    3 (   2 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.


Variable unit_ : Universe.
Variable op_ : Universe -> Universe -> Universe.
Variable inv_ : Universe -> Universe.
Variable e5_ : Universe.
Variable e4_ : Universe.
Variable e3_ : Universe.
Variable e2_ : Universe.
Variable e1_ : Universe.
Variable e0_ : Universe.

Variable ax1_1 : (e0_ <> e1_ /\ (e0_ <> e2_ /\ (e0_ <> e3_ /\ (e0_ <> e4_ /\ (e0_ <> e5_ /\ (e1_ <> e2_ /\ (e1_ <> e3_ /\ (e1_ <> e4_ /\ (e1_ <> e5_ /\ (e2_ <> e3_ /\ (e2_ <> e4_ /\ (e2_ <> e5_ /\ (e3_ <> e4_ /\ (e3_ <> e5_ /\ e4_ <> e5_)))))))))))))).
Variable ax2_2 : ((op_ e0_ e0_) = e0_ /\ ((op_ e0_ e1_) = e1_ /\ ((op_ e0_ e2_) = e2_ /\ ((op_ e0_ e3_) = e3_ /\ ((op_ e0_ e4_) = e4_ /\ ((op_ e0_ e5_) = e5_ /\ ((op_ e1_ e0_) = e1_ /\ ((op_ e1_ e1_) = e0_ /\ ((op_ e1_ e2_) = e4_ /\ ((op_ e1_ e3_) = e5_ /\ ((op_ e1_ e4_) = e2_ /\ ((op_ e1_ e5_) = e3_ /\ ((op_ e2_ e0_) = e2_ /\ ((op_ e2_ e1_) = e4_ /\ ((op_ e2_ e2_) = e3_ /\ ((op_ e2_ e3_) = e0_ /\ ((op_ e2_ e4_) = e5_ /\ ((op_ e2_ e5_) = e1_ /\ ((op_ e3_ e0_) = e3_ /\ ((op_ e3_ e1_) = e5_ /\ ((op_ e3_ e2_) = e0_ /\ ((op_ e3_ e3_) = e2_ /\ ((op_ e3_ e4_) = e1_ /\ ((op_ e3_ e5_) = e4_ /\ ((op_ e4_ e0_) = e4_ /\ ((op_ e4_ e1_) = e2_ /\ ((op_ e4_ e2_) = e5_ /\ ((op_ e4_ e3_) = e1_ /\ ((op_ e4_ e4_) = e3_ /\ ((op_ e4_ e5_) = e0_ /\ ((op_ e5_ e0_) = e5_ /\ ((op_ e5_ e1_) = e3_ /\ ((op_ e5_ e2_) = e1_ /\ ((op_ e5_ e3_) = e4_ /\ ((op_ e5_ e4_) = e0_ /\ (op_ e5_ e5_) = e2_))))))))))))))))))))))))))))))))))).
Variable ax3_3 : unit_ = e0_.
Variable ax4_4 : ((inv_ e0_) = e0_ /\ ((inv_ e1_) = e1_ /\ ((inv_ e2_) = e3_ /\ ((inv_ e3_) = e2_ /\ ((inv_ e4_) = e5_ /\ (inv_ e5_) = e4_))))).

Theorem co1_5 : ((op_ e0_ e0_) = (op_ e0_ e0_) /\ ((op_ e0_ e1_) = (op_ e1_ e0_) /\ ((op_ e0_ e2_) = (op_ e2_ e0_) /\ ((op_ e0_ e3_) = (op_ e3_ e0_) /\ ((op_ e0_ e4_) = (op_ e4_ e0_) /\ ((op_ e0_ e5_) = (op_ e5_ e0_) /\ ((op_ e1_ e0_) = (op_ e0_ e1_) /\ ((op_ e1_ e1_) = (op_ e1_ e1_) /\ ((op_ e1_ e2_) = (op_ e2_ e1_) /\ ((op_ e1_ e3_) = (op_ e3_ e1_) /\ ((op_ e1_ e4_) = (op_ e4_ e1_) /\ ((op_ e1_ e5_) = (op_ e5_ e1_) /\ ((op_ e2_ e0_) = (op_ e0_ e2_) /\ ((op_ e2_ e1_) = (op_ e1_ e2_) /\ ((op_ e2_ e2_) = (op_ e2_ e2_) /\ ((op_ e2_ e3_) = (op_ e3_ e2_) /\ ((op_ e2_ e4_) = (op_ e4_ e2_) /\ ((op_ e2_ e5_) = (op_ e5_ e2_) /\ ((op_ e3_ e0_) = (op_ e0_ e3_) /\ ((op_ e3_ e1_) = (op_ e1_ e3_) /\ ((op_ e3_ e2_) = (op_ e2_ e3_) /\ ((op_ e3_ e3_) = (op_ e3_ e3_) /\ ((op_ e3_ e4_) = (op_ e4_ e3_) /\ ((op_ e3_ e5_) = (op_ e5_ e3_) /\ ((op_ e4_ e0_) = (op_ e0_ e4_) /\ ((op_ e4_ e1_) = (op_ e1_ e4_) /\ ((op_ e4_ e2_) = (op_ e2_ e4_) /\ ((op_ e4_ e3_) = (op_ e3_ e4_) /\ ((op_ e4_ e4_) = (op_ e4_ e4_) /\ ((op_ e4_ e5_) = (op_ e5_ e4_) /\ ((op_ e5_ e0_) = (op_ e0_ e5_) /\ ((op_ e5_ e1_) = (op_ e1_ e5_) /\ ((op_ e5_ e2_) = (op_ e2_ e5_) /\ ((op_ e5_ e3_) = (op_ e3_ e5_) /\ ((op_ e5_ e4_) = (op_ e4_ e5_) /\ ((op_ e5_ e5_) = (op_ e5_ e5_) /\ (((op_ e0_ e0_) = e0_ \/ ((op_ e0_ e0_) = e1_ \/ ((op_ e0_ e0_) = e2_ \/ ((op_ e0_ e0_) = e3_ \/ ((op_ e0_ e0_) = e4_ \/ (op_ e0_ e0_) = e5_))))) /\ (((op_ e0_ e1_) = e0_ \/ ((op_ e0_ e1_) = e1_ \/ ((op_ e0_ e1_) = e2_ \/ ((op_ e0_ e1_) = e3_ \/ ((op_ e0_ e1_) = e4_ \/ (op_ e0_ e1_) = e5_))))) /\ (((op_ e0_ e2_) = e0_ \/ ((op_ e0_ e2_) = e1_ \/ ((op_ e0_ e2_) = e2_ \/ ((op_ e0_ e2_) = e3_ \/ ((op_ e0_ e2_) = e4_ \/ (op_ e0_ e2_) = e5_))))) /\ (((op_ e0_ e3_) = e0_ \/ ((op_ e0_ e3_) = e1_ \/ ((op_ e0_ e3_) = e2_ \/ ((op_ e0_ e3_) = e3_ \/ ((op_ e0_ e3_) = e4_ \/ (op_ e0_ e3_) = e5_))))) /\ (((op_ e0_ e4_) = e0_ \/ ((op_ e0_ e4_) = e1_ \/ ((op_ e0_ e4_) = e2_ \/ ((op_ e0_ e4_) = e3_ \/ ((op_ e0_ e4_) = e4_ \/ (op_ e0_ e4_) = e5_))))) /\ (((op_ e0_ e5_) = e0_ \/ ((op_ e0_ e5_) = e1_ \/ ((op_ e0_ e5_) = e2_ \/ ((op_ e0_ e5_) = e3_ \/ ((op_ e0_ e5_) = e4_ \/ (op_ e0_ e5_) = e5_))))) /\ (((op_ e1_ e0_) = e0_ \/ ((op_ e1_ e0_) = e1_ \/ ((op_ e1_ e0_) = e2_ \/ ((op_ e1_ e0_) = e3_ \/ ((op_ e1_ e0_) = e4_ \/ (op_ e1_ e0_) = e5_))))) /\ (((op_ e1_ e1_) = e0_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e1_ e1_) = e2_ \/ ((op_ e1_ e1_) = e3_ \/ ((op_ e1_ e1_) = e4_ \/ (op_ e1_ e1_) = e5_))))) /\ (((op_ e1_ e2_) = e0_ \/ ((op_ e1_ e2_) = e1_ \/ ((op_ e1_ e2_) = e2_ \/ ((op_ e1_ e2_) = e3_ \/ ((op_ e1_ e2_) = e4_ \/ (op_ e1_ e2_) = e5_))))) /\ (((op_ e1_ e3_) = e0_ \/ ((op_ e1_ e3_) = e1_ \/ ((op_ e1_ e3_) = e2_ \/ ((op_ e1_ e3_) = e3_ \/ ((op_ e1_ e3_) = e4_ \/ (op_ e1_ e3_) = e5_))))) /\ (((op_ e1_ e4_) = e0_ \/ ((op_ e1_ e4_) = e1_ \/ ((op_ e1_ e4_) = e2_ \/ ((op_ e1_ e4_) = e3_ \/ ((op_ e1_ e4_) = e4_ \/ (op_ e1_ e4_) = e5_))))) /\ (((op_ e1_ e5_) = e0_ \/ ((op_ e1_ e5_) = e1_ \/ ((op_ e1_ e5_) = e2_ \/ ((op_ e1_ e5_) = e3_ \/ ((op_ e1_ e5_) = e4_ \/ (op_ e1_ e5_) = e5_))))) /\ (((op_ e2_ e0_) = e0_ \/ ((op_ e2_ e0_) = e1_ \/ ((op_ e2_ e0_) = e2_ \/ ((op_ e2_ e0_) = e3_ \/ ((op_ e2_ e0_) = e4_ \/ (op_ e2_ e0_) = e5_))))) /\ (((op_ e2_ e1_) = e0_ \/ ((op_ e2_ e1_) = e1_ \/ ((op_ e2_ e1_) = e2_ \/ ((op_ e2_ e1_) = e3_ \/ ((op_ e2_ e1_) = e4_ \/ (op_ e2_ e1_) = e5_))))) /\ (((op_ e2_ e2_) = e0_ \/ ((op_ e2_ e2_) = e1_ \/ ((op_ e2_ e2_) = e2_ \/ ((op_ e2_ e2_) = e3_ \/ ((op_ e2_ e2_) = e4_ \/ (op_ e2_ e2_) = e5_))))) /\ (((op_ e2_ e3_) = e0_ \/ ((op_ e2_ e3_) = e1_ \/ ((op_ e2_ e3_) = e2_ \/ ((op_ e2_ e3_) = e3_ \/ ((op_ e2_ e3_) = e4_ \/ (op_ e2_ e3_) = e5_))))) /\ (((op_ e2_ e4_) = e0_ \/ ((op_ e2_ e4_) = e1_ \/ ((op_ e2_ e4_) = e2_ \/ ((op_ e2_ e4_) = e3_ \/ ((op_ e2_ e4_) = e4_ \/ (op_ e2_ e4_) = e5_))))) /\ (((op_ e2_ e5_) = e0_ \/ ((op_ e2_ e5_) = e1_ \/ ((op_ e2_ e5_) = e2_ \/ ((op_ e2_ e5_) = e3_ \/ ((op_ e2_ e5_) = e4_ \/ (op_ e2_ e5_) = e5_))))) /\ (((op_ e3_ e0_) = e0_ \/ ((op_ e3_ e0_) = e1_ \/ ((op_ e3_ e0_) = e2_ \/ ((op_ e3_ e0_) = e3_ \/ ((op_ e3_ e0_) = e4_ \/ (op_ e3_ e0_) = e5_))))) /\ (((op_ e3_ e1_) = e0_ \/ ((op_ e3_ e1_) = e1_ \/ ((op_ e3_ e1_) = e2_ \/ ((op_ e3_ e1_) = e3_ \/ ((op_ e3_ e1_) = e4_ \/ (op_ e3_ e1_) = e5_))))) /\ (((op_ e3_ e2_) = e0_ \/ ((op_ e3_ e2_) = e1_ \/ ((op_ e3_ e2_) = e2_ \/ ((op_ e3_ e2_) = e3_ \/ ((op_ e3_ e2_) = e4_ \/ (op_ e3_ e2_) = e5_))))) /\ (((op_ e3_ e3_) = e0_ \/ ((op_ e3_ e3_) = e1_ \/ ((op_ e3_ e3_) = e2_ \/ ((op_ e3_ e3_) = e3_ \/ ((op_ e3_ e3_) = e4_ \/ (op_ e3_ e3_) = e5_))))) /\ (((op_ e3_ e4_) = e0_ \/ ((op_ e3_ e4_) = e1_ \/ ((op_ e3_ e4_) = e2_ \/ ((op_ e3_ e4_) = e3_ \/ ((op_ e3_ e4_) = e4_ \/ (op_ e3_ e4_) = e5_))))) /\ (((op_ e3_ e5_) = e0_ \/ ((op_ e3_ e5_) = e1_ \/ ((op_ e3_ e5_) = e2_ \/ ((op_ e3_ e5_) = e3_ \/ ((op_ e3_ e5_) = e4_ \/ (op_ e3_ e5_) = e5_))))) /\ (((op_ e4_ e0_) = e0_ \/ ((op_ e4_ e0_) = e1_ \/ ((op_ e4_ e0_) = e2_ \/ ((op_ e4_ e0_) = e3_ \/ ((op_ e4_ e0_) = e4_ \/ (op_ e4_ e0_) = e5_))))) /\ (((op_ e4_ e1_) = e0_ \/ ((op_ e4_ e1_) = e1_ \/ ((op_ e4_ e1_) = e2_ \/ ((op_ e4_ e1_) = e3_ \/ ((op_ e4_ e1_) = e4_ \/ (op_ e4_ e1_) = e5_))))) /\ (((op_ e4_ e2_) = e0_ \/ ((op_ e4_ e2_) = e1_ \/ ((op_ e4_ e2_) = e2_ \/ ((op_ e4_ e2_) = e3_ \/ ((op_ e4_ e2_) = e4_ \/ (op_ e4_ e2_) = e5_))))) /\ (((op_ e4_ e3_) = e0_ \/ ((op_ e4_ e3_) = e1_ \/ ((op_ e4_ e3_) = e2_ \/ ((op_ e4_ e3_) = e3_ \/ ((op_ e4_ e3_) = e4_ \/ (op_ e4_ e3_) = e5_))))) /\ (((op_ e4_ e4_) = e0_ \/ ((op_ e4_ e4_) = e1_ \/ ((op_ e4_ e4_) = e2_ \/ ((op_ e4_ e4_) = e3_ \/ ((op_ e4_ e4_) = e4_ \/ (op_ e4_ e4_) = e5_))))) /\ (((op_ e4_ e5_) = e0_ \/ ((op_ e4_ e5_) = e1_ \/ ((op_ e4_ e5_) = e2_ \/ ((op_ e4_ e5_) = e3_ \/ ((op_ e4_ e5_) = e4_ \/ (op_ e4_ e5_) = e5_))))) /\ (((op_ e5_ e0_) = e0_ \/ ((op_ e5_ e0_) = e1_ \/ ((op_ e5_ e0_) = e2_ \/ ((op_ e5_ e0_) = e3_ \/ ((op_ e5_ e0_) = e4_ \/ (op_ e5_ e0_) = e5_))))) /\ (((op_ e5_ e1_) = e0_ \/ ((op_ e5_ e1_) = e1_ \/ ((op_ e5_ e1_) = e2_ \/ ((op_ e5_ e1_) = e3_ \/ ((op_ e5_ e1_) = e4_ \/ (op_ e5_ e1_) = e5_))))) /\ (((op_ e5_ e2_) = e0_ \/ ((op_ e5_ e2_) = e1_ \/ ((op_ e5_ e2_) = e2_ \/ ((op_ e5_ e2_) = e3_ \/ ((op_ e5_ e2_) = e4_ \/ (op_ e5_ e2_) = e5_))))) /\ (((op_ e5_ e3_) = e0_ \/ ((op_ e5_ e3_) = e1_ \/ ((op_ e5_ e3_) = e2_ \/ ((op_ e5_ e3_) = e3_ \/ ((op_ e5_ e3_) = e4_ \/ (op_ e5_ e3_) = e5_))))) /\ (((op_ e5_ e4_) = e0_ \/ ((op_ e5_ e4_) = e1_ \/ ((op_ e5_ e4_) = e2_ \/ ((op_ e5_ e4_) = e3_ \/ ((op_ e5_ e4_) = e4_ \/ (op_ e5_ e4_) = e5_))))) /\ (((op_ e5_ e5_) = e0_ \/ ((op_ e5_ e5_) = e1_ \/ ((op_ e5_ e5_) = e2_ \/ ((op_ e5_ e5_) = e3_ \/ ((op_ e5_ e5_) = e4_ \/ (op_ e5_ e5_) = e5_))))) /\ ((op_ (op_ e0_ e0_) e0_) = (op_ e0_ (op_ e0_ e0_)) /\ ((op_ (op_ e0_ e0_) e1_) = (op_ e0_ (op_ e0_ e1_)) /\ ((op_ (op_ e0_ e0_) e2_) = (op_ e0_ (op_ e0_ e2_)) /\ ((op_ (op_ e0_ e0_) e3_) = (op_ e0_ (op_ e0_ e3_)) /\ ((op_ (op_ e0_ e0_) e4_) = (op_ e0_ (op_ e0_ e4_)) /\ ((op_ (op_ e0_ e0_) e5_) = (op_ e0_ (op_ e0_ e5_)) /\ ((op_ (op_ e0_ e1_) e0_) = (op_ e0_ (op_ e1_ e0_)) /\ ((op_ (op_ e0_ e1_) e1_) = (op_ e0_ (op_ e1_ e1_)) /\ ((op_ (op_ e0_ e1_) e2_) = (op_ e0_ (op_ e1_ e2_)) /\ ((op_ (op_ e0_ e1_) e3_) = (op_ e0_ (op_ e1_ e3_)) /\ ((op_ (op_ e0_ e1_) e4_) = (op_ e0_ (op_ e1_ e4_)) /\ ((op_ (op_ e0_ e1_) e5_) = (op_ e0_ (op_ e1_ e5_)) /\ ((op_ (op_ e0_ e2_) e0_) = (op_ e0_ (op_ e2_ e0_)) /\ ((op_ (op_ e0_ e2_) e1_) = (op_ e0_ (op_ e2_ e1_)) /\ ((op_ (op_ e0_ e2_) e2_) = (op_ e0_ (op_ e2_ e2_)) /\ ((op_ (op_ e0_ e2_) e3_) = (op_ e0_ (op_ e2_ e3_)) /\ ((op_ (op_ e0_ e2_) e4_) = (op_ e0_ (op_ e2_ e4_)) /\ ((op_ (op_ e0_ e2_) e5_) = (op_ e0_ (op_ e2_ e5_)) /\ ((op_ (op_ e0_ e3_) e0_) = (op_ e0_ (op_ e3_ e0_)) /\ ((op_ (op_ e0_ e3_) e1_) = (op_ e0_ (op_ e3_ e1_)) /\ ((op_ (op_ e0_ e3_) e2_) = (op_ e0_ (op_ e3_ e2_)) /\ ((op_ (op_ e0_ e3_) e3_) = (op_ e0_ (op_ e3_ e3_)) /\ ((op_ (op_ e0_ e3_) e4_) = (op_ e0_ (op_ e3_ e4_)) /\ ((op_ (op_ e0_ e3_) e5_) = (op_ e0_ (op_ e3_ e5_)) /\ ((op_ (op_ e0_ e4_) e0_) = (op_ e0_ (op_ e4_ e0_)) /\ ((op_ (op_ e0_ e4_) e1_) = (op_ e0_ (op_ e4_ e1_)) /\ ((op_ (op_ e0_ e4_) e2_) = (op_ e0_ (op_ e4_ e2_)) /\ ((op_ (op_ e0_ e4_) e3_) = (op_ e0_ (op_ e4_ e3_)) /\ ((op_ (op_ e0_ e4_) e4_) = (op_ e0_ (op_ e4_ e4_)) /\ ((op_ (op_ e0_ e4_) e5_) = (op_ e0_ (op_ e4_ e5_)) /\ ((op_ (op_ e0_ e5_) e0_) = (op_ e0_ (op_ e5_ e0_)) /\ ((op_ (op_ e0_ e5_) e1_) = (op_ e0_ (op_ e5_ e1_)) /\ ((op_ (op_ e0_ e5_) e2_) = (op_ e0_ (op_ e5_ e2_)) /\ ((op_ (op_ e0_ e5_) e3_) = (op_ e0_ (op_ e5_ e3_)) /\ ((op_ (op_ e0_ e5_) e4_) = (op_ e0_ (op_ e5_ e4_)) /\ ((op_ (op_ e0_ e5_) e5_) = (op_ e0_ (op_ e5_ e5_)) /\ ((op_ (op_ e1_ e0_) e0_) = (op_ e1_ (op_ e0_ e0_)) /\ ((op_ (op_ e1_ e0_) e1_) = (op_ e1_ (op_ e0_ e1_)) /\ ((op_ (op_ e1_ e0_) e2_) = (op_ e1_ (op_ e0_ e2_)) /\ ((op_ (op_ e1_ e0_) e3_) = (op_ e1_ (op_ e0_ e3_)) /\ ((op_ (op_ e1_ e0_) e4_) = (op_ e1_ (op_ e0_ e4_)) /\ ((op_ (op_ e1_ e0_) e5_) = (op_ e1_ (op_ e0_ e5_)) /\ ((op_ (op_ e1_ e1_) e0_) = (op_ e1_ (op_ e1_ e0_)) /\ ((op_ (op_ e1_ e1_) e1_) = (op_ e1_ (op_ e1_ e1_)) /\ ((op_ (op_ e1_ e1_) e2_) = (op_ e1_ (op_ e1_ e2_)) /\ ((op_ (op_ e1_ e1_) e3_) = (op_ e1_ (op_ e1_ e3_)) /\ ((op_ (op_ e1_ e1_) e4_) = (op_ e1_ (op_ e1_ e4_)) /\ ((op_ (op_ e1_ e1_) e5_) = (op_ e1_ (op_ e1_ e5_)) /\ ((op_ (op_ e1_ e2_) e0_) = (op_ e1_ (op_ e2_ e0_)) /\ ((op_ (op_ e1_ e2_) e1_) = (op_ e1_ (op_ e2_ e1_)) /\ ((op_ (op_ e1_ e2_) e2_) = (op_ e1_ (op_ e2_ e2_)) /\ ((op_ (op_ e1_ e2_) e3_) = (op_ e1_ (op_ e2_ e3_)) /\ ((op_ (op_ e1_ e2_) e4_) = (op_ e1_ (op_ e2_ e4_)) /\ ((op_ (op_ e1_ e2_) e5_) = (op_ e1_ (op_ e2_ e5_)) /\ ((op_ (op_ e1_ e3_) e0_) = (op_ e1_ (op_ e3_ e0_)) /\ ((op_ (op_ e1_ e3_) e1_) = (op_ e1_ (op_ e3_ e1_)) /\ ((op_ (op_ e1_ e3_) e2_) = (op_ e1_ (op_ e3_ e2_)) /\ ((op_ (op_ e1_ e3_) e3_) = (op_ e1_ (op_ e3_ e3_)) /\ ((op_ (op_ e1_ e3_) e4_) = (op_ e1_ (op_ e3_ e4_)) /\ ((op_ (op_ e1_ e3_) e5_) = (op_ e1_ (op_ e3_ e5_)) /\ ((op_ (op_ e1_ e4_) e0_) = (op_ e1_ (op_ e4_ e0_)) /\ ((op_ (op_ e1_ e4_) e1_) = (op_ e1_ (op_ e4_ e1_)) /\ ((op_ (op_ e1_ e4_) e2_) = (op_ e1_ (op_ e4_ e2_)) /\ ((op_ (op_ e1_ e4_) e3_) = (op_ e1_ (op_ e4_ e3_)) /\ ((op_ (op_ e1_ e4_) e4_) = (op_ e1_ (op_ e4_ e4_)) /\ ((op_ (op_ e1_ e4_) e5_) = (op_ e1_ (op_ e4_ e5_)) /\ ((op_ (op_ e1_ e5_) e0_) = (op_ e1_ (op_ e5_ e0_)) /\ ((op_ (op_ e1_ e5_) e1_) = (op_ e1_ (op_ e5_ e1_)) /\ ((op_ (op_ e1_ e5_) e2_) = (op_ e1_ (op_ e5_ e2_)) /\ ((op_ (op_ e1_ e5_) e3_) = (op_ e1_ (op_ e5_ e3_)) /\ ((op_ (op_ e1_ e5_) e4_) = (op_ e1_ (op_ e5_ e4_)) /\ ((op_ (op_ e1_ e5_) e5_) = (op_ e1_ (op_ e5_ e5_)) /\ ((op_ (op_ e2_ e0_) e0_) = (op_ e2_ (op_ e0_ e0_)) /\ ((op_ (op_ e2_ e0_) e1_) = (op_ e2_ (op_ e0_ e1_)) /\ ((op_ (op_ e2_ e0_) e2_) = (op_ e2_ (op_ e0_ e2_)) /\ ((op_ (op_ e2_ e0_) e3_) = (op_ e2_ (op_ e0_ e3_)) /\ ((op_ (op_ e2_ e0_) e4_) = (op_ e2_ (op_ e0_ e4_)) /\ ((op_ (op_ e2_ e0_) e5_) = (op_ e2_ (op_ e0_ e5_)) /\ ((op_ (op_ e2_ e1_) e0_) = (op_ e2_ (op_ e1_ e0_)) /\ ((op_ (op_ e2_ e1_) e1_) = (op_ e2_ (op_ e1_ e1_)) /\ ((op_ (op_ e2_ e1_) e2_) = (op_ e2_ (op_ e1_ e2_)) /\ ((op_ (op_ e2_ e1_) e3_) = (op_ e2_ (op_ e1_ e3_)) /\ ((op_ (op_ e2_ e1_) e4_) = (op_ e2_ (op_ e1_ e4_)) /\ ((op_ (op_ e2_ e1_) e5_) = (op_ e2_ (op_ e1_ e5_)) /\ ((op_ (op_ e2_ e2_) e0_) = (op_ e2_ (op_ e2_ e0_)) /\ ((op_ (op_ e2_ e2_) e1_) = (op_ e2_ (op_ e2_ e1_)) /\ ((op_ (op_ e2_ e2_) e2_) = (op_ e2_ (op_ e2_ e2_)) /\ ((op_ (op_ e2_ e2_) e3_) = (op_ e2_ (op_ e2_ e3_)) /\ ((op_ (op_ e2_ e2_) e4_) = (op_ e2_ (op_ e2_ e4_)) /\ ((op_ (op_ e2_ e2_) e5_) = (op_ e2_ (op_ e2_ e5_)) /\ ((op_ (op_ e2_ e3_) e0_) = (op_ e2_ (op_ e3_ e0_)) /\ ((op_ (op_ e2_ e3_) e1_) = (op_ e2_ (op_ e3_ e1_)) /\ ((op_ (op_ e2_ e3_) e2_) = (op_ e2_ (op_ e3_ e2_)) /\ ((op_ (op_ e2_ e3_) e3_) = (op_ e2_ (op_ e3_ e3_)) /\ ((op_ (op_ e2_ e3_) e4_) = (op_ e2_ (op_ e3_ e4_)) /\ ((op_ (op_ e2_ e3_) e5_) = (op_ e2_ (op_ e3_ e5_)) /\ ((op_ (op_ e2_ e4_) e0_) = (op_ e2_ (op_ e4_ e0_)) /\ ((op_ (op_ e2_ e4_) e1_) = (op_ e2_ (op_ e4_ e1_)) /\ ((op_ (op_ e2_ e4_) e2_) = (op_ e2_ (op_ e4_ e2_)) /\ ((op_ (op_ e2_ e4_) e3_) = (op_ e2_ (op_ e4_ e3_)) /\ ((op_ (op_ e2_ e4_) e4_) = (op_ e2_ (op_ e4_ e4_)) /\ ((op_ (op_ e2_ e4_) e5_) = (op_ e2_ (op_ e4_ e5_)) /\ ((op_ (op_ e2_ e5_) e0_) = (op_ e2_ (op_ e5_ e0_)) /\ ((op_ (op_ e2_ e5_) e1_) = (op_ e2_ (op_ e5_ e1_)) /\ ((op_ (op_ e2_ e5_) e2_) = (op_ e2_ (op_ e5_ e2_)) /\ ((op_ (op_ e2_ e5_) e3_) = (op_ e2_ (op_ e5_ e3_)) /\ ((op_ (op_ e2_ e5_) e4_) = (op_ e2_ (op_ e5_ e4_)) /\ ((op_ (op_ e2_ e5_) e5_) = (op_ e2_ (op_ e5_ e5_)) /\ ((op_ (op_ e3_ e0_) e0_) = (op_ e3_ (op_ e0_ e0_)) /\ ((op_ (op_ e3_ e0_) e1_) = (op_ e3_ (op_ e0_ e1_)) /\ ((op_ (op_ e3_ e0_) e2_) = (op_ e3_ (op_ e0_ e2_)) /\ ((op_ (op_ e3_ e0_) e3_) = (op_ e3_ (op_ e0_ e3_)) /\ ((op_ (op_ e3_ e0_) e4_) = (op_ e3_ (op_ e0_ e4_)) /\ ((op_ (op_ e3_ e0_) e5_) = (op_ e3_ (op_ e0_ e5_)) /\ ((op_ (op_ e3_ e1_) e0_) = (op_ e3_ (op_ e1_ e0_)) /\ ((op_ (op_ e3_ e1_) e1_) = (op_ e3_ (op_ e1_ e1_)) /\ ((op_ (op_ e3_ e1_) e2_) = (op_ e3_ (op_ e1_ e2_)) /\ ((op_ (op_ e3_ e1_) e3_) = (op_ e3_ (op_ e1_ e3_)) /\ ((op_ (op_ e3_ e1_) e4_) = (op_ e3_ (op_ e1_ e4_)) /\ ((op_ (op_ e3_ e1_) e5_) = (op_ e3_ (op_ e1_ e5_)) /\ ((op_ (op_ e3_ e2_) e0_) = (op_ e3_ (op_ e2_ e0_)) /\ ((op_ (op_ e3_ e2_) e1_) = (op_ e3_ (op_ e2_ e1_)) /\ ((op_ (op_ e3_ e2_) e2_) = (op_ e3_ (op_ e2_ e2_)) /\ ((op_ (op_ e3_ e2_) e3_) = (op_ e3_ (op_ e2_ e3_)) /\ ((op_ (op_ e3_ e2_) e4_) = (op_ e3_ (op_ e2_ e4_)) /\ ((op_ (op_ e3_ e2_) e5_) = (op_ e3_ (op_ e2_ e5_)) /\ ((op_ (op_ e3_ e3_) e0_) = (op_ e3_ (op_ e3_ e0_)) /\ ((op_ (op_ e3_ e3_) e1_) = (op_ e3_ (op_ e3_ e1_)) /\ ((op_ (op_ e3_ e3_) e2_) = (op_ e3_ (op_ e3_ e2_)) /\ ((op_ (op_ e3_ e3_) e3_) = (op_ e3_ (op_ e3_ e3_)) /\ ((op_ (op_ e3_ e3_) e4_) = (op_ e3_ (op_ e3_ e4_)) /\ ((op_ (op_ e3_ e3_) e5_) = (op_ e3_ (op_ e3_ e5_)) /\ ((op_ (op_ e3_ e4_) e0_) = (op_ e3_ (op_ e4_ e0_)) /\ ((op_ (op_ e3_ e4_) e1_) = (op_ e3_ (op_ e4_ e1_)) /\ ((op_ (op_ e3_ e4_) e2_) = (op_ e3_ (op_ e4_ e2_)) /\ ((op_ (op_ e3_ e4_) e3_) = (op_ e3_ (op_ e4_ e3_)) /\ ((op_ (op_ e3_ e4_) e4_) = (op_ e3_ (op_ e4_ e4_)) /\ ((op_ (op_ e3_ e4_) e5_) = (op_ e3_ (op_ e4_ e5_)) /\ ((op_ (op_ e3_ e5_) e0_) = (op_ e3_ (op_ e5_ e0_)) /\ ((op_ (op_ e3_ e5_) e1_) = (op_ e3_ (op_ e5_ e1_)) /\ ((op_ (op_ e3_ e5_) e2_) = (op_ e3_ (op_ e5_ e2_)) /\ ((op_ (op_ e3_ e5_) e3_) = (op_ e3_ (op_ e5_ e3_)) /\ ((op_ (op_ e3_ e5_) e4_) = (op_ e3_ (op_ e5_ e4_)) /\ ((op_ (op_ e3_ e5_) e5_) = (op_ e3_ (op_ e5_ e5_)) /\ ((op_ (op_ e4_ e0_) e0_) = (op_ e4_ (op_ e0_ e0_)) /\ ((op_ (op_ e4_ e0_) e1_) = (op_ e4_ (op_ e0_ e1_)) /\ ((op_ (op_ e4_ e0_) e2_) = (op_ e4_ (op_ e0_ e2_)) /\ ((op_ (op_ e4_ e0_) e3_) = (op_ e4_ (op_ e0_ e3_)) /\ ((op_ (op_ e4_ e0_) e4_) = (op_ e4_ (op_ e0_ e4_)) /\ ((op_ (op_ e4_ e0_) e5_) = (op_ e4_ (op_ e0_ e5_)) /\ ((op_ (op_ e4_ e1_) e0_) = (op_ e4_ (op_ e1_ e0_)) /\ ((op_ (op_ e4_ e1_) e1_) = (op_ e4_ (op_ e1_ e1_)) /\ ((op_ (op_ e4_ e1_) e2_) = (op_ e4_ (op_ e1_ e2_)) /\ ((op_ (op_ e4_ e1_) e3_) = (op_ e4_ (op_ e1_ e3_)) /\ ((op_ (op_ e4_ e1_) e4_) = (op_ e4_ (op_ e1_ e4_)) /\ ((op_ (op_ e4_ e1_) e5_) = (op_ e4_ (op_ e1_ e5_)) /\ ((op_ (op_ e4_ e2_) e0_) = (op_ e4_ (op_ e2_ e0_)) /\ ((op_ (op_ e4_ e2_) e1_) = (op_ e4_ (op_ e2_ e1_)) /\ ((op_ (op_ e4_ e2_) e2_) = (op_ e4_ (op_ e2_ e2_)) /\ ((op_ (op_ e4_ e2_) e3_) = (op_ e4_ (op_ e2_ e3_)) /\ ((op_ (op_ e4_ e2_) e4_) = (op_ e4_ (op_ e2_ e4_)) /\ ((op_ (op_ e4_ e2_) e5_) = (op_ e4_ (op_ e2_ e5_)) /\ ((op_ (op_ e4_ e3_) e0_) = (op_ e4_ (op_ e3_ e0_)) /\ ((op_ (op_ e4_ e3_) e1_) = (op_ e4_ (op_ e3_ e1_)) /\ ((op_ (op_ e4_ e3_) e2_) = (op_ e4_ (op_ e3_ e2_)) /\ ((op_ (op_ e4_ e3_) e3_) = (op_ e4_ (op_ e3_ e3_)) /\ ((op_ (op_ e4_ e3_) e4_) = (op_ e4_ (op_ e3_ e4_)) /\ ((op_ (op_ e4_ e3_) e5_) = (op_ e4_ (op_ e3_ e5_)) /\ ((op_ (op_ e4_ e4_) e0_) = (op_ e4_ (op_ e4_ e0_)) /\ ((op_ (op_ e4_ e4_) e1_) = (op_ e4_ (op_ e4_ e1_)) /\ ((op_ (op_ e4_ e4_) e2_) = (op_ e4_ (op_ e4_ e2_)) /\ ((op_ (op_ e4_ e4_) e3_) = (op_ e4_ (op_ e4_ e3_)) /\ ((op_ (op_ e4_ e4_) e4_) = (op_ e4_ (op_ e4_ e4_)) /\ ((op_ (op_ e4_ e4_) e5_) = (op_ e4_ (op_ e4_ e5_)) /\ ((op_ (op_ e4_ e5_) e0_) = (op_ e4_ (op_ e5_ e0_)) /\ ((op_ (op_ e4_ e5_) e1_) = (op_ e4_ (op_ e5_ e1_)) /\ ((op_ (op_ e4_ e5_) e2_) = (op_ e4_ (op_ e5_ e2_)) /\ ((op_ (op_ e4_ e5_) e3_) = (op_ e4_ (op_ e5_ e3_)) /\ ((op_ (op_ e4_ e5_) e4_) = (op_ e4_ (op_ e5_ e4_)) /\ ((op_ (op_ e4_ e5_) e5_) = (op_ e4_ (op_ e5_ e5_)) /\ ((op_ (op_ e5_ e0_) e0_) = (op_ e5_ (op_ e0_ e0_)) /\ ((op_ (op_ e5_ e0_) e1_) = (op_ e5_ (op_ e0_ e1_)) /\ ((op_ (op_ e5_ e0_) e2_) = (op_ e5_ (op_ e0_ e2_)) /\ ((op_ (op_ e5_ e0_) e3_) = (op_ e5_ (op_ e0_ e3_)) /\ ((op_ (op_ e5_ e0_) e4_) = (op_ e5_ (op_ e0_ e4_)) /\ ((op_ (op_ e5_ e0_) e5_) = (op_ e5_ (op_ e0_ e5_)) /\ ((op_ (op_ e5_ e1_) e0_) = (op_ e5_ (op_ e1_ e0_)) /\ ((op_ (op_ e5_ e1_) e1_) = (op_ e5_ (op_ e1_ e1_)) /\ ((op_ (op_ e5_ e1_) e2_) = (op_ e5_ (op_ e1_ e2_)) /\ ((op_ (op_ e5_ e1_) e3_) = (op_ e5_ (op_ e1_ e3_)) /\ ((op_ (op_ e5_ e1_) e4_) = (op_ e5_ (op_ e1_ e4_)) /\ ((op_ (op_ e5_ e1_) e5_) = (op_ e5_ (op_ e1_ e5_)) /\ ((op_ (op_ e5_ e2_) e0_) = (op_ e5_ (op_ e2_ e0_)) /\ ((op_ (op_ e5_ e2_) e1_) = (op_ e5_ (op_ e2_ e1_)) /\ ((op_ (op_ e5_ e2_) e2_) = (op_ e5_ (op_ e2_ e2_)) /\ ((op_ (op_ e5_ e2_) e3_) = (op_ e5_ (op_ e2_ e3_)) /\ ((op_ (op_ e5_ e2_) e4_) = (op_ e5_ (op_ e2_ e4_)) /\ ((op_ (op_ e5_ e2_) e5_) = (op_ e5_ (op_ e2_ e5_)) /\ ((op_ (op_ e5_ e3_) e0_) = (op_ e5_ (op_ e3_ e0_)) /\ ((op_ (op_ e5_ e3_) e1_) = (op_ e5_ (op_ e3_ e1_)) /\ ((op_ (op_ e5_ e3_) e2_) = (op_ e5_ (op_ e3_ e2_)) /\ ((op_ (op_ e5_ e3_) e3_) = (op_ e5_ (op_ e3_ e3_)) /\ ((op_ (op_ e5_ e3_) e4_) = (op_ e5_ (op_ e3_ e4_)) /\ ((op_ (op_ e5_ e3_) e5_) = (op_ e5_ (op_ e3_ e5_)) /\ ((op_ (op_ e5_ e4_) e0_) = (op_ e5_ (op_ e4_ e0_)) /\ ((op_ (op_ e5_ e4_) e1_) = (op_ e5_ (op_ e4_ e1_)) /\ ((op_ (op_ e5_ e4_) e2_) = (op_ e5_ (op_ e4_ e2_)) /\ ((op_ (op_ e5_ e4_) e3_) = (op_ e5_ (op_ e4_ e3_)) /\ ((op_ (op_ e5_ e4_) e4_) = (op_ e5_ (op_ e4_ e4_)) /\ ((op_ (op_ e5_ e4_) e5_) = (op_ e5_ (op_ e4_ e5_)) /\ ((op_ (op_ e5_ e5_) e0_) = (op_ e5_ (op_ e5_ e0_)) /\ ((op_ (op_ e5_ e5_) e1_) = (op_ e5_ (op_ e5_ e1_)) /\ ((op_ (op_ e5_ e5_) e2_) = (op_ e5_ (op_ e5_ e2_)) /\ ((op_ (op_ e5_ e5_) e3_) = (op_ e5_ (op_ e5_ e3_)) /\ ((op_ (op_ e5_ e5_) e4_) = (op_ e5_ (op_ e5_ e4_)) /\ ((op_ (op_ e5_ e5_) e5_) = (op_ e5_ (op_ e5_ e5_)) /\ ((op_ unit_ e0_) = e0_ /\ ((op_ e0_ unit_) = e0_ /\ ((op_ unit_ e1_) = e1_ /\ ((op_ e1_ unit_) = e1_ /\ ((op_ unit_ e2_) = e2_ /\ ((op_ e2_ unit_) = e2_ /\ ((op_ unit_ e3_) = e3_ /\ ((op_ e3_ unit_) = e3_ /\ ((op_ unit_ e4_) = e4_ /\ ((op_ e4_ unit_) = e4_ /\ ((op_ unit_ e5_) = e5_ /\ ((op_ e5_ unit_) = e5_ /\ ((unit_ = e0_ \/ (unit_ = e1_ \/ (unit_ = e2_ \/ (unit_ = e3_ \/ (unit_ = e4_ \/ unit_ = e5_))))) /\ ((op_ e0_ (inv_ e0_)) = unit_ /\ ((op_ (inv_ e0_) e0_) = unit_ /\ ((op_ e1_ (inv_ e1_)) = unit_ /\ ((op_ (inv_ e1_) e1_) = unit_ /\ ((op_ e2_ (inv_ e2_)) = unit_ /\ ((op_ (inv_ e2_) e2_) = unit_ /\ ((op_ e3_ (inv_ e3_)) = unit_ /\ ((op_ (inv_ e3_) e3_) = unit_ /\ ((op_ e4_ (inv_ e4_)) = unit_ /\ ((op_ (inv_ e4_) e4_) = unit_ /\ ((op_ e5_ (inv_ e5_)) = unit_ /\ ((op_ (inv_ e5_) e5_) = unit_ /\ (((inv_ e0_) = e0_ \/ ((inv_ e0_) = e1_ \/ ((inv_ e0_) = e2_ \/ ((inv_ e0_) = e3_ \/ ((inv_ e0_) = e4_ \/ (inv_ e0_) = e5_))))) /\ (((inv_ e1_) = e0_ \/ ((inv_ e1_) = e1_ \/ ((inv_ e1_) = e2_ \/ ((inv_ e1_) = e3_ \/ ((inv_ e1_) = e4_ \/ (inv_ e1_) = e5_))))) /\ (((inv_ e2_) = e0_ \/ ((inv_ e2_) = e1_ \/ ((inv_ e2_) = e2_ \/ ((inv_ e2_) = e3_ \/ ((inv_ e2_) = e4_ \/ (inv_ e2_) = e5_))))) /\ (((inv_ e3_) = e0_ \/ ((inv_ e3_) = e1_ \/ ((inv_ e3_) = e2_ \/ ((inv_ e3_) = e3_ \/ ((inv_ e3_) = e4_ \/ (inv_ e3_) = e5_))))) /\ (((inv_ e4_) = e0_ \/ ((inv_ e4_) = e1_ \/ ((inv_ e4_) = e2_ \/ ((inv_ e4_) = e3_ \/ ((inv_ e4_) = e4_ \/ (inv_ e4_) = e5_))))) /\ ((inv_ e5_) = e0_ \/ ((inv_ e5_) = e1_ \/ ((inv_ e5_) = e2_ \/ ((inv_ e5_) = e3_ \/ ((inv_ e5_) = e4_ \/ (inv_ e5_) = e5_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
