(*
% File     : ALG106+1 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Quasigroups 4: PROP-ISO-COMPLETE-76
% Version  : Especial.
% English  : 
% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 
% Status   : Theorem
% Rating   : 0.89 v2.7.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :   18 (   0 unit)
%            Number of atoms       :  882 ( 882 equality)
%            Maximal formula depth :   49 (  19 average)
%            Number of connectives : 1116 ( 252 ~  ; 393  |; 471  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   14 (   8 constant; 0-2 arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    4 (   2 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.


Variable op2_ : Universe -> Universe -> Universe.
Variable op1_ : Universe -> Universe -> Universe.
Variable h4_ : Universe -> Universe.
Variable h3_ : Universe -> Universe.
Variable h2_ : Universe -> Universe.
Variable h1_ : Universe -> Universe.
Variable e23_ : Universe.
Variable e22_ : Universe.
Variable e21_ : Universe.
Variable e20_ : Universe.
Variable e13_ : Universe.
Variable e12_ : Universe.
Variable e11_ : Universe.
Variable e10_ : Universe.

Variable ax1_1 : (((op1_ e10_ e10_) = e10_ \/ ((op1_ e10_ e10_) = e11_ \/ ((op1_ e10_ e10_) = e12_ \/ (op1_ e10_ e10_) = e13_))) /\ (((op1_ e10_ e11_) = e10_ \/ ((op1_ e10_ e11_) = e11_ \/ ((op1_ e10_ e11_) = e12_ \/ (op1_ e10_ e11_) = e13_))) /\ (((op1_ e10_ e12_) = e10_ \/ ((op1_ e10_ e12_) = e11_ \/ ((op1_ e10_ e12_) = e12_ \/ (op1_ e10_ e12_) = e13_))) /\ (((op1_ e10_ e13_) = e10_ \/ ((op1_ e10_ e13_) = e11_ \/ ((op1_ e10_ e13_) = e12_ \/ (op1_ e10_ e13_) = e13_))) /\ (((op1_ e11_ e10_) = e10_ \/ ((op1_ e11_ e10_) = e11_ \/ ((op1_ e11_ e10_) = e12_ \/ (op1_ e11_ e10_) = e13_))) /\ (((op1_ e11_ e11_) = e10_ \/ ((op1_ e11_ e11_) = e11_ \/ ((op1_ e11_ e11_) = e12_ \/ (op1_ e11_ e11_) = e13_))) /\ (((op1_ e11_ e12_) = e10_ \/ ((op1_ e11_ e12_) = e11_ \/ ((op1_ e11_ e12_) = e12_ \/ (op1_ e11_ e12_) = e13_))) /\ (((op1_ e11_ e13_) = e10_ \/ ((op1_ e11_ e13_) = e11_ \/ ((op1_ e11_ e13_) = e12_ \/ (op1_ e11_ e13_) = e13_))) /\ (((op1_ e12_ e10_) = e10_ \/ ((op1_ e12_ e10_) = e11_ \/ ((op1_ e12_ e10_) = e12_ \/ (op1_ e12_ e10_) = e13_))) /\ (((op1_ e12_ e11_) = e10_ \/ ((op1_ e12_ e11_) = e11_ \/ ((op1_ e12_ e11_) = e12_ \/ (op1_ e12_ e11_) = e13_))) /\ (((op1_ e12_ e12_) = e10_ \/ ((op1_ e12_ e12_) = e11_ \/ ((op1_ e12_ e12_) = e12_ \/ (op1_ e12_ e12_) = e13_))) /\ (((op1_ e12_ e13_) = e10_ \/ ((op1_ e12_ e13_) = e11_ \/ ((op1_ e12_ e13_) = e12_ \/ (op1_ e12_ e13_) = e13_))) /\ (((op1_ e13_ e10_) = e10_ \/ ((op1_ e13_ e10_) = e11_ \/ ((op1_ e13_ e10_) = e12_ \/ (op1_ e13_ e10_) = e13_))) /\ (((op1_ e13_ e11_) = e10_ \/ ((op1_ e13_ e11_) = e11_ \/ ((op1_ e13_ e11_) = e12_ \/ (op1_ e13_ e11_) = e13_))) /\ (((op1_ e13_ e12_) = e10_ \/ ((op1_ e13_ e12_) = e11_ \/ ((op1_ e13_ e12_) = e12_ \/ (op1_ e13_ e12_) = e13_))) /\ ((op1_ e13_ e13_) = e10_ \/ ((op1_ e13_ e13_) = e11_ \/ ((op1_ e13_ e13_) = e12_ \/ (op1_ e13_ e13_) = e13_)))))))))))))))))).
Variable ax2_2 : (((op1_ e10_ e10_) = e10_ \/ ((op1_ e10_ e11_) = e10_ \/ ((op1_ e10_ e12_) = e10_ \/ (op1_ e10_ e13_) = e10_))) /\ (((op1_ e10_ e10_) = e10_ \/ ((op1_ e11_ e10_) = e10_ \/ ((op1_ e12_ e10_) = e10_ \/ (op1_ e13_ e10_) = e10_))) /\ (((op1_ e10_ e10_) = e11_ \/ ((op1_ e10_ e11_) = e11_ \/ ((op1_ e10_ e12_) = e11_ \/ (op1_ e10_ e13_) = e11_))) /\ (((op1_ e10_ e10_) = e11_ \/ ((op1_ e11_ e10_) = e11_ \/ ((op1_ e12_ e10_) = e11_ \/ (op1_ e13_ e10_) = e11_))) /\ (((op1_ e10_ e10_) = e12_ \/ ((op1_ e10_ e11_) = e12_ \/ ((op1_ e10_ e12_) = e12_ \/ (op1_ e10_ e13_) = e12_))) /\ (((op1_ e10_ e10_) = e12_ \/ ((op1_ e11_ e10_) = e12_ \/ ((op1_ e12_ e10_) = e12_ \/ (op1_ e13_ e10_) = e12_))) /\ (((op1_ e10_ e10_) = e13_ \/ ((op1_ e10_ e11_) = e13_ \/ ((op1_ e10_ e12_) = e13_ \/ (op1_ e10_ e13_) = e13_))) /\ (((op1_ e10_ e10_) = e13_ \/ ((op1_ e11_ e10_) = e13_ \/ ((op1_ e12_ e10_) = e13_ \/ (op1_ e13_ e10_) = e13_))) /\ (((op1_ e11_ e10_) = e10_ \/ ((op1_ e11_ e11_) = e10_ \/ ((op1_ e11_ e12_) = e10_ \/ (op1_ e11_ e13_) = e10_))) /\ (((op1_ e10_ e11_) = e10_ \/ ((op1_ e11_ e11_) = e10_ \/ ((op1_ e12_ e11_) = e10_ \/ (op1_ e13_ e11_) = e10_))) /\ (((op1_ e11_ e10_) = e11_ \/ ((op1_ e11_ e11_) = e11_ \/ ((op1_ e11_ e12_) = e11_ \/ (op1_ e11_ e13_) = e11_))) /\ (((op1_ e10_ e11_) = e11_ \/ ((op1_ e11_ e11_) = e11_ \/ ((op1_ e12_ e11_) = e11_ \/ (op1_ e13_ e11_) = e11_))) /\ (((op1_ e11_ e10_) = e12_ \/ ((op1_ e11_ e11_) = e12_ \/ ((op1_ e11_ e12_) = e12_ \/ (op1_ e11_ e13_) = e12_))) /\ (((op1_ e10_ e11_) = e12_ \/ ((op1_ e11_ e11_) = e12_ \/ ((op1_ e12_ e11_) = e12_ \/ (op1_ e13_ e11_) = e12_))) /\ (((op1_ e11_ e10_) = e13_ \/ ((op1_ e11_ e11_) = e13_ \/ ((op1_ e11_ e12_) = e13_ \/ (op1_ e11_ e13_) = e13_))) /\ (((op1_ e10_ e11_) = e13_ \/ ((op1_ e11_ e11_) = e13_ \/ ((op1_ e12_ e11_) = e13_ \/ (op1_ e13_ e11_) = e13_))) /\ (((op1_ e12_ e10_) = e10_ \/ ((op1_ e12_ e11_) = e10_ \/ ((op1_ e12_ e12_) = e10_ \/ (op1_ e12_ e13_) = e10_))) /\ (((op1_ e10_ e12_) = e10_ \/ ((op1_ e11_ e12_) = e10_ \/ ((op1_ e12_ e12_) = e10_ \/ (op1_ e13_ e12_) = e10_))) /\ (((op1_ e12_ e10_) = e11_ \/ ((op1_ e12_ e11_) = e11_ \/ ((op1_ e12_ e12_) = e11_ \/ (op1_ e12_ e13_) = e11_))) /\ (((op1_ e10_ e12_) = e11_ \/ ((op1_ e11_ e12_) = e11_ \/ ((op1_ e12_ e12_) = e11_ \/ (op1_ e13_ e12_) = e11_))) /\ (((op1_ e12_ e10_) = e12_ \/ ((op1_ e12_ e11_) = e12_ \/ ((op1_ e12_ e12_) = e12_ \/ (op1_ e12_ e13_) = e12_))) /\ (((op1_ e10_ e12_) = e12_ \/ ((op1_ e11_ e12_) = e12_ \/ ((op1_ e12_ e12_) = e12_ \/ (op1_ e13_ e12_) = e12_))) /\ (((op1_ e12_ e10_) = e13_ \/ ((op1_ e12_ e11_) = e13_ \/ ((op1_ e12_ e12_) = e13_ \/ (op1_ e12_ e13_) = e13_))) /\ (((op1_ e10_ e12_) = e13_ \/ ((op1_ e11_ e12_) = e13_ \/ ((op1_ e12_ e12_) = e13_ \/ (op1_ e13_ e12_) = e13_))) /\ (((op1_ e13_ e10_) = e10_ \/ ((op1_ e13_ e11_) = e10_ \/ ((op1_ e13_ e12_) = e10_ \/ (op1_ e13_ e13_) = e10_))) /\ (((op1_ e10_ e13_) = e10_ \/ ((op1_ e11_ e13_) = e10_ \/ ((op1_ e12_ e13_) = e10_ \/ (op1_ e13_ e13_) = e10_))) /\ (((op1_ e13_ e10_) = e11_ \/ ((op1_ e13_ e11_) = e11_ \/ ((op1_ e13_ e12_) = e11_ \/ (op1_ e13_ e13_) = e11_))) /\ (((op1_ e10_ e13_) = e11_ \/ ((op1_ e11_ e13_) = e11_ \/ ((op1_ e12_ e13_) = e11_ \/ (op1_ e13_ e13_) = e11_))) /\ (((op1_ e13_ e10_) = e12_ \/ ((op1_ e13_ e11_) = e12_ \/ ((op1_ e13_ e12_) = e12_ \/ (op1_ e13_ e13_) = e12_))) /\ (((op1_ e10_ e13_) = e12_ \/ ((op1_ e11_ e13_) = e12_ \/ ((op1_ e12_ e13_) = e12_ \/ (op1_ e13_ e13_) = e12_))) /\ (((op1_ e13_ e10_) = e13_ \/ ((op1_ e13_ e11_) = e13_ \/ ((op1_ e13_ e12_) = e13_ \/ (op1_ e13_ e13_) = e13_))) /\ ((op1_ e10_ e13_) = e13_ \/ ((op1_ e11_ e13_) = e13_ \/ ((op1_ e12_ e13_) = e13_ \/ (op1_ e13_ e13_) = e13_)))))))))))))))))))))))))))))))))).
Variable ax3_3 : (((op2_ e20_ e20_) = e20_ \/ ((op2_ e20_ e20_) = e21_ \/ ((op2_ e20_ e20_) = e22_ \/ (op2_ e20_ e20_) = e23_))) /\ (((op2_ e20_ e21_) = e20_ \/ ((op2_ e20_ e21_) = e21_ \/ ((op2_ e20_ e21_) = e22_ \/ (op2_ e20_ e21_) = e23_))) /\ (((op2_ e20_ e22_) = e20_ \/ ((op2_ e20_ e22_) = e21_ \/ ((op2_ e20_ e22_) = e22_ \/ (op2_ e20_ e22_) = e23_))) /\ (((op2_ e20_ e23_) = e20_ \/ ((op2_ e20_ e23_) = e21_ \/ ((op2_ e20_ e23_) = e22_ \/ (op2_ e20_ e23_) = e23_))) /\ (((op2_ e21_ e20_) = e20_ \/ ((op2_ e21_ e20_) = e21_ \/ ((op2_ e21_ e20_) = e22_ \/ (op2_ e21_ e20_) = e23_))) /\ (((op2_ e21_ e21_) = e20_ \/ ((op2_ e21_ e21_) = e21_ \/ ((op2_ e21_ e21_) = e22_ \/ (op2_ e21_ e21_) = e23_))) /\ (((op2_ e21_ e22_) = e20_ \/ ((op2_ e21_ e22_) = e21_ \/ ((op2_ e21_ e22_) = e22_ \/ (op2_ e21_ e22_) = e23_))) /\ (((op2_ e21_ e23_) = e20_ \/ ((op2_ e21_ e23_) = e21_ \/ ((op2_ e21_ e23_) = e22_ \/ (op2_ e21_ e23_) = e23_))) /\ (((op2_ e22_ e20_) = e20_ \/ ((op2_ e22_ e20_) = e21_ \/ ((op2_ e22_ e20_) = e22_ \/ (op2_ e22_ e20_) = e23_))) /\ (((op2_ e22_ e21_) = e20_ \/ ((op2_ e22_ e21_) = e21_ \/ ((op2_ e22_ e21_) = e22_ \/ (op2_ e22_ e21_) = e23_))) /\ (((op2_ e22_ e22_) = e20_ \/ ((op2_ e22_ e22_) = e21_ \/ ((op2_ e22_ e22_) = e22_ \/ (op2_ e22_ e22_) = e23_))) /\ (((op2_ e22_ e23_) = e20_ \/ ((op2_ e22_ e23_) = e21_ \/ ((op2_ e22_ e23_) = e22_ \/ (op2_ e22_ e23_) = e23_))) /\ (((op2_ e23_ e20_) = e20_ \/ ((op2_ e23_ e20_) = e21_ \/ ((op2_ e23_ e20_) = e22_ \/ (op2_ e23_ e20_) = e23_))) /\ (((op2_ e23_ e21_) = e20_ \/ ((op2_ e23_ e21_) = e21_ \/ ((op2_ e23_ e21_) = e22_ \/ (op2_ e23_ e21_) = e23_))) /\ (((op2_ e23_ e22_) = e20_ \/ ((op2_ e23_ e22_) = e21_ \/ ((op2_ e23_ e22_) = e22_ \/ (op2_ e23_ e22_) = e23_))) /\ ((op2_ e23_ e23_) = e20_ \/ ((op2_ e23_ e23_) = e21_ \/ ((op2_ e23_ e23_) = e22_ \/ (op2_ e23_ e23_) = e23_)))))))))))))))))).
Variable ax4_4 : (((op2_ e20_ e20_) = e20_ \/ ((op2_ e20_ e21_) = e20_ \/ ((op2_ e20_ e22_) = e20_ \/ (op2_ e20_ e23_) = e20_))) /\ (((op2_ e20_ e20_) = e20_ \/ ((op2_ e21_ e20_) = e20_ \/ ((op2_ e22_ e20_) = e20_ \/ (op2_ e23_ e20_) = e20_))) /\ (((op2_ e20_ e20_) = e21_ \/ ((op2_ e20_ e21_) = e21_ \/ ((op2_ e20_ e22_) = e21_ \/ (op2_ e20_ e23_) = e21_))) /\ (((op2_ e20_ e20_) = e21_ \/ ((op2_ e21_ e20_) = e21_ \/ ((op2_ e22_ e20_) = e21_ \/ (op2_ e23_ e20_) = e21_))) /\ (((op2_ e20_ e20_) = e22_ \/ ((op2_ e20_ e21_) = e22_ \/ ((op2_ e20_ e22_) = e22_ \/ (op2_ e20_ e23_) = e22_))) /\ (((op2_ e20_ e20_) = e22_ \/ ((op2_ e21_ e20_) = e22_ \/ ((op2_ e22_ e20_) = e22_ \/ (op2_ e23_ e20_) = e22_))) /\ (((op2_ e20_ e20_) = e23_ \/ ((op2_ e20_ e21_) = e23_ \/ ((op2_ e20_ e22_) = e23_ \/ (op2_ e20_ e23_) = e23_))) /\ (((op2_ e20_ e20_) = e23_ \/ ((op2_ e21_ e20_) = e23_ \/ ((op2_ e22_ e20_) = e23_ \/ (op2_ e23_ e20_) = e23_))) /\ (((op2_ e21_ e20_) = e20_ \/ ((op2_ e21_ e21_) = e20_ \/ ((op2_ e21_ e22_) = e20_ \/ (op2_ e21_ e23_) = e20_))) /\ (((op2_ e20_ e21_) = e20_ \/ ((op2_ e21_ e21_) = e20_ \/ ((op2_ e22_ e21_) = e20_ \/ (op2_ e23_ e21_) = e20_))) /\ (((op2_ e21_ e20_) = e21_ \/ ((op2_ e21_ e21_) = e21_ \/ ((op2_ e21_ e22_) = e21_ \/ (op2_ e21_ e23_) = e21_))) /\ (((op2_ e20_ e21_) = e21_ \/ ((op2_ e21_ e21_) = e21_ \/ ((op2_ e22_ e21_) = e21_ \/ (op2_ e23_ e21_) = e21_))) /\ (((op2_ e21_ e20_) = e22_ \/ ((op2_ e21_ e21_) = e22_ \/ ((op2_ e21_ e22_) = e22_ \/ (op2_ e21_ e23_) = e22_))) /\ (((op2_ e20_ e21_) = e22_ \/ ((op2_ e21_ e21_) = e22_ \/ ((op2_ e22_ e21_) = e22_ \/ (op2_ e23_ e21_) = e22_))) /\ (((op2_ e21_ e20_) = e23_ \/ ((op2_ e21_ e21_) = e23_ \/ ((op2_ e21_ e22_) = e23_ \/ (op2_ e21_ e23_) = e23_))) /\ (((op2_ e20_ e21_) = e23_ \/ ((op2_ e21_ e21_) = e23_ \/ ((op2_ e22_ e21_) = e23_ \/ (op2_ e23_ e21_) = e23_))) /\ (((op2_ e22_ e20_) = e20_ \/ ((op2_ e22_ e21_) = e20_ \/ ((op2_ e22_ e22_) = e20_ \/ (op2_ e22_ e23_) = e20_))) /\ (((op2_ e20_ e22_) = e20_ \/ ((op2_ e21_ e22_) = e20_ \/ ((op2_ e22_ e22_) = e20_ \/ (op2_ e23_ e22_) = e20_))) /\ (((op2_ e22_ e20_) = e21_ \/ ((op2_ e22_ e21_) = e21_ \/ ((op2_ e22_ e22_) = e21_ \/ (op2_ e22_ e23_) = e21_))) /\ (((op2_ e20_ e22_) = e21_ \/ ((op2_ e21_ e22_) = e21_ \/ ((op2_ e22_ e22_) = e21_ \/ (op2_ e23_ e22_) = e21_))) /\ (((op2_ e22_ e20_) = e22_ \/ ((op2_ e22_ e21_) = e22_ \/ ((op2_ e22_ e22_) = e22_ \/ (op2_ e22_ e23_) = e22_))) /\ (((op2_ e20_ e22_) = e22_ \/ ((op2_ e21_ e22_) = e22_ \/ ((op2_ e22_ e22_) = e22_ \/ (op2_ e23_ e22_) = e22_))) /\ (((op2_ e22_ e20_) = e23_ \/ ((op2_ e22_ e21_) = e23_ \/ ((op2_ e22_ e22_) = e23_ \/ (op2_ e22_ e23_) = e23_))) /\ (((op2_ e20_ e22_) = e23_ \/ ((op2_ e21_ e22_) = e23_ \/ ((op2_ e22_ e22_) = e23_ \/ (op2_ e23_ e22_) = e23_))) /\ (((op2_ e23_ e20_) = e20_ \/ ((op2_ e23_ e21_) = e20_ \/ ((op2_ e23_ e22_) = e20_ \/ (op2_ e23_ e23_) = e20_))) /\ (((op2_ e20_ e23_) = e20_ \/ ((op2_ e21_ e23_) = e20_ \/ ((op2_ e22_ e23_) = e20_ \/ (op2_ e23_ e23_) = e20_))) /\ (((op2_ e23_ e20_) = e21_ \/ ((op2_ e23_ e21_) = e21_ \/ ((op2_ e23_ e22_) = e21_ \/ (op2_ e23_ e23_) = e21_))) /\ (((op2_ e20_ e23_) = e21_ \/ ((op2_ e21_ e23_) = e21_ \/ ((op2_ e22_ e23_) = e21_ \/ (op2_ e23_ e23_) = e21_))) /\ (((op2_ e23_ e20_) = e22_ \/ ((op2_ e23_ e21_) = e22_ \/ ((op2_ e23_ e22_) = e22_ \/ (op2_ e23_ e23_) = e22_))) /\ (((op2_ e20_ e23_) = e22_ \/ ((op2_ e21_ e23_) = e22_ \/ ((op2_ e22_ e23_) = e22_ \/ (op2_ e23_ e23_) = e22_))) /\ (((op2_ e23_ e20_) = e23_ \/ ((op2_ e23_ e21_) = e23_ \/ ((op2_ e23_ e22_) = e23_ \/ (op2_ e23_ e23_) = e23_))) /\ ((op2_ e20_ e23_) = e23_ \/ ((op2_ e21_ e23_) = e23_ \/ ((op2_ e22_ e23_) = e23_ \/ (op2_ e23_ e23_) = e23_)))))))))))))))))))))))))))))))))).
Variable ax5_5 : ((op1_ e10_ e10_) <> (op1_ e11_ e10_) /\ ((op1_ e10_ e10_) <> (op1_ e12_ e10_) /\ ((op1_ e10_ e10_) <> (op1_ e13_ e10_) /\ ((op1_ e11_ e10_) <> (op1_ e12_ e10_) /\ ((op1_ e11_ e10_) <> (op1_ e13_ e10_) /\ ((op1_ e12_ e10_) <> (op1_ e13_ e10_) /\ ((op1_ e10_ e11_) <> (op1_ e11_ e11_) /\ ((op1_ e10_ e11_) <> (op1_ e12_ e11_) /\ ((op1_ e10_ e11_) <> (op1_ e13_ e11_) /\ ((op1_ e11_ e11_) <> (op1_ e12_ e11_) /\ ((op1_ e11_ e11_) <> (op1_ e13_ e11_) /\ ((op1_ e12_ e11_) <> (op1_ e13_ e11_) /\ ((op1_ e10_ e12_) <> (op1_ e11_ e12_) /\ ((op1_ e10_ e12_) <> (op1_ e12_ e12_) /\ ((op1_ e10_ e12_) <> (op1_ e13_ e12_) /\ ((op1_ e11_ e12_) <> (op1_ e12_ e12_) /\ ((op1_ e11_ e12_) <> (op1_ e13_ e12_) /\ ((op1_ e12_ e12_) <> (op1_ e13_ e12_) /\ ((op1_ e10_ e13_) <> (op1_ e11_ e13_) /\ ((op1_ e10_ e13_) <> (op1_ e12_ e13_) /\ ((op1_ e10_ e13_) <> (op1_ e13_ e13_) /\ ((op1_ e11_ e13_) <> (op1_ e12_ e13_) /\ ((op1_ e11_ e13_) <> (op1_ e13_ e13_) /\ ((op1_ e12_ e13_) <> (op1_ e13_ e13_) /\ ((op1_ e10_ e10_) <> (op1_ e10_ e11_) /\ ((op1_ e10_ e10_) <> (op1_ e10_ e12_) /\ ((op1_ e10_ e10_) <> (op1_ e10_ e13_) /\ ((op1_ e10_ e11_) <> (op1_ e10_ e12_) /\ ((op1_ e10_ e11_) <> (op1_ e10_ e13_) /\ ((op1_ e10_ e12_) <> (op1_ e10_ e13_) /\ ((op1_ e11_ e10_) <> (op1_ e11_ e11_) /\ ((op1_ e11_ e10_) <> (op1_ e11_ e12_) /\ ((op1_ e11_ e10_) <> (op1_ e11_ e13_) /\ ((op1_ e11_ e11_) <> (op1_ e11_ e12_) /\ ((op1_ e11_ e11_) <> (op1_ e11_ e13_) /\ ((op1_ e11_ e12_) <> (op1_ e11_ e13_) /\ ((op1_ e12_ e10_) <> (op1_ e12_ e11_) /\ ((op1_ e12_ e10_) <> (op1_ e12_ e12_) /\ ((op1_ e12_ e10_) <> (op1_ e12_ e13_) /\ ((op1_ e12_ e11_) <> (op1_ e12_ e12_) /\ ((op1_ e12_ e11_) <> (op1_ e12_ e13_) /\ ((op1_ e12_ e12_) <> (op1_ e12_ e13_) /\ ((op1_ e13_ e10_) <> (op1_ e13_ e11_) /\ ((op1_ e13_ e10_) <> (op1_ e13_ e12_) /\ ((op1_ e13_ e10_) <> (op1_ e13_ e13_) /\ ((op1_ e13_ e11_) <> (op1_ e13_ e12_) /\ ((op1_ e13_ e11_) <> (op1_ e13_ e13_) /\ (op1_ e13_ e12_) <> (op1_ e13_ e13_)))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax6_6 : ((op2_ e20_ e20_) <> (op2_ e21_ e20_) /\ ((op2_ e20_ e20_) <> (op2_ e22_ e20_) /\ ((op2_ e20_ e20_) <> (op2_ e23_ e20_) /\ ((op2_ e21_ e20_) <> (op2_ e22_ e20_) /\ ((op2_ e21_ e20_) <> (op2_ e23_ e20_) /\ ((op2_ e22_ e20_) <> (op2_ e23_ e20_) /\ ((op2_ e20_ e21_) <> (op2_ e21_ e21_) /\ ((op2_ e20_ e21_) <> (op2_ e22_ e21_) /\ ((op2_ e20_ e21_) <> (op2_ e23_ e21_) /\ ((op2_ e21_ e21_) <> (op2_ e22_ e21_) /\ ((op2_ e21_ e21_) <> (op2_ e23_ e21_) /\ ((op2_ e22_ e21_) <> (op2_ e23_ e21_) /\ ((op2_ e20_ e22_) <> (op2_ e21_ e22_) /\ ((op2_ e20_ e22_) <> (op2_ e22_ e22_) /\ ((op2_ e20_ e22_) <> (op2_ e23_ e22_) /\ ((op2_ e21_ e22_) <> (op2_ e22_ e22_) /\ ((op2_ e21_ e22_) <> (op2_ e23_ e22_) /\ ((op2_ e22_ e22_) <> (op2_ e23_ e22_) /\ ((op2_ e20_ e23_) <> (op2_ e21_ e23_) /\ ((op2_ e20_ e23_) <> (op2_ e22_ e23_) /\ ((op2_ e20_ e23_) <> (op2_ e23_ e23_) /\ ((op2_ e21_ e23_) <> (op2_ e22_ e23_) /\ ((op2_ e21_ e23_) <> (op2_ e23_ e23_) /\ ((op2_ e22_ e23_) <> (op2_ e23_ e23_) /\ ((op2_ e20_ e20_) <> (op2_ e20_ e21_) /\ ((op2_ e20_ e20_) <> (op2_ e20_ e22_) /\ ((op2_ e20_ e20_) <> (op2_ e20_ e23_) /\ ((op2_ e20_ e21_) <> (op2_ e20_ e22_) /\ ((op2_ e20_ e21_) <> (op2_ e20_ e23_) /\ ((op2_ e20_ e22_) <> (op2_ e20_ e23_) /\ ((op2_ e21_ e20_) <> (op2_ e21_ e21_) /\ ((op2_ e21_ e20_) <> (op2_ e21_ e22_) /\ ((op2_ e21_ e20_) <> (op2_ e21_ e23_) /\ ((op2_ e21_ e21_) <> (op2_ e21_ e22_) /\ ((op2_ e21_ e21_) <> (op2_ e21_ e23_) /\ ((op2_ e21_ e22_) <> (op2_ e21_ e23_) /\ ((op2_ e22_ e20_) <> (op2_ e22_ e21_) /\ ((op2_ e22_ e20_) <> (op2_ e22_ e22_) /\ ((op2_ e22_ e20_) <> (op2_ e22_ e23_) /\ ((op2_ e22_ e21_) <> (op2_ e22_ e22_) /\ ((op2_ e22_ e21_) <> (op2_ e22_ e23_) /\ ((op2_ e22_ e22_) <> (op2_ e22_ e23_) /\ ((op2_ e23_ e20_) <> (op2_ e23_ e21_) /\ ((op2_ e23_ e20_) <> (op2_ e23_ e22_) /\ ((op2_ e23_ e20_) <> (op2_ e23_ e23_) /\ ((op2_ e23_ e21_) <> (op2_ e23_ e22_) /\ ((op2_ e23_ e21_) <> (op2_ e23_ e23_) /\ (op2_ e23_ e22_) <> (op2_ e23_ e23_)))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax7_7 : (e10_ <> e11_ /\ (e10_ <> e12_ /\ (e10_ <> e13_ /\ (e11_ <> e12_ /\ (e11_ <> e13_ /\ e12_ <> e13_))))).
Variable ax8_8 : (e20_ <> e21_ /\ (e20_ <> e22_ /\ (e20_ <> e23_ /\ (e21_ <> e22_ /\ (e21_ <> e23_ /\ e22_ <> e23_))))).
Variable ax9_9 : (e10_ <> e20_ /\ (e10_ <> e21_ /\ (e10_ <> e22_ /\ (e10_ <> e23_ /\ (e11_ <> e20_ /\ (e11_ <> e21_ /\ (e11_ <> e22_ /\ (e11_ <> e23_ /\ (e12_ <> e20_ /\ (e12_ <> e21_ /\ (e12_ <> e22_ /\ (e12_ <> e23_ /\ (e13_ <> e20_ /\ (e13_ <> e21_ /\ (e13_ <> e22_ /\ e13_ <> e23_))))))))))))))).
Variable ax10_10 : (((op1_ e10_ (op1_ e10_ e10_)) = e10_ \/ ((op1_ e11_ (op1_ e11_ e10_)) = e11_ \/ ((op1_ e12_ (op1_ e12_ e10_)) = e12_ \/ (op1_ e13_ (op1_ e13_ e10_)) = e13_))) /\ (((op1_ e10_ (op1_ e10_ e11_)) = e10_ \/ ((op1_ e11_ (op1_ e11_ e11_)) = e11_ \/ ((op1_ e12_ (op1_ e12_ e11_)) = e12_ \/ (op1_ e13_ (op1_ e13_ e11_)) = e13_))) /\ (((op1_ e10_ (op1_ e10_ e12_)) = e10_ \/ ((op1_ e11_ (op1_ e11_ e12_)) = e11_ \/ ((op1_ e12_ (op1_ e12_ e12_)) = e12_ \/ (op1_ e13_ (op1_ e13_ e12_)) = e13_))) /\ (((op1_ e10_ (op1_ e10_ e13_)) = e10_ \/ ((op1_ e11_ (op1_ e11_ e13_)) = e11_ \/ ((op1_ e12_ (op1_ e12_ e13_)) = e12_ \/ (op1_ e13_ (op1_ e13_ e13_)) = e13_))) /\ (((op1_ e10_ e10_) = e10_ /\ ((op1_ e10_ e10_) = e10_ /\ ((op1_ e10_ e10_) <> e10_ /\ ((op1_ e11_ e11_) <> e10_ /\ ((op1_ e12_ e12_) <> e10_ /\ (op1_ e13_ e13_) <> e10_))))) \/ (((op1_ e10_ e11_) = e10_ /\ ((op1_ e11_ e10_) = e10_ /\ ((op1_ e10_ e10_) <> e11_ /\ ((op1_ e11_ e11_) <> e11_ /\ ((op1_ e12_ e12_) <> e11_ /\ (op1_ e13_ e13_) <> e11_))))) \/ (((op1_ e10_ e12_) = e10_ /\ ((op1_ e12_ e10_) = e10_ /\ ((op1_ e10_ e10_) <> e12_ /\ ((op1_ e11_ e11_) <> e12_ /\ ((op1_ e12_ e12_) <> e12_ /\ (op1_ e13_ e13_) <> e12_))))) \/ (((op1_ e10_ e13_) = e10_ /\ ((op1_ e13_ e10_) = e10_ /\ ((op1_ e10_ e10_) <> e13_ /\ ((op1_ e11_ e11_) <> e13_ /\ ((op1_ e12_ e12_) <> e13_ /\ (op1_ e13_ e13_) <> e13_))))) \/ (((op1_ e11_ e10_) = e11_ /\ ((op1_ e10_ e11_) = e11_ /\ ((op1_ e10_ e10_) <> e10_ /\ ((op1_ e11_ e11_) <> e10_ /\ ((op1_ e12_ e12_) <> e10_ /\ (op1_ e13_ e13_) <> e10_))))) \/ (((op1_ e11_ e11_) = e11_ /\ ((op1_ e11_ e11_) = e11_ /\ ((op1_ e10_ e10_) <> e11_ /\ ((op1_ e11_ e11_) <> e11_ /\ ((op1_ e12_ e12_) <> e11_ /\ (op1_ e13_ e13_) <> e11_))))) \/ (((op1_ e11_ e12_) = e11_ /\ ((op1_ e12_ e11_) = e11_ /\ ((op1_ e10_ e10_) <> e12_ /\ ((op1_ e11_ e11_) <> e12_ /\ ((op1_ e12_ e12_) <> e12_ /\ (op1_ e13_ e13_) <> e12_))))) \/ (((op1_ e11_ e13_) = e11_ /\ ((op1_ e13_ e11_) = e11_ /\ ((op1_ e10_ e10_) <> e13_ /\ ((op1_ e11_ e11_) <> e13_ /\ ((op1_ e12_ e12_) <> e13_ /\ (op1_ e13_ e13_) <> e13_))))) \/ (((op1_ e12_ e10_) = e12_ /\ ((op1_ e10_ e12_) = e12_ /\ ((op1_ e10_ e10_) <> e10_ /\ ((op1_ e11_ e11_) <> e10_ /\ ((op1_ e12_ e12_) <> e10_ /\ (op1_ e13_ e13_) <> e10_))))) \/ (((op1_ e12_ e11_) = e12_ /\ ((op1_ e11_ e12_) = e12_ /\ ((op1_ e10_ e10_) <> e11_ /\ ((op1_ e11_ e11_) <> e11_ /\ ((op1_ e12_ e12_) <> e11_ /\ (op1_ e13_ e13_) <> e11_))))) \/ (((op1_ e12_ e12_) = e12_ /\ ((op1_ e12_ e12_) = e12_ /\ ((op1_ e10_ e10_) <> e12_ /\ ((op1_ e11_ e11_) <> e12_ /\ ((op1_ e12_ e12_) <> e12_ /\ (op1_ e13_ e13_) <> e12_))))) \/ (((op1_ e12_ e13_) = e12_ /\ ((op1_ e13_ e12_) = e12_ /\ ((op1_ e10_ e10_) <> e13_ /\ ((op1_ e11_ e11_) <> e13_ /\ ((op1_ e12_ e12_) <> e13_ /\ (op1_ e13_ e13_) <> e13_))))) \/ (((op1_ e13_ e10_) = e13_ /\ ((op1_ e10_ e13_) = e13_ /\ ((op1_ e10_ e10_) <> e10_ /\ ((op1_ e11_ e11_) <> e10_ /\ ((op1_ e12_ e12_) <> e10_ /\ (op1_ e13_ e13_) <> e10_))))) \/ (((op1_ e13_ e11_) = e13_ /\ ((op1_ e11_ e13_) = e13_ /\ ((op1_ e10_ e10_) <> e11_ /\ ((op1_ e11_ e11_) <> e11_ /\ ((op1_ e12_ e12_) <> e11_ /\ (op1_ e13_ e13_) <> e11_))))) \/ (((op1_ e13_ e12_) = e13_ /\ ((op1_ e12_ e13_) = e13_ /\ ((op1_ e10_ e10_) <> e12_ /\ ((op1_ e11_ e11_) <> e12_ /\ ((op1_ e12_ e12_) <> e12_ /\ (op1_ e13_ e13_) <> e12_))))) \/ ((op1_ e13_ e13_) = e13_ /\ ((op1_ e13_ e13_) = e13_ /\ ((op1_ e10_ e10_) <> e13_ /\ ((op1_ e11_ e11_) <> e13_ /\ ((op1_ e12_ e12_) <> e13_ /\ (op1_ e13_ e13_) <> e13_)))))))))))))))))))))))).
Variable ax11_11 : (((op2_ e20_ (op2_ e20_ e20_)) = e20_ \/ ((op2_ e21_ (op2_ e21_ e20_)) = e21_ \/ ((op2_ e22_ (op2_ e22_ e20_)) = e22_ \/ (op2_ e23_ (op2_ e23_ e20_)) = e23_))) /\ (((op2_ e20_ (op2_ e20_ e21_)) = e20_ \/ ((op2_ e21_ (op2_ e21_ e21_)) = e21_ \/ ((op2_ e22_ (op2_ e22_ e21_)) = e22_ \/ (op2_ e23_ (op2_ e23_ e21_)) = e23_))) /\ (((op2_ e20_ (op2_ e20_ e22_)) = e20_ \/ ((op2_ e21_ (op2_ e21_ e22_)) = e21_ \/ ((op2_ e22_ (op2_ e22_ e22_)) = e22_ \/ (op2_ e23_ (op2_ e23_ e22_)) = e23_))) /\ (((op2_ e20_ (op2_ e20_ e23_)) = e20_ \/ ((op2_ e21_ (op2_ e21_ e23_)) = e21_ \/ ((op2_ e22_ (op2_ e22_ e23_)) = e22_ \/ (op2_ e23_ (op2_ e23_ e23_)) = e23_))) /\ (((op2_ e20_ e20_) = e20_ /\ ((op2_ e20_ e20_) = e20_ /\ ((op2_ e20_ e20_) <> e20_ /\ ((op2_ e21_ e21_) <> e20_ /\ ((op2_ e22_ e22_) <> e20_ /\ (op2_ e23_ e23_) <> e20_))))) \/ (((op2_ e20_ e21_) = e20_ /\ ((op2_ e21_ e20_) = e20_ /\ ((op2_ e20_ e20_) <> e21_ /\ ((op2_ e21_ e21_) <> e21_ /\ ((op2_ e22_ e22_) <> e21_ /\ (op2_ e23_ e23_) <> e21_))))) \/ (((op2_ e20_ e22_) = e20_ /\ ((op2_ e22_ e20_) = e20_ /\ ((op2_ e20_ e20_) <> e22_ /\ ((op2_ e21_ e21_) <> e22_ /\ ((op2_ e22_ e22_) <> e22_ /\ (op2_ e23_ e23_) <> e22_))))) \/ (((op2_ e20_ e23_) = e20_ /\ ((op2_ e23_ e20_) = e20_ /\ ((op2_ e20_ e20_) <> e23_ /\ ((op2_ e21_ e21_) <> e23_ /\ ((op2_ e22_ e22_) <> e23_ /\ (op2_ e23_ e23_) <> e23_))))) \/ (((op2_ e21_ e20_) = e21_ /\ ((op2_ e20_ e21_) = e21_ /\ ((op2_ e20_ e20_) <> e20_ /\ ((op2_ e21_ e21_) <> e20_ /\ ((op2_ e22_ e22_) <> e20_ /\ (op2_ e23_ e23_) <> e20_))))) \/ (((op2_ e21_ e21_) = e21_ /\ ((op2_ e21_ e21_) = e21_ /\ ((op2_ e20_ e20_) <> e21_ /\ ((op2_ e21_ e21_) <> e21_ /\ ((op2_ e22_ e22_) <> e21_ /\ (op2_ e23_ e23_) <> e21_))))) \/ (((op2_ e21_ e22_) = e21_ /\ ((op2_ e22_ e21_) = e21_ /\ ((op2_ e20_ e20_) <> e22_ /\ ((op2_ e21_ e21_) <> e22_ /\ ((op2_ e22_ e22_) <> e22_ /\ (op2_ e23_ e23_) <> e22_))))) \/ (((op2_ e21_ e23_) = e21_ /\ ((op2_ e23_ e21_) = e21_ /\ ((op2_ e20_ e20_) <> e23_ /\ ((op2_ e21_ e21_) <> e23_ /\ ((op2_ e22_ e22_) <> e23_ /\ (op2_ e23_ e23_) <> e23_))))) \/ (((op2_ e22_ e20_) = e22_ /\ ((op2_ e20_ e22_) = e22_ /\ ((op2_ e20_ e20_) <> e20_ /\ ((op2_ e21_ e21_) <> e20_ /\ ((op2_ e22_ e22_) <> e20_ /\ (op2_ e23_ e23_) <> e20_))))) \/ (((op2_ e22_ e21_) = e22_ /\ ((op2_ e21_ e22_) = e22_ /\ ((op2_ e20_ e20_) <> e21_ /\ ((op2_ e21_ e21_) <> e21_ /\ ((op2_ e22_ e22_) <> e21_ /\ (op2_ e23_ e23_) <> e21_))))) \/ (((op2_ e22_ e22_) = e22_ /\ ((op2_ e22_ e22_) = e22_ /\ ((op2_ e20_ e20_) <> e22_ /\ ((op2_ e21_ e21_) <> e22_ /\ ((op2_ e22_ e22_) <> e22_ /\ (op2_ e23_ e23_) <> e22_))))) \/ (((op2_ e22_ e23_) = e22_ /\ ((op2_ e23_ e22_) = e22_ /\ ((op2_ e20_ e20_) <> e23_ /\ ((op2_ e21_ e21_) <> e23_ /\ ((op2_ e22_ e22_) <> e23_ /\ (op2_ e23_ e23_) <> e23_))))) \/ (((op2_ e23_ e20_) = e23_ /\ ((op2_ e20_ e23_) = e23_ /\ ((op2_ e20_ e20_) <> e20_ /\ ((op2_ e21_ e21_) <> e20_ /\ ((op2_ e22_ e22_) <> e20_ /\ (op2_ e23_ e23_) <> e20_))))) \/ (((op2_ e23_ e21_) = e23_ /\ ((op2_ e21_ e23_) = e23_ /\ ((op2_ e20_ e20_) <> e21_ /\ ((op2_ e21_ e21_) <> e21_ /\ ((op2_ e22_ e22_) <> e21_ /\ (op2_ e23_ e23_) <> e21_))))) \/ (((op2_ e23_ e22_) = e23_ /\ ((op2_ e22_ e23_) = e23_ /\ ((op2_ e20_ e20_) <> e22_ /\ ((op2_ e21_ e21_) <> e22_ /\ ((op2_ e22_ e22_) <> e22_ /\ (op2_ e23_ e23_) <> e22_))))) \/ ((op2_ e23_ e23_) = e23_ /\ ((op2_ e23_ e23_) = e23_ /\ ((op2_ e20_ e20_) <> e23_ /\ ((op2_ e21_ e21_) <> e23_ /\ ((op2_ e22_ e22_) <> e23_ /\ (op2_ e23_ e23_) <> e23_)))))))))))))))))))))))).
Variable ax12_12 : (e10_ = (op1_ (op1_ e13_ (op1_ e13_ e13_)) e13_) /\ (e11_ = (op1_ e13_ e13_) /\ e12_ = (op1_ e13_ (op1_ e13_ e13_)))).
Variable ax13_13 : (e20_ = (op2_ (op2_ e23_ (op2_ e23_ e23_)) e23_) /\ (e21_ = (op2_ e23_ e23_) /\ e22_ = (op2_ e23_ (op2_ e23_ e23_)))).
Variable ax14_14 : ((h1_ e13_) = e20_ /\ ((h1_ e10_) = (op2_ (op2_ e20_ (op2_ e20_ e20_)) e20_) /\ ((h1_ e11_) = (op2_ e20_ e20_) /\ (h1_ e12_) = (op2_ e20_ (op2_ e20_ e20_))))).
Variable ax15_15 : ((h2_ e13_) = e21_ /\ ((h2_ e10_) = (op2_ (op2_ e21_ (op2_ e21_ e21_)) e21_) /\ ((h2_ e11_) = (op2_ e21_ e21_) /\ (h2_ e12_) = (op2_ e21_ (op2_ e21_ e21_))))).
Variable ax16_16 : ((h3_ e13_) = e22_ /\ ((h3_ e10_) = (op2_ (op2_ e22_ (op2_ e22_ e22_)) e22_) /\ ((h3_ e11_) = (op2_ e22_ e22_) /\ (h3_ e12_) = (op2_ e22_ (op2_ e22_ e22_))))).
Variable ax17_17 : ((h4_ e13_) = e23_ /\ ((h4_ e10_) = (op2_ (op2_ e23_ (op2_ e23_ e23_)) e23_) /\ ((h4_ e11_) = (op2_ e23_ e23_) /\ (h4_ e12_) = (op2_ e23_ (op2_ e23_ e23_))))).

Theorem co1_18 : (((h1_ (op1_ e10_ e10_)) = (op2_ (h1_ e10_) (h1_ e10_)) /\ ((h1_ (op1_ e10_ e11_)) = (op2_ (h1_ e10_) (h1_ e11_)) /\ ((h1_ (op1_ e10_ e12_)) = (op2_ (h1_ e10_) (h1_ e12_)) /\ ((h1_ (op1_ e10_ e13_)) = (op2_ (h1_ e10_) (h1_ e13_)) /\ ((h1_ (op1_ e11_ e10_)) = (op2_ (h1_ e11_) (h1_ e10_)) /\ ((h1_ (op1_ e11_ e11_)) = (op2_ (h1_ e11_) (h1_ e11_)) /\ ((h1_ (op1_ e11_ e12_)) = (op2_ (h1_ e11_) (h1_ e12_)) /\ ((h1_ (op1_ e11_ e13_)) = (op2_ (h1_ e11_) (h1_ e13_)) /\ ((h1_ (op1_ e12_ e10_)) = (op2_ (h1_ e12_) (h1_ e10_)) /\ ((h1_ (op1_ e12_ e11_)) = (op2_ (h1_ e12_) (h1_ e11_)) /\ ((h1_ (op1_ e12_ e12_)) = (op2_ (h1_ e12_) (h1_ e12_)) /\ ((h1_ (op1_ e12_ e13_)) = (op2_ (h1_ e12_) (h1_ e13_)) /\ ((h1_ (op1_ e13_ e10_)) = (op2_ (h1_ e13_) (h1_ e10_)) /\ ((h1_ (op1_ e13_ e11_)) = (op2_ (h1_ e13_) (h1_ e11_)) /\ ((h1_ (op1_ e13_ e12_)) = (op2_ (h1_ e13_) (h1_ e12_)) /\ ((h1_ (op1_ e13_ e13_)) = (op2_ (h1_ e13_) (h1_ e13_)) /\ (((h1_ e10_) = e20_ \/ ((h1_ e11_) = e20_ \/ ((h1_ e12_) = e20_ \/ (h1_ e13_) = e20_))) /\ (((h1_ e10_) = e21_ \/ ((h1_ e11_) = e21_ \/ ((h1_ e12_) = e21_ \/ (h1_ e13_) = e21_))) /\ (((h1_ e10_) = e22_ \/ ((h1_ e11_) = e22_ \/ ((h1_ e12_) = e22_ \/ (h1_ e13_) = e22_))) /\ ((h1_ e10_) = e23_ \/ ((h1_ e11_) = e23_ \/ ((h1_ e12_) = e23_ \/ (h1_ e13_) = e23_)))))))))))))))))))))) \/ (((h2_ (op1_ e10_ e10_)) = (op2_ (h2_ e10_) (h2_ e10_)) /\ ((h2_ (op1_ e10_ e11_)) = (op2_ (h2_ e10_) (h2_ e11_)) /\ ((h2_ (op1_ e10_ e12_)) = (op2_ (h2_ e10_) (h2_ e12_)) /\ ((h2_ (op1_ e10_ e13_)) = (op2_ (h2_ e10_) (h2_ e13_)) /\ ((h2_ (op1_ e11_ e10_)) = (op2_ (h2_ e11_) (h2_ e10_)) /\ ((h2_ (op1_ e11_ e11_)) = (op2_ (h2_ e11_) (h2_ e11_)) /\ ((h2_ (op1_ e11_ e12_)) = (op2_ (h2_ e11_) (h2_ e12_)) /\ ((h2_ (op1_ e11_ e13_)) = (op2_ (h2_ e11_) (h2_ e13_)) /\ ((h2_ (op1_ e12_ e10_)) = (op2_ (h2_ e12_) (h2_ e10_)) /\ ((h2_ (op1_ e12_ e11_)) = (op2_ (h2_ e12_) (h2_ e11_)) /\ ((h2_ (op1_ e12_ e12_)) = (op2_ (h2_ e12_) (h2_ e12_)) /\ ((h2_ (op1_ e12_ e13_)) = (op2_ (h2_ e12_) (h2_ e13_)) /\ ((h2_ (op1_ e13_ e10_)) = (op2_ (h2_ e13_) (h2_ e10_)) /\ ((h2_ (op1_ e13_ e11_)) = (op2_ (h2_ e13_) (h2_ e11_)) /\ ((h2_ (op1_ e13_ e12_)) = (op2_ (h2_ e13_) (h2_ e12_)) /\ ((h2_ (op1_ e13_ e13_)) = (op2_ (h2_ e13_) (h2_ e13_)) /\ (((h2_ e10_) = e20_ \/ ((h2_ e11_) = e20_ \/ ((h2_ e12_) = e20_ \/ (h2_ e13_) = e20_))) /\ (((h2_ e10_) = e21_ \/ ((h2_ e11_) = e21_ \/ ((h2_ e12_) = e21_ \/ (h2_ e13_) = e21_))) /\ (((h2_ e10_) = e22_ \/ ((h2_ e11_) = e22_ \/ ((h2_ e12_) = e22_ \/ (h2_ e13_) = e22_))) /\ ((h2_ e10_) = e23_ \/ ((h2_ e11_) = e23_ \/ ((h2_ e12_) = e23_ \/ (h2_ e13_) = e23_)))))))))))))))))))))) \/ (((h3_ (op1_ e10_ e10_)) = (op2_ (h3_ e10_) (h3_ e10_)) /\ ((h3_ (op1_ e10_ e11_)) = (op2_ (h3_ e10_) (h3_ e11_)) /\ ((h3_ (op1_ e10_ e12_)) = (op2_ (h3_ e10_) (h3_ e12_)) /\ ((h3_ (op1_ e10_ e13_)) = (op2_ (h3_ e10_) (h3_ e13_)) /\ ((h3_ (op1_ e11_ e10_)) = (op2_ (h3_ e11_) (h3_ e10_)) /\ ((h3_ (op1_ e11_ e11_)) = (op2_ (h3_ e11_) (h3_ e11_)) /\ ((h3_ (op1_ e11_ e12_)) = (op2_ (h3_ e11_) (h3_ e12_)) /\ ((h3_ (op1_ e11_ e13_)) = (op2_ (h3_ e11_) (h3_ e13_)) /\ ((h3_ (op1_ e12_ e10_)) = (op2_ (h3_ e12_) (h3_ e10_)) /\ ((h3_ (op1_ e12_ e11_)) = (op2_ (h3_ e12_) (h3_ e11_)) /\ ((h3_ (op1_ e12_ e12_)) = (op2_ (h3_ e12_) (h3_ e12_)) /\ ((h3_ (op1_ e12_ e13_)) = (op2_ (h3_ e12_) (h3_ e13_)) /\ ((h3_ (op1_ e13_ e10_)) = (op2_ (h3_ e13_) (h3_ e10_)) /\ ((h3_ (op1_ e13_ e11_)) = (op2_ (h3_ e13_) (h3_ e11_)) /\ ((h3_ (op1_ e13_ e12_)) = (op2_ (h3_ e13_) (h3_ e12_)) /\ ((h3_ (op1_ e13_ e13_)) = (op2_ (h3_ e13_) (h3_ e13_)) /\ (((h3_ e10_) = e20_ \/ ((h3_ e11_) = e20_ \/ ((h3_ e12_) = e20_ \/ (h3_ e13_) = e20_))) /\ (((h3_ e10_) = e21_ \/ ((h3_ e11_) = e21_ \/ ((h3_ e12_) = e21_ \/ (h3_ e13_) = e21_))) /\ (((h3_ e10_) = e22_ \/ ((h3_ e11_) = e22_ \/ ((h3_ e12_) = e22_ \/ (h3_ e13_) = e22_))) /\ ((h3_ e10_) = e23_ \/ ((h3_ e11_) = e23_ \/ ((h3_ e12_) = e23_ \/ (h3_ e13_) = e23_)))))))))))))))))))))) \/ ((h4_ (op1_ e10_ e10_)) = (op2_ (h4_ e10_) (h4_ e10_)) /\ ((h4_ (op1_ e10_ e11_)) = (op2_ (h4_ e10_) (h4_ e11_)) /\ ((h4_ (op1_ e10_ e12_)) = (op2_ (h4_ e10_) (h4_ e12_)) /\ ((h4_ (op1_ e10_ e13_)) = (op2_ (h4_ e10_) (h4_ e13_)) /\ ((h4_ (op1_ e11_ e10_)) = (op2_ (h4_ e11_) (h4_ e10_)) /\ ((h4_ (op1_ e11_ e11_)) = (op2_ (h4_ e11_) (h4_ e11_)) /\ ((h4_ (op1_ e11_ e12_)) = (op2_ (h4_ e11_) (h4_ e12_)) /\ ((h4_ (op1_ e11_ e13_)) = (op2_ (h4_ e11_) (h4_ e13_)) /\ ((h4_ (op1_ e12_ e10_)) = (op2_ (h4_ e12_) (h4_ e10_)) /\ ((h4_ (op1_ e12_ e11_)) = (op2_ (h4_ e12_) (h4_ e11_)) /\ ((h4_ (op1_ e12_ e12_)) = (op2_ (h4_ e12_) (h4_ e12_)) /\ ((h4_ (op1_ e12_ e13_)) = (op2_ (h4_ e12_) (h4_ e13_)) /\ ((h4_ (op1_ e13_ e10_)) = (op2_ (h4_ e13_) (h4_ e10_)) /\ ((h4_ (op1_ e13_ e11_)) = (op2_ (h4_ e13_) (h4_ e11_)) /\ ((h4_ (op1_ e13_ e12_)) = (op2_ (h4_ e13_) (h4_ e12_)) /\ ((h4_ (op1_ e13_ e13_)) = (op2_ (h4_ e13_) (h4_ e13_)) /\ (((h4_ e10_) = e20_ \/ ((h4_ e11_) = e20_ \/ ((h4_ e12_) = e20_ \/ (h4_ e13_) = e20_))) /\ (((h4_ e10_) = e21_ \/ ((h4_ e11_) = e21_ \/ ((h4_ e12_) = e21_ \/ (h4_ e13_) = e21_))) /\ (((h4_ e10_) = e22_ \/ ((h4_ e11_) = e22_ \/ ((h4_ e12_) = e22_ \/ (h4_ e13_) = e22_))) /\ ((h4_ e10_) = e23_ \/ ((h4_ e11_) = e23_ \/ ((h4_ e12_) = e23_ \/ (h4_ e13_) = e23_))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
