(*
% File     : ALG207+1 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Quasigroups 7 QG5: REPRESENTATIVES-SATISFY-PROPS-PROBLEM-1
% Version  : Especial.
% English  : 
% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 
% Status   : Theorem
% Rating   : 0.78 v3.1.0, 0.75 v2.7.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    3 (   0 unit)
%            Number of atoms       : 1155 (1155 equality)
%            Maximal formula depth :  203 (  91 average)
%            Number of connectives : 1180 (  28 ~  ; 882  |; 270  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   7 constant; 0-2 arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    4 (   2 average)
% Comments : 
*)

From Hammer Require Import Tactics.

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.


Variable op_ : Universe -> Universe -> Universe.
Variable e6_ : Universe.
Variable e5_ : Universe.
Variable e4_ : Universe.
Variable e3_ : Universe.
Variable e2_ : Universe.
Variable e1_ : Universe.
Variable e0_ : Universe.

Variable ax1_1 : (e0_ <> e1_ /\ (e0_ <> e2_ /\ (e0_ <> e3_ /\ (e0_ <> e4_ /\ (e0_ <> e5_ /\ (e0_ <> e6_ /\ (e1_ <> e2_ /\ (e1_ <> e3_ /\ (e1_ <> e4_ /\ (e1_ <> e5_ /\ (e1_ <> e6_ /\ (e2_ <> e3_ /\ (e2_ <> e4_ /\ (e2_ <> e5_ /\ (e2_ <> e6_ /\ (e3_ <> e4_ /\ (e3_ <> e5_ /\ (e3_ <> e6_ /\ (e4_ <> e5_ /\ (e4_ <> e6_ /\ e5_ <> e6_)))))))))))))))))))).
Variable ax2_2 : ((op_ e0_ e0_) = e3_ /\ ((op_ e0_ e1_) = e0_ /\ ((op_ e0_ e2_) = e6_ /\ ((op_ e0_ e3_) = e1_ /\ ((op_ e0_ e4_) = e4_ /\ ((op_ e0_ e5_) = e2_ /\ ((op_ e0_ e6_) = e5_ /\ ((op_ e1_ e0_) = e0_ /\ ((op_ e1_ e1_) = e6_ /\ ((op_ e1_ e2_) = e1_ /\ ((op_ e1_ e3_) = e5_ /\ ((op_ e1_ e4_) = e3_ /\ ((op_ e1_ e5_) = e4_ /\ ((op_ e1_ e6_) = e2_ /\ ((op_ e2_ e0_) = e6_ /\ ((op_ e2_ e1_) = e1_ /\ ((op_ e2_ e2_) = e5_ /\ ((op_ e2_ e3_) = e2_ /\ ((op_ e2_ e4_) = e0_ /\ ((op_ e2_ e5_) = e3_ /\ ((op_ e2_ e6_) = e4_ /\ ((op_ e3_ e0_) = e1_ /\ ((op_ e3_ e1_) = e5_ /\ ((op_ e3_ e2_) = e2_ /\ ((op_ e3_ e3_) = e4_ /\ ((op_ e3_ e4_) = e6_ /\ ((op_ e3_ e5_) = e0_ /\ ((op_ e3_ e6_) = e3_ /\ ((op_ e4_ e0_) = e4_ /\ ((op_ e4_ e1_) = e3_ /\ ((op_ e4_ e2_) = e0_ /\ ((op_ e4_ e3_) = e6_ /\ ((op_ e4_ e4_) = e2_ /\ ((op_ e4_ e5_) = e5_ /\ ((op_ e4_ e6_) = e1_ /\ ((op_ e5_ e0_) = e2_ /\ ((op_ e5_ e1_) = e4_ /\ ((op_ e5_ e2_) = e3_ /\ ((op_ e5_ e3_) = e0_ /\ ((op_ e5_ e4_) = e5_ /\ ((op_ e5_ e5_) = e1_ /\ ((op_ e5_ e6_) = e6_ /\ ((op_ e6_ e0_) = e5_ /\ ((op_ e6_ e1_) = e2_ /\ ((op_ e6_ e2_) = e4_ /\ ((op_ e6_ e3_) = e3_ /\ ((op_ e6_ e4_) = e1_ /\ ((op_ e6_ e5_) = e6_ /\ (op_ e6_ e6_) = e0_)))))))))))))))))))))))))))))))))))))))))))))))).

Theorem co1_3 : ((op_ e0_ e0_) <> e0_ /\ ((op_ e1_ e1_) <> e1_ /\ ((op_ e2_ e2_) <> e2_ /\ ((op_ e3_ e3_) <> e3_ /\ ((op_ e4_ e4_) <> e4_ /\ ((op_ e5_ e5_) <> e5_ /\ ((op_ e6_ e6_) <> e6_ /\ (((op_ e0_ e0_) = e0_ \/ ((op_ e0_ e0_) = e1_ \/ ((op_ e0_ e0_) = e2_ \/ ((op_ e0_ e0_) = e3_ \/ ((op_ e0_ e0_) = e4_ \/ ((op_ e0_ e0_) = e5_ \/ (op_ e0_ e0_) = e6_)))))) /\ (((op_ e0_ e1_) = e0_ \/ ((op_ e0_ e1_) = e1_ \/ ((op_ e0_ e1_) = e2_ \/ ((op_ e0_ e1_) = e3_ \/ ((op_ e0_ e1_) = e4_ \/ ((op_ e0_ e1_) = e5_ \/ (op_ e0_ e1_) = e6_)))))) /\ (((op_ e0_ e2_) = e0_ \/ ((op_ e0_ e2_) = e1_ \/ ((op_ e0_ e2_) = e2_ \/ ((op_ e0_ e2_) = e3_ \/ ((op_ e0_ e2_) = e4_ \/ ((op_ e0_ e2_) = e5_ \/ (op_ e0_ e2_) = e6_)))))) /\ (((op_ e0_ e3_) = e0_ \/ ((op_ e0_ e3_) = e1_ \/ ((op_ e0_ e3_) = e2_ \/ ((op_ e0_ e3_) = e3_ \/ ((op_ e0_ e3_) = e4_ \/ ((op_ e0_ e3_) = e5_ \/ (op_ e0_ e3_) = e6_)))))) /\ (((op_ e0_ e4_) = e0_ \/ ((op_ e0_ e4_) = e1_ \/ ((op_ e0_ e4_) = e2_ \/ ((op_ e0_ e4_) = e3_ \/ ((op_ e0_ e4_) = e4_ \/ ((op_ e0_ e4_) = e5_ \/ (op_ e0_ e4_) = e6_)))))) /\ (((op_ e0_ e5_) = e0_ \/ ((op_ e0_ e5_) = e1_ \/ ((op_ e0_ e5_) = e2_ \/ ((op_ e0_ e5_) = e3_ \/ ((op_ e0_ e5_) = e4_ \/ ((op_ e0_ e5_) = e5_ \/ (op_ e0_ e5_) = e6_)))))) /\ (((op_ e0_ e6_) = e0_ \/ ((op_ e0_ e6_) = e1_ \/ ((op_ e0_ e6_) = e2_ \/ ((op_ e0_ e6_) = e3_ \/ ((op_ e0_ e6_) = e4_ \/ ((op_ e0_ e6_) = e5_ \/ (op_ e0_ e6_) = e6_)))))) /\ (((op_ e1_ e0_) = e0_ \/ ((op_ e1_ e0_) = e1_ \/ ((op_ e1_ e0_) = e2_ \/ ((op_ e1_ e0_) = e3_ \/ ((op_ e1_ e0_) = e4_ \/ ((op_ e1_ e0_) = e5_ \/ (op_ e1_ e0_) = e6_)))))) /\ (((op_ e1_ e1_) = e0_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e1_ e1_) = e2_ \/ ((op_ e1_ e1_) = e3_ \/ ((op_ e1_ e1_) = e4_ \/ ((op_ e1_ e1_) = e5_ \/ (op_ e1_ e1_) = e6_)))))) /\ (((op_ e1_ e2_) = e0_ \/ ((op_ e1_ e2_) = e1_ \/ ((op_ e1_ e2_) = e2_ \/ ((op_ e1_ e2_) = e3_ \/ ((op_ e1_ e2_) = e4_ \/ ((op_ e1_ e2_) = e5_ \/ (op_ e1_ e2_) = e6_)))))) /\ (((op_ e1_ e3_) = e0_ \/ ((op_ e1_ e3_) = e1_ \/ ((op_ e1_ e3_) = e2_ \/ ((op_ e1_ e3_) = e3_ \/ ((op_ e1_ e3_) = e4_ \/ ((op_ e1_ e3_) = e5_ \/ (op_ e1_ e3_) = e6_)))))) /\ (((op_ e1_ e4_) = e0_ \/ ((op_ e1_ e4_) = e1_ \/ ((op_ e1_ e4_) = e2_ \/ ((op_ e1_ e4_) = e3_ \/ ((op_ e1_ e4_) = e4_ \/ ((op_ e1_ e4_) = e5_ \/ (op_ e1_ e4_) = e6_)))))) /\ (((op_ e1_ e5_) = e0_ \/ ((op_ e1_ e5_) = e1_ \/ ((op_ e1_ e5_) = e2_ \/ ((op_ e1_ e5_) = e3_ \/ ((op_ e1_ e5_) = e4_ \/ ((op_ e1_ e5_) = e5_ \/ (op_ e1_ e5_) = e6_)))))) /\ (((op_ e1_ e6_) = e0_ \/ ((op_ e1_ e6_) = e1_ \/ ((op_ e1_ e6_) = e2_ \/ ((op_ e1_ e6_) = e3_ \/ ((op_ e1_ e6_) = e4_ \/ ((op_ e1_ e6_) = e5_ \/ (op_ e1_ e6_) = e6_)))))) /\ (((op_ e2_ e0_) = e0_ \/ ((op_ e2_ e0_) = e1_ \/ ((op_ e2_ e0_) = e2_ \/ ((op_ e2_ e0_) = e3_ \/ ((op_ e2_ e0_) = e4_ \/ ((op_ e2_ e0_) = e5_ \/ (op_ e2_ e0_) = e6_)))))) /\ (((op_ e2_ e1_) = e0_ \/ ((op_ e2_ e1_) = e1_ \/ ((op_ e2_ e1_) = e2_ \/ ((op_ e2_ e1_) = e3_ \/ ((op_ e2_ e1_) = e4_ \/ ((op_ e2_ e1_) = e5_ \/ (op_ e2_ e1_) = e6_)))))) /\ (((op_ e2_ e2_) = e0_ \/ ((op_ e2_ e2_) = e1_ \/ ((op_ e2_ e2_) = e2_ \/ ((op_ e2_ e2_) = e3_ \/ ((op_ e2_ e2_) = e4_ \/ ((op_ e2_ e2_) = e5_ \/ (op_ e2_ e2_) = e6_)))))) /\ (((op_ e2_ e3_) = e0_ \/ ((op_ e2_ e3_) = e1_ \/ ((op_ e2_ e3_) = e2_ \/ ((op_ e2_ e3_) = e3_ \/ ((op_ e2_ e3_) = e4_ \/ ((op_ e2_ e3_) = e5_ \/ (op_ e2_ e3_) = e6_)))))) /\ (((op_ e2_ e4_) = e0_ \/ ((op_ e2_ e4_) = e1_ \/ ((op_ e2_ e4_) = e2_ \/ ((op_ e2_ e4_) = e3_ \/ ((op_ e2_ e4_) = e4_ \/ ((op_ e2_ e4_) = e5_ \/ (op_ e2_ e4_) = e6_)))))) /\ (((op_ e2_ e5_) = e0_ \/ ((op_ e2_ e5_) = e1_ \/ ((op_ e2_ e5_) = e2_ \/ ((op_ e2_ e5_) = e3_ \/ ((op_ e2_ e5_) = e4_ \/ ((op_ e2_ e5_) = e5_ \/ (op_ e2_ e5_) = e6_)))))) /\ (((op_ e2_ e6_) = e0_ \/ ((op_ e2_ e6_) = e1_ \/ ((op_ e2_ e6_) = e2_ \/ ((op_ e2_ e6_) = e3_ \/ ((op_ e2_ e6_) = e4_ \/ ((op_ e2_ e6_) = e5_ \/ (op_ e2_ e6_) = e6_)))))) /\ (((op_ e3_ e0_) = e0_ \/ ((op_ e3_ e0_) = e1_ \/ ((op_ e3_ e0_) = e2_ \/ ((op_ e3_ e0_) = e3_ \/ ((op_ e3_ e0_) = e4_ \/ ((op_ e3_ e0_) = e5_ \/ (op_ e3_ e0_) = e6_)))))) /\ (((op_ e3_ e1_) = e0_ \/ ((op_ e3_ e1_) = e1_ \/ ((op_ e3_ e1_) = e2_ \/ ((op_ e3_ e1_) = e3_ \/ ((op_ e3_ e1_) = e4_ \/ ((op_ e3_ e1_) = e5_ \/ (op_ e3_ e1_) = e6_)))))) /\ (((op_ e3_ e2_) = e0_ \/ ((op_ e3_ e2_) = e1_ \/ ((op_ e3_ e2_) = e2_ \/ ((op_ e3_ e2_) = e3_ \/ ((op_ e3_ e2_) = e4_ \/ ((op_ e3_ e2_) = e5_ \/ (op_ e3_ e2_) = e6_)))))) /\ (((op_ e3_ e3_) = e0_ \/ ((op_ e3_ e3_) = e1_ \/ ((op_ e3_ e3_) = e2_ \/ ((op_ e3_ e3_) = e3_ \/ ((op_ e3_ e3_) = e4_ \/ ((op_ e3_ e3_) = e5_ \/ (op_ e3_ e3_) = e6_)))))) /\ (((op_ e3_ e4_) = e0_ \/ ((op_ e3_ e4_) = e1_ \/ ((op_ e3_ e4_) = e2_ \/ ((op_ e3_ e4_) = e3_ \/ ((op_ e3_ e4_) = e4_ \/ ((op_ e3_ e4_) = e5_ \/ (op_ e3_ e4_) = e6_)))))) /\ (((op_ e3_ e5_) = e0_ \/ ((op_ e3_ e5_) = e1_ \/ ((op_ e3_ e5_) = e2_ \/ ((op_ e3_ e5_) = e3_ \/ ((op_ e3_ e5_) = e4_ \/ ((op_ e3_ e5_) = e5_ \/ (op_ e3_ e5_) = e6_)))))) /\ (((op_ e3_ e6_) = e0_ \/ ((op_ e3_ e6_) = e1_ \/ ((op_ e3_ e6_) = e2_ \/ ((op_ e3_ e6_) = e3_ \/ ((op_ e3_ e6_) = e4_ \/ ((op_ e3_ e6_) = e5_ \/ (op_ e3_ e6_) = e6_)))))) /\ (((op_ e4_ e0_) = e0_ \/ ((op_ e4_ e0_) = e1_ \/ ((op_ e4_ e0_) = e2_ \/ ((op_ e4_ e0_) = e3_ \/ ((op_ e4_ e0_) = e4_ \/ ((op_ e4_ e0_) = e5_ \/ (op_ e4_ e0_) = e6_)))))) /\ (((op_ e4_ e1_) = e0_ \/ ((op_ e4_ e1_) = e1_ \/ ((op_ e4_ e1_) = e2_ \/ ((op_ e4_ e1_) = e3_ \/ ((op_ e4_ e1_) = e4_ \/ ((op_ e4_ e1_) = e5_ \/ (op_ e4_ e1_) = e6_)))))) /\ (((op_ e4_ e2_) = e0_ \/ ((op_ e4_ e2_) = e1_ \/ ((op_ e4_ e2_) = e2_ \/ ((op_ e4_ e2_) = e3_ \/ ((op_ e4_ e2_) = e4_ \/ ((op_ e4_ e2_) = e5_ \/ (op_ e4_ e2_) = e6_)))))) /\ (((op_ e4_ e3_) = e0_ \/ ((op_ e4_ e3_) = e1_ \/ ((op_ e4_ e3_) = e2_ \/ ((op_ e4_ e3_) = e3_ \/ ((op_ e4_ e3_) = e4_ \/ ((op_ e4_ e3_) = e5_ \/ (op_ e4_ e3_) = e6_)))))) /\ (((op_ e4_ e4_) = e0_ \/ ((op_ e4_ e4_) = e1_ \/ ((op_ e4_ e4_) = e2_ \/ ((op_ e4_ e4_) = e3_ \/ ((op_ e4_ e4_) = e4_ \/ ((op_ e4_ e4_) = e5_ \/ (op_ e4_ e4_) = e6_)))))) /\ (((op_ e4_ e5_) = e0_ \/ ((op_ e4_ e5_) = e1_ \/ ((op_ e4_ e5_) = e2_ \/ ((op_ e4_ e5_) = e3_ \/ ((op_ e4_ e5_) = e4_ \/ ((op_ e4_ e5_) = e5_ \/ (op_ e4_ e5_) = e6_)))))) /\ (((op_ e4_ e6_) = e0_ \/ ((op_ e4_ e6_) = e1_ \/ ((op_ e4_ e6_) = e2_ \/ ((op_ e4_ e6_) = e3_ \/ ((op_ e4_ e6_) = e4_ \/ ((op_ e4_ e6_) = e5_ \/ (op_ e4_ e6_) = e6_)))))) /\ (((op_ e5_ e0_) = e0_ \/ ((op_ e5_ e0_) = e1_ \/ ((op_ e5_ e0_) = e2_ \/ ((op_ e5_ e0_) = e3_ \/ ((op_ e5_ e0_) = e4_ \/ ((op_ e5_ e0_) = e5_ \/ (op_ e5_ e0_) = e6_)))))) /\ (((op_ e5_ e1_) = e0_ \/ ((op_ e5_ e1_) = e1_ \/ ((op_ e5_ e1_) = e2_ \/ ((op_ e5_ e1_) = e3_ \/ ((op_ e5_ e1_) = e4_ \/ ((op_ e5_ e1_) = e5_ \/ (op_ e5_ e1_) = e6_)))))) /\ (((op_ e5_ e2_) = e0_ \/ ((op_ e5_ e2_) = e1_ \/ ((op_ e5_ e2_) = e2_ \/ ((op_ e5_ e2_) = e3_ \/ ((op_ e5_ e2_) = e4_ \/ ((op_ e5_ e2_) = e5_ \/ (op_ e5_ e2_) = e6_)))))) /\ (((op_ e5_ e3_) = e0_ \/ ((op_ e5_ e3_) = e1_ \/ ((op_ e5_ e3_) = e2_ \/ ((op_ e5_ e3_) = e3_ \/ ((op_ e5_ e3_) = e4_ \/ ((op_ e5_ e3_) = e5_ \/ (op_ e5_ e3_) = e6_)))))) /\ (((op_ e5_ e4_) = e0_ \/ ((op_ e5_ e4_) = e1_ \/ ((op_ e5_ e4_) = e2_ \/ ((op_ e5_ e4_) = e3_ \/ ((op_ e5_ e4_) = e4_ \/ ((op_ e5_ e4_) = e5_ \/ (op_ e5_ e4_) = e6_)))))) /\ (((op_ e5_ e5_) = e0_ \/ ((op_ e5_ e5_) = e1_ \/ ((op_ e5_ e5_) = e2_ \/ ((op_ e5_ e5_) = e3_ \/ ((op_ e5_ e5_) = e4_ \/ ((op_ e5_ e5_) = e5_ \/ (op_ e5_ e5_) = e6_)))))) /\ (((op_ e5_ e6_) = e0_ \/ ((op_ e5_ e6_) = e1_ \/ ((op_ e5_ e6_) = e2_ \/ ((op_ e5_ e6_) = e3_ \/ ((op_ e5_ e6_) = e4_ \/ ((op_ e5_ e6_) = e5_ \/ (op_ e5_ e6_) = e6_)))))) /\ (((op_ e6_ e0_) = e0_ \/ ((op_ e6_ e0_) = e1_ \/ ((op_ e6_ e0_) = e2_ \/ ((op_ e6_ e0_) = e3_ \/ ((op_ e6_ e0_) = e4_ \/ ((op_ e6_ e0_) = e5_ \/ (op_ e6_ e0_) = e6_)))))) /\ (((op_ e6_ e1_) = e0_ \/ ((op_ e6_ e1_) = e1_ \/ ((op_ e6_ e1_) = e2_ \/ ((op_ e6_ e1_) = e3_ \/ ((op_ e6_ e1_) = e4_ \/ ((op_ e6_ e1_) = e5_ \/ (op_ e6_ e1_) = e6_)))))) /\ (((op_ e6_ e2_) = e0_ \/ ((op_ e6_ e2_) = e1_ \/ ((op_ e6_ e2_) = e2_ \/ ((op_ e6_ e2_) = e3_ \/ ((op_ e6_ e2_) = e4_ \/ ((op_ e6_ e2_) = e5_ \/ (op_ e6_ e2_) = e6_)))))) /\ (((op_ e6_ e3_) = e0_ \/ ((op_ e6_ e3_) = e1_ \/ ((op_ e6_ e3_) = e2_ \/ ((op_ e6_ e3_) = e3_ \/ ((op_ e6_ e3_) = e4_ \/ ((op_ e6_ e3_) = e5_ \/ (op_ e6_ e3_) = e6_)))))) /\ (((op_ e6_ e4_) = e0_ \/ ((op_ e6_ e4_) = e1_ \/ ((op_ e6_ e4_) = e2_ \/ ((op_ e6_ e4_) = e3_ \/ ((op_ e6_ e4_) = e4_ \/ ((op_ e6_ e4_) = e5_ \/ (op_ e6_ e4_) = e6_)))))) /\ (((op_ e6_ e5_) = e0_ \/ ((op_ e6_ e5_) = e1_ \/ ((op_ e6_ e5_) = e2_ \/ ((op_ e6_ e5_) = e3_ \/ ((op_ e6_ e5_) = e4_ \/ ((op_ e6_ e5_) = e5_ \/ (op_ e6_ e5_) = e6_)))))) /\ (((op_ e6_ e6_) = e0_ \/ ((op_ e6_ e6_) = e1_ \/ ((op_ e6_ e6_) = e2_ \/ ((op_ e6_ e6_) = e3_ \/ ((op_ e6_ e6_) = e4_ \/ ((op_ e6_ e6_) = e5_ \/ (op_ e6_ e6_) = e6_)))))) /\ (((op_ e0_ e0_) = e0_ \/ ((op_ e0_ e1_) = e0_ \/ ((op_ e0_ e2_) = e0_ \/ ((op_ e0_ e3_) = e0_ \/ ((op_ e0_ e4_) = e0_ \/ ((op_ e0_ e5_) = e0_ \/ (op_ e0_ e6_) = e0_)))))) /\ (((op_ e0_ e0_) = e0_ \/ ((op_ e1_ e0_) = e0_ \/ ((op_ e2_ e0_) = e0_ \/ ((op_ e3_ e0_) = e0_ \/ ((op_ e4_ e0_) = e0_ \/ ((op_ e5_ e0_) = e0_ \/ (op_ e6_ e0_) = e0_)))))) /\ (((op_ e0_ e0_) = e1_ \/ ((op_ e0_ e1_) = e1_ \/ ((op_ e0_ e2_) = e1_ \/ ((op_ e0_ e3_) = e1_ \/ ((op_ e0_ e4_) = e1_ \/ ((op_ e0_ e5_) = e1_ \/ (op_ e0_ e6_) = e1_)))))) /\ (((op_ e0_ e0_) = e1_ \/ ((op_ e1_ e0_) = e1_ \/ ((op_ e2_ e0_) = e1_ \/ ((op_ e3_ e0_) = e1_ \/ ((op_ e4_ e0_) = e1_ \/ ((op_ e5_ e0_) = e1_ \/ (op_ e6_ e0_) = e1_)))))) /\ (((op_ e0_ e0_) = e2_ \/ ((op_ e0_ e1_) = e2_ \/ ((op_ e0_ e2_) = e2_ \/ ((op_ e0_ e3_) = e2_ \/ ((op_ e0_ e4_) = e2_ \/ ((op_ e0_ e5_) = e2_ \/ (op_ e0_ e6_) = e2_)))))) /\ (((op_ e0_ e0_) = e2_ \/ ((op_ e1_ e0_) = e2_ \/ ((op_ e2_ e0_) = e2_ \/ ((op_ e3_ e0_) = e2_ \/ ((op_ e4_ e0_) = e2_ \/ ((op_ e5_ e0_) = e2_ \/ (op_ e6_ e0_) = e2_)))))) /\ (((op_ e0_ e0_) = e3_ \/ ((op_ e0_ e1_) = e3_ \/ ((op_ e0_ e2_) = e3_ \/ ((op_ e0_ e3_) = e3_ \/ ((op_ e0_ e4_) = e3_ \/ ((op_ e0_ e5_) = e3_ \/ (op_ e0_ e6_) = e3_)))))) /\ (((op_ e0_ e0_) = e3_ \/ ((op_ e1_ e0_) = e3_ \/ ((op_ e2_ e0_) = e3_ \/ ((op_ e3_ e0_) = e3_ \/ ((op_ e4_ e0_) = e3_ \/ ((op_ e5_ e0_) = e3_ \/ (op_ e6_ e0_) = e3_)))))) /\ (((op_ e0_ e0_) = e4_ \/ ((op_ e0_ e1_) = e4_ \/ ((op_ e0_ e2_) = e4_ \/ ((op_ e0_ e3_) = e4_ \/ ((op_ e0_ e4_) = e4_ \/ ((op_ e0_ e5_) = e4_ \/ (op_ e0_ e6_) = e4_)))))) /\ (((op_ e0_ e0_) = e4_ \/ ((op_ e1_ e0_) = e4_ \/ ((op_ e2_ e0_) = e4_ \/ ((op_ e3_ e0_) = e4_ \/ ((op_ e4_ e0_) = e4_ \/ ((op_ e5_ e0_) = e4_ \/ (op_ e6_ e0_) = e4_)))))) /\ (((op_ e0_ e0_) = e5_ \/ ((op_ e0_ e1_) = e5_ \/ ((op_ e0_ e2_) = e5_ \/ ((op_ e0_ e3_) = e5_ \/ ((op_ e0_ e4_) = e5_ \/ ((op_ e0_ e5_) = e5_ \/ (op_ e0_ e6_) = e5_)))))) /\ (((op_ e0_ e0_) = e5_ \/ ((op_ e1_ e0_) = e5_ \/ ((op_ e2_ e0_) = e5_ \/ ((op_ e3_ e0_) = e5_ \/ ((op_ e4_ e0_) = e5_ \/ ((op_ e5_ e0_) = e5_ \/ (op_ e6_ e0_) = e5_)))))) /\ (((op_ e0_ e0_) = e6_ \/ ((op_ e0_ e1_) = e6_ \/ ((op_ e0_ e2_) = e6_ \/ ((op_ e0_ e3_) = e6_ \/ ((op_ e0_ e4_) = e6_ \/ ((op_ e0_ e5_) = e6_ \/ (op_ e0_ e6_) = e6_)))))) /\ (((op_ e0_ e0_) = e6_ \/ ((op_ e1_ e0_) = e6_ \/ ((op_ e2_ e0_) = e6_ \/ ((op_ e3_ e0_) = e6_ \/ ((op_ e4_ e0_) = e6_ \/ ((op_ e5_ e0_) = e6_ \/ (op_ e6_ e0_) = e6_)))))) /\ (((op_ e1_ e0_) = e0_ \/ ((op_ e1_ e1_) = e0_ \/ ((op_ e1_ e2_) = e0_ \/ ((op_ e1_ e3_) = e0_ \/ ((op_ e1_ e4_) = e0_ \/ ((op_ e1_ e5_) = e0_ \/ (op_ e1_ e6_) = e0_)))))) /\ (((op_ e0_ e1_) = e0_ \/ ((op_ e1_ e1_) = e0_ \/ ((op_ e2_ e1_) = e0_ \/ ((op_ e3_ e1_) = e0_ \/ ((op_ e4_ e1_) = e0_ \/ ((op_ e5_ e1_) = e0_ \/ (op_ e6_ e1_) = e0_)))))) /\ (((op_ e1_ e0_) = e1_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e1_ e2_) = e1_ \/ ((op_ e1_ e3_) = e1_ \/ ((op_ e1_ e4_) = e1_ \/ ((op_ e1_ e5_) = e1_ \/ (op_ e1_ e6_) = e1_)))))) /\ (((op_ e0_ e1_) = e1_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e2_ e1_) = e1_ \/ ((op_ e3_ e1_) = e1_ \/ ((op_ e4_ e1_) = e1_ \/ ((op_ e5_ e1_) = e1_ \/ (op_ e6_ e1_) = e1_)))))) /\ (((op_ e1_ e0_) = e2_ \/ ((op_ e1_ e1_) = e2_ \/ ((op_ e1_ e2_) = e2_ \/ ((op_ e1_ e3_) = e2_ \/ ((op_ e1_ e4_) = e2_ \/ ((op_ e1_ e5_) = e2_ \/ (op_ e1_ e6_) = e2_)))))) /\ (((op_ e0_ e1_) = e2_ \/ ((op_ e1_ e1_) = e2_ \/ ((op_ e2_ e1_) = e2_ \/ ((op_ e3_ e1_) = e2_ \/ ((op_ e4_ e1_) = e2_ \/ ((op_ e5_ e1_) = e2_ \/ (op_ e6_ e1_) = e2_)))))) /\ (((op_ e1_ e0_) = e3_ \/ ((op_ e1_ e1_) = e3_ \/ ((op_ e1_ e2_) = e3_ \/ ((op_ e1_ e3_) = e3_ \/ ((op_ e1_ e4_) = e3_ \/ ((op_ e1_ e5_) = e3_ \/ (op_ e1_ e6_) = e3_)))))) /\ (((op_ e0_ e1_) = e3_ \/ ((op_ e1_ e1_) = e3_ \/ ((op_ e2_ e1_) = e3_ \/ ((op_ e3_ e1_) = e3_ \/ ((op_ e4_ e1_) = e3_ \/ ((op_ e5_ e1_) = e3_ \/ (op_ e6_ e1_) = e3_)))))) /\ (((op_ e1_ e0_) = e4_ \/ ((op_ e1_ e1_) = e4_ \/ ((op_ e1_ e2_) = e4_ \/ ((op_ e1_ e3_) = e4_ \/ ((op_ e1_ e4_) = e4_ \/ ((op_ e1_ e5_) = e4_ \/ (op_ e1_ e6_) = e4_)))))) /\ (((op_ e0_ e1_) = e4_ \/ ((op_ e1_ e1_) = e4_ \/ ((op_ e2_ e1_) = e4_ \/ ((op_ e3_ e1_) = e4_ \/ ((op_ e4_ e1_) = e4_ \/ ((op_ e5_ e1_) = e4_ \/ (op_ e6_ e1_) = e4_)))))) /\ (((op_ e1_ e0_) = e5_ \/ ((op_ e1_ e1_) = e5_ \/ ((op_ e1_ e2_) = e5_ \/ ((op_ e1_ e3_) = e5_ \/ ((op_ e1_ e4_) = e5_ \/ ((op_ e1_ e5_) = e5_ \/ (op_ e1_ e6_) = e5_)))))) /\ (((op_ e0_ e1_) = e5_ \/ ((op_ e1_ e1_) = e5_ \/ ((op_ e2_ e1_) = e5_ \/ ((op_ e3_ e1_) = e5_ \/ ((op_ e4_ e1_) = e5_ \/ ((op_ e5_ e1_) = e5_ \/ (op_ e6_ e1_) = e5_)))))) /\ (((op_ e1_ e0_) = e6_ \/ ((op_ e1_ e1_) = e6_ \/ ((op_ e1_ e2_) = e6_ \/ ((op_ e1_ e3_) = e6_ \/ ((op_ e1_ e4_) = e6_ \/ ((op_ e1_ e5_) = e6_ \/ (op_ e1_ e6_) = e6_)))))) /\ (((op_ e0_ e1_) = e6_ \/ ((op_ e1_ e1_) = e6_ \/ ((op_ e2_ e1_) = e6_ \/ ((op_ e3_ e1_) = e6_ \/ ((op_ e4_ e1_) = e6_ \/ ((op_ e5_ e1_) = e6_ \/ (op_ e6_ e1_) = e6_)))))) /\ (((op_ e2_ e0_) = e0_ \/ ((op_ e2_ e1_) = e0_ \/ ((op_ e2_ e2_) = e0_ \/ ((op_ e2_ e3_) = e0_ \/ ((op_ e2_ e4_) = e0_ \/ ((op_ e2_ e5_) = e0_ \/ (op_ e2_ e6_) = e0_)))))) /\ (((op_ e0_ e2_) = e0_ \/ ((op_ e1_ e2_) = e0_ \/ ((op_ e2_ e2_) = e0_ \/ ((op_ e3_ e2_) = e0_ \/ ((op_ e4_ e2_) = e0_ \/ ((op_ e5_ e2_) = e0_ \/ (op_ e6_ e2_) = e0_)))))) /\ (((op_ e2_ e0_) = e1_ \/ ((op_ e2_ e1_) = e1_ \/ ((op_ e2_ e2_) = e1_ \/ ((op_ e2_ e3_) = e1_ \/ ((op_ e2_ e4_) = e1_ \/ ((op_ e2_ e5_) = e1_ \/ (op_ e2_ e6_) = e1_)))))) /\ (((op_ e0_ e2_) = e1_ \/ ((op_ e1_ e2_) = e1_ \/ ((op_ e2_ e2_) = e1_ \/ ((op_ e3_ e2_) = e1_ \/ ((op_ e4_ e2_) = e1_ \/ ((op_ e5_ e2_) = e1_ \/ (op_ e6_ e2_) = e1_)))))) /\ (((op_ e2_ e0_) = e2_ \/ ((op_ e2_ e1_) = e2_ \/ ((op_ e2_ e2_) = e2_ \/ ((op_ e2_ e3_) = e2_ \/ ((op_ e2_ e4_) = e2_ \/ ((op_ e2_ e5_) = e2_ \/ (op_ e2_ e6_) = e2_)))))) /\ (((op_ e0_ e2_) = e2_ \/ ((op_ e1_ e2_) = e2_ \/ ((op_ e2_ e2_) = e2_ \/ ((op_ e3_ e2_) = e2_ \/ ((op_ e4_ e2_) = e2_ \/ ((op_ e5_ e2_) = e2_ \/ (op_ e6_ e2_) = e2_)))))) /\ (((op_ e2_ e0_) = e3_ \/ ((op_ e2_ e1_) = e3_ \/ ((op_ e2_ e2_) = e3_ \/ ((op_ e2_ e3_) = e3_ \/ ((op_ e2_ e4_) = e3_ \/ ((op_ e2_ e5_) = e3_ \/ (op_ e2_ e6_) = e3_)))))) /\ (((op_ e0_ e2_) = e3_ \/ ((op_ e1_ e2_) = e3_ \/ ((op_ e2_ e2_) = e3_ \/ ((op_ e3_ e2_) = e3_ \/ ((op_ e4_ e2_) = e3_ \/ ((op_ e5_ e2_) = e3_ \/ (op_ e6_ e2_) = e3_)))))) /\ (((op_ e2_ e0_) = e4_ \/ ((op_ e2_ e1_) = e4_ \/ ((op_ e2_ e2_) = e4_ \/ ((op_ e2_ e3_) = e4_ \/ ((op_ e2_ e4_) = e4_ \/ ((op_ e2_ e5_) = e4_ \/ (op_ e2_ e6_) = e4_)))))) /\ (((op_ e0_ e2_) = e4_ \/ ((op_ e1_ e2_) = e4_ \/ ((op_ e2_ e2_) = e4_ \/ ((op_ e3_ e2_) = e4_ \/ ((op_ e4_ e2_) = e4_ \/ ((op_ e5_ e2_) = e4_ \/ (op_ e6_ e2_) = e4_)))))) /\ (((op_ e2_ e0_) = e5_ \/ ((op_ e2_ e1_) = e5_ \/ ((op_ e2_ e2_) = e5_ \/ ((op_ e2_ e3_) = e5_ \/ ((op_ e2_ e4_) = e5_ \/ ((op_ e2_ e5_) = e5_ \/ (op_ e2_ e6_) = e5_)))))) /\ (((op_ e0_ e2_) = e5_ \/ ((op_ e1_ e2_) = e5_ \/ ((op_ e2_ e2_) = e5_ \/ ((op_ e3_ e2_) = e5_ \/ ((op_ e4_ e2_) = e5_ \/ ((op_ e5_ e2_) = e5_ \/ (op_ e6_ e2_) = e5_)))))) /\ (((op_ e2_ e0_) = e6_ \/ ((op_ e2_ e1_) = e6_ \/ ((op_ e2_ e2_) = e6_ \/ ((op_ e2_ e3_) = e6_ \/ ((op_ e2_ e4_) = e6_ \/ ((op_ e2_ e5_) = e6_ \/ (op_ e2_ e6_) = e6_)))))) /\ (((op_ e0_ e2_) = e6_ \/ ((op_ e1_ e2_) = e6_ \/ ((op_ e2_ e2_) = e6_ \/ ((op_ e3_ e2_) = e6_ \/ ((op_ e4_ e2_) = e6_ \/ ((op_ e5_ e2_) = e6_ \/ (op_ e6_ e2_) = e6_)))))) /\ (((op_ e3_ e0_) = e0_ \/ ((op_ e3_ e1_) = e0_ \/ ((op_ e3_ e2_) = e0_ \/ ((op_ e3_ e3_) = e0_ \/ ((op_ e3_ e4_) = e0_ \/ ((op_ e3_ e5_) = e0_ \/ (op_ e3_ e6_) = e0_)))))) /\ (((op_ e0_ e3_) = e0_ \/ ((op_ e1_ e3_) = e0_ \/ ((op_ e2_ e3_) = e0_ \/ ((op_ e3_ e3_) = e0_ \/ ((op_ e4_ e3_) = e0_ \/ ((op_ e5_ e3_) = e0_ \/ (op_ e6_ e3_) = e0_)))))) /\ (((op_ e3_ e0_) = e1_ \/ ((op_ e3_ e1_) = e1_ \/ ((op_ e3_ e2_) = e1_ \/ ((op_ e3_ e3_) = e1_ \/ ((op_ e3_ e4_) = e1_ \/ ((op_ e3_ e5_) = e1_ \/ (op_ e3_ e6_) = e1_)))))) /\ (((op_ e0_ e3_) = e1_ \/ ((op_ e1_ e3_) = e1_ \/ ((op_ e2_ e3_) = e1_ \/ ((op_ e3_ e3_) = e1_ \/ ((op_ e4_ e3_) = e1_ \/ ((op_ e5_ e3_) = e1_ \/ (op_ e6_ e3_) = e1_)))))) /\ (((op_ e3_ e0_) = e2_ \/ ((op_ e3_ e1_) = e2_ \/ ((op_ e3_ e2_) = e2_ \/ ((op_ e3_ e3_) = e2_ \/ ((op_ e3_ e4_) = e2_ \/ ((op_ e3_ e5_) = e2_ \/ (op_ e3_ e6_) = e2_)))))) /\ (((op_ e0_ e3_) = e2_ \/ ((op_ e1_ e3_) = e2_ \/ ((op_ e2_ e3_) = e2_ \/ ((op_ e3_ e3_) = e2_ \/ ((op_ e4_ e3_) = e2_ \/ ((op_ e5_ e3_) = e2_ \/ (op_ e6_ e3_) = e2_)))))) /\ (((op_ e3_ e0_) = e3_ \/ ((op_ e3_ e1_) = e3_ \/ ((op_ e3_ e2_) = e3_ \/ ((op_ e3_ e3_) = e3_ \/ ((op_ e3_ e4_) = e3_ \/ ((op_ e3_ e5_) = e3_ \/ (op_ e3_ e6_) = e3_)))))) /\ (((op_ e0_ e3_) = e3_ \/ ((op_ e1_ e3_) = e3_ \/ ((op_ e2_ e3_) = e3_ \/ ((op_ e3_ e3_) = e3_ \/ ((op_ e4_ e3_) = e3_ \/ ((op_ e5_ e3_) = e3_ \/ (op_ e6_ e3_) = e3_)))))) /\ (((op_ e3_ e0_) = e4_ \/ ((op_ e3_ e1_) = e4_ \/ ((op_ e3_ e2_) = e4_ \/ ((op_ e3_ e3_) = e4_ \/ ((op_ e3_ e4_) = e4_ \/ ((op_ e3_ e5_) = e4_ \/ (op_ e3_ e6_) = e4_)))))) /\ (((op_ e0_ e3_) = e4_ \/ ((op_ e1_ e3_) = e4_ \/ ((op_ e2_ e3_) = e4_ \/ ((op_ e3_ e3_) = e4_ \/ ((op_ e4_ e3_) = e4_ \/ ((op_ e5_ e3_) = e4_ \/ (op_ e6_ e3_) = e4_)))))) /\ (((op_ e3_ e0_) = e5_ \/ ((op_ e3_ e1_) = e5_ \/ ((op_ e3_ e2_) = e5_ \/ ((op_ e3_ e3_) = e5_ \/ ((op_ e3_ e4_) = e5_ \/ ((op_ e3_ e5_) = e5_ \/ (op_ e3_ e6_) = e5_)))))) /\ (((op_ e0_ e3_) = e5_ \/ ((op_ e1_ e3_) = e5_ \/ ((op_ e2_ e3_) = e5_ \/ ((op_ e3_ e3_) = e5_ \/ ((op_ e4_ e3_) = e5_ \/ ((op_ e5_ e3_) = e5_ \/ (op_ e6_ e3_) = e5_)))))) /\ (((op_ e3_ e0_) = e6_ \/ ((op_ e3_ e1_) = e6_ \/ ((op_ e3_ e2_) = e6_ \/ ((op_ e3_ e3_) = e6_ \/ ((op_ e3_ e4_) = e6_ \/ ((op_ e3_ e5_) = e6_ \/ (op_ e3_ e6_) = e6_)))))) /\ (((op_ e0_ e3_) = e6_ \/ ((op_ e1_ e3_) = e6_ \/ ((op_ e2_ e3_) = e6_ \/ ((op_ e3_ e3_) = e6_ \/ ((op_ e4_ e3_) = e6_ \/ ((op_ e5_ e3_) = e6_ \/ (op_ e6_ e3_) = e6_)))))) /\ (((op_ e4_ e0_) = e0_ \/ ((op_ e4_ e1_) = e0_ \/ ((op_ e4_ e2_) = e0_ \/ ((op_ e4_ e3_) = e0_ \/ ((op_ e4_ e4_) = e0_ \/ ((op_ e4_ e5_) = e0_ \/ (op_ e4_ e6_) = e0_)))))) /\ (((op_ e0_ e4_) = e0_ \/ ((op_ e1_ e4_) = e0_ \/ ((op_ e2_ e4_) = e0_ \/ ((op_ e3_ e4_) = e0_ \/ ((op_ e4_ e4_) = e0_ \/ ((op_ e5_ e4_) = e0_ \/ (op_ e6_ e4_) = e0_)))))) /\ (((op_ e4_ e0_) = e1_ \/ ((op_ e4_ e1_) = e1_ \/ ((op_ e4_ e2_) = e1_ \/ ((op_ e4_ e3_) = e1_ \/ ((op_ e4_ e4_) = e1_ \/ ((op_ e4_ e5_) = e1_ \/ (op_ e4_ e6_) = e1_)))))) /\ (((op_ e0_ e4_) = e1_ \/ ((op_ e1_ e4_) = e1_ \/ ((op_ e2_ e4_) = e1_ \/ ((op_ e3_ e4_) = e1_ \/ ((op_ e4_ e4_) = e1_ \/ ((op_ e5_ e4_) = e1_ \/ (op_ e6_ e4_) = e1_)))))) /\ (((op_ e4_ e0_) = e2_ \/ ((op_ e4_ e1_) = e2_ \/ ((op_ e4_ e2_) = e2_ \/ ((op_ e4_ e3_) = e2_ \/ ((op_ e4_ e4_) = e2_ \/ ((op_ e4_ e5_) = e2_ \/ (op_ e4_ e6_) = e2_)))))) /\ (((op_ e0_ e4_) = e2_ \/ ((op_ e1_ e4_) = e2_ \/ ((op_ e2_ e4_) = e2_ \/ ((op_ e3_ e4_) = e2_ \/ ((op_ e4_ e4_) = e2_ \/ ((op_ e5_ e4_) = e2_ \/ (op_ e6_ e4_) = e2_)))))) /\ (((op_ e4_ e0_) = e3_ \/ ((op_ e4_ e1_) = e3_ \/ ((op_ e4_ e2_) = e3_ \/ ((op_ e4_ e3_) = e3_ \/ ((op_ e4_ e4_) = e3_ \/ ((op_ e4_ e5_) = e3_ \/ (op_ e4_ e6_) = e3_)))))) /\ (((op_ e0_ e4_) = e3_ \/ ((op_ e1_ e4_) = e3_ \/ ((op_ e2_ e4_) = e3_ \/ ((op_ e3_ e4_) = e3_ \/ ((op_ e4_ e4_) = e3_ \/ ((op_ e5_ e4_) = e3_ \/ (op_ e6_ e4_) = e3_)))))) /\ (((op_ e4_ e0_) = e4_ \/ ((op_ e4_ e1_) = e4_ \/ ((op_ e4_ e2_) = e4_ \/ ((op_ e4_ e3_) = e4_ \/ ((op_ e4_ e4_) = e4_ \/ ((op_ e4_ e5_) = e4_ \/ (op_ e4_ e6_) = e4_)))))) /\ (((op_ e0_ e4_) = e4_ \/ ((op_ e1_ e4_) = e4_ \/ ((op_ e2_ e4_) = e4_ \/ ((op_ e3_ e4_) = e4_ \/ ((op_ e4_ e4_) = e4_ \/ ((op_ e5_ e4_) = e4_ \/ (op_ e6_ e4_) = e4_)))))) /\ (((op_ e4_ e0_) = e5_ \/ ((op_ e4_ e1_) = e5_ \/ ((op_ e4_ e2_) = e5_ \/ ((op_ e4_ e3_) = e5_ \/ ((op_ e4_ e4_) = e5_ \/ ((op_ e4_ e5_) = e5_ \/ (op_ e4_ e6_) = e5_)))))) /\ (((op_ e0_ e4_) = e5_ \/ ((op_ e1_ e4_) = e5_ \/ ((op_ e2_ e4_) = e5_ \/ ((op_ e3_ e4_) = e5_ \/ ((op_ e4_ e4_) = e5_ \/ ((op_ e5_ e4_) = e5_ \/ (op_ e6_ e4_) = e5_)))))) /\ (((op_ e4_ e0_) = e6_ \/ ((op_ e4_ e1_) = e6_ \/ ((op_ e4_ e2_) = e6_ \/ ((op_ e4_ e3_) = e6_ \/ ((op_ e4_ e4_) = e6_ \/ ((op_ e4_ e5_) = e6_ \/ (op_ e4_ e6_) = e6_)))))) /\ (((op_ e0_ e4_) = e6_ \/ ((op_ e1_ e4_) = e6_ \/ ((op_ e2_ e4_) = e6_ \/ ((op_ e3_ e4_) = e6_ \/ ((op_ e4_ e4_) = e6_ \/ ((op_ e5_ e4_) = e6_ \/ (op_ e6_ e4_) = e6_)))))) /\ (((op_ e5_ e0_) = e0_ \/ ((op_ e5_ e1_) = e0_ \/ ((op_ e5_ e2_) = e0_ \/ ((op_ e5_ e3_) = e0_ \/ ((op_ e5_ e4_) = e0_ \/ ((op_ e5_ e5_) = e0_ \/ (op_ e5_ e6_) = e0_)))))) /\ (((op_ e0_ e5_) = e0_ \/ ((op_ e1_ e5_) = e0_ \/ ((op_ e2_ e5_) = e0_ \/ ((op_ e3_ e5_) = e0_ \/ ((op_ e4_ e5_) = e0_ \/ ((op_ e5_ e5_) = e0_ \/ (op_ e6_ e5_) = e0_)))))) /\ (((op_ e5_ e0_) = e1_ \/ ((op_ e5_ e1_) = e1_ \/ ((op_ e5_ e2_) = e1_ \/ ((op_ e5_ e3_) = e1_ \/ ((op_ e5_ e4_) = e1_ \/ ((op_ e5_ e5_) = e1_ \/ (op_ e5_ e6_) = e1_)))))) /\ (((op_ e0_ e5_) = e1_ \/ ((op_ e1_ e5_) = e1_ \/ ((op_ e2_ e5_) = e1_ \/ ((op_ e3_ e5_) = e1_ \/ ((op_ e4_ e5_) = e1_ \/ ((op_ e5_ e5_) = e1_ \/ (op_ e6_ e5_) = e1_)))))) /\ (((op_ e5_ e0_) = e2_ \/ ((op_ e5_ e1_) = e2_ \/ ((op_ e5_ e2_) = e2_ \/ ((op_ e5_ e3_) = e2_ \/ ((op_ e5_ e4_) = e2_ \/ ((op_ e5_ e5_) = e2_ \/ (op_ e5_ e6_) = e2_)))))) /\ (((op_ e0_ e5_) = e2_ \/ ((op_ e1_ e5_) = e2_ \/ ((op_ e2_ e5_) = e2_ \/ ((op_ e3_ e5_) = e2_ \/ ((op_ e4_ e5_) = e2_ \/ ((op_ e5_ e5_) = e2_ \/ (op_ e6_ e5_) = e2_)))))) /\ (((op_ e5_ e0_) = e3_ \/ ((op_ e5_ e1_) = e3_ \/ ((op_ e5_ e2_) = e3_ \/ ((op_ e5_ e3_) = e3_ \/ ((op_ e5_ e4_) = e3_ \/ ((op_ e5_ e5_) = e3_ \/ (op_ e5_ e6_) = e3_)))))) /\ (((op_ e0_ e5_) = e3_ \/ ((op_ e1_ e5_) = e3_ \/ ((op_ e2_ e5_) = e3_ \/ ((op_ e3_ e5_) = e3_ \/ ((op_ e4_ e5_) = e3_ \/ ((op_ e5_ e5_) = e3_ \/ (op_ e6_ e5_) = e3_)))))) /\ (((op_ e5_ e0_) = e4_ \/ ((op_ e5_ e1_) = e4_ \/ ((op_ e5_ e2_) = e4_ \/ ((op_ e5_ e3_) = e4_ \/ ((op_ e5_ e4_) = e4_ \/ ((op_ e5_ e5_) = e4_ \/ (op_ e5_ e6_) = e4_)))))) /\ (((op_ e0_ e5_) = e4_ \/ ((op_ e1_ e5_) = e4_ \/ ((op_ e2_ e5_) = e4_ \/ ((op_ e3_ e5_) = e4_ \/ ((op_ e4_ e5_) = e4_ \/ ((op_ e5_ e5_) = e4_ \/ (op_ e6_ e5_) = e4_)))))) /\ (((op_ e5_ e0_) = e5_ \/ ((op_ e5_ e1_) = e5_ \/ ((op_ e5_ e2_) = e5_ \/ ((op_ e5_ e3_) = e5_ \/ ((op_ e5_ e4_) = e5_ \/ ((op_ e5_ e5_) = e5_ \/ (op_ e5_ e6_) = e5_)))))) /\ (((op_ e0_ e5_) = e5_ \/ ((op_ e1_ e5_) = e5_ \/ ((op_ e2_ e5_) = e5_ \/ ((op_ e3_ e5_) = e5_ \/ ((op_ e4_ e5_) = e5_ \/ ((op_ e5_ e5_) = e5_ \/ (op_ e6_ e5_) = e5_)))))) /\ (((op_ e5_ e0_) = e6_ \/ ((op_ e5_ e1_) = e6_ \/ ((op_ e5_ e2_) = e6_ \/ ((op_ e5_ e3_) = e6_ \/ ((op_ e5_ e4_) = e6_ \/ ((op_ e5_ e5_) = e6_ \/ (op_ e5_ e6_) = e6_)))))) /\ (((op_ e0_ e5_) = e6_ \/ ((op_ e1_ e5_) = e6_ \/ ((op_ e2_ e5_) = e6_ \/ ((op_ e3_ e5_) = e6_ \/ ((op_ e4_ e5_) = e6_ \/ ((op_ e5_ e5_) = e6_ \/ (op_ e6_ e5_) = e6_)))))) /\ (((op_ e6_ e0_) = e0_ \/ ((op_ e6_ e1_) = e0_ \/ ((op_ e6_ e2_) = e0_ \/ ((op_ e6_ e3_) = e0_ \/ ((op_ e6_ e4_) = e0_ \/ ((op_ e6_ e5_) = e0_ \/ (op_ e6_ e6_) = e0_)))))) /\ (((op_ e0_ e6_) = e0_ \/ ((op_ e1_ e6_) = e0_ \/ ((op_ e2_ e6_) = e0_ \/ ((op_ e3_ e6_) = e0_ \/ ((op_ e4_ e6_) = e0_ \/ ((op_ e5_ e6_) = e0_ \/ (op_ e6_ e6_) = e0_)))))) /\ (((op_ e6_ e0_) = e1_ \/ ((op_ e6_ e1_) = e1_ \/ ((op_ e6_ e2_) = e1_ \/ ((op_ e6_ e3_) = e1_ \/ ((op_ e6_ e4_) = e1_ \/ ((op_ e6_ e5_) = e1_ \/ (op_ e6_ e6_) = e1_)))))) /\ (((op_ e0_ e6_) = e1_ \/ ((op_ e1_ e6_) = e1_ \/ ((op_ e2_ e6_) = e1_ \/ ((op_ e3_ e6_) = e1_ \/ ((op_ e4_ e6_) = e1_ \/ ((op_ e5_ e6_) = e1_ \/ (op_ e6_ e6_) = e1_)))))) /\ (((op_ e6_ e0_) = e2_ \/ ((op_ e6_ e1_) = e2_ \/ ((op_ e6_ e2_) = e2_ \/ ((op_ e6_ e3_) = e2_ \/ ((op_ e6_ e4_) = e2_ \/ ((op_ e6_ e5_) = e2_ \/ (op_ e6_ e6_) = e2_)))))) /\ (((op_ e0_ e6_) = e2_ \/ ((op_ e1_ e6_) = e2_ \/ ((op_ e2_ e6_) = e2_ \/ ((op_ e3_ e6_) = e2_ \/ ((op_ e4_ e6_) = e2_ \/ ((op_ e5_ e6_) = e2_ \/ (op_ e6_ e6_) = e2_)))))) /\ (((op_ e6_ e0_) = e3_ \/ ((op_ e6_ e1_) = e3_ \/ ((op_ e6_ e2_) = e3_ \/ ((op_ e6_ e3_) = e3_ \/ ((op_ e6_ e4_) = e3_ \/ ((op_ e6_ e5_) = e3_ \/ (op_ e6_ e6_) = e3_)))))) /\ (((op_ e0_ e6_) = e3_ \/ ((op_ e1_ e6_) = e3_ \/ ((op_ e2_ e6_) = e3_ \/ ((op_ e3_ e6_) = e3_ \/ ((op_ e4_ e6_) = e3_ \/ ((op_ e5_ e6_) = e3_ \/ (op_ e6_ e6_) = e3_)))))) /\ (((op_ e6_ e0_) = e4_ \/ ((op_ e6_ e1_) = e4_ \/ ((op_ e6_ e2_) = e4_ \/ ((op_ e6_ e3_) = e4_ \/ ((op_ e6_ e4_) = e4_ \/ ((op_ e6_ e5_) = e4_ \/ (op_ e6_ e6_) = e4_)))))) /\ (((op_ e0_ e6_) = e4_ \/ ((op_ e1_ e6_) = e4_ \/ ((op_ e2_ e6_) = e4_ \/ ((op_ e3_ e6_) = e4_ \/ ((op_ e4_ e6_) = e4_ \/ ((op_ e5_ e6_) = e4_ \/ (op_ e6_ e6_) = e4_)))))) /\ (((op_ e6_ e0_) = e5_ \/ ((op_ e6_ e1_) = e5_ \/ ((op_ e6_ e2_) = e5_ \/ ((op_ e6_ e3_) = e5_ \/ ((op_ e6_ e4_) = e5_ \/ ((op_ e6_ e5_) = e5_ \/ (op_ e6_ e6_) = e5_)))))) /\ (((op_ e0_ e6_) = e5_ \/ ((op_ e1_ e6_) = e5_ \/ ((op_ e2_ e6_) = e5_ \/ ((op_ e3_ e6_) = e5_ \/ ((op_ e4_ e6_) = e5_ \/ ((op_ e5_ e6_) = e5_ \/ (op_ e6_ e6_) = e5_)))))) /\ (((op_ e6_ e0_) = e6_ \/ ((op_ e6_ e1_) = e6_ \/ ((op_ e6_ e2_) = e6_ \/ ((op_ e6_ e3_) = e6_ \/ ((op_ e6_ e4_) = e6_ \/ ((op_ e6_ e5_) = e6_ \/ (op_ e6_ e6_) = e6_)))))) /\ (((op_ e0_ e6_) = e6_ \/ ((op_ e1_ e6_) = e6_ \/ ((op_ e2_ e6_) = e6_ \/ ((op_ e3_ e6_) = e6_ \/ ((op_ e4_ e6_) = e6_ \/ ((op_ e5_ e6_) = e6_ \/ (op_ e6_ e6_) = e6_)))))) /\ ((op_ (op_ (op_ e0_ e0_) e0_) e0_) = e0_ /\ ((op_ (op_ (op_ e1_ e0_) e1_) e1_) = e0_ /\ ((op_ (op_ (op_ e2_ e0_) e2_) e2_) = e0_ /\ ((op_ (op_ (op_ e3_ e0_) e3_) e3_) = e0_ /\ ((op_ (op_ (op_ e4_ e0_) e4_) e4_) = e0_ /\ ((op_ (op_ (op_ e5_ e0_) e5_) e5_) = e0_ /\ ((op_ (op_ (op_ e6_ e0_) e6_) e6_) = e0_ /\ ((op_ (op_ (op_ e0_ e1_) e0_) e0_) = e1_ /\ ((op_ (op_ (op_ e1_ e1_) e1_) e1_) = e1_ /\ ((op_ (op_ (op_ e2_ e1_) e2_) e2_) = e1_ /\ ((op_ (op_ (op_ e3_ e1_) e3_) e3_) = e1_ /\ ((op_ (op_ (op_ e4_ e1_) e4_) e4_) = e1_ /\ ((op_ (op_ (op_ e5_ e1_) e5_) e5_) = e1_ /\ ((op_ (op_ (op_ e6_ e1_) e6_) e6_) = e1_ /\ ((op_ (op_ (op_ e0_ e2_) e0_) e0_) = e2_ /\ ((op_ (op_ (op_ e1_ e2_) e1_) e1_) = e2_ /\ ((op_ (op_ (op_ e2_ e2_) e2_) e2_) = e2_ /\ ((op_ (op_ (op_ e3_ e2_) e3_) e3_) = e2_ /\ ((op_ (op_ (op_ e4_ e2_) e4_) e4_) = e2_ /\ ((op_ (op_ (op_ e5_ e2_) e5_) e5_) = e2_ /\ ((op_ (op_ (op_ e6_ e2_) e6_) e6_) = e2_ /\ ((op_ (op_ (op_ e0_ e3_) e0_) e0_) = e3_ /\ ((op_ (op_ (op_ e1_ e3_) e1_) e1_) = e3_ /\ ((op_ (op_ (op_ e2_ e3_) e2_) e2_) = e3_ /\ ((op_ (op_ (op_ e3_ e3_) e3_) e3_) = e3_ /\ ((op_ (op_ (op_ e4_ e3_) e4_) e4_) = e3_ /\ ((op_ (op_ (op_ e5_ e3_) e5_) e5_) = e3_ /\ ((op_ (op_ (op_ e6_ e3_) e6_) e6_) = e3_ /\ ((op_ (op_ (op_ e0_ e4_) e0_) e0_) = e4_ /\ ((op_ (op_ (op_ e1_ e4_) e1_) e1_) = e4_ /\ ((op_ (op_ (op_ e2_ e4_) e2_) e2_) = e4_ /\ ((op_ (op_ (op_ e3_ e4_) e3_) e3_) = e4_ /\ ((op_ (op_ (op_ e4_ e4_) e4_) e4_) = e4_ /\ ((op_ (op_ (op_ e5_ e4_) e5_) e5_) = e4_ /\ ((op_ (op_ (op_ e6_ e4_) e6_) e6_) = e4_ /\ ((op_ (op_ (op_ e0_ e5_) e0_) e0_) = e5_ /\ ((op_ (op_ (op_ e1_ e5_) e1_) e1_) = e5_ /\ ((op_ (op_ (op_ e2_ e5_) e2_) e2_) = e5_ /\ ((op_ (op_ (op_ e3_ e5_) e3_) e3_) = e5_ /\ ((op_ (op_ (op_ e4_ e5_) e4_) e4_) = e5_ /\ ((op_ (op_ (op_ e5_ e5_) e5_) e5_) = e5_ /\ ((op_ (op_ (op_ e6_ e5_) e6_) e6_) = e5_ /\ ((op_ (op_ (op_ e0_ e6_) e0_) e0_) = e6_ /\ ((op_ (op_ (op_ e1_ e6_) e1_) e1_) = e6_ /\ ((op_ (op_ (op_ e2_ e6_) e2_) e2_) = e6_ /\ ((op_ (op_ (op_ e3_ e6_) e3_) e3_) = e6_ /\ ((op_ (op_ (op_ e4_ e6_) e4_) e4_) = e6_ /\ ((op_ (op_ (op_ e5_ e6_) e5_) e5_) = e6_ /\ (op_ (op_ (op_ e6_ e6_) e6_) e6_) = e6_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time hprover.
Qed.

End FOFProblem.
